#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6510
#define LARGE_STATE_COUNT 1257
#define SYMBOL_COUNT 417
#define ALIAS_COUNT 6
#define TOKEN_COUNT 174
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 48
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 404

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_assert = 17,
  anon_sym_var = 18,
  anon_sym_let = 19,
  anon_sym_const = 20,
  anon_sym_BANG = 21,
  anon_sym_else = 22,
  anon_sym_if = 23,
  anon_sym_switch = 24,
  anon_sym_for = 25,
  anon_sym_LPAREN = 26,
  anon_sym_SEMI = 27,
  anon_sym_RPAREN = 28,
  anon_sym_await = 29,
  anon_sym_in = 30,
  anon_sym_of = 31,
  anon_sym_while = 32,
  anon_sym_do = 33,
  anon_sym_try = 34,
  anon_sym_break = 35,
  anon_sym_continue = 36,
  anon_sym_debugger = 37,
  anon_sym_return = 38,
  anon_sym_throw = 39,
  anon_sym_COLON = 40,
  anon_sym_case = 41,
  anon_sym_catch = 42,
  anon_sym_finally = 43,
  anon_sym_yield = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_async = 49,
  anon_sym_function = 50,
  anon_sym_EQ_GT = 51,
  anon_sym_QMARK_DOT = 52,
  anon_sym_new = 53,
  anon_sym_using = 54,
  anon_sym_PLUS_EQ = 55,
  anon_sym_DASH_EQ = 56,
  anon_sym_STAR_EQ = 57,
  anon_sym_SLASH_EQ = 58,
  anon_sym_PERCENT_EQ = 59,
  anon_sym_CARET_EQ = 60,
  anon_sym_AMP_EQ = 61,
  anon_sym_PIPE_EQ = 62,
  anon_sym_GT_GT_EQ = 63,
  anon_sym_GT_GT_GT_EQ = 64,
  anon_sym_LT_LT_EQ = 65,
  anon_sym_STAR_STAR_EQ = 66,
  anon_sym_AMP_AMP_EQ = 67,
  anon_sym_PIPE_PIPE_EQ = 68,
  anon_sym_QMARK_QMARK_EQ = 69,
  anon_sym_DOT_DOT_DOT = 70,
  anon_sym_AMP_AMP = 71,
  anon_sym_PIPE_PIPE = 72,
  anon_sym_GT_GT = 73,
  anon_sym_GT_GT_GT = 74,
  anon_sym_LT_LT = 75,
  anon_sym_AMP = 76,
  anon_sym_CARET = 77,
  anon_sym_PIPE = 78,
  anon_sym_PLUS = 79,
  anon_sym_DASH = 80,
  anon_sym_SLASH = 81,
  anon_sym_PERCENT = 82,
  anon_sym_STAR_STAR = 83,
  anon_sym_LT = 84,
  anon_sym_LT_EQ = 85,
  anon_sym_EQ_EQ = 86,
  anon_sym_EQ_EQ_EQ = 87,
  anon_sym_BANG_EQ = 88,
  anon_sym_BANG_EQ_EQ = 89,
  anon_sym_GT_EQ = 90,
  anon_sym_GT = 91,
  anon_sym_QMARK_QMARK = 92,
  anon_sym_instanceof = 93,
  anon_sym_TILDE = 94,
  anon_sym_void = 95,
  anon_sym_delete = 96,
  anon_sym_PLUS_PLUS = 97,
  anon_sym_DASH_DASH = 98,
  anon_sym_DQUOTE = 99,
  anon_sym_SQUOTE = 100,
  sym_unescaped_double_string_fragment = 101,
  sym_unescaped_single_string_fragment = 102,
  sym_escape_sequence = 103,
  sym_comment = 104,
  anon_sym_BQUOTE = 105,
  anon_sym_DOLLAR_LBRACE = 106,
  anon_sym_SLASH2 = 107,
  sym_regex_pattern = 108,
  sym_regex_flags = 109,
  sym_number = 110,
  sym_private_property_identifier = 111,
  anon_sym_target = 112,
  anon_sym_meta = 113,
  sym_this = 114,
  sym_super = 115,
  sym_true = 116,
  sym_false = 117,
  sym_null = 118,
  sym_undefined = 119,
  anon_sym_AT = 120,
  anon_sym_static = 121,
  anon_sym_readonly = 122,
  anon_sym_get = 123,
  anon_sym_set = 124,
  anon_sym_QMARK = 125,
  anon_sym_declare = 126,
  anon_sym_public = 127,
  anon_sym_private = 128,
  anon_sym_protected = 129,
  anon_sym_override = 130,
  anon_sym_module = 131,
  anon_sym_any = 132,
  anon_sym_number = 133,
  anon_sym_boolean = 134,
  anon_sym_string = 135,
  anon_sym_symbol = 136,
  anon_sym_object = 137,
  anon_sym_property = 138,
  anon_sym_signal = 139,
  anon_sym_on = 140,
  anon_sym_required = 141,
  anon_sym_component = 142,
  anon_sym_abstract = 143,
  anon_sym_accessor = 144,
  anon_sym_satisfies = 145,
  anon_sym_require = 146,
  anon_sym_extends = 147,
  anon_sym_implements = 148,
  anon_sym_global = 149,
  anon_sym_interface = 150,
  anon_sym_enum = 151,
  anon_sym_DASH_QMARK_COLON = 152,
  anon_sym_PLUS_QMARK_COLON = 153,
  anon_sym_QMARK_COLON = 154,
  anon_sym_asserts = 155,
  anon_sym_infer = 156,
  anon_sym_is = 157,
  anon_sym_keyof = 158,
  anon_sym_unique = 159,
  anon_sym_unknown = 160,
  anon_sym_never = 161,
  anon_sym_LBRACE_PIPE = 162,
  anon_sym_PIPE_RBRACE = 163,
  anon_sym_pragma = 164,
  aux_sym_ui_version_specifier_token1 = 165,
  anon_sym_list = 166,
  sym__automatic_semicolon = 167,
  sym__template_chars = 168,
  sym__ternary_qmark = 169,
  sym_html_comment = 170,
  sym_jsx_text = 171,
  sym__function_signature_automatic_semicolon = 172,
  sym___error_recovery = 173,
  sym_program = 174,
  sym_export_statement = 175,
  sym_namespace_export = 176,
  sym_export_clause = 177,
  sym_export_specifier = 178,
  sym__module_export_name = 179,
  sym_declaration = 180,
  sym_import = 181,
  sym_import_statement = 182,
  sym_import_clause = 183,
  sym__from_clause = 184,
  sym_namespace_import = 185,
  sym_named_imports = 186,
  sym_import_specifier = 187,
  sym_import_attribute = 188,
  sym_statement = 189,
  sym_expression_statement = 190,
  sym_variable_declaration = 191,
  sym_lexical_declaration = 192,
  sym_variable_declarator = 193,
  sym_statement_block = 194,
  sym_else_clause = 195,
  sym_if_statement = 196,
  sym_switch_statement = 197,
  sym_for_statement = 198,
  sym_for_in_statement = 199,
  sym__for_header = 200,
  sym_while_statement = 201,
  sym_do_statement = 202,
  sym_try_statement = 203,
  sym_with_statement = 204,
  sym_break_statement = 205,
  sym_continue_statement = 206,
  sym_debugger_statement = 207,
  sym_return_statement = 208,
  sym_throw_statement = 209,
  sym_empty_statement = 210,
  sym_labeled_statement = 211,
  sym_switch_body = 212,
  sym_switch_case = 213,
  sym_switch_default = 214,
  sym_catch_clause = 215,
  sym_finally_clause = 216,
  sym_parenthesized_expression = 217,
  sym_expression = 218,
  sym_primary_expression = 219,
  sym_yield_expression = 220,
  sym_object = 221,
  sym_object_pattern = 222,
  sym_assignment_pattern = 223,
  sym_object_assignment_pattern = 224,
  sym_array = 225,
  sym_array_pattern = 226,
  sym_nested_identifier = 227,
  sym_class = 228,
  sym_class_declaration = 229,
  sym_class_heritage = 230,
  sym_function_expression = 231,
  sym_function_declaration = 232,
  sym_generator_function = 233,
  sym_generator_function_declaration = 234,
  sym_arrow_function = 235,
  sym__call_signature = 236,
  sym__formal_parameter = 237,
  sym_optional_chain = 238,
  sym_call_expression = 239,
  sym_new_expression = 240,
  sym_await_expression = 241,
  sym_member_expression = 242,
  sym_subscript_expression = 243,
  sym_assignment_expression = 244,
  sym__augmented_assignment_lhs = 245,
  sym_augmented_assignment_expression = 246,
  sym__initializer = 247,
  sym__destructuring_pattern = 248,
  sym_spread_element = 249,
  sym_ternary_expression = 250,
  sym_binary_expression = 251,
  sym_unary_expression = 252,
  sym_update_expression = 253,
  sym_sequence_expression = 254,
  sym_string = 255,
  sym_template_string = 256,
  sym_template_substitution = 257,
  sym_regex = 258,
  sym_meta_property = 259,
  sym_arguments = 260,
  sym_decorator = 261,
  sym_decorator_member_expression = 262,
  sym_decorator_call_expression = 263,
  sym_class_body = 264,
  sym_formal_parameters = 265,
  sym_class_static_block = 266,
  sym_pattern = 267,
  sym_rest_pattern = 268,
  sym_method_definition = 269,
  sym_pair = 270,
  sym_pair_pattern = 271,
  sym__property_name = 272,
  sym_computed_property_name = 273,
  sym_public_field_definition = 274,
  sym__import_identifier = 275,
  sym_non_null_expression = 276,
  sym_method_signature = 277,
  sym_abstract_method_signature = 278,
  sym_function_signature = 279,
  sym_decorator_parenthesized_expression = 280,
  sym_type_assertion = 281,
  sym_as_expression = 282,
  sym_satisfies_expression = 283,
  sym_instantiation_expression = 284,
  sym_import_require_clause = 285,
  sym_extends_clause = 286,
  sym__extends_clause_single = 287,
  sym_implements_clause = 288,
  sym_ambient_declaration = 289,
  sym_abstract_class_declaration = 290,
  sym_module = 291,
  sym_internal_module = 292,
  sym__module = 293,
  sym_import_alias = 294,
  sym_nested_type_identifier = 295,
  sym_interface_declaration = 296,
  sym_extends_type_clause = 297,
  sym_enum_declaration = 298,
  sym_enum_body = 299,
  sym_enum_assignment = 300,
  sym_type_alias_declaration = 301,
  sym_accessibility_modifier = 302,
  sym_override_modifier = 303,
  sym_required_parameter = 304,
  sym_optional_parameter = 305,
  sym__parameter_name = 306,
  sym_omitting_type_annotation = 307,
  sym_adding_type_annotation = 308,
  sym_opting_type_annotation = 309,
  sym_type_annotation = 310,
  sym__type_query_member_expression_in_type_annotation = 311,
  sym__type_query_call_expression_in_type_annotation = 312,
  sym_asserts = 313,
  sym_asserts_annotation = 314,
  sym_type = 315,
  sym_tuple_parameter = 316,
  sym_optional_tuple_parameter = 317,
  sym_optional_type = 318,
  sym_rest_type = 319,
  sym__tuple_type_member = 320,
  sym_constructor_type = 321,
  sym_primary_type = 322,
  sym_template_type = 323,
  sym_template_literal_type = 324,
  sym_infer_type = 325,
  sym_conditional_type = 326,
  sym_generic_type = 327,
  sym_type_predicate = 328,
  sym_type_predicate_annotation = 329,
  sym__type_query_member_expression = 330,
  sym__type_query_subscript_expression = 331,
  sym__type_query_call_expression = 332,
  sym__type_query_instantiation_expression = 333,
  sym_type_query = 334,
  sym_index_type_query = 335,
  sym_lookup_type = 336,
  sym_mapped_type_clause = 337,
  sym_literal_type = 338,
  sym__number = 339,
  sym_existential_type = 340,
  sym_flow_maybe_type = 341,
  sym_parenthesized_type = 342,
  sym_predefined_type = 343,
  sym_type_arguments = 344,
  sym_object_type = 345,
  sym_call_signature = 346,
  sym_property_signature = 347,
  sym_type_parameters = 348,
  sym_type_parameter = 349,
  sym_default_type = 350,
  sym_constraint = 351,
  sym_construct_signature = 352,
  sym_index_signature = 353,
  sym_array_type = 354,
  sym_tuple_type = 355,
  sym_readonly_type = 356,
  sym_union_type = 357,
  sym_intersection_type = 358,
  sym_function_type = 359,
  sym_ui_pragma = 360,
  sym_ui_import = 361,
  sym_ui_version_specifier = 362,
  sym_ui_object_definition = 363,
  sym_ui_annotated_object = 364,
  sym_ui_annotation = 365,
  sym_ui_object_initializer = 366,
  sym_ui_annotated_object_member = 367,
  sym_ui_object_definition_binding = 368,
  sym_ui_binding = 369,
  sym_ui_property = 370,
  sym_ui_list_property_type = 371,
  sym_ui_property_modifier = 372,
  sym_ui_object_array = 373,
  sym_ui_required = 374,
  sym_ui_signal = 375,
  sym_ui_signal_parameters = 376,
  sym_ui_signal_parameter = 377,
  sym_ui_inline_component = 378,
  sym__qml_enum_declaration = 379,
  sym__qml_enum_body = 380,
  sym__qml_enum_assignment = 381,
  sym__qml_enum_negative_number = 382,
  sym_ui_nested_identifier = 383,
  sym_ui_simple_nested_identifier = 384,
  aux_sym_program_repeat1 = 385,
  aux_sym_export_statement_repeat1 = 386,
  aux_sym_export_clause_repeat1 = 387,
  aux_sym_named_imports_repeat1 = 388,
  aux_sym_variable_declaration_repeat1 = 389,
  aux_sym_statement_block_repeat1 = 390,
  aux_sym_switch_body_repeat1 = 391,
  aux_sym_object_repeat1 = 392,
  aux_sym_object_pattern_repeat1 = 393,
  aux_sym_array_repeat1 = 394,
  aux_sym_array_pattern_repeat1 = 395,
  aux_sym_sequence_expression_repeat1 = 396,
  aux_sym_string_repeat1 = 397,
  aux_sym_string_repeat2 = 398,
  aux_sym_template_string_repeat1 = 399,
  aux_sym_class_body_repeat1 = 400,
  aux_sym_formal_parameters_repeat1 = 401,
  aux_sym_extends_clause_repeat1 = 402,
  aux_sym_implements_clause_repeat1 = 403,
  aux_sym_extends_type_clause_repeat1 = 404,
  aux_sym_enum_body_repeat1 = 405,
  aux_sym_template_literal_type_repeat1 = 406,
  aux_sym_object_type_repeat1 = 407,
  aux_sym_type_parameters_repeat1 = 408,
  aux_sym_tuple_type_repeat1 = 409,
  aux_sym_ui_pragma_repeat1 = 410,
  aux_sym_ui_annotated_object_repeat1 = 411,
  aux_sym_ui_object_initializer_repeat1 = 412,
  aux_sym_ui_property_repeat1 = 413,
  aux_sym_ui_object_array_repeat1 = 414,
  aux_sym_ui_signal_parameters_repeat1 = 415,
  aux_sym__qml_enum_body_repeat1 = 416,
  alias_sym_interface_body = 417,
  alias_sym_property_identifier = 418,
  alias_sym_shorthand_property_identifier = 419,
  alias_sym_shorthand_property_identifier_pattern = 420,
  alias_sym_statement_identifier = 421,
  alias_sym_this_type = 422,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_assert] = "assert",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_property] = "property",
  [anon_sym_signal] = "signal",
  [anon_sym_on] = "on",
  [anon_sym_required] = "required",
  [anon_sym_component] = "component",
  [anon_sym_abstract] = "abstract",
  [anon_sym_accessor] = "accessor",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_pragma] = "pragma",
  [aux_sym_ui_version_specifier_token1] = "number",
  [anon_sym_list] = "type_identifier",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_decorator_parenthesized_expression] = "parenthesized_expression",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym_type] = "type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym_primary_type] = "primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [sym_ui_pragma] = "ui_pragma",
  [sym_ui_import] = "ui_import",
  [sym_ui_version_specifier] = "ui_version_specifier",
  [sym_ui_object_definition] = "ui_object_definition",
  [sym_ui_annotated_object] = "ui_annotated_object",
  [sym_ui_annotation] = "ui_annotation",
  [sym_ui_object_initializer] = "ui_object_initializer",
  [sym_ui_annotated_object_member] = "ui_annotated_object_member",
  [sym_ui_object_definition_binding] = "ui_object_definition_binding",
  [sym_ui_binding] = "ui_binding",
  [sym_ui_property] = "ui_property",
  [sym_ui_list_property_type] = "ui_list_property_type",
  [sym_ui_property_modifier] = "ui_property_modifier",
  [sym_ui_object_array] = "ui_object_array",
  [sym_ui_required] = "ui_required",
  [sym_ui_signal] = "ui_signal",
  [sym_ui_signal_parameters] = "ui_signal_parameters",
  [sym_ui_signal_parameter] = "ui_signal_parameter",
  [sym_ui_inline_component] = "ui_inline_component",
  [sym__qml_enum_declaration] = "enum_declaration",
  [sym__qml_enum_body] = "enum_body",
  [sym__qml_enum_assignment] = "enum_assignment",
  [sym__qml_enum_negative_number] = "unary_expression",
  [sym_ui_nested_identifier] = "nested_identifier",
  [sym_ui_simple_nested_identifier] = "nested_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_statement_block_repeat1] = "statement_block_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_ui_pragma_repeat1] = "ui_pragma_repeat1",
  [aux_sym_ui_annotated_object_repeat1] = "ui_annotated_object_repeat1",
  [aux_sym_ui_object_initializer_repeat1] = "ui_object_initializer_repeat1",
  [aux_sym_ui_property_repeat1] = "ui_property_repeat1",
  [aux_sym_ui_object_array_repeat1] = "ui_object_array_repeat1",
  [aux_sym_ui_signal_parameters_repeat1] = "ui_signal_parameters_repeat1",
  [aux_sym__qml_enum_body_repeat1] = "_qml_enum_body_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_signal] = anon_sym_signal,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_accessor] = anon_sym_accessor,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_pragma] = anon_sym_pragma,
  [aux_sym_ui_version_specifier_token1] = sym_number,
  [anon_sym_list] = anon_sym_list,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_decorator_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym_type] = sym_type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym_primary_type] = sym_primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [sym_ui_pragma] = sym_ui_pragma,
  [sym_ui_import] = sym_ui_import,
  [sym_ui_version_specifier] = sym_ui_version_specifier,
  [sym_ui_object_definition] = sym_ui_object_definition,
  [sym_ui_annotated_object] = sym_ui_annotated_object,
  [sym_ui_annotation] = sym_ui_annotation,
  [sym_ui_object_initializer] = sym_ui_object_initializer,
  [sym_ui_annotated_object_member] = sym_ui_annotated_object_member,
  [sym_ui_object_definition_binding] = sym_ui_object_definition_binding,
  [sym_ui_binding] = sym_ui_binding,
  [sym_ui_property] = sym_ui_property,
  [sym_ui_list_property_type] = sym_ui_list_property_type,
  [sym_ui_property_modifier] = sym_ui_property_modifier,
  [sym_ui_object_array] = sym_ui_object_array,
  [sym_ui_required] = sym_ui_required,
  [sym_ui_signal] = sym_ui_signal,
  [sym_ui_signal_parameters] = sym_ui_signal_parameters,
  [sym_ui_signal_parameter] = sym_ui_signal_parameter,
  [sym_ui_inline_component] = sym_ui_inline_component,
  [sym__qml_enum_declaration] = sym_enum_declaration,
  [sym__qml_enum_body] = sym_enum_body,
  [sym__qml_enum_assignment] = sym_enum_assignment,
  [sym__qml_enum_negative_number] = sym_unary_expression,
  [sym_ui_nested_identifier] = sym_nested_identifier,
  [sym_ui_simple_nested_identifier] = sym_nested_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_statement_block_repeat1] = aux_sym_statement_block_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_ui_pragma_repeat1] = aux_sym_ui_pragma_repeat1,
  [aux_sym_ui_annotated_object_repeat1] = aux_sym_ui_annotated_object_repeat1,
  [aux_sym_ui_object_initializer_repeat1] = aux_sym_ui_object_initializer_repeat1,
  [aux_sym_ui_property_repeat1] = aux_sym_ui_property_repeat1,
  [aux_sym_ui_object_array_repeat1] = aux_sym_ui_object_array_repeat1,
  [aux_sym_ui_signal_parameters_repeat1] = aux_sym_ui_signal_parameters_repeat1,
  [aux_sym__qml_enum_body_repeat1] = aux_sym__qml_enum_body_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accessor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pragma] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ui_version_specifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_import] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_version_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object_member] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_list_property_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_array] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_required] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_inline_component] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_negative_number] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_simple_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_pragma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_annotated_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_property_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_signal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__qml_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_annotation = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_component = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_definition = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_major = 27,
  field_minor = 28,
  field_module = 29,
  field_name = 30,
  field_object = 31,
  field_operator = 32,
  field_optional_chain = 33,
  field_parameter = 34,
  field_parameters = 35,
  field_pattern = 36,
  field_property = 37,
  field_return_type = 38,
  field_right = 39,
  field_root = 40,
  field_sign = 41,
  field_source = 42,
  field_type = 43,
  field_type_arguments = 44,
  field_type_name = 45,
  field_type_parameters = 46,
  field_value = 47,
  field_version = 48,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_annotation] = "annotation",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_component] = "component",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_definition] = "definition",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_major] = "major",
  [field_minor] = "minor",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_root] = "root",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_name] = "type_name",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 3, .length = 2},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 2},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 4},
  [18] = {.index = 22, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 24, .length = 2},
  [27] = {.index = 16, .length = 1},
  [28] = {.index = 32, .length = 3},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 2},
  [31] = {.index = 35, .length = 2},
  [32] = {.index = 39, .length = 2},
  [33] = {.index = 41, .length = 2},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 1},
  [36] = {.index = 46, .length = 2},
  [37] = {.index = 48, .length = 1},
  [38] = {.index = 49, .length = 1},
  [40] = {.index = 17, .length = 1},
  [42] = {.index = 50, .length = 2},
  [43] = {.index = 52, .length = 2},
  [44] = {.index = 54, .length = 2},
  [45] = {.index = 56, .length = 2},
  [46] = {.index = 58, .length = 2},
  [47] = {.index = 60, .length = 1},
  [48] = {.index = 61, .length = 2},
  [49] = {.index = 63, .length = 2},
  [50] = {.index = 65, .length = 2},
  [51] = {.index = 67, .length = 3},
  [52] = {.index = 67, .length = 3},
  [55] = {.index = 70, .length = 1},
  [56] = {.index = 71, .length = 2},
  [57] = {.index = 73, .length = 3},
  [58] = {.index = 76, .length = 5},
  [59] = {.index = 67, .length = 3},
  [60] = {.index = 67, .length = 3},
  [61] = {.index = 81, .length = 2},
  [62] = {.index = 83, .length = 2},
  [63] = {.index = 85, .length = 2},
  [64] = {.index = 81, .length = 2},
  [65] = {.index = 83, .length = 2},
  [66] = {.index = 81, .length = 2},
  [67] = {.index = 81, .length = 2},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 2},
  [74] = {.index = 99, .length = 2},
  [75] = {.index = 101, .length = 2},
  [76] = {.index = 103, .length = 2},
  [78] = {.index = 105, .length = 1},
  [79] = {.index = 106, .length = 2},
  [80] = {.index = 108, .length = 2},
  [81] = {.index = 110, .length = 2},
  [82] = {.index = 112, .length = 1},
  [83] = {.index = 113, .length = 3},
  [84] = {.index = 116, .length = 3},
  [85] = {.index = 119, .length = 2},
  [86] = {.index = 121, .length = 2},
  [87] = {.index = 123, .length = 2},
  [88] = {.index = 125, .length = 2},
  [89] = {.index = 127, .length = 1},
  [90] = {.index = 128, .length = 2},
  [91] = {.index = 130, .length = 1},
  [92] = {.index = 131, .length = 2},
  [93] = {.index = 133, .length = 4},
  [94] = {.index = 137, .length = 2},
  [95] = {.index = 139, .length = 2},
  [96] = {.index = 141, .length = 3},
  [97] = {.index = 144, .length = 2},
  [98] = {.index = 146, .length = 2},
  [99] = {.index = 148, .length = 2},
  [100] = {.index = 150, .length = 2},
  [101] = {.index = 16, .length = 1},
  [102] = {.index = 152, .length = 2},
  [103] = {.index = 154, .length = 2},
  [104] = {.index = 156, .length = 2},
  [107] = {.index = 152, .length = 2},
  [108] = {.index = 158, .length = 4},
  [109] = {.index = 99, .length = 2},
  [110] = {.index = 101, .length = 2},
  [111] = {.index = 162, .length = 3},
  [112] = {.index = 83, .length = 2},
  [113] = {.index = 165, .length = 3},
  [114] = {.index = 165, .length = 3},
  [115] = {.index = 168, .length = 3},
  [116] = {.index = 171, .length = 2},
  [117] = {.index = 173, .length = 4},
  [118] = {.index = 177, .length = 3},
  [119] = {.index = 180, .length = 2},
  [120] = {.index = 99, .length = 2},
  [121] = {.index = 182, .length = 2},
  [122] = {.index = 184, .length = 5},
  [123] = {.index = 189, .length = 3},
  [124] = {.index = 189, .length = 3},
  [126] = {.index = 189, .length = 3},
  [127] = {.index = 189, .length = 3},
  [128] = {.index = 192, .length = 2},
  [129] = {.index = 192, .length = 2},
  [130] = {.index = 194, .length = 2},
  [131] = {.index = 196, .length = 2},
  [132] = {.index = 196, .length = 2},
  [133] = {.index = 196, .length = 2},
  [134] = {.index = 196, .length = 2},
  [135] = {.index = 198, .length = 1},
  [136] = {.index = 199, .length = 2},
  [137] = {.index = 201, .length = 1},
  [138] = {.index = 202, .length = 6},
  [139] = {.index = 208, .length = 2},
  [140] = {.index = 210, .length = 1},
  [141] = {.index = 125, .length = 2},
  [142] = {.index = 125, .length = 2},
  [143] = {.index = 211, .length = 5},
  [144] = {.index = 216, .length = 2},
  [145] = {.index = 218, .length = 3},
  [146] = {.index = 221, .length = 1},
  [147] = {.index = 222, .length = 1},
  [148] = {.index = 223, .length = 3},
  [149] = {.index = 226, .length = 3},
  [150] = {.index = 229, .length = 4},
  [151] = {.index = 233, .length = 2},
  [152] = {.index = 235, .length = 3},
  [153] = {.index = 238, .length = 4},
  [154] = {.index = 242, .length = 1},
  [155] = {.index = 243, .length = 2},
  [156] = {.index = 245, .length = 1},
  [157] = {.index = 246, .length = 2},
  [158] = {.index = 248, .length = 3},
  [159] = {.index = 251, .length = 2},
  [160] = {.index = 253, .length = 4},
  [161] = {.index = 257, .length = 2},
  [162] = {.index = 259, .length = 2},
  [163] = {.index = 261, .length = 4},
  [164] = {.index = 259, .length = 2},
  [165] = {.index = 265, .length = 4},
  [166] = {.index = 269, .length = 3},
  [167] = {.index = 272, .length = 2},
  [168] = {.index = 272, .length = 2},
  [169] = {.index = 274, .length = 2},
  [170] = {.index = 276, .length = 1},
  [171] = {.index = 277, .length = 2},
  [172] = {.index = 279, .length = 4},
  [173] = {.index = 283, .length = 4},
  [174] = {.index = 287, .length = 4},
  [175] = {.index = 291, .length = 2},
  [176] = {.index = 293, .length = 2},
  [177] = {.index = 295, .length = 3},
  [178] = {.index = 298, .length = 2},
  [179] = {.index = 300, .length = 4},
  [180] = {.index = 300, .length = 4},
  [181] = {.index = 304, .length = 4},
  [182] = {.index = 304, .length = 4},
  [183] = {.index = 308, .length = 2},
  [184] = {.index = 310, .length = 3},
  [185] = {.index = 313, .length = 3},
  [186] = {.index = 316, .length = 2},
  [187] = {.index = 318, .length = 3},
  [188] = {.index = 321, .length = 5},
  [189] = {.index = 326, .length = 4},
  [190] = {.index = 326, .length = 4},
  [191] = {.index = 326, .length = 4},
  [192] = {.index = 326, .length = 4},
  [193] = {.index = 71, .length = 2},
  [194] = {.index = 330, .length = 4},
  [195] = {.index = 334, .length = 2},
  [196] = {.index = 336, .length = 2},
  [197] = {.index = 338, .length = 3},
  [198] = {.index = 341, .length = 3},
  [199] = {.index = 341, .length = 3},
  [200] = {.index = 341, .length = 3},
  [201] = {.index = 341, .length = 3},
  [202] = {.index = 344, .length = 1},
  [203] = {.index = 345, .length = 1},
  [204] = {.index = 346, .length = 1},
  [205] = {.index = 347, .length = 2},
  [206] = {.index = 349, .length = 6},
  [207] = {.index = 355, .length = 2},
  [208] = {.index = 357, .length = 4},
  [209] = {.index = 347, .length = 2},
  [210] = {.index = 361, .length = 1},
  [211] = {.index = 361, .length = 1},
  [212] = {.index = 246, .length = 2},
  [213] = {.index = 248, .length = 3},
  [214] = {.index = 362, .length = 5},
  [215] = {.index = 367, .length = 2},
  [216] = {.index = 369, .length = 1},
  [217] = {.index = 370, .length = 4},
  [218] = {.index = 374, .length = 2},
  [219] = {.index = 376, .length = 1},
  [220] = {.index = 377, .length = 2},
  [221] = {.index = 379, .length = 2},
  [222] = {.index = 381, .length = 2},
  [223] = {.index = 383, .length = 4},
  [224] = {.index = 387, .length = 2},
  [225] = {.index = 389, .length = 3},
  [226] = {.index = 392, .length = 3},
  [227] = {.index = 395, .length = 3},
  [228] = {.index = 398, .length = 4},
  [229] = {.index = 402, .length = 4},
  [230] = {.index = 406, .length = 2},
  [231] = {.index = 408, .length = 2},
  [232] = {.index = 410, .length = 1},
  [233] = {.index = 411, .length = 4},
  [234] = {.index = 411, .length = 4},
  [235] = {.index = 415, .length = 3},
  [236] = {.index = 418, .length = 2},
  [237] = {.index = 420, .length = 3},
  [238] = {.index = 423, .length = 3},
  [239] = {.index = 426, .length = 3},
  [240] = {.index = 71, .length = 2},
  [241] = {.index = 429, .length = 3},
  [242] = {.index = 432, .length = 4},
  [243] = {.index = 436, .length = 3},
  [244] = {.index = 439, .length = 4},
  [245] = {.index = 439, .length = 4},
  [246] = {.index = 439, .length = 4},
  [247] = {.index = 439, .length = 4},
  [248] = {.index = 443, .length = 1},
  [249] = {.index = 444, .length = 2},
  [250] = {.index = 446, .length = 5},
  [251] = {.index = 39, .length = 2},
  [252] = {.index = 444, .length = 2},
  [253] = {.index = 451, .length = 4},
  [254] = {.index = 455, .length = 2},
  [255] = {.index = 457, .length = 3},
  [256] = {.index = 460, .length = 2},
  [257] = {.index = 460, .length = 2},
  [258] = {.index = 395, .length = 3},
  [259] = {.index = 462, .length = 2},
  [260] = {.index = 464, .length = 3},
  [261] = {.index = 467, .length = 2},
  [262] = {.index = 469, .length = 4},
  [263] = {.index = 71, .length = 2},
  [264] = {.index = 473, .length = 1},
  [265] = {.index = 474, .length = 2},
  [266] = {.index = 476, .length = 2},
  [267] = {.index = 478, .length = 2},
  [268] = {.index = 480, .length = 2},
  [269] = {.index = 482, .length = 3},
  [270] = {.index = 485, .length = 1},
  [271] = {.index = 486, .length = 3},
  [272] = {.index = 489, .length = 2},
  [273] = {.index = 491, .length = 3},
  [274] = {.index = 494, .length = 3},
  [275] = {.index = 497, .length = 3},
  [276] = {.index = 500, .length = 3},
  [277] = {.index = 503, .length = 4},
  [278] = {.index = 507, .length = 3},
  [279] = {.index = 510, .length = 2},
  [280] = {.index = 512, .length = 2},
  [281] = {.index = 514, .length = 4},
  [282] = {.index = 518, .length = 4},
  [283] = {.index = 522, .length = 4},
  [284] = {.index = 526, .length = 3},
  [285] = {.index = 529, .length = 2},
  [286] = {.index = 531, .length = 4},
  [287] = {.index = 535, .length = 2},
  [288] = {.index = 537, .length = 3},
  [289] = {.index = 535, .length = 2},
  [290] = {.index = 540, .length = 3},
  [291] = {.index = 540, .length = 3},
  [292] = {.index = 543, .length = 3},
  [293] = {.index = 546, .length = 5},
  [294] = {.index = 551, .length = 3},
  [295] = {.index = 554, .length = 2},
  [296] = {.index = 556, .length = 1},
  [297] = {.index = 557, .length = 3},
  [298] = {.index = 560, .length = 4},
  [299] = {.index = 564, .length = 2},
  [300] = {.index = 566, .length = 2},
  [301] = {.index = 568, .length = 4},
  [302] = {.index = 572, .length = 4},
  [303] = {.index = 576, .length = 2},
  [304] = {.index = 578, .length = 2},
  [305] = {.index = 580, .length = 3},
  [306] = {.index = 583, .length = 3},
  [307] = {.index = 586, .length = 2},
  [308] = {.index = 588, .length = 2},
  [309] = {.index = 590, .length = 1},
  [310] = {.index = 591, .length = 1},
  [311] = {.index = 592, .length = 3},
  [312] = {.index = 595, .length = 3},
  [313] = {.index = 598, .length = 3},
  [314] = {.index = 601, .length = 3},
  [315] = {.index = 604, .length = 4},
  [316] = {.index = 608, .length = 2},
  [317] = {.index = 610, .length = 4},
  [318] = {.index = 614, .length = 3},
  [319] = {.index = 617, .length = 2},
  [320] = {.index = 619, .length = 4},
  [321] = {.index = 623, .length = 4},
  [322] = {.index = 627, .length = 4},
  [323] = {.index = 631, .length = 3},
  [324] = {.index = 634, .length = 1},
  [325] = {.index = 635, .length = 4},
  [326] = {.index = 639, .length = 4},
  [327] = {.index = 643, .length = 4},
  [328] = {.index = 647, .length = 3},
  [329] = {.index = 650, .length = 5},
  [330] = {.index = 655, .length = 5},
  [332] = {.index = 660, .length = 4},
  [333] = {.index = 664, .length = 3},
  [334] = {.index = 667, .length = 3},
  [335] = {.index = 670, .length = 3},
  [336] = {.index = 667, .length = 3},
  [337] = {.index = 673, .length = 2},
  [338] = {.index = 675, .length = 4},
  [339] = {.index = 679, .length = 4},
  [340] = {.index = 683, .length = 3},
  [341] = {.index = 686, .length = 2},
  [342] = {.index = 688, .length = 2},
  [343] = {.index = 690, .length = 3},
  [344] = {.index = 693, .length = 2},
  [345] = {.index = 695, .length = 2},
  [346] = {.index = 697, .length = 1},
  [347] = {.index = 698, .length = 3},
  [348] = {.index = 701, .length = 3},
  [349] = {.index = 704, .length = 4},
  [350] = {.index = 708, .length = 4},
  [351] = {.index = 712, .length = 3},
  [352] = {.index = 715, .length = 3},
  [353] = {.index = 718, .length = 2},
  [354] = {.index = 720, .length = 4},
  [355] = {.index = 724, .length = 5},
  [356] = {.index = 729, .length = 4},
  [357] = {.index = 733, .length = 5},
  [358] = {.index = 738, .length = 4},
  [359] = {.index = 742, .length = 4},
  [360] = {.index = 746, .length = 5},
  [361] = {.index = 751, .length = 5},
  [362] = {.index = 756, .length = 4},
  [363] = {.index = 760, .length = 4},
  [364] = {.index = 764, .length = 3},
  [365] = {.index = 767, .length = 3},
  [366] = {.index = 767, .length = 3},
  [367] = {.index = 770, .length = 2},
  [368] = {.index = 772, .length = 2},
  [369] = {.index = 774, .length = 3},
  [370] = {.index = 777, .length = 2},
  [371] = {.index = 779, .length = 2},
  [372] = {.index = 781, .length = 4},
  [373] = {.index = 785, .length = 3},
  [374] = {.index = 788, .length = 3},
  [375] = {.index = 791, .length = 4},
  [376] = {.index = 795, .length = 3},
  [377] = {.index = 798, .length = 3},
  [378] = {.index = 801, .length = 2},
  [379] = {.index = 803, .length = 5},
  [380] = {.index = 808, .length = 5},
  [381] = {.index = 813, .length = 5},
  [382] = {.index = 818, .length = 4},
  [383] = {.index = 818, .length = 4},
  [384] = {.index = 822, .length = 4},
  [385] = {.index = 826, .length = 3},
  [386] = {.index = 829, .length = 2},
  [387] = {.index = 831, .length = 2},
  [388] = {.index = 833, .length = 3},
  [389] = {.index = 836, .length = 4},
  [390] = {.index = 840, .length = 4},
  [391] = {.index = 844, .length = 3},
  [392] = {.index = 847, .length = 3},
  [393] = {.index = 850, .length = 4},
  [394] = {.index = 854, .length = 3},
  [395] = {.index = 857, .length = 3},
  [396] = {.index = 860, .length = 5},
  [397] = {.index = 865, .length = 3},
  [398] = {.index = 868, .length = 4},
  [399] = {.index = 872, .length = 4},
  [400] = {.index = 876, .length = 3},
  [401] = {.index = 879, .length = 3},
  [402] = {.index = 882, .length = 4},
  [403] = {.index = 886, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_annotation, 0},
  [2] =
    {field_root, 1},
  [3] =
    {field_initializer, 1},
    {field_type_name, 0},
  [5] =
    {field_annotation, 0, .inherited = true},
    {field_definition, 1},
  [7] =
    {field_annotation, 0, .inherited = true},
    {field_annotation, 1, .inherited = true},
  [9] =
    {field_root, 2},
  [10] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [12] =
    {field_source, 1},
  [13] =
    {field_major, 0},
  [14] =
    {field_initializer, 2},
    {field_type_name, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_name, 0},
  [18] =
    {field_annotation, 0, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_definition, 1},
    {field_name, 1, .inherited = true},
  [22] =
    {field_source, 1},
    {field_version, 2},
  [24] =
    {field_name, 0},
    {field_value, 2},
  [26] =
    {field_decorator, 0},
  [27] =
    {field_parameters, 0},
  [28] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [30] =
    {field_name, 0},
    {field_type, 1},
  [32] =
    {field_body, 2},
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [35] =
    {field_alias, 3},
    {field_source, 1},
  [37] =
    {field_major, 0},
    {field_minor, 2},
  [39] =
    {field_name, 1},
    {field_value, 3},
  [41] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [43] =
    {field_argument, 1},
    {field_operator, 0},
  [45] =
    {field_pattern, 0},
  [46] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [48] =
    {field_body, 1},
  [49] =
    {field_constructor, 1},
  [50] =
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [52] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
  [54] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [56] =
    {field_arguments, 1},
    {field_function, 0},
  [58] =
    {field_argument, 0},
    {field_operator, 1},
  [60] =
    {field_type_arguments, 1},
  [61] =
    {field_parameters, 0},
    {field_return_type, 1},
  [63] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [65] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [67] =
    {field_initializer, 3},
    {field_name, 2},
    {field_type_name, 0},
  [70] =
    {field_value, 1},
  [71] =
    {field_name, 0},
    {field_type, 2},
  [73] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [76] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [81] =
    {field_name, 2},
    {field_type, 1},
  [83] =
    {field_object, 0},
    {field_property, 2},
  [85] =
    {field_module, 0},
    {field_name, 2},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
  [89] =
    {field_component, 3},
    {field_name, 1},
  [91] =
    {field_alias, 4},
    {field_source, 1},
    {field_version, 2},
  [94] =
    {field_name, 1},
    {field_value, 3},
    {field_value, 4, .inherited = true},
  [97] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [99] =
    {field_left, 0},
    {field_right, 2},
  [101] =
    {field_body, 2},
    {field_parameter, 0},
  [103] =
    {field_body, 1},
    {field_name, 0},
  [105] =
    {field_declaration, 1},
  [106] =
    {field_body, 2},
    {field_object, 1},
  [108] =
    {field_condition, 1},
    {field_consequence, 2},
  [110] =
    {field_body, 2},
    {field_value, 1},
  [112] =
    {field_pattern, 1},
  [113] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [116] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [119] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [121] =
    {field_body, 1},
    {field_handler, 2},
  [123] =
    {field_body, 1},
    {field_finalizer, 2},
  [125] =
    {field_body, 2},
    {field_name, 1},
  [127] =
    {field_value, 0},
  [128] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [130] =
    {field_body, 2},
  [131] =
    {field_body, 2},
    {field_type_parameters, 1},
  [133] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [137] =
    {field_arguments, 2},
    {field_constructor, 1},
  [139] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [141] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [144] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [146] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [148] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [150] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [152] =
    {field_name, 0},
    {field_type_arguments, 1},
  [154] =
    {field_name, 0},
    {field_value, 1},
  [156] =
    {field_constraint, 1},
    {field_name, 0},
  [158] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [162] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [165] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [168] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [171] =
    {field_arguments, 2},
    {field_function, 0},
  [173] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [177] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [180] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [182] =
    {field_key, 0},
    {field_value, 2},
  [184] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [189] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
  [192] =
    {field_name, 1},
    {field_type, 0},
  [194] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [196] =
    {field_name, 3},
    {field_type, 2},
  [198] =
    {field_declaration, 2},
  [199] =
    {field_body, 2},
    {field_label, 0},
  [201] =
    {field_kind, 0},
  [202] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [208] =
    {field_body, 2},
    {field_condition, 1},
  [210] =
    {field_label, 1},
  [211] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [216] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [218] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [221] =
    {field_type, 2},
  [222] =
    {field_pattern, 2},
  [223] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [226] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [229] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [233] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [235] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [238] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [242] =
    {field_decorator, 0, .inherited = true},
  [243] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [245] =
    {field_decorator, 1, .inherited = true},
  [246] =
    {field_body, 3},
    {field_name, 1},
  [248] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [251] =
    {field_type_arguments, 1},
    {field_value, 0},
  [253] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [257] =
    {field_body, 3},
    {field_type_parameters, 1},
  [259] =
    {field_body, 3},
    {field_parameter, 1},
  [261] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [265] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [269] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [272] =
    {field_left, 1},
    {field_right, 3},
  [274] =
    {field_flags, 3},
    {field_pattern, 1},
  [276] =
    {field_parameters, 1},
  [277] =
    {field_function, 0},
    {field_type_arguments, 1},
  [279] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [283] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [287] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [291] =
    {field_name, 1},
    {field_value, 2},
  [293] =
    {field_constraint, 2},
    {field_name, 1},
  [295] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [298] =
    {field_parameters, 0},
    {field_return_type, 2},
  [300] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [304] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [308] =
    {field_index, 2},
    {field_object, 0},
  [310] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [313] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [316] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [318] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [321] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [326] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
    {field_value, 5},
  [330] =
    {field_argument, 2, .inherited = true},
    {field_name, 0},
    {field_operator, 2, .inherited = true},
    {field_value, 2},
  [334] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [336] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [338] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_value, 1, .inherited = true},
  [341] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
  [344] =
    {field_source, 2, .inherited = true},
  [345] =
    {field_value, 2},
  [346] =
    {field_source, 2},
  [347] =
    {field_body, 3},
    {field_name, 2},
  [349] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [355] =
    {field_body, 1},
    {field_condition, 3},
  [357] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [361] =
    {field_type, 1},
  [362] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [367] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [369] =
    {field_pattern, 3},
  [370] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [374] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [376] =
    {field_name, 2},
  [377] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [379] =
    {field_name, 1},
    {field_type, 2},
  [381] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [383] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [387] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [389] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [392] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [395] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [398] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [402] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [406] =
    {field_parameters, 1},
    {field_type, 2},
  [408] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [410] =
    {field_parameters, 2},
  [411] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [415] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [418] =
    {field_parameters, 1},
    {field_type, 3},
  [420] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [423] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [426] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [429] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [432] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [436] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [439] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
    {field_value, 6},
  [443] =
    {field_source, 3, .inherited = true},
  [444] =
    {field_alias, 2},
    {field_name, 0},
  [446] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [451] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [455] =
    {field_body, 4},
    {field_name, 2},
  [457] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [460] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [462] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [464] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [467] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [469] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [473] =
    {field_type, 3},
  [474] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [476] =
    {field_name, 2},
    {field_type, 3},
  [478] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [480] =
    {field_name, 1},
    {field_type, 3},
  [482] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [485] =
    {field_name, 3},
  [486] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [489] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [491] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [494] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [497] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [500] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [503] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [507] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [510] =
    {field_parameters, 2},
    {field_type, 3},
  [512] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [514] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [518] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [522] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [526] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [529] =
    {field_parameters, 2},
    {field_type, 4},
  [531] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [535] =
    {field_alias, 3},
    {field_name, 1},
  [537] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [540] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [543] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [546] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [551] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [554] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [556] =
    {field_name, 2, .inherited = true},
  [557] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [560] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [564] =
    {field_body, 3},
    {field_value, 1},
  [566] =
    {field_body, 4},
    {field_parameter, 2},
  [568] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [572] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [576] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [578] =
    {field_name, 2},
    {field_type, 4},
  [580] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [583] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [586] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [588] =
    {field_name, 3},
    {field_type, 4},
  [590] =
    {field_type, 4},
  [591] =
    {field_name, 4},
  [592] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [595] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [598] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [601] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [604] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [608] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [610] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [614] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [617] =
    {field_index, 3},
    {field_object, 0},
  [619] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [623] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [627] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [631] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [634] =
    {field_source, 4},
  [635] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [639] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [643] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [647] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [650] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [655] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [660] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [664] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [667] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [670] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [673] =
    {field_sign, 0},
    {field_type, 5},
  [675] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [679] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [683] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [686] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [688] =
    {field_name, 3},
    {field_type, 5},
  [690] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [693] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [695] =
    {field_name, 4},
    {field_type, 5},
  [697] =
    {field_name, 5},
  [698] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [701] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [704] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [708] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [712] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [715] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [718] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [720] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [724] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [729] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [733] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [738] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [742] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [746] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [751] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [756] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [760] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [764] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [767] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [770] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [772] =
    {field_name, 4},
    {field_type, 6},
  [774] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [777] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [779] =
    {field_name, 5},
    {field_type, 6},
  [781] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [785] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [788] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [791] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [795] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [798] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [801] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [803] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
  [808] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [813] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [818] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [822] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [826] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [829] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [831] =
    {field_name, 5},
    {field_type, 7},
  [833] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [836] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [840] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [844] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [847] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [850] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [854] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [857] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [860] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [865] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [868] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [872] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [876] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [879] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [882] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [886] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = sym_identifier,
  },
  [10] = {
    [0] = sym_identifier,
  },
  [11] = {
    [1] = sym_identifier,
  },
  [18] = {
    [1] = sym_identifier,
  },
  [20] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = alias_sym_property_identifier,
  },
  [27] = {
    [1] = sym_identifier,
  },
  [29] = {
    [1] = sym_identifier,
  },
  [39] = {
    [0] = anon_sym_list,
  },
  [40] = {
    [0] = anon_sym_list,
  },
  [41] = {
    [0] = alias_sym_this_type,
  },
  [51] = {
    [0] = sym_identifier,
    [2] = sym_identifier,
  },
  [52] = {
    [0] = sym_identifier,
  },
  [53] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [54] = {
    [1] = sym_identifier,
  },
  [59] = {
    [2] = sym_identifier,
  },
  [61] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [62] = {
    [2] = alias_sym_property_identifier,
  },
  [63] = {
    [2] = anon_sym_list,
  },
  [64] = {
    [1] = anon_sym_list,
  },
  [65] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [66] = {
    [2] = sym_identifier,
  },
  [70] = {
    [1] = sym_identifier,
  },
  [74] = {
    [0] = sym_identifier,
  },
  [75] = {
    [0] = sym_identifier,
  },
  [77] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [88] = {
    [1] = anon_sym_list,
  },
  [101] = {
    [1] = anon_sym_list,
  },
  [102] = {
    [0] = anon_sym_list,
  },
  [103] = {
    [0] = anon_sym_list,
  },
  [104] = {
    [0] = anon_sym_list,
  },
  [105] = {
    [1] = anon_sym_list,
  },
  [106] = {
    [1] = anon_sym_unique,
  },
  [113] = {
    [2] = alias_sym_property_identifier,
  },
  [120] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [123] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [124] = {
    [1] = anon_sym_list,
  },
  [125] = {
    [2] = anon_sym_list,
  },
  [126] = {
    [2] = sym_identifier,
  },
  [128] = {
    [0] = anon_sym_list,
  },
  [131] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [132] = {
    [2] = anon_sym_list,
  },
  [133] = {
    [3] = sym_identifier,
  },
  [136] = {
    [0] = alias_sym_statement_identifier,
  },
  [140] = {
    [1] = alias_sym_statement_identifier,
  },
  [141] = {
    [1] = anon_sym_list,
    [2] = alias_sym_interface_body,
  },
  [157] = {
    [1] = anon_sym_list,
  },
  [158] = {
    [1] = anon_sym_list,
  },
  [162] = {
    [1] = sym_identifier,
  },
  [167] = {
    [1] = sym_identifier,
  },
  [175] = {
    [1] = anon_sym_list,
  },
  [176] = {
    [1] = anon_sym_list,
  },
  [177] = {
    [0] = anon_sym_list,
  },
  [179] = {
    [2] = alias_sym_property_identifier,
  },
  [181] = {
    [2] = alias_sym_property_identifier,
  },
  [185] = {
    [2] = anon_sym_list,
  },
  [189] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [190] = {
    [1] = anon_sym_list,
  },
  [191] = {
    [2] = sym_identifier,
  },
  [193] = {
    [2] = anon_sym_list,
  },
  [198] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [199] = {
    [2] = anon_sym_list,
  },
  [200] = {
    [3] = sym_identifier,
  },
  [209] = {
    [2] = anon_sym_list,
  },
  [210] = {
    [1] = anon_sym_list,
  },
  [212] = {
    [1] = anon_sym_list,
    [3] = alias_sym_interface_body,
  },
  [213] = {
    [1] = anon_sym_list,
    [3] = alias_sym_interface_body,
  },
  [227] = {
    [1] = anon_sym_list,
  },
  [233] = {
    [2] = alias_sym_property_identifier,
  },
  [235] = {
    [1] = anon_sym_list,
  },
  [240] = {
    [0] = sym_identifier,
  },
  [241] = {
    [2] = anon_sym_list,
  },
  [242] = {
    [2] = anon_sym_list,
  },
  [244] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [245] = {
    [2] = anon_sym_list,
  },
  [246] = {
    [3] = sym_identifier,
  },
  [251] = {
    [1] = anon_sym_list,
  },
  [252] = {
    [0] = sym_identifier,
  },
  [254] = {
    [2] = anon_sym_list,
  },
  [255] = {
    [2] = anon_sym_list,
  },
  [256] = {
    [1] = anon_sym_list,
  },
  [258] = {
    [1] = anon_sym_list,
    [4] = alias_sym_interface_body,
  },
  [260] = {
    [3] = anon_sym_list,
  },
  [263] = {
    [0] = anon_sym_list,
  },
  [286] = {
    [2] = anon_sym_list,
  },
  [288] = {
    [1] = anon_sym_list,
  },
  [289] = {
    [1] = sym_identifier,
  },
  [290] = {
    [1] = sym_identifier,
  },
  [294] = {
    [2] = anon_sym_list,
  },
  [297] = {
    [3] = anon_sym_list,
  },
  [298] = {
    [3] = anon_sym_list,
  },
  [331] = {
    [3] = alias_sym_property_identifier,
  },
  [332] = {
    [3] = anon_sym_list,
  },
  [334] = {
    [1] = sym_identifier,
  },
  [335] = {
    [0] = anon_sym_list,
  },
  [365] = {
    [2] = sym_identifier,
  },
  [382] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 16,
  [20] = 17,
  [21] = 17,
  [22] = 16,
  [23] = 16,
  [24] = 17,
  [25] = 17,
  [26] = 16,
  [27] = 16,
  [28] = 17,
  [29] = 16,
  [30] = 16,
  [31] = 17,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 32,
  [43] = 43,
  [44] = 41,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 35,
  [49] = 33,
  [50] = 34,
  [51] = 51,
  [52] = 36,
  [53] = 37,
  [54] = 38,
  [55] = 41,
  [56] = 56,
  [57] = 43,
  [58] = 45,
  [59] = 46,
  [60] = 47,
  [61] = 35,
  [62] = 33,
  [63] = 34,
  [64] = 51,
  [65] = 36,
  [66] = 37,
  [67] = 38,
  [68] = 32,
  [69] = 43,
  [70] = 39,
  [71] = 40,
  [72] = 72,
  [73] = 72,
  [74] = 39,
  [75] = 72,
  [76] = 72,
  [77] = 40,
  [78] = 45,
  [79] = 46,
  [80] = 72,
  [81] = 72,
  [82] = 47,
  [83] = 72,
  [84] = 56,
  [85] = 72,
  [86] = 72,
  [87] = 72,
  [88] = 51,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 89,
  [93] = 93,
  [94] = 94,
  [95] = 94,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 94,
  [103] = 96,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 107,
  [109] = 109,
  [110] = 109,
  [111] = 106,
  [112] = 109,
  [113] = 109,
  [114] = 109,
  [115] = 106,
  [116] = 106,
  [117] = 117,
  [118] = 118,
  [119] = 105,
  [120] = 118,
  [121] = 117,
  [122] = 118,
  [123] = 123,
  [124] = 106,
  [125] = 125,
  [126] = 106,
  [127] = 104,
  [128] = 128,
  [129] = 105,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 117,
  [134] = 105,
  [135] = 107,
  [136] = 106,
  [137] = 106,
  [138] = 117,
  [139] = 106,
  [140] = 106,
  [141] = 105,
  [142] = 106,
  [143] = 105,
  [144] = 106,
  [145] = 128,
  [146] = 106,
  [147] = 106,
  [148] = 105,
  [149] = 123,
  [150] = 150,
  [151] = 105,
  [152] = 150,
  [153] = 150,
  [154] = 105,
  [155] = 131,
  [156] = 156,
  [157] = 150,
  [158] = 150,
  [159] = 150,
  [160] = 150,
  [161] = 106,
  [162] = 150,
  [163] = 106,
  [164] = 150,
  [165] = 106,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 167,
  [171] = 167,
  [172] = 167,
  [173] = 167,
  [174] = 167,
  [175] = 167,
  [176] = 167,
  [177] = 167,
  [178] = 178,
  [179] = 178,
  [180] = 178,
  [181] = 178,
  [182] = 178,
  [183] = 178,
  [184] = 178,
  [185] = 178,
  [186] = 178,
  [187] = 187,
  [188] = 187,
  [189] = 189,
  [190] = 189,
  [191] = 187,
  [192] = 189,
  [193] = 187,
  [194] = 189,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 196,
  [207] = 196,
  [208] = 208,
  [209] = 209,
  [210] = 208,
  [211] = 196,
  [212] = 208,
  [213] = 196,
  [214] = 196,
  [215] = 196,
  [216] = 216,
  [217] = 196,
  [218] = 216,
  [219] = 219,
  [220] = 219,
  [221] = 209,
  [222] = 222,
  [223] = 223,
  [224] = 222,
  [225] = 196,
  [226] = 222,
  [227] = 223,
  [228] = 223,
  [229] = 229,
  [230] = 229,
  [231] = 229,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 232,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 232,
  [241] = 232,
  [242] = 242,
  [243] = 232,
  [244] = 232,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 233,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 233,
  [276] = 276,
  [277] = 274,
  [278] = 272,
  [279] = 279,
  [280] = 276,
  [281] = 274,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 282,
  [286] = 284,
  [287] = 287,
  [288] = 287,
  [289] = 287,
  [290] = 287,
  [291] = 291,
  [292] = 287,
  [293] = 233,
  [294] = 287,
  [295] = 233,
  [296] = 233,
  [297] = 233,
  [298] = 287,
  [299] = 287,
  [300] = 233,
  [301] = 301,
  [302] = 233,
  [303] = 233,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 306,
  [308] = 306,
  [309] = 306,
  [310] = 306,
  [311] = 306,
  [312] = 306,
  [313] = 313,
  [314] = 314,
  [315] = 306,
  [316] = 306,
  [317] = 306,
  [318] = 306,
  [319] = 306,
  [320] = 306,
  [321] = 306,
  [322] = 322,
  [323] = 322,
  [324] = 322,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 327,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 325,
  [333] = 325,
  [334] = 334,
  [335] = 335,
  [336] = 335,
  [337] = 337,
  [338] = 338,
  [339] = 338,
  [340] = 340,
  [341] = 338,
  [342] = 340,
  [343] = 337,
  [344] = 340,
  [345] = 335,
  [346] = 346,
  [347] = 346,
  [348] = 337,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 350,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 350,
  [365] = 350,
  [366] = 363,
  [367] = 367,
  [368] = 359,
  [369] = 360,
  [370] = 361,
  [371] = 371,
  [372] = 363,
  [373] = 373,
  [374] = 367,
  [375] = 350,
  [376] = 363,
  [377] = 367,
  [378] = 359,
  [379] = 360,
  [380] = 361,
  [381] = 359,
  [382] = 360,
  [383] = 361,
  [384] = 384,
  [385] = 367,
  [386] = 386,
  [387] = 387,
  [388] = 350,
  [389] = 389,
  [390] = 390,
  [391] = 363,
  [392] = 363,
  [393] = 373,
  [394] = 367,
  [395] = 359,
  [396] = 360,
  [397] = 361,
  [398] = 371,
  [399] = 367,
  [400] = 350,
  [401] = 363,
  [402] = 367,
  [403] = 359,
  [404] = 360,
  [405] = 361,
  [406] = 390,
  [407] = 407,
  [408] = 359,
  [409] = 360,
  [410] = 350,
  [411] = 363,
  [412] = 367,
  [413] = 359,
  [414] = 360,
  [415] = 361,
  [416] = 361,
  [417] = 417,
  [418] = 390,
  [419] = 350,
  [420] = 363,
  [421] = 367,
  [422] = 359,
  [423] = 360,
  [424] = 361,
  [425] = 351,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 426,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 437,
  [446] = 438,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 427,
  [456] = 429,
  [457] = 430,
  [458] = 458,
  [459] = 432,
  [460] = 460,
  [461] = 442,
  [462] = 443,
  [463] = 444,
  [464] = 437,
  [465] = 447,
  [466] = 448,
  [467] = 449,
  [468] = 450,
  [469] = 452,
  [470] = 453,
  [471] = 454,
  [472] = 427,
  [473] = 431,
  [474] = 429,
  [475] = 430,
  [476] = 440,
  [477] = 431,
  [478] = 441,
  [479] = 441,
  [480] = 433,
  [481] = 434,
  [482] = 447,
  [483] = 439,
  [484] = 448,
  [485] = 440,
  [486] = 441,
  [487] = 449,
  [488] = 460,
  [489] = 458,
  [490] = 451,
  [491] = 432,
  [492] = 433,
  [493] = 440,
  [494] = 441,
  [495] = 434,
  [496] = 450,
  [497] = 452,
  [498] = 451,
  [499] = 453,
  [500] = 454,
  [501] = 501,
  [502] = 451,
  [503] = 427,
  [504] = 429,
  [505] = 505,
  [506] = 430,
  [507] = 439,
  [508] = 431,
  [509] = 451,
  [510] = 510,
  [511] = 442,
  [512] = 451,
  [513] = 513,
  [514] = 451,
  [515] = 515,
  [516] = 516,
  [517] = 442,
  [518] = 518,
  [519] = 432,
  [520] = 460,
  [521] = 426,
  [522] = 433,
  [523] = 443,
  [524] = 434,
  [525] = 442,
  [526] = 443,
  [527] = 451,
  [528] = 444,
  [529] = 437,
  [530] = 447,
  [531] = 448,
  [532] = 449,
  [533] = 450,
  [534] = 452,
  [535] = 453,
  [536] = 454,
  [537] = 427,
  [538] = 429,
  [539] = 430,
  [540] = 431,
  [541] = 541,
  [542] = 433,
  [543] = 434,
  [544] = 444,
  [545] = 437,
  [546] = 447,
  [547] = 501,
  [548] = 448,
  [549] = 449,
  [550] = 439,
  [551] = 450,
  [552] = 452,
  [553] = 453,
  [554] = 454,
  [555] = 427,
  [556] = 451,
  [557] = 429,
  [558] = 430,
  [559] = 454,
  [560] = 431,
  [561] = 458,
  [562] = 432,
  [563] = 460,
  [564] = 564,
  [565] = 442,
  [566] = 443,
  [567] = 451,
  [568] = 444,
  [569] = 437,
  [570] = 447,
  [571] = 448,
  [572] = 449,
  [573] = 450,
  [574] = 452,
  [575] = 453,
  [576] = 454,
  [577] = 427,
  [578] = 429,
  [579] = 430,
  [580] = 458,
  [581] = 431,
  [582] = 432,
  [583] = 444,
  [584] = 433,
  [585] = 434,
  [586] = 439,
  [587] = 440,
  [588] = 441,
  [589] = 440,
  [590] = 439,
  [591] = 451,
  [592] = 518,
  [593] = 541,
  [594] = 426,
  [595] = 460,
  [596] = 460,
  [597] = 458,
  [598] = 432,
  [599] = 460,
  [600] = 432,
  [601] = 442,
  [602] = 443,
  [603] = 541,
  [604] = 444,
  [605] = 437,
  [606] = 447,
  [607] = 448,
  [608] = 449,
  [609] = 450,
  [610] = 452,
  [611] = 453,
  [612] = 454,
  [613] = 427,
  [614] = 429,
  [615] = 430,
  [616] = 460,
  [617] = 431,
  [618] = 442,
  [619] = 443,
  [620] = 433,
  [621] = 434,
  [622] = 433,
  [623] = 439,
  [624] = 440,
  [625] = 441,
  [626] = 434,
  [627] = 451,
  [628] = 518,
  [629] = 426,
  [630] = 451,
  [631] = 518,
  [632] = 632,
  [633] = 426,
  [634] = 444,
  [635] = 518,
  [636] = 426,
  [637] = 518,
  [638] = 426,
  [639] = 440,
  [640] = 441,
  [641] = 505,
  [642] = 458,
  [643] = 643,
  [644] = 437,
  [645] = 518,
  [646] = 439,
  [647] = 647,
  [648] = 541,
  [649] = 458,
  [650] = 432,
  [651] = 460,
  [652] = 447,
  [653] = 442,
  [654] = 443,
  [655] = 448,
  [656] = 444,
  [657] = 437,
  [658] = 447,
  [659] = 448,
  [660] = 449,
  [661] = 450,
  [662] = 452,
  [663] = 453,
  [664] = 454,
  [665] = 427,
  [666] = 429,
  [667] = 430,
  [668] = 449,
  [669] = 431,
  [670] = 450,
  [671] = 452,
  [672] = 453,
  [673] = 433,
  [674] = 434,
  [675] = 458,
  [676] = 439,
  [677] = 440,
  [678] = 441,
  [679] = 451,
  [680] = 518,
  [681] = 426,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 458,
  [686] = 518,
  [687] = 443,
  [688] = 688,
  [689] = 688,
  [690] = 688,
  [691] = 688,
  [692] = 692,
  [693] = 692,
  [694] = 692,
  [695] = 692,
  [696] = 696,
  [697] = 697,
  [698] = 696,
  [699] = 696,
  [700] = 697,
  [701] = 697,
  [702] = 697,
  [703] = 696,
  [704] = 704,
  [705] = 704,
  [706] = 704,
  [707] = 704,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 711,
  [713] = 710,
  [714] = 711,
  [715] = 711,
  [716] = 710,
  [717] = 710,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 248,
  [722] = 249,
  [723] = 723,
  [724] = 723,
  [725] = 723,
  [726] = 723,
  [727] = 727,
  [728] = 728,
  [729] = 728,
  [730] = 730,
  [731] = 727,
  [732] = 730,
  [733] = 733,
  [734] = 727,
  [735] = 735,
  [736] = 735,
  [737] = 730,
  [738] = 738,
  [739] = 738,
  [740] = 733,
  [741] = 738,
  [742] = 730,
  [743] = 743,
  [744] = 744,
  [745] = 730,
  [746] = 744,
  [747] = 730,
  [748] = 744,
  [749] = 730,
  [750] = 730,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 730,
  [755] = 730,
  [756] = 756,
  [757] = 757,
  [758] = 757,
  [759] = 757,
  [760] = 757,
  [761] = 728,
  [762] = 762,
  [763] = 763,
  [764] = 730,
  [765] = 730,
  [766] = 763,
  [767] = 730,
  [768] = 730,
  [769] = 763,
  [770] = 763,
  [771] = 771,
  [772] = 771,
  [773] = 250,
  [774] = 268,
  [775] = 271,
  [776] = 730,
  [777] = 771,
  [778] = 730,
  [779] = 771,
  [780] = 771,
  [781] = 771,
  [782] = 771,
  [783] = 730,
  [784] = 247,
  [785] = 771,
  [786] = 752,
  [787] = 771,
  [788] = 251,
  [789] = 252,
  [790] = 234,
  [791] = 791,
  [792] = 239,
  [793] = 793,
  [794] = 238,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 250,
  [801] = 801,
  [802] = 251,
  [803] = 252,
  [804] = 804,
  [805] = 270,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 247,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 245,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 271,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 264,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 265,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 268,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 798,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 795,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 957,
  [959] = 957,
  [960] = 957,
  [961] = 957,
  [962] = 962,
  [963] = 963,
  [964] = 962,
  [965] = 962,
  [966] = 962,
  [967] = 963,
  [968] = 963,
  [969] = 963,
  [970] = 962,
  [971] = 963,
  [972] = 972,
  [973] = 242,
  [974] = 239,
  [975] = 238,
  [976] = 234,
  [977] = 258,
  [978] = 978,
  [979] = 978,
  [980] = 978,
  [981] = 978,
  [982] = 247,
  [983] = 978,
  [984] = 978,
  [985] = 978,
  [986] = 978,
  [987] = 978,
  [988] = 978,
  [989] = 978,
  [990] = 978,
  [991] = 267,
  [992] = 250,
  [993] = 266,
  [994] = 270,
  [995] = 245,
  [996] = 978,
  [997] = 271,
  [998] = 248,
  [999] = 249,
  [1000] = 251,
  [1001] = 252,
  [1002] = 263,
  [1003] = 253,
  [1004] = 254,
  [1005] = 255,
  [1006] = 256,
  [1007] = 259,
  [1008] = 260,
  [1009] = 261,
  [1010] = 262,
  [1011] = 268,
  [1012] = 1012,
  [1013] = 265,
  [1014] = 257,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 264,
  [1018] = 1018,
  [1019] = 1018,
  [1020] = 1020,
  [1021] = 1020,
  [1022] = 1020,
  [1023] = 1018,
  [1024] = 1020,
  [1025] = 1025,
  [1026] = 1018,
  [1027] = 1025,
  [1028] = 1018,
  [1029] = 1020,
  [1030] = 1018,
  [1031] = 1025,
  [1032] = 1020,
  [1033] = 1020,
  [1034] = 1018,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1037,
  [1039] = 1035,
  [1040] = 1035,
  [1041] = 1036,
  [1042] = 1036,
  [1043] = 1037,
  [1044] = 1044,
  [1045] = 1037,
  [1046] = 1036,
  [1047] = 1036,
  [1048] = 1037,
  [1049] = 1035,
  [1050] = 1044,
  [1051] = 1035,
  [1052] = 1052,
  [1053] = 1037,
  [1054] = 1035,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1058,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1065,
  [1068] = 1068,
  [1069] = 1058,
  [1070] = 1070,
  [1071] = 1064,
  [1072] = 1064,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1065,
  [1076] = 1076,
  [1077] = 1065,
  [1078] = 1062,
  [1079] = 1062,
  [1080] = 1070,
  [1081] = 1056,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1076,
  [1085] = 1082,
  [1086] = 1083,
  [1087] = 1056,
  [1088] = 1057,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1059,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1066,
  [1096] = 1089,
  [1097] = 1058,
  [1098] = 1090,
  [1099] = 1074,
  [1100] = 1064,
  [1101] = 1065,
  [1102] = 1068,
  [1103] = 1092,
  [1104] = 1064,
  [1105] = 1065,
  [1106] = 1082,
  [1107] = 1083,
  [1108] = 1108,
  [1109] = 1089,
  [1110] = 1090,
  [1111] = 1111,
  [1112] = 1092,
  [1113] = 1093,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1094,
  [1117] = 1066,
  [1118] = 1093,
  [1119] = 1094,
  [1120] = 1062,
  [1121] = 1066,
  [1122] = 1115,
  [1123] = 1057,
  [1124] = 1059,
  [1125] = 1082,
  [1126] = 1083,
  [1127] = 1082,
  [1128] = 1083,
  [1129] = 1070,
  [1130] = 1089,
  [1131] = 1090,
  [1132] = 1070,
  [1133] = 1092,
  [1134] = 1092,
  [1135] = 1093,
  [1136] = 1093,
  [1137] = 1094,
  [1138] = 1068,
  [1139] = 1111,
  [1140] = 1140,
  [1141] = 1055,
  [1142] = 1115,
  [1143] = 1066,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1056,
  [1147] = 1055,
  [1148] = 1057,
  [1149] = 1149,
  [1150] = 1062,
  [1151] = 1070,
  [1152] = 1056,
  [1153] = 1057,
  [1154] = 1059,
  [1155] = 1059,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1055,
  [1161] = 1082,
  [1162] = 1083,
  [1163] = 1055,
  [1164] = 1089,
  [1165] = 1094,
  [1166] = 1062,
  [1167] = 1070,
  [1168] = 1056,
  [1169] = 1057,
  [1170] = 1059,
  [1171] = 1090,
  [1172] = 1172,
  [1173] = 1055,
  [1174] = 1089,
  [1175] = 1090,
  [1176] = 1092,
  [1177] = 1064,
  [1178] = 1065,
  [1179] = 1111,
  [1180] = 1064,
  [1181] = 1108,
  [1182] = 1082,
  [1183] = 1083,
  [1184] = 1093,
  [1185] = 1089,
  [1186] = 1090,
  [1187] = 1056,
  [1188] = 1058,
  [1189] = 1058,
  [1190] = 1092,
  [1191] = 1094,
  [1192] = 1093,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1057,
  [1196] = 1059,
  [1197] = 1094,
  [1198] = 1198,
  [1199] = 1062,
  [1200] = 1070,
  [1201] = 1066,
  [1202] = 1066,
  [1203] = 1140,
  [1204] = 1055,
  [1205] = 1140,
  [1206] = 1140,
  [1207] = 1140,
  [1208] = 1140,
  [1209] = 1140,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1212,
  [1215] = 1211,
  [1216] = 1212,
  [1217] = 1211,
  [1218] = 1211,
  [1219] = 1212,
  [1220] = 1213,
  [1221] = 1213,
  [1222] = 1213,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1224,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1228,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1236,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1239,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1240,
  [1245] = 1226,
  [1246] = 1246,
  [1247] = 1228,
  [1248] = 1242,
  [1249] = 1242,
  [1250] = 1250,
  [1251] = 1240,
  [1252] = 1228,
  [1253] = 1253,
  [1254] = 1228,
  [1255] = 1228,
  [1256] = 1239,
  [1257] = 1228,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1228,
  [1264] = 1260,
  [1265] = 1260,
  [1266] = 1266,
  [1267] = 1266,
  [1268] = 1260,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1266,
  [1273] = 1266,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1260,
  [1277] = 1277,
  [1278] = 1260,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1260,
  [1283] = 1228,
  [1284] = 1269,
  [1285] = 1228,
  [1286] = 798,
  [1287] = 1287,
  [1288] = 1228,
  [1289] = 1287,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1228,
  [1293] = 1287,
  [1294] = 795,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1296,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1296,
  [1301] = 1224,
  [1302] = 1299,
  [1303] = 1299,
  [1304] = 1298,
  [1305] = 1287,
  [1306] = 1296,
  [1307] = 1299,
  [1308] = 1308,
  [1309] = 1298,
  [1310] = 1310,
  [1311] = 1310,
  [1312] = 1269,
  [1313] = 1269,
  [1314] = 1228,
  [1315] = 1228,
  [1316] = 1316,
  [1317] = 1270,
  [1318] = 1269,
  [1319] = 1310,
  [1320] = 1316,
  [1321] = 1321,
  [1322] = 1321,
  [1323] = 1228,
  [1324] = 1316,
  [1325] = 1325,
  [1326] = 1321,
  [1327] = 1228,
  [1328] = 1228,
  [1329] = 1321,
  [1330] = 1310,
  [1331] = 1310,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1316,
  [1335] = 1321,
  [1336] = 1228,
  [1337] = 1310,
  [1338] = 1316,
  [1339] = 1321,
  [1340] = 1316,
  [1341] = 1310,
  [1342] = 1316,
  [1343] = 1321,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1308,
  [1347] = 1344,
  [1348] = 1332,
  [1349] = 1349,
  [1350] = 1344,
  [1351] = 1351,
  [1352] = 1308,
  [1353] = 1353,
  [1354] = 1344,
  [1355] = 1355,
  [1356] = 1344,
  [1357] = 1228,
  [1358] = 1351,
  [1359] = 1269,
  [1360] = 1344,
  [1361] = 1269,
  [1362] = 1344,
  [1363] = 1344,
  [1364] = 1344,
  [1365] = 1365,
  [1366] = 1332,
  [1367] = 1367,
  [1368] = 1355,
  [1369] = 1353,
  [1370] = 1370,
  [1371] = 1269,
  [1372] = 1365,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1333,
  [1380] = 1269,
  [1381] = 1280,
  [1382] = 1281,
  [1383] = 1373,
  [1384] = 1269,
  [1385] = 1333,
  [1386] = 1373,
  [1387] = 1377,
  [1388] = 1377,
  [1389] = 1308,
  [1390] = 1280,
  [1391] = 1281,
  [1392] = 1349,
  [1393] = 1378,
  [1394] = 1269,
  [1395] = 1376,
  [1396] = 1375,
  [1397] = 1377,
  [1398] = 1377,
  [1399] = 1377,
  [1400] = 1377,
  [1401] = 1349,
  [1402] = 1402,
  [1403] = 1269,
  [1404] = 1308,
  [1405] = 1291,
  [1406] = 1374,
  [1407] = 1407,
  [1408] = 798,
  [1409] = 1409,
  [1410] = 1353,
  [1411] = 1353,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1291,
  [1416] = 1353,
  [1417] = 1355,
  [1418] = 1259,
  [1419] = 1275,
  [1420] = 1269,
  [1421] = 1421,
  [1422] = 1414,
  [1423] = 1308,
  [1424] = 1409,
  [1425] = 1425,
  [1426] = 1277,
  [1427] = 1421,
  [1428] = 1425,
  [1429] = 1274,
  [1430] = 1413,
  [1431] = 1262,
  [1432] = 1432,
  [1433] = 1367,
  [1434] = 1409,
  [1435] = 1355,
  [1436] = 1421,
  [1437] = 1308,
  [1438] = 1349,
  [1439] = 1355,
  [1440] = 1413,
  [1441] = 1353,
  [1442] = 1308,
  [1443] = 1421,
  [1444] = 1269,
  [1445] = 1261,
  [1446] = 1355,
  [1447] = 1421,
  [1448] = 1333,
  [1449] = 1409,
  [1450] = 1308,
  [1451] = 1421,
  [1452] = 1280,
  [1453] = 1453,
  [1454] = 1281,
  [1455] = 1409,
  [1456] = 1409,
  [1457] = 1421,
  [1458] = 1409,
  [1459] = 1414,
  [1460] = 1333,
  [1461] = 1421,
  [1462] = 1279,
  [1463] = 1409,
  [1464] = 795,
  [1465] = 1370,
  [1466] = 1291,
  [1467] = 1407,
  [1468] = 1291,
  [1469] = 1469,
  [1470] = 1469,
  [1471] = 1469,
  [1472] = 1281,
  [1473] = 1469,
  [1474] = 1333,
  [1475] = 1353,
  [1476] = 1281,
  [1477] = 1477,
  [1478] = 1469,
  [1479] = 1333,
  [1480] = 1353,
  [1481] = 1469,
  [1482] = 1482,
  [1483] = 1355,
  [1484] = 1308,
  [1485] = 1333,
  [1486] = 1355,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1488,
  [1490] = 1490,
  [1491] = 1488,
  [1492] = 1280,
  [1493] = 1333,
  [1494] = 1280,
  [1495] = 1351,
  [1496] = 1496,
  [1497] = 1353,
  [1498] = 1365,
  [1499] = 1355,
  [1500] = 1500,
  [1501] = 1291,
  [1502] = 1355,
  [1503] = 1333,
  [1504] = 1504,
  [1505] = 1353,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1280,
  [1509] = 1281,
  [1510] = 1355,
  [1511] = 1353,
  [1512] = 1291,
  [1513] = 1353,
  [1514] = 1353,
  [1515] = 1353,
  [1516] = 1482,
  [1517] = 1353,
  [1518] = 1490,
  [1519] = 1353,
  [1520] = 1355,
  [1521] = 1355,
  [1522] = 1522,
  [1523] = 1376,
  [1524] = 1355,
  [1525] = 1355,
  [1526] = 1355,
  [1527] = 247,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1528,
  [1532] = 1530,
  [1533] = 1291,
  [1534] = 1530,
  [1535] = 1530,
  [1536] = 1528,
  [1537] = 1291,
  [1538] = 1355,
  [1539] = 1506,
  [1540] = 1529,
  [1541] = 1528,
  [1542] = 1542,
  [1543] = 1291,
  [1544] = 1528,
  [1545] = 1530,
  [1546] = 1528,
  [1547] = 1530,
  [1548] = 1548,
  [1549] = 250,
  [1550] = 1530,
  [1551] = 1548,
  [1552] = 1530,
  [1553] = 1528,
  [1554] = 1353,
  [1555] = 1528,
  [1556] = 1528,
  [1557] = 1530,
  [1558] = 1558,
  [1559] = 1558,
  [1560] = 1558,
  [1561] = 1561,
  [1562] = 1561,
  [1563] = 1561,
  [1564] = 250,
  [1565] = 251,
  [1566] = 1561,
  [1567] = 1558,
  [1568] = 252,
  [1569] = 1558,
  [1570] = 247,
  [1571] = 1561,
  [1572] = 1558,
  [1573] = 1558,
  [1574] = 1558,
  [1575] = 252,
  [1576] = 1561,
  [1577] = 1558,
  [1578] = 251,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1579,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1579,
  [1585] = 1585,
  [1586] = 1579,
  [1587] = 1579,
  [1588] = 1583,
  [1589] = 1583,
  [1590] = 1583,
  [1591] = 1579,
  [1592] = 1583,
  [1593] = 1583,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1596,
  [1598] = 1594,
  [1599] = 1596,
  [1600] = 1596,
  [1601] = 1594,
  [1602] = 1602,
  [1603] = 1594,
  [1604] = 1594,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1596,
  [1608] = 1594,
  [1609] = 1596,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1613,
  [1615] = 1613,
  [1616] = 1616,
  [1617] = 1613,
  [1618] = 1618,
  [1619] = 1613,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1629,
  [1631] = 1613,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 248,
  [1639] = 249,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1633,
  [1643] = 1643,
  [1644] = 1636,
  [1645] = 1637,
  [1646] = 1646,
  [1647] = 1640,
  [1648] = 1648,
  [1649] = 1633,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1636,
  [1653] = 1637,
  [1654] = 1654,
  [1655] = 1640,
  [1656] = 1656,
  [1657] = 1633,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1636,
  [1662] = 1662,
  [1663] = 1637,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1665,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1640,
  [1677] = 1634,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1656,
  [1681] = 1636,
  [1682] = 1637,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1633,
  [1686] = 1686,
  [1687] = 1636,
  [1688] = 1679,
  [1689] = 1637,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1640,
  [1699] = 1640,
  [1700] = 1633,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 242,
  [1710] = 1710,
  [1711] = 1703,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1708,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1704,
  [1718] = 1718,
  [1719] = 1703,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1250,
  [1725] = 1703,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 248,
  [1735] = 249,
  [1736] = 1253,
  [1737] = 1703,
  [1738] = 1738,
  [1739] = 1705,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1703,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1744,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1243,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 234,
  [1766] = 247,
  [1767] = 1767,
  [1768] = 250,
  [1769] = 1012,
  [1770] = 1770,
  [1771] = 709,
  [1772] = 1772,
  [1773] = 1015,
  [1774] = 1774,
  [1775] = 238,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 719,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 718,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 708,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 239,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 234,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 238,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 720,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1016,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 239,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 270,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1636,
  [1896] = 1637,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1636,
  [1904] = 1637,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 264,
  [1913] = 1636,
  [1914] = 1637,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1865,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1636,
  [1946] = 1946,
  [1947] = 1637,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1622,
  [1962] = 1636,
  [1963] = 1637,
  [1964] = 1964,
  [1965] = 1864,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 265,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 251,
  [1975] = 252,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 268,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 270,
  [2002] = 245,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 271,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 1636,
  [2019] = 1637,
  [2020] = 245,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 252,
  [2025] = 2025,
  [2026] = 1973,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 264,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1969,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 1674,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 251,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 1223,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 247,
  [2062] = 250,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 1972,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 271,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 265,
  [2073] = 1701,
  [2074] = 1669,
  [2075] = 1670,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 268,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 1781,
  [2087] = 1952,
  [2088] = 1917,
  [2089] = 1944,
  [2090] = 2090,
  [2091] = 1762,
  [2092] = 2092,
  [2093] = 1721,
  [2094] = 2094,
  [2095] = 1905,
  [2096] = 1972,
  [2097] = 1854,
  [2098] = 1749,
  [2099] = 1906,
  [2100] = 1907,
  [2101] = 1973,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 1910,
  [2105] = 2105,
  [2106] = 2094,
  [2107] = 2090,
  [2108] = 1253,
  [2109] = 1907,
  [2110] = 1707,
  [2111] = 1951,
  [2112] = 1953,
  [2113] = 1915,
  [2114] = 1916,
  [2115] = 1917,
  [2116] = 1919,
  [2117] = 1920,
  [2118] = 1921,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 1938,
  [2122] = 1922,
  [2123] = 1906,
  [2124] = 1915,
  [2125] = 1923,
  [2126] = 1939,
  [2127] = 1940,
  [2128] = 1941,
  [2129] = 1942,
  [2130] = 1925,
  [2131] = 1926,
  [2132] = 1732,
  [2133] = 1927,
  [2134] = 1919,
  [2135] = 1928,
  [2136] = 1920,
  [2137] = 1921,
  [2138] = 2138,
  [2139] = 1923,
  [2140] = 1925,
  [2141] = 1926,
  [2142] = 1927,
  [2143] = 1928,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 1780,
  [2147] = 1781,
  [2148] = 1932,
  [2149] = 1933,
  [2150] = 1905,
  [2151] = 1934,
  [2152] = 1935,
  [2153] = 1712,
  [2154] = 1713,
  [2155] = 1916,
  [2156] = 1855,
  [2157] = 2090,
  [2158] = 1954,
  [2159] = 1932,
  [2160] = 1969,
  [2161] = 2161,
  [2162] = 1933,
  [2163] = 1938,
  [2164] = 2164,
  [2165] = 1939,
  [2166] = 1940,
  [2167] = 1951,
  [2168] = 1941,
  [2169] = 2090,
  [2170] = 1952,
  [2171] = 1953,
  [2172] = 1934,
  [2173] = 1935,
  [2174] = 1942,
  [2175] = 1250,
  [2176] = 2090,
  [2177] = 1743,
  [2178] = 1954,
  [2179] = 1747,
  [2180] = 1748,
  [2181] = 1910,
  [2182] = 1780,
  [2183] = 1944,
  [2184] = 1243,
  [2185] = 1922,
  [2186] = 1781,
  [2187] = 1760,
  [2188] = 719,
  [2189] = 1824,
  [2190] = 2190,
  [2191] = 1825,
  [2192] = 1800,
  [2193] = 1826,
  [2194] = 2194,
  [2195] = 1016,
  [2196] = 1852,
  [2197] = 1972,
  [2198] = 1820,
  [2199] = 1821,
  [2200] = 1850,
  [2201] = 1796,
  [2202] = 1801,
  [2203] = 1802,
  [2204] = 1803,
  [2205] = 1782,
  [2206] = 1804,
  [2207] = 1764,
  [2208] = 1805,
  [2209] = 1798,
  [2210] = 2210,
  [2211] = 1786,
  [2212] = 1890,
  [2213] = 1828,
  [2214] = 1829,
  [2215] = 1830,
  [2216] = 1831,
  [2217] = 1785,
  [2218] = 1238,
  [2219] = 1864,
  [2220] = 1865,
  [2221] = 242,
  [2222] = 1973,
  [2223] = 1780,
  [2224] = 1783,
  [2225] = 1781,
  [2226] = 1868,
  [2227] = 1832,
  [2228] = 1751,
  [2229] = 1780,
  [2230] = 1833,
  [2231] = 1806,
  [2232] = 1807,
  [2233] = 1767,
  [2234] = 1808,
  [2235] = 1872,
  [2236] = 2236,
  [2237] = 1780,
  [2238] = 1834,
  [2239] = 2239,
  [2240] = 1817,
  [2241] = 1648,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 1809,
  [2245] = 1788,
  [2246] = 242,
  [2247] = 1789,
  [2248] = 2042,
  [2249] = 1767,
  [2250] = 1779,
  [2251] = 2251,
  [2252] = 1784,
  [2253] = 1780,
  [2254] = 1790,
  [2255] = 1781,
  [2256] = 1835,
  [2257] = 1956,
  [2258] = 1873,
  [2259] = 1791,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 1946,
  [2263] = 1868,
  [2264] = 1956,
  [2265] = 1976,
  [2266] = 2042,
  [2267] = 1792,
  [2268] = 1976,
  [2269] = 1946,
  [2270] = 1686,
  [2271] = 2164,
  [2272] = 2272,
  [2273] = 2251,
  [2274] = 1781,
  [2275] = 2164,
  [2276] = 1818,
  [2277] = 1969,
  [2278] = 1810,
  [2279] = 2279,
  [2280] = 718,
  [2281] = 1012,
  [2282] = 1811,
  [2283] = 1812,
  [2284] = 1813,
  [2285] = 1793,
  [2286] = 1762,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 1787,
  [2290] = 708,
  [2291] = 2291,
  [2292] = 1823,
  [2293] = 1814,
  [2294] = 1815,
  [2295] = 2295,
  [2296] = 2295,
  [2297] = 2297,
  [2298] = 1861,
  [2299] = 1852,
  [2300] = 1838,
  [2301] = 1839,
  [2302] = 1819,
  [2303] = 1862,
  [2304] = 1905,
  [2305] = 1906,
  [2306] = 1907,
  [2307] = 1910,
  [2308] = 1794,
  [2309] = 1840,
  [2310] = 2310,
  [2311] = 720,
  [2312] = 1841,
  [2313] = 1915,
  [2314] = 1916,
  [2315] = 1917,
  [2316] = 1919,
  [2317] = 1920,
  [2318] = 1921,
  [2319] = 1922,
  [2320] = 1923,
  [2321] = 1925,
  [2322] = 1926,
  [2323] = 1927,
  [2324] = 1928,
  [2325] = 1877,
  [2326] = 1015,
  [2327] = 1842,
  [2328] = 1816,
  [2329] = 1932,
  [2330] = 1933,
  [2331] = 1934,
  [2332] = 1935,
  [2333] = 1938,
  [2334] = 1939,
  [2335] = 1940,
  [2336] = 1941,
  [2337] = 1942,
  [2338] = 1843,
  [2339] = 1944,
  [2340] = 1880,
  [2341] = 1876,
  [2342] = 1881,
  [2343] = 1844,
  [2344] = 2344,
  [2345] = 1845,
  [2346] = 1846,
  [2347] = 1847,
  [2348] = 2288,
  [2349] = 1848,
  [2350] = 1884,
  [2351] = 1885,
  [2352] = 1886,
  [2353] = 1887,
  [2354] = 1888,
  [2355] = 1770,
  [2356] = 1668,
  [2357] = 1694,
  [2358] = 1889,
  [2359] = 1797,
  [2360] = 1951,
  [2361] = 1952,
  [2362] = 1953,
  [2363] = 1954,
  [2364] = 1849,
  [2365] = 2365,
  [2366] = 1795,
  [2367] = 1868,
  [2368] = 1752,
  [2369] = 1753,
  [2370] = 1754,
  [2371] = 1857,
  [2372] = 709,
  [2373] = 1755,
  [2374] = 1764,
  [2375] = 1772,
  [2376] = 1774,
  [2377] = 1776,
  [2378] = 1777,
  [2379] = 1757,
  [2380] = 1858,
  [2381] = 2287,
  [2382] = 1778,
  [2383] = 1859,
  [2384] = 1860,
  [2385] = 1759,
  [2386] = 1767,
  [2387] = 1984,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 1985,
  [2391] = 2145,
  [2392] = 2392,
  [2393] = 1946,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 1987,
  [2397] = 1988,
  [2398] = 1231,
  [2399] = 2399,
  [2400] = 2394,
  [2401] = 2210,
  [2402] = 1991,
  [2403] = 2054,
  [2404] = 2404,
  [2405] = 762,
  [2406] = 2406,
  [2407] = 1996,
  [2408] = 1997,
  [2409] = 1998,
  [2410] = 2410,
  [2411] = 1976,
  [2412] = 263,
  [2413] = 1924,
  [2414] = 2003,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 253,
  [2418] = 254,
  [2419] = 255,
  [2420] = 256,
  [2421] = 2388,
  [2422] = 2422,
  [2423] = 258,
  [2424] = 259,
  [2425] = 260,
  [2426] = 261,
  [2427] = 262,
  [2428] = 1740,
  [2429] = 266,
  [2430] = 267,
  [2431] = 2004,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2005,
  [2437] = 1929,
  [2438] = 1744,
  [2439] = 2439,
  [2440] = 1943,
  [2441] = 1946,
  [2442] = 2164,
  [2443] = 2000,
  [2444] = 2007,
  [2445] = 2008,
  [2446] = 2009,
  [2447] = 2010,
  [2448] = 1762,
  [2449] = 2011,
  [2450] = 2012,
  [2451] = 2013,
  [2452] = 2014,
  [2453] = 2015,
  [2454] = 2016,
  [2455] = 2017,
  [2456] = 1746,
  [2457] = 1957,
  [2458] = 1897,
  [2459] = 1956,
  [2460] = 1964,
  [2461] = 1764,
  [2462] = 1852,
  [2463] = 1956,
  [2464] = 2415,
  [2465] = 2465,
  [2466] = 1960,
  [2467] = 1966,
  [2468] = 1992,
  [2469] = 1993,
  [2470] = 2145,
  [2471] = 263,
  [2472] = 2210,
  [2473] = 2473,
  [2474] = 2416,
  [2475] = 253,
  [2476] = 254,
  [2477] = 255,
  [2478] = 256,
  [2479] = 1738,
  [2480] = 258,
  [2481] = 259,
  [2482] = 260,
  [2483] = 261,
  [2484] = 262,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 266,
  [2488] = 267,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 1704,
  [2493] = 1946,
  [2494] = 2042,
  [2495] = 1956,
  [2496] = 1970,
  [2497] = 1720,
  [2498] = 2498,
  [2499] = 1780,
  [2500] = 1781,
  [2501] = 1780,
  [2502] = 1781,
  [2503] = 1930,
  [2504] = 1931,
  [2505] = 1936,
  [2506] = 1937,
  [2507] = 1723,
  [2508] = 2406,
  [2509] = 1905,
  [2510] = 1906,
  [2511] = 1907,
  [2512] = 2042,
  [2513] = 1915,
  [2514] = 1916,
  [2515] = 1917,
  [2516] = 2399,
  [2517] = 1919,
  [2518] = 2404,
  [2519] = 1920,
  [2520] = 1921,
  [2521] = 1922,
  [2522] = 1923,
  [2523] = 1925,
  [2524] = 1926,
  [2525] = 1927,
  [2526] = 1928,
  [2527] = 1891,
  [2528] = 1958,
  [2529] = 1932,
  [2530] = 1933,
  [2531] = 1934,
  [2532] = 1935,
  [2533] = 1959,
  [2534] = 1938,
  [2535] = 1939,
  [2536] = 1940,
  [2537] = 1941,
  [2538] = 1942,
  [2539] = 2465,
  [2540] = 1944,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2541,
  [2548] = 2548,
  [2549] = 1727,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 1762,
  [2553] = 1705,
  [2554] = 1729,
  [2555] = 2399,
  [2556] = 2556,
  [2557] = 2541,
  [2558] = 2542,
  [2559] = 2543,
  [2560] = 2544,
  [2561] = 1977,
  [2562] = 1967,
  [2563] = 1741,
  [2564] = 2399,
  [2565] = 1978,
  [2566] = 1995,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2542,
  [2570] = 2399,
  [2571] = 2543,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2399,
  [2576] = 1979,
  [2577] = 2399,
  [2578] = 2399,
  [2579] = 1708,
  [2580] = 1951,
  [2581] = 1952,
  [2582] = 1953,
  [2583] = 1954,
  [2584] = 1744,
  [2585] = 2473,
  [2586] = 1704,
  [2587] = 2548,
  [2588] = 1705,
  [2589] = 1708,
  [2590] = 2590,
  [2591] = 2473,
  [2592] = 2548,
  [2593] = 1715,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 1981,
  [2600] = 2544,
  [2601] = 2601,
  [2602] = 1982,
  [2603] = 1729,
  [2604] = 1983,
  [2605] = 2388,
  [2606] = 1740,
  [2607] = 1738,
  [2608] = 1727,
  [2609] = 2573,
  [2610] = 2590,
  [2611] = 1910,
  [2612] = 1922,
  [2613] = 1764,
  [2614] = 1852,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 1969,
  [2618] = 1972,
  [2619] = 1973,
  [2620] = 1946,
  [2621] = 1956,
  [2622] = 1973,
  [2623] = 1976,
  [2624] = 1780,
  [2625] = 1781,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2145,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2615,
  [2633] = 257,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2161,
  [2640] = 2631,
  [2641] = 2042,
  [2642] = 2635,
  [2643] = 2636,
  [2644] = 2644,
  [2645] = 2631,
  [2646] = 2615,
  [2647] = 2634,
  [2648] = 2635,
  [2649] = 2636,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2637,
  [2653] = 2638,
  [2654] = 1905,
  [2655] = 1906,
  [2656] = 1907,
  [2657] = 1910,
  [2658] = 1915,
  [2659] = 1916,
  [2660] = 1917,
  [2661] = 1919,
  [2662] = 1920,
  [2663] = 1921,
  [2664] = 1922,
  [2665] = 1923,
  [2666] = 1925,
  [2667] = 1926,
  [2668] = 1927,
  [2669] = 1928,
  [2670] = 2042,
  [2671] = 1932,
  [2672] = 1933,
  [2673] = 1934,
  [2674] = 1935,
  [2675] = 1938,
  [2676] = 1939,
  [2677] = 1940,
  [2678] = 1941,
  [2679] = 1942,
  [2680] = 1944,
  [2681] = 1905,
  [2682] = 1906,
  [2683] = 1907,
  [2684] = 1910,
  [2685] = 1915,
  [2686] = 1916,
  [2687] = 1917,
  [2688] = 1919,
  [2689] = 1920,
  [2690] = 1921,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 1925,
  [2694] = 1926,
  [2695] = 1927,
  [2696] = 1928,
  [2697] = 1932,
  [2698] = 1933,
  [2699] = 1934,
  [2700] = 1935,
  [2701] = 1938,
  [2702] = 1939,
  [2703] = 1940,
  [2704] = 1941,
  [2705] = 1942,
  [2706] = 1944,
  [2707] = 257,
  [2708] = 1969,
  [2709] = 1972,
  [2710] = 1905,
  [2711] = 1906,
  [2712] = 1907,
  [2713] = 1910,
  [2714] = 1915,
  [2715] = 1916,
  [2716] = 1917,
  [2717] = 1919,
  [2718] = 1920,
  [2719] = 1921,
  [2720] = 1922,
  [2721] = 1923,
  [2722] = 1925,
  [2723] = 1926,
  [2724] = 1927,
  [2725] = 1928,
  [2726] = 1932,
  [2727] = 1933,
  [2728] = 1934,
  [2729] = 1935,
  [2730] = 1938,
  [2731] = 1939,
  [2732] = 1940,
  [2733] = 1941,
  [2734] = 1942,
  [2735] = 1944,
  [2736] = 2637,
  [2737] = 2638,
  [2738] = 1973,
  [2739] = 1976,
  [2740] = 2042,
  [2741] = 1868,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 1767,
  [2745] = 1951,
  [2746] = 1952,
  [2747] = 1953,
  [2748] = 1954,
  [2749] = 2749,
  [2750] = 2634,
  [2751] = 1951,
  [2752] = 1952,
  [2753] = 1953,
  [2754] = 1954,
  [2755] = 1951,
  [2756] = 1952,
  [2757] = 1953,
  [2758] = 1954,
  [2759] = 2042,
  [2760] = 1762,
  [2761] = 1923,
  [2762] = 2762,
  [2763] = 2094,
  [2764] = 2764,
  [2765] = 1946,
  [2766] = 2766,
  [2767] = 1976,
  [2768] = 1905,
  [2769] = 1956,
  [2770] = 2770,
  [2771] = 1915,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2764,
  [2775] = 2775,
  [2776] = 1233,
  [2777] = 1916,
  [2778] = 1227,
  [2779] = 1906,
  [2780] = 2780,
  [2781] = 1917,
  [2782] = 2782,
  [2783] = 1229,
  [2784] = 2762,
  [2785] = 2785,
  [2786] = 1919,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 1920,
  [2790] = 1921,
  [2791] = 1922,
  [2792] = 2792,
  [2793] = 1923,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2762,
  [2797] = 270,
  [2798] = 1925,
  [2799] = 1926,
  [2800] = 2800,
  [2801] = 1927,
  [2802] = 1928,
  [2803] = 245,
  [2804] = 2042,
  [2805] = 1932,
  [2806] = 1933,
  [2807] = 1934,
  [2808] = 1253,
  [2809] = 1935,
  [2810] = 1250,
  [2811] = 1976,
  [2812] = 2812,
  [2813] = 1938,
  [2814] = 2814,
  [2815] = 2210,
  [2816] = 791,
  [2817] = 239,
  [2818] = 1907,
  [2819] = 2819,
  [2820] = 234,
  [2821] = 2821,
  [2822] = 2762,
  [2823] = 1952,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 1953,
  [2827] = 1944,
  [2828] = 1939,
  [2829] = 1954,
  [2830] = 2762,
  [2831] = 1940,
  [2832] = 1941,
  [2833] = 1730,
  [2834] = 2834,
  [2835] = 2762,
  [2836] = 1235,
  [2837] = 2837,
  [2838] = 2762,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 1868,
  [2842] = 1243,
  [2843] = 1767,
  [2844] = 2844,
  [2845] = 1910,
  [2846] = 1762,
  [2847] = 2762,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 1234,
  [2852] = 1942,
  [2853] = 2762,
  [2854] = 1951,
  [2855] = 1762,
  [2856] = 2856,
  [2857] = 795,
  [2858] = 2858,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 807,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 813,
  [2879] = 2879,
  [2880] = 808,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2885,
  [2887] = 2742,
  [2888] = 2876,
  [2889] = 801,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2881,
  [2898] = 238,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2894,
  [2904] = 1762,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 810,
  [2913] = 2913,
  [2914] = 2863,
  [2915] = 1762,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 799,
  [2920] = 2920,
  [2921] = 2145,
  [2922] = 2922,
  [2923] = 811,
  [2924] = 793,
  [2925] = 2875,
  [2926] = 2873,
  [2927] = 2927,
  [2928] = 2927,
  [2929] = 2900,
  [2930] = 2930,
  [2931] = 2868,
  [2932] = 2874,
  [2933] = 2899,
  [2934] = 2934,
  [2935] = 2935,
  [2936] = 2891,
  [2937] = 798,
  [2938] = 796,
  [2939] = 2939,
  [2940] = 873,
  [2941] = 806,
  [2942] = 906,
  [2943] = 912,
  [2944] = 797,
  [2945] = 248,
  [2946] = 891,
  [2947] = 804,
  [2948] = 893,
  [2949] = 905,
  [2950] = 913,
  [2951] = 2939,
  [2952] = 910,
  [2953] = 895,
  [2954] = 870,
  [2955] = 2939,
  [2956] = 2939,
  [2957] = 915,
  [2958] = 881,
  [2959] = 908,
  [2960] = 815,
  [2961] = 2939,
  [2962] = 903,
  [2963] = 909,
  [2964] = 2939,
  [2965] = 2939,
  [2966] = 1873,
  [2967] = 816,
  [2968] = 809,
  [2969] = 817,
  [2970] = 812,
  [2971] = 249,
  [2972] = 271,
  [2973] = 2939,
  [2974] = 268,
  [2975] = 818,
  [2976] = 2939,
  [2977] = 911,
  [2978] = 265,
  [2979] = 900,
  [2980] = 924,
  [2981] = 925,
  [2982] = 820,
  [2983] = 927,
  [2984] = 929,
  [2985] = 930,
  [2986] = 931,
  [2987] = 264,
  [2988] = 932,
  [2989] = 934,
  [2990] = 935,
  [2991] = 936,
  [2992] = 720,
  [2993] = 937,
  [2994] = 939,
  [2995] = 940,
  [2996] = 839,
  [2997] = 894,
  [2998] = 709,
  [2999] = 914,
  [3000] = 840,
  [3001] = 719,
  [3002] = 846,
  [3003] = 718,
  [3004] = 708,
  [3005] = 872,
  [3006] = 880,
  [3007] = 882,
  [3008] = 885,
  [3009] = 892,
  [3010] = 268,
  [3011] = 271,
  [3012] = 902,
  [3013] = 904,
  [3014] = 907,
  [3015] = 899,
  [3016] = 901,
  [3017] = 917,
  [3018] = 918,
  [3019] = 919,
  [3020] = 926,
  [3021] = 928,
  [3022] = 938,
  [3023] = 826,
  [3024] = 822,
  [3025] = 823,
  [3026] = 824,
  [3027] = 825,
  [3028] = 942,
  [3029] = 827,
  [3030] = 828,
  [3031] = 871,
  [3032] = 829,
  [3033] = 830,
  [3034] = 831,
  [3035] = 832,
  [3036] = 833,
  [3037] = 834,
  [3038] = 835,
  [3039] = 836,
  [3040] = 837,
  [3041] = 1785,
  [3042] = 890,
  [3043] = 841,
  [3044] = 842,
  [3045] = 843,
  [3046] = 844,
  [3047] = 845,
  [3048] = 847,
  [3049] = 848,
  [3050] = 849,
  [3051] = 850,
  [3052] = 851,
  [3053] = 852,
  [3054] = 920,
  [3055] = 853,
  [3056] = 854,
  [3057] = 855,
  [3058] = 921,
  [3059] = 857,
  [3060] = 858,
  [3061] = 859,
  [3062] = 922,
  [3063] = 860,
  [3064] = 861,
  [3065] = 862,
  [3066] = 863,
  [3067] = 864,
  [3068] = 865,
  [3069] = 866,
  [3070] = 867,
  [3071] = 868,
  [3072] = 923,
  [3073] = 941,
  [3074] = 821,
  [3075] = 3075,
  [3076] = 874,
  [3077] = 875,
  [3078] = 876,
  [3079] = 877,
  [3080] = 878,
  [3081] = 879,
  [3082] = 883,
  [3083] = 884,
  [3084] = 886,
  [3085] = 887,
  [3086] = 888,
  [3087] = 889,
  [3088] = 896,
  [3089] = 897,
  [3090] = 898,
  [3091] = 933,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3099,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 3104,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3114,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 3133,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3138,
  [3139] = 3139,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 3151,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3154,
  [3156] = 3151,
  [3157] = 3154,
  [3158] = 3154,
  [3159] = 3151,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3168,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 3172,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 3175,
  [3176] = 3176,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 1253,
  [3185] = 1250,
  [3186] = 1243,
  [3187] = 1701,
  [3188] = 1669,
  [3189] = 1670,
  [3190] = 1840,
  [3191] = 1803,
  [3192] = 1824,
  [3193] = 1825,
  [3194] = 1838,
  [3195] = 1839,
  [3196] = 1808,
  [3197] = 1841,
  [3198] = 1842,
  [3199] = 1843,
  [3200] = 1844,
  [3201] = 1845,
  [3202] = 1846,
  [3203] = 1847,
  [3204] = 1806,
  [3205] = 1804,
  [3206] = 1823,
  [3207] = 1890,
  [3208] = 1828,
  [3209] = 1829,
  [3210] = 1830,
  [3211] = 1831,
  [3212] = 1832,
  [3213] = 1809,
  [3214] = 1805,
  [3215] = 1810,
  [3216] = 1811,
  [3217] = 1812,
  [3218] = 1813,
  [3219] = 1800,
  [3220] = 1801,
  [3221] = 1802,
  [3222] = 1807,
  [3223] = 1826,
  [3224] = 249,
  [3225] = 248,
  [3226] = 1877,
  [3227] = 1790,
  [3228] = 1791,
  [3229] = 1792,
  [3230] = 1793,
  [3231] = 1701,
  [3232] = 1772,
  [3233] = 1786,
  [3234] = 1669,
  [3235] = 1670,
  [3236] = 1880,
  [3237] = 1776,
  [3238] = 3238,
  [3239] = 1778,
  [3240] = 1787,
  [3241] = 1749,
  [3242] = 1748,
  [3243] = 1674,
  [3244] = 3238,
  [3245] = 1760,
  [3246] = 1707,
  [3247] = 1743,
  [3248] = 1757,
  [3249] = 1747,
  [3250] = 1857,
  [3251] = 3251,
  [3252] = 1797,
  [3253] = 1884,
  [3254] = 1800,
  [3255] = 1801,
  [3256] = 1802,
  [3257] = 1838,
  [3258] = 1839,
  [3259] = 1840,
  [3260] = 1841,
  [3261] = 1842,
  [3262] = 1843,
  [3263] = 1844,
  [3264] = 1845,
  [3265] = 1846,
  [3266] = 1847,
  [3267] = 1803,
  [3268] = 1804,
  [3269] = 1805,
  [3270] = 1806,
  [3271] = 1807,
  [3272] = 1849,
  [3273] = 1808,
  [3274] = 1809,
  [3275] = 1810,
  [3276] = 1811,
  [3277] = 1812,
  [3278] = 3278,
  [3279] = 1813,
  [3280] = 1881,
  [3281] = 3281,
  [3282] = 1887,
  [3283] = 1888,
  [3284] = 1858,
  [3285] = 1859,
  [3286] = 3251,
  [3287] = 1860,
  [3288] = 3278,
  [3289] = 1861,
  [3290] = 3290,
  [3291] = 1770,
  [3292] = 3292,
  [3293] = 1833,
  [3294] = 1889,
  [3295] = 1834,
  [3296] = 1835,
  [3297] = 3278,
  [3298] = 1814,
  [3299] = 1815,
  [3300] = 1753,
  [3301] = 1755,
  [3302] = 3278,
  [3303] = 3278,
  [3304] = 1817,
  [3305] = 1777,
  [3306] = 1818,
  [3307] = 1779,
  [3308] = 3278,
  [3309] = 1782,
  [3310] = 1783,
  [3311] = 1784,
  [3312] = 1788,
  [3313] = 1794,
  [3314] = 1796,
  [3315] = 1759,
  [3316] = 1674,
  [3317] = 1798,
  [3318] = 3281,
  [3319] = 3251,
  [3320] = 3290,
  [3321] = 3292,
  [3322] = 1885,
  [3323] = 1701,
  [3324] = 3278,
  [3325] = 1669,
  [3326] = 1670,
  [3327] = 3281,
  [3328] = 3251,
  [3329] = 3290,
  [3330] = 3292,
  [3331] = 3278,
  [3332] = 1848,
  [3333] = 1823,
  [3334] = 1824,
  [3335] = 1825,
  [3336] = 3281,
  [3337] = 3251,
  [3338] = 3290,
  [3339] = 3292,
  [3340] = 1826,
  [3341] = 1890,
  [3342] = 1828,
  [3343] = 1829,
  [3344] = 1830,
  [3345] = 3281,
  [3346] = 3290,
  [3347] = 3292,
  [3348] = 1831,
  [3349] = 1832,
  [3350] = 3278,
  [3351] = 1774,
  [3352] = 1748,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3353,
  [3360] = 3360,
  [3361] = 3353,
  [3362] = 3354,
  [3363] = 3363,
  [3364] = 3354,
  [3365] = 3365,
  [3366] = 3354,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3354,
  [3373] = 3373,
  [3374] = 1721,
  [3375] = 3353,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3379,
  [3380] = 3380,
  [3381] = 1712,
  [3382] = 3353,
  [3383] = 3371,
  [3384] = 3354,
  [3385] = 3385,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 1713,
  [3391] = 1749,
  [3392] = 3392,
  [3393] = 3353,
  [3394] = 3353,
  [3395] = 1886,
  [3396] = 1838,
  [3397] = 1790,
  [3398] = 1839,
  [3399] = 1824,
  [3400] = 1789,
  [3401] = 1840,
  [3402] = 1841,
  [3403] = 1842,
  [3404] = 1825,
  [3405] = 3405,
  [3406] = 1843,
  [3407] = 1816,
  [3408] = 1795,
  [3409] = 3409,
  [3410] = 1752,
  [3411] = 1800,
  [3412] = 1812,
  [3413] = 1801,
  [3414] = 1802,
  [3415] = 1844,
  [3416] = 1845,
  [3417] = 1846,
  [3418] = 1847,
  [3419] = 1754,
  [3420] = 3420,
  [3421] = 1791,
  [3422] = 3422,
  [3423] = 1747,
  [3424] = 1877,
  [3425] = 3425,
  [3426] = 1803,
  [3427] = 1819,
  [3428] = 1820,
  [3429] = 1792,
  [3430] = 1823,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 1821,
  [3434] = 1826,
  [3435] = 1813,
  [3436] = 1674,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 1890,
  [3440] = 1253,
  [3441] = 3441,
  [3442] = 1828,
  [3443] = 1865,
  [3444] = 1804,
  [3445] = 1829,
  [3446] = 1805,
  [3447] = 1830,
  [3448] = 1806,
  [3449] = 3449,
  [3450] = 1850,
  [3451] = 1807,
  [3452] = 1831,
  [3453] = 1808,
  [3454] = 1243,
  [3455] = 1809,
  [3456] = 1810,
  [3457] = 1250,
  [3458] = 1832,
  [3459] = 1772,
  [3460] = 1776,
  [3461] = 1778,
  [3462] = 1864,
  [3463] = 1880,
  [3464] = 1811,
  [3465] = 1786,
  [3466] = 1787,
  [3467] = 1793,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 1701,
  [3475] = 1712,
  [3476] = 1713,
  [3477] = 1743,
  [3478] = 1669,
  [3479] = 1670,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 1857,
  [3492] = 3492,
  [3493] = 3469,
  [3494] = 1012,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 1748,
  [3502] = 3502,
  [3503] = 3473,
  [3504] = 3504,
  [3505] = 3473,
  [3506] = 3506,
  [3507] = 3473,
  [3508] = 1707,
  [3509] = 3509,
  [3510] = 1016,
  [3511] = 3473,
  [3512] = 1757,
  [3513] = 3513,
  [3514] = 1015,
  [3515] = 1721,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 1760,
  [3519] = 3519,
  [3520] = 1749,
  [3521] = 3473,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 1783,
  [3529] = 1794,
  [3530] = 1858,
  [3531] = 1859,
  [3532] = 1795,
  [3533] = 1243,
  [3534] = 718,
  [3535] = 1253,
  [3536] = 1889,
  [3537] = 1752,
  [3538] = 1815,
  [3539] = 1820,
  [3540] = 1821,
  [3541] = 1753,
  [3542] = 3496,
  [3543] = 1796,
  [3544] = 1860,
  [3545] = 1861,
  [3546] = 1790,
  [3547] = 1754,
  [3548] = 1755,
  [3549] = 1786,
  [3550] = 1877,
  [3551] = 1817,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 1797,
  [3555] = 1848,
  [3556] = 1791,
  [3557] = 1849,
  [3558] = 1814,
  [3559] = 719,
  [3560] = 1880,
  [3561] = 1864,
  [3562] = 1819,
  [3563] = 3563,
  [3564] = 1792,
  [3565] = 1865,
  [3566] = 1833,
  [3567] = 1834,
  [3568] = 1793,
  [3569] = 1865,
  [3570] = 1772,
  [3571] = 1776,
  [3572] = 1250,
  [3573] = 1778,
  [3574] = 1787,
  [3575] = 1816,
  [3576] = 1885,
  [3577] = 1798,
  [3578] = 1674,
  [3579] = 708,
  [3580] = 1788,
  [3581] = 709,
  [3582] = 1759,
  [3583] = 1774,
  [3584] = 3584,
  [3585] = 1777,
  [3586] = 1818,
  [3587] = 720,
  [3588] = 1779,
  [3589] = 1770,
  [3590] = 1884,
  [3591] = 1782,
  [3592] = 1886,
  [3593] = 1789,
  [3594] = 1850,
  [3595] = 1881,
  [3596] = 1864,
  [3597] = 1784,
  [3598] = 1887,
  [3599] = 1747,
  [3600] = 1888,
  [3601] = 1835,
  [3602] = 1748,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 1707,
  [3609] = 1757,
  [3610] = 1760,
  [3611] = 3603,
  [3612] = 1712,
  [3613] = 1713,
  [3614] = 3614,
  [3615] = 1674,
  [3616] = 3605,
  [3617] = 3607,
  [3618] = 3618,
  [3619] = 1857,
  [3620] = 3607,
  [3621] = 3621,
  [3622] = 3605,
  [3623] = 3607,
  [3624] = 3624,
  [3625] = 3605,
  [3626] = 3626,
  [3627] = 1721,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3621,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 1743,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 1819,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 720,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 1820,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 718,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 1881,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 1884,
  [3655] = 1885,
  [3656] = 1848,
  [3657] = 1886,
  [3658] = 1850,
  [3659] = 3659,
  [3660] = 1887,
  [3661] = 3661,
  [3662] = 1888,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 1889,
  [3666] = 1752,
  [3667] = 1753,
  [3668] = 3668,
  [3669] = 1754,
  [3670] = 1755,
  [3671] = 1858,
  [3672] = 3672,
  [3673] = 1759,
  [3674] = 1859,
  [3675] = 3675,
  [3676] = 1860,
  [3677] = 1012,
  [3678] = 3659,
  [3679] = 1012,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 1861,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3635,
  [3697] = 3697,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 3644,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3653,
  [3709] = 3709,
  [3710] = 1016,
  [3711] = 3659,
  [3712] = 709,
  [3713] = 3604,
  [3714] = 3672,
  [3715] = 1774,
  [3716] = 3473,
  [3717] = 3473,
  [3718] = 1015,
  [3719] = 1777,
  [3720] = 3720,
  [3721] = 3649,
  [3722] = 1779,
  [3723] = 3723,
  [3724] = 1223,
  [3725] = 3707,
  [3726] = 3705,
  [3727] = 3672,
  [3728] = 3728,
  [3729] = 3707,
  [3730] = 3672,
  [3731] = 1782,
  [3732] = 1783,
  [3733] = 1784,
  [3734] = 3734,
  [3735] = 3473,
  [3736] = 3705,
  [3737] = 248,
  [3738] = 3738,
  [3739] = 249,
  [3740] = 1821,
  [3741] = 1788,
  [3742] = 3742,
  [3743] = 1789,
  [3744] = 3742,
  [3745] = 3745,
  [3746] = 3653,
  [3747] = 3628,
  [3748] = 1749,
  [3749] = 1016,
  [3750] = 1794,
  [3751] = 1795,
  [3752] = 1796,
  [3753] = 3649,
  [3754] = 3473,
  [3755] = 1833,
  [3756] = 1798,
  [3757] = 3757,
  [3758] = 719,
  [3759] = 3759,
  [3760] = 1834,
  [3761] = 1835,
  [3762] = 3762,
  [3763] = 1770,
  [3764] = 708,
  [3765] = 1797,
  [3766] = 3766,
  [3767] = 3473,
  [3768] = 1849,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3473,
  [3775] = 3775,
  [3776] = 1814,
  [3777] = 1815,
  [3778] = 1816,
  [3779] = 3779,
  [3780] = 3649,
  [3781] = 1015,
  [3782] = 1817,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 1818,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3790,
  [3792] = 3628,
  [3793] = 3793,
  [3794] = 3794,
  [3795] = 1238,
  [3796] = 3789,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 1721,
  [3800] = 3789,
  [3801] = 1712,
  [3802] = 239,
  [3803] = 1713,
  [3804] = 234,
  [3805] = 3790,
  [3806] = 1253,
  [3807] = 3790,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3789,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3815,
  [3816] = 1747,
  [3817] = 3790,
  [3818] = 3790,
  [3819] = 1243,
  [3820] = 1250,
  [3821] = 248,
  [3822] = 249,
  [3823] = 3797,
  [3824] = 3824,
  [3825] = 3496,
  [3826] = 3790,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3789,
  [3830] = 3797,
  [3831] = 3789,
  [3832] = 3790,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3631,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 3846,
  [3847] = 1721,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3850,
  [3851] = 3851,
  [3852] = 3852,
  [3853] = 3848,
  [3854] = 3854,
  [3855] = 3855,
  [3856] = 3757,
  [3857] = 3857,
  [3858] = 3858,
  [3859] = 3859,
  [3860] = 3860,
  [3861] = 3861,
  [3862] = 3862,
  [3863] = 3854,
  [3864] = 3849,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3869,
  [3870] = 3870,
  [3871] = 3871,
  [3872] = 3872,
  [3873] = 3873,
  [3874] = 3836,
  [3875] = 3875,
  [3876] = 3876,
  [3877] = 3836,
  [3878] = 3837,
  [3879] = 3840,
  [3880] = 3850,
  [3881] = 3881,
  [3882] = 3772,
  [3883] = 3845,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3846,
  [3887] = 3887,
  [3888] = 3850,
  [3889] = 3851,
  [3890] = 3852,
  [3891] = 3848,
  [3892] = 3892,
  [3893] = 3854,
  [3894] = 3894,
  [3895] = 3895,
  [3896] = 3896,
  [3897] = 3897,
  [3898] = 3837,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3851,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 3845,
  [3911] = 3911,
  [3912] = 3852,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3836,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3840,
  [3929] = 3845,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3846,
  [3935] = 3852,
  [3936] = 3844,
  [3937] = 3683,
  [3938] = 3553,
  [3939] = 3636,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3720,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3840,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3846,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3972,
  [3973] = 3973,
  [3974] = 3974,
  [3975] = 3975,
  [3976] = 3840,
  [3977] = 3846,
  [3978] = 3978,
  [3979] = 3840,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3884,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3993,
  [3994] = 3840,
  [3995] = 3995,
  [3996] = 3996,
  [3997] = 1712,
  [3998] = 1713,
  [3999] = 3999,
  [4000] = 4000,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 1789,
  [4006] = 1795,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 3988,
  [4011] = 1816,
  [4012] = 1819,
  [4013] = 1820,
  [4014] = 1821,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 1850,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 3985,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 4024,
  [4025] = 4025,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 4030,
  [4031] = 238,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 4035,
  [4036] = 4036,
  [4037] = 3884,
  [4038] = 3993,
  [4039] = 270,
  [4040] = 4040,
  [4041] = 245,
  [4042] = 4042,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 3986,
  [4051] = 4051,
  [4052] = 4043,
  [4053] = 3838,
  [4054] = 4054,
  [4055] = 3993,
  [4056] = 4056,
  [4057] = 3873,
  [4058] = 3862,
  [4059] = 1886,
  [4060] = 1752,
  [4061] = 1754,
  [4062] = 4062,
  [4063] = 3840,
  [4064] = 3980,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4009,
  [4068] = 4068,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 3846,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 4077,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 3873,
  [4083] = 4083,
  [4084] = 3862,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 3873,
  [4089] = 3862,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 3952,
  [4093] = 3870,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 1850,
  [4106] = 4106,
  [4107] = 4103,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 1886,
  [4113] = 1752,
  [4114] = 1754,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 3967,
  [4119] = 4115,
  [4120] = 4116,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4115,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 4116,
  [4127] = 4127,
  [4128] = 3871,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 3968,
  [4132] = 1789,
  [4133] = 4127,
  [4134] = 1795,
  [4135] = 4135,
  [4136] = 3868,
  [4137] = 4124,
  [4138] = 3931,
  [4139] = 4122,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4017,
  [4144] = 4144,
  [4145] = 4109,
  [4146] = 4146,
  [4147] = 4106,
  [4148] = 3969,
  [4149] = 3604,
  [4150] = 3923,
  [4151] = 3925,
  [4152] = 4108,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4129,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4101,
  [4160] = 4094,
  [4161] = 4161,
  [4162] = 4108,
  [4163] = 4108,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 4096,
  [4167] = 3926,
  [4168] = 4115,
  [4169] = 720,
  [4170] = 4098,
  [4171] = 4116,
  [4172] = 4130,
  [4173] = 4173,
  [4174] = 3927,
  [4175] = 4175,
  [4176] = 3973,
  [4177] = 709,
  [4178] = 719,
  [4179] = 4127,
  [4180] = 718,
  [4181] = 708,
  [4182] = 4182,
  [4183] = 4142,
  [4184] = 3563,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4115,
  [4188] = 4188,
  [4189] = 4127,
  [4190] = 1816,
  [4191] = 4191,
  [4192] = 1819,
  [4193] = 4094,
  [4194] = 4127,
  [4195] = 4195,
  [4196] = 4158,
  [4197] = 4098,
  [4198] = 1820,
  [4199] = 1821,
  [4200] = 4116,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4144,
  [4204] = 4100,
  [4205] = 4100,
  [4206] = 4102,
  [4207] = 3963,
  [4208] = 3964,
  [4209] = 4209,
  [4210] = 4095,
  [4211] = 3965,
  [4212] = 4212,
  [4213] = 4135,
  [4214] = 4214,
  [4215] = 4094,
  [4216] = 4121,
  [4217] = 4015,
  [4218] = 4102,
  [4219] = 4108,
  [4220] = 4220,
  [4221] = 4097,
  [4222] = 3970,
  [4223] = 4154,
  [4224] = 4224,
  [4225] = 4115,
  [4226] = 4116,
  [4227] = 4227,
  [4228] = 3635,
  [4229] = 3966,
  [4230] = 4108,
  [4231] = 4110,
  [4232] = 3872,
  [4233] = 4127,
  [4234] = 4234,
  [4235] = 4094,
  [4236] = 4236,
  [4237] = 3843,
  [4238] = 4238,
  [4239] = 3950,
  [4240] = 4108,
  [4241] = 1231,
  [4242] = 4102,
  [4243] = 3971,
  [4244] = 4244,
  [4245] = 4094,
  [4246] = 4104,
  [4247] = 4236,
  [4248] = 4115,
  [4249] = 3951,
  [4250] = 4116,
  [4251] = 4135,
  [4252] = 4220,
  [4253] = 4253,
  [4254] = 4127,
  [4255] = 4220,
  [4256] = 4253,
  [4257] = 4257,
  [4258] = 4135,
  [4259] = 4220,
  [4260] = 4260,
  [4261] = 3953,
  [4262] = 4100,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 846,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 872,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 239,
  [4277] = 234,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 880,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 924,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4293,
  [4294] = 4291,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4288,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4273,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 882,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 885,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 4321,
  [4322] = 4272,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 815,
  [4328] = 816,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 817,
  [4335] = 841,
  [4336] = 4336,
  [4337] = 847,
  [4338] = 848,
  [4339] = 849,
  [4340] = 4340,
  [4341] = 892,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4272,
  [4347] = 850,
  [4348] = 851,
  [4349] = 854,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 855,
  [4353] = 4353,
  [4354] = 4288,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4359,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 925,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4379,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 796,
  [4385] = 4385,
  [4386] = 4295,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 870,
  [4395] = 860,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 861,
  [4399] = 4399,
  [4400] = 4288,
  [4401] = 4401,
  [4402] = 890,
  [4403] = 862,
  [4404] = 864,
  [4405] = 4405,
  [4406] = 4313,
  [4407] = 4284,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4297,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4287,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4272,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4324,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 915,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 807,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 4447,
  [4448] = 808,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 902,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 3855,
  [4460] = 4460,
  [4461] = 904,
  [4462] = 907,
  [4463] = 4125,
  [4464] = 4464,
  [4465] = 4376,
  [4466] = 4466,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 806,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4288,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 881,
  [4483] = 4483,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4285,
  [4488] = 4289,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4300,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4490,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 899,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 809,
  [4506] = 901,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 4263,
  [4510] = 4510,
  [4511] = 4291,
  [4512] = 4512,
  [4513] = 4365,
  [4514] = 941,
  [4515] = 4515,
  [4516] = 812,
  [4517] = 820,
  [4518] = 821,
  [4519] = 4340,
  [4520] = 4291,
  [4521] = 917,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4365,
  [4526] = 4364,
  [4527] = 938,
  [4528] = 4478,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 942,
  [4534] = 4494,
  [4535] = 4535,
  [4536] = 927,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4309,
  [4540] = 4512,
  [4541] = 4541,
  [4542] = 4301,
  [4543] = 827,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4479,
  [4555] = 828,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 818,
  [4563] = 4563,
  [4564] = 4273,
  [4565] = 829,
  [4566] = 4566,
  [4567] = 4279,
  [4568] = 264,
  [4569] = 265,
  [4570] = 4570,
  [4571] = 3839,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 929,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 830,
  [4585] = 4376,
  [4586] = 4478,
  [4587] = 4479,
  [4588] = 4460,
  [4589] = 4285,
  [4590] = 4289,
  [4591] = 4490,
  [4592] = 4592,
  [4593] = 4295,
  [4594] = 4594,
  [4595] = 4504,
  [4596] = 831,
  [4597] = 832,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4492,
  [4601] = 4601,
  [4602] = 4470,
  [4603] = 4358,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4480,
  [4607] = 4607,
  [4608] = 4374,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4397,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4616,
  [4617] = 833,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4446,
  [4622] = 4476,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4486,
  [4627] = 4627,
  [4628] = 834,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 930,
  [4632] = 4632,
  [4633] = 4503,
  [4634] = 4634,
  [4635] = 4224,
  [4636] = 4234,
  [4637] = 4637,
  [4638] = 4238,
  [4639] = 903,
  [4640] = 4504,
  [4641] = 4376,
  [4642] = 4478,
  [4643] = 4479,
  [4644] = 4285,
  [4645] = 4289,
  [4646] = 4490,
  [4647] = 4504,
  [4648] = 874,
  [4649] = 876,
  [4650] = 879,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4273,
  [4654] = 896,
  [4655] = 4655,
  [4656] = 835,
  [4657] = 4657,
  [4658] = 4301,
  [4659] = 4397,
  [4660] = 4660,
  [4661] = 897,
  [4662] = 898,
  [4663] = 4663,
  [4664] = 900,
  [4665] = 4280,
  [4666] = 931,
  [4667] = 932,
  [4668] = 4668,
  [4669] = 4530,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4324,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4299,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 811,
  [4687] = 4687,
  [4688] = 910,
  [4689] = 4460,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4300,
  [4693] = 801,
  [4694] = 4694,
  [4695] = 4293,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 4512,
  [4702] = 3858,
  [4703] = 3905,
  [4704] = 4549,
  [4705] = 4515,
  [4706] = 4293,
  [4707] = 4707,
  [4708] = 4358,
  [4709] = 4374,
  [4710] = 4304,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 4495,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4301,
  [4719] = 939,
  [4720] = 4549,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 837,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4270,
  [4735] = 940,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 911,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4272,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4752,
  [4753] = 4468,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4756,
  [4757] = 4304,
  [4758] = 4690,
  [4759] = 4279,
  [4760] = 4417,
  [4761] = 914,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 840,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4690,
  [4776] = 4776,
  [4777] = 4263,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4300,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4784,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4787,
  [4795] = 4783,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4793,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4791,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 3975,
  [4809] = 4809,
  [4810] = 4788,
  [4811] = 4811,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4783,
  [4816] = 4790,
  [4817] = 4817,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4781,
  [4823] = 4823,
  [4824] = 4807,
  [4825] = 248,
  [4826] = 4789,
  [4827] = 4827,
  [4828] = 4785,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4785,
  [4832] = 4799,
  [4833] = 249,
  [4834] = 4834,
  [4835] = 4814,
  [4836] = 4783,
  [4837] = 4837,
  [4838] = 4789,
  [4839] = 4790,
  [4840] = 4797,
  [4841] = 4841,
  [4842] = 4797,
  [4843] = 4843,
  [4844] = 4790,
  [4845] = 4793,
  [4846] = 4799,
  [4847] = 4800,
  [4848] = 4793,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4799,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4854,
  [4855] = 3885,
  [4856] = 4807,
  [4857] = 4807,
  [4858] = 4858,
  [4859] = 238,
  [4860] = 4860,
  [4861] = 4783,
  [4862] = 4812,
  [4863] = 4797,
  [4864] = 4793,
  [4865] = 4860,
  [4866] = 4799,
  [4867] = 4800,
  [4868] = 4868,
  [4869] = 4869,
  [4870] = 4800,
  [4871] = 4871,
  [4872] = 4785,
  [4873] = 4873,
  [4874] = 4793,
  [4875] = 4799,
  [4876] = 4876,
  [4877] = 4800,
  [4878] = 4797,
  [4879] = 4793,
  [4880] = 4880,
  [4881] = 4799,
  [4882] = 4814,
  [4883] = 4858,
  [4884] = 4790,
  [4885] = 4885,
  [4886] = 4800,
  [4887] = 4783,
  [4888] = 4807,
  [4889] = 4804,
  [4890] = 4797,
  [4891] = 4797,
  [4892] = 4811,
  [4893] = 4793,
  [4894] = 4799,
  [4895] = 4793,
  [4896] = 4799,
  [4897] = 4800,
  [4898] = 4800,
  [4899] = 4800,
  [4900] = 4900,
  [4901] = 4860,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4905,
  [4906] = 4783,
  [4907] = 4789,
  [4908] = 4908,
  [4909] = 4905,
  [4910] = 4910,
  [4911] = 4791,
  [4912] = 4912,
  [4913] = 4784,
  [4914] = 4812,
  [4915] = 4915,
  [4916] = 4814,
  [4917] = 4917,
  [4918] = 4788,
  [4919] = 4919,
  [4920] = 4797,
  [4921] = 4921,
  [4922] = 4630,
  [4923] = 4784,
  [4924] = 4793,
  [4925] = 4854,
  [4926] = 4926,
  [4927] = 4799,
  [4928] = 4789,
  [4929] = 4929,
  [4930] = 4800,
  [4931] = 4931,
  [4932] = 4790,
  [4933] = 4854,
  [4934] = 4854,
  [4935] = 4854,
  [4936] = 4814,
  [4937] = 4789,
  [4938] = 4789,
  [4939] = 4790,
  [4940] = 4785,
  [4941] = 4854,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4814,
  [4945] = 4905,
  [4946] = 4797,
  [4947] = 4627,
  [4948] = 4854,
  [4949] = 4797,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4961,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 3868,
  [5000] = 3843,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 4964,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 4993,
  [5024] = 4998,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 4983,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 5034,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 4976,
  [5060] = 5060,
  [5061] = 4978,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 4955,
  [5069] = 5069,
  [5070] = 4958,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 4990,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 4015,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5003,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 4483,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 4990,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5016,
  [5159] = 5159,
  [5160] = 5018,
  [5161] = 5161,
  [5162] = 4964,
  [5163] = 5163,
  [5164] = 4993,
  [5165] = 4998,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5047,
  [5176] = 5176,
  [5177] = 5050,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 1889,
  [5183] = 1759,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 4990,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 3931,
  [5229] = 5006,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5016,
  [5236] = 5236,
  [5237] = 5018,
  [5238] = 5238,
  [5239] = 4964,
  [5240] = 4993,
  [5241] = 4998,
  [5242] = 5242,
  [5243] = 5242,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5244,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5047,
  [5253] = 5050,
  [5254] = 5254,
  [5255] = 5245,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5246,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5199,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 4964,
  [5286] = 5286,
  [5287] = 4993,
  [5288] = 4998,
  [5289] = 4975,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5050,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 4980,
  [5298] = 5298,
  [5299] = 4961,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 4993,
  [5303] = 4998,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5050,
  [5307] = 5307,
  [5308] = 4983,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5075,
  [5312] = 5312,
  [5313] = 5076,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5178,
  [5317] = 4993,
  [5318] = 4998,
  [5319] = 5050,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 4990,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5117,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5276,
  [5344] = 4296,
  [5345] = 4990,
  [5346] = 5001,
  [5347] = 5231,
  [5348] = 5348,
  [5349] = 5143,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5310,
  [5353] = 5353,
  [5354] = 5047,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5198,
  [5361] = 5211,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 5368,
  [5369] = 5369,
  [5370] = 5001,
  [5371] = 5371,
  [5372] = 5018,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5362,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5003,
  [5389] = 5389,
  [5390] = 804,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5006,
  [5395] = 5280,
  [5396] = 5396,
  [5397] = 5300,
  [5398] = 5398,
  [5399] = 5332,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5026,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5016,
  [5421] = 5421,
  [5422] = 5018,
  [5423] = 5423,
  [5424] = 4964,
  [5425] = 5425,
  [5426] = 4967,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 4993,
  [5432] = 5432,
  [5433] = 4998,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5355,
  [5447] = 5447,
  [5448] = 5050,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5220,
  [5458] = 5458,
  [5459] = 5386,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 4980,
  [5463] = 5463,
  [5464] = 3986,
  [5465] = 5465,
  [5466] = 5198,
  [5467] = 5211,
  [5468] = 5468,
  [5469] = 5250,
  [5470] = 4975,
  [5471] = 5471,
  [5472] = 5472,
  [5473] = 5034,
  [5474] = 5474,
  [5475] = 5475,
  [5476] = 5016,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5484,
  [5485] = 5242,
  [5486] = 5486,
  [5487] = 5244,
  [5488] = 5245,
  [5489] = 5246,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5047,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5050,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 4275,
  [5508] = 5268,
  [5509] = 5055,
  [5510] = 5056,
  [5511] = 5291,
  [5512] = 5292,
  [5513] = 4976,
  [5514] = 4978,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5269,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5375,
  [5528] = 5503,
  [5529] = 5529,
  [5530] = 5018,
  [5531] = 4955,
  [5532] = 5532,
  [5533] = 4958,
  [5534] = 5363,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5018,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5544,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5568,
  [5569] = 5055,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5056,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5331,
  [5586] = 5586,
  [5587] = 5587,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5375,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 2063,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 2067,
  [5623] = 5623,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 4125,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 5635,
  [5636] = 5636,
  [5637] = 5633,
  [5638] = 5638,
  [5639] = 2050,
  [5640] = 5640,
  [5641] = 2053,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5643,
  [5646] = 5646,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 2038,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5664,
  [5665] = 5665,
  [5666] = 5666,
  [5667] = 5667,
  [5668] = 5668,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5646,
  [5674] = 5674,
  [5675] = 5675,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 2056,
  [5679] = 5679,
  [5680] = 5634,
  [5681] = 5681,
  [5682] = 5664,
  [5683] = 5636,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 2027,
  [5689] = 5689,
  [5690] = 5669,
  [5691] = 5664,
  [5692] = 5692,
  [5693] = 2085,
  [5694] = 5694,
  [5695] = 2044,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5627,
  [5699] = 5628,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5702,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5617,
  [5708] = 5708,
  [5709] = 5623,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5677,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5719,
  [5720] = 5629,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5638,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 5664,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5681,
  [5732] = 5710,
  [5733] = 5733,
  [5734] = 5729,
  [5735] = 5735,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5722,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 1977,
  [5755] = 5660,
  [5756] = 5711,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5672,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5626,
  [5763] = 5684,
  [5764] = 5764,
  [5765] = 5748,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5702,
  [5769] = 5652,
  [5770] = 5770,
  [5771] = 5738,
  [5772] = 5644,
  [5773] = 5643,
  [5774] = 5646,
  [5775] = 5651,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5647,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5630,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5685,
  [5789] = 5712,
  [5790] = 5713,
  [5791] = 5705,
  [5792] = 5706,
  [5793] = 5617,
  [5794] = 5623,
  [5795] = 5696,
  [5796] = 5644,
  [5797] = 5643,
  [5798] = 5646,
  [5799] = 2883,
  [5800] = 5800,
  [5801] = 2866,
  [5802] = 5664,
  [5803] = 2879,
  [5804] = 5638,
  [5805] = 5805,
  [5806] = 2913,
  [5807] = 5807,
  [5808] = 5722,
  [5809] = 5627,
  [5810] = 5779,
  [5811] = 5647,
  [5812] = 5812,
  [5813] = 5696,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5618,
  [5822] = 5770,
  [5823] = 5660,
  [5824] = 5670,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5634,
  [5828] = 5636,
  [5829] = 5656,
  [5830] = 5830,
  [5831] = 5745,
  [5832] = 5753,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5677,
  [5836] = 5684,
  [5837] = 5786,
  [5838] = 5710,
  [5839] = 5839,
  [5840] = 5782,
  [5841] = 5743,
  [5842] = 5685,
  [5843] = 5742,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5738,
  [5847] = 5778,
  [5848] = 5848,
  [5849] = 5619,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5845,
  [5853] = 5743,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5779,
  [5858] = 5760,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5784,
  [5864] = 5864,
  [5865] = 5705,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5706,
  [5869] = 5820,
  [5870] = 5870,
  [5871] = 5617,
  [5872] = 5856,
  [5873] = 5623,
  [5874] = 5628,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5662,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5664,
  [5884] = 5747,
  [5885] = 5885,
  [5886] = 5859,
  [5887] = 5770,
  [5888] = 5844,
  [5889] = 5881,
  [5890] = 5729,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5687,
  [5894] = 5894,
  [5895] = 5851,
  [5896] = 2084,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5826,
  [5900] = 5677,
  [5901] = 5834,
  [5902] = 5743,
  [5903] = 5751,
  [5904] = 5761,
  [5905] = 5764,
  [5906] = 5738,
  [5907] = 5839,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 2052,
  [5913] = 5779,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5647,
  [5917] = 5782,
  [5918] = 5677,
  [5919] = 5919,
  [5920] = 5743,
  [5921] = 5738,
  [5922] = 5751,
  [5923] = 5761,
  [5924] = 5781,
  [5925] = 5696,
  [5926] = 5926,
  [5927] = 5621,
  [5928] = 5735,
  [5929] = 5929,
  [5930] = 2030,
  [5931] = 5931,
  [5932] = 2036,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5778,
  [5936] = 5764,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5816,
  [5940] = 5844,
  [5941] = 5941,
  [5942] = 5934,
  [5943] = 5783,
  [5944] = 5851,
  [5945] = 2022,
  [5946] = 5677,
  [5947] = 5947,
  [5948] = 5704,
  [5949] = 5908,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5947,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5820,
  [5956] = 5743,
  [5957] = 5957,
  [5958] = 5870,
  [5959] = 2041,
  [5960] = 5819,
  [5961] = 5770,
  [5962] = 5881,
  [5963] = 5746,
  [5964] = 5631,
  [5965] = 2046,
  [5966] = 5738,
  [5967] = 5670,
  [5968] = 5934,
  [5969] = 5909,
  [5970] = 5748,
  [5971] = 5971,
  [5972] = 5855,
  [5973] = 5620,
  [5974] = 5910,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5766,
  [5978] = 5655,
  [5979] = 5979,
  [5980] = 5668,
  [5981] = 2003,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5655,
  [5985] = 5685,
  [5986] = 5986,
  [5987] = 5667,
  [5988] = 5931,
  [5989] = 5933,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 5700,
  [5994] = 5982,
  [5995] = 2004,
  [5996] = 5996,
  [5997] = 5997,
  [5998] = 5640,
  [5999] = 2047,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 2064,
  [6003] = 5644,
  [6004] = 5643,
  [6005] = 5646,
  [6006] = 2066,
  [6007] = 3101,
  [6008] = 5766,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 5747,
  [6012] = 5705,
  [6013] = 3113,
  [6014] = 5705,
  [6015] = 5706,
  [6016] = 6016,
  [6017] = 5617,
  [6018] = 6018,
  [6019] = 5911,
  [6020] = 5623,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 5704,
  [6025] = 4224,
  [6026] = 2081,
  [6027] = 5706,
  [6028] = 4234,
  [6029] = 6029,
  [6030] = 5631,
  [6031] = 5996,
  [6032] = 5644,
  [6033] = 5664,
  [6034] = 5914,
  [6035] = 4238,
  [6036] = 5704,
  [6037] = 5631,
  [6038] = 5954,
  [6039] = 2060,
  [6040] = 5820,
  [6041] = 5757,
  [6042] = 5677,
  [6043] = 2040,
  [6044] = 5742,
  [6045] = 5743,
  [6046] = 5758,
  [6047] = 5662,
  [6048] = 5652,
  [6049] = 5738,
  [6050] = 5957,
  [6051] = 5748,
  [6052] = 6052,
  [6053] = 5870,
  [6054] = 5867,
  [6055] = 6055,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6064,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6076,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 6090,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6057,
  [6106] = 6078,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6071,
  [6110] = 6110,
  [6111] = 6080,
  [6112] = 6112,
  [6113] = 6063,
  [6114] = 6058,
  [6115] = 6071,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6060,
  [6120] = 6120,
  [6121] = 6081,
  [6122] = 6063,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6071,
  [6127] = 6118,
  [6128] = 6062,
  [6129] = 6116,
  [6130] = 6103,
  [6131] = 6131,
  [6132] = 6055,
  [6133] = 6133,
  [6134] = 6134,
  [6135] = 6135,
  [6136] = 6068,
  [6137] = 6070,
  [6138] = 6074,
  [6139] = 6139,
  [6140] = 6140,
  [6141] = 6075,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 6072,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6056,
  [6150] = 6081,
  [6151] = 6118,
  [6152] = 6116,
  [6153] = 6131,
  [6154] = 6069,
  [6155] = 6139,
  [6156] = 6156,
  [6157] = 6156,
  [6158] = 6125,
  [6159] = 6079,
  [6160] = 6086,
  [6161] = 6161,
  [6162] = 6088,
  [6163] = 6163,
  [6164] = 6088,
  [6165] = 6104,
  [6166] = 6166,
  [6167] = 6161,
  [6168] = 6063,
  [6169] = 6169,
  [6170] = 6170,
  [6171] = 6171,
  [6172] = 6059,
  [6173] = 6173,
  [6174] = 6061,
  [6175] = 6142,
  [6176] = 6170,
  [6177] = 6171,
  [6178] = 6125,
  [6179] = 6179,
  [6180] = 6180,
  [6181] = 6071,
  [6182] = 6057,
  [6183] = 6183,
  [6184] = 6055,
  [6185] = 6156,
  [6186] = 6072,
  [6187] = 6058,
  [6188] = 6116,
  [6189] = 6189,
  [6190] = 6125,
  [6191] = 6087,
  [6192] = 6131,
  [6193] = 6193,
  [6194] = 6073,
  [6195] = 6093,
  [6196] = 6196,
  [6197] = 6060,
  [6198] = 6139,
  [6199] = 6199,
  [6200] = 6110,
  [6201] = 6148,
  [6202] = 6103,
  [6203] = 6089,
  [6204] = 6116,
  [6205] = 6059,
  [6206] = 6206,
  [6207] = 6061,
  [6208] = 6056,
  [6209] = 6209,
  [6210] = 6146,
  [6211] = 6081,
  [6212] = 6062,
  [6213] = 6118,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6148,
  [6217] = 6139,
  [6218] = 6056,
  [6219] = 6101,
  [6220] = 6116,
  [6221] = 6221,
  [6222] = 6069,
  [6223] = 6073,
  [6224] = 6143,
  [6225] = 6074,
  [6226] = 6166,
  [6227] = 6227,
  [6228] = 6142,
  [6229] = 6059,
  [6230] = 6230,
  [6231] = 6143,
  [6232] = 6059,
  [6233] = 6233,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6091,
  [6240] = 6240,
  [6241] = 6094,
  [6242] = 6097,
  [6243] = 6243,
  [6244] = 6140,
  [6245] = 6075,
  [6246] = 6116,
  [6247] = 6079,
  [6248] = 6082,
  [6249] = 6131,
  [6250] = 6075,
  [6251] = 6139,
  [6252] = 6252,
  [6253] = 6079,
  [6254] = 6254,
  [6255] = 6055,
  [6256] = 6089,
  [6257] = 6257,
  [6258] = 6156,
  [6259] = 6055,
  [6260] = 6156,
  [6261] = 6125,
  [6262] = 6125,
  [6263] = 6263,
  [6264] = 6090,
  [6265] = 6131,
  [6266] = 6097,
  [6267] = 6076,
  [6268] = 6268,
  [6269] = 6166,
  [6270] = 6057,
  [6271] = 6087,
  [6272] = 6058,
  [6273] = 6061,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6068,
  [6277] = 6277,
  [6278] = 6072,
  [6279] = 6279,
  [6280] = 6280,
  [6281] = 6274,
  [6282] = 6064,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6060,
  [6287] = 6120,
  [6288] = 6089,
  [6289] = 6139,
  [6290] = 6131,
  [6291] = 6077,
  [6292] = 6095,
  [6293] = 6143,
  [6294] = 6103,
  [6295] = 6089,
  [6296] = 6074,
  [6297] = 6063,
  [6298] = 6166,
  [6299] = 6108,
  [6300] = 6227,
  [6301] = 6143,
  [6302] = 6302,
  [6303] = 6139,
  [6304] = 6071,
  [6305] = 6087,
  [6306] = 6306,
  [6307] = 6094,
  [6308] = 6064,
  [6309] = 6112,
  [6310] = 6310,
  [6311] = 6311,
  [6312] = 6312,
  [6313] = 6102,
  [6314] = 6314,
  [6315] = 6103,
  [6316] = 6104,
  [6317] = 6161,
  [6318] = 6170,
  [6319] = 6171,
  [6320] = 6081,
  [6321] = 6118,
  [6322] = 6062,
  [6323] = 6057,
  [6324] = 6142,
  [6325] = 6058,
  [6326] = 6060,
  [6327] = 6283,
  [6328] = 6062,
  [6329] = 6089,
  [6330] = 6069,
  [6331] = 6073,
  [6332] = 6069,
  [6333] = 6068,
  [6334] = 6068,
  [6335] = 6061,
  [6336] = 6285,
  [6337] = 6070,
  [6338] = 6140,
  [6339] = 6306,
  [6340] = 6070,
  [6341] = 6072,
  [6342] = 6065,
  [6343] = 6066,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6055,
  [6348] = 6072,
  [6349] = 6143,
  [6350] = 6073,
  [6351] = 6156,
  [6352] = 6148,
  [6353] = 6081,
  [6354] = 6354,
  [6355] = 6146,
  [6356] = 6118,
  [6357] = 6357,
  [6358] = 6125,
  [6359] = 6359,
  [6360] = 6064,
  [6361] = 6063,
  [6362] = 6071,
  [6363] = 6147,
  [6364] = 6364,
  [6365] = 6146,
  [6366] = 6230,
  [6367] = 6082,
  [6368] = 6275,
  [6369] = 6369,
  [6370] = 6104,
  [6371] = 6230,
  [6372] = 6074,
  [6373] = 6068,
  [6374] = 6055,
  [6375] = 6234,
  [6376] = 6080,
  [6377] = 6142,
  [6378] = 6236,
  [6379] = 6166,
  [6380] = 6237,
  [6381] = 6161,
  [6382] = 6382,
  [6383] = 6234,
  [6384] = 6384,
  [6385] = 6087,
  [6386] = 6056,
  [6387] = 6279,
  [6388] = 6063,
  [6389] = 6389,
  [6390] = 6103,
  [6391] = 6391,
  [6392] = 6238,
  [6393] = 6091,
  [6394] = 6146,
  [6395] = 6240,
  [6396] = 6234,
  [6397] = 6236,
  [6398] = 6100,
  [6399] = 6399,
  [6400] = 6237,
  [6401] = 6156,
  [6402] = 6078,
  [6403] = 6143,
  [6404] = 6252,
  [6405] = 6116,
  [6406] = 6131,
  [6407] = 6238,
  [6408] = 6139,
  [6409] = 6055,
  [6410] = 6156,
  [6411] = 6125,
  [6412] = 6091,
  [6413] = 6257,
  [6414] = 6094,
  [6415] = 6415,
  [6416] = 6086,
  [6417] = 6131,
  [6418] = 6093,
  [6419] = 6166,
  [6420] = 6285,
  [6421] = 6097,
  [6422] = 6140,
  [6423] = 6070,
  [6424] = 6170,
  [6425] = 6065,
  [6426] = 6426,
  [6427] = 6311,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6075,
  [6431] = 6072,
  [6432] = 6079,
  [6433] = 6066,
  [6434] = 6434,
  [6435] = 6059,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6257,
  [6439] = 6275,
  [6440] = 6274,
  [6441] = 6166,
  [6442] = 6442,
  [6443] = 6094,
  [6444] = 6089,
  [6445] = 6120,
  [6446] = 6306,
  [6447] = 6077,
  [6448] = 6095,
  [6449] = 6097,
  [6450] = 6227,
  [6451] = 6112,
  [6452] = 6166,
  [6453] = 6311,
  [6454] = 6454,
  [6455] = 6102,
  [6456] = 6456,
  [6457] = 6169,
  [6458] = 6283,
  [6459] = 6108,
  [6460] = 6236,
  [6461] = 6237,
  [6462] = 6227,
  [6463] = 6148,
  [6464] = 6275,
  [6465] = 6116,
  [6466] = 6081,
  [6467] = 6118,
  [6468] = 6107,
  [6469] = 6131,
  [6470] = 6140,
  [6471] = 6139,
  [6472] = 6275,
  [6473] = 6055,
  [6474] = 6240,
  [6475] = 6056,
  [6476] = 6252,
  [6477] = 6156,
  [6478] = 6275,
  [6479] = 6068,
  [6480] = 6125,
  [6481] = 6104,
  [6482] = 6344,
  [6483] = 6268,
  [6484] = 6238,
  [6485] = 6161,
  [6486] = 6170,
  [6487] = 6067,
  [6488] = 6171,
  [6489] = 6345,
  [6490] = 6171,
  [6491] = 6142,
  [6492] = 6142,
  [6493] = 6166,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 6234,
  [6497] = 6344,
  [6498] = 6268,
  [6499] = 6236,
  [6500] = 6237,
  [6501] = 6345,
  [6502] = 6268,
  [6503] = 6238,
  [6504] = 6091,
  [6505] = 6275,
  [6506] = 6227,
  [6507] = 6103,
  [6508] = 6148,
  [6509] = 6235,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(78);
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '#', 8,
        '$', 208,
        '%', 151,
        '&', 130,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 81,
        '+', 143,
        ',', 88,
        '-', 147,
        '.', 99,
        '/', 194,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 155,
        '=', 84,
        '>', 164,
        '?', 214,
        '@', 211,
        '[', 96,
        '\\', 36,
        ']', 97,
        '^', 133,
        '`', 192,
        '{', 87,
        '|', 136,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(76);
      if (lookahead > '@') ADVANCE(209);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(27);
      if (lookahead == '/') ADVANCE(20);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(75);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(195);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '#', 34,
        '%', 151,
        '&', 130,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 81,
        '+', 142,
        ',', 88,
        '-', 146,
        '.', 99,
        '/', 149,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 155,
        '=', 84,
        '>', 164,
        '?', 214,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 133,
        '`', 192,
        '{', 86,
        '|', 135,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(2);
      if (lookahead > '#') ADVANCE(209);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '#', 34,
        '%', 150,
        '&', 131,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 82,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 100,
        '/', 148,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 156,
        '=', 83,
        '>', 165,
        '?', 24,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 132,
        '`', 192,
        '{', 86,
        '|', 137,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(3);
      if (lookahead > '#') ADVANCE(209);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '%', 151,
        '&', 130,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 81,
        '+', 142,
        ',', 88,
        '-', 146,
        '.', 98,
        '/', 149,
        ':', 95,
        ';', 93,
        '<', 155,
        '=', 84,
        '>', 164,
        '?', 214,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 133,
        '`', 192,
        '{', 86,
        '|', 136,
        '}', 89,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(221);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 91,
        '%', 150,
        '&', 131,
        '(', 92,
        ')', 94,
        '*', 82,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 98,
        '/', 148,
        ':', 95,
        ';', 93,
        '<', 156,
        '=', 83,
        '>', 165,
        '?', 215,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 132,
        '`', 192,
        '{', 86,
        '|', 138,
        '}', 89,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 91,
        '%', 150,
        '&', 131,
        '(', 92,
        ')', 94,
        '*', 82,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 98,
        '/', 148,
        ':', 95,
        ';', 93,
        '<', 156,
        '=', 31,
        '>', 165,
        '?', 24,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 132,
        '`', 192,
        '{', 86,
        '|', 137,
        '}', 89,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(197);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 91,
        '%', 150,
        '&', 131,
        '(', 92,
        ')', 94,
        '*', 82,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 98,
        '/', 148,
        ':', 95,
        ';', 93,
        '<', 156,
        '=', 31,
        '>', 165,
        '?', 24,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 132,
        '`', 192,
        '{', 86,
        '|', 137,
        '}', 89,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(37);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(210);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 90,
        '"', 171,
        '#', 34,
        '&', 129,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 80,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 99,
        '/', 148,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 154,
        '=', 85,
        '>', 163,
        '?', 212,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '`', 192,
        '{', 86,
        '|', 139,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(209);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 90,
        '"', 171,
        '#', 34,
        '&', 129,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 80,
        '+', 141,
        ',', 88,
        '-', 145,
        '.', 23,
        '/', 148,
        '0', 199,
        '<', 154,
        '?', 212,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '`', 192,
        '{', 87,
        '|', 134,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 90,
        '&', 129,
        '(', 92,
        ')', 94,
        ',', 88,
        '.', 98,
        '/', 20,
        ':', 95,
        ';', 93,
        '<', 154,
        '=', 85,
        '>', 163,
        '?', 212,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '{', 86,
        '|', 139,
        '}', 89,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(221);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '"', 171,
        '#', 34,
        '&', 129,
        '\'', 172,
        '(', 92,
        '*', 80,
        '+', 140,
        ',', 88,
        '-', 144,
        '.', 23,
        '/', 20,
        '0', 199,
        ';', 93,
        '<', 154,
        '>', 163,
        '?', 212,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '`', 192,
        '{', 87,
        '|', 139,
        '}', 89,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '"', 171,
        '#', 34,
        '\'', 172,
        '(', 92,
        '*', 80,
        '+', 140,
        ',', 88,
        '-', 144,
        '.', 23,
        '/', 20,
        '0', 199,
        ';', 93,
        '<', 154,
        '@', 211,
        '[', 96,
        '\\', 38,
        '{', 86,
        '|', 48,
        '}', 89,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 171,
        '&', 129,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 80,
        ',', 88,
        '.', 98,
        '/', 20,
        ':', 95,
        ';', 93,
        '<', 154,
        '=', 85,
        '>', 163,
        '?', 213,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '{', 86,
        '|', 139,
        '}', 89,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(39);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(176);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 16:
      if (lookahead == '$') ADVANCE(40);
      if (lookahead == '/') ADVANCE(20);
      if (lookahead == '\\') ADVANCE(39);
      if (lookahead == '`') ADVANCE(192);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(17);
      END_STATE();
    case 17:
      if (lookahead == '$') ADVANCE(40);
      if (lookahead == '/') ADVANCE(20);
      if (lookahead == '`') ADVANCE(192);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(17);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '&', 129,
        '+', 32,
        ',', 88,
        '-', 33,
        '.', 98,
        '/', 20,
        ':', 95,
        '<', 154,
        '?', 30,
        '[', 96,
        '\\', 38,
        ']', 97,
        '{', 87,
        '|', 134,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(18);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(209);
      END_STATE();
    case 19:
      if (lookahead == '\'') ADVANCE(172);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(39);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(182);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(191);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '?') ADVANCE(166);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(118);
      END_STATE();
    case 26:
      if (lookahead == '/') ADVANCE(194);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(27);
      END_STATE();
    case 27:
      if (lookahead == '/') ADVANCE(20);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(27);
      END_STATE();
    case 28:
      if (lookahead == ':') ADVANCE(217);
      END_STATE();
    case 29:
      if (lookahead == ':') ADVANCE(216);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(218);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 32:
      if (lookahead == '?') ADVANCE(28);
      END_STATE();
    case 33:
      if (lookahead == '?') ADVANCE(29);
      END_STATE();
    case 34:
      if (lookahead == '\\') ADVANCE(37);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(210);
      END_STATE();
    case 35:
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == ']') ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(35);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(41);
      if (lookahead == 'x') ADVANCE(66);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(189);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(66);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(189);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 40:
      if (lookahead == '{') ADVANCE(193);
      END_STATE();
    case 41:
      if (lookahead == '{') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 42:
      if (lookahead == '{') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 43:
      if (lookahead == '{') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 44:
      if (lookahead == '{') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 45:
      if (lookahead == '}') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '}') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '}') ADVANCE(220);
      END_STATE();
    case 49:
      if (lookahead == '}') ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(202);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(203);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(209);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(210);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(185);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(186);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 74:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(35);
      END_STATE();
    case 75:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(196);
      END_STATE();
    case 76:
      if (eof) ADVANCE(78);
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '#', 8,
        '$', 208,
        '%', 151,
        '&', 130,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 81,
        '+', 143,
        ',', 88,
        '-', 147,
        '.', 99,
        '/', 149,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 155,
        '=', 84,
        '>', 164,
        '?', 214,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 133,
        '`', 192,
        '{', 87,
        '|', 136,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(76);
      if (lookahead > '@') ADVANCE(209);
      END_STATE();
    case 77:
      if (eof) ADVANCE(78);
      ADVANCE_MAP(
        '!', 91,
        '"', 171,
        '#', 8,
        '%', 151,
        '&', 130,
        '\'', 172,
        '(', 92,
        ')', 94,
        '*', 81,
        '+', 142,
        ',', 88,
        '-', 146,
        '.', 99,
        '/', 149,
        '0', 199,
        ':', 95,
        ';', 93,
        '<', 155,
        '=', 84,
        '>', 164,
        '?', 214,
        '@', 211,
        '[', 96,
        '\\', 38,
        ']', 97,
        '^', 133,
        '`', 192,
        '{', 87,
        '|', 136,
        '}', 89,
        '~', 168,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(77);
      if (lookahead > '#') ADVANCE(209);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(152);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(219);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(126);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(120);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '|') ADVANCE(122);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(220);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(121);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(220);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(220);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(169);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(169);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(169);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '?') ADVANCE(28);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(170);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(170);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(170);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '?') ADVANCE(29);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(191);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(191);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(123);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(124);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(173);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '/') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(180);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(179);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(38);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(209);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(185);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(188);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(27);
      if (lookahead == '/') ADVANCE(20);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(75);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(195);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(38);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(197);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(209);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 207,
        '0', 201,
        '_', 55,
        'n', 198,
        'B', 51,
        'b', 51,
        'E', 50,
        'e', 50,
        'O', 52,
        'o', 52,
        'X', 60,
        'x', 60,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(198);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(198);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'n') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '{') ADVANCE(193);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(38);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(37);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(102);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '?') ADVANCE(167);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(102);
      if (lookahead == '?') ADVANCE(166);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_ui_version_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(221);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'k', 9,
        'l', 10,
        'm', 11,
        'n', 12,
        'o', 13,
        'p', 14,
        'r', 15,
        's', 16,
        't', 17,
        'u', 18,
        'v', 19,
        'w', 20,
        'y', 21,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'c') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(51);
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'f') ADVANCE(57);
      if (lookahead == 'n') ADVANCE(58);
      if (lookahead == 'v') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(65);
      if (lookahead == 't') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(70);
      if (lookahead == 'h') ADVANCE(71);
      if (lookahead == 'r') ADVANCE(72);
      if (lookahead == 'y') ADVANCE(73);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(76);
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(78);
      if (lookahead == 'i') ADVANCE(79);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(80);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(81);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(82);
      END_STATE();
    case 24:
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(84);
      if (lookahead == 'y') ADVANCE(85);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(89);
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 31:
      if (lookahead == 'm') ADVANCE(92);
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(94);
      if (lookahead == 'c') ADVANCE(95);
      if (lookahead == 'f') ADVANCE(96);
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(98);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(99);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(100);
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(110);
      if (lookahead == 's') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 48:
      if (lookahead == 'y') ADVANCE(113);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 52:
      if (lookahead == 'd') ADVANCE(117);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(118);
      END_STATE();
    case 54:
      if (lookahead == 'v') ADVANCE(119);
      if (lookahead == 'w') ADVANCE(120);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(121);
      if (lookahead == 'm') ADVANCE(122);
      END_STATE();
    case 56:
      if (lookahead == 'j') ADVANCE(123);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 61:
      if (lookahead == 'b') ADVANCE(128);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(129);
      if (lookahead == 'q') ADVANCE(130);
      if (lookahead == 't') ADVANCE(131);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(133);
      END_STATE();
    case 65:
      if (lookahead == 'g') ADVANCE(134);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 67:
      if (lookahead == 'p') ADVANCE(137);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(139);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(140);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(141);
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(143);
      if (lookahead == 'y') ADVANCE(144);
      END_STATE();
    case 73:
      if (lookahead == 'p') ADVANCE(145);
      END_STATE();
    case 74:
      if (lookahead == 'd') ADVANCE(146);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 76:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 81:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 86:
      if (lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 90:
      if (lookahead == 'c') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(164);
      END_STATE();
    case 92:
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 93:
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'u') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 99:
      if (lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 100:
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 105:
      if (lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 108:
      if (lookahead == 'b') ADVANCE(180);
      END_STATE();
    case 109:
      if (lookahead == 'l') ADVANCE(181);
      if (lookahead == 'o') ADVANCE(182);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 113:
      if (lookahead == 'o') ADVANCE(186);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(188);
      END_STATE();
    case 117:
      if (lookahead == 'u') ADVANCE(189);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'b') ADVANCE(193);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 126:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 127:
      if (lookahead == 'p') ADVANCE(198);
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 128:
      if (lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 129:
      if (lookahead == 'd') ADVANCE(201);
      END_STATE();
    case 130:
      if (lookahead == 'u') ADVANCE(202);
      END_STATE();
    case 131:
      if (lookahead == 'u') ADVANCE(203);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 134:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 139:
      if (lookahead == 'b') ADVANCE(210);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(211);
      END_STATE();
    case 141:
      if (lookahead == 's') ADVANCE(212);
      END_STATE();
    case 142:
      if (lookahead == 'o') ADVANCE(213);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 147:
      if (lookahead == 'q') ADVANCE(217);
      END_STATE();
    case 148:
      if (lookahead == 'n') ADVANCE(218);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(219);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 151:
      if (lookahead == 'd') ADVANCE(220);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(222);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 155:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 156:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 161:
      if (lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 163:
      if (lookahead == 'h') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 's') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(234);
      END_STATE();
    case 167:
      if (lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 168:
      if (lookahead == 'g') ADVANCE(236);
      END_STATE();
    case 169:
      if (lookahead == 'a') ADVANCE(237);
      END_STATE();
    case 170:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(240);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(243);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(248);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 185:
      if (lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 186:
      if (lookahead == 'f') ADVANCE(251);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(252);
      END_STATE();
    case 190:
      if (lookahead == 's') ADVANCE(253);
      END_STATE();
    case 191:
      if (lookahead == 'r') ADVANCE(254);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(256);
      END_STATE();
    case 195:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 196:
      if (lookahead == 'm') ADVANCE(258);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(262);
      END_STATE();
    case 201:
      if (lookahead == 'o') ADVANCE(263);
      END_STATE();
    case 202:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 203:
      if (lookahead == 'r') ADVANCE(265);
      END_STATE();
    case 204:
      if (lookahead == 's') ADVANCE(266);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 208:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 210:
      if (lookahead == 'o') ADVANCE(272);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 213:
      if (lookahead == 'w') ADVANCE(274);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 216:
      if (lookahead == 'f') ADVANCE(276);
      END_STATE();
    case 217:
      if (lookahead == 'u') ADVANCE(277);
      END_STATE();
    case 218:
      if (lookahead == 'o') ADVANCE(278);
      END_STATE();
    case 219:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 229:
      if (lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 236:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 237:
      if (lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(290);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(292);
      END_STATE();
    case 241:
      if (lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(296);
      END_STATE();
    case 246:
      if (lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 247:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 250:
      if (lookahead == 'f') ADVANCE(300);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 253:
      if (lookahead == 'p') ADVANCE(302);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(303);
      END_STATE();
    case 256:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 258:
      if (lookahead == 'a') ADVANCE(306);
      END_STATE();
    case 259:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 260:
      if (lookahead == 'r') ADVANCE(308);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 262:
      if (lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(311);
      END_STATE();
    case 264:
      if (lookahead == 'r') ADVANCE(312);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(313);
      END_STATE();
    case 266:
      if (lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(315);
      END_STATE();
    case 268:
      if (lookahead == 'c') ADVANCE(316);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(317);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 271:
      if (lookahead == 'h') ADVANCE(318);
      END_STATE();
    case 272:
      if (lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(321);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 278:
      if (lookahead == 'w') ADVANCE(324);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 282:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 285:
      if (lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 286:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 287:
      if (lookahead == 'u') ADVANCE(330);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(333);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 293:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 294:
      if (lookahead == 'y') ADVANCE(335);
      END_STATE();
    case 295:
      if (lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 302:
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 305:
      if (lookahead == 'd') ADVANCE(341);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_pragma);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 308:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 311:
      if (lookahead == 'l') ADVANCE(345);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(347);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_signal);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 324:
      if (lookahead == 'n') ADVANCE(349);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(351);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 329:
      if (lookahead == 'n') ADVANCE(352);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 336:
      if (lookahead == 'n') ADVANCE(355);
      END_STATE();
    case 337:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(357);
      END_STATE();
    case 339:
      if (lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 343:
      if (lookahead == 'y') ADVANCE(361);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(362);
      END_STATE();
    case 345:
      if (lookahead == 'y') ADVANCE(363);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == 'd') ADVANCE(364);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 348:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_accessor);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 356:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 357:
      if (lookahead == 'o') ADVANCE(369);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 362:
      if (lookahead == 'd') ADVANCE(372);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 365:
      if (lookahead == 's') ADVANCE(373);
      END_STATE();
    case 366:
      if (lookahead == 'd') ADVANCE(374);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 368:
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 369:
      if (lookahead == 'f') ADVANCE(376);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 77, .external_lex_state = 2},
  [2] = {.lex_state = 77, .external_lex_state = 3},
  [3] = {.lex_state = 77, .external_lex_state = 3},
  [4] = {.lex_state = 9, .external_lex_state = 2},
  [5] = {.lex_state = 9, .external_lex_state = 2},
  [6] = {.lex_state = 9, .external_lex_state = 2},
  [7] = {.lex_state = 9, .external_lex_state = 2},
  [8] = {.lex_state = 9, .external_lex_state = 2},
  [9] = {.lex_state = 9, .external_lex_state = 2},
  [10] = {.lex_state = 9, .external_lex_state = 2},
  [11] = {.lex_state = 9, .external_lex_state = 2},
  [12] = {.lex_state = 9, .external_lex_state = 2},
  [13] = {.lex_state = 9, .external_lex_state = 2},
  [14] = {.lex_state = 9, .external_lex_state = 2},
  [15] = {.lex_state = 9, .external_lex_state = 2},
  [16] = {.lex_state = 9, .external_lex_state = 2},
  [17] = {.lex_state = 9, .external_lex_state = 2},
  [18] = {.lex_state = 9, .external_lex_state = 2},
  [19] = {.lex_state = 9, .external_lex_state = 2},
  [20] = {.lex_state = 9, .external_lex_state = 2},
  [21] = {.lex_state = 9, .external_lex_state = 2},
  [22] = {.lex_state = 9, .external_lex_state = 2},
  [23] = {.lex_state = 9, .external_lex_state = 2},
  [24] = {.lex_state = 9, .external_lex_state = 2},
  [25] = {.lex_state = 9, .external_lex_state = 2},
  [26] = {.lex_state = 9, .external_lex_state = 2},
  [27] = {.lex_state = 9, .external_lex_state = 2},
  [28] = {.lex_state = 9, .external_lex_state = 2},
  [29] = {.lex_state = 9, .external_lex_state = 2},
  [30] = {.lex_state = 9, .external_lex_state = 2},
  [31] = {.lex_state = 9, .external_lex_state = 2},
  [32] = {.lex_state = 9, .external_lex_state = 2},
  [33] = {.lex_state = 9, .external_lex_state = 2},
  [34] = {.lex_state = 9, .external_lex_state = 2},
  [35] = {.lex_state = 9, .external_lex_state = 2},
  [36] = {.lex_state = 9, .external_lex_state = 2},
  [37] = {.lex_state = 9, .external_lex_state = 2},
  [38] = {.lex_state = 9, .external_lex_state = 2},
  [39] = {.lex_state = 9, .external_lex_state = 2},
  [40] = {.lex_state = 9, .external_lex_state = 2},
  [41] = {.lex_state = 9, .external_lex_state = 2},
  [42] = {.lex_state = 9, .external_lex_state = 2},
  [43] = {.lex_state = 9, .external_lex_state = 2},
  [44] = {.lex_state = 9, .external_lex_state = 2},
  [45] = {.lex_state = 9, .external_lex_state = 2},
  [46] = {.lex_state = 9, .external_lex_state = 2},
  [47] = {.lex_state = 9, .external_lex_state = 2},
  [48] = {.lex_state = 9, .external_lex_state = 2},
  [49] = {.lex_state = 9, .external_lex_state = 2},
  [50] = {.lex_state = 9, .external_lex_state = 2},
  [51] = {.lex_state = 9, .external_lex_state = 2},
  [52] = {.lex_state = 9, .external_lex_state = 2},
  [53] = {.lex_state = 9, .external_lex_state = 2},
  [54] = {.lex_state = 9, .external_lex_state = 2},
  [55] = {.lex_state = 9, .external_lex_state = 2},
  [56] = {.lex_state = 9, .external_lex_state = 2},
  [57] = {.lex_state = 9, .external_lex_state = 2},
  [58] = {.lex_state = 9, .external_lex_state = 2},
  [59] = {.lex_state = 9, .external_lex_state = 2},
  [60] = {.lex_state = 9, .external_lex_state = 2},
  [61] = {.lex_state = 9, .external_lex_state = 2},
  [62] = {.lex_state = 9, .external_lex_state = 2},
  [63] = {.lex_state = 9, .external_lex_state = 2},
  [64] = {.lex_state = 9, .external_lex_state = 2},
  [65] = {.lex_state = 9, .external_lex_state = 2},
  [66] = {.lex_state = 9, .external_lex_state = 2},
  [67] = {.lex_state = 9, .external_lex_state = 2},
  [68] = {.lex_state = 9, .external_lex_state = 2},
  [69] = {.lex_state = 9, .external_lex_state = 2},
  [70] = {.lex_state = 9, .external_lex_state = 2},
  [71] = {.lex_state = 9, .external_lex_state = 2},
  [72] = {.lex_state = 10, .external_lex_state = 2},
  [73] = {.lex_state = 10, .external_lex_state = 2},
  [74] = {.lex_state = 9, .external_lex_state = 2},
  [75] = {.lex_state = 10, .external_lex_state = 2},
  [76] = {.lex_state = 10, .external_lex_state = 2},
  [77] = {.lex_state = 9, .external_lex_state = 2},
  [78] = {.lex_state = 9, .external_lex_state = 2},
  [79] = {.lex_state = 9, .external_lex_state = 2},
  [80] = {.lex_state = 10, .external_lex_state = 2},
  [81] = {.lex_state = 10, .external_lex_state = 2},
  [82] = {.lex_state = 9, .external_lex_state = 2},
  [83] = {.lex_state = 10, .external_lex_state = 2},
  [84] = {.lex_state = 9, .external_lex_state = 2},
  [85] = {.lex_state = 10, .external_lex_state = 2},
  [86] = {.lex_state = 10, .external_lex_state = 2},
  [87] = {.lex_state = 10, .external_lex_state = 2},
  [88] = {.lex_state = 9, .external_lex_state = 2},
  [89] = {.lex_state = 2, .external_lex_state = 4},
  [90] = {.lex_state = 2, .external_lex_state = 4},
  [91] = {.lex_state = 2, .external_lex_state = 4},
  [92] = {.lex_state = 2, .external_lex_state = 4},
  [93] = {.lex_state = 2, .external_lex_state = 3},
  [94] = {.lex_state = 10, .external_lex_state = 2},
  [95] = {.lex_state = 10, .external_lex_state = 2},
  [96] = {.lex_state = 2, .external_lex_state = 3},
  [97] = {.lex_state = 2, .external_lex_state = 3},
  [98] = {.lex_state = 2, .external_lex_state = 3},
  [99] = {.lex_state = 2, .external_lex_state = 3},
  [100] = {.lex_state = 2, .external_lex_state = 3},
  [101] = {.lex_state = 2, .external_lex_state = 3},
  [102] = {.lex_state = 10, .external_lex_state = 2},
  [103] = {.lex_state = 2, .external_lex_state = 3},
  [104] = {.lex_state = 2, .external_lex_state = 3},
  [105] = {.lex_state = 2, .external_lex_state = 3},
  [106] = {.lex_state = 2, .external_lex_state = 3},
  [107] = {.lex_state = 2, .external_lex_state = 3},
  [108] = {.lex_state = 2, .external_lex_state = 3},
  [109] = {.lex_state = 10, .external_lex_state = 2},
  [110] = {.lex_state = 10, .external_lex_state = 2},
  [111] = {.lex_state = 2, .external_lex_state = 3},
  [112] = {.lex_state = 10, .external_lex_state = 2},
  [113] = {.lex_state = 10, .external_lex_state = 2},
  [114] = {.lex_state = 10, .external_lex_state = 2},
  [115] = {.lex_state = 2, .external_lex_state = 4},
  [116] = {.lex_state = 2, .external_lex_state = 4},
  [117] = {.lex_state = 2, .external_lex_state = 3},
  [118] = {.lex_state = 2, .external_lex_state = 4},
  [119] = {.lex_state = 2, .external_lex_state = 4},
  [120] = {.lex_state = 2, .external_lex_state = 4},
  [121] = {.lex_state = 2, .external_lex_state = 3},
  [122] = {.lex_state = 2, .external_lex_state = 4},
  [123] = {.lex_state = 2, .external_lex_state = 3},
  [124] = {.lex_state = 2, .external_lex_state = 4},
  [125] = {.lex_state = 2, .external_lex_state = 3},
  [126] = {.lex_state = 2, .external_lex_state = 4},
  [127] = {.lex_state = 2, .external_lex_state = 3},
  [128] = {.lex_state = 2, .external_lex_state = 3},
  [129] = {.lex_state = 2, .external_lex_state = 4},
  [130] = {.lex_state = 2, .external_lex_state = 3},
  [131] = {.lex_state = 2, .external_lex_state = 3},
  [132] = {.lex_state = 2, .external_lex_state = 3},
  [133] = {.lex_state = 2, .external_lex_state = 3},
  [134] = {.lex_state = 2, .external_lex_state = 4},
  [135] = {.lex_state = 2, .external_lex_state = 3},
  [136] = {.lex_state = 2, .external_lex_state = 3},
  [137] = {.lex_state = 2, .external_lex_state = 4},
  [138] = {.lex_state = 2, .external_lex_state = 3},
  [139] = {.lex_state = 2, .external_lex_state = 4},
  [140] = {.lex_state = 2, .external_lex_state = 3},
  [141] = {.lex_state = 2, .external_lex_state = 3},
  [142] = {.lex_state = 2, .external_lex_state = 3},
  [143] = {.lex_state = 2, .external_lex_state = 3},
  [144] = {.lex_state = 2, .external_lex_state = 3},
  [145] = {.lex_state = 2, .external_lex_state = 3},
  [146] = {.lex_state = 2, .external_lex_state = 3},
  [147] = {.lex_state = 2, .external_lex_state = 3},
  [148] = {.lex_state = 2, .external_lex_state = 3},
  [149] = {.lex_state = 2, .external_lex_state = 3},
  [150] = {.lex_state = 2, .external_lex_state = 3},
  [151] = {.lex_state = 2, .external_lex_state = 3},
  [152] = {.lex_state = 2, .external_lex_state = 3},
  [153] = {.lex_state = 2, .external_lex_state = 3},
  [154] = {.lex_state = 2, .external_lex_state = 3},
  [155] = {.lex_state = 2, .external_lex_state = 3},
  [156] = {.lex_state = 10, .external_lex_state = 2},
  [157] = {.lex_state = 2, .external_lex_state = 3},
  [158] = {.lex_state = 2, .external_lex_state = 3},
  [159] = {.lex_state = 2, .external_lex_state = 3},
  [160] = {.lex_state = 2, .external_lex_state = 3},
  [161] = {.lex_state = 2, .external_lex_state = 3},
  [162] = {.lex_state = 2, .external_lex_state = 3},
  [163] = {.lex_state = 2, .external_lex_state = 3},
  [164] = {.lex_state = 2, .external_lex_state = 3},
  [165] = {.lex_state = 2, .external_lex_state = 3},
  [166] = {.lex_state = 10, .external_lex_state = 2},
  [167] = {.lex_state = 10, .external_lex_state = 2},
  [168] = {.lex_state = 10, .external_lex_state = 2},
  [169] = {.lex_state = 10, .external_lex_state = 2},
  [170] = {.lex_state = 10, .external_lex_state = 2},
  [171] = {.lex_state = 10, .external_lex_state = 2},
  [172] = {.lex_state = 10, .external_lex_state = 2},
  [173] = {.lex_state = 10, .external_lex_state = 2},
  [174] = {.lex_state = 10, .external_lex_state = 2},
  [175] = {.lex_state = 10, .external_lex_state = 2},
  [176] = {.lex_state = 10, .external_lex_state = 2},
  [177] = {.lex_state = 10, .external_lex_state = 2},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 3, .external_lex_state = 4},
  [180] = {.lex_state = 3, .external_lex_state = 4},
  [181] = {.lex_state = 3, .external_lex_state = 4},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 3, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 3},
  [185] = {.lex_state = 3, .external_lex_state = 3},
  [186] = {.lex_state = 3, .external_lex_state = 3},
  [187] = {.lex_state = 9, .external_lex_state = 2},
  [188] = {.lex_state = 9, .external_lex_state = 2},
  [189] = {.lex_state = 9, .external_lex_state = 2},
  [190] = {.lex_state = 9, .external_lex_state = 2},
  [191] = {.lex_state = 9, .external_lex_state = 2},
  [192] = {.lex_state = 9, .external_lex_state = 2},
  [193] = {.lex_state = 9, .external_lex_state = 2},
  [194] = {.lex_state = 9, .external_lex_state = 2},
  [195] = {.lex_state = 9, .external_lex_state = 2},
  [196] = {.lex_state = 77, .external_lex_state = 3},
  [197] = {.lex_state = 9, .external_lex_state = 2},
  [198] = {.lex_state = 9, .external_lex_state = 2},
  [199] = {.lex_state = 9, .external_lex_state = 2},
  [200] = {.lex_state = 9, .external_lex_state = 2},
  [201] = {.lex_state = 9, .external_lex_state = 2},
  [202] = {.lex_state = 9, .external_lex_state = 2},
  [203] = {.lex_state = 9, .external_lex_state = 2},
  [204] = {.lex_state = 9, .external_lex_state = 2},
  [205] = {.lex_state = 9, .external_lex_state = 2},
  [206] = {.lex_state = 77, .external_lex_state = 4},
  [207] = {.lex_state = 77, .external_lex_state = 4},
  [208] = {.lex_state = 77, .external_lex_state = 3},
  [209] = {.lex_state = 77, .external_lex_state = 3},
  [210] = {.lex_state = 77, .external_lex_state = 3},
  [211] = {.lex_state = 77, .external_lex_state = 4},
  [212] = {.lex_state = 77, .external_lex_state = 3},
  [213] = {.lex_state = 77, .external_lex_state = 3},
  [214] = {.lex_state = 77, .external_lex_state = 3},
  [215] = {.lex_state = 77, .external_lex_state = 3},
  [216] = {.lex_state = 9, .external_lex_state = 2},
  [217] = {.lex_state = 77, .external_lex_state = 3},
  [218] = {.lex_state = 9, .external_lex_state = 2},
  [219] = {.lex_state = 9, .external_lex_state = 2},
  [220] = {.lex_state = 9, .external_lex_state = 2},
  [221] = {.lex_state = 77, .external_lex_state = 3},
  [222] = {.lex_state = 9, .external_lex_state = 2},
  [223] = {.lex_state = 9, .external_lex_state = 2},
  [224] = {.lex_state = 9, .external_lex_state = 2},
  [225] = {.lex_state = 77, .external_lex_state = 3},
  [226] = {.lex_state = 9, .external_lex_state = 2},
  [227] = {.lex_state = 9, .external_lex_state = 2},
  [228] = {.lex_state = 9, .external_lex_state = 2},
  [229] = {.lex_state = 9, .external_lex_state = 2},
  [230] = {.lex_state = 9, .external_lex_state = 2},
  [231] = {.lex_state = 9, .external_lex_state = 2},
  [232] = {.lex_state = 9, .external_lex_state = 2},
  [233] = {.lex_state = 9, .external_lex_state = 2},
  [234] = {.lex_state = 3, .external_lex_state = 4},
  [235] = {.lex_state = 9, .external_lex_state = 2},
  [236] = {.lex_state = 9, .external_lex_state = 2},
  [237] = {.lex_state = 9, .external_lex_state = 2},
  [238] = {.lex_state = 3, .external_lex_state = 4},
  [239] = {.lex_state = 3, .external_lex_state = 4},
  [240] = {.lex_state = 9, .external_lex_state = 2},
  [241] = {.lex_state = 9, .external_lex_state = 2},
  [242] = {.lex_state = 3, .external_lex_state = 4},
  [243] = {.lex_state = 9, .external_lex_state = 2},
  [244] = {.lex_state = 9, .external_lex_state = 2},
  [245] = {.lex_state = 3, .external_lex_state = 4},
  [246] = {.lex_state = 9, .external_lex_state = 2},
  [247] = {.lex_state = 3, .external_lex_state = 4},
  [248] = {.lex_state = 3, .external_lex_state = 4},
  [249] = {.lex_state = 3, .external_lex_state = 4},
  [250] = {.lex_state = 3, .external_lex_state = 4},
  [251] = {.lex_state = 3, .external_lex_state = 4},
  [252] = {.lex_state = 3, .external_lex_state = 4},
  [253] = {.lex_state = 3, .external_lex_state = 4},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 3, .external_lex_state = 4},
  [256] = {.lex_state = 3, .external_lex_state = 4},
  [257] = {.lex_state = 3, .external_lex_state = 4},
  [258] = {.lex_state = 3, .external_lex_state = 4},
  [259] = {.lex_state = 3, .external_lex_state = 4},
  [260] = {.lex_state = 3, .external_lex_state = 4},
  [261] = {.lex_state = 3, .external_lex_state = 4},
  [262] = {.lex_state = 3, .external_lex_state = 4},
  [263] = {.lex_state = 3, .external_lex_state = 4},
  [264] = {.lex_state = 3, .external_lex_state = 4},
  [265] = {.lex_state = 3, .external_lex_state = 4},
  [266] = {.lex_state = 3, .external_lex_state = 4},
  [267] = {.lex_state = 3, .external_lex_state = 4},
  [268] = {.lex_state = 3, .external_lex_state = 4},
  [269] = {.lex_state = 9, .external_lex_state = 5},
  [270] = {.lex_state = 3, .external_lex_state = 4},
  [271] = {.lex_state = 3, .external_lex_state = 4},
  [272] = {.lex_state = 9, .external_lex_state = 2},
  [273] = {.lex_state = 9, .external_lex_state = 2},
  [274] = {.lex_state = 9, .external_lex_state = 2},
  [275] = {.lex_state = 9, .external_lex_state = 2},
  [276] = {.lex_state = 9, .external_lex_state = 2},
  [277] = {.lex_state = 9, .external_lex_state = 2},
  [278] = {.lex_state = 9, .external_lex_state = 2},
  [279] = {.lex_state = 9, .external_lex_state = 2},
  [280] = {.lex_state = 9, .external_lex_state = 2},
  [281] = {.lex_state = 9, .external_lex_state = 2},
  [282] = {.lex_state = 2, .external_lex_state = 3},
  [283] = {.lex_state = 9, .external_lex_state = 2},
  [284] = {.lex_state = 2, .external_lex_state = 3},
  [285] = {.lex_state = 2, .external_lex_state = 3},
  [286] = {.lex_state = 2, .external_lex_state = 3},
  [287] = {.lex_state = 9, .external_lex_state = 2},
  [288] = {.lex_state = 9, .external_lex_state = 2},
  [289] = {.lex_state = 9, .external_lex_state = 2},
  [290] = {.lex_state = 9, .external_lex_state = 2},
  [291] = {.lex_state = 9, .external_lex_state = 2},
  [292] = {.lex_state = 9, .external_lex_state = 2},
  [293] = {.lex_state = 9, .external_lex_state = 2},
  [294] = {.lex_state = 9, .external_lex_state = 2},
  [295] = {.lex_state = 9, .external_lex_state = 2},
  [296] = {.lex_state = 9, .external_lex_state = 2},
  [297] = {.lex_state = 9, .external_lex_state = 2},
  [298] = {.lex_state = 9, .external_lex_state = 2},
  [299] = {.lex_state = 9, .external_lex_state = 2},
  [300] = {.lex_state = 9, .external_lex_state = 2},
  [301] = {.lex_state = 9, .external_lex_state = 2},
  [302] = {.lex_state = 9, .external_lex_state = 2},
  [303] = {.lex_state = 9, .external_lex_state = 2},
  [304] = {.lex_state = 9, .external_lex_state = 2},
  [305] = {.lex_state = 9, .external_lex_state = 2},
  [306] = {.lex_state = 9, .external_lex_state = 2},
  [307] = {.lex_state = 9, .external_lex_state = 2},
  [308] = {.lex_state = 9, .external_lex_state = 2},
  [309] = {.lex_state = 9, .external_lex_state = 2},
  [310] = {.lex_state = 9, .external_lex_state = 2},
  [311] = {.lex_state = 9, .external_lex_state = 2},
  [312] = {.lex_state = 9, .external_lex_state = 2},
  [313] = {.lex_state = 9, .external_lex_state = 2},
  [314] = {.lex_state = 9, .external_lex_state = 2},
  [315] = {.lex_state = 9, .external_lex_state = 2},
  [316] = {.lex_state = 9, .external_lex_state = 2},
  [317] = {.lex_state = 9, .external_lex_state = 2},
  [318] = {.lex_state = 9, .external_lex_state = 2},
  [319] = {.lex_state = 9, .external_lex_state = 2},
  [320] = {.lex_state = 9, .external_lex_state = 2},
  [321] = {.lex_state = 9, .external_lex_state = 2},
  [322] = {.lex_state = 9, .external_lex_state = 2},
  [323] = {.lex_state = 9, .external_lex_state = 2},
  [324] = {.lex_state = 9, .external_lex_state = 2},
  [325] = {.lex_state = 9, .external_lex_state = 2},
  [326] = {.lex_state = 9, .external_lex_state = 2},
  [327] = {.lex_state = 9, .external_lex_state = 5},
  [328] = {.lex_state = 9, .external_lex_state = 5},
  [329] = {.lex_state = 9, .external_lex_state = 2},
  [330] = {.lex_state = 9, .external_lex_state = 2},
  [331] = {.lex_state = 9, .external_lex_state = 2},
  [332] = {.lex_state = 9, .external_lex_state = 2},
  [333] = {.lex_state = 9, .external_lex_state = 2},
  [334] = {.lex_state = 9, .external_lex_state = 2},
  [335] = {.lex_state = 9, .external_lex_state = 2},
  [336] = {.lex_state = 9, .external_lex_state = 2},
  [337] = {.lex_state = 9, .external_lex_state = 2},
  [338] = {.lex_state = 9, .external_lex_state = 2},
  [339] = {.lex_state = 9, .external_lex_state = 2},
  [340] = {.lex_state = 9, .external_lex_state = 2},
  [341] = {.lex_state = 9, .external_lex_state = 2},
  [342] = {.lex_state = 9, .external_lex_state = 2},
  [343] = {.lex_state = 9, .external_lex_state = 2},
  [344] = {.lex_state = 9, .external_lex_state = 2},
  [345] = {.lex_state = 9, .external_lex_state = 2},
  [346] = {.lex_state = 9, .external_lex_state = 2},
  [347] = {.lex_state = 9, .external_lex_state = 2},
  [348] = {.lex_state = 9, .external_lex_state = 2},
  [349] = {.lex_state = 9, .external_lex_state = 2},
  [350] = {.lex_state = 9, .external_lex_state = 2},
  [351] = {.lex_state = 9, .external_lex_state = 2},
  [352] = {.lex_state = 9, .external_lex_state = 2},
  [353] = {.lex_state = 9, .external_lex_state = 2},
  [354] = {.lex_state = 9, .external_lex_state = 2},
  [355] = {.lex_state = 9, .external_lex_state = 2},
  [356] = {.lex_state = 9, .external_lex_state = 2},
  [357] = {.lex_state = 9, .external_lex_state = 2},
  [358] = {.lex_state = 9, .external_lex_state = 2},
  [359] = {.lex_state = 9, .external_lex_state = 2},
  [360] = {.lex_state = 9, .external_lex_state = 2},
  [361] = {.lex_state = 9, .external_lex_state = 2},
  [362] = {.lex_state = 9, .external_lex_state = 2},
  [363] = {.lex_state = 9, .external_lex_state = 2},
  [364] = {.lex_state = 9, .external_lex_state = 2},
  [365] = {.lex_state = 9, .external_lex_state = 2},
  [366] = {.lex_state = 9, .external_lex_state = 2},
  [367] = {.lex_state = 9, .external_lex_state = 2},
  [368] = {.lex_state = 9, .external_lex_state = 2},
  [369] = {.lex_state = 9, .external_lex_state = 2},
  [370] = {.lex_state = 9, .external_lex_state = 2},
  [371] = {.lex_state = 9, .external_lex_state = 2},
  [372] = {.lex_state = 9, .external_lex_state = 2},
  [373] = {.lex_state = 9, .external_lex_state = 2},
  [374] = {.lex_state = 9, .external_lex_state = 2},
  [375] = {.lex_state = 9, .external_lex_state = 2},
  [376] = {.lex_state = 9, .external_lex_state = 2},
  [377] = {.lex_state = 9, .external_lex_state = 2},
  [378] = {.lex_state = 9, .external_lex_state = 2},
  [379] = {.lex_state = 9, .external_lex_state = 2},
  [380] = {.lex_state = 9, .external_lex_state = 2},
  [381] = {.lex_state = 9, .external_lex_state = 2},
  [382] = {.lex_state = 9, .external_lex_state = 2},
  [383] = {.lex_state = 9, .external_lex_state = 2},
  [384] = {.lex_state = 9, .external_lex_state = 2},
  [385] = {.lex_state = 9, .external_lex_state = 2},
  [386] = {.lex_state = 9, .external_lex_state = 2},
  [387] = {.lex_state = 9, .external_lex_state = 2},
  [388] = {.lex_state = 9, .external_lex_state = 2},
  [389] = {.lex_state = 9, .external_lex_state = 2},
  [390] = {.lex_state = 9, .external_lex_state = 2},
  [391] = {.lex_state = 9, .external_lex_state = 2},
  [392] = {.lex_state = 9, .external_lex_state = 2},
  [393] = {.lex_state = 9, .external_lex_state = 2},
  [394] = {.lex_state = 9, .external_lex_state = 2},
  [395] = {.lex_state = 9, .external_lex_state = 2},
  [396] = {.lex_state = 9, .external_lex_state = 2},
  [397] = {.lex_state = 9, .external_lex_state = 2},
  [398] = {.lex_state = 9, .external_lex_state = 2},
  [399] = {.lex_state = 9, .external_lex_state = 2},
  [400] = {.lex_state = 9, .external_lex_state = 2},
  [401] = {.lex_state = 9, .external_lex_state = 2},
  [402] = {.lex_state = 9, .external_lex_state = 2},
  [403] = {.lex_state = 9, .external_lex_state = 2},
  [404] = {.lex_state = 9, .external_lex_state = 2},
  [405] = {.lex_state = 9, .external_lex_state = 2},
  [406] = {.lex_state = 9, .external_lex_state = 2},
  [407] = {.lex_state = 9, .external_lex_state = 2},
  [408] = {.lex_state = 9, .external_lex_state = 2},
  [409] = {.lex_state = 9, .external_lex_state = 2},
  [410] = {.lex_state = 9, .external_lex_state = 2},
  [411] = {.lex_state = 9, .external_lex_state = 2},
  [412] = {.lex_state = 9, .external_lex_state = 2},
  [413] = {.lex_state = 9, .external_lex_state = 2},
  [414] = {.lex_state = 9, .external_lex_state = 2},
  [415] = {.lex_state = 9, .external_lex_state = 2},
  [416] = {.lex_state = 9, .external_lex_state = 2},
  [417] = {.lex_state = 9, .external_lex_state = 2},
  [418] = {.lex_state = 9, .external_lex_state = 2},
  [419] = {.lex_state = 9, .external_lex_state = 2},
  [420] = {.lex_state = 9, .external_lex_state = 2},
  [421] = {.lex_state = 9, .external_lex_state = 2},
  [422] = {.lex_state = 9, .external_lex_state = 2},
  [423] = {.lex_state = 9, .external_lex_state = 2},
  [424] = {.lex_state = 9, .external_lex_state = 2},
  [425] = {.lex_state = 9, .external_lex_state = 2},
  [426] = {.lex_state = 9, .external_lex_state = 2},
  [427] = {.lex_state = 9, .external_lex_state = 2},
  [428] = {.lex_state = 9, .external_lex_state = 2},
  [429] = {.lex_state = 9, .external_lex_state = 2},
  [430] = {.lex_state = 9, .external_lex_state = 2},
  [431] = {.lex_state = 9, .external_lex_state = 2},
  [432] = {.lex_state = 9, .external_lex_state = 2},
  [433] = {.lex_state = 9, .external_lex_state = 2},
  [434] = {.lex_state = 9, .external_lex_state = 2},
  [435] = {.lex_state = 9, .external_lex_state = 2},
  [436] = {.lex_state = 9, .external_lex_state = 2},
  [437] = {.lex_state = 9, .external_lex_state = 2},
  [438] = {.lex_state = 9, .external_lex_state = 2},
  [439] = {.lex_state = 9, .external_lex_state = 2},
  [440] = {.lex_state = 9, .external_lex_state = 2},
  [441] = {.lex_state = 9, .external_lex_state = 2},
  [442] = {.lex_state = 9, .external_lex_state = 2},
  [443] = {.lex_state = 9, .external_lex_state = 2},
  [444] = {.lex_state = 9, .external_lex_state = 2},
  [445] = {.lex_state = 9, .external_lex_state = 2},
  [446] = {.lex_state = 9, .external_lex_state = 2},
  [447] = {.lex_state = 9, .external_lex_state = 2},
  [448] = {.lex_state = 9, .external_lex_state = 2},
  [449] = {.lex_state = 9, .external_lex_state = 2},
  [450] = {.lex_state = 9, .external_lex_state = 2},
  [451] = {.lex_state = 9, .external_lex_state = 2},
  [452] = {.lex_state = 9, .external_lex_state = 2},
  [453] = {.lex_state = 9, .external_lex_state = 2},
  [454] = {.lex_state = 9, .external_lex_state = 2},
  [455] = {.lex_state = 9, .external_lex_state = 2},
  [456] = {.lex_state = 9, .external_lex_state = 2},
  [457] = {.lex_state = 9, .external_lex_state = 2},
  [458] = {.lex_state = 9, .external_lex_state = 2},
  [459] = {.lex_state = 9, .external_lex_state = 2},
  [460] = {.lex_state = 9, .external_lex_state = 2},
  [461] = {.lex_state = 9, .external_lex_state = 2},
  [462] = {.lex_state = 9, .external_lex_state = 2},
  [463] = {.lex_state = 9, .external_lex_state = 2},
  [464] = {.lex_state = 9, .external_lex_state = 2},
  [465] = {.lex_state = 9, .external_lex_state = 2},
  [466] = {.lex_state = 9, .external_lex_state = 2},
  [467] = {.lex_state = 9, .external_lex_state = 2},
  [468] = {.lex_state = 9, .external_lex_state = 2},
  [469] = {.lex_state = 9, .external_lex_state = 2},
  [470] = {.lex_state = 9, .external_lex_state = 2},
  [471] = {.lex_state = 9, .external_lex_state = 2},
  [472] = {.lex_state = 9, .external_lex_state = 2},
  [473] = {.lex_state = 9, .external_lex_state = 2},
  [474] = {.lex_state = 9, .external_lex_state = 2},
  [475] = {.lex_state = 9, .external_lex_state = 2},
  [476] = {.lex_state = 9, .external_lex_state = 2},
  [477] = {.lex_state = 9, .external_lex_state = 2},
  [478] = {.lex_state = 9, .external_lex_state = 2},
  [479] = {.lex_state = 9, .external_lex_state = 2},
  [480] = {.lex_state = 9, .external_lex_state = 2},
  [481] = {.lex_state = 9, .external_lex_state = 2},
  [482] = {.lex_state = 9, .external_lex_state = 2},
  [483] = {.lex_state = 9, .external_lex_state = 2},
  [484] = {.lex_state = 9, .external_lex_state = 2},
  [485] = {.lex_state = 9, .external_lex_state = 2},
  [486] = {.lex_state = 9, .external_lex_state = 2},
  [487] = {.lex_state = 9, .external_lex_state = 2},
  [488] = {.lex_state = 9, .external_lex_state = 2},
  [489] = {.lex_state = 9, .external_lex_state = 2},
  [490] = {.lex_state = 9, .external_lex_state = 2},
  [491] = {.lex_state = 9, .external_lex_state = 2},
  [492] = {.lex_state = 9, .external_lex_state = 2},
  [493] = {.lex_state = 9, .external_lex_state = 2},
  [494] = {.lex_state = 9, .external_lex_state = 2},
  [495] = {.lex_state = 9, .external_lex_state = 2},
  [496] = {.lex_state = 9, .external_lex_state = 2},
  [497] = {.lex_state = 9, .external_lex_state = 2},
  [498] = {.lex_state = 9, .external_lex_state = 2},
  [499] = {.lex_state = 9, .external_lex_state = 2},
  [500] = {.lex_state = 9, .external_lex_state = 2},
  [501] = {.lex_state = 9, .external_lex_state = 2},
  [502] = {.lex_state = 9, .external_lex_state = 2},
  [503] = {.lex_state = 9, .external_lex_state = 2},
  [504] = {.lex_state = 9, .external_lex_state = 2},
  [505] = {.lex_state = 9, .external_lex_state = 2},
  [506] = {.lex_state = 9, .external_lex_state = 2},
  [507] = {.lex_state = 9, .external_lex_state = 2},
  [508] = {.lex_state = 9, .external_lex_state = 2},
  [509] = {.lex_state = 9, .external_lex_state = 2},
  [510] = {.lex_state = 9, .external_lex_state = 2},
  [511] = {.lex_state = 9, .external_lex_state = 2},
  [512] = {.lex_state = 9, .external_lex_state = 2},
  [513] = {.lex_state = 9, .external_lex_state = 2},
  [514] = {.lex_state = 9, .external_lex_state = 2},
  [515] = {.lex_state = 9, .external_lex_state = 2},
  [516] = {.lex_state = 9, .external_lex_state = 2},
  [517] = {.lex_state = 9, .external_lex_state = 2},
  [518] = {.lex_state = 9, .external_lex_state = 2},
  [519] = {.lex_state = 9, .external_lex_state = 2},
  [520] = {.lex_state = 9, .external_lex_state = 2},
  [521] = {.lex_state = 9, .external_lex_state = 2},
  [522] = {.lex_state = 9, .external_lex_state = 2},
  [523] = {.lex_state = 9, .external_lex_state = 2},
  [524] = {.lex_state = 9, .external_lex_state = 2},
  [525] = {.lex_state = 9, .external_lex_state = 2},
  [526] = {.lex_state = 9, .external_lex_state = 2},
  [527] = {.lex_state = 9, .external_lex_state = 2},
  [528] = {.lex_state = 9, .external_lex_state = 2},
  [529] = {.lex_state = 9, .external_lex_state = 2},
  [530] = {.lex_state = 9, .external_lex_state = 2},
  [531] = {.lex_state = 9, .external_lex_state = 2},
  [532] = {.lex_state = 9, .external_lex_state = 2},
  [533] = {.lex_state = 9, .external_lex_state = 2},
  [534] = {.lex_state = 9, .external_lex_state = 2},
  [535] = {.lex_state = 9, .external_lex_state = 2},
  [536] = {.lex_state = 9, .external_lex_state = 2},
  [537] = {.lex_state = 9, .external_lex_state = 2},
  [538] = {.lex_state = 9, .external_lex_state = 2},
  [539] = {.lex_state = 9, .external_lex_state = 2},
  [540] = {.lex_state = 9, .external_lex_state = 2},
  [541] = {.lex_state = 9, .external_lex_state = 2},
  [542] = {.lex_state = 9, .external_lex_state = 2},
  [543] = {.lex_state = 9, .external_lex_state = 2},
  [544] = {.lex_state = 9, .external_lex_state = 2},
  [545] = {.lex_state = 9, .external_lex_state = 2},
  [546] = {.lex_state = 9, .external_lex_state = 2},
  [547] = {.lex_state = 9, .external_lex_state = 2},
  [548] = {.lex_state = 9, .external_lex_state = 2},
  [549] = {.lex_state = 9, .external_lex_state = 2},
  [550] = {.lex_state = 9, .external_lex_state = 2},
  [551] = {.lex_state = 9, .external_lex_state = 2},
  [552] = {.lex_state = 9, .external_lex_state = 2},
  [553] = {.lex_state = 9, .external_lex_state = 2},
  [554] = {.lex_state = 9, .external_lex_state = 2},
  [555] = {.lex_state = 9, .external_lex_state = 2},
  [556] = {.lex_state = 9, .external_lex_state = 2},
  [557] = {.lex_state = 9, .external_lex_state = 2},
  [558] = {.lex_state = 9, .external_lex_state = 2},
  [559] = {.lex_state = 9, .external_lex_state = 2},
  [560] = {.lex_state = 9, .external_lex_state = 2},
  [561] = {.lex_state = 9, .external_lex_state = 2},
  [562] = {.lex_state = 9, .external_lex_state = 2},
  [563] = {.lex_state = 9, .external_lex_state = 2},
  [564] = {.lex_state = 9, .external_lex_state = 2},
  [565] = {.lex_state = 9, .external_lex_state = 2},
  [566] = {.lex_state = 9, .external_lex_state = 2},
  [567] = {.lex_state = 9, .external_lex_state = 2},
  [568] = {.lex_state = 9, .external_lex_state = 2},
  [569] = {.lex_state = 9, .external_lex_state = 2},
  [570] = {.lex_state = 9, .external_lex_state = 2},
  [571] = {.lex_state = 9, .external_lex_state = 2},
  [572] = {.lex_state = 9, .external_lex_state = 2},
  [573] = {.lex_state = 9, .external_lex_state = 2},
  [574] = {.lex_state = 9, .external_lex_state = 2},
  [575] = {.lex_state = 9, .external_lex_state = 2},
  [576] = {.lex_state = 9, .external_lex_state = 2},
  [577] = {.lex_state = 9, .external_lex_state = 2},
  [578] = {.lex_state = 9, .external_lex_state = 2},
  [579] = {.lex_state = 9, .external_lex_state = 2},
  [580] = {.lex_state = 9, .external_lex_state = 2},
  [581] = {.lex_state = 9, .external_lex_state = 2},
  [582] = {.lex_state = 9, .external_lex_state = 2},
  [583] = {.lex_state = 9, .external_lex_state = 2},
  [584] = {.lex_state = 9, .external_lex_state = 2},
  [585] = {.lex_state = 9, .external_lex_state = 2},
  [586] = {.lex_state = 9, .external_lex_state = 2},
  [587] = {.lex_state = 9, .external_lex_state = 2},
  [588] = {.lex_state = 9, .external_lex_state = 2},
  [589] = {.lex_state = 9, .external_lex_state = 2},
  [590] = {.lex_state = 9, .external_lex_state = 2},
  [591] = {.lex_state = 9, .external_lex_state = 2},
  [592] = {.lex_state = 9, .external_lex_state = 2},
  [593] = {.lex_state = 9, .external_lex_state = 2},
  [594] = {.lex_state = 9, .external_lex_state = 2},
  [595] = {.lex_state = 9, .external_lex_state = 2},
  [596] = {.lex_state = 9, .external_lex_state = 2},
  [597] = {.lex_state = 9, .external_lex_state = 2},
  [598] = {.lex_state = 9, .external_lex_state = 2},
  [599] = {.lex_state = 9, .external_lex_state = 2},
  [600] = {.lex_state = 9, .external_lex_state = 2},
  [601] = {.lex_state = 9, .external_lex_state = 2},
  [602] = {.lex_state = 9, .external_lex_state = 2},
  [603] = {.lex_state = 9, .external_lex_state = 2},
  [604] = {.lex_state = 9, .external_lex_state = 2},
  [605] = {.lex_state = 9, .external_lex_state = 2},
  [606] = {.lex_state = 9, .external_lex_state = 2},
  [607] = {.lex_state = 9, .external_lex_state = 2},
  [608] = {.lex_state = 9, .external_lex_state = 2},
  [609] = {.lex_state = 9, .external_lex_state = 2},
  [610] = {.lex_state = 9, .external_lex_state = 2},
  [611] = {.lex_state = 9, .external_lex_state = 2},
  [612] = {.lex_state = 9, .external_lex_state = 2},
  [613] = {.lex_state = 9, .external_lex_state = 2},
  [614] = {.lex_state = 9, .external_lex_state = 2},
  [615] = {.lex_state = 9, .external_lex_state = 2},
  [616] = {.lex_state = 9, .external_lex_state = 2},
  [617] = {.lex_state = 9, .external_lex_state = 2},
  [618] = {.lex_state = 9, .external_lex_state = 2},
  [619] = {.lex_state = 9, .external_lex_state = 2},
  [620] = {.lex_state = 9, .external_lex_state = 2},
  [621] = {.lex_state = 9, .external_lex_state = 2},
  [622] = {.lex_state = 9, .external_lex_state = 2},
  [623] = {.lex_state = 9, .external_lex_state = 2},
  [624] = {.lex_state = 9, .external_lex_state = 2},
  [625] = {.lex_state = 9, .external_lex_state = 2},
  [626] = {.lex_state = 9, .external_lex_state = 2},
  [627] = {.lex_state = 9, .external_lex_state = 2},
  [628] = {.lex_state = 9, .external_lex_state = 2},
  [629] = {.lex_state = 9, .external_lex_state = 2},
  [630] = {.lex_state = 9, .external_lex_state = 2},
  [631] = {.lex_state = 9, .external_lex_state = 2},
  [632] = {.lex_state = 9, .external_lex_state = 2},
  [633] = {.lex_state = 9, .external_lex_state = 2},
  [634] = {.lex_state = 9, .external_lex_state = 2},
  [635] = {.lex_state = 9, .external_lex_state = 2},
  [636] = {.lex_state = 9, .external_lex_state = 2},
  [637] = {.lex_state = 9, .external_lex_state = 2},
  [638] = {.lex_state = 9, .external_lex_state = 2},
  [639] = {.lex_state = 9, .external_lex_state = 2},
  [640] = {.lex_state = 9, .external_lex_state = 2},
  [641] = {.lex_state = 9, .external_lex_state = 2},
  [642] = {.lex_state = 9, .external_lex_state = 2},
  [643] = {.lex_state = 9, .external_lex_state = 2},
  [644] = {.lex_state = 9, .external_lex_state = 2},
  [645] = {.lex_state = 9, .external_lex_state = 2},
  [646] = {.lex_state = 9, .external_lex_state = 2},
  [647] = {.lex_state = 9, .external_lex_state = 2},
  [648] = {.lex_state = 9, .external_lex_state = 2},
  [649] = {.lex_state = 9, .external_lex_state = 2},
  [650] = {.lex_state = 9, .external_lex_state = 2},
  [651] = {.lex_state = 9, .external_lex_state = 2},
  [652] = {.lex_state = 9, .external_lex_state = 2},
  [653] = {.lex_state = 9, .external_lex_state = 2},
  [654] = {.lex_state = 9, .external_lex_state = 2},
  [655] = {.lex_state = 9, .external_lex_state = 2},
  [656] = {.lex_state = 9, .external_lex_state = 2},
  [657] = {.lex_state = 9, .external_lex_state = 2},
  [658] = {.lex_state = 9, .external_lex_state = 2},
  [659] = {.lex_state = 9, .external_lex_state = 2},
  [660] = {.lex_state = 9, .external_lex_state = 2},
  [661] = {.lex_state = 9, .external_lex_state = 2},
  [662] = {.lex_state = 9, .external_lex_state = 2},
  [663] = {.lex_state = 9, .external_lex_state = 2},
  [664] = {.lex_state = 9, .external_lex_state = 2},
  [665] = {.lex_state = 9, .external_lex_state = 2},
  [666] = {.lex_state = 9, .external_lex_state = 2},
  [667] = {.lex_state = 9, .external_lex_state = 2},
  [668] = {.lex_state = 9, .external_lex_state = 2},
  [669] = {.lex_state = 9, .external_lex_state = 2},
  [670] = {.lex_state = 9, .external_lex_state = 2},
  [671] = {.lex_state = 9, .external_lex_state = 2},
  [672] = {.lex_state = 9, .external_lex_state = 2},
  [673] = {.lex_state = 9, .external_lex_state = 2},
  [674] = {.lex_state = 9, .external_lex_state = 2},
  [675] = {.lex_state = 9, .external_lex_state = 2},
  [676] = {.lex_state = 9, .external_lex_state = 2},
  [677] = {.lex_state = 9, .external_lex_state = 2},
  [678] = {.lex_state = 9, .external_lex_state = 2},
  [679] = {.lex_state = 9, .external_lex_state = 2},
  [680] = {.lex_state = 9, .external_lex_state = 2},
  [681] = {.lex_state = 9, .external_lex_state = 2},
  [682] = {.lex_state = 9, .external_lex_state = 2},
  [683] = {.lex_state = 9, .external_lex_state = 2},
  [684] = {.lex_state = 9, .external_lex_state = 2},
  [685] = {.lex_state = 9, .external_lex_state = 2},
  [686] = {.lex_state = 9, .external_lex_state = 2},
  [687] = {.lex_state = 9, .external_lex_state = 2},
  [688] = {.lex_state = 77, .external_lex_state = 4},
  [689] = {.lex_state = 77, .external_lex_state = 4},
  [690] = {.lex_state = 77, .external_lex_state = 4},
  [691] = {.lex_state = 77, .external_lex_state = 4},
  [692] = {.lex_state = 77, .external_lex_state = 4},
  [693] = {.lex_state = 77, .external_lex_state = 4},
  [694] = {.lex_state = 77, .external_lex_state = 4},
  [695] = {.lex_state = 77, .external_lex_state = 4},
  [696] = {.lex_state = 77, .external_lex_state = 4},
  [697] = {.lex_state = 77, .external_lex_state = 4},
  [698] = {.lex_state = 77, .external_lex_state = 4},
  [699] = {.lex_state = 77, .external_lex_state = 4},
  [700] = {.lex_state = 77, .external_lex_state = 4},
  [701] = {.lex_state = 77, .external_lex_state = 4},
  [702] = {.lex_state = 77, .external_lex_state = 4},
  [703] = {.lex_state = 77, .external_lex_state = 4},
  [704] = {.lex_state = 4, .external_lex_state = 4},
  [705] = {.lex_state = 4, .external_lex_state = 4},
  [706] = {.lex_state = 4, .external_lex_state = 4},
  [707] = {.lex_state = 4, .external_lex_state = 4},
  [708] = {.lex_state = 9, .external_lex_state = 2},
  [709] = {.lex_state = 9, .external_lex_state = 2},
  [710] = {.lex_state = 77, .external_lex_state = 4},
  [711] = {.lex_state = 77, .external_lex_state = 4},
  [712] = {.lex_state = 77, .external_lex_state = 4},
  [713] = {.lex_state = 77, .external_lex_state = 4},
  [714] = {.lex_state = 77, .external_lex_state = 4},
  [715] = {.lex_state = 77, .external_lex_state = 4},
  [716] = {.lex_state = 77, .external_lex_state = 4},
  [717] = {.lex_state = 77, .external_lex_state = 4},
  [718] = {.lex_state = 9, .external_lex_state = 2},
  [719] = {.lex_state = 9, .external_lex_state = 2},
  [720] = {.lex_state = 9, .external_lex_state = 2},
  [721] = {.lex_state = 9, .external_lex_state = 2},
  [722] = {.lex_state = 9, .external_lex_state = 2},
  [723] = {.lex_state = 4, .external_lex_state = 4},
  [724] = {.lex_state = 4, .external_lex_state = 4},
  [725] = {.lex_state = 4, .external_lex_state = 4},
  [726] = {.lex_state = 4, .external_lex_state = 4},
  [727] = {.lex_state = 4, .external_lex_state = 4},
  [728] = {.lex_state = 4, .external_lex_state = 3},
  [729] = {.lex_state = 4, .external_lex_state = 3},
  [730] = {.lex_state = 4, .external_lex_state = 3},
  [731] = {.lex_state = 4, .external_lex_state = 4},
  [732] = {.lex_state = 4, .external_lex_state = 3},
  [733] = {.lex_state = 4, .external_lex_state = 3},
  [734] = {.lex_state = 4, .external_lex_state = 4},
  [735] = {.lex_state = 4, .external_lex_state = 4},
  [736] = {.lex_state = 4, .external_lex_state = 4},
  [737] = {.lex_state = 4, .external_lex_state = 4},
  [738] = {.lex_state = 4, .external_lex_state = 4},
  [739] = {.lex_state = 4, .external_lex_state = 4},
  [740] = {.lex_state = 4, .external_lex_state = 3},
  [741] = {.lex_state = 4, .external_lex_state = 4},
  [742] = {.lex_state = 4, .external_lex_state = 4},
  [743] = {.lex_state = 4, .external_lex_state = 3},
  [744] = {.lex_state = 4, .external_lex_state = 4},
  [745] = {.lex_state = 4, .external_lex_state = 3},
  [746] = {.lex_state = 4, .external_lex_state = 4},
  [747] = {.lex_state = 4, .external_lex_state = 4},
  [748] = {.lex_state = 4, .external_lex_state = 4},
  [749] = {.lex_state = 4, .external_lex_state = 3},
  [750] = {.lex_state = 4, .external_lex_state = 4},
  [751] = {.lex_state = 4, .external_lex_state = 3},
  [752] = {.lex_state = 4, .external_lex_state = 3},
  [753] = {.lex_state = 4, .external_lex_state = 3},
  [754] = {.lex_state = 4, .external_lex_state = 4},
  [755] = {.lex_state = 4, .external_lex_state = 4},
  [756] = {.lex_state = 4, .external_lex_state = 3},
  [757] = {.lex_state = 4, .external_lex_state = 4},
  [758] = {.lex_state = 4, .external_lex_state = 4},
  [759] = {.lex_state = 4, .external_lex_state = 4},
  [760] = {.lex_state = 4, .external_lex_state = 4},
  [761] = {.lex_state = 4, .external_lex_state = 3},
  [762] = {.lex_state = 9, .external_lex_state = 2},
  [763] = {.lex_state = 4, .external_lex_state = 4},
  [764] = {.lex_state = 4, .external_lex_state = 3},
  [765] = {.lex_state = 4, .external_lex_state = 3},
  [766] = {.lex_state = 4, .external_lex_state = 4},
  [767] = {.lex_state = 4, .external_lex_state = 3},
  [768] = {.lex_state = 4, .external_lex_state = 3},
  [769] = {.lex_state = 4, .external_lex_state = 4},
  [770] = {.lex_state = 4, .external_lex_state = 4},
  [771] = {.lex_state = 4, .external_lex_state = 3},
  [772] = {.lex_state = 4, .external_lex_state = 3},
  [773] = {.lex_state = 9, .external_lex_state = 5},
  [774] = {.lex_state = 9, .external_lex_state = 5},
  [775] = {.lex_state = 9, .external_lex_state = 5},
  [776] = {.lex_state = 4, .external_lex_state = 3},
  [777] = {.lex_state = 4, .external_lex_state = 3},
  [778] = {.lex_state = 4, .external_lex_state = 3},
  [779] = {.lex_state = 4, .external_lex_state = 3},
  [780] = {.lex_state = 4, .external_lex_state = 3},
  [781] = {.lex_state = 4, .external_lex_state = 3},
  [782] = {.lex_state = 4, .external_lex_state = 3},
  [783] = {.lex_state = 4, .external_lex_state = 3},
  [784] = {.lex_state = 9, .external_lex_state = 5},
  [785] = {.lex_state = 4, .external_lex_state = 3},
  [786] = {.lex_state = 4, .external_lex_state = 3},
  [787] = {.lex_state = 4, .external_lex_state = 3},
  [788] = {.lex_state = 9, .external_lex_state = 2},
  [789] = {.lex_state = 9, .external_lex_state = 2},
  [790] = {.lex_state = 9, .external_lex_state = 2},
  [791] = {.lex_state = 9, .external_lex_state = 2},
  [792] = {.lex_state = 9, .external_lex_state = 2},
  [793] = {.lex_state = 9, .external_lex_state = 2},
  [794] = {.lex_state = 9, .external_lex_state = 2},
  [795] = {.lex_state = 9, .external_lex_state = 5},
  [796] = {.lex_state = 9, .external_lex_state = 5},
  [797] = {.lex_state = 9, .external_lex_state = 2},
  [798] = {.lex_state = 9, .external_lex_state = 5},
  [799] = {.lex_state = 9, .external_lex_state = 5},
  [800] = {.lex_state = 9, .external_lex_state = 5},
  [801] = {.lex_state = 9, .external_lex_state = 5},
  [802] = {.lex_state = 9, .external_lex_state = 5},
  [803] = {.lex_state = 9, .external_lex_state = 5},
  [804] = {.lex_state = 9, .external_lex_state = 2},
  [805] = {.lex_state = 9, .external_lex_state = 2},
  [806] = {.lex_state = 9, .external_lex_state = 5},
  [807] = {.lex_state = 9, .external_lex_state = 5},
  [808] = {.lex_state = 9, .external_lex_state = 5},
  [809] = {.lex_state = 9, .external_lex_state = 5},
  [810] = {.lex_state = 9, .external_lex_state = 2},
  [811] = {.lex_state = 9, .external_lex_state = 5},
  [812] = {.lex_state = 9, .external_lex_state = 5},
  [813] = {.lex_state = 9, .external_lex_state = 2},
  [814] = {.lex_state = 9, .external_lex_state = 5},
  [815] = {.lex_state = 9, .external_lex_state = 5},
  [816] = {.lex_state = 9, .external_lex_state = 5},
  [817] = {.lex_state = 9, .external_lex_state = 5},
  [818] = {.lex_state = 9, .external_lex_state = 5},
  [819] = {.lex_state = 9, .external_lex_state = 2},
  [820] = {.lex_state = 9, .external_lex_state = 2},
  [821] = {.lex_state = 9, .external_lex_state = 2},
  [822] = {.lex_state = 9, .external_lex_state = 2},
  [823] = {.lex_state = 9, .external_lex_state = 2},
  [824] = {.lex_state = 9, .external_lex_state = 2},
  [825] = {.lex_state = 9, .external_lex_state = 2},
  [826] = {.lex_state = 9, .external_lex_state = 2},
  [827] = {.lex_state = 9, .external_lex_state = 2},
  [828] = {.lex_state = 9, .external_lex_state = 2},
  [829] = {.lex_state = 9, .external_lex_state = 2},
  [830] = {.lex_state = 9, .external_lex_state = 2},
  [831] = {.lex_state = 9, .external_lex_state = 2},
  [832] = {.lex_state = 9, .external_lex_state = 2},
  [833] = {.lex_state = 9, .external_lex_state = 2},
  [834] = {.lex_state = 9, .external_lex_state = 2},
  [835] = {.lex_state = 9, .external_lex_state = 2},
  [836] = {.lex_state = 9, .external_lex_state = 2},
  [837] = {.lex_state = 9, .external_lex_state = 2},
  [838] = {.lex_state = 9, .external_lex_state = 2},
  [839] = {.lex_state = 9, .external_lex_state = 2},
  [840] = {.lex_state = 9, .external_lex_state = 2},
  [841] = {.lex_state = 9, .external_lex_state = 2},
  [842] = {.lex_state = 9, .external_lex_state = 2},
  [843] = {.lex_state = 9, .external_lex_state = 2},
  [844] = {.lex_state = 9, .external_lex_state = 2},
  [845] = {.lex_state = 9, .external_lex_state = 2},
  [846] = {.lex_state = 9, .external_lex_state = 2},
  [847] = {.lex_state = 9, .external_lex_state = 2},
  [848] = {.lex_state = 9, .external_lex_state = 2},
  [849] = {.lex_state = 9, .external_lex_state = 2},
  [850] = {.lex_state = 9, .external_lex_state = 2},
  [851] = {.lex_state = 9, .external_lex_state = 2},
  [852] = {.lex_state = 9, .external_lex_state = 2},
  [853] = {.lex_state = 9, .external_lex_state = 2},
  [854] = {.lex_state = 9, .external_lex_state = 2},
  [855] = {.lex_state = 9, .external_lex_state = 2},
  [856] = {.lex_state = 9, .external_lex_state = 2},
  [857] = {.lex_state = 9, .external_lex_state = 2},
  [858] = {.lex_state = 9, .external_lex_state = 2},
  [859] = {.lex_state = 9, .external_lex_state = 2},
  [860] = {.lex_state = 9, .external_lex_state = 2},
  [861] = {.lex_state = 9, .external_lex_state = 2},
  [862] = {.lex_state = 9, .external_lex_state = 2},
  [863] = {.lex_state = 9, .external_lex_state = 2},
  [864] = {.lex_state = 9, .external_lex_state = 2},
  [865] = {.lex_state = 9, .external_lex_state = 2},
  [866] = {.lex_state = 9, .external_lex_state = 2},
  [867] = {.lex_state = 9, .external_lex_state = 2},
  [868] = {.lex_state = 9, .external_lex_state = 2},
  [869] = {.lex_state = 9, .external_lex_state = 2},
  [870] = {.lex_state = 9, .external_lex_state = 2},
  [871] = {.lex_state = 9, .external_lex_state = 2},
  [872] = {.lex_state = 9, .external_lex_state = 2},
  [873] = {.lex_state = 9, .external_lex_state = 2},
  [874] = {.lex_state = 9, .external_lex_state = 2},
  [875] = {.lex_state = 9, .external_lex_state = 2},
  [876] = {.lex_state = 9, .external_lex_state = 2},
  [877] = {.lex_state = 9, .external_lex_state = 2},
  [878] = {.lex_state = 9, .external_lex_state = 2},
  [879] = {.lex_state = 9, .external_lex_state = 2},
  [880] = {.lex_state = 9, .external_lex_state = 2},
  [881] = {.lex_state = 9, .external_lex_state = 2},
  [882] = {.lex_state = 9, .external_lex_state = 2},
  [883] = {.lex_state = 9, .external_lex_state = 2},
  [884] = {.lex_state = 9, .external_lex_state = 2},
  [885] = {.lex_state = 9, .external_lex_state = 2},
  [886] = {.lex_state = 9, .external_lex_state = 2},
  [887] = {.lex_state = 9, .external_lex_state = 2},
  [888] = {.lex_state = 9, .external_lex_state = 2},
  [889] = {.lex_state = 9, .external_lex_state = 2},
  [890] = {.lex_state = 9, .external_lex_state = 2},
  [891] = {.lex_state = 9, .external_lex_state = 2},
  [892] = {.lex_state = 9, .external_lex_state = 2},
  [893] = {.lex_state = 9, .external_lex_state = 2},
  [894] = {.lex_state = 9, .external_lex_state = 2},
  [895] = {.lex_state = 9, .external_lex_state = 2},
  [896] = {.lex_state = 9, .external_lex_state = 2},
  [897] = {.lex_state = 9, .external_lex_state = 2},
  [898] = {.lex_state = 9, .external_lex_state = 2},
  [899] = {.lex_state = 9, .external_lex_state = 2},
  [900] = {.lex_state = 9, .external_lex_state = 2},
  [901] = {.lex_state = 9, .external_lex_state = 2},
  [902] = {.lex_state = 9, .external_lex_state = 2},
  [903] = {.lex_state = 9, .external_lex_state = 2},
  [904] = {.lex_state = 9, .external_lex_state = 2},
  [905] = {.lex_state = 9, .external_lex_state = 2},
  [906] = {.lex_state = 9, .external_lex_state = 2},
  [907] = {.lex_state = 9, .external_lex_state = 2},
  [908] = {.lex_state = 9, .external_lex_state = 2},
  [909] = {.lex_state = 9, .external_lex_state = 2},
  [910] = {.lex_state = 9, .external_lex_state = 2},
  [911] = {.lex_state = 9, .external_lex_state = 2},
  [912] = {.lex_state = 9, .external_lex_state = 2},
  [913] = {.lex_state = 9, .external_lex_state = 2},
  [914] = {.lex_state = 9, .external_lex_state = 2},
  [915] = {.lex_state = 9, .external_lex_state = 2},
  [916] = {.lex_state = 9, .external_lex_state = 2},
  [917] = {.lex_state = 9, .external_lex_state = 2},
  [918] = {.lex_state = 9, .external_lex_state = 2},
  [919] = {.lex_state = 9, .external_lex_state = 2},
  [920] = {.lex_state = 9, .external_lex_state = 2},
  [921] = {.lex_state = 9, .external_lex_state = 2},
  [922] = {.lex_state = 9, .external_lex_state = 2},
  [923] = {.lex_state = 9, .external_lex_state = 2},
  [924] = {.lex_state = 9, .external_lex_state = 2},
  [925] = {.lex_state = 9, .external_lex_state = 2},
  [926] = {.lex_state = 9, .external_lex_state = 2},
  [927] = {.lex_state = 9, .external_lex_state = 2},
  [928] = {.lex_state = 9, .external_lex_state = 2},
  [929] = {.lex_state = 9, .external_lex_state = 2},
  [930] = {.lex_state = 9, .external_lex_state = 2},
  [931] = {.lex_state = 9, .external_lex_state = 2},
  [932] = {.lex_state = 9, .external_lex_state = 2},
  [933] = {.lex_state = 9, .external_lex_state = 2},
  [934] = {.lex_state = 9, .external_lex_state = 2},
  [935] = {.lex_state = 9, .external_lex_state = 2},
  [936] = {.lex_state = 9, .external_lex_state = 2},
  [937] = {.lex_state = 9, .external_lex_state = 2},
  [938] = {.lex_state = 9, .external_lex_state = 2},
  [939] = {.lex_state = 9, .external_lex_state = 2},
  [940] = {.lex_state = 9, .external_lex_state = 2},
  [941] = {.lex_state = 9, .external_lex_state = 2},
  [942] = {.lex_state = 9, .external_lex_state = 2},
  [943] = {.lex_state = 9, .external_lex_state = 2},
  [944] = {.lex_state = 9, .external_lex_state = 2},
  [945] = {.lex_state = 9, .external_lex_state = 2},
  [946] = {.lex_state = 9, .external_lex_state = 2},
  [947] = {.lex_state = 9, .external_lex_state = 2},
  [948] = {.lex_state = 9, .external_lex_state = 2},
  [949] = {.lex_state = 9, .external_lex_state = 2},
  [950] = {.lex_state = 9, .external_lex_state = 2},
  [951] = {.lex_state = 9, .external_lex_state = 2},
  [952] = {.lex_state = 9, .external_lex_state = 2},
  [953] = {.lex_state = 9, .external_lex_state = 2},
  [954] = {.lex_state = 9, .external_lex_state = 2},
  [955] = {.lex_state = 9, .external_lex_state = 2},
  [956] = {.lex_state = 9, .external_lex_state = 2},
  [957] = {.lex_state = 12, .external_lex_state = 2},
  [958] = {.lex_state = 12, .external_lex_state = 2},
  [959] = {.lex_state = 12, .external_lex_state = 2},
  [960] = {.lex_state = 12, .external_lex_state = 2},
  [961] = {.lex_state = 12, .external_lex_state = 2},
  [962] = {.lex_state = 12, .external_lex_state = 2},
  [963] = {.lex_state = 12, .external_lex_state = 2},
  [964] = {.lex_state = 12, .external_lex_state = 2},
  [965] = {.lex_state = 12, .external_lex_state = 2},
  [966] = {.lex_state = 12, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 2},
  [968] = {.lex_state = 12, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 5, .external_lex_state = 4},
  [974] = {.lex_state = 5, .external_lex_state = 4},
  [975] = {.lex_state = 5, .external_lex_state = 4},
  [976] = {.lex_state = 5, .external_lex_state = 4},
  [977] = {.lex_state = 5, .external_lex_state = 4},
  [978] = {.lex_state = 13, .external_lex_state = 2},
  [979] = {.lex_state = 13, .external_lex_state = 2},
  [980] = {.lex_state = 13, .external_lex_state = 2},
  [981] = {.lex_state = 13, .external_lex_state = 2},
  [982] = {.lex_state = 5, .external_lex_state = 4},
  [983] = {.lex_state = 13, .external_lex_state = 2},
  [984] = {.lex_state = 13, .external_lex_state = 2},
  [985] = {.lex_state = 13, .external_lex_state = 2},
  [986] = {.lex_state = 13, .external_lex_state = 2},
  [987] = {.lex_state = 13, .external_lex_state = 2},
  [988] = {.lex_state = 13, .external_lex_state = 2},
  [989] = {.lex_state = 13, .external_lex_state = 2},
  [990] = {.lex_state = 13, .external_lex_state = 2},
  [991] = {.lex_state = 5, .external_lex_state = 4},
  [992] = {.lex_state = 5, .external_lex_state = 4},
  [993] = {.lex_state = 5, .external_lex_state = 4},
  [994] = {.lex_state = 5, .external_lex_state = 4},
  [995] = {.lex_state = 5, .external_lex_state = 4},
  [996] = {.lex_state = 13, .external_lex_state = 2},
  [997] = {.lex_state = 5, .external_lex_state = 4},
  [998] = {.lex_state = 5, .external_lex_state = 4},
  [999] = {.lex_state = 5, .external_lex_state = 4},
  [1000] = {.lex_state = 5, .external_lex_state = 4},
  [1001] = {.lex_state = 5, .external_lex_state = 4},
  [1002] = {.lex_state = 5, .external_lex_state = 4},
  [1003] = {.lex_state = 5, .external_lex_state = 4},
  [1004] = {.lex_state = 5, .external_lex_state = 4},
  [1005] = {.lex_state = 5, .external_lex_state = 4},
  [1006] = {.lex_state = 5, .external_lex_state = 4},
  [1007] = {.lex_state = 5, .external_lex_state = 4},
  [1008] = {.lex_state = 5, .external_lex_state = 4},
  [1009] = {.lex_state = 5, .external_lex_state = 4},
  [1010] = {.lex_state = 5, .external_lex_state = 4},
  [1011] = {.lex_state = 5, .external_lex_state = 4},
  [1012] = {.lex_state = 9, .external_lex_state = 2},
  [1013] = {.lex_state = 5, .external_lex_state = 4},
  [1014] = {.lex_state = 5, .external_lex_state = 4},
  [1015] = {.lex_state = 9, .external_lex_state = 2},
  [1016] = {.lex_state = 9, .external_lex_state = 2},
  [1017] = {.lex_state = 5, .external_lex_state = 4},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 12, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 12, .external_lex_state = 2},
  [1023] = {.lex_state = 12, .external_lex_state = 2},
  [1024] = {.lex_state = 12, .external_lex_state = 2},
  [1025] = {.lex_state = 12, .external_lex_state = 2},
  [1026] = {.lex_state = 12, .external_lex_state = 2},
  [1027] = {.lex_state = 12, .external_lex_state = 2},
  [1028] = {.lex_state = 12, .external_lex_state = 2},
  [1029] = {.lex_state = 12, .external_lex_state = 2},
  [1030] = {.lex_state = 12, .external_lex_state = 2},
  [1031] = {.lex_state = 12, .external_lex_state = 2},
  [1032] = {.lex_state = 12, .external_lex_state = 2},
  [1033] = {.lex_state = 12, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12, .external_lex_state = 2},
  [1037] = {.lex_state = 12, .external_lex_state = 2},
  [1038] = {.lex_state = 12, .external_lex_state = 2},
  [1039] = {.lex_state = 12, .external_lex_state = 2},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 13, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12, .external_lex_state = 2},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12, .external_lex_state = 2},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 4, .external_lex_state = 4},
  [1212] = {.lex_state = 4, .external_lex_state = 4},
  [1213] = {.lex_state = 4, .external_lex_state = 4},
  [1214] = {.lex_state = 4, .external_lex_state = 4},
  [1215] = {.lex_state = 4, .external_lex_state = 4},
  [1216] = {.lex_state = 4, .external_lex_state = 4},
  [1217] = {.lex_state = 4, .external_lex_state = 4},
  [1218] = {.lex_state = 4, .external_lex_state = 4},
  [1219] = {.lex_state = 4, .external_lex_state = 4},
  [1220] = {.lex_state = 4, .external_lex_state = 4},
  [1221] = {.lex_state = 4, .external_lex_state = 4},
  [1222] = {.lex_state = 4, .external_lex_state = 4},
  [1223] = {.lex_state = 9, .external_lex_state = 2},
  [1224] = {.lex_state = 4, .external_lex_state = 3},
  [1225] = {.lex_state = 4, .external_lex_state = 3},
  [1226] = {.lex_state = 4, .external_lex_state = 3},
  [1227] = {.lex_state = 9, .external_lex_state = 2},
  [1228] = {.lex_state = 4, .external_lex_state = 3},
  [1229] = {.lex_state = 9, .external_lex_state = 2},
  [1230] = {.lex_state = 9, .external_lex_state = 2},
  [1231] = {.lex_state = 9, .external_lex_state = 2},
  [1232] = {.lex_state = 4, .external_lex_state = 3},
  [1233] = {.lex_state = 9, .external_lex_state = 2},
  [1234] = {.lex_state = 9, .external_lex_state = 2},
  [1235] = {.lex_state = 9, .external_lex_state = 2},
  [1236] = {.lex_state = 4, .external_lex_state = 4},
  [1237] = {.lex_state = 4, .external_lex_state = 4},
  [1238] = {.lex_state = 9, .external_lex_state = 2},
  [1239] = {.lex_state = 4, .external_lex_state = 4},
  [1240] = {.lex_state = 4, .external_lex_state = 4},
  [1241] = {.lex_state = 4, .external_lex_state = 4},
  [1242] = {.lex_state = 4, .external_lex_state = 4},
  [1243] = {.lex_state = 9, .external_lex_state = 2},
  [1244] = {.lex_state = 4, .external_lex_state = 4},
  [1245] = {.lex_state = 4, .external_lex_state = 3},
  [1246] = {.lex_state = 4, .external_lex_state = 3},
  [1247] = {.lex_state = 4, .external_lex_state = 4},
  [1248] = {.lex_state = 4, .external_lex_state = 4},
  [1249] = {.lex_state = 4, .external_lex_state = 4},
  [1250] = {.lex_state = 9, .external_lex_state = 2},
  [1251] = {.lex_state = 4, .external_lex_state = 4},
  [1252] = {.lex_state = 4, .external_lex_state = 4},
  [1253] = {.lex_state = 9, .external_lex_state = 2},
  [1254] = {.lex_state = 4, .external_lex_state = 4},
  [1255] = {.lex_state = 4, .external_lex_state = 4},
  [1256] = {.lex_state = 4, .external_lex_state = 4},
  [1257] = {.lex_state = 4, .external_lex_state = 3},
  [1258] = {.lex_state = 4, .external_lex_state = 3},
  [1259] = {.lex_state = 4, .external_lex_state = 3},
  [1260] = {.lex_state = 12, .external_lex_state = 2},
  [1261] = {.lex_state = 4, .external_lex_state = 3},
  [1262] = {.lex_state = 4, .external_lex_state = 3},
  [1263] = {.lex_state = 4, .external_lex_state = 3},
  [1264] = {.lex_state = 12, .external_lex_state = 2},
  [1265] = {.lex_state = 12, .external_lex_state = 2},
  [1266] = {.lex_state = 4, .external_lex_state = 4},
  [1267] = {.lex_state = 4, .external_lex_state = 4},
  [1268] = {.lex_state = 12, .external_lex_state = 2},
  [1269] = {.lex_state = 4, .external_lex_state = 3},
  [1270] = {.lex_state = 4, .external_lex_state = 3},
  [1271] = {.lex_state = 4, .external_lex_state = 3},
  [1272] = {.lex_state = 4, .external_lex_state = 4},
  [1273] = {.lex_state = 4, .external_lex_state = 4},
  [1274] = {.lex_state = 4, .external_lex_state = 3},
  [1275] = {.lex_state = 4, .external_lex_state = 3},
  [1276] = {.lex_state = 12, .external_lex_state = 2},
  [1277] = {.lex_state = 4, .external_lex_state = 3},
  [1278] = {.lex_state = 12, .external_lex_state = 2},
  [1279] = {.lex_state = 4, .external_lex_state = 3},
  [1280] = {.lex_state = 4, .external_lex_state = 3},
  [1281] = {.lex_state = 4, .external_lex_state = 3},
  [1282] = {.lex_state = 12, .external_lex_state = 2},
  [1283] = {.lex_state = 4, .external_lex_state = 4},
  [1284] = {.lex_state = 4, .external_lex_state = 4},
  [1285] = {.lex_state = 4, .external_lex_state = 4},
  [1286] = {.lex_state = 4, .external_lex_state = 3},
  [1287] = {.lex_state = 4, .external_lex_state = 4},
  [1288] = {.lex_state = 4, .external_lex_state = 4},
  [1289] = {.lex_state = 4, .external_lex_state = 4},
  [1290] = {.lex_state = 4, .external_lex_state = 3},
  [1291] = {.lex_state = 4, .external_lex_state = 3},
  [1292] = {.lex_state = 4, .external_lex_state = 4},
  [1293] = {.lex_state = 4, .external_lex_state = 4},
  [1294] = {.lex_state = 4, .external_lex_state = 3},
  [1295] = {.lex_state = 4, .external_lex_state = 3},
  [1296] = {.lex_state = 4, .external_lex_state = 4},
  [1297] = {.lex_state = 4, .external_lex_state = 4},
  [1298] = {.lex_state = 4, .external_lex_state = 4},
  [1299] = {.lex_state = 4, .external_lex_state = 4},
  [1300] = {.lex_state = 4, .external_lex_state = 4},
  [1301] = {.lex_state = 4, .external_lex_state = 3},
  [1302] = {.lex_state = 4, .external_lex_state = 4},
  [1303] = {.lex_state = 4, .external_lex_state = 4},
  [1304] = {.lex_state = 4, .external_lex_state = 4},
  [1305] = {.lex_state = 4, .external_lex_state = 4},
  [1306] = {.lex_state = 4, .external_lex_state = 4},
  [1307] = {.lex_state = 4, .external_lex_state = 4},
  [1308] = {.lex_state = 4, .external_lex_state = 3},
  [1309] = {.lex_state = 4, .external_lex_state = 4},
  [1310] = {.lex_state = 12, .external_lex_state = 2},
  [1311] = {.lex_state = 12, .external_lex_state = 2},
  [1312] = {.lex_state = 4, .external_lex_state = 4},
  [1313] = {.lex_state = 4, .external_lex_state = 4},
  [1314] = {.lex_state = 4, .external_lex_state = 3},
  [1315] = {.lex_state = 4, .external_lex_state = 3},
  [1316] = {.lex_state = 12, .external_lex_state = 2},
  [1317] = {.lex_state = 4, .external_lex_state = 3},
  [1318] = {.lex_state = 4, .external_lex_state = 3},
  [1319] = {.lex_state = 12, .external_lex_state = 2},
  [1320] = {.lex_state = 12, .external_lex_state = 2},
  [1321] = {.lex_state = 12, .external_lex_state = 2},
  [1322] = {.lex_state = 12, .external_lex_state = 2},
  [1323] = {.lex_state = 4, .external_lex_state = 3},
  [1324] = {.lex_state = 12, .external_lex_state = 2},
  [1325] = {.lex_state = 4, .external_lex_state = 3},
  [1326] = {.lex_state = 12, .external_lex_state = 2},
  [1327] = {.lex_state = 4, .external_lex_state = 3},
  [1328] = {.lex_state = 4, .external_lex_state = 3},
  [1329] = {.lex_state = 12, .external_lex_state = 2},
  [1330] = {.lex_state = 12, .external_lex_state = 2},
  [1331] = {.lex_state = 12, .external_lex_state = 2},
  [1332] = {.lex_state = 4, .external_lex_state = 4},
  [1333] = {.lex_state = 4, .external_lex_state = 3},
  [1334] = {.lex_state = 12, .external_lex_state = 2},
  [1335] = {.lex_state = 12, .external_lex_state = 2},
  [1336] = {.lex_state = 4, .external_lex_state = 3},
  [1337] = {.lex_state = 12, .external_lex_state = 2},
  [1338] = {.lex_state = 12, .external_lex_state = 2},
  [1339] = {.lex_state = 12, .external_lex_state = 2},
  [1340] = {.lex_state = 12, .external_lex_state = 2},
  [1341] = {.lex_state = 12, .external_lex_state = 2},
  [1342] = {.lex_state = 12, .external_lex_state = 2},
  [1343] = {.lex_state = 12, .external_lex_state = 2},
  [1344] = {.lex_state = 4, .external_lex_state = 3},
  [1345] = {.lex_state = 4, .external_lex_state = 3},
  [1346] = {.lex_state = 4, .external_lex_state = 4},
  [1347] = {.lex_state = 4, .external_lex_state = 3},
  [1348] = {.lex_state = 4, .external_lex_state = 3},
  [1349] = {.lex_state = 4, .external_lex_state = 4},
  [1350] = {.lex_state = 4, .external_lex_state = 3},
  [1351] = {.lex_state = 4, .external_lex_state = 3},
  [1352] = {.lex_state = 4, .external_lex_state = 4},
  [1353] = {.lex_state = 4, .external_lex_state = 3},
  [1354] = {.lex_state = 4, .external_lex_state = 3},
  [1355] = {.lex_state = 4, .external_lex_state = 3},
  [1356] = {.lex_state = 4, .external_lex_state = 3},
  [1357] = {.lex_state = 4, .external_lex_state = 3},
  [1358] = {.lex_state = 4, .external_lex_state = 3},
  [1359] = {.lex_state = 4, .external_lex_state = 3},
  [1360] = {.lex_state = 4, .external_lex_state = 3},
  [1361] = {.lex_state = 4, .external_lex_state = 3},
  [1362] = {.lex_state = 4, .external_lex_state = 3},
  [1363] = {.lex_state = 4, .external_lex_state = 3},
  [1364] = {.lex_state = 4, .external_lex_state = 3},
  [1365] = {.lex_state = 4, .external_lex_state = 3},
  [1366] = {.lex_state = 4, .external_lex_state = 3},
  [1367] = {.lex_state = 4, .external_lex_state = 3},
  [1368] = {.lex_state = 4, .external_lex_state = 3},
  [1369] = {.lex_state = 4, .external_lex_state = 3},
  [1370] = {.lex_state = 4, .external_lex_state = 3},
  [1371] = {.lex_state = 4, .external_lex_state = 4},
  [1372] = {.lex_state = 4, .external_lex_state = 3},
  [1373] = {.lex_state = 4, .external_lex_state = 4},
  [1374] = {.lex_state = 4, .external_lex_state = 4},
  [1375] = {.lex_state = 4, .external_lex_state = 3},
  [1376] = {.lex_state = 4, .external_lex_state = 3},
  [1377] = {.lex_state = 12, .external_lex_state = 2},
  [1378] = {.lex_state = 4, .external_lex_state = 4},
  [1379] = {.lex_state = 4, .external_lex_state = 4},
  [1380] = {.lex_state = 4, .external_lex_state = 3},
  [1381] = {.lex_state = 4, .external_lex_state = 4},
  [1382] = {.lex_state = 4, .external_lex_state = 4},
  [1383] = {.lex_state = 4, .external_lex_state = 4},
  [1384] = {.lex_state = 4, .external_lex_state = 3},
  [1385] = {.lex_state = 4, .external_lex_state = 4},
  [1386] = {.lex_state = 4, .external_lex_state = 4},
  [1387] = {.lex_state = 12, .external_lex_state = 2},
  [1388] = {.lex_state = 12, .external_lex_state = 2},
  [1389] = {.lex_state = 4, .external_lex_state = 3},
  [1390] = {.lex_state = 4, .external_lex_state = 4},
  [1391] = {.lex_state = 4, .external_lex_state = 4},
  [1392] = {.lex_state = 4, .external_lex_state = 3},
  [1393] = {.lex_state = 4, .external_lex_state = 4},
  [1394] = {.lex_state = 4, .external_lex_state = 3},
  [1395] = {.lex_state = 4, .external_lex_state = 3},
  [1396] = {.lex_state = 4, .external_lex_state = 3},
  [1397] = {.lex_state = 12, .external_lex_state = 2},
  [1398] = {.lex_state = 12, .external_lex_state = 2},
  [1399] = {.lex_state = 12, .external_lex_state = 2},
  [1400] = {.lex_state = 12, .external_lex_state = 2},
  [1401] = {.lex_state = 4, .external_lex_state = 3},
  [1402] = {.lex_state = 12, .external_lex_state = 2},
  [1403] = {.lex_state = 4, .external_lex_state = 3},
  [1404] = {.lex_state = 4, .external_lex_state = 4},
  [1405] = {.lex_state = 4, .external_lex_state = 3},
  [1406] = {.lex_state = 4, .external_lex_state = 4},
  [1407] = {.lex_state = 4, .external_lex_state = 3},
  [1408] = {.lex_state = 4, .external_lex_state = 4},
  [1409] = {.lex_state = 12, .external_lex_state = 2},
  [1410] = {.lex_state = 4, .external_lex_state = 4},
  [1411] = {.lex_state = 4, .external_lex_state = 4},
  [1412] = {.lex_state = 12, .external_lex_state = 2},
  [1413] = {.lex_state = 4, .external_lex_state = 4},
  [1414] = {.lex_state = 4, .external_lex_state = 4},
  [1415] = {.lex_state = 4, .external_lex_state = 4},
  [1416] = {.lex_state = 4, .external_lex_state = 4},
  [1417] = {.lex_state = 4, .external_lex_state = 4},
  [1418] = {.lex_state = 4, .external_lex_state = 4},
  [1419] = {.lex_state = 4, .external_lex_state = 4},
  [1420] = {.lex_state = 4, .external_lex_state = 3},
  [1421] = {.lex_state = 12, .external_lex_state = 2},
  [1422] = {.lex_state = 4, .external_lex_state = 4},
  [1423] = {.lex_state = 4, .external_lex_state = 3},
  [1424] = {.lex_state = 12, .external_lex_state = 2},
  [1425] = {.lex_state = 4, .external_lex_state = 3},
  [1426] = {.lex_state = 4, .external_lex_state = 4},
  [1427] = {.lex_state = 12, .external_lex_state = 2},
  [1428] = {.lex_state = 4, .external_lex_state = 3},
  [1429] = {.lex_state = 4, .external_lex_state = 4},
  [1430] = {.lex_state = 4, .external_lex_state = 4},
  [1431] = {.lex_state = 4, .external_lex_state = 4},
  [1432] = {.lex_state = 4, .external_lex_state = 3},
  [1433] = {.lex_state = 4, .external_lex_state = 3},
  [1434] = {.lex_state = 12, .external_lex_state = 2},
  [1435] = {.lex_state = 4, .external_lex_state = 4},
  [1436] = {.lex_state = 12, .external_lex_state = 2},
  [1437] = {.lex_state = 4, .external_lex_state = 3},
  [1438] = {.lex_state = 4, .external_lex_state = 3},
  [1439] = {.lex_state = 4, .external_lex_state = 4},
  [1440] = {.lex_state = 4, .external_lex_state = 4},
  [1441] = {.lex_state = 4, .external_lex_state = 4},
  [1442] = {.lex_state = 4, .external_lex_state = 3},
  [1443] = {.lex_state = 12, .external_lex_state = 2},
  [1444] = {.lex_state = 4, .external_lex_state = 3},
  [1445] = {.lex_state = 4, .external_lex_state = 4},
  [1446] = {.lex_state = 4, .external_lex_state = 4},
  [1447] = {.lex_state = 12, .external_lex_state = 2},
  [1448] = {.lex_state = 4, .external_lex_state = 4},
  [1449] = {.lex_state = 12, .external_lex_state = 2},
  [1450] = {.lex_state = 4, .external_lex_state = 3},
  [1451] = {.lex_state = 12, .external_lex_state = 2},
  [1452] = {.lex_state = 4, .external_lex_state = 3},
  [1453] = {.lex_state = 4, .external_lex_state = 3},
  [1454] = {.lex_state = 4, .external_lex_state = 3},
  [1455] = {.lex_state = 12, .external_lex_state = 2},
  [1456] = {.lex_state = 12, .external_lex_state = 2},
  [1457] = {.lex_state = 12, .external_lex_state = 2},
  [1458] = {.lex_state = 12, .external_lex_state = 2},
  [1459] = {.lex_state = 4, .external_lex_state = 4},
  [1460] = {.lex_state = 4, .external_lex_state = 3},
  [1461] = {.lex_state = 12, .external_lex_state = 2},
  [1462] = {.lex_state = 4, .external_lex_state = 4},
  [1463] = {.lex_state = 12, .external_lex_state = 2},
  [1464] = {.lex_state = 4, .external_lex_state = 4},
  [1465] = {.lex_state = 4, .external_lex_state = 3},
  [1466] = {.lex_state = 4, .external_lex_state = 4},
  [1467] = {.lex_state = 4, .external_lex_state = 3},
  [1468] = {.lex_state = 4, .external_lex_state = 4},
  [1469] = {.lex_state = 9, .external_lex_state = 2},
  [1470] = {.lex_state = 9, .external_lex_state = 2},
  [1471] = {.lex_state = 9, .external_lex_state = 2},
  [1472] = {.lex_state = 4, .external_lex_state = 4},
  [1473] = {.lex_state = 9, .external_lex_state = 2},
  [1474] = {.lex_state = 4, .external_lex_state = 3},
  [1475] = {.lex_state = 4, .external_lex_state = 3},
  [1476] = {.lex_state = 4, .external_lex_state = 3},
  [1477] = {.lex_state = 4, .external_lex_state = 3},
  [1478] = {.lex_state = 9, .external_lex_state = 2},
  [1479] = {.lex_state = 4, .external_lex_state = 3},
  [1480] = {.lex_state = 4, .external_lex_state = 3},
  [1481] = {.lex_state = 9, .external_lex_state = 2},
  [1482] = {.lex_state = 4, .external_lex_state = 3},
  [1483] = {.lex_state = 4, .external_lex_state = 3},
  [1484] = {.lex_state = 4, .external_lex_state = 3},
  [1485] = {.lex_state = 4, .external_lex_state = 3},
  [1486] = {.lex_state = 4, .external_lex_state = 3},
  [1487] = {.lex_state = 4, .external_lex_state = 3},
  [1488] = {.lex_state = 4, .external_lex_state = 4},
  [1489] = {.lex_state = 4, .external_lex_state = 4},
  [1490] = {.lex_state = 4, .external_lex_state = 3},
  [1491] = {.lex_state = 4, .external_lex_state = 4},
  [1492] = {.lex_state = 4, .external_lex_state = 4},
  [1493] = {.lex_state = 4, .external_lex_state = 3},
  [1494] = {.lex_state = 4, .external_lex_state = 3},
  [1495] = {.lex_state = 4, .external_lex_state = 3},
  [1496] = {.lex_state = 4, .external_lex_state = 3},
  [1497] = {.lex_state = 4, .external_lex_state = 4},
  [1498] = {.lex_state = 4, .external_lex_state = 3},
  [1499] = {.lex_state = 4, .external_lex_state = 4},
  [1500] = {.lex_state = 4, .external_lex_state = 3},
  [1501] = {.lex_state = 4, .external_lex_state = 3},
  [1502] = {.lex_state = 4, .external_lex_state = 4},
  [1503] = {.lex_state = 4, .external_lex_state = 3},
  [1504] = {.lex_state = 4, .external_lex_state = 3},
  [1505] = {.lex_state = 4, .external_lex_state = 4},
  [1506] = {.lex_state = 4, .external_lex_state = 3},
  [1507] = {.lex_state = 4, .external_lex_state = 3},
  [1508] = {.lex_state = 4, .external_lex_state = 3},
  [1509] = {.lex_state = 4, .external_lex_state = 3},
  [1510] = {.lex_state = 4, .external_lex_state = 3},
  [1511] = {.lex_state = 4, .external_lex_state = 3},
  [1512] = {.lex_state = 4, .external_lex_state = 4},
  [1513] = {.lex_state = 4, .external_lex_state = 3},
  [1514] = {.lex_state = 4, .external_lex_state = 3},
  [1515] = {.lex_state = 4, .external_lex_state = 3},
  [1516] = {.lex_state = 4, .external_lex_state = 3},
  [1517] = {.lex_state = 4, .external_lex_state = 3},
  [1518] = {.lex_state = 4, .external_lex_state = 3},
  [1519] = {.lex_state = 4, .external_lex_state = 3},
  [1520] = {.lex_state = 4, .external_lex_state = 3},
  [1521] = {.lex_state = 4, .external_lex_state = 3},
  [1522] = {.lex_state = 9, .external_lex_state = 2},
  [1523] = {.lex_state = 4, .external_lex_state = 3},
  [1524] = {.lex_state = 4, .external_lex_state = 3},
  [1525] = {.lex_state = 4, .external_lex_state = 3},
  [1526] = {.lex_state = 4, .external_lex_state = 3},
  [1527] = {.lex_state = 12, .external_lex_state = 5},
  [1528] = {.lex_state = 4, .external_lex_state = 3},
  [1529] = {.lex_state = 77, .external_lex_state = 2},
  [1530] = {.lex_state = 4, .external_lex_state = 3},
  [1531] = {.lex_state = 4, .external_lex_state = 3},
  [1532] = {.lex_state = 4, .external_lex_state = 3},
  [1533] = {.lex_state = 4, .external_lex_state = 3},
  [1534] = {.lex_state = 4, .external_lex_state = 3},
  [1535] = {.lex_state = 4, .external_lex_state = 3},
  [1536] = {.lex_state = 4, .external_lex_state = 3},
  [1537] = {.lex_state = 4, .external_lex_state = 3},
  [1538] = {.lex_state = 4, .external_lex_state = 3},
  [1539] = {.lex_state = 4, .external_lex_state = 3},
  [1540] = {.lex_state = 77, .external_lex_state = 2},
  [1541] = {.lex_state = 4, .external_lex_state = 3},
  [1542] = {.lex_state = 77, .external_lex_state = 2},
  [1543] = {.lex_state = 4, .external_lex_state = 3},
  [1544] = {.lex_state = 4, .external_lex_state = 3},
  [1545] = {.lex_state = 4, .external_lex_state = 3},
  [1546] = {.lex_state = 4, .external_lex_state = 3},
  [1547] = {.lex_state = 4, .external_lex_state = 3},
  [1548] = {.lex_state = 77, .external_lex_state = 2},
  [1549] = {.lex_state = 12, .external_lex_state = 5},
  [1550] = {.lex_state = 4, .external_lex_state = 3},
  [1551] = {.lex_state = 77, .external_lex_state = 2},
  [1552] = {.lex_state = 4, .external_lex_state = 3},
  [1553] = {.lex_state = 4, .external_lex_state = 3},
  [1554] = {.lex_state = 4, .external_lex_state = 3},
  [1555] = {.lex_state = 4, .external_lex_state = 3},
  [1556] = {.lex_state = 4, .external_lex_state = 3},
  [1557] = {.lex_state = 4, .external_lex_state = 3},
  [1558] = {.lex_state = 4, .external_lex_state = 3},
  [1559] = {.lex_state = 4, .external_lex_state = 3},
  [1560] = {.lex_state = 4, .external_lex_state = 3},
  [1561] = {.lex_state = 9, .external_lex_state = 5},
  [1562] = {.lex_state = 9, .external_lex_state = 5},
  [1563] = {.lex_state = 9, .external_lex_state = 5},
  [1564] = {.lex_state = 12, .external_lex_state = 5},
  [1565] = {.lex_state = 12, .external_lex_state = 2},
  [1566] = {.lex_state = 9, .external_lex_state = 5},
  [1567] = {.lex_state = 4, .external_lex_state = 3},
  [1568] = {.lex_state = 12, .external_lex_state = 2},
  [1569] = {.lex_state = 4, .external_lex_state = 3},
  [1570] = {.lex_state = 12, .external_lex_state = 5},
  [1571] = {.lex_state = 9, .external_lex_state = 5},
  [1572] = {.lex_state = 4, .external_lex_state = 3},
  [1573] = {.lex_state = 4, .external_lex_state = 3},
  [1574] = {.lex_state = 4, .external_lex_state = 3},
  [1575] = {.lex_state = 12, .external_lex_state = 5},
  [1576] = {.lex_state = 9, .external_lex_state = 5},
  [1577] = {.lex_state = 4, .external_lex_state = 3},
  [1578] = {.lex_state = 12, .external_lex_state = 5},
  [1579] = {.lex_state = 9, .external_lex_state = 5},
  [1580] = {.lex_state = 9, .external_lex_state = 5},
  [1581] = {.lex_state = 9, .external_lex_state = 5},
  [1582] = {.lex_state = 9, .external_lex_state = 5},
  [1583] = {.lex_state = 9, .external_lex_state = 5},
  [1584] = {.lex_state = 9, .external_lex_state = 5},
  [1585] = {.lex_state = 9, .external_lex_state = 5},
  [1586] = {.lex_state = 9, .external_lex_state = 5},
  [1587] = {.lex_state = 9, .external_lex_state = 5},
  [1588] = {.lex_state = 9, .external_lex_state = 5},
  [1589] = {.lex_state = 9, .external_lex_state = 5},
  [1590] = {.lex_state = 9, .external_lex_state = 5},
  [1591] = {.lex_state = 9, .external_lex_state = 5},
  [1592] = {.lex_state = 9, .external_lex_state = 5},
  [1593] = {.lex_state = 9, .external_lex_state = 5},
  [1594] = {.lex_state = 9, .external_lex_state = 5},
  [1595] = {.lex_state = 9, .external_lex_state = 5},
  [1596] = {.lex_state = 9, .external_lex_state = 5},
  [1597] = {.lex_state = 9, .external_lex_state = 5},
  [1598] = {.lex_state = 9, .external_lex_state = 5},
  [1599] = {.lex_state = 9, .external_lex_state = 5},
  [1600] = {.lex_state = 9, .external_lex_state = 5},
  [1601] = {.lex_state = 9, .external_lex_state = 5},
  [1602] = {.lex_state = 9, .external_lex_state = 5},
  [1603] = {.lex_state = 9, .external_lex_state = 5},
  [1604] = {.lex_state = 9, .external_lex_state = 5},
  [1605] = {.lex_state = 77, .external_lex_state = 2},
  [1606] = {.lex_state = 9, .external_lex_state = 5},
  [1607] = {.lex_state = 9, .external_lex_state = 5},
  [1608] = {.lex_state = 9, .external_lex_state = 5},
  [1609] = {.lex_state = 9, .external_lex_state = 5},
  [1610] = {.lex_state = 9, .external_lex_state = 5},
  [1611] = {.lex_state = 9, .external_lex_state = 5},
  [1612] = {.lex_state = 9, .external_lex_state = 5},
  [1613] = {.lex_state = 9, .external_lex_state = 2},
  [1614] = {.lex_state = 9, .external_lex_state = 2},
  [1615] = {.lex_state = 9, .external_lex_state = 2},
  [1616] = {.lex_state = 9, .external_lex_state = 5},
  [1617] = {.lex_state = 9, .external_lex_state = 2},
  [1618] = {.lex_state = 9, .external_lex_state = 5},
  [1619] = {.lex_state = 9, .external_lex_state = 2},
  [1620] = {.lex_state = 9, .external_lex_state = 5},
  [1621] = {.lex_state = 9, .external_lex_state = 5},
  [1622] = {.lex_state = 5, .external_lex_state = 3},
  [1623] = {.lex_state = 9, .external_lex_state = 5},
  [1624] = {.lex_state = 9, .external_lex_state = 5},
  [1625] = {.lex_state = 9, .external_lex_state = 5},
  [1626] = {.lex_state = 9, .external_lex_state = 5},
  [1627] = {.lex_state = 9, .external_lex_state = 5},
  [1628] = {.lex_state = 9, .external_lex_state = 5},
  [1629] = {.lex_state = 9, .external_lex_state = 2},
  [1630] = {.lex_state = 9, .external_lex_state = 2},
  [1631] = {.lex_state = 9, .external_lex_state = 2},
  [1632] = {.lex_state = 9, .external_lex_state = 5},
  [1633] = {.lex_state = 9, .external_lex_state = 2},
  [1634] = {.lex_state = 9, .external_lex_state = 5},
  [1635] = {.lex_state = 9, .external_lex_state = 5},
  [1636] = {.lex_state = 9, .external_lex_state = 5},
  [1637] = {.lex_state = 9, .external_lex_state = 5},
  [1638] = {.lex_state = 5, .external_lex_state = 4},
  [1639] = {.lex_state = 5, .external_lex_state = 4},
  [1640] = {.lex_state = 9, .external_lex_state = 2},
  [1641] = {.lex_state = 9, .external_lex_state = 2},
  [1642] = {.lex_state = 9, .external_lex_state = 2},
  [1643] = {.lex_state = 9, .external_lex_state = 5},
  [1644] = {.lex_state = 9, .external_lex_state = 5},
  [1645] = {.lex_state = 9, .external_lex_state = 5},
  [1646] = {.lex_state = 9, .external_lex_state = 5},
  [1647] = {.lex_state = 9, .external_lex_state = 2},
  [1648] = {.lex_state = 9, .external_lex_state = 5},
  [1649] = {.lex_state = 9, .external_lex_state = 2},
  [1650] = {.lex_state = 9, .external_lex_state = 5},
  [1651] = {.lex_state = 9, .external_lex_state = 5},
  [1652] = {.lex_state = 9, .external_lex_state = 5},
  [1653] = {.lex_state = 9, .external_lex_state = 5},
  [1654] = {.lex_state = 9, .external_lex_state = 5},
  [1655] = {.lex_state = 9, .external_lex_state = 2},
  [1656] = {.lex_state = 9, .external_lex_state = 5},
  [1657] = {.lex_state = 9, .external_lex_state = 2},
  [1658] = {.lex_state = 9, .external_lex_state = 5},
  [1659] = {.lex_state = 9, .external_lex_state = 5},
  [1660] = {.lex_state = 9, .external_lex_state = 5},
  [1661] = {.lex_state = 9, .external_lex_state = 5},
  [1662] = {.lex_state = 9, .external_lex_state = 5},
  [1663] = {.lex_state = 9, .external_lex_state = 5},
  [1664] = {.lex_state = 9, .external_lex_state = 5},
  [1665] = {.lex_state = 9, .external_lex_state = 5},
  [1666] = {.lex_state = 9, .external_lex_state = 5},
  [1667] = {.lex_state = 9, .external_lex_state = 5},
  [1668] = {.lex_state = 9, .external_lex_state = 5},
  [1669] = {.lex_state = 5, .external_lex_state = 3},
  [1670] = {.lex_state = 5, .external_lex_state = 3},
  [1671] = {.lex_state = 9, .external_lex_state = 5},
  [1672] = {.lex_state = 9, .external_lex_state = 5},
  [1673] = {.lex_state = 9, .external_lex_state = 5},
  [1674] = {.lex_state = 5, .external_lex_state = 3},
  [1675] = {.lex_state = 9, .external_lex_state = 5},
  [1676] = {.lex_state = 9, .external_lex_state = 2},
  [1677] = {.lex_state = 9, .external_lex_state = 5},
  [1678] = {.lex_state = 9, .external_lex_state = 2},
  [1679] = {.lex_state = 9, .external_lex_state = 5},
  [1680] = {.lex_state = 9, .external_lex_state = 5},
  [1681] = {.lex_state = 9, .external_lex_state = 5},
  [1682] = {.lex_state = 9, .external_lex_state = 5},
  [1683] = {.lex_state = 9, .external_lex_state = 5},
  [1684] = {.lex_state = 9, .external_lex_state = 5},
  [1685] = {.lex_state = 9, .external_lex_state = 2},
  [1686] = {.lex_state = 9, .external_lex_state = 5},
  [1687] = {.lex_state = 9, .external_lex_state = 5},
  [1688] = {.lex_state = 9, .external_lex_state = 5},
  [1689] = {.lex_state = 9, .external_lex_state = 5},
  [1690] = {.lex_state = 9, .external_lex_state = 5},
  [1691] = {.lex_state = 9, .external_lex_state = 5},
  [1692] = {.lex_state = 9, .external_lex_state = 5},
  [1693] = {.lex_state = 9, .external_lex_state = 5},
  [1694] = {.lex_state = 9, .external_lex_state = 5},
  [1695] = {.lex_state = 9, .external_lex_state = 5},
  [1696] = {.lex_state = 9, .external_lex_state = 5},
  [1697] = {.lex_state = 9, .external_lex_state = 5},
  [1698] = {.lex_state = 9, .external_lex_state = 2},
  [1699] = {.lex_state = 9, .external_lex_state = 2},
  [1700] = {.lex_state = 9, .external_lex_state = 2},
  [1701] = {.lex_state = 5, .external_lex_state = 3},
  [1702] = {.lex_state = 9, .external_lex_state = 2},
  [1703] = {.lex_state = 9, .external_lex_state = 2},
  [1704] = {.lex_state = 9, .external_lex_state = 5},
  [1705] = {.lex_state = 9, .external_lex_state = 5},
  [1706] = {.lex_state = 9, .external_lex_state = 5},
  [1707] = {.lex_state = 5, .external_lex_state = 3},
  [1708] = {.lex_state = 9, .external_lex_state = 5},
  [1709] = {.lex_state = 5, .external_lex_state = 4},
  [1710] = {.lex_state = 9, .external_lex_state = 5},
  [1711] = {.lex_state = 9, .external_lex_state = 2},
  [1712] = {.lex_state = 5, .external_lex_state = 3},
  [1713] = {.lex_state = 5, .external_lex_state = 3},
  [1714] = {.lex_state = 9, .external_lex_state = 5},
  [1715] = {.lex_state = 9, .external_lex_state = 5},
  [1716] = {.lex_state = 9, .external_lex_state = 2},
  [1717] = {.lex_state = 9, .external_lex_state = 5},
  [1718] = {.lex_state = 9, .external_lex_state = 5},
  [1719] = {.lex_state = 9, .external_lex_state = 2},
  [1720] = {.lex_state = 9, .external_lex_state = 5},
  [1721] = {.lex_state = 5, .external_lex_state = 3},
  [1722] = {.lex_state = 9, .external_lex_state = 2},
  [1723] = {.lex_state = 9, .external_lex_state = 5},
  [1724] = {.lex_state = 5, .external_lex_state = 3},
  [1725] = {.lex_state = 9, .external_lex_state = 2},
  [1726] = {.lex_state = 9, .external_lex_state = 5},
  [1727] = {.lex_state = 9, .external_lex_state = 5},
  [1728] = {.lex_state = 9, .external_lex_state = 5},
  [1729] = {.lex_state = 9, .external_lex_state = 5},
  [1730] = {.lex_state = 9, .external_lex_state = 5},
  [1731] = {.lex_state = 9, .external_lex_state = 5},
  [1732] = {.lex_state = 5, .external_lex_state = 3},
  [1733] = {.lex_state = 9, .external_lex_state = 2},
  [1734] = {.lex_state = 5, .external_lex_state = 3},
  [1735] = {.lex_state = 5, .external_lex_state = 3},
  [1736] = {.lex_state = 5, .external_lex_state = 3},
  [1737] = {.lex_state = 9, .external_lex_state = 2},
  [1738] = {.lex_state = 9, .external_lex_state = 5},
  [1739] = {.lex_state = 9, .external_lex_state = 5},
  [1740] = {.lex_state = 9, .external_lex_state = 5},
  [1741] = {.lex_state = 9, .external_lex_state = 5},
  [1742] = {.lex_state = 9, .external_lex_state = 2},
  [1743] = {.lex_state = 5, .external_lex_state = 3},
  [1744] = {.lex_state = 9, .external_lex_state = 5},
  [1745] = {.lex_state = 9, .external_lex_state = 5},
  [1746] = {.lex_state = 9, .external_lex_state = 5},
  [1747] = {.lex_state = 5, .external_lex_state = 3},
  [1748] = {.lex_state = 5, .external_lex_state = 3},
  [1749] = {.lex_state = 5, .external_lex_state = 3},
  [1750] = {.lex_state = 5, .external_lex_state = 3},
  [1751] = {.lex_state = 5, .external_lex_state = 3},
  [1752] = {.lex_state = 5, .external_lex_state = 3},
  [1753] = {.lex_state = 5, .external_lex_state = 3},
  [1754] = {.lex_state = 5, .external_lex_state = 3},
  [1755] = {.lex_state = 5, .external_lex_state = 3},
  [1756] = {.lex_state = 9, .external_lex_state = 5},
  [1757] = {.lex_state = 5, .external_lex_state = 3},
  [1758] = {.lex_state = 9, .external_lex_state = 5},
  [1759] = {.lex_state = 5, .external_lex_state = 3},
  [1760] = {.lex_state = 5, .external_lex_state = 3},
  [1761] = {.lex_state = 9, .external_lex_state = 5},
  [1762] = {.lex_state = 5, .external_lex_state = 3},
  [1763] = {.lex_state = 9, .external_lex_state = 5},
  [1764] = {.lex_state = 5, .external_lex_state = 3},
  [1765] = {.lex_state = 5, .external_lex_state = 4},
  [1766] = {.lex_state = 5, .external_lex_state = 4},
  [1767] = {.lex_state = 5, .external_lex_state = 3},
  [1768] = {.lex_state = 5, .external_lex_state = 4},
  [1769] = {.lex_state = 5, .external_lex_state = 3},
  [1770] = {.lex_state = 5, .external_lex_state = 3},
  [1771] = {.lex_state = 5, .external_lex_state = 3},
  [1772] = {.lex_state = 5, .external_lex_state = 3},
  [1773] = {.lex_state = 5, .external_lex_state = 3},
  [1774] = {.lex_state = 5, .external_lex_state = 3},
  [1775] = {.lex_state = 5, .external_lex_state = 4},
  [1776] = {.lex_state = 5, .external_lex_state = 3},
  [1777] = {.lex_state = 5, .external_lex_state = 3},
  [1778] = {.lex_state = 5, .external_lex_state = 3},
  [1779] = {.lex_state = 5, .external_lex_state = 3},
  [1780] = {.lex_state = 5, .external_lex_state = 3},
  [1781] = {.lex_state = 5, .external_lex_state = 3},
  [1782] = {.lex_state = 5, .external_lex_state = 3},
  [1783] = {.lex_state = 5, .external_lex_state = 3},
  [1784] = {.lex_state = 5, .external_lex_state = 3},
  [1785] = {.lex_state = 5, .external_lex_state = 3},
  [1786] = {.lex_state = 5, .external_lex_state = 3},
  [1787] = {.lex_state = 5, .external_lex_state = 3},
  [1788] = {.lex_state = 5, .external_lex_state = 3},
  [1789] = {.lex_state = 5, .external_lex_state = 3},
  [1790] = {.lex_state = 5, .external_lex_state = 3},
  [1791] = {.lex_state = 5, .external_lex_state = 3},
  [1792] = {.lex_state = 5, .external_lex_state = 3},
  [1793] = {.lex_state = 5, .external_lex_state = 3},
  [1794] = {.lex_state = 5, .external_lex_state = 3},
  [1795] = {.lex_state = 5, .external_lex_state = 3},
  [1796] = {.lex_state = 5, .external_lex_state = 3},
  [1797] = {.lex_state = 5, .external_lex_state = 3},
  [1798] = {.lex_state = 5, .external_lex_state = 3},
  [1799] = {.lex_state = 5, .external_lex_state = 3},
  [1800] = {.lex_state = 5, .external_lex_state = 3},
  [1801] = {.lex_state = 5, .external_lex_state = 3},
  [1802] = {.lex_state = 5, .external_lex_state = 3},
  [1803] = {.lex_state = 5, .external_lex_state = 3},
  [1804] = {.lex_state = 5, .external_lex_state = 3},
  [1805] = {.lex_state = 5, .external_lex_state = 3},
  [1806] = {.lex_state = 5, .external_lex_state = 3},
  [1807] = {.lex_state = 5, .external_lex_state = 3},
  [1808] = {.lex_state = 5, .external_lex_state = 3},
  [1809] = {.lex_state = 5, .external_lex_state = 3},
  [1810] = {.lex_state = 5, .external_lex_state = 3},
  [1811] = {.lex_state = 5, .external_lex_state = 3},
  [1812] = {.lex_state = 5, .external_lex_state = 3},
  [1813] = {.lex_state = 5, .external_lex_state = 3},
  [1814] = {.lex_state = 5, .external_lex_state = 3},
  [1815] = {.lex_state = 5, .external_lex_state = 3},
  [1816] = {.lex_state = 5, .external_lex_state = 3},
  [1817] = {.lex_state = 5, .external_lex_state = 3},
  [1818] = {.lex_state = 5, .external_lex_state = 3},
  [1819] = {.lex_state = 5, .external_lex_state = 3},
  [1820] = {.lex_state = 5, .external_lex_state = 3},
  [1821] = {.lex_state = 5, .external_lex_state = 3},
  [1822] = {.lex_state = 5, .external_lex_state = 3},
  [1823] = {.lex_state = 5, .external_lex_state = 3},
  [1824] = {.lex_state = 5, .external_lex_state = 3},
  [1825] = {.lex_state = 5, .external_lex_state = 3},
  [1826] = {.lex_state = 5, .external_lex_state = 3},
  [1827] = {.lex_state = 9, .external_lex_state = 2},
  [1828] = {.lex_state = 5, .external_lex_state = 3},
  [1829] = {.lex_state = 5, .external_lex_state = 3},
  [1830] = {.lex_state = 5, .external_lex_state = 3},
  [1831] = {.lex_state = 5, .external_lex_state = 3},
  [1832] = {.lex_state = 5, .external_lex_state = 3},
  [1833] = {.lex_state = 5, .external_lex_state = 3},
  [1834] = {.lex_state = 5, .external_lex_state = 3},
  [1835] = {.lex_state = 5, .external_lex_state = 3},
  [1836] = {.lex_state = 9, .external_lex_state = 2},
  [1837] = {.lex_state = 5, .external_lex_state = 3},
  [1838] = {.lex_state = 5, .external_lex_state = 3},
  [1839] = {.lex_state = 5, .external_lex_state = 3},
  [1840] = {.lex_state = 5, .external_lex_state = 3},
  [1841] = {.lex_state = 5, .external_lex_state = 3},
  [1842] = {.lex_state = 5, .external_lex_state = 3},
  [1843] = {.lex_state = 5, .external_lex_state = 3},
  [1844] = {.lex_state = 5, .external_lex_state = 3},
  [1845] = {.lex_state = 5, .external_lex_state = 3},
  [1846] = {.lex_state = 5, .external_lex_state = 3},
  [1847] = {.lex_state = 5, .external_lex_state = 3},
  [1848] = {.lex_state = 5, .external_lex_state = 3},
  [1849] = {.lex_state = 5, .external_lex_state = 3},
  [1850] = {.lex_state = 5, .external_lex_state = 3},
  [1851] = {.lex_state = 9, .external_lex_state = 2},
  [1852] = {.lex_state = 5, .external_lex_state = 3},
  [1853] = {.lex_state = 5, .external_lex_state = 3},
  [1854] = {.lex_state = 9, .external_lex_state = 5},
  [1855] = {.lex_state = 9, .external_lex_state = 5},
  [1856] = {.lex_state = 5, .external_lex_state = 3},
  [1857] = {.lex_state = 5, .external_lex_state = 3},
  [1858] = {.lex_state = 5, .external_lex_state = 3},
  [1859] = {.lex_state = 5, .external_lex_state = 3},
  [1860] = {.lex_state = 5, .external_lex_state = 3},
  [1861] = {.lex_state = 5, .external_lex_state = 3},
  [1862] = {.lex_state = 5, .external_lex_state = 3},
  [1863] = {.lex_state = 5, .external_lex_state = 3},
  [1864] = {.lex_state = 5, .external_lex_state = 3},
  [1865] = {.lex_state = 5, .external_lex_state = 3},
  [1866] = {.lex_state = 9, .external_lex_state = 5},
  [1867] = {.lex_state = 9, .external_lex_state = 5},
  [1868] = {.lex_state = 5, .external_lex_state = 3},
  [1869] = {.lex_state = 9, .external_lex_state = 5},
  [1870] = {.lex_state = 9, .external_lex_state = 5},
  [1871] = {.lex_state = 5, .external_lex_state = 3},
  [1872] = {.lex_state = 5, .external_lex_state = 3},
  [1873] = {.lex_state = 5, .external_lex_state = 3},
  [1874] = {.lex_state = 9, .external_lex_state = 5},
  [1875] = {.lex_state = 9, .external_lex_state = 5},
  [1876] = {.lex_state = 5, .external_lex_state = 3},
  [1877] = {.lex_state = 5, .external_lex_state = 3},
  [1878] = {.lex_state = 5, .external_lex_state = 3},
  [1879] = {.lex_state = 9, .external_lex_state = 2},
  [1880] = {.lex_state = 5, .external_lex_state = 3},
  [1881] = {.lex_state = 5, .external_lex_state = 3},
  [1882] = {.lex_state = 5, .external_lex_state = 4},
  [1883] = {.lex_state = 9, .external_lex_state = 2},
  [1884] = {.lex_state = 5, .external_lex_state = 3},
  [1885] = {.lex_state = 5, .external_lex_state = 3},
  [1886] = {.lex_state = 5, .external_lex_state = 3},
  [1887] = {.lex_state = 5, .external_lex_state = 3},
  [1888] = {.lex_state = 5, .external_lex_state = 3},
  [1889] = {.lex_state = 5, .external_lex_state = 3},
  [1890] = {.lex_state = 5, .external_lex_state = 3},
  [1891] = {.lex_state = 5, .external_lex_state = 3},
  [1892] = {.lex_state = 5, .external_lex_state = 4},
  [1893] = {.lex_state = 9, .external_lex_state = 2},
  [1894] = {.lex_state = 9, .external_lex_state = 5},
  [1895] = {.lex_state = 9, .external_lex_state = 2},
  [1896] = {.lex_state = 9, .external_lex_state = 2},
  [1897] = {.lex_state = 5, .external_lex_state = 3},
  [1898] = {.lex_state = 9, .external_lex_state = 5},
  [1899] = {.lex_state = 9, .external_lex_state = 5},
  [1900] = {.lex_state = 9, .external_lex_state = 5},
  [1901] = {.lex_state = 9, .external_lex_state = 5},
  [1902] = {.lex_state = 9, .external_lex_state = 5},
  [1903] = {.lex_state = 9, .external_lex_state = 2},
  [1904] = {.lex_state = 9, .external_lex_state = 2},
  [1905] = {.lex_state = 5, .external_lex_state = 3},
  [1906] = {.lex_state = 5, .external_lex_state = 3},
  [1907] = {.lex_state = 5, .external_lex_state = 3},
  [1908] = {.lex_state = 9, .external_lex_state = 5},
  [1909] = {.lex_state = 9, .external_lex_state = 5},
  [1910] = {.lex_state = 5, .external_lex_state = 3},
  [1911] = {.lex_state = 9, .external_lex_state = 5},
  [1912] = {.lex_state = 5, .external_lex_state = 3},
  [1913] = {.lex_state = 9, .external_lex_state = 2},
  [1914] = {.lex_state = 9, .external_lex_state = 2},
  [1915] = {.lex_state = 5, .external_lex_state = 3},
  [1916] = {.lex_state = 5, .external_lex_state = 3},
  [1917] = {.lex_state = 5, .external_lex_state = 3},
  [1918] = {.lex_state = 11, .external_lex_state = 2},
  [1919] = {.lex_state = 5, .external_lex_state = 3},
  [1920] = {.lex_state = 5, .external_lex_state = 3},
  [1921] = {.lex_state = 5, .external_lex_state = 3},
  [1922] = {.lex_state = 5, .external_lex_state = 3},
  [1923] = {.lex_state = 5, .external_lex_state = 3},
  [1924] = {.lex_state = 5, .external_lex_state = 3},
  [1925] = {.lex_state = 5, .external_lex_state = 3},
  [1926] = {.lex_state = 5, .external_lex_state = 3},
  [1927] = {.lex_state = 5, .external_lex_state = 3},
  [1928] = {.lex_state = 5, .external_lex_state = 3},
  [1929] = {.lex_state = 5, .external_lex_state = 3},
  [1930] = {.lex_state = 5, .external_lex_state = 3},
  [1931] = {.lex_state = 5, .external_lex_state = 3},
  [1932] = {.lex_state = 5, .external_lex_state = 3},
  [1933] = {.lex_state = 5, .external_lex_state = 3},
  [1934] = {.lex_state = 5, .external_lex_state = 3},
  [1935] = {.lex_state = 5, .external_lex_state = 3},
  [1936] = {.lex_state = 5, .external_lex_state = 3},
  [1937] = {.lex_state = 5, .external_lex_state = 3},
  [1938] = {.lex_state = 5, .external_lex_state = 3},
  [1939] = {.lex_state = 5, .external_lex_state = 3},
  [1940] = {.lex_state = 5, .external_lex_state = 3},
  [1941] = {.lex_state = 5, .external_lex_state = 3},
  [1942] = {.lex_state = 5, .external_lex_state = 3},
  [1943] = {.lex_state = 5, .external_lex_state = 3},
  [1944] = {.lex_state = 5, .external_lex_state = 3},
  [1945] = {.lex_state = 9, .external_lex_state = 2},
  [1946] = {.lex_state = 5, .external_lex_state = 3},
  [1947] = {.lex_state = 9, .external_lex_state = 2},
  [1948] = {.lex_state = 9, .external_lex_state = 5},
  [1949] = {.lex_state = 9, .external_lex_state = 5},
  [1950] = {.lex_state = 9, .external_lex_state = 2},
  [1951] = {.lex_state = 5, .external_lex_state = 3},
  [1952] = {.lex_state = 5, .external_lex_state = 3},
  [1953] = {.lex_state = 5, .external_lex_state = 3},
  [1954] = {.lex_state = 5, .external_lex_state = 3},
  [1955] = {.lex_state = 9, .external_lex_state = 2},
  [1956] = {.lex_state = 5, .external_lex_state = 3},
  [1957] = {.lex_state = 5, .external_lex_state = 3},
  [1958] = {.lex_state = 5, .external_lex_state = 3},
  [1959] = {.lex_state = 5, .external_lex_state = 3},
  [1960] = {.lex_state = 5, .external_lex_state = 3},
  [1961] = {.lex_state = 5, .external_lex_state = 4},
  [1962] = {.lex_state = 9, .external_lex_state = 2},
  [1963] = {.lex_state = 9, .external_lex_state = 2},
  [1964] = {.lex_state = 5, .external_lex_state = 3},
  [1965] = {.lex_state = 11, .external_lex_state = 2},
  [1966] = {.lex_state = 5, .external_lex_state = 3},
  [1967] = {.lex_state = 5, .external_lex_state = 3},
  [1968] = {.lex_state = 9, .external_lex_state = 2},
  [1969] = {.lex_state = 5, .external_lex_state = 3},
  [1970] = {.lex_state = 5, .external_lex_state = 3},
  [1971] = {.lex_state = 5, .external_lex_state = 3},
  [1972] = {.lex_state = 5, .external_lex_state = 3},
  [1973] = {.lex_state = 5, .external_lex_state = 3},
  [1974] = {.lex_state = 5, .external_lex_state = 3},
  [1975] = {.lex_state = 5, .external_lex_state = 3},
  [1976] = {.lex_state = 5, .external_lex_state = 3},
  [1977] = {.lex_state = 5, .external_lex_state = 3},
  [1978] = {.lex_state = 5, .external_lex_state = 3},
  [1979] = {.lex_state = 5, .external_lex_state = 3},
  [1980] = {.lex_state = 5, .external_lex_state = 3},
  [1981] = {.lex_state = 5, .external_lex_state = 3},
  [1982] = {.lex_state = 5, .external_lex_state = 3},
  [1983] = {.lex_state = 5, .external_lex_state = 3},
  [1984] = {.lex_state = 5, .external_lex_state = 3},
  [1985] = {.lex_state = 5, .external_lex_state = 3},
  [1986] = {.lex_state = 9, .external_lex_state = 5},
  [1987] = {.lex_state = 5, .external_lex_state = 3},
  [1988] = {.lex_state = 5, .external_lex_state = 3},
  [1989] = {.lex_state = 9, .external_lex_state = 5},
  [1990] = {.lex_state = 9, .external_lex_state = 5},
  [1991] = {.lex_state = 5, .external_lex_state = 3},
  [1992] = {.lex_state = 5, .external_lex_state = 3},
  [1993] = {.lex_state = 5, .external_lex_state = 3},
  [1994] = {.lex_state = 9, .external_lex_state = 5},
  [1995] = {.lex_state = 5, .external_lex_state = 3},
  [1996] = {.lex_state = 5, .external_lex_state = 3},
  [1997] = {.lex_state = 5, .external_lex_state = 3},
  [1998] = {.lex_state = 5, .external_lex_state = 3},
  [1999] = {.lex_state = 9, .external_lex_state = 5},
  [2000] = {.lex_state = 5, .external_lex_state = 3},
  [2001] = {.lex_state = 5, .external_lex_state = 3},
  [2002] = {.lex_state = 5, .external_lex_state = 3},
  [2003] = {.lex_state = 5, .external_lex_state = 3},
  [2004] = {.lex_state = 5, .external_lex_state = 3},
  [2005] = {.lex_state = 5, .external_lex_state = 3},
  [2006] = {.lex_state = 5, .external_lex_state = 3},
  [2007] = {.lex_state = 5, .external_lex_state = 3},
  [2008] = {.lex_state = 5, .external_lex_state = 3},
  [2009] = {.lex_state = 5, .external_lex_state = 3},
  [2010] = {.lex_state = 5, .external_lex_state = 3},
  [2011] = {.lex_state = 5, .external_lex_state = 3},
  [2012] = {.lex_state = 5, .external_lex_state = 3},
  [2013] = {.lex_state = 5, .external_lex_state = 3},
  [2014] = {.lex_state = 5, .external_lex_state = 3},
  [2015] = {.lex_state = 5, .external_lex_state = 3},
  [2016] = {.lex_state = 5, .external_lex_state = 3},
  [2017] = {.lex_state = 5, .external_lex_state = 3},
  [2018] = {.lex_state = 9, .external_lex_state = 2},
  [2019] = {.lex_state = 9, .external_lex_state = 2},
  [2020] = {.lex_state = 5, .external_lex_state = 4},
  [2021] = {.lex_state = 12, .external_lex_state = 5},
  [2022] = {.lex_state = 12, .external_lex_state = 5},
  [2023] = {.lex_state = 12, .external_lex_state = 5},
  [2024] = {.lex_state = 5, .external_lex_state = 4},
  [2025] = {.lex_state = 12, .external_lex_state = 5},
  [2026] = {.lex_state = 5, .external_lex_state = 3},
  [2027] = {.lex_state = 12, .external_lex_state = 5},
  [2028] = {.lex_state = 12, .external_lex_state = 5},
  [2029] = {.lex_state = 12, .external_lex_state = 5},
  [2030] = {.lex_state = 12, .external_lex_state = 5},
  [2031] = {.lex_state = 12, .external_lex_state = 5},
  [2032] = {.lex_state = 12, .external_lex_state = 5},
  [2033] = {.lex_state = 12, .external_lex_state = 5},
  [2034] = {.lex_state = 12, .external_lex_state = 5},
  [2035] = {.lex_state = 12, .external_lex_state = 5},
  [2036] = {.lex_state = 12, .external_lex_state = 5},
  [2037] = {.lex_state = 12, .external_lex_state = 5},
  [2038] = {.lex_state = 12, .external_lex_state = 5},
  [2039] = {.lex_state = 5, .external_lex_state = 4},
  [2040] = {.lex_state = 12, .external_lex_state = 5},
  [2041] = {.lex_state = 12, .external_lex_state = 5},
  [2042] = {.lex_state = 5, .external_lex_state = 3},
  [2043] = {.lex_state = 12, .external_lex_state = 5},
  [2044] = {.lex_state = 12, .external_lex_state = 5},
  [2045] = {.lex_state = 5, .external_lex_state = 3},
  [2046] = {.lex_state = 12, .external_lex_state = 5},
  [2047] = {.lex_state = 12, .external_lex_state = 5},
  [2048] = {.lex_state = 5, .external_lex_state = 4},
  [2049] = {.lex_state = 12, .external_lex_state = 5},
  [2050] = {.lex_state = 12, .external_lex_state = 5},
  [2051] = {.lex_state = 5, .external_lex_state = 4},
  [2052] = {.lex_state = 12, .external_lex_state = 5},
  [2053] = {.lex_state = 12, .external_lex_state = 5},
  [2054] = {.lex_state = 5, .external_lex_state = 3},
  [2055] = {.lex_state = 12, .external_lex_state = 5},
  [2056] = {.lex_state = 12, .external_lex_state = 5},
  [2057] = {.lex_state = 9, .external_lex_state = 2},
  [2058] = {.lex_state = 12, .external_lex_state = 5},
  [2059] = {.lex_state = 9, .external_lex_state = 2},
  [2060] = {.lex_state = 12, .external_lex_state = 5},
  [2061] = {.lex_state = 5, .external_lex_state = 4},
  [2062] = {.lex_state = 5, .external_lex_state = 4},
  [2063] = {.lex_state = 12, .external_lex_state = 5},
  [2064] = {.lex_state = 12, .external_lex_state = 5},
  [2065] = {.lex_state = 5, .external_lex_state = 3},
  [2066] = {.lex_state = 12, .external_lex_state = 5},
  [2067] = {.lex_state = 12, .external_lex_state = 5},
  [2068] = {.lex_state = 12, .external_lex_state = 5},
  [2069] = {.lex_state = 5, .external_lex_state = 4},
  [2070] = {.lex_state = 12, .external_lex_state = 5},
  [2071] = {.lex_state = 12, .external_lex_state = 5},
  [2072] = {.lex_state = 5, .external_lex_state = 4},
  [2073] = {.lex_state = 5, .external_lex_state = 4},
  [2074] = {.lex_state = 5, .external_lex_state = 4},
  [2075] = {.lex_state = 5, .external_lex_state = 4},
  [2076] = {.lex_state = 12, .external_lex_state = 5},
  [2077] = {.lex_state = 12, .external_lex_state = 5},
  [2078] = {.lex_state = 12, .external_lex_state = 5},
  [2079] = {.lex_state = 12, .external_lex_state = 5},
  [2080] = {.lex_state = 12, .external_lex_state = 5},
  [2081] = {.lex_state = 12, .external_lex_state = 5},
  [2082] = {.lex_state = 12, .external_lex_state = 5},
  [2083] = {.lex_state = 5, .external_lex_state = 4},
  [2084] = {.lex_state = 12, .external_lex_state = 5},
  [2085] = {.lex_state = 12, .external_lex_state = 5},
  [2086] = {.lex_state = 5, .external_lex_state = 4},
  [2087] = {.lex_state = 5, .external_lex_state = 4},
  [2088] = {.lex_state = 5, .external_lex_state = 4},
  [2089] = {.lex_state = 5, .external_lex_state = 4},
  [2090] = {.lex_state = 5, .external_lex_state = 3},
  [2091] = {.lex_state = 5, .external_lex_state = 3},
  [2092] = {.lex_state = 9, .external_lex_state = 2},
  [2093] = {.lex_state = 5, .external_lex_state = 4},
  [2094] = {.lex_state = 5, .external_lex_state = 3},
  [2095] = {.lex_state = 5, .external_lex_state = 4},
  [2096] = {.lex_state = 5, .external_lex_state = 3},
  [2097] = {.lex_state = 9, .external_lex_state = 2},
  [2098] = {.lex_state = 5, .external_lex_state = 4},
  [2099] = {.lex_state = 5, .external_lex_state = 4},
  [2100] = {.lex_state = 5, .external_lex_state = 4},
  [2101] = {.lex_state = 5, .external_lex_state = 3},
  [2102] = {.lex_state = 12, .external_lex_state = 2},
  [2103] = {.lex_state = 12, .external_lex_state = 2},
  [2104] = {.lex_state = 5, .external_lex_state = 4},
  [2105] = {.lex_state = 12, .external_lex_state = 2},
  [2106] = {.lex_state = 5, .external_lex_state = 3},
  [2107] = {.lex_state = 5, .external_lex_state = 3},
  [2108] = {.lex_state = 5, .external_lex_state = 4},
  [2109] = {.lex_state = 5, .external_lex_state = 4},
  [2110] = {.lex_state = 5, .external_lex_state = 4},
  [2111] = {.lex_state = 5, .external_lex_state = 4},
  [2112] = {.lex_state = 5, .external_lex_state = 4},
  [2113] = {.lex_state = 5, .external_lex_state = 4},
  [2114] = {.lex_state = 5, .external_lex_state = 4},
  [2115] = {.lex_state = 5, .external_lex_state = 4},
  [2116] = {.lex_state = 5, .external_lex_state = 4},
  [2117] = {.lex_state = 5, .external_lex_state = 4},
  [2118] = {.lex_state = 5, .external_lex_state = 4},
  [2119] = {.lex_state = 9, .external_lex_state = 2},
  [2120] = {.lex_state = 9, .external_lex_state = 2},
  [2121] = {.lex_state = 5, .external_lex_state = 4},
  [2122] = {.lex_state = 5, .external_lex_state = 4},
  [2123] = {.lex_state = 5, .external_lex_state = 4},
  [2124] = {.lex_state = 5, .external_lex_state = 4},
  [2125] = {.lex_state = 5, .external_lex_state = 4},
  [2126] = {.lex_state = 5, .external_lex_state = 4},
  [2127] = {.lex_state = 5, .external_lex_state = 4},
  [2128] = {.lex_state = 5, .external_lex_state = 4},
  [2129] = {.lex_state = 5, .external_lex_state = 4},
  [2130] = {.lex_state = 5, .external_lex_state = 4},
  [2131] = {.lex_state = 5, .external_lex_state = 4},
  [2132] = {.lex_state = 5, .external_lex_state = 4},
  [2133] = {.lex_state = 5, .external_lex_state = 4},
  [2134] = {.lex_state = 5, .external_lex_state = 4},
  [2135] = {.lex_state = 5, .external_lex_state = 4},
  [2136] = {.lex_state = 5, .external_lex_state = 4},
  [2137] = {.lex_state = 5, .external_lex_state = 4},
  [2138] = {.lex_state = 12, .external_lex_state = 2},
  [2139] = {.lex_state = 5, .external_lex_state = 4},
  [2140] = {.lex_state = 5, .external_lex_state = 4},
  [2141] = {.lex_state = 5, .external_lex_state = 4},
  [2142] = {.lex_state = 5, .external_lex_state = 4},
  [2143] = {.lex_state = 5, .external_lex_state = 4},
  [2144] = {.lex_state = 12, .external_lex_state = 2},
  [2145] = {.lex_state = 6, .external_lex_state = 3},
  [2146] = {.lex_state = 5, .external_lex_state = 4},
  [2147] = {.lex_state = 5, .external_lex_state = 4},
  [2148] = {.lex_state = 5, .external_lex_state = 4},
  [2149] = {.lex_state = 5, .external_lex_state = 4},
  [2150] = {.lex_state = 5, .external_lex_state = 4},
  [2151] = {.lex_state = 5, .external_lex_state = 4},
  [2152] = {.lex_state = 5, .external_lex_state = 4},
  [2153] = {.lex_state = 5, .external_lex_state = 4},
  [2154] = {.lex_state = 5, .external_lex_state = 4},
  [2155] = {.lex_state = 5, .external_lex_state = 4},
  [2156] = {.lex_state = 9, .external_lex_state = 2},
  [2157] = {.lex_state = 5, .external_lex_state = 3},
  [2158] = {.lex_state = 5, .external_lex_state = 4},
  [2159] = {.lex_state = 5, .external_lex_state = 4},
  [2160] = {.lex_state = 5, .external_lex_state = 3},
  [2161] = {.lex_state = 5, .external_lex_state = 3},
  [2162] = {.lex_state = 5, .external_lex_state = 4},
  [2163] = {.lex_state = 5, .external_lex_state = 4},
  [2164] = {.lex_state = 5, .external_lex_state = 4},
  [2165] = {.lex_state = 5, .external_lex_state = 4},
  [2166] = {.lex_state = 5, .external_lex_state = 4},
  [2167] = {.lex_state = 5, .external_lex_state = 4},
  [2168] = {.lex_state = 5, .external_lex_state = 4},
  [2169] = {.lex_state = 5, .external_lex_state = 3},
  [2170] = {.lex_state = 5, .external_lex_state = 4},
  [2171] = {.lex_state = 5, .external_lex_state = 4},
  [2172] = {.lex_state = 5, .external_lex_state = 4},
  [2173] = {.lex_state = 5, .external_lex_state = 4},
  [2174] = {.lex_state = 5, .external_lex_state = 4},
  [2175] = {.lex_state = 5, .external_lex_state = 4},
  [2176] = {.lex_state = 5, .external_lex_state = 3},
  [2177] = {.lex_state = 5, .external_lex_state = 4},
  [2178] = {.lex_state = 5, .external_lex_state = 4},
  [2179] = {.lex_state = 5, .external_lex_state = 4},
  [2180] = {.lex_state = 5, .external_lex_state = 4},
  [2181] = {.lex_state = 5, .external_lex_state = 4},
  [2182] = {.lex_state = 5, .external_lex_state = 4},
  [2183] = {.lex_state = 5, .external_lex_state = 4},
  [2184] = {.lex_state = 5, .external_lex_state = 4},
  [2185] = {.lex_state = 5, .external_lex_state = 4},
  [2186] = {.lex_state = 5, .external_lex_state = 3},
  [2187] = {.lex_state = 5, .external_lex_state = 4},
  [2188] = {.lex_state = 5, .external_lex_state = 4},
  [2189] = {.lex_state = 5, .external_lex_state = 4},
  [2190] = {.lex_state = 9, .external_lex_state = 2},
  [2191] = {.lex_state = 5, .external_lex_state = 4},
  [2192] = {.lex_state = 5, .external_lex_state = 4},
  [2193] = {.lex_state = 5, .external_lex_state = 4},
  [2194] = {.lex_state = 9, .external_lex_state = 2},
  [2195] = {.lex_state = 5, .external_lex_state = 4},
  [2196] = {.lex_state = 5, .external_lex_state = 4},
  [2197] = {.lex_state = 5, .external_lex_state = 4},
  [2198] = {.lex_state = 5, .external_lex_state = 4},
  [2199] = {.lex_state = 5, .external_lex_state = 4},
  [2200] = {.lex_state = 5, .external_lex_state = 4},
  [2201] = {.lex_state = 5, .external_lex_state = 4},
  [2202] = {.lex_state = 5, .external_lex_state = 4},
  [2203] = {.lex_state = 5, .external_lex_state = 4},
  [2204] = {.lex_state = 5, .external_lex_state = 4},
  [2205] = {.lex_state = 5, .external_lex_state = 4},
  [2206] = {.lex_state = 5, .external_lex_state = 4},
  [2207] = {.lex_state = 5, .external_lex_state = 4},
  [2208] = {.lex_state = 5, .external_lex_state = 4},
  [2209] = {.lex_state = 5, .external_lex_state = 4},
  [2210] = {.lex_state = 5, .external_lex_state = 4},
  [2211] = {.lex_state = 5, .external_lex_state = 4},
  [2212] = {.lex_state = 5, .external_lex_state = 4},
  [2213] = {.lex_state = 5, .external_lex_state = 4},
  [2214] = {.lex_state = 5, .external_lex_state = 4},
  [2215] = {.lex_state = 5, .external_lex_state = 4},
  [2216] = {.lex_state = 5, .external_lex_state = 4},
  [2217] = {.lex_state = 5, .external_lex_state = 4},
  [2218] = {.lex_state = 9, .external_lex_state = 2},
  [2219] = {.lex_state = 5, .external_lex_state = 4},
  [2220] = {.lex_state = 5, .external_lex_state = 4},
  [2221] = {.lex_state = 5, .external_lex_state = 4},
  [2222] = {.lex_state = 5, .external_lex_state = 4},
  [2223] = {.lex_state = 5, .external_lex_state = 3},
  [2224] = {.lex_state = 5, .external_lex_state = 4},
  [2225] = {.lex_state = 5, .external_lex_state = 3},
  [2226] = {.lex_state = 5, .external_lex_state = 4},
  [2227] = {.lex_state = 5, .external_lex_state = 4},
  [2228] = {.lex_state = 5, .external_lex_state = 4},
  [2229] = {.lex_state = 5, .external_lex_state = 3},
  [2230] = {.lex_state = 5, .external_lex_state = 4},
  [2231] = {.lex_state = 5, .external_lex_state = 4},
  [2232] = {.lex_state = 5, .external_lex_state = 4},
  [2233] = {.lex_state = 5, .external_lex_state = 4},
  [2234] = {.lex_state = 5, .external_lex_state = 4},
  [2235] = {.lex_state = 5, .external_lex_state = 4},
  [2236] = {.lex_state = 5, .external_lex_state = 4},
  [2237] = {.lex_state = 5, .external_lex_state = 3},
  [2238] = {.lex_state = 5, .external_lex_state = 4},
  [2239] = {.lex_state = 9, .external_lex_state = 2},
  [2240] = {.lex_state = 5, .external_lex_state = 4},
  [2241] = {.lex_state = 9, .external_lex_state = 2},
  [2242] = {.lex_state = 9, .external_lex_state = 2},
  [2243] = {.lex_state = 9, .external_lex_state = 2},
  [2244] = {.lex_state = 5, .external_lex_state = 4},
  [2245] = {.lex_state = 5, .external_lex_state = 4},
  [2246] = {.lex_state = 5, .external_lex_state = 4},
  [2247] = {.lex_state = 5, .external_lex_state = 4},
  [2248] = {.lex_state = 5, .external_lex_state = 4},
  [2249] = {.lex_state = 5, .external_lex_state = 3},
  [2250] = {.lex_state = 5, .external_lex_state = 4},
  [2251] = {.lex_state = 5, .external_lex_state = 3},
  [2252] = {.lex_state = 5, .external_lex_state = 4},
  [2253] = {.lex_state = 5, .external_lex_state = 3},
  [2254] = {.lex_state = 5, .external_lex_state = 4},
  [2255] = {.lex_state = 5, .external_lex_state = 3},
  [2256] = {.lex_state = 5, .external_lex_state = 4},
  [2257] = {.lex_state = 5, .external_lex_state = 4},
  [2258] = {.lex_state = 5, .external_lex_state = 4},
  [2259] = {.lex_state = 5, .external_lex_state = 4},
  [2260] = {.lex_state = 5, .external_lex_state = 4},
  [2261] = {.lex_state = 5, .external_lex_state = 3},
  [2262] = {.lex_state = 5, .external_lex_state = 4},
  [2263] = {.lex_state = 5, .external_lex_state = 3},
  [2264] = {.lex_state = 5, .external_lex_state = 4},
  [2265] = {.lex_state = 5, .external_lex_state = 4},
  [2266] = {.lex_state = 5, .external_lex_state = 4},
  [2267] = {.lex_state = 5, .external_lex_state = 4},
  [2268] = {.lex_state = 5, .external_lex_state = 4},
  [2269] = {.lex_state = 5, .external_lex_state = 4},
  [2270] = {.lex_state = 9, .external_lex_state = 2},
  [2271] = {.lex_state = 5, .external_lex_state = 3},
  [2272] = {.lex_state = 9, .external_lex_state = 2},
  [2273] = {.lex_state = 5, .external_lex_state = 3},
  [2274] = {.lex_state = 5, .external_lex_state = 3},
  [2275] = {.lex_state = 5, .external_lex_state = 3},
  [2276] = {.lex_state = 5, .external_lex_state = 4},
  [2277] = {.lex_state = 5, .external_lex_state = 4},
  [2278] = {.lex_state = 5, .external_lex_state = 4},
  [2279] = {.lex_state = 5, .external_lex_state = 4},
  [2280] = {.lex_state = 5, .external_lex_state = 4},
  [2281] = {.lex_state = 5, .external_lex_state = 4},
  [2282] = {.lex_state = 5, .external_lex_state = 4},
  [2283] = {.lex_state = 5, .external_lex_state = 4},
  [2284] = {.lex_state = 5, .external_lex_state = 4},
  [2285] = {.lex_state = 5, .external_lex_state = 4},
  [2286] = {.lex_state = 5, .external_lex_state = 4},
  [2287] = {.lex_state = 5, .external_lex_state = 4},
  [2288] = {.lex_state = 5, .external_lex_state = 4},
  [2289] = {.lex_state = 5, .external_lex_state = 4},
  [2290] = {.lex_state = 5, .external_lex_state = 4},
  [2291] = {.lex_state = 5, .external_lex_state = 3},
  [2292] = {.lex_state = 5, .external_lex_state = 4},
  [2293] = {.lex_state = 5, .external_lex_state = 4},
  [2294] = {.lex_state = 5, .external_lex_state = 4},
  [2295] = {.lex_state = 5, .external_lex_state = 4},
  [2296] = {.lex_state = 5, .external_lex_state = 4},
  [2297] = {.lex_state = 9, .external_lex_state = 2},
  [2298] = {.lex_state = 5, .external_lex_state = 4},
  [2299] = {.lex_state = 5, .external_lex_state = 4},
  [2300] = {.lex_state = 5, .external_lex_state = 4},
  [2301] = {.lex_state = 5, .external_lex_state = 4},
  [2302] = {.lex_state = 5, .external_lex_state = 4},
  [2303] = {.lex_state = 5, .external_lex_state = 4},
  [2304] = {.lex_state = 5, .external_lex_state = 3},
  [2305] = {.lex_state = 5, .external_lex_state = 3},
  [2306] = {.lex_state = 5, .external_lex_state = 3},
  [2307] = {.lex_state = 5, .external_lex_state = 3},
  [2308] = {.lex_state = 5, .external_lex_state = 4},
  [2309] = {.lex_state = 5, .external_lex_state = 4},
  [2310] = {.lex_state = 5, .external_lex_state = 4},
  [2311] = {.lex_state = 5, .external_lex_state = 4},
  [2312] = {.lex_state = 5, .external_lex_state = 4},
  [2313] = {.lex_state = 5, .external_lex_state = 3},
  [2314] = {.lex_state = 5, .external_lex_state = 3},
  [2315] = {.lex_state = 5, .external_lex_state = 3},
  [2316] = {.lex_state = 5, .external_lex_state = 3},
  [2317] = {.lex_state = 5, .external_lex_state = 3},
  [2318] = {.lex_state = 5, .external_lex_state = 3},
  [2319] = {.lex_state = 5, .external_lex_state = 3},
  [2320] = {.lex_state = 5, .external_lex_state = 3},
  [2321] = {.lex_state = 5, .external_lex_state = 3},
  [2322] = {.lex_state = 5, .external_lex_state = 3},
  [2323] = {.lex_state = 5, .external_lex_state = 3},
  [2324] = {.lex_state = 5, .external_lex_state = 3},
  [2325] = {.lex_state = 5, .external_lex_state = 4},
  [2326] = {.lex_state = 5, .external_lex_state = 4},
  [2327] = {.lex_state = 5, .external_lex_state = 4},
  [2328] = {.lex_state = 5, .external_lex_state = 4},
  [2329] = {.lex_state = 5, .external_lex_state = 3},
  [2330] = {.lex_state = 5, .external_lex_state = 3},
  [2331] = {.lex_state = 5, .external_lex_state = 3},
  [2332] = {.lex_state = 5, .external_lex_state = 3},
  [2333] = {.lex_state = 5, .external_lex_state = 3},
  [2334] = {.lex_state = 5, .external_lex_state = 3},
  [2335] = {.lex_state = 5, .external_lex_state = 3},
  [2336] = {.lex_state = 5, .external_lex_state = 3},
  [2337] = {.lex_state = 5, .external_lex_state = 3},
  [2338] = {.lex_state = 5, .external_lex_state = 4},
  [2339] = {.lex_state = 5, .external_lex_state = 3},
  [2340] = {.lex_state = 5, .external_lex_state = 4},
  [2341] = {.lex_state = 5, .external_lex_state = 4},
  [2342] = {.lex_state = 5, .external_lex_state = 4},
  [2343] = {.lex_state = 5, .external_lex_state = 4},
  [2344] = {.lex_state = 5, .external_lex_state = 4},
  [2345] = {.lex_state = 5, .external_lex_state = 4},
  [2346] = {.lex_state = 5, .external_lex_state = 4},
  [2347] = {.lex_state = 5, .external_lex_state = 4},
  [2348] = {.lex_state = 5, .external_lex_state = 4},
  [2349] = {.lex_state = 5, .external_lex_state = 4},
  [2350] = {.lex_state = 5, .external_lex_state = 4},
  [2351] = {.lex_state = 5, .external_lex_state = 4},
  [2352] = {.lex_state = 5, .external_lex_state = 4},
  [2353] = {.lex_state = 5, .external_lex_state = 4},
  [2354] = {.lex_state = 5, .external_lex_state = 4},
  [2355] = {.lex_state = 5, .external_lex_state = 4},
  [2356] = {.lex_state = 9, .external_lex_state = 2},
  [2357] = {.lex_state = 9, .external_lex_state = 2},
  [2358] = {.lex_state = 5, .external_lex_state = 4},
  [2359] = {.lex_state = 5, .external_lex_state = 4},
  [2360] = {.lex_state = 5, .external_lex_state = 3},
  [2361] = {.lex_state = 5, .external_lex_state = 3},
  [2362] = {.lex_state = 5, .external_lex_state = 3},
  [2363] = {.lex_state = 5, .external_lex_state = 3},
  [2364] = {.lex_state = 5, .external_lex_state = 4},
  [2365] = {.lex_state = 9, .external_lex_state = 2},
  [2366] = {.lex_state = 5, .external_lex_state = 4},
  [2367] = {.lex_state = 5, .external_lex_state = 4},
  [2368] = {.lex_state = 5, .external_lex_state = 4},
  [2369] = {.lex_state = 5, .external_lex_state = 4},
  [2370] = {.lex_state = 5, .external_lex_state = 4},
  [2371] = {.lex_state = 5, .external_lex_state = 4},
  [2372] = {.lex_state = 5, .external_lex_state = 4},
  [2373] = {.lex_state = 5, .external_lex_state = 4},
  [2374] = {.lex_state = 5, .external_lex_state = 4},
  [2375] = {.lex_state = 5, .external_lex_state = 4},
  [2376] = {.lex_state = 5, .external_lex_state = 4},
  [2377] = {.lex_state = 5, .external_lex_state = 4},
  [2378] = {.lex_state = 5, .external_lex_state = 4},
  [2379] = {.lex_state = 5, .external_lex_state = 4},
  [2380] = {.lex_state = 5, .external_lex_state = 4},
  [2381] = {.lex_state = 5, .external_lex_state = 4},
  [2382] = {.lex_state = 5, .external_lex_state = 4},
  [2383] = {.lex_state = 5, .external_lex_state = 4},
  [2384] = {.lex_state = 5, .external_lex_state = 4},
  [2385] = {.lex_state = 5, .external_lex_state = 4},
  [2386] = {.lex_state = 5, .external_lex_state = 4},
  [2387] = {.lex_state = 5, .external_lex_state = 4},
  [2388] = {.lex_state = 5, .external_lex_state = 3},
  [2389] = {.lex_state = 9, .external_lex_state = 2},
  [2390] = {.lex_state = 5, .external_lex_state = 4},
  [2391] = {.lex_state = 6, .external_lex_state = 4},
  [2392] = {.lex_state = 5, .external_lex_state = 4},
  [2393] = {.lex_state = 5, .external_lex_state = 3},
  [2394] = {.lex_state = 5, .external_lex_state = 3},
  [2395] = {.lex_state = 5, .external_lex_state = 3},
  [2396] = {.lex_state = 5, .external_lex_state = 4},
  [2397] = {.lex_state = 5, .external_lex_state = 4},
  [2398] = {.lex_state = 9, .external_lex_state = 2},
  [2399] = {.lex_state = 5, .external_lex_state = 3},
  [2400] = {.lex_state = 5, .external_lex_state = 3},
  [2401] = {.lex_state = 5, .external_lex_state = 3},
  [2402] = {.lex_state = 5, .external_lex_state = 4},
  [2403] = {.lex_state = 5, .external_lex_state = 4},
  [2404] = {.lex_state = 5, .external_lex_state = 3},
  [2405] = {.lex_state = 77, .external_lex_state = 2},
  [2406] = {.lex_state = 5, .external_lex_state = 3},
  [2407] = {.lex_state = 5, .external_lex_state = 4},
  [2408] = {.lex_state = 5, .external_lex_state = 4},
  [2409] = {.lex_state = 5, .external_lex_state = 4},
  [2410] = {.lex_state = 5, .external_lex_state = 3},
  [2411] = {.lex_state = 5, .external_lex_state = 3},
  [2412] = {.lex_state = 5, .external_lex_state = 4},
  [2413] = {.lex_state = 5, .external_lex_state = 4},
  [2414] = {.lex_state = 5, .external_lex_state = 4},
  [2415] = {.lex_state = 5, .external_lex_state = 3},
  [2416] = {.lex_state = 5, .external_lex_state = 4},
  [2417] = {.lex_state = 5, .external_lex_state = 4},
  [2418] = {.lex_state = 5, .external_lex_state = 4},
  [2419] = {.lex_state = 5, .external_lex_state = 4},
  [2420] = {.lex_state = 5, .external_lex_state = 4},
  [2421] = {.lex_state = 5, .external_lex_state = 3},
  [2422] = {.lex_state = 5, .external_lex_state = 4},
  [2423] = {.lex_state = 5, .external_lex_state = 4},
  [2424] = {.lex_state = 5, .external_lex_state = 4},
  [2425] = {.lex_state = 5, .external_lex_state = 4},
  [2426] = {.lex_state = 5, .external_lex_state = 4},
  [2427] = {.lex_state = 5, .external_lex_state = 4},
  [2428] = {.lex_state = 9, .external_lex_state = 2},
  [2429] = {.lex_state = 5, .external_lex_state = 4},
  [2430] = {.lex_state = 5, .external_lex_state = 4},
  [2431] = {.lex_state = 5, .external_lex_state = 4},
  [2432] = {.lex_state = 5, .external_lex_state = 3},
  [2433] = {.lex_state = 5, .external_lex_state = 3},
  [2434] = {.lex_state = 5, .external_lex_state = 3},
  [2435] = {.lex_state = 5, .external_lex_state = 3},
  [2436] = {.lex_state = 5, .external_lex_state = 4},
  [2437] = {.lex_state = 5, .external_lex_state = 4},
  [2438] = {.lex_state = 9, .external_lex_state = 2},
  [2439] = {.lex_state = 77, .external_lex_state = 2},
  [2440] = {.lex_state = 5, .external_lex_state = 4},
  [2441] = {.lex_state = 5, .external_lex_state = 3},
  [2442] = {.lex_state = 5, .external_lex_state = 3},
  [2443] = {.lex_state = 5, .external_lex_state = 4},
  [2444] = {.lex_state = 5, .external_lex_state = 4},
  [2445] = {.lex_state = 5, .external_lex_state = 4},
  [2446] = {.lex_state = 5, .external_lex_state = 4},
  [2447] = {.lex_state = 5, .external_lex_state = 4},
  [2448] = {.lex_state = 5, .external_lex_state = 4},
  [2449] = {.lex_state = 5, .external_lex_state = 4},
  [2450] = {.lex_state = 5, .external_lex_state = 4},
  [2451] = {.lex_state = 5, .external_lex_state = 4},
  [2452] = {.lex_state = 5, .external_lex_state = 4},
  [2453] = {.lex_state = 5, .external_lex_state = 4},
  [2454] = {.lex_state = 5, .external_lex_state = 4},
  [2455] = {.lex_state = 5, .external_lex_state = 4},
  [2456] = {.lex_state = 9, .external_lex_state = 2},
  [2457] = {.lex_state = 5, .external_lex_state = 4},
  [2458] = {.lex_state = 5, .external_lex_state = 4},
  [2459] = {.lex_state = 5, .external_lex_state = 3},
  [2460] = {.lex_state = 5, .external_lex_state = 4},
  [2461] = {.lex_state = 5, .external_lex_state = 3},
  [2462] = {.lex_state = 5, .external_lex_state = 3},
  [2463] = {.lex_state = 5, .external_lex_state = 3},
  [2464] = {.lex_state = 5, .external_lex_state = 3},
  [2465] = {.lex_state = 5, .external_lex_state = 3},
  [2466] = {.lex_state = 5, .external_lex_state = 4},
  [2467] = {.lex_state = 5, .external_lex_state = 4},
  [2468] = {.lex_state = 5, .external_lex_state = 4},
  [2469] = {.lex_state = 5, .external_lex_state = 4},
  [2470] = {.lex_state = 6, .external_lex_state = 4},
  [2471] = {.lex_state = 5, .external_lex_state = 4},
  [2472] = {.lex_state = 5, .external_lex_state = 4},
  [2473] = {.lex_state = 5, .external_lex_state = 3},
  [2474] = {.lex_state = 5, .external_lex_state = 4},
  [2475] = {.lex_state = 5, .external_lex_state = 4},
  [2476] = {.lex_state = 5, .external_lex_state = 4},
  [2477] = {.lex_state = 5, .external_lex_state = 4},
  [2478] = {.lex_state = 5, .external_lex_state = 4},
  [2479] = {.lex_state = 9, .external_lex_state = 2},
  [2480] = {.lex_state = 5, .external_lex_state = 4},
  [2481] = {.lex_state = 5, .external_lex_state = 4},
  [2482] = {.lex_state = 5, .external_lex_state = 4},
  [2483] = {.lex_state = 5, .external_lex_state = 4},
  [2484] = {.lex_state = 5, .external_lex_state = 4},
  [2485] = {.lex_state = 5, .external_lex_state = 3},
  [2486] = {.lex_state = 5, .external_lex_state = 3},
  [2487] = {.lex_state = 5, .external_lex_state = 4},
  [2488] = {.lex_state = 5, .external_lex_state = 4},
  [2489] = {.lex_state = 5, .external_lex_state = 3},
  [2490] = {.lex_state = 5, .external_lex_state = 3},
  [2491] = {.lex_state = 5, .external_lex_state = 3},
  [2492] = {.lex_state = 9, .external_lex_state = 2},
  [2493] = {.lex_state = 5, .external_lex_state = 3},
  [2494] = {.lex_state = 5, .external_lex_state = 4},
  [2495] = {.lex_state = 5, .external_lex_state = 3},
  [2496] = {.lex_state = 5, .external_lex_state = 4},
  [2497] = {.lex_state = 9, .external_lex_state = 2},
  [2498] = {.lex_state = 77, .external_lex_state = 2},
  [2499] = {.lex_state = 5, .external_lex_state = 3},
  [2500] = {.lex_state = 5, .external_lex_state = 3},
  [2501] = {.lex_state = 5, .external_lex_state = 4},
  [2502] = {.lex_state = 5, .external_lex_state = 4},
  [2503] = {.lex_state = 5, .external_lex_state = 4},
  [2504] = {.lex_state = 5, .external_lex_state = 4},
  [2505] = {.lex_state = 5, .external_lex_state = 4},
  [2506] = {.lex_state = 5, .external_lex_state = 4},
  [2507] = {.lex_state = 9, .external_lex_state = 2},
  [2508] = {.lex_state = 5, .external_lex_state = 3},
  [2509] = {.lex_state = 5, .external_lex_state = 4},
  [2510] = {.lex_state = 5, .external_lex_state = 4},
  [2511] = {.lex_state = 5, .external_lex_state = 4},
  [2512] = {.lex_state = 5, .external_lex_state = 3},
  [2513] = {.lex_state = 5, .external_lex_state = 4},
  [2514] = {.lex_state = 5, .external_lex_state = 4},
  [2515] = {.lex_state = 5, .external_lex_state = 4},
  [2516] = {.lex_state = 5, .external_lex_state = 3},
  [2517] = {.lex_state = 5, .external_lex_state = 4},
  [2518] = {.lex_state = 5, .external_lex_state = 3},
  [2519] = {.lex_state = 5, .external_lex_state = 4},
  [2520] = {.lex_state = 5, .external_lex_state = 4},
  [2521] = {.lex_state = 5, .external_lex_state = 4},
  [2522] = {.lex_state = 5, .external_lex_state = 4},
  [2523] = {.lex_state = 5, .external_lex_state = 4},
  [2524] = {.lex_state = 5, .external_lex_state = 4},
  [2525] = {.lex_state = 5, .external_lex_state = 4},
  [2526] = {.lex_state = 5, .external_lex_state = 4},
  [2527] = {.lex_state = 5, .external_lex_state = 4},
  [2528] = {.lex_state = 5, .external_lex_state = 4},
  [2529] = {.lex_state = 5, .external_lex_state = 4},
  [2530] = {.lex_state = 5, .external_lex_state = 4},
  [2531] = {.lex_state = 5, .external_lex_state = 4},
  [2532] = {.lex_state = 5, .external_lex_state = 4},
  [2533] = {.lex_state = 5, .external_lex_state = 4},
  [2534] = {.lex_state = 5, .external_lex_state = 4},
  [2535] = {.lex_state = 5, .external_lex_state = 4},
  [2536] = {.lex_state = 5, .external_lex_state = 4},
  [2537] = {.lex_state = 5, .external_lex_state = 4},
  [2538] = {.lex_state = 5, .external_lex_state = 4},
  [2539] = {.lex_state = 5, .external_lex_state = 3},
  [2540] = {.lex_state = 5, .external_lex_state = 4},
  [2541] = {.lex_state = 5, .external_lex_state = 3},
  [2542] = {.lex_state = 5, .external_lex_state = 3},
  [2543] = {.lex_state = 5, .external_lex_state = 3},
  [2544] = {.lex_state = 5, .external_lex_state = 3},
  [2545] = {.lex_state = 5, .external_lex_state = 3},
  [2546] = {.lex_state = 5, .external_lex_state = 3},
  [2547] = {.lex_state = 5, .external_lex_state = 3},
  [2548] = {.lex_state = 5, .external_lex_state = 3},
  [2549] = {.lex_state = 9, .external_lex_state = 2},
  [2550] = {.lex_state = 5, .external_lex_state = 3},
  [2551] = {.lex_state = 5, .external_lex_state = 3},
  [2552] = {.lex_state = 5, .external_lex_state = 4},
  [2553] = {.lex_state = 9, .external_lex_state = 2},
  [2554] = {.lex_state = 9, .external_lex_state = 2},
  [2555] = {.lex_state = 5, .external_lex_state = 3},
  [2556] = {.lex_state = 9, .external_lex_state = 2},
  [2557] = {.lex_state = 5, .external_lex_state = 3},
  [2558] = {.lex_state = 5, .external_lex_state = 3},
  [2559] = {.lex_state = 5, .external_lex_state = 3},
  [2560] = {.lex_state = 5, .external_lex_state = 3},
  [2561] = {.lex_state = 5, .external_lex_state = 4},
  [2562] = {.lex_state = 5, .external_lex_state = 4},
  [2563] = {.lex_state = 9, .external_lex_state = 2},
  [2564] = {.lex_state = 5, .external_lex_state = 3},
  [2565] = {.lex_state = 5, .external_lex_state = 4},
  [2566] = {.lex_state = 5, .external_lex_state = 4},
  [2567] = {.lex_state = 5, .external_lex_state = 3},
  [2568] = {.lex_state = 5, .external_lex_state = 3},
  [2569] = {.lex_state = 5, .external_lex_state = 3},
  [2570] = {.lex_state = 5, .external_lex_state = 3},
  [2571] = {.lex_state = 5, .external_lex_state = 3},
  [2572] = {.lex_state = 5, .external_lex_state = 3},
  [2573] = {.lex_state = 9, .external_lex_state = 2},
  [2574] = {.lex_state = 5, .external_lex_state = 3},
  [2575] = {.lex_state = 5, .external_lex_state = 3},
  [2576] = {.lex_state = 5, .external_lex_state = 4},
  [2577] = {.lex_state = 5, .external_lex_state = 3},
  [2578] = {.lex_state = 5, .external_lex_state = 3},
  [2579] = {.lex_state = 9, .external_lex_state = 2},
  [2580] = {.lex_state = 5, .external_lex_state = 4},
  [2581] = {.lex_state = 5, .external_lex_state = 4},
  [2582] = {.lex_state = 5, .external_lex_state = 4},
  [2583] = {.lex_state = 5, .external_lex_state = 4},
  [2584] = {.lex_state = 9, .external_lex_state = 2},
  [2585] = {.lex_state = 5, .external_lex_state = 3},
  [2586] = {.lex_state = 9, .external_lex_state = 2},
  [2587] = {.lex_state = 5, .external_lex_state = 3},
  [2588] = {.lex_state = 9, .external_lex_state = 2},
  [2589] = {.lex_state = 9, .external_lex_state = 2},
  [2590] = {.lex_state = 9, .external_lex_state = 2},
  [2591] = {.lex_state = 5, .external_lex_state = 3},
  [2592] = {.lex_state = 5, .external_lex_state = 3},
  [2593] = {.lex_state = 9, .external_lex_state = 2},
  [2594] = {.lex_state = 5, .external_lex_state = 3},
  [2595] = {.lex_state = 5, .external_lex_state = 3},
  [2596] = {.lex_state = 5, .external_lex_state = 3},
  [2597] = {.lex_state = 5, .external_lex_state = 3},
  [2598] = {.lex_state = 5, .external_lex_state = 3},
  [2599] = {.lex_state = 5, .external_lex_state = 4},
  [2600] = {.lex_state = 5, .external_lex_state = 3},
  [2601] = {.lex_state = 5, .external_lex_state = 3},
  [2602] = {.lex_state = 5, .external_lex_state = 4},
  [2603] = {.lex_state = 9, .external_lex_state = 2},
  [2604] = {.lex_state = 5, .external_lex_state = 4},
  [2605] = {.lex_state = 5, .external_lex_state = 3},
  [2606] = {.lex_state = 9, .external_lex_state = 2},
  [2607] = {.lex_state = 9, .external_lex_state = 2},
  [2608] = {.lex_state = 9, .external_lex_state = 2},
  [2609] = {.lex_state = 9, .external_lex_state = 2},
  [2610] = {.lex_state = 9, .external_lex_state = 2},
  [2611] = {.lex_state = 5, .external_lex_state = 4},
  [2612] = {.lex_state = 5, .external_lex_state = 3},
  [2613] = {.lex_state = 5, .external_lex_state = 3},
  [2614] = {.lex_state = 5, .external_lex_state = 3},
  [2615] = {.lex_state = 77, .external_lex_state = 2},
  [2616] = {.lex_state = 5, .external_lex_state = 3},
  [2617] = {.lex_state = 5, .external_lex_state = 3},
  [2618] = {.lex_state = 5, .external_lex_state = 3},
  [2619] = {.lex_state = 5, .external_lex_state = 3},
  [2620] = {.lex_state = 5, .external_lex_state = 4},
  [2621] = {.lex_state = 5, .external_lex_state = 4},
  [2622] = {.lex_state = 5, .external_lex_state = 3},
  [2623] = {.lex_state = 5, .external_lex_state = 4},
  [2624] = {.lex_state = 5, .external_lex_state = 3},
  [2625] = {.lex_state = 5, .external_lex_state = 3},
  [2626] = {.lex_state = 5, .external_lex_state = 4},
  [2627] = {.lex_state = 77, .external_lex_state = 2},
  [2628] = {.lex_state = 77, .external_lex_state = 2},
  [2629] = {.lex_state = 6, .external_lex_state = 3},
  [2630] = {.lex_state = 9, .external_lex_state = 2},
  [2631] = {.lex_state = 5, .external_lex_state = 4},
  [2632] = {.lex_state = 77, .external_lex_state = 2},
  [2633] = {.lex_state = 5, .external_lex_state = 4},
  [2634] = {.lex_state = 5, .external_lex_state = 4},
  [2635] = {.lex_state = 77, .external_lex_state = 2},
  [2636] = {.lex_state = 77, .external_lex_state = 2},
  [2637] = {.lex_state = 77, .external_lex_state = 2},
  [2638] = {.lex_state = 77, .external_lex_state = 2},
  [2639] = {.lex_state = 5, .external_lex_state = 3},
  [2640] = {.lex_state = 5, .external_lex_state = 4},
  [2641] = {.lex_state = 5, .external_lex_state = 3},
  [2642] = {.lex_state = 77, .external_lex_state = 2},
  [2643] = {.lex_state = 77, .external_lex_state = 2},
  [2644] = {.lex_state = 9, .external_lex_state = 2},
  [2645] = {.lex_state = 5, .external_lex_state = 4},
  [2646] = {.lex_state = 77, .external_lex_state = 2},
  [2647] = {.lex_state = 5, .external_lex_state = 4},
  [2648] = {.lex_state = 77, .external_lex_state = 2},
  [2649] = {.lex_state = 77, .external_lex_state = 2},
  [2650] = {.lex_state = 9, .external_lex_state = 2},
  [2651] = {.lex_state = 9, .external_lex_state = 2},
  [2652] = {.lex_state = 77, .external_lex_state = 2},
  [2653] = {.lex_state = 77, .external_lex_state = 2},
  [2654] = {.lex_state = 5, .external_lex_state = 3},
  [2655] = {.lex_state = 5, .external_lex_state = 3},
  [2656] = {.lex_state = 5, .external_lex_state = 3},
  [2657] = {.lex_state = 5, .external_lex_state = 3},
  [2658] = {.lex_state = 5, .external_lex_state = 3},
  [2659] = {.lex_state = 5, .external_lex_state = 3},
  [2660] = {.lex_state = 5, .external_lex_state = 3},
  [2661] = {.lex_state = 5, .external_lex_state = 3},
  [2662] = {.lex_state = 5, .external_lex_state = 3},
  [2663] = {.lex_state = 5, .external_lex_state = 3},
  [2664] = {.lex_state = 5, .external_lex_state = 3},
  [2665] = {.lex_state = 5, .external_lex_state = 3},
  [2666] = {.lex_state = 5, .external_lex_state = 3},
  [2667] = {.lex_state = 5, .external_lex_state = 3},
  [2668] = {.lex_state = 5, .external_lex_state = 3},
  [2669] = {.lex_state = 5, .external_lex_state = 3},
  [2670] = {.lex_state = 5, .external_lex_state = 3},
  [2671] = {.lex_state = 5, .external_lex_state = 3},
  [2672] = {.lex_state = 5, .external_lex_state = 3},
  [2673] = {.lex_state = 5, .external_lex_state = 3},
  [2674] = {.lex_state = 5, .external_lex_state = 3},
  [2675] = {.lex_state = 5, .external_lex_state = 3},
  [2676] = {.lex_state = 5, .external_lex_state = 3},
  [2677] = {.lex_state = 5, .external_lex_state = 3},
  [2678] = {.lex_state = 5, .external_lex_state = 3},
  [2679] = {.lex_state = 5, .external_lex_state = 3},
  [2680] = {.lex_state = 5, .external_lex_state = 3},
  [2681] = {.lex_state = 5, .external_lex_state = 3},
  [2682] = {.lex_state = 5, .external_lex_state = 3},
  [2683] = {.lex_state = 5, .external_lex_state = 3},
  [2684] = {.lex_state = 5, .external_lex_state = 3},
  [2685] = {.lex_state = 5, .external_lex_state = 3},
  [2686] = {.lex_state = 5, .external_lex_state = 3},
  [2687] = {.lex_state = 5, .external_lex_state = 3},
  [2688] = {.lex_state = 5, .external_lex_state = 3},
  [2689] = {.lex_state = 5, .external_lex_state = 3},
  [2690] = {.lex_state = 5, .external_lex_state = 3},
  [2691] = {.lex_state = 5, .external_lex_state = 3},
  [2692] = {.lex_state = 5, .external_lex_state = 3},
  [2693] = {.lex_state = 5, .external_lex_state = 3},
  [2694] = {.lex_state = 5, .external_lex_state = 3},
  [2695] = {.lex_state = 5, .external_lex_state = 3},
  [2696] = {.lex_state = 5, .external_lex_state = 3},
  [2697] = {.lex_state = 5, .external_lex_state = 3},
  [2698] = {.lex_state = 5, .external_lex_state = 3},
  [2699] = {.lex_state = 5, .external_lex_state = 3},
  [2700] = {.lex_state = 5, .external_lex_state = 3},
  [2701] = {.lex_state = 5, .external_lex_state = 3},
  [2702] = {.lex_state = 5, .external_lex_state = 3},
  [2703] = {.lex_state = 5, .external_lex_state = 3},
  [2704] = {.lex_state = 5, .external_lex_state = 3},
  [2705] = {.lex_state = 5, .external_lex_state = 3},
  [2706] = {.lex_state = 5, .external_lex_state = 3},
  [2707] = {.lex_state = 5, .external_lex_state = 4},
  [2708] = {.lex_state = 5, .external_lex_state = 3},
  [2709] = {.lex_state = 5, .external_lex_state = 3},
  [2710] = {.lex_state = 5, .external_lex_state = 3},
  [2711] = {.lex_state = 5, .external_lex_state = 3},
  [2712] = {.lex_state = 5, .external_lex_state = 3},
  [2713] = {.lex_state = 5, .external_lex_state = 3},
  [2714] = {.lex_state = 5, .external_lex_state = 3},
  [2715] = {.lex_state = 5, .external_lex_state = 3},
  [2716] = {.lex_state = 5, .external_lex_state = 3},
  [2717] = {.lex_state = 5, .external_lex_state = 3},
  [2718] = {.lex_state = 5, .external_lex_state = 3},
  [2719] = {.lex_state = 5, .external_lex_state = 3},
  [2720] = {.lex_state = 5, .external_lex_state = 3},
  [2721] = {.lex_state = 5, .external_lex_state = 3},
  [2722] = {.lex_state = 5, .external_lex_state = 3},
  [2723] = {.lex_state = 5, .external_lex_state = 3},
  [2724] = {.lex_state = 5, .external_lex_state = 3},
  [2725] = {.lex_state = 5, .external_lex_state = 3},
  [2726] = {.lex_state = 5, .external_lex_state = 3},
  [2727] = {.lex_state = 5, .external_lex_state = 3},
  [2728] = {.lex_state = 5, .external_lex_state = 3},
  [2729] = {.lex_state = 5, .external_lex_state = 3},
  [2730] = {.lex_state = 5, .external_lex_state = 3},
  [2731] = {.lex_state = 5, .external_lex_state = 3},
  [2732] = {.lex_state = 5, .external_lex_state = 3},
  [2733] = {.lex_state = 5, .external_lex_state = 3},
  [2734] = {.lex_state = 5, .external_lex_state = 3},
  [2735] = {.lex_state = 5, .external_lex_state = 3},
  [2736] = {.lex_state = 77, .external_lex_state = 2},
  [2737] = {.lex_state = 77, .external_lex_state = 2},
  [2738] = {.lex_state = 5, .external_lex_state = 3},
  [2739] = {.lex_state = 5, .external_lex_state = 3},
  [2740] = {.lex_state = 5, .external_lex_state = 3},
  [2741] = {.lex_state = 5, .external_lex_state = 4},
  [2742] = {.lex_state = 5, .external_lex_state = 3},
  [2743] = {.lex_state = 77, .external_lex_state = 2},
  [2744] = {.lex_state = 5, .external_lex_state = 4},
  [2745] = {.lex_state = 5, .external_lex_state = 3},
  [2746] = {.lex_state = 5, .external_lex_state = 3},
  [2747] = {.lex_state = 5, .external_lex_state = 3},
  [2748] = {.lex_state = 5, .external_lex_state = 3},
  [2749] = {.lex_state = 9, .external_lex_state = 2},
  [2750] = {.lex_state = 5, .external_lex_state = 4},
  [2751] = {.lex_state = 5, .external_lex_state = 3},
  [2752] = {.lex_state = 5, .external_lex_state = 3},
  [2753] = {.lex_state = 5, .external_lex_state = 3},
  [2754] = {.lex_state = 5, .external_lex_state = 3},
  [2755] = {.lex_state = 5, .external_lex_state = 3},
  [2756] = {.lex_state = 5, .external_lex_state = 3},
  [2757] = {.lex_state = 5, .external_lex_state = 3},
  [2758] = {.lex_state = 5, .external_lex_state = 3},
  [2759] = {.lex_state = 5, .external_lex_state = 3},
  [2760] = {.lex_state = 5, .external_lex_state = 3},
  [2761] = {.lex_state = 5, .external_lex_state = 3},
  [2762] = {.lex_state = 5, .external_lex_state = 3},
  [2763] = {.lex_state = 5, .external_lex_state = 3},
  [2764] = {.lex_state = 5, .external_lex_state = 3},
  [2765] = {.lex_state = 5, .external_lex_state = 3},
  [2766] = {.lex_state = 9, .external_lex_state = 2},
  [2767] = {.lex_state = 5, .external_lex_state = 3},
  [2768] = {.lex_state = 5, .external_lex_state = 3},
  [2769] = {.lex_state = 5, .external_lex_state = 3},
  [2770] = {.lex_state = 5, .external_lex_state = 3},
  [2771] = {.lex_state = 5, .external_lex_state = 3},
  [2772] = {.lex_state = 9, .external_lex_state = 2},
  [2773] = {.lex_state = 9, .external_lex_state = 2},
  [2774] = {.lex_state = 5, .external_lex_state = 3},
  [2775] = {.lex_state = 9, .external_lex_state = 2},
  [2776] = {.lex_state = 9, .external_lex_state = 2},
  [2777] = {.lex_state = 5, .external_lex_state = 3},
  [2778] = {.lex_state = 9, .external_lex_state = 2},
  [2779] = {.lex_state = 5, .external_lex_state = 3},
  [2780] = {.lex_state = 9, .external_lex_state = 2},
  [2781] = {.lex_state = 5, .external_lex_state = 3},
  [2782] = {.lex_state = 9, .external_lex_state = 2},
  [2783] = {.lex_state = 9, .external_lex_state = 2},
  [2784] = {.lex_state = 5, .external_lex_state = 3},
  [2785] = {.lex_state = 9, .external_lex_state = 2},
  [2786] = {.lex_state = 5, .external_lex_state = 3},
  [2787] = {.lex_state = 9, .external_lex_state = 2},
  [2788] = {.lex_state = 9, .external_lex_state = 2},
  [2789] = {.lex_state = 5, .external_lex_state = 3},
  [2790] = {.lex_state = 5, .external_lex_state = 3},
  [2791] = {.lex_state = 5, .external_lex_state = 3},
  [2792] = {.lex_state = 9, .external_lex_state = 2},
  [2793] = {.lex_state = 5, .external_lex_state = 3},
  [2794] = {.lex_state = 9, .external_lex_state = 2},
  [2795] = {.lex_state = 9, .external_lex_state = 2},
  [2796] = {.lex_state = 5, .external_lex_state = 3},
  [2797] = {.lex_state = 4, .external_lex_state = 2},
  [2798] = {.lex_state = 5, .external_lex_state = 3},
  [2799] = {.lex_state = 5, .external_lex_state = 3},
  [2800] = {.lex_state = 5, .external_lex_state = 3},
  [2801] = {.lex_state = 5, .external_lex_state = 3},
  [2802] = {.lex_state = 5, .external_lex_state = 3},
  [2803] = {.lex_state = 4, .external_lex_state = 2},
  [2804] = {.lex_state = 5, .external_lex_state = 3},
  [2805] = {.lex_state = 5, .external_lex_state = 3},
  [2806] = {.lex_state = 5, .external_lex_state = 3},
  [2807] = {.lex_state = 5, .external_lex_state = 3},
  [2808] = {.lex_state = 9, .external_lex_state = 2},
  [2809] = {.lex_state = 5, .external_lex_state = 3},
  [2810] = {.lex_state = 9, .external_lex_state = 2},
  [2811] = {.lex_state = 5, .external_lex_state = 3},
  [2812] = {.lex_state = 9, .external_lex_state = 2},
  [2813] = {.lex_state = 5, .external_lex_state = 3},
  [2814] = {.lex_state = 5, .external_lex_state = 3},
  [2815] = {.lex_state = 5, .external_lex_state = 3},
  [2816] = {.lex_state = 77, .external_lex_state = 2},
  [2817] = {.lex_state = 4, .external_lex_state = 2},
  [2818] = {.lex_state = 5, .external_lex_state = 3},
  [2819] = {.lex_state = 5, .external_lex_state = 3},
  [2820] = {.lex_state = 4, .external_lex_state = 2},
  [2821] = {.lex_state = 5, .external_lex_state = 3},
  [2822] = {.lex_state = 5, .external_lex_state = 3},
  [2823] = {.lex_state = 5, .external_lex_state = 3},
  [2824] = {.lex_state = 5, .external_lex_state = 3},
  [2825] = {.lex_state = 9, .external_lex_state = 2},
  [2826] = {.lex_state = 5, .external_lex_state = 3},
  [2827] = {.lex_state = 5, .external_lex_state = 3},
  [2828] = {.lex_state = 5, .external_lex_state = 3},
  [2829] = {.lex_state = 5, .external_lex_state = 3},
  [2830] = {.lex_state = 5, .external_lex_state = 3},
  [2831] = {.lex_state = 5, .external_lex_state = 3},
  [2832] = {.lex_state = 5, .external_lex_state = 3},
  [2833] = {.lex_state = 9, .external_lex_state = 2},
  [2834] = {.lex_state = 9, .external_lex_state = 2},
  [2835] = {.lex_state = 5, .external_lex_state = 3},
  [2836] = {.lex_state = 9, .external_lex_state = 2},
  [2837] = {.lex_state = 9, .external_lex_state = 2},
  [2838] = {.lex_state = 5, .external_lex_state = 3},
  [2839] = {.lex_state = 9, .external_lex_state = 2},
  [2840] = {.lex_state = 9, .external_lex_state = 2},
  [2841] = {.lex_state = 5, .external_lex_state = 3},
  [2842] = {.lex_state = 9, .external_lex_state = 2},
  [2843] = {.lex_state = 5, .external_lex_state = 3},
  [2844] = {.lex_state = 77, .external_lex_state = 2},
  [2845] = {.lex_state = 5, .external_lex_state = 3},
  [2846] = {.lex_state = 5, .external_lex_state = 4},
  [2847] = {.lex_state = 5, .external_lex_state = 3},
  [2848] = {.lex_state = 5, .external_lex_state = 3},
  [2849] = {.lex_state = 5, .external_lex_state = 3},
  [2850] = {.lex_state = 5, .external_lex_state = 3},
  [2851] = {.lex_state = 9, .external_lex_state = 2},
  [2852] = {.lex_state = 5, .external_lex_state = 3},
  [2853] = {.lex_state = 5, .external_lex_state = 3},
  [2854] = {.lex_state = 5, .external_lex_state = 3},
  [2855] = {.lex_state = 5, .external_lex_state = 3},
  [2856] = {.lex_state = 77, .external_lex_state = 2},
  [2857] = {.lex_state = 77, .external_lex_state = 5},
  [2858] = {.lex_state = 77, .external_lex_state = 2},
  [2859] = {.lex_state = 77, .external_lex_state = 2},
  [2860] = {.lex_state = 77, .external_lex_state = 2},
  [2861] = {.lex_state = 77, .external_lex_state = 2},
  [2862] = {.lex_state = 77, .external_lex_state = 2},
  [2863] = {.lex_state = 5, .external_lex_state = 3},
  [2864] = {.lex_state = 77, .external_lex_state = 2},
  [2865] = {.lex_state = 77, .external_lex_state = 2},
  [2866] = {.lex_state = 77, .external_lex_state = 2},
  [2867] = {.lex_state = 77, .external_lex_state = 2},
  [2868] = {.lex_state = 77, .external_lex_state = 2},
  [2869] = {.lex_state = 77, .external_lex_state = 2},
  [2870] = {.lex_state = 77, .external_lex_state = 2},
  [2871] = {.lex_state = 77, .external_lex_state = 2},
  [2872] = {.lex_state = 77, .external_lex_state = 5},
  [2873] = {.lex_state = 77, .external_lex_state = 2},
  [2874] = {.lex_state = 77, .external_lex_state = 2},
  [2875] = {.lex_state = 77, .external_lex_state = 2},
  [2876] = {.lex_state = 77, .external_lex_state = 2},
  [2877] = {.lex_state = 77, .external_lex_state = 2},
  [2878] = {.lex_state = 77, .external_lex_state = 2},
  [2879] = {.lex_state = 77, .external_lex_state = 2},
  [2880] = {.lex_state = 77, .external_lex_state = 5},
  [2881] = {.lex_state = 77, .external_lex_state = 2},
  [2882] = {.lex_state = 77, .external_lex_state = 2},
  [2883] = {.lex_state = 77, .external_lex_state = 2},
  [2884] = {.lex_state = 77, .external_lex_state = 2},
  [2885] = {.lex_state = 77, .external_lex_state = 2},
  [2886] = {.lex_state = 77, .external_lex_state = 2},
  [2887] = {.lex_state = 5, .external_lex_state = 3},
  [2888] = {.lex_state = 77, .external_lex_state = 2},
  [2889] = {.lex_state = 77, .external_lex_state = 5},
  [2890] = {.lex_state = 77, .external_lex_state = 2},
  [2891] = {.lex_state = 77, .external_lex_state = 2},
  [2892] = {.lex_state = 77, .external_lex_state = 2},
  [2893] = {.lex_state = 77, .external_lex_state = 2},
  [2894] = {.lex_state = 77, .external_lex_state = 2},
  [2895] = {.lex_state = 77, .external_lex_state = 2},
  [2896] = {.lex_state = 77, .external_lex_state = 2},
  [2897] = {.lex_state = 77, .external_lex_state = 2},
  [2898] = {.lex_state = 9, .external_lex_state = 2},
  [2899] = {.lex_state = 77, .external_lex_state = 2},
  [2900] = {.lex_state = 77, .external_lex_state = 2},
  [2901] = {.lex_state = 77, .external_lex_state = 2},
  [2902] = {.lex_state = 77, .external_lex_state = 2},
  [2903] = {.lex_state = 77, .external_lex_state = 2},
  [2904] = {.lex_state = 5, .external_lex_state = 3},
  [2905] = {.lex_state = 77, .external_lex_state = 2},
  [2906] = {.lex_state = 77, .external_lex_state = 2},
  [2907] = {.lex_state = 77, .external_lex_state = 2},
  [2908] = {.lex_state = 77, .external_lex_state = 2},
  [2909] = {.lex_state = 77, .external_lex_state = 2},
  [2910] = {.lex_state = 77, .external_lex_state = 2},
  [2911] = {.lex_state = 77, .external_lex_state = 2},
  [2912] = {.lex_state = 77, .external_lex_state = 2},
  [2913] = {.lex_state = 77, .external_lex_state = 2},
  [2914] = {.lex_state = 5, .external_lex_state = 3},
  [2915] = {.lex_state = 5, .external_lex_state = 3},
  [2916] = {.lex_state = 77, .external_lex_state = 2},
  [2917] = {.lex_state = 77, .external_lex_state = 2},
  [2918] = {.lex_state = 77, .external_lex_state = 2},
  [2919] = {.lex_state = 77, .external_lex_state = 5},
  [2920] = {.lex_state = 77, .external_lex_state = 2},
  [2921] = {.lex_state = 6, .external_lex_state = 3},
  [2922] = {.lex_state = 77, .external_lex_state = 2},
  [2923] = {.lex_state = 77, .external_lex_state = 5},
  [2924] = {.lex_state = 77, .external_lex_state = 2},
  [2925] = {.lex_state = 77, .external_lex_state = 2},
  [2926] = {.lex_state = 77, .external_lex_state = 2},
  [2927] = {.lex_state = 77, .external_lex_state = 2},
  [2928] = {.lex_state = 77, .external_lex_state = 2},
  [2929] = {.lex_state = 77, .external_lex_state = 2},
  [2930] = {.lex_state = 77, .external_lex_state = 2},
  [2931] = {.lex_state = 77, .external_lex_state = 2},
  [2932] = {.lex_state = 77, .external_lex_state = 2},
  [2933] = {.lex_state = 77, .external_lex_state = 2},
  [2934] = {.lex_state = 77, .external_lex_state = 2},
  [2935] = {.lex_state = 77, .external_lex_state = 2},
  [2936] = {.lex_state = 77, .external_lex_state = 2},
  [2937] = {.lex_state = 77, .external_lex_state = 5},
  [2938] = {.lex_state = 77, .external_lex_state = 5},
  [2939] = {.lex_state = 5, .external_lex_state = 3},
  [2940] = {.lex_state = 77, .external_lex_state = 2},
  [2941] = {.lex_state = 77, .external_lex_state = 5},
  [2942] = {.lex_state = 77, .external_lex_state = 2},
  [2943] = {.lex_state = 77, .external_lex_state = 2},
  [2944] = {.lex_state = 77, .external_lex_state = 2},
  [2945] = {.lex_state = 9, .external_lex_state = 2},
  [2946] = {.lex_state = 77, .external_lex_state = 2},
  [2947] = {.lex_state = 77, .external_lex_state = 2},
  [2948] = {.lex_state = 77, .external_lex_state = 2},
  [2949] = {.lex_state = 77, .external_lex_state = 2},
  [2950] = {.lex_state = 77, .external_lex_state = 2},
  [2951] = {.lex_state = 5, .external_lex_state = 3},
  [2952] = {.lex_state = 77, .external_lex_state = 2},
  [2953] = {.lex_state = 77, .external_lex_state = 2},
  [2954] = {.lex_state = 77, .external_lex_state = 2},
  [2955] = {.lex_state = 5, .external_lex_state = 3},
  [2956] = {.lex_state = 5, .external_lex_state = 3},
  [2957] = {.lex_state = 77, .external_lex_state = 2},
  [2958] = {.lex_state = 77, .external_lex_state = 2},
  [2959] = {.lex_state = 77, .external_lex_state = 2},
  [2960] = {.lex_state = 77, .external_lex_state = 5},
  [2961] = {.lex_state = 5, .external_lex_state = 3},
  [2962] = {.lex_state = 77, .external_lex_state = 2},
  [2963] = {.lex_state = 77, .external_lex_state = 2},
  [2964] = {.lex_state = 5, .external_lex_state = 3},
  [2965] = {.lex_state = 5, .external_lex_state = 3},
  [2966] = {.lex_state = 5, .external_lex_state = 3},
  [2967] = {.lex_state = 77, .external_lex_state = 5},
  [2968] = {.lex_state = 77, .external_lex_state = 5},
  [2969] = {.lex_state = 77, .external_lex_state = 5},
  [2970] = {.lex_state = 77, .external_lex_state = 5},
  [2971] = {.lex_state = 9, .external_lex_state = 2},
  [2972] = {.lex_state = 77, .external_lex_state = 5},
  [2973] = {.lex_state = 5, .external_lex_state = 3},
  [2974] = {.lex_state = 77, .external_lex_state = 5},
  [2975] = {.lex_state = 77, .external_lex_state = 5},
  [2976] = {.lex_state = 5, .external_lex_state = 3},
  [2977] = {.lex_state = 77, .external_lex_state = 2},
  [2978] = {.lex_state = 77, .external_lex_state = 2},
  [2979] = {.lex_state = 77, .external_lex_state = 2},
  [2980] = {.lex_state = 77, .external_lex_state = 2},
  [2981] = {.lex_state = 77, .external_lex_state = 2},
  [2982] = {.lex_state = 77, .external_lex_state = 2},
  [2983] = {.lex_state = 77, .external_lex_state = 2},
  [2984] = {.lex_state = 77, .external_lex_state = 2},
  [2985] = {.lex_state = 77, .external_lex_state = 2},
  [2986] = {.lex_state = 77, .external_lex_state = 2},
  [2987] = {.lex_state = 77, .external_lex_state = 2},
  [2988] = {.lex_state = 77, .external_lex_state = 2},
  [2989] = {.lex_state = 77, .external_lex_state = 2},
  [2990] = {.lex_state = 77, .external_lex_state = 2},
  [2991] = {.lex_state = 77, .external_lex_state = 2},
  [2992] = {.lex_state = 77, .external_lex_state = 2},
  [2993] = {.lex_state = 77, .external_lex_state = 2},
  [2994] = {.lex_state = 77, .external_lex_state = 2},
  [2995] = {.lex_state = 77, .external_lex_state = 2},
  [2996] = {.lex_state = 77, .external_lex_state = 2},
  [2997] = {.lex_state = 77, .external_lex_state = 2},
  [2998] = {.lex_state = 77, .external_lex_state = 2},
  [2999] = {.lex_state = 77, .external_lex_state = 2},
  [3000] = {.lex_state = 77, .external_lex_state = 2},
  [3001] = {.lex_state = 77, .external_lex_state = 2},
  [3002] = {.lex_state = 77, .external_lex_state = 2},
  [3003] = {.lex_state = 77, .external_lex_state = 2},
  [3004] = {.lex_state = 77, .external_lex_state = 2},
  [3005] = {.lex_state = 77, .external_lex_state = 2},
  [3006] = {.lex_state = 77, .external_lex_state = 2},
  [3007] = {.lex_state = 77, .external_lex_state = 2},
  [3008] = {.lex_state = 77, .external_lex_state = 2},
  [3009] = {.lex_state = 77, .external_lex_state = 2},
  [3010] = {.lex_state = 77, .external_lex_state = 2},
  [3011] = {.lex_state = 77, .external_lex_state = 2},
  [3012] = {.lex_state = 77, .external_lex_state = 2},
  [3013] = {.lex_state = 77, .external_lex_state = 2},
  [3014] = {.lex_state = 77, .external_lex_state = 2},
  [3015] = {.lex_state = 77, .external_lex_state = 2},
  [3016] = {.lex_state = 77, .external_lex_state = 2},
  [3017] = {.lex_state = 77, .external_lex_state = 2},
  [3018] = {.lex_state = 77, .external_lex_state = 2},
  [3019] = {.lex_state = 77, .external_lex_state = 2},
  [3020] = {.lex_state = 77, .external_lex_state = 2},
  [3021] = {.lex_state = 77, .external_lex_state = 2},
  [3022] = {.lex_state = 77, .external_lex_state = 2},
  [3023] = {.lex_state = 77, .external_lex_state = 2},
  [3024] = {.lex_state = 77, .external_lex_state = 2},
  [3025] = {.lex_state = 77, .external_lex_state = 2},
  [3026] = {.lex_state = 77, .external_lex_state = 2},
  [3027] = {.lex_state = 77, .external_lex_state = 2},
  [3028] = {.lex_state = 77, .external_lex_state = 2},
  [3029] = {.lex_state = 77, .external_lex_state = 2},
  [3030] = {.lex_state = 77, .external_lex_state = 2},
  [3031] = {.lex_state = 77, .external_lex_state = 2},
  [3032] = {.lex_state = 77, .external_lex_state = 2},
  [3033] = {.lex_state = 77, .external_lex_state = 2},
  [3034] = {.lex_state = 77, .external_lex_state = 2},
  [3035] = {.lex_state = 77, .external_lex_state = 2},
  [3036] = {.lex_state = 77, .external_lex_state = 2},
  [3037] = {.lex_state = 77, .external_lex_state = 2},
  [3038] = {.lex_state = 77, .external_lex_state = 2},
  [3039] = {.lex_state = 77, .external_lex_state = 2},
  [3040] = {.lex_state = 77, .external_lex_state = 2},
  [3041] = {.lex_state = 5, .external_lex_state = 3},
  [3042] = {.lex_state = 77, .external_lex_state = 2},
  [3043] = {.lex_state = 77, .external_lex_state = 2},
  [3044] = {.lex_state = 77, .external_lex_state = 2},
  [3045] = {.lex_state = 77, .external_lex_state = 2},
  [3046] = {.lex_state = 77, .external_lex_state = 2},
  [3047] = {.lex_state = 77, .external_lex_state = 2},
  [3048] = {.lex_state = 77, .external_lex_state = 2},
  [3049] = {.lex_state = 77, .external_lex_state = 2},
  [3050] = {.lex_state = 77, .external_lex_state = 2},
  [3051] = {.lex_state = 77, .external_lex_state = 2},
  [3052] = {.lex_state = 77, .external_lex_state = 2},
  [3053] = {.lex_state = 77, .external_lex_state = 2},
  [3054] = {.lex_state = 77, .external_lex_state = 2},
  [3055] = {.lex_state = 77, .external_lex_state = 2},
  [3056] = {.lex_state = 77, .external_lex_state = 2},
  [3057] = {.lex_state = 77, .external_lex_state = 2},
  [3058] = {.lex_state = 77, .external_lex_state = 2},
  [3059] = {.lex_state = 77, .external_lex_state = 2},
  [3060] = {.lex_state = 77, .external_lex_state = 2},
  [3061] = {.lex_state = 77, .external_lex_state = 2},
  [3062] = {.lex_state = 77, .external_lex_state = 2},
  [3063] = {.lex_state = 77, .external_lex_state = 2},
  [3064] = {.lex_state = 77, .external_lex_state = 2},
  [3065] = {.lex_state = 77, .external_lex_state = 2},
  [3066] = {.lex_state = 77, .external_lex_state = 2},
  [3067] = {.lex_state = 77, .external_lex_state = 2},
  [3068] = {.lex_state = 77, .external_lex_state = 2},
  [3069] = {.lex_state = 77, .external_lex_state = 2},
  [3070] = {.lex_state = 77, .external_lex_state = 2},
  [3071] = {.lex_state = 77, .external_lex_state = 2},
  [3072] = {.lex_state = 77, .external_lex_state = 2},
  [3073] = {.lex_state = 77, .external_lex_state = 2},
  [3074] = {.lex_state = 77, .external_lex_state = 2},
  [3075] = {.lex_state = 77, .external_lex_state = 2},
  [3076] = {.lex_state = 77, .external_lex_state = 2},
  [3077] = {.lex_state = 77, .external_lex_state = 2},
  [3078] = {.lex_state = 77, .external_lex_state = 2},
  [3079] = {.lex_state = 77, .external_lex_state = 2},
  [3080] = {.lex_state = 77, .external_lex_state = 2},
  [3081] = {.lex_state = 77, .external_lex_state = 2},
  [3082] = {.lex_state = 77, .external_lex_state = 2},
  [3083] = {.lex_state = 77, .external_lex_state = 2},
  [3084] = {.lex_state = 77, .external_lex_state = 2},
  [3085] = {.lex_state = 77, .external_lex_state = 2},
  [3086] = {.lex_state = 77, .external_lex_state = 2},
  [3087] = {.lex_state = 77, .external_lex_state = 2},
  [3088] = {.lex_state = 77, .external_lex_state = 2},
  [3089] = {.lex_state = 77, .external_lex_state = 2},
  [3090] = {.lex_state = 77, .external_lex_state = 2},
  [3091] = {.lex_state = 77, .external_lex_state = 2},
  [3092] = {.lex_state = 77, .external_lex_state = 2},
  [3093] = {.lex_state = 77, .external_lex_state = 2},
  [3094] = {.lex_state = 77, .external_lex_state = 2},
  [3095] = {.lex_state = 77, .external_lex_state = 2},
  [3096] = {.lex_state = 77, .external_lex_state = 2},
  [3097] = {.lex_state = 77, .external_lex_state = 2},
  [3098] = {.lex_state = 77, .external_lex_state = 2},
  [3099] = {.lex_state = 77, .external_lex_state = 2},
  [3100] = {.lex_state = 77, .external_lex_state = 2},
  [3101] = {.lex_state = 77, .external_lex_state = 2},
  [3102] = {.lex_state = 77, .external_lex_state = 2},
  [3103] = {.lex_state = 77, .external_lex_state = 2},
  [3104] = {.lex_state = 77, .external_lex_state = 2},
  [3105] = {.lex_state = 77, .external_lex_state = 2},
  [3106] = {.lex_state = 77, .external_lex_state = 2},
  [3107] = {.lex_state = 77, .external_lex_state = 2},
  [3108] = {.lex_state = 77, .external_lex_state = 2},
  [3109] = {.lex_state = 77, .external_lex_state = 2},
  [3110] = {.lex_state = 77, .external_lex_state = 2},
  [3111] = {.lex_state = 77, .external_lex_state = 2},
  [3112] = {.lex_state = 77, .external_lex_state = 2},
  [3113] = {.lex_state = 77, .external_lex_state = 2},
  [3114] = {.lex_state = 77, .external_lex_state = 2},
  [3115] = {.lex_state = 77, .external_lex_state = 2},
  [3116] = {.lex_state = 77, .external_lex_state = 2},
  [3117] = {.lex_state = 77, .external_lex_state = 2},
  [3118] = {.lex_state = 77, .external_lex_state = 2},
  [3119] = {.lex_state = 77, .external_lex_state = 2},
  [3120] = {.lex_state = 77, .external_lex_state = 2},
  [3121] = {.lex_state = 77, .external_lex_state = 2},
  [3122] = {.lex_state = 77, .external_lex_state = 2},
  [3123] = {.lex_state = 77, .external_lex_state = 2},
  [3124] = {.lex_state = 77, .external_lex_state = 2},
  [3125] = {.lex_state = 77, .external_lex_state = 2},
  [3126] = {.lex_state = 77, .external_lex_state = 2},
  [3127] = {.lex_state = 77, .external_lex_state = 2},
  [3128] = {.lex_state = 77, .external_lex_state = 2},
  [3129] = {.lex_state = 77, .external_lex_state = 2},
  [3130] = {.lex_state = 77, .external_lex_state = 2},
  [3131] = {.lex_state = 77, .external_lex_state = 2},
  [3132] = {.lex_state = 77, .external_lex_state = 2},
  [3133] = {.lex_state = 77, .external_lex_state = 2},
  [3134] = {.lex_state = 77, .external_lex_state = 2},
  [3135] = {.lex_state = 77, .external_lex_state = 2},
  [3136] = {.lex_state = 77, .external_lex_state = 2},
  [3137] = {.lex_state = 77, .external_lex_state = 2},
  [3138] = {.lex_state = 77, .external_lex_state = 2},
  [3139] = {.lex_state = 77, .external_lex_state = 2},
  [3140] = {.lex_state = 77, .external_lex_state = 2},
  [3141] = {.lex_state = 77, .external_lex_state = 2},
  [3142] = {.lex_state = 77, .external_lex_state = 2},
  [3143] = {.lex_state = 77, .external_lex_state = 2},
  [3144] = {.lex_state = 77, .external_lex_state = 2},
  [3145] = {.lex_state = 77, .external_lex_state = 2},
  [3146] = {.lex_state = 77, .external_lex_state = 2},
  [3147] = {.lex_state = 4, .external_lex_state = 2},
  [3148] = {.lex_state = 77, .external_lex_state = 2},
  [3149] = {.lex_state = 77, .external_lex_state = 2},
  [3150] = {.lex_state = 77, .external_lex_state = 2},
  [3151] = {.lex_state = 77, .external_lex_state = 2},
  [3152] = {.lex_state = 77, .external_lex_state = 2},
  [3153] = {.lex_state = 77, .external_lex_state = 2},
  [3154] = {.lex_state = 77, .external_lex_state = 2},
  [3155] = {.lex_state = 77, .external_lex_state = 2},
  [3156] = {.lex_state = 77, .external_lex_state = 2},
  [3157] = {.lex_state = 77, .external_lex_state = 2},
  [3158] = {.lex_state = 77, .external_lex_state = 2},
  [3159] = {.lex_state = 77, .external_lex_state = 2},
  [3160] = {.lex_state = 77, .external_lex_state = 2},
  [3161] = {.lex_state = 77, .external_lex_state = 2},
  [3162] = {.lex_state = 77, .external_lex_state = 2},
  [3163] = {.lex_state = 77, .external_lex_state = 2},
  [3164] = {.lex_state = 77, .external_lex_state = 2},
  [3165] = {.lex_state = 77, .external_lex_state = 2},
  [3166] = {.lex_state = 77, .external_lex_state = 2},
  [3167] = {.lex_state = 77, .external_lex_state = 2},
  [3168] = {.lex_state = 77, .external_lex_state = 2},
  [3169] = {.lex_state = 77, .external_lex_state = 2},
  [3170] = {.lex_state = 77, .external_lex_state = 2},
  [3171] = {.lex_state = 77, .external_lex_state = 5},
  [3172] = {.lex_state = 77, .external_lex_state = 2},
  [3173] = {.lex_state = 77, .external_lex_state = 2},
  [3174] = {.lex_state = 77, .external_lex_state = 2},
  [3175] = {.lex_state = 77, .external_lex_state = 2},
  [3176] = {.lex_state = 4, .external_lex_state = 2},
  [3177] = {.lex_state = 77, .external_lex_state = 2},
  [3178] = {.lex_state = 77, .external_lex_state = 2},
  [3179] = {.lex_state = 4, .external_lex_state = 2},
  [3180] = {.lex_state = 77, .external_lex_state = 2},
  [3181] = {.lex_state = 77, .external_lex_state = 2},
  [3182] = {.lex_state = 77, .external_lex_state = 2},
  [3183] = {.lex_state = 77, .external_lex_state = 2},
  [3184] = {.lex_state = 14, .external_lex_state = 2},
  [3185] = {.lex_state = 14, .external_lex_state = 2},
  [3186] = {.lex_state = 14, .external_lex_state = 2},
  [3187] = {.lex_state = 14, .external_lex_state = 2},
  [3188] = {.lex_state = 14, .external_lex_state = 2},
  [3189] = {.lex_state = 14, .external_lex_state = 2},
  [3190] = {.lex_state = 14, .external_lex_state = 2},
  [3191] = {.lex_state = 14, .external_lex_state = 2},
  [3192] = {.lex_state = 14, .external_lex_state = 2},
  [3193] = {.lex_state = 14, .external_lex_state = 2},
  [3194] = {.lex_state = 14, .external_lex_state = 2},
  [3195] = {.lex_state = 14, .external_lex_state = 2},
  [3196] = {.lex_state = 14, .external_lex_state = 2},
  [3197] = {.lex_state = 14, .external_lex_state = 2},
  [3198] = {.lex_state = 14, .external_lex_state = 2},
  [3199] = {.lex_state = 14, .external_lex_state = 2},
  [3200] = {.lex_state = 14, .external_lex_state = 2},
  [3201] = {.lex_state = 14, .external_lex_state = 2},
  [3202] = {.lex_state = 14, .external_lex_state = 2},
  [3203] = {.lex_state = 14, .external_lex_state = 2},
  [3204] = {.lex_state = 14, .external_lex_state = 2},
  [3205] = {.lex_state = 14, .external_lex_state = 2},
  [3206] = {.lex_state = 14, .external_lex_state = 2},
  [3207] = {.lex_state = 14, .external_lex_state = 2},
  [3208] = {.lex_state = 14, .external_lex_state = 2},
  [3209] = {.lex_state = 14, .external_lex_state = 2},
  [3210] = {.lex_state = 14, .external_lex_state = 2},
  [3211] = {.lex_state = 14, .external_lex_state = 2},
  [3212] = {.lex_state = 14, .external_lex_state = 2},
  [3213] = {.lex_state = 14, .external_lex_state = 2},
  [3214] = {.lex_state = 14, .external_lex_state = 2},
  [3215] = {.lex_state = 14, .external_lex_state = 2},
  [3216] = {.lex_state = 14, .external_lex_state = 2},
  [3217] = {.lex_state = 14, .external_lex_state = 2},
  [3218] = {.lex_state = 14, .external_lex_state = 2},
  [3219] = {.lex_state = 14, .external_lex_state = 2},
  [3220] = {.lex_state = 14, .external_lex_state = 2},
  [3221] = {.lex_state = 14, .external_lex_state = 2},
  [3222] = {.lex_state = 14, .external_lex_state = 2},
  [3223] = {.lex_state = 14, .external_lex_state = 2},
  [3224] = {.lex_state = 11, .external_lex_state = 5},
  [3225] = {.lex_state = 11, .external_lex_state = 5},
  [3226] = {.lex_state = 14, .external_lex_state = 2},
  [3227] = {.lex_state = 11, .external_lex_state = 2},
  [3228] = {.lex_state = 11, .external_lex_state = 2},
  [3229] = {.lex_state = 11, .external_lex_state = 2},
  [3230] = {.lex_state = 11, .external_lex_state = 2},
  [3231] = {.lex_state = 14, .external_lex_state = 5},
  [3232] = {.lex_state = 14, .external_lex_state = 2},
  [3233] = {.lex_state = 11, .external_lex_state = 2},
  [3234] = {.lex_state = 14, .external_lex_state = 5},
  [3235] = {.lex_state = 14, .external_lex_state = 5},
  [3236] = {.lex_state = 14, .external_lex_state = 2},
  [3237] = {.lex_state = 14, .external_lex_state = 2},
  [3238] = {.lex_state = 14, .external_lex_state = 2},
  [3239] = {.lex_state = 14, .external_lex_state = 2},
  [3240] = {.lex_state = 11, .external_lex_state = 2},
  [3241] = {.lex_state = 11, .external_lex_state = 2},
  [3242] = {.lex_state = 11, .external_lex_state = 2},
  [3243] = {.lex_state = 11, .external_lex_state = 2},
  [3244] = {.lex_state = 14, .external_lex_state = 2},
  [3245] = {.lex_state = 11, .external_lex_state = 2},
  [3246] = {.lex_state = 9, .external_lex_state = 2},
  [3247] = {.lex_state = 9, .external_lex_state = 2},
  [3248] = {.lex_state = 11, .external_lex_state = 2},
  [3249] = {.lex_state = 9, .external_lex_state = 2},
  [3250] = {.lex_state = 11, .external_lex_state = 2},
  [3251] = {.lex_state = 77, .external_lex_state = 2},
  [3252] = {.lex_state = 9, .external_lex_state = 2},
  [3253] = {.lex_state = 9, .external_lex_state = 2},
  [3254] = {.lex_state = 14, .external_lex_state = 5},
  [3255] = {.lex_state = 14, .external_lex_state = 5},
  [3256] = {.lex_state = 14, .external_lex_state = 5},
  [3257] = {.lex_state = 14, .external_lex_state = 5},
  [3258] = {.lex_state = 14, .external_lex_state = 5},
  [3259] = {.lex_state = 14, .external_lex_state = 5},
  [3260] = {.lex_state = 14, .external_lex_state = 5},
  [3261] = {.lex_state = 14, .external_lex_state = 5},
  [3262] = {.lex_state = 14, .external_lex_state = 5},
  [3263] = {.lex_state = 14, .external_lex_state = 5},
  [3264] = {.lex_state = 14, .external_lex_state = 5},
  [3265] = {.lex_state = 14, .external_lex_state = 5},
  [3266] = {.lex_state = 14, .external_lex_state = 5},
  [3267] = {.lex_state = 14, .external_lex_state = 5},
  [3268] = {.lex_state = 14, .external_lex_state = 5},
  [3269] = {.lex_state = 14, .external_lex_state = 5},
  [3270] = {.lex_state = 14, .external_lex_state = 5},
  [3271] = {.lex_state = 14, .external_lex_state = 5},
  [3272] = {.lex_state = 9, .external_lex_state = 2},
  [3273] = {.lex_state = 14, .external_lex_state = 5},
  [3274] = {.lex_state = 14, .external_lex_state = 5},
  [3275] = {.lex_state = 14, .external_lex_state = 5},
  [3276] = {.lex_state = 14, .external_lex_state = 5},
  [3277] = {.lex_state = 14, .external_lex_state = 5},
  [3278] = {.lex_state = 77, .external_lex_state = 2},
  [3279] = {.lex_state = 14, .external_lex_state = 5},
  [3280] = {.lex_state = 9, .external_lex_state = 2},
  [3281] = {.lex_state = 77, .external_lex_state = 2},
  [3282] = {.lex_state = 9, .external_lex_state = 2},
  [3283] = {.lex_state = 9, .external_lex_state = 2},
  [3284] = {.lex_state = 9, .external_lex_state = 2},
  [3285] = {.lex_state = 9, .external_lex_state = 2},
  [3286] = {.lex_state = 77, .external_lex_state = 2},
  [3287] = {.lex_state = 9, .external_lex_state = 2},
  [3288] = {.lex_state = 77, .external_lex_state = 2},
  [3289] = {.lex_state = 9, .external_lex_state = 2},
  [3290] = {.lex_state = 77, .external_lex_state = 2},
  [3291] = {.lex_state = 9, .external_lex_state = 2},
  [3292] = {.lex_state = 77, .external_lex_state = 2},
  [3293] = {.lex_state = 9, .external_lex_state = 2},
  [3294] = {.lex_state = 9, .external_lex_state = 2},
  [3295] = {.lex_state = 9, .external_lex_state = 2},
  [3296] = {.lex_state = 9, .external_lex_state = 2},
  [3297] = {.lex_state = 77, .external_lex_state = 2},
  [3298] = {.lex_state = 9, .external_lex_state = 2},
  [3299] = {.lex_state = 9, .external_lex_state = 2},
  [3300] = {.lex_state = 9, .external_lex_state = 2},
  [3301] = {.lex_state = 9, .external_lex_state = 2},
  [3302] = {.lex_state = 77, .external_lex_state = 2},
  [3303] = {.lex_state = 77, .external_lex_state = 2},
  [3304] = {.lex_state = 9, .external_lex_state = 2},
  [3305] = {.lex_state = 9, .external_lex_state = 2},
  [3306] = {.lex_state = 9, .external_lex_state = 2},
  [3307] = {.lex_state = 9, .external_lex_state = 2},
  [3308] = {.lex_state = 77, .external_lex_state = 2},
  [3309] = {.lex_state = 9, .external_lex_state = 2},
  [3310] = {.lex_state = 9, .external_lex_state = 2},
  [3311] = {.lex_state = 9, .external_lex_state = 2},
  [3312] = {.lex_state = 9, .external_lex_state = 2},
  [3313] = {.lex_state = 9, .external_lex_state = 2},
  [3314] = {.lex_state = 9, .external_lex_state = 2},
  [3315] = {.lex_state = 9, .external_lex_state = 2},
  [3316] = {.lex_state = 11, .external_lex_state = 5},
  [3317] = {.lex_state = 9, .external_lex_state = 2},
  [3318] = {.lex_state = 77, .external_lex_state = 2},
  [3319] = {.lex_state = 77, .external_lex_state = 2},
  [3320] = {.lex_state = 77, .external_lex_state = 2},
  [3321] = {.lex_state = 77, .external_lex_state = 2},
  [3322] = {.lex_state = 9, .external_lex_state = 2},
  [3323] = {.lex_state = 14, .external_lex_state = 6},
  [3324] = {.lex_state = 77, .external_lex_state = 2},
  [3325] = {.lex_state = 14, .external_lex_state = 6},
  [3326] = {.lex_state = 14, .external_lex_state = 6},
  [3327] = {.lex_state = 77, .external_lex_state = 2},
  [3328] = {.lex_state = 77, .external_lex_state = 2},
  [3329] = {.lex_state = 77, .external_lex_state = 2},
  [3330] = {.lex_state = 77, .external_lex_state = 2},
  [3331] = {.lex_state = 77, .external_lex_state = 2},
  [3332] = {.lex_state = 9, .external_lex_state = 2},
  [3333] = {.lex_state = 14, .external_lex_state = 5},
  [3334] = {.lex_state = 14, .external_lex_state = 5},
  [3335] = {.lex_state = 14, .external_lex_state = 5},
  [3336] = {.lex_state = 77, .external_lex_state = 2},
  [3337] = {.lex_state = 77, .external_lex_state = 2},
  [3338] = {.lex_state = 77, .external_lex_state = 2},
  [3339] = {.lex_state = 77, .external_lex_state = 2},
  [3340] = {.lex_state = 14, .external_lex_state = 5},
  [3341] = {.lex_state = 14, .external_lex_state = 5},
  [3342] = {.lex_state = 14, .external_lex_state = 5},
  [3343] = {.lex_state = 14, .external_lex_state = 5},
  [3344] = {.lex_state = 14, .external_lex_state = 5},
  [3345] = {.lex_state = 77, .external_lex_state = 2},
  [3346] = {.lex_state = 77, .external_lex_state = 2},
  [3347] = {.lex_state = 77, .external_lex_state = 2},
  [3348] = {.lex_state = 14, .external_lex_state = 5},
  [3349] = {.lex_state = 14, .external_lex_state = 5},
  [3350] = {.lex_state = 77, .external_lex_state = 2},
  [3351] = {.lex_state = 9, .external_lex_state = 2},
  [3352] = {.lex_state = 11, .external_lex_state = 5},
  [3353] = {.lex_state = 77, .external_lex_state = 2},
  [3354] = {.lex_state = 9, .external_lex_state = 5},
  [3355] = {.lex_state = 9, .external_lex_state = 5},
  [3356] = {.lex_state = 9, .external_lex_state = 5},
  [3357] = {.lex_state = 9, .external_lex_state = 5},
  [3358] = {.lex_state = 9, .external_lex_state = 5},
  [3359] = {.lex_state = 77, .external_lex_state = 2},
  [3360] = {.lex_state = 9, .external_lex_state = 5},
  [3361] = {.lex_state = 77, .external_lex_state = 2},
  [3362] = {.lex_state = 9, .external_lex_state = 5},
  [3363] = {.lex_state = 9, .external_lex_state = 5},
  [3364] = {.lex_state = 9, .external_lex_state = 5},
  [3365] = {.lex_state = 9, .external_lex_state = 5},
  [3366] = {.lex_state = 9, .external_lex_state = 5},
  [3367] = {.lex_state = 9, .external_lex_state = 5},
  [3368] = {.lex_state = 9, .external_lex_state = 5},
  [3369] = {.lex_state = 9, .external_lex_state = 5},
  [3370] = {.lex_state = 9, .external_lex_state = 5},
  [3371] = {.lex_state = 9, .external_lex_state = 2},
  [3372] = {.lex_state = 9, .external_lex_state = 5},
  [3373] = {.lex_state = 9, .external_lex_state = 5},
  [3374] = {.lex_state = 9, .external_lex_state = 2},
  [3375] = {.lex_state = 77, .external_lex_state = 2},
  [3376] = {.lex_state = 9, .external_lex_state = 5},
  [3377] = {.lex_state = 9, .external_lex_state = 5},
  [3378] = {.lex_state = 9, .external_lex_state = 5},
  [3379] = {.lex_state = 9, .external_lex_state = 5},
  [3380] = {.lex_state = 9, .external_lex_state = 5},
  [3381] = {.lex_state = 9, .external_lex_state = 2},
  [3382] = {.lex_state = 77, .external_lex_state = 2},
  [3383] = {.lex_state = 9, .external_lex_state = 2},
  [3384] = {.lex_state = 9, .external_lex_state = 5},
  [3385] = {.lex_state = 9, .external_lex_state = 5},
  [3386] = {.lex_state = 9, .external_lex_state = 5},
  [3387] = {.lex_state = 9, .external_lex_state = 5},
  [3388] = {.lex_state = 9, .external_lex_state = 5},
  [3389] = {.lex_state = 9, .external_lex_state = 5},
  [3390] = {.lex_state = 9, .external_lex_state = 2},
  [3391] = {.lex_state = 11, .external_lex_state = 5},
  [3392] = {.lex_state = 9, .external_lex_state = 5},
  [3393] = {.lex_state = 77, .external_lex_state = 2},
  [3394] = {.lex_state = 77, .external_lex_state = 2},
  [3395] = {.lex_state = 9, .external_lex_state = 2},
  [3396] = {.lex_state = 14, .external_lex_state = 6},
  [3397] = {.lex_state = 11, .external_lex_state = 5},
  [3398] = {.lex_state = 14, .external_lex_state = 6},
  [3399] = {.lex_state = 14, .external_lex_state = 6},
  [3400] = {.lex_state = 9, .external_lex_state = 2},
  [3401] = {.lex_state = 14, .external_lex_state = 6},
  [3402] = {.lex_state = 14, .external_lex_state = 6},
  [3403] = {.lex_state = 14, .external_lex_state = 6},
  [3404] = {.lex_state = 14, .external_lex_state = 6},
  [3405] = {.lex_state = 9, .external_lex_state = 5},
  [3406] = {.lex_state = 14, .external_lex_state = 6},
  [3407] = {.lex_state = 9, .external_lex_state = 2},
  [3408] = {.lex_state = 9, .external_lex_state = 2},
  [3409] = {.lex_state = 9, .external_lex_state = 5},
  [3410] = {.lex_state = 9, .external_lex_state = 2},
  [3411] = {.lex_state = 14, .external_lex_state = 6},
  [3412] = {.lex_state = 14, .external_lex_state = 6},
  [3413] = {.lex_state = 14, .external_lex_state = 6},
  [3414] = {.lex_state = 14, .external_lex_state = 6},
  [3415] = {.lex_state = 14, .external_lex_state = 6},
  [3416] = {.lex_state = 14, .external_lex_state = 6},
  [3417] = {.lex_state = 14, .external_lex_state = 6},
  [3418] = {.lex_state = 14, .external_lex_state = 6},
  [3419] = {.lex_state = 9, .external_lex_state = 2},
  [3420] = {.lex_state = 9, .external_lex_state = 5},
  [3421] = {.lex_state = 11, .external_lex_state = 5},
  [3422] = {.lex_state = 9, .external_lex_state = 5},
  [3423] = {.lex_state = 9, .external_lex_state = 5},
  [3424] = {.lex_state = 14, .external_lex_state = 5},
  [3425] = {.lex_state = 11, .external_lex_state = 2},
  [3426] = {.lex_state = 14, .external_lex_state = 6},
  [3427] = {.lex_state = 9, .external_lex_state = 2},
  [3428] = {.lex_state = 9, .external_lex_state = 2},
  [3429] = {.lex_state = 11, .external_lex_state = 5},
  [3430] = {.lex_state = 14, .external_lex_state = 6},
  [3431] = {.lex_state = 9, .external_lex_state = 5},
  [3432] = {.lex_state = 9, .external_lex_state = 5},
  [3433] = {.lex_state = 9, .external_lex_state = 2},
  [3434] = {.lex_state = 14, .external_lex_state = 6},
  [3435] = {.lex_state = 14, .external_lex_state = 6},
  [3436] = {.lex_state = 11, .external_lex_state = 6},
  [3437] = {.lex_state = 9, .external_lex_state = 5},
  [3438] = {.lex_state = 9, .external_lex_state = 5},
  [3439] = {.lex_state = 14, .external_lex_state = 6},
  [3440] = {.lex_state = 14, .external_lex_state = 5},
  [3441] = {.lex_state = 9, .external_lex_state = 5},
  [3442] = {.lex_state = 14, .external_lex_state = 6},
  [3443] = {.lex_state = 11, .external_lex_state = 5},
  [3444] = {.lex_state = 14, .external_lex_state = 6},
  [3445] = {.lex_state = 14, .external_lex_state = 6},
  [3446] = {.lex_state = 14, .external_lex_state = 6},
  [3447] = {.lex_state = 14, .external_lex_state = 6},
  [3448] = {.lex_state = 14, .external_lex_state = 6},
  [3449] = {.lex_state = 9, .external_lex_state = 5},
  [3450] = {.lex_state = 9, .external_lex_state = 2},
  [3451] = {.lex_state = 14, .external_lex_state = 6},
  [3452] = {.lex_state = 14, .external_lex_state = 6},
  [3453] = {.lex_state = 14, .external_lex_state = 6},
  [3454] = {.lex_state = 14, .external_lex_state = 5},
  [3455] = {.lex_state = 14, .external_lex_state = 6},
  [3456] = {.lex_state = 14, .external_lex_state = 6},
  [3457] = {.lex_state = 14, .external_lex_state = 5},
  [3458] = {.lex_state = 14, .external_lex_state = 6},
  [3459] = {.lex_state = 14, .external_lex_state = 5},
  [3460] = {.lex_state = 14, .external_lex_state = 5},
  [3461] = {.lex_state = 14, .external_lex_state = 5},
  [3462] = {.lex_state = 11, .external_lex_state = 5},
  [3463] = {.lex_state = 14, .external_lex_state = 5},
  [3464] = {.lex_state = 14, .external_lex_state = 6},
  [3465] = {.lex_state = 11, .external_lex_state = 5},
  [3466] = {.lex_state = 11, .external_lex_state = 5},
  [3467] = {.lex_state = 11, .external_lex_state = 5},
  [3468] = {.lex_state = 9, .external_lex_state = 5},
  [3469] = {.lex_state = 9, .external_lex_state = 2},
  [3470] = {.lex_state = 9, .external_lex_state = 5},
  [3471] = {.lex_state = 9, .external_lex_state = 5},
  [3472] = {.lex_state = 9, .external_lex_state = 5},
  [3473] = {.lex_state = 9, .external_lex_state = 5},
  [3474] = {.lex_state = 14, .external_lex_state = 2},
  [3475] = {.lex_state = 9, .external_lex_state = 5},
  [3476] = {.lex_state = 9, .external_lex_state = 5},
  [3477] = {.lex_state = 9, .external_lex_state = 5},
  [3478] = {.lex_state = 14, .external_lex_state = 2},
  [3479] = {.lex_state = 14, .external_lex_state = 2},
  [3480] = {.lex_state = 9, .external_lex_state = 5},
  [3481] = {.lex_state = 9, .external_lex_state = 5},
  [3482] = {.lex_state = 9, .external_lex_state = 5},
  [3483] = {.lex_state = 9, .external_lex_state = 5},
  [3484] = {.lex_state = 11, .external_lex_state = 2},
  [3485] = {.lex_state = 9, .external_lex_state = 5},
  [3486] = {.lex_state = 9, .external_lex_state = 5},
  [3487] = {.lex_state = 9, .external_lex_state = 5},
  [3488] = {.lex_state = 9, .external_lex_state = 5},
  [3489] = {.lex_state = 9, .external_lex_state = 5},
  [3490] = {.lex_state = 9, .external_lex_state = 5},
  [3491] = {.lex_state = 11, .external_lex_state = 5},
  [3492] = {.lex_state = 9, .external_lex_state = 5},
  [3493] = {.lex_state = 9, .external_lex_state = 2},
  [3494] = {.lex_state = 9, .external_lex_state = 5},
  [3495] = {.lex_state = 9, .external_lex_state = 5},
  [3496] = {.lex_state = 9, .external_lex_state = 2},
  [3497] = {.lex_state = 9, .external_lex_state = 5},
  [3498] = {.lex_state = 9, .external_lex_state = 5},
  [3499] = {.lex_state = 9, .external_lex_state = 5},
  [3500] = {.lex_state = 9, .external_lex_state = 5},
  [3501] = {.lex_state = 11, .external_lex_state = 6},
  [3502] = {.lex_state = 9, .external_lex_state = 5},
  [3503] = {.lex_state = 9, .external_lex_state = 5},
  [3504] = {.lex_state = 9, .external_lex_state = 5},
  [3505] = {.lex_state = 9, .external_lex_state = 5},
  [3506] = {.lex_state = 9, .external_lex_state = 5},
  [3507] = {.lex_state = 9, .external_lex_state = 5},
  [3508] = {.lex_state = 9, .external_lex_state = 5},
  [3509] = {.lex_state = 9, .external_lex_state = 5},
  [3510] = {.lex_state = 9, .external_lex_state = 5},
  [3511] = {.lex_state = 9, .external_lex_state = 5},
  [3512] = {.lex_state = 11, .external_lex_state = 5},
  [3513] = {.lex_state = 9, .external_lex_state = 5},
  [3514] = {.lex_state = 9, .external_lex_state = 5},
  [3515] = {.lex_state = 9, .external_lex_state = 5},
  [3516] = {.lex_state = 9, .external_lex_state = 5},
  [3517] = {.lex_state = 9, .external_lex_state = 5},
  [3518] = {.lex_state = 11, .external_lex_state = 5},
  [3519] = {.lex_state = 9, .external_lex_state = 5},
  [3520] = {.lex_state = 11, .external_lex_state = 6},
  [3521] = {.lex_state = 9, .external_lex_state = 5},
  [3522] = {.lex_state = 9, .external_lex_state = 5},
  [3523] = {.lex_state = 9, .external_lex_state = 5},
  [3524] = {.lex_state = 9, .external_lex_state = 5},
  [3525] = {.lex_state = 9, .external_lex_state = 5},
  [3526] = {.lex_state = 9, .external_lex_state = 5},
  [3527] = {.lex_state = 9, .external_lex_state = 5},
  [3528] = {.lex_state = 9, .external_lex_state = 5},
  [3529] = {.lex_state = 9, .external_lex_state = 5},
  [3530] = {.lex_state = 9, .external_lex_state = 5},
  [3531] = {.lex_state = 9, .external_lex_state = 5},
  [3532] = {.lex_state = 9, .external_lex_state = 5},
  [3533] = {.lex_state = 14, .external_lex_state = 6},
  [3534] = {.lex_state = 9, .external_lex_state = 5},
  [3535] = {.lex_state = 14, .external_lex_state = 6},
  [3536] = {.lex_state = 9, .external_lex_state = 5},
  [3537] = {.lex_state = 9, .external_lex_state = 5},
  [3538] = {.lex_state = 9, .external_lex_state = 5},
  [3539] = {.lex_state = 9, .external_lex_state = 5},
  [3540] = {.lex_state = 9, .external_lex_state = 5},
  [3541] = {.lex_state = 9, .external_lex_state = 5},
  [3542] = {.lex_state = 9, .external_lex_state = 5},
  [3543] = {.lex_state = 9, .external_lex_state = 5},
  [3544] = {.lex_state = 9, .external_lex_state = 5},
  [3545] = {.lex_state = 9, .external_lex_state = 5},
  [3546] = {.lex_state = 11, .external_lex_state = 6},
  [3547] = {.lex_state = 9, .external_lex_state = 5},
  [3548] = {.lex_state = 9, .external_lex_state = 5},
  [3549] = {.lex_state = 11, .external_lex_state = 6},
  [3550] = {.lex_state = 14, .external_lex_state = 6},
  [3551] = {.lex_state = 9, .external_lex_state = 5},
  [3552] = {.lex_state = 9, .external_lex_state = 5},
  [3553] = {.lex_state = 9, .external_lex_state = 5},
  [3554] = {.lex_state = 9, .external_lex_state = 5},
  [3555] = {.lex_state = 9, .external_lex_state = 5},
  [3556] = {.lex_state = 11, .external_lex_state = 6},
  [3557] = {.lex_state = 9, .external_lex_state = 5},
  [3558] = {.lex_state = 9, .external_lex_state = 5},
  [3559] = {.lex_state = 9, .external_lex_state = 5},
  [3560] = {.lex_state = 14, .external_lex_state = 6},
  [3561] = {.lex_state = 18, .external_lex_state = 2},
  [3562] = {.lex_state = 9, .external_lex_state = 5},
  [3563] = {.lex_state = 9, .external_lex_state = 5},
  [3564] = {.lex_state = 11, .external_lex_state = 6},
  [3565] = {.lex_state = 18, .external_lex_state = 2},
  [3566] = {.lex_state = 9, .external_lex_state = 5},
  [3567] = {.lex_state = 9, .external_lex_state = 5},
  [3568] = {.lex_state = 11, .external_lex_state = 6},
  [3569] = {.lex_state = 11, .external_lex_state = 6},
  [3570] = {.lex_state = 14, .external_lex_state = 6},
  [3571] = {.lex_state = 14, .external_lex_state = 6},
  [3572] = {.lex_state = 14, .external_lex_state = 6},
  [3573] = {.lex_state = 14, .external_lex_state = 6},
  [3574] = {.lex_state = 11, .external_lex_state = 6},
  [3575] = {.lex_state = 9, .external_lex_state = 5},
  [3576] = {.lex_state = 9, .external_lex_state = 5},
  [3577] = {.lex_state = 9, .external_lex_state = 5},
  [3578] = {.lex_state = 11, .external_lex_state = 2},
  [3579] = {.lex_state = 9, .external_lex_state = 5},
  [3580] = {.lex_state = 9, .external_lex_state = 5},
  [3581] = {.lex_state = 9, .external_lex_state = 5},
  [3582] = {.lex_state = 9, .external_lex_state = 5},
  [3583] = {.lex_state = 9, .external_lex_state = 5},
  [3584] = {.lex_state = 77, .external_lex_state = 2},
  [3585] = {.lex_state = 9, .external_lex_state = 5},
  [3586] = {.lex_state = 9, .external_lex_state = 5},
  [3587] = {.lex_state = 9, .external_lex_state = 5},
  [3588] = {.lex_state = 9, .external_lex_state = 5},
  [3589] = {.lex_state = 9, .external_lex_state = 5},
  [3590] = {.lex_state = 9, .external_lex_state = 5},
  [3591] = {.lex_state = 9, .external_lex_state = 5},
  [3592] = {.lex_state = 9, .external_lex_state = 5},
  [3593] = {.lex_state = 9, .external_lex_state = 5},
  [3594] = {.lex_state = 9, .external_lex_state = 5},
  [3595] = {.lex_state = 9, .external_lex_state = 5},
  [3596] = {.lex_state = 11, .external_lex_state = 6},
  [3597] = {.lex_state = 9, .external_lex_state = 5},
  [3598] = {.lex_state = 9, .external_lex_state = 5},
  [3599] = {.lex_state = 9, .external_lex_state = 6},
  [3600] = {.lex_state = 9, .external_lex_state = 5},
  [3601] = {.lex_state = 9, .external_lex_state = 5},
  [3602] = {.lex_state = 11, .external_lex_state = 2},
  [3603] = {.lex_state = 9, .external_lex_state = 2},
  [3604] = {.lex_state = 9, .external_lex_state = 5},
  [3605] = {.lex_state = 9, .external_lex_state = 2},
  [3606] = {.lex_state = 77, .external_lex_state = 2},
  [3607] = {.lex_state = 9, .external_lex_state = 2},
  [3608] = {.lex_state = 9, .external_lex_state = 6},
  [3609] = {.lex_state = 11, .external_lex_state = 6},
  [3610] = {.lex_state = 11, .external_lex_state = 6},
  [3611] = {.lex_state = 9, .external_lex_state = 2},
  [3612] = {.lex_state = 9, .external_lex_state = 6},
  [3613] = {.lex_state = 9, .external_lex_state = 6},
  [3614] = {.lex_state = 4, .external_lex_state = 2},
  [3615] = {.lex_state = 11, .external_lex_state = 2},
  [3616] = {.lex_state = 9, .external_lex_state = 2},
  [3617] = {.lex_state = 9, .external_lex_state = 2},
  [3618] = {.lex_state = 9, .external_lex_state = 2},
  [3619] = {.lex_state = 11, .external_lex_state = 6},
  [3620] = {.lex_state = 9, .external_lex_state = 2},
  [3621] = {.lex_state = 9, .external_lex_state = 2},
  [3622] = {.lex_state = 9, .external_lex_state = 2},
  [3623] = {.lex_state = 9, .external_lex_state = 2},
  [3624] = {.lex_state = 77, .external_lex_state = 2},
  [3625] = {.lex_state = 9, .external_lex_state = 2},
  [3626] = {.lex_state = 77, .external_lex_state = 2},
  [3627] = {.lex_state = 9, .external_lex_state = 6},
  [3628] = {.lex_state = 9, .external_lex_state = 5},
  [3629] = {.lex_state = 77, .external_lex_state = 2},
  [3630] = {.lex_state = 9, .external_lex_state = 2},
  [3631] = {.lex_state = 9, .external_lex_state = 5},
  [3632] = {.lex_state = 9, .external_lex_state = 5},
  [3633] = {.lex_state = 9, .external_lex_state = 6},
  [3634] = {.lex_state = 9, .external_lex_state = 5},
  [3635] = {.lex_state = 9, .external_lex_state = 5},
  [3636] = {.lex_state = 9, .external_lex_state = 2},
  [3637] = {.lex_state = 9, .external_lex_state = 6},
  [3638] = {.lex_state = 9, .external_lex_state = 5},
  [3639] = {.lex_state = 9, .external_lex_state = 5},
  [3640] = {.lex_state = 9, .external_lex_state = 6},
  [3641] = {.lex_state = 9, .external_lex_state = 5},
  [3642] = {.lex_state = 9, .external_lex_state = 5},
  [3643] = {.lex_state = 9, .external_lex_state = 6},
  [3644] = {.lex_state = 9, .external_lex_state = 2},
  [3645] = {.lex_state = 9, .external_lex_state = 5},
  [3646] = {.lex_state = 9, .external_lex_state = 5},
  [3647] = {.lex_state = 9, .external_lex_state = 5},
  [3648] = {.lex_state = 9, .external_lex_state = 6},
  [3649] = {.lex_state = 9, .external_lex_state = 2},
  [3650] = {.lex_state = 9, .external_lex_state = 5},
  [3651] = {.lex_state = 9, .external_lex_state = 6},
  [3652] = {.lex_state = 9, .external_lex_state = 5},
  [3653] = {.lex_state = 9, .external_lex_state = 2},
  [3654] = {.lex_state = 9, .external_lex_state = 6},
  [3655] = {.lex_state = 9, .external_lex_state = 6},
  [3656] = {.lex_state = 9, .external_lex_state = 6},
  [3657] = {.lex_state = 9, .external_lex_state = 6},
  [3658] = {.lex_state = 9, .external_lex_state = 6},
  [3659] = {.lex_state = 9, .external_lex_state = 2},
  [3660] = {.lex_state = 9, .external_lex_state = 6},
  [3661] = {.lex_state = 9, .external_lex_state = 5},
  [3662] = {.lex_state = 9, .external_lex_state = 6},
  [3663] = {.lex_state = 9, .external_lex_state = 5},
  [3664] = {.lex_state = 9, .external_lex_state = 5},
  [3665] = {.lex_state = 9, .external_lex_state = 6},
  [3666] = {.lex_state = 9, .external_lex_state = 6},
  [3667] = {.lex_state = 9, .external_lex_state = 6},
  [3668] = {.lex_state = 9, .external_lex_state = 5},
  [3669] = {.lex_state = 9, .external_lex_state = 6},
  [3670] = {.lex_state = 9, .external_lex_state = 6},
  [3671] = {.lex_state = 9, .external_lex_state = 6},
  [3672] = {.lex_state = 9, .external_lex_state = 2},
  [3673] = {.lex_state = 9, .external_lex_state = 6},
  [3674] = {.lex_state = 9, .external_lex_state = 6},
  [3675] = {.lex_state = 9, .external_lex_state = 5},
  [3676] = {.lex_state = 9, .external_lex_state = 6},
  [3677] = {.lex_state = 10, .external_lex_state = 2},
  [3678] = {.lex_state = 9, .external_lex_state = 2},
  [3679] = {.lex_state = 9, .external_lex_state = 6},
  [3680] = {.lex_state = 9, .external_lex_state = 5},
  [3681] = {.lex_state = 4, .external_lex_state = 2},
  [3682] = {.lex_state = 9, .external_lex_state = 5},
  [3683] = {.lex_state = 9, .external_lex_state = 2},
  [3684] = {.lex_state = 9, .external_lex_state = 5},
  [3685] = {.lex_state = 9, .external_lex_state = 6},
  [3686] = {.lex_state = 9, .external_lex_state = 5},
  [3687] = {.lex_state = 9, .external_lex_state = 5},
  [3688] = {.lex_state = 9, .external_lex_state = 5},
  [3689] = {.lex_state = 9, .external_lex_state = 5},
  [3690] = {.lex_state = 9, .external_lex_state = 5},
  [3691] = {.lex_state = 9, .external_lex_state = 5},
  [3692] = {.lex_state = 9, .external_lex_state = 5},
  [3693] = {.lex_state = 9, .external_lex_state = 5},
  [3694] = {.lex_state = 9, .external_lex_state = 5},
  [3695] = {.lex_state = 9, .external_lex_state = 5},
  [3696] = {.lex_state = 9, .external_lex_state = 6},
  [3697] = {.lex_state = 9, .external_lex_state = 5},
  [3698] = {.lex_state = 9, .external_lex_state = 5},
  [3699] = {.lex_state = 9, .external_lex_state = 5},
  [3700] = {.lex_state = 9, .external_lex_state = 2},
  [3701] = {.lex_state = 9, .external_lex_state = 5},
  [3702] = {.lex_state = 9, .external_lex_state = 5},
  [3703] = {.lex_state = 9, .external_lex_state = 5},
  [3704] = {.lex_state = 9, .external_lex_state = 5},
  [3705] = {.lex_state = 9, .external_lex_state = 2},
  [3706] = {.lex_state = 9, .external_lex_state = 2},
  [3707] = {.lex_state = 9, .external_lex_state = 2},
  [3708] = {.lex_state = 9, .external_lex_state = 2},
  [3709] = {.lex_state = 9, .external_lex_state = 5},
  [3710] = {.lex_state = 9, .external_lex_state = 6},
  [3711] = {.lex_state = 9, .external_lex_state = 2},
  [3712] = {.lex_state = 9, .external_lex_state = 6},
  [3713] = {.lex_state = 9, .external_lex_state = 6},
  [3714] = {.lex_state = 9, .external_lex_state = 2},
  [3715] = {.lex_state = 9, .external_lex_state = 6},
  [3716] = {.lex_state = 9, .external_lex_state = 2},
  [3717] = {.lex_state = 9, .external_lex_state = 2},
  [3718] = {.lex_state = 9, .external_lex_state = 6},
  [3719] = {.lex_state = 9, .external_lex_state = 6},
  [3720] = {.lex_state = 9, .external_lex_state = 2},
  [3721] = {.lex_state = 9, .external_lex_state = 2},
  [3722] = {.lex_state = 9, .external_lex_state = 6},
  [3723] = {.lex_state = 77, .external_lex_state = 2},
  [3724] = {.lex_state = 11, .external_lex_state = 2},
  [3725] = {.lex_state = 9, .external_lex_state = 2},
  [3726] = {.lex_state = 9, .external_lex_state = 2},
  [3727] = {.lex_state = 9, .external_lex_state = 2},
  [3728] = {.lex_state = 9, .external_lex_state = 5},
  [3729] = {.lex_state = 9, .external_lex_state = 2},
  [3730] = {.lex_state = 9, .external_lex_state = 2},
  [3731] = {.lex_state = 9, .external_lex_state = 6},
  [3732] = {.lex_state = 9, .external_lex_state = 6},
  [3733] = {.lex_state = 9, .external_lex_state = 6},
  [3734] = {.lex_state = 77, .external_lex_state = 2},
  [3735] = {.lex_state = 9, .external_lex_state = 2},
  [3736] = {.lex_state = 9, .external_lex_state = 2},
  [3737] = {.lex_state = 9, .external_lex_state = 6},
  [3738] = {.lex_state = 9, .external_lex_state = 5},
  [3739] = {.lex_state = 9, .external_lex_state = 6},
  [3740] = {.lex_state = 9, .external_lex_state = 6},
  [3741] = {.lex_state = 9, .external_lex_state = 6},
  [3742] = {.lex_state = 9, .external_lex_state = 2},
  [3743] = {.lex_state = 9, .external_lex_state = 6},
  [3744] = {.lex_state = 9, .external_lex_state = 2},
  [3745] = {.lex_state = 9, .external_lex_state = 5},
  [3746] = {.lex_state = 9, .external_lex_state = 2},
  [3747] = {.lex_state = 9, .external_lex_state = 2},
  [3748] = {.lex_state = 11, .external_lex_state = 2},
  [3749] = {.lex_state = 10, .external_lex_state = 2},
  [3750] = {.lex_state = 9, .external_lex_state = 6},
  [3751] = {.lex_state = 9, .external_lex_state = 6},
  [3752] = {.lex_state = 9, .external_lex_state = 6},
  [3753] = {.lex_state = 9, .external_lex_state = 2},
  [3754] = {.lex_state = 9, .external_lex_state = 2},
  [3755] = {.lex_state = 9, .external_lex_state = 6},
  [3756] = {.lex_state = 9, .external_lex_state = 6},
  [3757] = {.lex_state = 9, .external_lex_state = 2},
  [3758] = {.lex_state = 9, .external_lex_state = 6},
  [3759] = {.lex_state = 9, .external_lex_state = 5},
  [3760] = {.lex_state = 9, .external_lex_state = 6},
  [3761] = {.lex_state = 9, .external_lex_state = 6},
  [3762] = {.lex_state = 9, .external_lex_state = 5},
  [3763] = {.lex_state = 9, .external_lex_state = 6},
  [3764] = {.lex_state = 9, .external_lex_state = 6},
  [3765] = {.lex_state = 9, .external_lex_state = 6},
  [3766] = {.lex_state = 77, .external_lex_state = 2},
  [3767] = {.lex_state = 9, .external_lex_state = 2},
  [3768] = {.lex_state = 9, .external_lex_state = 6},
  [3769] = {.lex_state = 77, .external_lex_state = 5},
  [3770] = {.lex_state = 9, .external_lex_state = 5},
  [3771] = {.lex_state = 77, .external_lex_state = 5},
  [3772] = {.lex_state = 9, .external_lex_state = 2},
  [3773] = {.lex_state = 9, .external_lex_state = 5},
  [3774] = {.lex_state = 9, .external_lex_state = 2},
  [3775] = {.lex_state = 9, .external_lex_state = 5},
  [3776] = {.lex_state = 9, .external_lex_state = 6},
  [3777] = {.lex_state = 9, .external_lex_state = 6},
  [3778] = {.lex_state = 9, .external_lex_state = 6},
  [3779] = {.lex_state = 9, .external_lex_state = 5},
  [3780] = {.lex_state = 9, .external_lex_state = 2},
  [3781] = {.lex_state = 10, .external_lex_state = 2},
  [3782] = {.lex_state = 9, .external_lex_state = 6},
  [3783] = {.lex_state = 9, .external_lex_state = 5},
  [3784] = {.lex_state = 9, .external_lex_state = 5},
  [3785] = {.lex_state = 9, .external_lex_state = 5},
  [3786] = {.lex_state = 9, .external_lex_state = 6},
  [3787] = {.lex_state = 9, .external_lex_state = 5},
  [3788] = {.lex_state = 9, .external_lex_state = 5},
  [3789] = {.lex_state = 77, .external_lex_state = 2},
  [3790] = {.lex_state = 16, .external_lex_state = 7},
  [3791] = {.lex_state = 16, .external_lex_state = 7},
  [3792] = {.lex_state = 9, .external_lex_state = 6},
  [3793] = {.lex_state = 18, .external_lex_state = 2},
  [3794] = {.lex_state = 77, .external_lex_state = 2},
  [3795] = {.lex_state = 11, .external_lex_state = 2},
  [3796] = {.lex_state = 77, .external_lex_state = 2},
  [3797] = {.lex_state = 9, .external_lex_state = 2},
  [3798] = {.lex_state = 18, .external_lex_state = 2},
  [3799] = {.lex_state = 9, .external_lex_state = 2},
  [3800] = {.lex_state = 77, .external_lex_state = 2},
  [3801] = {.lex_state = 9, .external_lex_state = 2},
  [3802] = {.lex_state = 4, .external_lex_state = 5},
  [3803] = {.lex_state = 9, .external_lex_state = 2},
  [3804] = {.lex_state = 4, .external_lex_state = 5},
  [3805] = {.lex_state = 16, .external_lex_state = 7},
  [3806] = {.lex_state = 11, .external_lex_state = 2},
  [3807] = {.lex_state = 16, .external_lex_state = 7},
  [3808] = {.lex_state = 9, .external_lex_state = 5},
  [3809] = {.lex_state = 18, .external_lex_state = 2},
  [3810] = {.lex_state = 18, .external_lex_state = 2},
  [3811] = {.lex_state = 18, .external_lex_state = 2},
  [3812] = {.lex_state = 77, .external_lex_state = 2},
  [3813] = {.lex_state = 18, .external_lex_state = 2},
  [3814] = {.lex_state = 18, .external_lex_state = 2},
  [3815] = {.lex_state = 18, .external_lex_state = 2},
  [3816] = {.lex_state = 9, .external_lex_state = 2},
  [3817] = {.lex_state = 16, .external_lex_state = 7},
  [3818] = {.lex_state = 16, .external_lex_state = 7},
  [3819] = {.lex_state = 11, .external_lex_state = 2},
  [3820] = {.lex_state = 11, .external_lex_state = 2},
  [3821] = {.lex_state = 9, .external_lex_state = 2},
  [3822] = {.lex_state = 9, .external_lex_state = 2},
  [3823] = {.lex_state = 9, .external_lex_state = 2},
  [3824] = {.lex_state = 18, .external_lex_state = 2},
  [3825] = {.lex_state = 9, .external_lex_state = 2},
  [3826] = {.lex_state = 16, .external_lex_state = 7},
  [3827] = {.lex_state = 9, .external_lex_state = 5},
  [3828] = {.lex_state = 9, .external_lex_state = 5},
  [3829] = {.lex_state = 77, .external_lex_state = 2},
  [3830] = {.lex_state = 9, .external_lex_state = 2},
  [3831] = {.lex_state = 77, .external_lex_state = 2},
  [3832] = {.lex_state = 16, .external_lex_state = 7},
  [3833] = {.lex_state = 9, .external_lex_state = 5},
  [3834] = {.lex_state = 77, .external_lex_state = 5},
  [3835] = {.lex_state = 9, .external_lex_state = 2},
  [3836] = {.lex_state = 4, .external_lex_state = 2},
  [3837] = {.lex_state = 10, .external_lex_state = 2},
  [3838] = {.lex_state = 9, .external_lex_state = 2},
  [3839] = {.lex_state = 77, .external_lex_state = 5},
  [3840] = {.lex_state = 14, .external_lex_state = 2},
  [3841] = {.lex_state = 9, .external_lex_state = 2},
  [3842] = {.lex_state = 77, .external_lex_state = 5},
  [3843] = {.lex_state = 9, .external_lex_state = 5},
  [3844] = {.lex_state = 9, .external_lex_state = 2},
  [3845] = {.lex_state = 9, .external_lex_state = 2},
  [3846] = {.lex_state = 14, .external_lex_state = 2},
  [3847] = {.lex_state = 9, .external_lex_state = 2},
  [3848] = {.lex_state = 9, .external_lex_state = 2},
  [3849] = {.lex_state = 9, .external_lex_state = 2},
  [3850] = {.lex_state = 9, .external_lex_state = 2},
  [3851] = {.lex_state = 9, .external_lex_state = 2},
  [3852] = {.lex_state = 9, .external_lex_state = 2},
  [3853] = {.lex_state = 9, .external_lex_state = 2},
  [3854] = {.lex_state = 9, .external_lex_state = 2},
  [3855] = {.lex_state = 9, .external_lex_state = 2},
  [3856] = {.lex_state = 77, .external_lex_state = 5},
  [3857] = {.lex_state = 9, .external_lex_state = 2},
  [3858] = {.lex_state = 77, .external_lex_state = 5},
  [3859] = {.lex_state = 77, .external_lex_state = 5},
  [3860] = {.lex_state = 77, .external_lex_state = 5},
  [3861] = {.lex_state = 9, .external_lex_state = 2},
  [3862] = {.lex_state = 9, .external_lex_state = 2},
  [3863] = {.lex_state = 9, .external_lex_state = 2},
  [3864] = {.lex_state = 9, .external_lex_state = 2},
  [3865] = {.lex_state = 77, .external_lex_state = 5},
  [3866] = {.lex_state = 77, .external_lex_state = 5},
  [3867] = {.lex_state = 9, .external_lex_state = 2},
  [3868] = {.lex_state = 9, .external_lex_state = 5},
  [3869] = {.lex_state = 77, .external_lex_state = 5},
  [3870] = {.lex_state = 9, .external_lex_state = 5},
  [3871] = {.lex_state = 9, .external_lex_state = 5},
  [3872] = {.lex_state = 9, .external_lex_state = 5},
  [3873] = {.lex_state = 9, .external_lex_state = 2},
  [3874] = {.lex_state = 4, .external_lex_state = 2},
  [3875] = {.lex_state = 77, .external_lex_state = 5},
  [3876] = {.lex_state = 77, .external_lex_state = 5},
  [3877] = {.lex_state = 4, .external_lex_state = 2},
  [3878] = {.lex_state = 10, .external_lex_state = 2},
  [3879] = {.lex_state = 14, .external_lex_state = 2},
  [3880] = {.lex_state = 9, .external_lex_state = 2},
  [3881] = {.lex_state = 77, .external_lex_state = 5},
  [3882] = {.lex_state = 77, .external_lex_state = 5},
  [3883] = {.lex_state = 9, .external_lex_state = 2},
  [3884] = {.lex_state = 9, .external_lex_state = 2},
  [3885] = {.lex_state = 77, .external_lex_state = 2},
  [3886] = {.lex_state = 14, .external_lex_state = 2},
  [3887] = {.lex_state = 77, .external_lex_state = 5},
  [3888] = {.lex_state = 9, .external_lex_state = 2},
  [3889] = {.lex_state = 9, .external_lex_state = 2},
  [3890] = {.lex_state = 9, .external_lex_state = 2},
  [3891] = {.lex_state = 9, .external_lex_state = 2},
  [3892] = {.lex_state = 9, .external_lex_state = 2},
  [3893] = {.lex_state = 9, .external_lex_state = 2},
  [3894] = {.lex_state = 77, .external_lex_state = 5},
  [3895] = {.lex_state = 9, .external_lex_state = 2},
  [3896] = {.lex_state = 77, .external_lex_state = 5},
  [3897] = {.lex_state = 77, .external_lex_state = 5},
  [3898] = {.lex_state = 10, .external_lex_state = 2},
  [3899] = {.lex_state = 77, .external_lex_state = 5},
  [3900] = {.lex_state = 77, .external_lex_state = 5},
  [3901] = {.lex_state = 77, .external_lex_state = 5},
  [3902] = {.lex_state = 77, .external_lex_state = 5},
  [3903] = {.lex_state = 77, .external_lex_state = 5},
  [3904] = {.lex_state = 77, .external_lex_state = 5},
  [3905] = {.lex_state = 77, .external_lex_state = 5},
  [3906] = {.lex_state = 9, .external_lex_state = 2},
  [3907] = {.lex_state = 18, .external_lex_state = 2},
  [3908] = {.lex_state = 77, .external_lex_state = 5},
  [3909] = {.lex_state = 77, .external_lex_state = 5},
  [3910] = {.lex_state = 9, .external_lex_state = 2},
  [3911] = {.lex_state = 9, .external_lex_state = 2},
  [3912] = {.lex_state = 9, .external_lex_state = 2},
  [3913] = {.lex_state = 77, .external_lex_state = 5},
  [3914] = {.lex_state = 77, .external_lex_state = 5},
  [3915] = {.lex_state = 77, .external_lex_state = 5},
  [3916] = {.lex_state = 77, .external_lex_state = 5},
  [3917] = {.lex_state = 77, .external_lex_state = 5},
  [3918] = {.lex_state = 9, .external_lex_state = 2},
  [3919] = {.lex_state = 77, .external_lex_state = 5},
  [3920] = {.lex_state = 77, .external_lex_state = 5},
  [3921] = {.lex_state = 77, .external_lex_state = 5},
  [3922] = {.lex_state = 77, .external_lex_state = 5},
  [3923] = {.lex_state = 9, .external_lex_state = 5},
  [3924] = {.lex_state = 4, .external_lex_state = 2},
  [3925] = {.lex_state = 9, .external_lex_state = 5},
  [3926] = {.lex_state = 9, .external_lex_state = 5},
  [3927] = {.lex_state = 9, .external_lex_state = 5},
  [3928] = {.lex_state = 14, .external_lex_state = 2},
  [3929] = {.lex_state = 9, .external_lex_state = 2},
  [3930] = {.lex_state = 77, .external_lex_state = 5},
  [3931] = {.lex_state = 9, .external_lex_state = 5},
  [3932] = {.lex_state = 77, .external_lex_state = 5},
  [3933] = {.lex_state = 77, .external_lex_state = 5},
  [3934] = {.lex_state = 14, .external_lex_state = 2},
  [3935] = {.lex_state = 9, .external_lex_state = 2},
  [3936] = {.lex_state = 9, .external_lex_state = 2},
  [3937] = {.lex_state = 77, .external_lex_state = 5},
  [3938] = {.lex_state = 9, .external_lex_state = 2},
  [3939] = {.lex_state = 77, .external_lex_state = 5},
  [3940] = {.lex_state = 77, .external_lex_state = 5},
  [3941] = {.lex_state = 77, .external_lex_state = 5},
  [3942] = {.lex_state = 77, .external_lex_state = 5},
  [3943] = {.lex_state = 77, .external_lex_state = 5},
  [3944] = {.lex_state = 77, .external_lex_state = 5},
  [3945] = {.lex_state = 77, .external_lex_state = 5},
  [3946] = {.lex_state = 77, .external_lex_state = 5},
  [3947] = {.lex_state = 77, .external_lex_state = 5},
  [3948] = {.lex_state = 77, .external_lex_state = 5},
  [3949] = {.lex_state = 77, .external_lex_state = 5},
  [3950] = {.lex_state = 9, .external_lex_state = 5},
  [3951] = {.lex_state = 9, .external_lex_state = 5},
  [3952] = {.lex_state = 9, .external_lex_state = 5},
  [3953] = {.lex_state = 9, .external_lex_state = 5},
  [3954] = {.lex_state = 77, .external_lex_state = 5},
  [3955] = {.lex_state = 77, .external_lex_state = 5},
  [3956] = {.lex_state = 77, .external_lex_state = 5},
  [3957] = {.lex_state = 77, .external_lex_state = 5},
  [3958] = {.lex_state = 14, .external_lex_state = 2},
  [3959] = {.lex_state = 77, .external_lex_state = 5},
  [3960] = {.lex_state = 77, .external_lex_state = 5},
  [3961] = {.lex_state = 14, .external_lex_state = 2},
  [3962] = {.lex_state = 77, .external_lex_state = 5},
  [3963] = {.lex_state = 9, .external_lex_state = 5},
  [3964] = {.lex_state = 9, .external_lex_state = 5},
  [3965] = {.lex_state = 9, .external_lex_state = 5},
  [3966] = {.lex_state = 9, .external_lex_state = 5},
  [3967] = {.lex_state = 9, .external_lex_state = 5},
  [3968] = {.lex_state = 9, .external_lex_state = 5},
  [3969] = {.lex_state = 9, .external_lex_state = 5},
  [3970] = {.lex_state = 9, .external_lex_state = 5},
  [3971] = {.lex_state = 9, .external_lex_state = 5},
  [3972] = {.lex_state = 9, .external_lex_state = 2},
  [3973] = {.lex_state = 9, .external_lex_state = 5},
  [3974] = {.lex_state = 77, .external_lex_state = 5},
  [3975] = {.lex_state = 77, .external_lex_state = 2},
  [3976] = {.lex_state = 14, .external_lex_state = 2},
  [3977] = {.lex_state = 14, .external_lex_state = 2},
  [3978] = {.lex_state = 77, .external_lex_state = 5},
  [3979] = {.lex_state = 14, .external_lex_state = 2},
  [3980] = {.lex_state = 9, .external_lex_state = 2},
  [3981] = {.lex_state = 9, .external_lex_state = 2},
  [3982] = {.lex_state = 77, .external_lex_state = 5},
  [3983] = {.lex_state = 77, .external_lex_state = 5},
  [3984] = {.lex_state = 9, .external_lex_state = 2},
  [3985] = {.lex_state = 9, .external_lex_state = 2},
  [3986] = {.lex_state = 9, .external_lex_state = 2},
  [3987] = {.lex_state = 77, .external_lex_state = 5},
  [3988] = {.lex_state = 9, .external_lex_state = 2},
  [3989] = {.lex_state = 77, .external_lex_state = 5},
  [3990] = {.lex_state = 77, .external_lex_state = 5},
  [3991] = {.lex_state = 77, .external_lex_state = 5},
  [3992] = {.lex_state = 77, .external_lex_state = 5},
  [3993] = {.lex_state = 9, .external_lex_state = 2},
  [3994] = {.lex_state = 14, .external_lex_state = 2},
  [3995] = {.lex_state = 77, .external_lex_state = 5},
  [3996] = {.lex_state = 77, .external_lex_state = 5},
  [3997] = {.lex_state = 9, .external_lex_state = 2},
  [3998] = {.lex_state = 9, .external_lex_state = 2},
  [3999] = {.lex_state = 77, .external_lex_state = 5},
  [4000] = {.lex_state = 77, .external_lex_state = 5},
  [4001] = {.lex_state = 77, .external_lex_state = 5},
  [4002] = {.lex_state = 77, .external_lex_state = 5},
  [4003] = {.lex_state = 77, .external_lex_state = 5},
  [4004] = {.lex_state = 77, .external_lex_state = 5},
  [4005] = {.lex_state = 9, .external_lex_state = 2},
  [4006] = {.lex_state = 9, .external_lex_state = 2},
  [4007] = {.lex_state = 77, .external_lex_state = 5},
  [4008] = {.lex_state = 77, .external_lex_state = 5},
  [4009] = {.lex_state = 9, .external_lex_state = 2},
  [4010] = {.lex_state = 9, .external_lex_state = 2},
  [4011] = {.lex_state = 9, .external_lex_state = 2},
  [4012] = {.lex_state = 9, .external_lex_state = 2},
  [4013] = {.lex_state = 9, .external_lex_state = 2},
  [4014] = {.lex_state = 9, .external_lex_state = 2},
  [4015] = {.lex_state = 9, .external_lex_state = 5},
  [4016] = {.lex_state = 77, .external_lex_state = 5},
  [4017] = {.lex_state = 9, .external_lex_state = 5},
  [4018] = {.lex_state = 9, .external_lex_state = 2},
  [4019] = {.lex_state = 77, .external_lex_state = 5},
  [4020] = {.lex_state = 77, .external_lex_state = 5},
  [4021] = {.lex_state = 9, .external_lex_state = 2},
  [4022] = {.lex_state = 77, .external_lex_state = 5},
  [4023] = {.lex_state = 77, .external_lex_state = 5},
  [4024] = {.lex_state = 77, .external_lex_state = 5},
  [4025] = {.lex_state = 77, .external_lex_state = 5},
  [4026] = {.lex_state = 77, .external_lex_state = 5},
  [4027] = {.lex_state = 77, .external_lex_state = 5},
  [4028] = {.lex_state = 77, .external_lex_state = 5},
  [4029] = {.lex_state = 77, .external_lex_state = 5},
  [4030] = {.lex_state = 77, .external_lex_state = 5},
  [4031] = {.lex_state = 9, .external_lex_state = 5},
  [4032] = {.lex_state = 77, .external_lex_state = 5},
  [4033] = {.lex_state = 77, .external_lex_state = 5},
  [4034] = {.lex_state = 77, .external_lex_state = 5},
  [4035] = {.lex_state = 77, .external_lex_state = 5},
  [4036] = {.lex_state = 77, .external_lex_state = 5},
  [4037] = {.lex_state = 9, .external_lex_state = 2},
  [4038] = {.lex_state = 9, .external_lex_state = 2},
  [4039] = {.lex_state = 4, .external_lex_state = 5},
  [4040] = {.lex_state = 77, .external_lex_state = 5},
  [4041] = {.lex_state = 4, .external_lex_state = 5},
  [4042] = {.lex_state = 77, .external_lex_state = 5},
  [4043] = {.lex_state = 14, .external_lex_state = 2},
  [4044] = {.lex_state = 9, .external_lex_state = 2},
  [4045] = {.lex_state = 77, .external_lex_state = 5},
  [4046] = {.lex_state = 77, .external_lex_state = 5},
  [4047] = {.lex_state = 77, .external_lex_state = 2},
  [4048] = {.lex_state = 77, .external_lex_state = 5},
  [4049] = {.lex_state = 77, .external_lex_state = 5},
  [4050] = {.lex_state = 9, .external_lex_state = 2},
  [4051] = {.lex_state = 77, .external_lex_state = 5},
  [4052] = {.lex_state = 14, .external_lex_state = 2},
  [4053] = {.lex_state = 9, .external_lex_state = 2},
  [4054] = {.lex_state = 77, .external_lex_state = 5},
  [4055] = {.lex_state = 9, .external_lex_state = 2},
  [4056] = {.lex_state = 77, .external_lex_state = 5},
  [4057] = {.lex_state = 9, .external_lex_state = 2},
  [4058] = {.lex_state = 9, .external_lex_state = 2},
  [4059] = {.lex_state = 9, .external_lex_state = 2},
  [4060] = {.lex_state = 9, .external_lex_state = 2},
  [4061] = {.lex_state = 9, .external_lex_state = 2},
  [4062] = {.lex_state = 77, .external_lex_state = 5},
  [4063] = {.lex_state = 14, .external_lex_state = 2},
  [4064] = {.lex_state = 9, .external_lex_state = 2},
  [4065] = {.lex_state = 77, .external_lex_state = 5},
  [4066] = {.lex_state = 9, .external_lex_state = 2},
  [4067] = {.lex_state = 9, .external_lex_state = 2},
  [4068] = {.lex_state = 77, .external_lex_state = 5},
  [4069] = {.lex_state = 77, .external_lex_state = 5},
  [4070] = {.lex_state = 77, .external_lex_state = 5},
  [4071] = {.lex_state = 77, .external_lex_state = 5},
  [4072] = {.lex_state = 14, .external_lex_state = 2},
  [4073] = {.lex_state = 77, .external_lex_state = 5},
  [4074] = {.lex_state = 77, .external_lex_state = 5},
  [4075] = {.lex_state = 77, .external_lex_state = 5},
  [4076] = {.lex_state = 77, .external_lex_state = 5},
  [4077] = {.lex_state = 77, .external_lex_state = 5},
  [4078] = {.lex_state = 77, .external_lex_state = 5},
  [4079] = {.lex_state = 77, .external_lex_state = 5},
  [4080] = {.lex_state = 77, .external_lex_state = 5},
  [4081] = {.lex_state = 77, .external_lex_state = 5},
  [4082] = {.lex_state = 9, .external_lex_state = 2},
  [4083] = {.lex_state = 77, .external_lex_state = 5},
  [4084] = {.lex_state = 9, .external_lex_state = 2},
  [4085] = {.lex_state = 9, .external_lex_state = 2},
  [4086] = {.lex_state = 77, .external_lex_state = 5},
  [4087] = {.lex_state = 77, .external_lex_state = 5},
  [4088] = {.lex_state = 9, .external_lex_state = 2},
  [4089] = {.lex_state = 9, .external_lex_state = 2},
  [4090] = {.lex_state = 77, .external_lex_state = 5},
  [4091] = {.lex_state = 77, .external_lex_state = 5},
  [4092] = {.lex_state = 9, .external_lex_state = 6},
  [4093] = {.lex_state = 9, .external_lex_state = 6},
  [4094] = {.lex_state = 9, .external_lex_state = 2},
  [4095] = {.lex_state = 9, .external_lex_state = 2},
  [4096] = {.lex_state = 9, .external_lex_state = 2},
  [4097] = {.lex_state = 9, .external_lex_state = 2},
  [4098] = {.lex_state = 77, .external_lex_state = 2},
  [4099] = {.lex_state = 9, .external_lex_state = 2},
  [4100] = {.lex_state = 77, .external_lex_state = 2},
  [4101] = {.lex_state = 9, .external_lex_state = 2},
  [4102] = {.lex_state = 77, .external_lex_state = 2},
  [4103] = {.lex_state = 9, .external_lex_state = 2},
  [4104] = {.lex_state = 16, .external_lex_state = 7},
  [4105] = {.lex_state = 9, .external_lex_state = 2},
  [4106] = {.lex_state = 9, .external_lex_state = 2},
  [4107] = {.lex_state = 9, .external_lex_state = 2},
  [4108] = {.lex_state = 77, .external_lex_state = 5},
  [4109] = {.lex_state = 9, .external_lex_state = 2},
  [4110] = {.lex_state = 9, .external_lex_state = 2},
  [4111] = {.lex_state = 16, .external_lex_state = 7},
  [4112] = {.lex_state = 9, .external_lex_state = 2},
  [4113] = {.lex_state = 9, .external_lex_state = 2},
  [4114] = {.lex_state = 9, .external_lex_state = 2},
  [4115] = {.lex_state = 77, .external_lex_state = 5},
  [4116] = {.lex_state = 77, .external_lex_state = 5},
  [4117] = {.lex_state = 9, .external_lex_state = 2},
  [4118] = {.lex_state = 9, .external_lex_state = 6},
  [4119] = {.lex_state = 77, .external_lex_state = 5},
  [4120] = {.lex_state = 77, .external_lex_state = 5},
  [4121] = {.lex_state = 9, .external_lex_state = 2},
  [4122] = {.lex_state = 11, .external_lex_state = 2},
  [4123] = {.lex_state = 77, .external_lex_state = 5},
  [4124] = {.lex_state = 9, .external_lex_state = 2},
  [4125] = {.lex_state = 9, .external_lex_state = 5},
  [4126] = {.lex_state = 77, .external_lex_state = 5},
  [4127] = {.lex_state = 77, .external_lex_state = 5},
  [4128] = {.lex_state = 9, .external_lex_state = 6},
  [4129] = {.lex_state = 77, .external_lex_state = 2},
  [4130] = {.lex_state = 9, .external_lex_state = 2},
  [4131] = {.lex_state = 9, .external_lex_state = 6},
  [4132] = {.lex_state = 9, .external_lex_state = 2},
  [4133] = {.lex_state = 77, .external_lex_state = 5},
  [4134] = {.lex_state = 9, .external_lex_state = 2},
  [4135] = {.lex_state = 9, .external_lex_state = 2},
  [4136] = {.lex_state = 9, .external_lex_state = 6},
  [4137] = {.lex_state = 9, .external_lex_state = 2},
  [4138] = {.lex_state = 9, .external_lex_state = 6},
  [4139] = {.lex_state = 11, .external_lex_state = 2},
  [4140] = {.lex_state = 4, .external_lex_state = 5},
  [4141] = {.lex_state = 9, .external_lex_state = 2},
  [4142] = {.lex_state = 9, .external_lex_state = 2},
  [4143] = {.lex_state = 9, .external_lex_state = 6},
  [4144] = {.lex_state = 9, .external_lex_state = 2},
  [4145] = {.lex_state = 9, .external_lex_state = 2},
  [4146] = {.lex_state = 9, .external_lex_state = 2},
  [4147] = {.lex_state = 9, .external_lex_state = 2},
  [4148] = {.lex_state = 9, .external_lex_state = 6},
  [4149] = {.lex_state = 9, .external_lex_state = 2},
  [4150] = {.lex_state = 9, .external_lex_state = 6},
  [4151] = {.lex_state = 9, .external_lex_state = 6},
  [4152] = {.lex_state = 77, .external_lex_state = 5},
  [4153] = {.lex_state = 4, .external_lex_state = 2},
  [4154] = {.lex_state = 9, .external_lex_state = 2},
  [4155] = {.lex_state = 77, .external_lex_state = 2},
  [4156] = {.lex_state = 4, .external_lex_state = 5},
  [4157] = {.lex_state = 9, .external_lex_state = 2},
  [4158] = {.lex_state = 16, .external_lex_state = 7},
  [4159] = {.lex_state = 9, .external_lex_state = 2},
  [4160] = {.lex_state = 9, .external_lex_state = 2},
  [4161] = {.lex_state = 9, .external_lex_state = 2},
  [4162] = {.lex_state = 77, .external_lex_state = 5},
  [4163] = {.lex_state = 77, .external_lex_state = 5},
  [4164] = {.lex_state = 77, .external_lex_state = 2},
  [4165] = {.lex_state = 77, .external_lex_state = 2},
  [4166] = {.lex_state = 9, .external_lex_state = 2},
  [4167] = {.lex_state = 9, .external_lex_state = 6},
  [4168] = {.lex_state = 77, .external_lex_state = 5},
  [4169] = {.lex_state = 9, .external_lex_state = 2},
  [4170] = {.lex_state = 77, .external_lex_state = 2},
  [4171] = {.lex_state = 77, .external_lex_state = 5},
  [4172] = {.lex_state = 9, .external_lex_state = 2},
  [4173] = {.lex_state = 4, .external_lex_state = 2},
  [4174] = {.lex_state = 9, .external_lex_state = 6},
  [4175] = {.lex_state = 4, .external_lex_state = 2},
  [4176] = {.lex_state = 9, .external_lex_state = 6},
  [4177] = {.lex_state = 9, .external_lex_state = 2},
  [4178] = {.lex_state = 9, .external_lex_state = 2},
  [4179] = {.lex_state = 77, .external_lex_state = 5},
  [4180] = {.lex_state = 9, .external_lex_state = 2},
  [4181] = {.lex_state = 9, .external_lex_state = 2},
  [4182] = {.lex_state = 9, .external_lex_state = 2},
  [4183] = {.lex_state = 9, .external_lex_state = 2},
  [4184] = {.lex_state = 9, .external_lex_state = 2},
  [4185] = {.lex_state = 9, .external_lex_state = 2},
  [4186] = {.lex_state = 9, .external_lex_state = 2},
  [4187] = {.lex_state = 77, .external_lex_state = 5},
  [4188] = {.lex_state = 9, .external_lex_state = 2},
  [4189] = {.lex_state = 77, .external_lex_state = 5},
  [4190] = {.lex_state = 9, .external_lex_state = 2},
  [4191] = {.lex_state = 10, .external_lex_state = 2},
  [4192] = {.lex_state = 9, .external_lex_state = 2},
  [4193] = {.lex_state = 9, .external_lex_state = 2},
  [4194] = {.lex_state = 77, .external_lex_state = 5},
  [4195] = {.lex_state = 9, .external_lex_state = 2},
  [4196] = {.lex_state = 16, .external_lex_state = 7},
  [4197] = {.lex_state = 77, .external_lex_state = 2},
  [4198] = {.lex_state = 9, .external_lex_state = 2},
  [4199] = {.lex_state = 9, .external_lex_state = 2},
  [4200] = {.lex_state = 77, .external_lex_state = 5},
  [4201] = {.lex_state = 9, .external_lex_state = 2},
  [4202] = {.lex_state = 9, .external_lex_state = 2},
  [4203] = {.lex_state = 9, .external_lex_state = 2},
  [4204] = {.lex_state = 77, .external_lex_state = 2},
  [4205] = {.lex_state = 77, .external_lex_state = 2},
  [4206] = {.lex_state = 77, .external_lex_state = 2},
  [4207] = {.lex_state = 9, .external_lex_state = 6},
  [4208] = {.lex_state = 9, .external_lex_state = 6},
  [4209] = {.lex_state = 77, .external_lex_state = 5},
  [4210] = {.lex_state = 9, .external_lex_state = 2},
  [4211] = {.lex_state = 9, .external_lex_state = 6},
  [4212] = {.lex_state = 77, .external_lex_state = 2},
  [4213] = {.lex_state = 9, .external_lex_state = 2},
  [4214] = {.lex_state = 18, .external_lex_state = 2},
  [4215] = {.lex_state = 9, .external_lex_state = 2},
  [4216] = {.lex_state = 9, .external_lex_state = 2},
  [4217] = {.lex_state = 9, .external_lex_state = 6},
  [4218] = {.lex_state = 77, .external_lex_state = 2},
  [4219] = {.lex_state = 77, .external_lex_state = 5},
  [4220] = {.lex_state = 9, .external_lex_state = 2},
  [4221] = {.lex_state = 9, .external_lex_state = 2},
  [4222] = {.lex_state = 9, .external_lex_state = 6},
  [4223] = {.lex_state = 9, .external_lex_state = 2},
  [4224] = {.lex_state = 9, .external_lex_state = 5},
  [4225] = {.lex_state = 77, .external_lex_state = 5},
  [4226] = {.lex_state = 77, .external_lex_state = 5},
  [4227] = {.lex_state = 9, .external_lex_state = 2},
  [4228] = {.lex_state = 9, .external_lex_state = 2},
  [4229] = {.lex_state = 9, .external_lex_state = 6},
  [4230] = {.lex_state = 77, .external_lex_state = 5},
  [4231] = {.lex_state = 9, .external_lex_state = 2},
  [4232] = {.lex_state = 9, .external_lex_state = 6},
  [4233] = {.lex_state = 77, .external_lex_state = 5},
  [4234] = {.lex_state = 9, .external_lex_state = 5},
  [4235] = {.lex_state = 9, .external_lex_state = 2},
  [4236] = {.lex_state = 77, .external_lex_state = 2},
  [4237] = {.lex_state = 9, .external_lex_state = 6},
  [4238] = {.lex_state = 9, .external_lex_state = 5},
  [4239] = {.lex_state = 9, .external_lex_state = 6},
  [4240] = {.lex_state = 77, .external_lex_state = 5},
  [4241] = {.lex_state = 77, .external_lex_state = 2},
  [4242] = {.lex_state = 77, .external_lex_state = 2},
  [4243] = {.lex_state = 9, .external_lex_state = 6},
  [4244] = {.lex_state = 9, .external_lex_state = 2},
  [4245] = {.lex_state = 9, .external_lex_state = 2},
  [4246] = {.lex_state = 16, .external_lex_state = 7},
  [4247] = {.lex_state = 77, .external_lex_state = 2},
  [4248] = {.lex_state = 77, .external_lex_state = 5},
  [4249] = {.lex_state = 9, .external_lex_state = 6},
  [4250] = {.lex_state = 77, .external_lex_state = 5},
  [4251] = {.lex_state = 9, .external_lex_state = 2},
  [4252] = {.lex_state = 9, .external_lex_state = 2},
  [4253] = {.lex_state = 9, .external_lex_state = 2},
  [4254] = {.lex_state = 77, .external_lex_state = 5},
  [4255] = {.lex_state = 9, .external_lex_state = 2},
  [4256] = {.lex_state = 9, .external_lex_state = 2},
  [4257] = {.lex_state = 9, .external_lex_state = 2},
  [4258] = {.lex_state = 9, .external_lex_state = 2},
  [4259] = {.lex_state = 9, .external_lex_state = 2},
  [4260] = {.lex_state = 77, .external_lex_state = 2},
  [4261] = {.lex_state = 9, .external_lex_state = 6},
  [4262] = {.lex_state = 77, .external_lex_state = 2},
  [4263] = {.lex_state = 14, .external_lex_state = 2},
  [4264] = {.lex_state = 77, .external_lex_state = 5},
  [4265] = {.lex_state = 77, .external_lex_state = 5},
  [4266] = {.lex_state = 77, .external_lex_state = 5},
  [4267] = {.lex_state = 77, .external_lex_state = 5},
  [4268] = {.lex_state = 77, .external_lex_state = 5},
  [4269] = {.lex_state = 9, .external_lex_state = 2},
  [4270] = {.lex_state = 9, .external_lex_state = 2},
  [4271] = {.lex_state = 77, .external_lex_state = 5},
  [4272] = {.lex_state = 16, .external_lex_state = 8},
  [4273] = {.lex_state = 9, .external_lex_state = 6},
  [4274] = {.lex_state = 77, .external_lex_state = 5},
  [4275] = {.lex_state = 9, .external_lex_state = 2},
  [4276] = {.lex_state = 4, .external_lex_state = 2},
  [4277] = {.lex_state = 4, .external_lex_state = 2},
  [4278] = {.lex_state = 77, .external_lex_state = 5},
  [4279] = {.lex_state = 9, .external_lex_state = 5},
  [4280] = {.lex_state = 77, .external_lex_state = 2},
  [4281] = {.lex_state = 77, .external_lex_state = 5},
  [4282] = {.lex_state = 77, .external_lex_state = 5},
  [4283] = {.lex_state = 77, .external_lex_state = 5},
  [4284] = {.lex_state = 9, .external_lex_state = 2},
  [4285] = {.lex_state = 9, .external_lex_state = 2},
  [4286] = {.lex_state = 77, .external_lex_state = 5},
  [4287] = {.lex_state = 77, .external_lex_state = 5},
  [4288] = {.lex_state = 16, .external_lex_state = 8},
  [4289] = {.lex_state = 9, .external_lex_state = 2},
  [4290] = {.lex_state = 77, .external_lex_state = 5},
  [4291] = {.lex_state = 9, .external_lex_state = 6},
  [4292] = {.lex_state = 77, .external_lex_state = 5},
  [4293] = {.lex_state = 77, .external_lex_state = 2},
  [4294] = {.lex_state = 9, .external_lex_state = 6},
  [4295] = {.lex_state = 9, .external_lex_state = 5},
  [4296] = {.lex_state = 9, .external_lex_state = 2},
  [4297] = {.lex_state = 9, .external_lex_state = 2},
  [4298] = {.lex_state = 77, .external_lex_state = 5},
  [4299] = {.lex_state = 9, .external_lex_state = 2},
  [4300] = {.lex_state = 9, .external_lex_state = 6},
  [4301] = {.lex_state = 9, .external_lex_state = 6},
  [4302] = {.lex_state = 16, .external_lex_state = 8},
  [4303] = {.lex_state = 77, .external_lex_state = 5},
  [4304] = {.lex_state = 77, .external_lex_state = 2},
  [4305] = {.lex_state = 77, .external_lex_state = 5},
  [4306] = {.lex_state = 9, .external_lex_state = 6},
  [4307] = {.lex_state = 77, .external_lex_state = 5},
  [4308] = {.lex_state = 77, .external_lex_state = 5},
  [4309] = {.lex_state = 9, .external_lex_state = 2},
  [4310] = {.lex_state = 77, .external_lex_state = 5},
  [4311] = {.lex_state = 77, .external_lex_state = 5},
  [4312] = {.lex_state = 77, .external_lex_state = 5},
  [4313] = {.lex_state = 9, .external_lex_state = 2},
  [4314] = {.lex_state = 77, .external_lex_state = 5},
  [4315] = {.lex_state = 77, .external_lex_state = 5},
  [4316] = {.lex_state = 77, .external_lex_state = 5},
  [4317] = {.lex_state = 77, .external_lex_state = 5},
  [4318] = {.lex_state = 9, .external_lex_state = 2},
  [4319] = {.lex_state = 77, .external_lex_state = 5},
  [4320] = {.lex_state = 77, .external_lex_state = 5},
  [4321] = {.lex_state = 77, .external_lex_state = 5},
  [4322] = {.lex_state = 16, .external_lex_state = 8},
  [4323] = {.lex_state = 77, .external_lex_state = 5},
  [4324] = {.lex_state = 9, .external_lex_state = 2},
  [4325] = {.lex_state = 77, .external_lex_state = 5},
  [4326] = {.lex_state = 77, .external_lex_state = 5},
  [4327] = {.lex_state = 77, .external_lex_state = 5},
  [4328] = {.lex_state = 77, .external_lex_state = 5},
  [4329] = {.lex_state = 77, .external_lex_state = 5},
  [4330] = {.lex_state = 77, .external_lex_state = 5},
  [4331] = {.lex_state = 77, .external_lex_state = 5},
  [4332] = {.lex_state = 77, .external_lex_state = 5},
  [4333] = {.lex_state = 77, .external_lex_state = 5},
  [4334] = {.lex_state = 77, .external_lex_state = 5},
  [4335] = {.lex_state = 77, .external_lex_state = 5},
  [4336] = {.lex_state = 77, .external_lex_state = 5},
  [4337] = {.lex_state = 77, .external_lex_state = 5},
  [4338] = {.lex_state = 77, .external_lex_state = 5},
  [4339] = {.lex_state = 77, .external_lex_state = 5},
  [4340] = {.lex_state = 9, .external_lex_state = 2},
  [4341] = {.lex_state = 77, .external_lex_state = 5},
  [4342] = {.lex_state = 77, .external_lex_state = 5},
  [4343] = {.lex_state = 9, .external_lex_state = 2},
  [4344] = {.lex_state = 77, .external_lex_state = 5},
  [4345] = {.lex_state = 77, .external_lex_state = 5},
  [4346] = {.lex_state = 16, .external_lex_state = 8},
  [4347] = {.lex_state = 77, .external_lex_state = 5},
  [4348] = {.lex_state = 77, .external_lex_state = 5},
  [4349] = {.lex_state = 77, .external_lex_state = 5},
  [4350] = {.lex_state = 77, .external_lex_state = 2},
  [4351] = {.lex_state = 77, .external_lex_state = 5},
  [4352] = {.lex_state = 77, .external_lex_state = 5},
  [4353] = {.lex_state = 77, .external_lex_state = 5},
  [4354] = {.lex_state = 16, .external_lex_state = 8},
  [4355] = {.lex_state = 77, .external_lex_state = 5},
  [4356] = {.lex_state = 77, .external_lex_state = 5},
  [4357] = {.lex_state = 77, .external_lex_state = 5},
  [4358] = {.lex_state = 77, .external_lex_state = 2},
  [4359] = {.lex_state = 77, .external_lex_state = 5},
  [4360] = {.lex_state = 77, .external_lex_state = 5},
  [4361] = {.lex_state = 77, .external_lex_state = 5},
  [4362] = {.lex_state = 77, .external_lex_state = 5},
  [4363] = {.lex_state = 9, .external_lex_state = 2},
  [4364] = {.lex_state = 9, .external_lex_state = 2},
  [4365] = {.lex_state = 77, .external_lex_state = 2},
  [4366] = {.lex_state = 77, .external_lex_state = 5},
  [4367] = {.lex_state = 77, .external_lex_state = 5},
  [4368] = {.lex_state = 77, .external_lex_state = 5},
  [4369] = {.lex_state = 77, .external_lex_state = 5},
  [4370] = {.lex_state = 77, .external_lex_state = 5},
  [4371] = {.lex_state = 77, .external_lex_state = 5},
  [4372] = {.lex_state = 77, .external_lex_state = 5},
  [4373] = {.lex_state = 4, .external_lex_state = 2},
  [4374] = {.lex_state = 77, .external_lex_state = 2},
  [4375] = {.lex_state = 77, .external_lex_state = 5},
  [4376] = {.lex_state = 9, .external_lex_state = 2},
  [4377] = {.lex_state = 77, .external_lex_state = 5},
  [4378] = {.lex_state = 77, .external_lex_state = 5},
  [4379] = {.lex_state = 77, .external_lex_state = 5},
  [4380] = {.lex_state = 9, .external_lex_state = 2},
  [4381] = {.lex_state = 77, .external_lex_state = 5},
  [4382] = {.lex_state = 77, .external_lex_state = 5},
  [4383] = {.lex_state = 77, .external_lex_state = 5},
  [4384] = {.lex_state = 77, .external_lex_state = 5},
  [4385] = {.lex_state = 77, .external_lex_state = 5},
  [4386] = {.lex_state = 9, .external_lex_state = 5},
  [4387] = {.lex_state = 77, .external_lex_state = 5},
  [4388] = {.lex_state = 10, .external_lex_state = 2},
  [4389] = {.lex_state = 77, .external_lex_state = 5},
  [4390] = {.lex_state = 77, .external_lex_state = 5},
  [4391] = {.lex_state = 77, .external_lex_state = 5},
  [4392] = {.lex_state = 9, .external_lex_state = 2},
  [4393] = {.lex_state = 77, .external_lex_state = 5},
  [4394] = {.lex_state = 77, .external_lex_state = 5},
  [4395] = {.lex_state = 77, .external_lex_state = 5},
  [4396] = {.lex_state = 77, .external_lex_state = 5},
  [4397] = {.lex_state = 77, .external_lex_state = 2},
  [4398] = {.lex_state = 77, .external_lex_state = 5},
  [4399] = {.lex_state = 77, .external_lex_state = 5},
  [4400] = {.lex_state = 16, .external_lex_state = 8},
  [4401] = {.lex_state = 9, .external_lex_state = 2},
  [4402] = {.lex_state = 77, .external_lex_state = 5},
  [4403] = {.lex_state = 77, .external_lex_state = 5},
  [4404] = {.lex_state = 77, .external_lex_state = 5},
  [4405] = {.lex_state = 77, .external_lex_state = 5},
  [4406] = {.lex_state = 9, .external_lex_state = 2},
  [4407] = {.lex_state = 9, .external_lex_state = 2},
  [4408] = {.lex_state = 9, .external_lex_state = 2},
  [4409] = {.lex_state = 9, .external_lex_state = 2},
  [4410] = {.lex_state = 9, .external_lex_state = 2},
  [4411] = {.lex_state = 9, .external_lex_state = 2},
  [4412] = {.lex_state = 77, .external_lex_state = 5},
  [4413] = {.lex_state = 16, .external_lex_state = 8},
  [4414] = {.lex_state = 9, .external_lex_state = 2},
  [4415] = {.lex_state = 77, .external_lex_state = 5},
  [4416] = {.lex_state = 77, .external_lex_state = 5},
  [4417] = {.lex_state = 77, .external_lex_state = 5},
  [4418] = {.lex_state = 77, .external_lex_state = 5},
  [4419] = {.lex_state = 77, .external_lex_state = 5},
  [4420] = {.lex_state = 77, .external_lex_state = 5},
  [4421] = {.lex_state = 77, .external_lex_state = 5},
  [4422] = {.lex_state = 77, .external_lex_state = 5},
  [4423] = {.lex_state = 9, .external_lex_state = 2},
  [4424] = {.lex_state = 77, .external_lex_state = 5},
  [4425] = {.lex_state = 77, .external_lex_state = 5},
  [4426] = {.lex_state = 77, .external_lex_state = 5},
  [4427] = {.lex_state = 77, .external_lex_state = 5},
  [4428] = {.lex_state = 77, .external_lex_state = 5},
  [4429] = {.lex_state = 16, .external_lex_state = 8},
  [4430] = {.lex_state = 77, .external_lex_state = 5},
  [4431] = {.lex_state = 77, .external_lex_state = 5},
  [4432] = {.lex_state = 9, .external_lex_state = 2},
  [4433] = {.lex_state = 77, .external_lex_state = 5},
  [4434] = {.lex_state = 9, .external_lex_state = 2},
  [4435] = {.lex_state = 77, .external_lex_state = 5},
  [4436] = {.lex_state = 9, .external_lex_state = 2},
  [4437] = {.lex_state = 9, .external_lex_state = 2},
  [4438] = {.lex_state = 77, .external_lex_state = 5},
  [4439] = {.lex_state = 77, .external_lex_state = 5},
  [4440] = {.lex_state = 77, .external_lex_state = 5},
  [4441] = {.lex_state = 77, .external_lex_state = 5},
  [4442] = {.lex_state = 77, .external_lex_state = 5},
  [4443] = {.lex_state = 77, .external_lex_state = 5},
  [4444] = {.lex_state = 77, .external_lex_state = 5},
  [4445] = {.lex_state = 9, .external_lex_state = 2},
  [4446] = {.lex_state = 9, .external_lex_state = 2},
  [4447] = {.lex_state = 77, .external_lex_state = 5},
  [4448] = {.lex_state = 77, .external_lex_state = 5},
  [4449] = {.lex_state = 9, .external_lex_state = 2},
  [4450] = {.lex_state = 77, .external_lex_state = 5},
  [4451] = {.lex_state = 77, .external_lex_state = 5},
  [4452] = {.lex_state = 77, .external_lex_state = 5},
  [4453] = {.lex_state = 77, .external_lex_state = 5},
  [4454] = {.lex_state = 77, .external_lex_state = 5},
  [4455] = {.lex_state = 77, .external_lex_state = 5},
  [4456] = {.lex_state = 77, .external_lex_state = 5},
  [4457] = {.lex_state = 77, .external_lex_state = 5},
  [4458] = {.lex_state = 77, .external_lex_state = 5},
  [4459] = {.lex_state = 77, .external_lex_state = 2},
  [4460] = {.lex_state = 9, .external_lex_state = 2},
  [4461] = {.lex_state = 77, .external_lex_state = 5},
  [4462] = {.lex_state = 77, .external_lex_state = 5},
  [4463] = {.lex_state = 9, .external_lex_state = 6},
  [4464] = {.lex_state = 77, .external_lex_state = 5},
  [4465] = {.lex_state = 9, .external_lex_state = 2},
  [4466] = {.lex_state = 77, .external_lex_state = 5},
  [4467] = {.lex_state = 77, .external_lex_state = 5},
  [4468] = {.lex_state = 9, .external_lex_state = 2},
  [4469] = {.lex_state = 77, .external_lex_state = 5},
  [4470] = {.lex_state = 9, .external_lex_state = 2},
  [4471] = {.lex_state = 77, .external_lex_state = 5},
  [4472] = {.lex_state = 77, .external_lex_state = 5},
  [4473] = {.lex_state = 77, .external_lex_state = 5},
  [4474] = {.lex_state = 77, .external_lex_state = 5},
  [4475] = {.lex_state = 77, .external_lex_state = 5},
  [4476] = {.lex_state = 77, .external_lex_state = 5},
  [4477] = {.lex_state = 16, .external_lex_state = 8},
  [4478] = {.lex_state = 77, .external_lex_state = 2},
  [4479] = {.lex_state = 9, .external_lex_state = 2},
  [4480] = {.lex_state = 9, .external_lex_state = 2},
  [4481] = {.lex_state = 77, .external_lex_state = 5},
  [4482] = {.lex_state = 77, .external_lex_state = 5},
  [4483] = {.lex_state = 9, .external_lex_state = 2},
  [4484] = {.lex_state = 77, .external_lex_state = 5},
  [4485] = {.lex_state = 77, .external_lex_state = 2},
  [4486] = {.lex_state = 77, .external_lex_state = 5},
  [4487] = {.lex_state = 9, .external_lex_state = 2},
  [4488] = {.lex_state = 9, .external_lex_state = 2},
  [4489] = {.lex_state = 77, .external_lex_state = 2},
  [4490] = {.lex_state = 9, .external_lex_state = 2},
  [4491] = {.lex_state = 77, .external_lex_state = 5},
  [4492] = {.lex_state = 9, .external_lex_state = 2},
  [4493] = {.lex_state = 9, .external_lex_state = 6},
  [4494] = {.lex_state = 9, .external_lex_state = 2},
  [4495] = {.lex_state = 77, .external_lex_state = 5},
  [4496] = {.lex_state = 77, .external_lex_state = 5},
  [4497] = {.lex_state = 77, .external_lex_state = 5},
  [4498] = {.lex_state = 77, .external_lex_state = 5},
  [4499] = {.lex_state = 9, .external_lex_state = 2},
  [4500] = {.lex_state = 77, .external_lex_state = 5},
  [4501] = {.lex_state = 77, .external_lex_state = 5},
  [4502] = {.lex_state = 77, .external_lex_state = 5},
  [4503] = {.lex_state = 9, .external_lex_state = 2},
  [4504] = {.lex_state = 9, .external_lex_state = 2},
  [4505] = {.lex_state = 77, .external_lex_state = 5},
  [4506] = {.lex_state = 77, .external_lex_state = 5},
  [4507] = {.lex_state = 77, .external_lex_state = 5},
  [4508] = {.lex_state = 77, .external_lex_state = 5},
  [4509] = {.lex_state = 14, .external_lex_state = 2},
  [4510] = {.lex_state = 77, .external_lex_state = 5},
  [4511] = {.lex_state = 9, .external_lex_state = 6},
  [4512] = {.lex_state = 9, .external_lex_state = 5},
  [4513] = {.lex_state = 77, .external_lex_state = 2},
  [4514] = {.lex_state = 77, .external_lex_state = 5},
  [4515] = {.lex_state = 77, .external_lex_state = 5},
  [4516] = {.lex_state = 77, .external_lex_state = 5},
  [4517] = {.lex_state = 77, .external_lex_state = 5},
  [4518] = {.lex_state = 77, .external_lex_state = 5},
  [4519] = {.lex_state = 9, .external_lex_state = 2},
  [4520] = {.lex_state = 9, .external_lex_state = 6},
  [4521] = {.lex_state = 77, .external_lex_state = 5},
  [4522] = {.lex_state = 77, .external_lex_state = 5},
  [4523] = {.lex_state = 77, .external_lex_state = 5},
  [4524] = {.lex_state = 77, .external_lex_state = 5},
  [4525] = {.lex_state = 77, .external_lex_state = 2},
  [4526] = {.lex_state = 9, .external_lex_state = 2},
  [4527] = {.lex_state = 77, .external_lex_state = 5},
  [4528] = {.lex_state = 77, .external_lex_state = 2},
  [4529] = {.lex_state = 77, .external_lex_state = 5},
  [4530] = {.lex_state = 9, .external_lex_state = 2},
  [4531] = {.lex_state = 9, .external_lex_state = 2},
  [4532] = {.lex_state = 77, .external_lex_state = 2},
  [4533] = {.lex_state = 77, .external_lex_state = 5},
  [4534] = {.lex_state = 9, .external_lex_state = 2},
  [4535] = {.lex_state = 77, .external_lex_state = 5},
  [4536] = {.lex_state = 77, .external_lex_state = 5},
  [4537] = {.lex_state = 77, .external_lex_state = 5},
  [4538] = {.lex_state = 77, .external_lex_state = 5},
  [4539] = {.lex_state = 9, .external_lex_state = 2},
  [4540] = {.lex_state = 9, .external_lex_state = 5},
  [4541] = {.lex_state = 77, .external_lex_state = 5},
  [4542] = {.lex_state = 9, .external_lex_state = 6},
  [4543] = {.lex_state = 77, .external_lex_state = 5},
  [4544] = {.lex_state = 77, .external_lex_state = 5},
  [4545] = {.lex_state = 77, .external_lex_state = 5},
  [4546] = {.lex_state = 77, .external_lex_state = 5},
  [4547] = {.lex_state = 77, .external_lex_state = 5},
  [4548] = {.lex_state = 77, .external_lex_state = 5},
  [4549] = {.lex_state = 77, .external_lex_state = 2},
  [4550] = {.lex_state = 77, .external_lex_state = 5},
  [4551] = {.lex_state = 77, .external_lex_state = 5},
  [4552] = {.lex_state = 77, .external_lex_state = 5},
  [4553] = {.lex_state = 77, .external_lex_state = 5},
  [4554] = {.lex_state = 9, .external_lex_state = 2},
  [4555] = {.lex_state = 77, .external_lex_state = 5},
  [4556] = {.lex_state = 77, .external_lex_state = 5},
  [4557] = {.lex_state = 77, .external_lex_state = 5},
  [4558] = {.lex_state = 77, .external_lex_state = 5},
  [4559] = {.lex_state = 4, .external_lex_state = 5},
  [4560] = {.lex_state = 77, .external_lex_state = 5},
  [4561] = {.lex_state = 77, .external_lex_state = 5},
  [4562] = {.lex_state = 77, .external_lex_state = 5},
  [4563] = {.lex_state = 77, .external_lex_state = 5},
  [4564] = {.lex_state = 9, .external_lex_state = 6},
  [4565] = {.lex_state = 77, .external_lex_state = 5},
  [4566] = {.lex_state = 77, .external_lex_state = 5},
  [4567] = {.lex_state = 9, .external_lex_state = 5},
  [4568] = {.lex_state = 77, .external_lex_state = 5},
  [4569] = {.lex_state = 77, .external_lex_state = 5},
  [4570] = {.lex_state = 77, .external_lex_state = 5},
  [4571] = {.lex_state = 77, .external_lex_state = 2},
  [4572] = {.lex_state = 77, .external_lex_state = 5},
  [4573] = {.lex_state = 77, .external_lex_state = 5},
  [4574] = {.lex_state = 77, .external_lex_state = 5},
  [4575] = {.lex_state = 77, .external_lex_state = 5},
  [4576] = {.lex_state = 77, .external_lex_state = 5},
  [4577] = {.lex_state = 9, .external_lex_state = 2},
  [4578] = {.lex_state = 77, .external_lex_state = 5},
  [4579] = {.lex_state = 77, .external_lex_state = 5},
  [4580] = {.lex_state = 77, .external_lex_state = 2},
  [4581] = {.lex_state = 77, .external_lex_state = 5},
  [4582] = {.lex_state = 77, .external_lex_state = 5},
  [4583] = {.lex_state = 77, .external_lex_state = 5},
  [4584] = {.lex_state = 77, .external_lex_state = 5},
  [4585] = {.lex_state = 9, .external_lex_state = 2},
  [4586] = {.lex_state = 77, .external_lex_state = 2},
  [4587] = {.lex_state = 9, .external_lex_state = 2},
  [4588] = {.lex_state = 9, .external_lex_state = 2},
  [4589] = {.lex_state = 9, .external_lex_state = 2},
  [4590] = {.lex_state = 9, .external_lex_state = 2},
  [4591] = {.lex_state = 9, .external_lex_state = 2},
  [4592] = {.lex_state = 77, .external_lex_state = 5},
  [4593] = {.lex_state = 9, .external_lex_state = 5},
  [4594] = {.lex_state = 77, .external_lex_state = 2},
  [4595] = {.lex_state = 9, .external_lex_state = 2},
  [4596] = {.lex_state = 77, .external_lex_state = 5},
  [4597] = {.lex_state = 77, .external_lex_state = 5},
  [4598] = {.lex_state = 77, .external_lex_state = 5},
  [4599] = {.lex_state = 77, .external_lex_state = 5},
  [4600] = {.lex_state = 9, .external_lex_state = 2},
  [4601] = {.lex_state = 77, .external_lex_state = 5},
  [4602] = {.lex_state = 9, .external_lex_state = 2},
  [4603] = {.lex_state = 77, .external_lex_state = 2},
  [4604] = {.lex_state = 77, .external_lex_state = 5},
  [4605] = {.lex_state = 77, .external_lex_state = 5},
  [4606] = {.lex_state = 9, .external_lex_state = 2},
  [4607] = {.lex_state = 77, .external_lex_state = 5},
  [4608] = {.lex_state = 77, .external_lex_state = 2},
  [4609] = {.lex_state = 77, .external_lex_state = 5},
  [4610] = {.lex_state = 77, .external_lex_state = 5},
  [4611] = {.lex_state = 77, .external_lex_state = 5},
  [4612] = {.lex_state = 77, .external_lex_state = 2},
  [4613] = {.lex_state = 77, .external_lex_state = 5},
  [4614] = {.lex_state = 77, .external_lex_state = 5},
  [4615] = {.lex_state = 9, .external_lex_state = 2},
  [4616] = {.lex_state = 77, .external_lex_state = 5},
  [4617] = {.lex_state = 77, .external_lex_state = 5},
  [4618] = {.lex_state = 77, .external_lex_state = 5},
  [4619] = {.lex_state = 77, .external_lex_state = 5},
  [4620] = {.lex_state = 77, .external_lex_state = 5},
  [4621] = {.lex_state = 9, .external_lex_state = 2},
  [4622] = {.lex_state = 77, .external_lex_state = 5},
  [4623] = {.lex_state = 77, .external_lex_state = 5},
  [4624] = {.lex_state = 77, .external_lex_state = 5},
  [4625] = {.lex_state = 77, .external_lex_state = 5},
  [4626] = {.lex_state = 77, .external_lex_state = 5},
  [4627] = {.lex_state = 4, .external_lex_state = 5},
  [4628] = {.lex_state = 77, .external_lex_state = 5},
  [4629] = {.lex_state = 77, .external_lex_state = 5},
  [4630] = {.lex_state = 4, .external_lex_state = 5},
  [4631] = {.lex_state = 77, .external_lex_state = 5},
  [4632] = {.lex_state = 77, .external_lex_state = 5},
  [4633] = {.lex_state = 9, .external_lex_state = 2},
  [4634] = {.lex_state = 77, .external_lex_state = 5},
  [4635] = {.lex_state = 9, .external_lex_state = 6},
  [4636] = {.lex_state = 9, .external_lex_state = 6},
  [4637] = {.lex_state = 9, .external_lex_state = 2},
  [4638] = {.lex_state = 9, .external_lex_state = 6},
  [4639] = {.lex_state = 77, .external_lex_state = 5},
  [4640] = {.lex_state = 9, .external_lex_state = 2},
  [4641] = {.lex_state = 9, .external_lex_state = 2},
  [4642] = {.lex_state = 77, .external_lex_state = 2},
  [4643] = {.lex_state = 9, .external_lex_state = 2},
  [4644] = {.lex_state = 9, .external_lex_state = 2},
  [4645] = {.lex_state = 9, .external_lex_state = 2},
  [4646] = {.lex_state = 9, .external_lex_state = 2},
  [4647] = {.lex_state = 9, .external_lex_state = 2},
  [4648] = {.lex_state = 77, .external_lex_state = 5},
  [4649] = {.lex_state = 77, .external_lex_state = 5},
  [4650] = {.lex_state = 77, .external_lex_state = 5},
  [4651] = {.lex_state = 9, .external_lex_state = 2},
  [4652] = {.lex_state = 77, .external_lex_state = 5},
  [4653] = {.lex_state = 9, .external_lex_state = 6},
  [4654] = {.lex_state = 77, .external_lex_state = 5},
  [4655] = {.lex_state = 77, .external_lex_state = 5},
  [4656] = {.lex_state = 77, .external_lex_state = 5},
  [4657] = {.lex_state = 77, .external_lex_state = 5},
  [4658] = {.lex_state = 9, .external_lex_state = 6},
  [4659] = {.lex_state = 77, .external_lex_state = 2},
  [4660] = {.lex_state = 77, .external_lex_state = 5},
  [4661] = {.lex_state = 77, .external_lex_state = 5},
  [4662] = {.lex_state = 77, .external_lex_state = 5},
  [4663] = {.lex_state = 77, .external_lex_state = 5},
  [4664] = {.lex_state = 77, .external_lex_state = 5},
  [4665] = {.lex_state = 77, .external_lex_state = 2},
  [4666] = {.lex_state = 77, .external_lex_state = 5},
  [4667] = {.lex_state = 77, .external_lex_state = 5},
  [4668] = {.lex_state = 77, .external_lex_state = 5},
  [4669] = {.lex_state = 9, .external_lex_state = 2},
  [4670] = {.lex_state = 77, .external_lex_state = 5},
  [4671] = {.lex_state = 77, .external_lex_state = 5},
  [4672] = {.lex_state = 77, .external_lex_state = 5},
  [4673] = {.lex_state = 77, .external_lex_state = 5},
  [4674] = {.lex_state = 77, .external_lex_state = 5},
  [4675] = {.lex_state = 77, .external_lex_state = 5},
  [4676] = {.lex_state = 77, .external_lex_state = 5},
  [4677] = {.lex_state = 9, .external_lex_state = 2},
  [4678] = {.lex_state = 77, .external_lex_state = 5},
  [4679] = {.lex_state = 77, .external_lex_state = 5},
  [4680] = {.lex_state = 4, .external_lex_state = 2},
  [4681] = {.lex_state = 77, .external_lex_state = 5},
  [4682] = {.lex_state = 77, .external_lex_state = 5},
  [4683] = {.lex_state = 9, .external_lex_state = 2},
  [4684] = {.lex_state = 77, .external_lex_state = 5},
  [4685] = {.lex_state = 77, .external_lex_state = 5},
  [4686] = {.lex_state = 77, .external_lex_state = 5},
  [4687] = {.lex_state = 77, .external_lex_state = 5},
  [4688] = {.lex_state = 77, .external_lex_state = 5},
  [4689] = {.lex_state = 9, .external_lex_state = 2},
  [4690] = {.lex_state = 77, .external_lex_state = 2},
  [4691] = {.lex_state = 77, .external_lex_state = 5},
  [4692] = {.lex_state = 9, .external_lex_state = 6},
  [4693] = {.lex_state = 77, .external_lex_state = 5},
  [4694] = {.lex_state = 77, .external_lex_state = 5},
  [4695] = {.lex_state = 77, .external_lex_state = 2},
  [4696] = {.lex_state = 77, .external_lex_state = 5},
  [4697] = {.lex_state = 77, .external_lex_state = 5},
  [4698] = {.lex_state = 77, .external_lex_state = 5},
  [4699] = {.lex_state = 77, .external_lex_state = 5},
  [4700] = {.lex_state = 77, .external_lex_state = 5},
  [4701] = {.lex_state = 9, .external_lex_state = 5},
  [4702] = {.lex_state = 77, .external_lex_state = 2},
  [4703] = {.lex_state = 77, .external_lex_state = 2},
  [4704] = {.lex_state = 77, .external_lex_state = 2},
  [4705] = {.lex_state = 77, .external_lex_state = 5},
  [4706] = {.lex_state = 77, .external_lex_state = 2},
  [4707] = {.lex_state = 77, .external_lex_state = 5},
  [4708] = {.lex_state = 77, .external_lex_state = 2},
  [4709] = {.lex_state = 77, .external_lex_state = 2},
  [4710] = {.lex_state = 77, .external_lex_state = 2},
  [4711] = {.lex_state = 77, .external_lex_state = 5},
  [4712] = {.lex_state = 9, .external_lex_state = 2},
  [4713] = {.lex_state = 77, .external_lex_state = 5},
  [4714] = {.lex_state = 77, .external_lex_state = 5},
  [4715] = {.lex_state = 77, .external_lex_state = 5},
  [4716] = {.lex_state = 77, .external_lex_state = 5},
  [4717] = {.lex_state = 77, .external_lex_state = 5},
  [4718] = {.lex_state = 9, .external_lex_state = 6},
  [4719] = {.lex_state = 77, .external_lex_state = 5},
  [4720] = {.lex_state = 77, .external_lex_state = 2},
  [4721] = {.lex_state = 9, .external_lex_state = 2},
  [4722] = {.lex_state = 77, .external_lex_state = 5},
  [4723] = {.lex_state = 77, .external_lex_state = 5},
  [4724] = {.lex_state = 77, .external_lex_state = 5},
  [4725] = {.lex_state = 77, .external_lex_state = 5},
  [4726] = {.lex_state = 77, .external_lex_state = 5},
  [4727] = {.lex_state = 77, .external_lex_state = 5},
  [4728] = {.lex_state = 77, .external_lex_state = 5},
  [4729] = {.lex_state = 77, .external_lex_state = 5},
  [4730] = {.lex_state = 77, .external_lex_state = 5},
  [4731] = {.lex_state = 77, .external_lex_state = 5},
  [4732] = {.lex_state = 77, .external_lex_state = 5},
  [4733] = {.lex_state = 77, .external_lex_state = 5},
  [4734] = {.lex_state = 9, .external_lex_state = 2},
  [4735] = {.lex_state = 77, .external_lex_state = 5},
  [4736] = {.lex_state = 77, .external_lex_state = 5},
  [4737] = {.lex_state = 77, .external_lex_state = 5},
  [4738] = {.lex_state = 77, .external_lex_state = 5},
  [4739] = {.lex_state = 77, .external_lex_state = 5},
  [4740] = {.lex_state = 77, .external_lex_state = 5},
  [4741] = {.lex_state = 77, .external_lex_state = 5},
  [4742] = {.lex_state = 77, .external_lex_state = 5},
  [4743] = {.lex_state = 77, .external_lex_state = 5},
  [4744] = {.lex_state = 9, .external_lex_state = 2},
  [4745] = {.lex_state = 77, .external_lex_state = 5},
  [4746] = {.lex_state = 16, .external_lex_state = 8},
  [4747] = {.lex_state = 77, .external_lex_state = 5},
  [4748] = {.lex_state = 77, .external_lex_state = 5},
  [4749] = {.lex_state = 77, .external_lex_state = 5},
  [4750] = {.lex_state = 77, .external_lex_state = 5},
  [4751] = {.lex_state = 77, .external_lex_state = 5},
  [4752] = {.lex_state = 77, .external_lex_state = 5},
  [4753] = {.lex_state = 9, .external_lex_state = 2},
  [4754] = {.lex_state = 77, .external_lex_state = 5},
  [4755] = {.lex_state = 77, .external_lex_state = 5},
  [4756] = {.lex_state = 9, .external_lex_state = 2},
  [4757] = {.lex_state = 77, .external_lex_state = 2},
  [4758] = {.lex_state = 77, .external_lex_state = 2},
  [4759] = {.lex_state = 9, .external_lex_state = 5},
  [4760] = {.lex_state = 77, .external_lex_state = 5},
  [4761] = {.lex_state = 77, .external_lex_state = 5},
  [4762] = {.lex_state = 77, .external_lex_state = 5},
  [4763] = {.lex_state = 77, .external_lex_state = 5},
  [4764] = {.lex_state = 77, .external_lex_state = 5},
  [4765] = {.lex_state = 77, .external_lex_state = 5},
  [4766] = {.lex_state = 9, .external_lex_state = 2},
  [4767] = {.lex_state = 9, .external_lex_state = 2},
  [4768] = {.lex_state = 77, .external_lex_state = 5},
  [4769] = {.lex_state = 77, .external_lex_state = 5},
  [4770] = {.lex_state = 77, .external_lex_state = 5},
  [4771] = {.lex_state = 77, .external_lex_state = 5},
  [4772] = {.lex_state = 77, .external_lex_state = 2},
  [4773] = {.lex_state = 77, .external_lex_state = 5},
  [4774] = {.lex_state = 77, .external_lex_state = 5},
  [4775] = {.lex_state = 77, .external_lex_state = 2},
  [4776] = {.lex_state = 77, .external_lex_state = 5},
  [4777] = {.lex_state = 14, .external_lex_state = 2},
  [4778] = {.lex_state = 77, .external_lex_state = 5},
  [4779] = {.lex_state = 9, .external_lex_state = 2},
  [4780] = {.lex_state = 9, .external_lex_state = 6},
  [4781] = {.lex_state = 9, .external_lex_state = 2},
  [4782] = {.lex_state = 9, .external_lex_state = 2},
  [4783] = {.lex_state = 9, .external_lex_state = 2},
  [4784] = {.lex_state = 77, .external_lex_state = 5},
  [4785] = {.lex_state = 9, .external_lex_state = 2},
  [4786] = {.lex_state = 9, .external_lex_state = 2},
  [4787] = {.lex_state = 9, .external_lex_state = 2},
  [4788] = {.lex_state = 77, .external_lex_state = 5},
  [4789] = {.lex_state = 9, .external_lex_state = 2},
  [4790] = {.lex_state = 9, .external_lex_state = 2},
  [4791] = {.lex_state = 77, .external_lex_state = 5},
  [4792] = {.lex_state = 77, .external_lex_state = 5},
  [4793] = {.lex_state = 19, .external_lex_state = 9},
  [4794] = {.lex_state = 9, .external_lex_state = 2},
  [4795] = {.lex_state = 9, .external_lex_state = 2},
  [4796] = {.lex_state = 9, .external_lex_state = 2},
  [4797] = {.lex_state = 15, .external_lex_state = 9},
  [4798] = {.lex_state = 19, .external_lex_state = 9},
  [4799] = {.lex_state = 15, .external_lex_state = 9},
  [4800] = {.lex_state = 19, .external_lex_state = 9},
  [4801] = {.lex_state = 77, .external_lex_state = 2},
  [4802] = {.lex_state = 77, .external_lex_state = 5},
  [4803] = {.lex_state = 77, .external_lex_state = 2},
  [4804] = {.lex_state = 77, .external_lex_state = 2},
  [4805] = {.lex_state = 9, .external_lex_state = 2},
  [4806] = {.lex_state = 77, .external_lex_state = 5},
  [4807] = {.lex_state = 9, .external_lex_state = 2},
  [4808] = {.lex_state = 77, .external_lex_state = 5},
  [4809] = {.lex_state = 9, .external_lex_state = 2},
  [4810] = {.lex_state = 77, .external_lex_state = 5},
  [4811] = {.lex_state = 77, .external_lex_state = 2},
  [4812] = {.lex_state = 77, .external_lex_state = 5},
  [4813] = {.lex_state = 9, .external_lex_state = 2},
  [4814] = {.lex_state = 9, .external_lex_state = 2},
  [4815] = {.lex_state = 9, .external_lex_state = 2},
  [4816] = {.lex_state = 9, .external_lex_state = 2},
  [4817] = {.lex_state = 77, .external_lex_state = 5},
  [4818] = {.lex_state = 9, .external_lex_state = 2},
  [4819] = {.lex_state = 9, .external_lex_state = 2},
  [4820] = {.lex_state = 9, .external_lex_state = 2},
  [4821] = {.lex_state = 16, .external_lex_state = 7},
  [4822] = {.lex_state = 9, .external_lex_state = 2},
  [4823] = {.lex_state = 77, .external_lex_state = 2},
  [4824] = {.lex_state = 9, .external_lex_state = 2},
  [4825] = {.lex_state = 77, .external_lex_state = 5},
  [4826] = {.lex_state = 9, .external_lex_state = 2},
  [4827] = {.lex_state = 77, .external_lex_state = 2},
  [4828] = {.lex_state = 9, .external_lex_state = 2},
  [4829] = {.lex_state = 77, .external_lex_state = 2},
  [4830] = {.lex_state = 77, .external_lex_state = 5},
  [4831] = {.lex_state = 9, .external_lex_state = 2},
  [4832] = {.lex_state = 15, .external_lex_state = 9},
  [4833] = {.lex_state = 77, .external_lex_state = 5},
  [4834] = {.lex_state = 77, .external_lex_state = 5},
  [4835] = {.lex_state = 9, .external_lex_state = 2},
  [4836] = {.lex_state = 9, .external_lex_state = 2},
  [4837] = {.lex_state = 77, .external_lex_state = 2},
  [4838] = {.lex_state = 9, .external_lex_state = 2},
  [4839] = {.lex_state = 9, .external_lex_state = 2},
  [4840] = {.lex_state = 15, .external_lex_state = 9},
  [4841] = {.lex_state = 77, .external_lex_state = 2},
  [4842] = {.lex_state = 15, .external_lex_state = 9},
  [4843] = {.lex_state = 9, .external_lex_state = 2},
  [4844] = {.lex_state = 9, .external_lex_state = 2},
  [4845] = {.lex_state = 19, .external_lex_state = 9},
  [4846] = {.lex_state = 15, .external_lex_state = 9},
  [4847] = {.lex_state = 19, .external_lex_state = 9},
  [4848] = {.lex_state = 19, .external_lex_state = 9},
  [4849] = {.lex_state = 77, .external_lex_state = 2},
  [4850] = {.lex_state = 9, .external_lex_state = 2},
  [4851] = {.lex_state = 15, .external_lex_state = 9},
  [4852] = {.lex_state = 77, .external_lex_state = 2},
  [4853] = {.lex_state = 77, .external_lex_state = 5},
  [4854] = {.lex_state = 9, .external_lex_state = 2},
  [4855] = {.lex_state = 77, .external_lex_state = 5},
  [4856] = {.lex_state = 9, .external_lex_state = 2},
  [4857] = {.lex_state = 9, .external_lex_state = 2},
  [4858] = {.lex_state = 14, .external_lex_state = 2},
  [4859] = {.lex_state = 9, .external_lex_state = 2},
  [4860] = {.lex_state = 77, .external_lex_state = 5},
  [4861] = {.lex_state = 9, .external_lex_state = 2},
  [4862] = {.lex_state = 77, .external_lex_state = 5},
  [4863] = {.lex_state = 15, .external_lex_state = 9},
  [4864] = {.lex_state = 19, .external_lex_state = 9},
  [4865] = {.lex_state = 77, .external_lex_state = 5},
  [4866] = {.lex_state = 15, .external_lex_state = 9},
  [4867] = {.lex_state = 19, .external_lex_state = 9},
  [4868] = {.lex_state = 9, .external_lex_state = 2},
  [4869] = {.lex_state = 15, .external_lex_state = 9},
  [4870] = {.lex_state = 19, .external_lex_state = 9},
  [4871] = {.lex_state = 77, .external_lex_state = 2},
  [4872] = {.lex_state = 9, .external_lex_state = 2},
  [4873] = {.lex_state = 9, .external_lex_state = 2},
  [4874] = {.lex_state = 19, .external_lex_state = 9},
  [4875] = {.lex_state = 15, .external_lex_state = 9},
  [4876] = {.lex_state = 19, .external_lex_state = 9},
  [4877] = {.lex_state = 19, .external_lex_state = 9},
  [4878] = {.lex_state = 15, .external_lex_state = 9},
  [4879] = {.lex_state = 19, .external_lex_state = 9},
  [4880] = {.lex_state = 9, .external_lex_state = 2},
  [4881] = {.lex_state = 15, .external_lex_state = 9},
  [4882] = {.lex_state = 9, .external_lex_state = 2},
  [4883] = {.lex_state = 14, .external_lex_state = 2},
  [4884] = {.lex_state = 9, .external_lex_state = 2},
  [4885] = {.lex_state = 9, .external_lex_state = 2},
  [4886] = {.lex_state = 19, .external_lex_state = 9},
  [4887] = {.lex_state = 9, .external_lex_state = 2},
  [4888] = {.lex_state = 9, .external_lex_state = 2},
  [4889] = {.lex_state = 77, .external_lex_state = 2},
  [4890] = {.lex_state = 15, .external_lex_state = 9},
  [4891] = {.lex_state = 15, .external_lex_state = 9},
  [4892] = {.lex_state = 77, .external_lex_state = 2},
  [4893] = {.lex_state = 19, .external_lex_state = 9},
  [4894] = {.lex_state = 15, .external_lex_state = 9},
  [4895] = {.lex_state = 19, .external_lex_state = 9},
  [4896] = {.lex_state = 15, .external_lex_state = 9},
  [4897] = {.lex_state = 19, .external_lex_state = 9},
  [4898] = {.lex_state = 19, .external_lex_state = 9},
  [4899] = {.lex_state = 19, .external_lex_state = 9},
  [4900] = {.lex_state = 77, .external_lex_state = 2},
  [4901] = {.lex_state = 77, .external_lex_state = 5},
  [4902] = {.lex_state = 77, .external_lex_state = 2},
  [4903] = {.lex_state = 77, .external_lex_state = 2},
  [4904] = {.lex_state = 77, .external_lex_state = 2},
  [4905] = {.lex_state = 77, .external_lex_state = 5},
  [4906] = {.lex_state = 9, .external_lex_state = 2},
  [4907] = {.lex_state = 9, .external_lex_state = 2},
  [4908] = {.lex_state = 77, .external_lex_state = 2},
  [4909] = {.lex_state = 77, .external_lex_state = 5},
  [4910] = {.lex_state = 4, .external_lex_state = 5},
  [4911] = {.lex_state = 77, .external_lex_state = 5},
  [4912] = {.lex_state = 9, .external_lex_state = 2},
  [4913] = {.lex_state = 77, .external_lex_state = 5},
  [4914] = {.lex_state = 77, .external_lex_state = 5},
  [4915] = {.lex_state = 77, .external_lex_state = 2},
  [4916] = {.lex_state = 9, .external_lex_state = 2},
  [4917] = {.lex_state = 16, .external_lex_state = 7},
  [4918] = {.lex_state = 77, .external_lex_state = 5},
  [4919] = {.lex_state = 77, .external_lex_state = 6},
  [4920] = {.lex_state = 15, .external_lex_state = 9},
  [4921] = {.lex_state = 77, .external_lex_state = 5},
  [4922] = {.lex_state = 4, .external_lex_state = 2},
  [4923] = {.lex_state = 77, .external_lex_state = 5},
  [4924] = {.lex_state = 19, .external_lex_state = 9},
  [4925] = {.lex_state = 9, .external_lex_state = 2},
  [4926] = {.lex_state = 9, .external_lex_state = 2},
  [4927] = {.lex_state = 15, .external_lex_state = 9},
  [4928] = {.lex_state = 9, .external_lex_state = 2},
  [4929] = {.lex_state = 77, .external_lex_state = 2},
  [4930] = {.lex_state = 19, .external_lex_state = 9},
  [4931] = {.lex_state = 9, .external_lex_state = 2},
  [4932] = {.lex_state = 9, .external_lex_state = 2},
  [4933] = {.lex_state = 9, .external_lex_state = 2},
  [4934] = {.lex_state = 9, .external_lex_state = 2},
  [4935] = {.lex_state = 9, .external_lex_state = 2},
  [4936] = {.lex_state = 9, .external_lex_state = 2},
  [4937] = {.lex_state = 9, .external_lex_state = 2},
  [4938] = {.lex_state = 9, .external_lex_state = 2},
  [4939] = {.lex_state = 9, .external_lex_state = 2},
  [4940] = {.lex_state = 9, .external_lex_state = 2},
  [4941] = {.lex_state = 9, .external_lex_state = 2},
  [4942] = {.lex_state = 77, .external_lex_state = 2},
  [4943] = {.lex_state = 77, .external_lex_state = 2},
  [4944] = {.lex_state = 9, .external_lex_state = 2},
  [4945] = {.lex_state = 77, .external_lex_state = 5},
  [4946] = {.lex_state = 15, .external_lex_state = 9},
  [4947] = {.lex_state = 4, .external_lex_state = 2},
  [4948] = {.lex_state = 9, .external_lex_state = 2},
  [4949] = {.lex_state = 15, .external_lex_state = 9},
  [4950] = {.lex_state = 77, .external_lex_state = 5},
  [4951] = {.lex_state = 77, .external_lex_state = 5},
  [4952] = {.lex_state = 77, .external_lex_state = 5},
  [4953] = {.lex_state = 77, .external_lex_state = 5},
  [4954] = {.lex_state = 77, .external_lex_state = 5},
  [4955] = {.lex_state = 77, .external_lex_state = 2},
  [4956] = {.lex_state = 77, .external_lex_state = 5},
  [4957] = {.lex_state = 77, .external_lex_state = 5},
  [4958] = {.lex_state = 77, .external_lex_state = 2},
  [4959] = {.lex_state = 77, .external_lex_state = 5},
  [4960] = {.lex_state = 77, .external_lex_state = 5},
  [4961] = {.lex_state = 77, .external_lex_state = 2},
  [4962] = {.lex_state = 77, .external_lex_state = 5},
  [4963] = {.lex_state = 77, .external_lex_state = 5},
  [4964] = {.lex_state = 9, .external_lex_state = 2},
  [4965] = {.lex_state = 77, .external_lex_state = 5},
  [4966] = {.lex_state = 77, .external_lex_state = 5},
  [4967] = {.lex_state = 9, .external_lex_state = 2},
  [4968] = {.lex_state = 77, .external_lex_state = 5},
  [4969] = {.lex_state = 77, .external_lex_state = 5},
  [4970] = {.lex_state = 77, .external_lex_state = 5},
  [4971] = {.lex_state = 77, .external_lex_state = 5},
  [4972] = {.lex_state = 77, .external_lex_state = 5},
  [4973] = {.lex_state = 77, .external_lex_state = 5},
  [4974] = {.lex_state = 77, .external_lex_state = 5},
  [4975] = {.lex_state = 77, .external_lex_state = 2},
  [4976] = {.lex_state = 77, .external_lex_state = 2},
  [4977] = {.lex_state = 77, .external_lex_state = 5},
  [4978] = {.lex_state = 77, .external_lex_state = 2},
  [4979] = {.lex_state = 77, .external_lex_state = 5},
  [4980] = {.lex_state = 77, .external_lex_state = 2},
  [4981] = {.lex_state = 77, .external_lex_state = 2},
  [4982] = {.lex_state = 77, .external_lex_state = 5},
  [4983] = {.lex_state = 77, .external_lex_state = 2},
  [4984] = {.lex_state = 77, .external_lex_state = 5},
  [4985] = {.lex_state = 4, .external_lex_state = 2},
  [4986] = {.lex_state = 77, .external_lex_state = 5},
  [4987] = {.lex_state = 77, .external_lex_state = 5},
  [4988] = {.lex_state = 77, .external_lex_state = 5},
  [4989] = {.lex_state = 77, .external_lex_state = 5},
  [4990] = {.lex_state = 4, .external_lex_state = 2},
  [4991] = {.lex_state = 77, .external_lex_state = 5},
  [4992] = {.lex_state = 77, .external_lex_state = 5},
  [4993] = {.lex_state = 77, .external_lex_state = 2},
  [4994] = {.lex_state = 77, .external_lex_state = 2},
  [4995] = {.lex_state = 77, .external_lex_state = 5},
  [4996] = {.lex_state = 77, .external_lex_state = 5},
  [4997] = {.lex_state = 77, .external_lex_state = 5},
  [4998] = {.lex_state = 77, .external_lex_state = 2},
  [4999] = {.lex_state = 9, .external_lex_state = 2},
  [5000] = {.lex_state = 9, .external_lex_state = 2},
  [5001] = {.lex_state = 77, .external_lex_state = 2},
  [5002] = {.lex_state = 77, .external_lex_state = 5},
  [5003] = {.lex_state = 77, .external_lex_state = 2},
  [5004] = {.lex_state = 77, .external_lex_state = 5},
  [5005] = {.lex_state = 77, .external_lex_state = 5},
  [5006] = {.lex_state = 77, .external_lex_state = 2},
  [5007] = {.lex_state = 77, .external_lex_state = 5},
  [5008] = {.lex_state = 77, .external_lex_state = 5},
  [5009] = {.lex_state = 77, .external_lex_state = 5},
  [5010] = {.lex_state = 77, .external_lex_state = 5},
  [5011] = {.lex_state = 77, .external_lex_state = 5},
  [5012] = {.lex_state = 77, .external_lex_state = 5},
  [5013] = {.lex_state = 77, .external_lex_state = 5},
  [5014] = {.lex_state = 77, .external_lex_state = 5},
  [5015] = {.lex_state = 77, .external_lex_state = 5},
  [5016] = {.lex_state = 77, .external_lex_state = 2},
  [5017] = {.lex_state = 77, .external_lex_state = 5},
  [5018] = {.lex_state = 9, .external_lex_state = 2},
  [5019] = {.lex_state = 77, .external_lex_state = 5},
  [5020] = {.lex_state = 9, .external_lex_state = 2},
  [5021] = {.lex_state = 77, .external_lex_state = 5},
  [5022] = {.lex_state = 77, .external_lex_state = 5},
  [5023] = {.lex_state = 77, .external_lex_state = 2},
  [5024] = {.lex_state = 77, .external_lex_state = 2},
  [5025] = {.lex_state = 77, .external_lex_state = 5},
  [5026] = {.lex_state = 77, .external_lex_state = 2},
  [5027] = {.lex_state = 77, .external_lex_state = 5},
  [5028] = {.lex_state = 77, .external_lex_state = 2},
  [5029] = {.lex_state = 77, .external_lex_state = 5},
  [5030] = {.lex_state = 77, .external_lex_state = 5},
  [5031] = {.lex_state = 77, .external_lex_state = 2},
  [5032] = {.lex_state = 77, .external_lex_state = 5},
  [5033] = {.lex_state = 77, .external_lex_state = 5},
  [5034] = {.lex_state = 77, .external_lex_state = 2},
  [5035] = {.lex_state = 77, .external_lex_state = 5},
  [5036] = {.lex_state = 77, .external_lex_state = 5},
  [5037] = {.lex_state = 77, .external_lex_state = 5},
  [5038] = {.lex_state = 77, .external_lex_state = 2},
  [5039] = {.lex_state = 77, .external_lex_state = 5},
  [5040] = {.lex_state = 77, .external_lex_state = 5},
  [5041] = {.lex_state = 77, .external_lex_state = 5},
  [5042] = {.lex_state = 77, .external_lex_state = 5},
  [5043] = {.lex_state = 77, .external_lex_state = 5},
  [5044] = {.lex_state = 77, .external_lex_state = 5},
  [5045] = {.lex_state = 77, .external_lex_state = 5},
  [5046] = {.lex_state = 77, .external_lex_state = 5},
  [5047] = {.lex_state = 77, .external_lex_state = 2},
  [5048] = {.lex_state = 77, .external_lex_state = 5},
  [5049] = {.lex_state = 77, .external_lex_state = 5},
  [5050] = {.lex_state = 77, .external_lex_state = 2},
  [5051] = {.lex_state = 77, .external_lex_state = 5},
  [5052] = {.lex_state = 77, .external_lex_state = 5},
  [5053] = {.lex_state = 77, .external_lex_state = 5},
  [5054] = {.lex_state = 77, .external_lex_state = 5},
  [5055] = {.lex_state = 4, .external_lex_state = 5},
  [5056] = {.lex_state = 4, .external_lex_state = 5},
  [5057] = {.lex_state = 77, .external_lex_state = 5},
  [5058] = {.lex_state = 77, .external_lex_state = 5},
  [5059] = {.lex_state = 77, .external_lex_state = 2},
  [5060] = {.lex_state = 77, .external_lex_state = 5},
  [5061] = {.lex_state = 77, .external_lex_state = 2},
  [5062] = {.lex_state = 77, .external_lex_state = 5},
  [5063] = {.lex_state = 77, .external_lex_state = 5},
  [5064] = {.lex_state = 77, .external_lex_state = 5},
  [5065] = {.lex_state = 77, .external_lex_state = 5},
  [5066] = {.lex_state = 77, .external_lex_state = 5},
  [5067] = {.lex_state = 77, .external_lex_state = 5},
  [5068] = {.lex_state = 77, .external_lex_state = 2},
  [5069] = {.lex_state = 77, .external_lex_state = 5},
  [5070] = {.lex_state = 77, .external_lex_state = 2},
  [5071] = {.lex_state = 77, .external_lex_state = 5},
  [5072] = {.lex_state = 77, .external_lex_state = 5},
  [5073] = {.lex_state = 77, .external_lex_state = 5},
  [5074] = {.lex_state = 77, .external_lex_state = 5},
  [5075] = {.lex_state = 77, .external_lex_state = 2},
  [5076] = {.lex_state = 77, .external_lex_state = 2},
  [5077] = {.lex_state = 77, .external_lex_state = 5},
  [5078] = {.lex_state = 77, .external_lex_state = 5},
  [5079] = {.lex_state = 77, .external_lex_state = 5},
  [5080] = {.lex_state = 77, .external_lex_state = 5},
  [5081] = {.lex_state = 4, .external_lex_state = 2},
  [5082] = {.lex_state = 77, .external_lex_state = 5},
  [5083] = {.lex_state = 77, .external_lex_state = 5},
  [5084] = {.lex_state = 77, .external_lex_state = 5},
  [5085] = {.lex_state = 77, .external_lex_state = 5},
  [5086] = {.lex_state = 77, .external_lex_state = 5},
  [5087] = {.lex_state = 77, .external_lex_state = 5},
  [5088] = {.lex_state = 77, .external_lex_state = 5},
  [5089] = {.lex_state = 77, .external_lex_state = 5},
  [5090] = {.lex_state = 77, .external_lex_state = 5},
  [5091] = {.lex_state = 77, .external_lex_state = 5},
  [5092] = {.lex_state = 77, .external_lex_state = 5},
  [5093] = {.lex_state = 77, .external_lex_state = 5},
  [5094] = {.lex_state = 77, .external_lex_state = 5},
  [5095] = {.lex_state = 77, .external_lex_state = 5},
  [5096] = {.lex_state = 77, .external_lex_state = 5},
  [5097] = {.lex_state = 77, .external_lex_state = 5},
  [5098] = {.lex_state = 77, .external_lex_state = 5},
  [5099] = {.lex_state = 77, .external_lex_state = 5},
  [5100] = {.lex_state = 77, .external_lex_state = 5},
  [5101] = {.lex_state = 77, .external_lex_state = 5},
  [5102] = {.lex_state = 9, .external_lex_state = 2},
  [5103] = {.lex_state = 77, .external_lex_state = 2},
  [5104] = {.lex_state = 77, .external_lex_state = 2},
  [5105] = {.lex_state = 77, .external_lex_state = 5},
  [5106] = {.lex_state = 77, .external_lex_state = 5},
  [5107] = {.lex_state = 77, .external_lex_state = 5},
  [5108] = {.lex_state = 77, .external_lex_state = 5},
  [5109] = {.lex_state = 77, .external_lex_state = 5},
  [5110] = {.lex_state = 77, .external_lex_state = 5},
  [5111] = {.lex_state = 77, .external_lex_state = 2},
  [5112] = {.lex_state = 77, .external_lex_state = 5},
  [5113] = {.lex_state = 77, .external_lex_state = 5},
  [5114] = {.lex_state = 77, .external_lex_state = 5},
  [5115] = {.lex_state = 77, .external_lex_state = 5},
  [5116] = {.lex_state = 77, .external_lex_state = 5},
  [5117] = {.lex_state = 9, .external_lex_state = 2},
  [5118] = {.lex_state = 77, .external_lex_state = 5},
  [5119] = {.lex_state = 77, .external_lex_state = 5},
  [5120] = {.lex_state = 77, .external_lex_state = 5},
  [5121] = {.lex_state = 77, .external_lex_state = 5},
  [5122] = {.lex_state = 77, .external_lex_state = 5},
  [5123] = {.lex_state = 77, .external_lex_state = 5},
  [5124] = {.lex_state = 77, .external_lex_state = 5},
  [5125] = {.lex_state = 77, .external_lex_state = 5},
  [5126] = {.lex_state = 77, .external_lex_state = 2},
  [5127] = {.lex_state = 77, .external_lex_state = 5},
  [5128] = {.lex_state = 77, .external_lex_state = 5},
  [5129] = {.lex_state = 77, .external_lex_state = 5},
  [5130] = {.lex_state = 77, .external_lex_state = 5},
  [5131] = {.lex_state = 77, .external_lex_state = 5},
  [5132] = {.lex_state = 77, .external_lex_state = 5},
  [5133] = {.lex_state = 77, .external_lex_state = 5},
  [5134] = {.lex_state = 77, .external_lex_state = 5},
  [5135] = {.lex_state = 77, .external_lex_state = 5},
  [5136] = {.lex_state = 77, .external_lex_state = 5},
  [5137] = {.lex_state = 77, .external_lex_state = 2},
  [5138] = {.lex_state = 77, .external_lex_state = 5},
  [5139] = {.lex_state = 77, .external_lex_state = 5},
  [5140] = {.lex_state = 77, .external_lex_state = 5},
  [5141] = {.lex_state = 77, .external_lex_state = 5},
  [5142] = {.lex_state = 4, .external_lex_state = 2},
  [5143] = {.lex_state = 77, .external_lex_state = 2},
  [5144] = {.lex_state = 77, .external_lex_state = 5},
  [5145] = {.lex_state = 77, .external_lex_state = 5},
  [5146] = {.lex_state = 77, .external_lex_state = 2},
  [5147] = {.lex_state = 77, .external_lex_state = 5},
  [5148] = {.lex_state = 77, .external_lex_state = 5},
  [5149] = {.lex_state = 77, .external_lex_state = 2},
  [5150] = {.lex_state = 12, .external_lex_state = 2},
  [5151] = {.lex_state = 77, .external_lex_state = 5},
  [5152] = {.lex_state = 77, .external_lex_state = 5},
  [5153] = {.lex_state = 77, .external_lex_state = 5},
  [5154] = {.lex_state = 77, .external_lex_state = 2},
  [5155] = {.lex_state = 77, .external_lex_state = 5},
  [5156] = {.lex_state = 77, .external_lex_state = 5},
  [5157] = {.lex_state = 77, .external_lex_state = 5},
  [5158] = {.lex_state = 77, .external_lex_state = 2},
  [5159] = {.lex_state = 77, .external_lex_state = 5},
  [5160] = {.lex_state = 9, .external_lex_state = 2},
  [5161] = {.lex_state = 77, .external_lex_state = 5},
  [5162] = {.lex_state = 9, .external_lex_state = 2},
  [5163] = {.lex_state = 77, .external_lex_state = 5},
  [5164] = {.lex_state = 77, .external_lex_state = 2},
  [5165] = {.lex_state = 77, .external_lex_state = 2},
  [5166] = {.lex_state = 77, .external_lex_state = 5},
  [5167] = {.lex_state = 77, .external_lex_state = 5},
  [5168] = {.lex_state = 77, .external_lex_state = 5},
  [5169] = {.lex_state = 77, .external_lex_state = 2},
  [5170] = {.lex_state = 77, .external_lex_state = 5},
  [5171] = {.lex_state = 77, .external_lex_state = 5},
  [5172] = {.lex_state = 77, .external_lex_state = 5},
  [5173] = {.lex_state = 77, .external_lex_state = 2},
  [5174] = {.lex_state = 77, .external_lex_state = 5},
  [5175] = {.lex_state = 77, .external_lex_state = 2},
  [5176] = {.lex_state = 77, .external_lex_state = 5},
  [5177] = {.lex_state = 77, .external_lex_state = 2},
  [5178] = {.lex_state = 77, .external_lex_state = 2},
  [5179] = {.lex_state = 77, .external_lex_state = 5},
  [5180] = {.lex_state = 77, .external_lex_state = 5},
  [5181] = {.lex_state = 77, .external_lex_state = 5},
  [5182] = {.lex_state = 77, .external_lex_state = 2},
  [5183] = {.lex_state = 77, .external_lex_state = 2},
  [5184] = {.lex_state = 77, .external_lex_state = 5},
  [5185] = {.lex_state = 77, .external_lex_state = 5},
  [5186] = {.lex_state = 77, .external_lex_state = 5},
  [5187] = {.lex_state = 77, .external_lex_state = 5},
  [5188] = {.lex_state = 77, .external_lex_state = 5},
  [5189] = {.lex_state = 77, .external_lex_state = 2},
  [5190] = {.lex_state = 77, .external_lex_state = 5},
  [5191] = {.lex_state = 77, .external_lex_state = 5},
  [5192] = {.lex_state = 77, .external_lex_state = 5},
  [5193] = {.lex_state = 9, .external_lex_state = 2},
  [5194] = {.lex_state = 77, .external_lex_state = 5},
  [5195] = {.lex_state = 77, .external_lex_state = 5},
  [5196] = {.lex_state = 77, .external_lex_state = 5},
  [5197] = {.lex_state = 77, .external_lex_state = 5},
  [5198] = {.lex_state = 77, .external_lex_state = 2},
  [5199] = {.lex_state = 77, .external_lex_state = 2},
  [5200] = {.lex_state = 77, .external_lex_state = 5},
  [5201] = {.lex_state = 77, .external_lex_state = 5},
  [5202] = {.lex_state = 77, .external_lex_state = 5},
  [5203] = {.lex_state = 77, .external_lex_state = 5},
  [5204] = {.lex_state = 77, .external_lex_state = 5},
  [5205] = {.lex_state = 77, .external_lex_state = 5},
  [5206] = {.lex_state = 77, .external_lex_state = 5},
  [5207] = {.lex_state = 77, .external_lex_state = 5},
  [5208] = {.lex_state = 77, .external_lex_state = 5},
  [5209] = {.lex_state = 77, .external_lex_state = 5},
  [5210] = {.lex_state = 4, .external_lex_state = 2},
  [5211] = {.lex_state = 9, .external_lex_state = 2},
  [5212] = {.lex_state = 77, .external_lex_state = 5},
  [5213] = {.lex_state = 77, .external_lex_state = 5},
  [5214] = {.lex_state = 77, .external_lex_state = 5},
  [5215] = {.lex_state = 77, .external_lex_state = 5},
  [5216] = {.lex_state = 77, .external_lex_state = 5},
  [5217] = {.lex_state = 77, .external_lex_state = 5},
  [5218] = {.lex_state = 77, .external_lex_state = 5},
  [5219] = {.lex_state = 77, .external_lex_state = 5},
  [5220] = {.lex_state = 77, .external_lex_state = 2},
  [5221] = {.lex_state = 77, .external_lex_state = 5},
  [5222] = {.lex_state = 77, .external_lex_state = 5},
  [5223] = {.lex_state = 77, .external_lex_state = 5},
  [5224] = {.lex_state = 4, .external_lex_state = 2},
  [5225] = {.lex_state = 77, .external_lex_state = 5},
  [5226] = {.lex_state = 77, .external_lex_state = 5},
  [5227] = {.lex_state = 9, .external_lex_state = 2},
  [5228] = {.lex_state = 9, .external_lex_state = 2},
  [5229] = {.lex_state = 77, .external_lex_state = 2},
  [5230] = {.lex_state = 77, .external_lex_state = 5},
  [5231] = {.lex_state = 77, .external_lex_state = 2},
  [5232] = {.lex_state = 77, .external_lex_state = 5},
  [5233] = {.lex_state = 77, .external_lex_state = 5},
  [5234] = {.lex_state = 77, .external_lex_state = 5},
  [5235] = {.lex_state = 77, .external_lex_state = 2},
  [5236] = {.lex_state = 77, .external_lex_state = 5},
  [5237] = {.lex_state = 9, .external_lex_state = 2},
  [5238] = {.lex_state = 77, .external_lex_state = 5},
  [5239] = {.lex_state = 9, .external_lex_state = 2},
  [5240] = {.lex_state = 77, .external_lex_state = 2},
  [5241] = {.lex_state = 77, .external_lex_state = 2},
  [5242] = {.lex_state = 77, .external_lex_state = 2},
  [5243] = {.lex_state = 77, .external_lex_state = 2},
  [5244] = {.lex_state = 77, .external_lex_state = 2},
  [5245] = {.lex_state = 77, .external_lex_state = 2},
  [5246] = {.lex_state = 77, .external_lex_state = 2},
  [5247] = {.lex_state = 77, .external_lex_state = 5},
  [5248] = {.lex_state = 77, .external_lex_state = 5},
  [5249] = {.lex_state = 77, .external_lex_state = 2},
  [5250] = {.lex_state = 4, .external_lex_state = 2},
  [5251] = {.lex_state = 9, .external_lex_state = 2},
  [5252] = {.lex_state = 77, .external_lex_state = 2},
  [5253] = {.lex_state = 77, .external_lex_state = 2},
  [5254] = {.lex_state = 77, .external_lex_state = 5},
  [5255] = {.lex_state = 77, .external_lex_state = 2},
  [5256] = {.lex_state = 77, .external_lex_state = 2},
  [5257] = {.lex_state = 77, .external_lex_state = 2},
  [5258] = {.lex_state = 77, .external_lex_state = 2},
  [5259] = {.lex_state = 77, .external_lex_state = 5},
  [5260] = {.lex_state = 77, .external_lex_state = 5},
  [5261] = {.lex_state = 77, .external_lex_state = 5},
  [5262] = {.lex_state = 77, .external_lex_state = 5},
  [5263] = {.lex_state = 77, .external_lex_state = 5},
  [5264] = {.lex_state = 77, .external_lex_state = 5},
  [5265] = {.lex_state = 77, .external_lex_state = 5},
  [5266] = {.lex_state = 77, .external_lex_state = 5},
  [5267] = {.lex_state = 77, .external_lex_state = 5},
  [5268] = {.lex_state = 77, .external_lex_state = 2},
  [5269] = {.lex_state = 77, .external_lex_state = 2},
  [5270] = {.lex_state = 77, .external_lex_state = 5},
  [5271] = {.lex_state = 77, .external_lex_state = 2},
  [5272] = {.lex_state = 77, .external_lex_state = 5},
  [5273] = {.lex_state = 77, .external_lex_state = 5},
  [5274] = {.lex_state = 77, .external_lex_state = 2},
  [5275] = {.lex_state = 77, .external_lex_state = 5},
  [5276] = {.lex_state = 77, .external_lex_state = 2},
  [5277] = {.lex_state = 77, .external_lex_state = 2},
  [5278] = {.lex_state = 77, .external_lex_state = 5},
  [5279] = {.lex_state = 77, .external_lex_state = 5},
  [5280] = {.lex_state = 9, .external_lex_state = 2},
  [5281] = {.lex_state = 77, .external_lex_state = 5},
  [5282] = {.lex_state = 77, .external_lex_state = 5},
  [5283] = {.lex_state = 77, .external_lex_state = 5},
  [5284] = {.lex_state = 77, .external_lex_state = 5},
  [5285] = {.lex_state = 9, .external_lex_state = 2},
  [5286] = {.lex_state = 77, .external_lex_state = 5},
  [5287] = {.lex_state = 77, .external_lex_state = 2},
  [5288] = {.lex_state = 77, .external_lex_state = 2},
  [5289] = {.lex_state = 77, .external_lex_state = 2},
  [5290] = {.lex_state = 77, .external_lex_state = 2},
  [5291] = {.lex_state = 77, .external_lex_state = 5},
  [5292] = {.lex_state = 77, .external_lex_state = 5},
  [5293] = {.lex_state = 77, .external_lex_state = 2},
  [5294] = {.lex_state = 77, .external_lex_state = 2},
  [5295] = {.lex_state = 77, .external_lex_state = 2},
  [5296] = {.lex_state = 77, .external_lex_state = 5},
  [5297] = {.lex_state = 77, .external_lex_state = 2},
  [5298] = {.lex_state = 77, .external_lex_state = 5},
  [5299] = {.lex_state = 77, .external_lex_state = 2},
  [5300] = {.lex_state = 77, .external_lex_state = 2},
  [5301] = {.lex_state = 77, .external_lex_state = 5},
  [5302] = {.lex_state = 77, .external_lex_state = 2},
  [5303] = {.lex_state = 77, .external_lex_state = 2},
  [5304] = {.lex_state = 77, .external_lex_state = 5},
  [5305] = {.lex_state = 77, .external_lex_state = 5},
  [5306] = {.lex_state = 77, .external_lex_state = 2},
  [5307] = {.lex_state = 77, .external_lex_state = 5},
  [5308] = {.lex_state = 77, .external_lex_state = 2},
  [5309] = {.lex_state = 77, .external_lex_state = 5},
  [5310] = {.lex_state = 77, .external_lex_state = 2},
  [5311] = {.lex_state = 77, .external_lex_state = 2},
  [5312] = {.lex_state = 77, .external_lex_state = 5},
  [5313] = {.lex_state = 77, .external_lex_state = 2},
  [5314] = {.lex_state = 77, .external_lex_state = 5},
  [5315] = {.lex_state = 77, .external_lex_state = 5},
  [5316] = {.lex_state = 77, .external_lex_state = 2},
  [5317] = {.lex_state = 77, .external_lex_state = 2},
  [5318] = {.lex_state = 77, .external_lex_state = 2},
  [5319] = {.lex_state = 77, .external_lex_state = 2},
  [5320] = {.lex_state = 77, .external_lex_state = 5},
  [5321] = {.lex_state = 77, .external_lex_state = 5},
  [5322] = {.lex_state = 77, .external_lex_state = 5},
  [5323] = {.lex_state = 77, .external_lex_state = 5},
  [5324] = {.lex_state = 77, .external_lex_state = 5},
  [5325] = {.lex_state = 77, .external_lex_state = 5},
  [5326] = {.lex_state = 77, .external_lex_state = 5},
  [5327] = {.lex_state = 77, .external_lex_state = 5},
  [5328] = {.lex_state = 77, .external_lex_state = 5},
  [5329] = {.lex_state = 77, .external_lex_state = 5},
  [5330] = {.lex_state = 77, .external_lex_state = 5},
  [5331] = {.lex_state = 77, .external_lex_state = 2},
  [5332] = {.lex_state = 77, .external_lex_state = 2},
  [5333] = {.lex_state = 77, .external_lex_state = 5},
  [5334] = {.lex_state = 77, .external_lex_state = 2},
  [5335] = {.lex_state = 4, .external_lex_state = 2},
  [5336] = {.lex_state = 77, .external_lex_state = 5},
  [5337] = {.lex_state = 77, .external_lex_state = 5},
  [5338] = {.lex_state = 77, .external_lex_state = 5},
  [5339] = {.lex_state = 9, .external_lex_state = 2},
  [5340] = {.lex_state = 77, .external_lex_state = 5},
  [5341] = {.lex_state = 77, .external_lex_state = 5},
  [5342] = {.lex_state = 77, .external_lex_state = 5},
  [5343] = {.lex_state = 77, .external_lex_state = 2},
  [5344] = {.lex_state = 77, .external_lex_state = 2},
  [5345] = {.lex_state = 4, .external_lex_state = 2},
  [5346] = {.lex_state = 77, .external_lex_state = 2},
  [5347] = {.lex_state = 77, .external_lex_state = 2},
  [5348] = {.lex_state = 77, .external_lex_state = 5},
  [5349] = {.lex_state = 77, .external_lex_state = 2},
  [5350] = {.lex_state = 77, .external_lex_state = 5},
  [5351] = {.lex_state = 77, .external_lex_state = 5},
  [5352] = {.lex_state = 77, .external_lex_state = 2},
  [5353] = {.lex_state = 77, .external_lex_state = 5},
  [5354] = {.lex_state = 77, .external_lex_state = 2},
  [5355] = {.lex_state = 77, .external_lex_state = 2},
  [5356] = {.lex_state = 77, .external_lex_state = 5},
  [5357] = {.lex_state = 77, .external_lex_state = 5},
  [5358] = {.lex_state = 77, .external_lex_state = 2},
  [5359] = {.lex_state = 77, .external_lex_state = 5},
  [5360] = {.lex_state = 77, .external_lex_state = 2},
  [5361] = {.lex_state = 9, .external_lex_state = 2},
  [5362] = {.lex_state = 77, .external_lex_state = 2},
  [5363] = {.lex_state = 77, .external_lex_state = 2},
  [5364] = {.lex_state = 77, .external_lex_state = 5},
  [5365] = {.lex_state = 77, .external_lex_state = 5},
  [5366] = {.lex_state = 77, .external_lex_state = 5},
  [5367] = {.lex_state = 4, .external_lex_state = 2},
  [5368] = {.lex_state = 77, .external_lex_state = 5},
  [5369] = {.lex_state = 77, .external_lex_state = 5},
  [5370] = {.lex_state = 77, .external_lex_state = 2},
  [5371] = {.lex_state = 77, .external_lex_state = 5},
  [5372] = {.lex_state = 9, .external_lex_state = 2},
  [5373] = {.lex_state = 77, .external_lex_state = 5},
  [5374] = {.lex_state = 77, .external_lex_state = 5},
  [5375] = {.lex_state = 9, .external_lex_state = 2},
  [5376] = {.lex_state = 77, .external_lex_state = 5},
  [5377] = {.lex_state = 77, .external_lex_state = 5},
  [5378] = {.lex_state = 77, .external_lex_state = 2},
  [5379] = {.lex_state = 77, .external_lex_state = 5},
  [5380] = {.lex_state = 77, .external_lex_state = 5},
  [5381] = {.lex_state = 77, .external_lex_state = 2},
  [5382] = {.lex_state = 16, .external_lex_state = 8},
  [5383] = {.lex_state = 77, .external_lex_state = 5},
  [5384] = {.lex_state = 77, .external_lex_state = 5},
  [5385] = {.lex_state = 77, .external_lex_state = 5},
  [5386] = {.lex_state = 77, .external_lex_state = 2},
  [5387] = {.lex_state = 77, .external_lex_state = 5},
  [5388] = {.lex_state = 77, .external_lex_state = 2},
  [5389] = {.lex_state = 77, .external_lex_state = 5},
  [5390] = {.lex_state = 77, .external_lex_state = 2},
  [5391] = {.lex_state = 77, .external_lex_state = 5},
  [5392] = {.lex_state = 77, .external_lex_state = 5},
  [5393] = {.lex_state = 77, .external_lex_state = 5},
  [5394] = {.lex_state = 77, .external_lex_state = 2},
  [5395] = {.lex_state = 9, .external_lex_state = 2},
  [5396] = {.lex_state = 77, .external_lex_state = 5},
  [5397] = {.lex_state = 77, .external_lex_state = 2},
  [5398] = {.lex_state = 77, .external_lex_state = 5},
  [5399] = {.lex_state = 77, .external_lex_state = 2},
  [5400] = {.lex_state = 77, .external_lex_state = 5},
  [5401] = {.lex_state = 77, .external_lex_state = 5},
  [5402] = {.lex_state = 77, .external_lex_state = 5},
  [5403] = {.lex_state = 77, .external_lex_state = 5},
  [5404] = {.lex_state = 77, .external_lex_state = 2},
  [5405] = {.lex_state = 77, .external_lex_state = 5},
  [5406] = {.lex_state = 77, .external_lex_state = 5},
  [5407] = {.lex_state = 77, .external_lex_state = 5},
  [5408] = {.lex_state = 77, .external_lex_state = 5},
  [5409] = {.lex_state = 77, .external_lex_state = 5},
  [5410] = {.lex_state = 77, .external_lex_state = 5},
  [5411] = {.lex_state = 77, .external_lex_state = 5},
  [5412] = {.lex_state = 77, .external_lex_state = 5},
  [5413] = {.lex_state = 77, .external_lex_state = 5},
  [5414] = {.lex_state = 77, .external_lex_state = 5},
  [5415] = {.lex_state = 77, .external_lex_state = 2},
  [5416] = {.lex_state = 4, .external_lex_state = 2},
  [5417] = {.lex_state = 77, .external_lex_state = 5},
  [5418] = {.lex_state = 77, .external_lex_state = 5},
  [5419] = {.lex_state = 77, .external_lex_state = 5},
  [5420] = {.lex_state = 77, .external_lex_state = 2},
  [5421] = {.lex_state = 77, .external_lex_state = 5},
  [5422] = {.lex_state = 9, .external_lex_state = 2},
  [5423] = {.lex_state = 77, .external_lex_state = 5},
  [5424] = {.lex_state = 9, .external_lex_state = 2},
  [5425] = {.lex_state = 77, .external_lex_state = 5},
  [5426] = {.lex_state = 9, .external_lex_state = 2},
  [5427] = {.lex_state = 77, .external_lex_state = 5},
  [5428] = {.lex_state = 77, .external_lex_state = 5},
  [5429] = {.lex_state = 77, .external_lex_state = 5},
  [5430] = {.lex_state = 9, .external_lex_state = 2},
  [5431] = {.lex_state = 77, .external_lex_state = 2},
  [5432] = {.lex_state = 77, .external_lex_state = 5},
  [5433] = {.lex_state = 77, .external_lex_state = 2},
  [5434] = {.lex_state = 77, .external_lex_state = 5},
  [5435] = {.lex_state = 77, .external_lex_state = 5},
  [5436] = {.lex_state = 77, .external_lex_state = 5},
  [5437] = {.lex_state = 77, .external_lex_state = 5},
  [5438] = {.lex_state = 77, .external_lex_state = 5},
  [5439] = {.lex_state = 77, .external_lex_state = 5},
  [5440] = {.lex_state = 77, .external_lex_state = 5},
  [5441] = {.lex_state = 77, .external_lex_state = 5},
  [5442] = {.lex_state = 77, .external_lex_state = 5},
  [5443] = {.lex_state = 77, .external_lex_state = 5},
  [5444] = {.lex_state = 77, .external_lex_state = 5},
  [5445] = {.lex_state = 77, .external_lex_state = 5},
  [5446] = {.lex_state = 77, .external_lex_state = 2},
  [5447] = {.lex_state = 77, .external_lex_state = 5},
  [5448] = {.lex_state = 77, .external_lex_state = 2},
  [5449] = {.lex_state = 77, .external_lex_state = 5},
  [5450] = {.lex_state = 77, .external_lex_state = 5},
  [5451] = {.lex_state = 77, .external_lex_state = 2},
  [5452] = {.lex_state = 77, .external_lex_state = 5},
  [5453] = {.lex_state = 77, .external_lex_state = 5},
  [5454] = {.lex_state = 77, .external_lex_state = 5},
  [5455] = {.lex_state = 77, .external_lex_state = 5},
  [5456] = {.lex_state = 77, .external_lex_state = 5},
  [5457] = {.lex_state = 77, .external_lex_state = 2},
  [5458] = {.lex_state = 77, .external_lex_state = 5},
  [5459] = {.lex_state = 77, .external_lex_state = 2},
  [5460] = {.lex_state = 77, .external_lex_state = 5},
  [5461] = {.lex_state = 77, .external_lex_state = 5},
  [5462] = {.lex_state = 77, .external_lex_state = 2},
  [5463] = {.lex_state = 77, .external_lex_state = 5},
  [5464] = {.lex_state = 77, .external_lex_state = 2},
  [5465] = {.lex_state = 77, .external_lex_state = 5},
  [5466] = {.lex_state = 77, .external_lex_state = 2},
  [5467] = {.lex_state = 9, .external_lex_state = 2},
  [5468] = {.lex_state = 77, .external_lex_state = 5},
  [5469] = {.lex_state = 4, .external_lex_state = 2},
  [5470] = {.lex_state = 77, .external_lex_state = 2},
  [5471] = {.lex_state = 77, .external_lex_state = 5},
  [5472] = {.lex_state = 77, .external_lex_state = 5},
  [5473] = {.lex_state = 77, .external_lex_state = 2},
  [5474] = {.lex_state = 77, .external_lex_state = 5},
  [5475] = {.lex_state = 77, .external_lex_state = 5},
  [5476] = {.lex_state = 77, .external_lex_state = 2},
  [5477] = {.lex_state = 77, .external_lex_state = 5},
  [5478] = {.lex_state = 4, .external_lex_state = 2},
  [5479] = {.lex_state = 77, .external_lex_state = 5},
  [5480] = {.lex_state = 77, .external_lex_state = 5},
  [5481] = {.lex_state = 77, .external_lex_state = 5},
  [5482] = {.lex_state = 77, .external_lex_state = 2},
  [5483] = {.lex_state = 77, .external_lex_state = 5},
  [5484] = {.lex_state = 77, .external_lex_state = 5},
  [5485] = {.lex_state = 77, .external_lex_state = 2},
  [5486] = {.lex_state = 77, .external_lex_state = 5},
  [5487] = {.lex_state = 77, .external_lex_state = 2},
  [5488] = {.lex_state = 77, .external_lex_state = 2},
  [5489] = {.lex_state = 77, .external_lex_state = 2},
  [5490] = {.lex_state = 77, .external_lex_state = 5},
  [5491] = {.lex_state = 77, .external_lex_state = 5},
  [5492] = {.lex_state = 77, .external_lex_state = 2},
  [5493] = {.lex_state = 77, .external_lex_state = 2},
  [5494] = {.lex_state = 77, .external_lex_state = 5},
  [5495] = {.lex_state = 77, .external_lex_state = 2},
  [5496] = {.lex_state = 77, .external_lex_state = 2},
  [5497] = {.lex_state = 77, .external_lex_state = 5},
  [5498] = {.lex_state = 11, .external_lex_state = 2},
  [5499] = {.lex_state = 77, .external_lex_state = 5},
  [5500] = {.lex_state = 77, .external_lex_state = 5},
  [5501] = {.lex_state = 77, .external_lex_state = 5},
  [5502] = {.lex_state = 77, .external_lex_state = 2},
  [5503] = {.lex_state = 77, .external_lex_state = 2},
  [5504] = {.lex_state = 77, .external_lex_state = 5},
  [5505] = {.lex_state = 77, .external_lex_state = 5},
  [5506] = {.lex_state = 77, .external_lex_state = 5},
  [5507] = {.lex_state = 77, .external_lex_state = 2},
  [5508] = {.lex_state = 77, .external_lex_state = 2},
  [5509] = {.lex_state = 4, .external_lex_state = 5},
  [5510] = {.lex_state = 4, .external_lex_state = 5},
  [5511] = {.lex_state = 77, .external_lex_state = 5},
  [5512] = {.lex_state = 77, .external_lex_state = 5},
  [5513] = {.lex_state = 77, .external_lex_state = 2},
  [5514] = {.lex_state = 77, .external_lex_state = 2},
  [5515] = {.lex_state = 77, .external_lex_state = 2},
  [5516] = {.lex_state = 77, .external_lex_state = 5},
  [5517] = {.lex_state = 77, .external_lex_state = 5},
  [5518] = {.lex_state = 77, .external_lex_state = 2},
  [5519] = {.lex_state = 77, .external_lex_state = 5},
  [5520] = {.lex_state = 77, .external_lex_state = 2},
  [5521] = {.lex_state = 77, .external_lex_state = 5},
  [5522] = {.lex_state = 77, .external_lex_state = 5},
  [5523] = {.lex_state = 77, .external_lex_state = 5},
  [5524] = {.lex_state = 77, .external_lex_state = 2},
  [5525] = {.lex_state = 77, .external_lex_state = 5},
  [5526] = {.lex_state = 77, .external_lex_state = 5},
  [5527] = {.lex_state = 9, .external_lex_state = 2},
  [5528] = {.lex_state = 77, .external_lex_state = 2},
  [5529] = {.lex_state = 77, .external_lex_state = 5},
  [5530] = {.lex_state = 9, .external_lex_state = 2},
  [5531] = {.lex_state = 77, .external_lex_state = 2},
  [5532] = {.lex_state = 77, .external_lex_state = 5},
  [5533] = {.lex_state = 77, .external_lex_state = 2},
  [5534] = {.lex_state = 77, .external_lex_state = 2},
  [5535] = {.lex_state = 77, .external_lex_state = 5},
  [5536] = {.lex_state = 77, .external_lex_state = 2},
  [5537] = {.lex_state = 9, .external_lex_state = 2},
  [5538] = {.lex_state = 77, .external_lex_state = 2},
  [5539] = {.lex_state = 77, .external_lex_state = 5},
  [5540] = {.lex_state = 77, .external_lex_state = 5},
  [5541] = {.lex_state = 77, .external_lex_state = 2},
  [5542] = {.lex_state = 77, .external_lex_state = 5},
  [5543] = {.lex_state = 77, .external_lex_state = 2},
  [5544] = {.lex_state = 77, .external_lex_state = 5},
  [5545] = {.lex_state = 77, .external_lex_state = 5},
  [5546] = {.lex_state = 77, .external_lex_state = 5},
  [5547] = {.lex_state = 77, .external_lex_state = 5},
  [5548] = {.lex_state = 77, .external_lex_state = 5},
  [5549] = {.lex_state = 77, .external_lex_state = 5},
  [5550] = {.lex_state = 77, .external_lex_state = 5},
  [5551] = {.lex_state = 77, .external_lex_state = 2},
  [5552] = {.lex_state = 77, .external_lex_state = 5},
  [5553] = {.lex_state = 77, .external_lex_state = 5},
  [5554] = {.lex_state = 77, .external_lex_state = 5},
  [5555] = {.lex_state = 77, .external_lex_state = 5},
  [5556] = {.lex_state = 77, .external_lex_state = 5},
  [5557] = {.lex_state = 77, .external_lex_state = 5},
  [5558] = {.lex_state = 77, .external_lex_state = 5},
  [5559] = {.lex_state = 77, .external_lex_state = 5},
  [5560] = {.lex_state = 77, .external_lex_state = 5},
  [5561] = {.lex_state = 77, .external_lex_state = 5},
  [5562] = {.lex_state = 77, .external_lex_state = 5},
  [5563] = {.lex_state = 77, .external_lex_state = 5},
  [5564] = {.lex_state = 77, .external_lex_state = 2},
  [5565] = {.lex_state = 77, .external_lex_state = 5},
  [5566] = {.lex_state = 77, .external_lex_state = 5},
  [5567] = {.lex_state = 77, .external_lex_state = 2},
  [5568] = {.lex_state = 77, .external_lex_state = 5},
  [5569] = {.lex_state = 4, .external_lex_state = 5},
  [5570] = {.lex_state = 77, .external_lex_state = 5},
  [5571] = {.lex_state = 77, .external_lex_state = 2},
  [5572] = {.lex_state = 77, .external_lex_state = 5},
  [5573] = {.lex_state = 77, .external_lex_state = 5},
  [5574] = {.lex_state = 77, .external_lex_state = 2},
  [5575] = {.lex_state = 77, .external_lex_state = 5},
  [5576] = {.lex_state = 77, .external_lex_state = 5},
  [5577] = {.lex_state = 77, .external_lex_state = 5},
  [5578] = {.lex_state = 77, .external_lex_state = 5},
  [5579] = {.lex_state = 77, .external_lex_state = 5},
  [5580] = {.lex_state = 4, .external_lex_state = 5},
  [5581] = {.lex_state = 77, .external_lex_state = 5},
  [5582] = {.lex_state = 77, .external_lex_state = 5},
  [5583] = {.lex_state = 77, .external_lex_state = 5},
  [5584] = {.lex_state = 4, .external_lex_state = 2},
  [5585] = {.lex_state = 77, .external_lex_state = 2},
  [5586] = {.lex_state = 77, .external_lex_state = 5},
  [5587] = {.lex_state = 77, .external_lex_state = 5},
  [5588] = {.lex_state = 77, .external_lex_state = 5},
  [5589] = {.lex_state = 77, .external_lex_state = 5},
  [5590] = {.lex_state = 77, .external_lex_state = 5},
  [5591] = {.lex_state = 77, .external_lex_state = 5},
  [5592] = {.lex_state = 4, .external_lex_state = 2},
  [5593] = {.lex_state = 9, .external_lex_state = 2},
  [5594] = {.lex_state = 77, .external_lex_state = 5},
  [5595] = {.lex_state = 77, .external_lex_state = 5},
  [5596] = {.lex_state = 77, .external_lex_state = 5},
  [5597] = {.lex_state = 4, .external_lex_state = 2},
  [5598] = {.lex_state = 77, .external_lex_state = 5},
  [5599] = {.lex_state = 77, .external_lex_state = 5},
  [5600] = {.lex_state = 77, .external_lex_state = 5},
  [5601] = {.lex_state = 77, .external_lex_state = 5},
  [5602] = {.lex_state = 77, .external_lex_state = 5},
  [5603] = {.lex_state = 77, .external_lex_state = 2},
  [5604] = {.lex_state = 77, .external_lex_state = 5},
  [5605] = {.lex_state = 77, .external_lex_state = 5},
  [5606] = {.lex_state = 77, .external_lex_state = 5},
  [5607] = {.lex_state = 77, .external_lex_state = 5},
  [5608] = {.lex_state = 77, .external_lex_state = 5},
  [5609] = {.lex_state = 77, .external_lex_state = 5},
  [5610] = {.lex_state = 77, .external_lex_state = 5},
  [5611] = {.lex_state = 77, .external_lex_state = 5},
  [5612] = {.lex_state = 77, .external_lex_state = 5},
  [5613] = {.lex_state = 77, .external_lex_state = 5},
  [5614] = {.lex_state = 77, .external_lex_state = 5},
  [5615] = {.lex_state = 77, .external_lex_state = 2},
  [5616] = {.lex_state = 77, .external_lex_state = 2},
  [5617] = {.lex_state = 77, .external_lex_state = 2},
  [5618] = {.lex_state = 9, .external_lex_state = 2},
  [5619] = {.lex_state = 9, .external_lex_state = 2},
  [5620] = {.lex_state = 9, .external_lex_state = 2},
  [5621] = {.lex_state = 9, .external_lex_state = 2},
  [5622] = {.lex_state = 77, .external_lex_state = 2},
  [5623] = {.lex_state = 77, .external_lex_state = 2},
  [5624] = {.lex_state = 9, .external_lex_state = 2},
  [5625] = {.lex_state = 9, .external_lex_state = 2},
  [5626] = {.lex_state = 77, .external_lex_state = 5},
  [5627] = {.lex_state = 77, .external_lex_state = 2},
  [5628] = {.lex_state = 77, .external_lex_state = 2},
  [5629] = {.lex_state = 9, .external_lex_state = 2},
  [5630] = {.lex_state = 9, .external_lex_state = 2},
  [5631] = {.lex_state = 9, .external_lex_state = 2},
  [5632] = {.lex_state = 9, .external_lex_state = 2},
  [5633] = {.lex_state = 77, .external_lex_state = 5},
  [5634] = {.lex_state = 77, .external_lex_state = 5},
  [5635] = {.lex_state = 77, .external_lex_state = 2},
  [5636] = {.lex_state = 77, .external_lex_state = 5},
  [5637] = {.lex_state = 77, .external_lex_state = 5},
  [5638] = {.lex_state = 77, .external_lex_state = 2},
  [5639] = {.lex_state = 77, .external_lex_state = 2},
  [5640] = {.lex_state = 9, .external_lex_state = 2},
  [5641] = {.lex_state = 77, .external_lex_state = 2},
  [5642] = {.lex_state = 77, .external_lex_state = 2},
  [5643] = {.lex_state = 77, .external_lex_state = 2},
  [5644] = {.lex_state = 77, .external_lex_state = 2},
  [5645] = {.lex_state = 77, .external_lex_state = 2},
  [5646] = {.lex_state = 77, .external_lex_state = 2},
  [5647] = {.lex_state = 9, .external_lex_state = 2},
  [5648] = {.lex_state = 9, .external_lex_state = 2},
  [5649] = {.lex_state = 77, .external_lex_state = 5},
  [5650] = {.lex_state = 77, .external_lex_state = 2},
  [5651] = {.lex_state = 9, .external_lex_state = 2},
  [5652] = {.lex_state = 77, .external_lex_state = 2},
  [5653] = {.lex_state = 77, .external_lex_state = 2},
  [5654] = {.lex_state = 77, .external_lex_state = 2},
  [5655] = {.lex_state = 9, .external_lex_state = 2},
  [5656] = {.lex_state = 9, .external_lex_state = 2},
  [5657] = {.lex_state = 9, .external_lex_state = 2},
  [5658] = {.lex_state = 77, .external_lex_state = 2},
  [5659] = {.lex_state = 77, .external_lex_state = 2},
  [5660] = {.lex_state = 9, .external_lex_state = 2},
  [5661] = {.lex_state = 77, .external_lex_state = 2},
  [5662] = {.lex_state = 77, .external_lex_state = 2},
  [5663] = {.lex_state = 9, .external_lex_state = 2},
  [5664] = {.lex_state = 77, .external_lex_state = 2},
  [5665] = {.lex_state = 9, .external_lex_state = 2},
  [5666] = {.lex_state = 77, .external_lex_state = 2},
  [5667] = {.lex_state = 77, .external_lex_state = 5},
  [5668] = {.lex_state = 9, .external_lex_state = 2},
  [5669] = {.lex_state = 9, .external_lex_state = 2},
  [5670] = {.lex_state = 77, .external_lex_state = 5},
  [5671] = {.lex_state = 77, .external_lex_state = 5},
  [5672] = {.lex_state = 77, .external_lex_state = 2},
  [5673] = {.lex_state = 77, .external_lex_state = 2},
  [5674] = {.lex_state = 77, .external_lex_state = 5},
  [5675] = {.lex_state = 9, .external_lex_state = 2},
  [5676] = {.lex_state = 9, .external_lex_state = 2},
  [5677] = {.lex_state = 77, .external_lex_state = 2},
  [5678] = {.lex_state = 77, .external_lex_state = 2},
  [5679] = {.lex_state = 77, .external_lex_state = 5},
  [5680] = {.lex_state = 77, .external_lex_state = 5},
  [5681] = {.lex_state = 9, .external_lex_state = 2},
  [5682] = {.lex_state = 77, .external_lex_state = 2},
  [5683] = {.lex_state = 77, .external_lex_state = 5},
  [5684] = {.lex_state = 9, .external_lex_state = 2},
  [5685] = {.lex_state = 9, .external_lex_state = 2},
  [5686] = {.lex_state = 9, .external_lex_state = 2},
  [5687] = {.lex_state = 9, .external_lex_state = 2},
  [5688] = {.lex_state = 77, .external_lex_state = 2},
  [5689] = {.lex_state = 77, .external_lex_state = 2},
  [5690] = {.lex_state = 9, .external_lex_state = 2},
  [5691] = {.lex_state = 77, .external_lex_state = 2},
  [5692] = {.lex_state = 11, .external_lex_state = 2},
  [5693] = {.lex_state = 77, .external_lex_state = 2},
  [5694] = {.lex_state = 9, .external_lex_state = 2},
  [5695] = {.lex_state = 77, .external_lex_state = 2},
  [5696] = {.lex_state = 9, .external_lex_state = 2},
  [5697] = {.lex_state = 9, .external_lex_state = 2},
  [5698] = {.lex_state = 77, .external_lex_state = 2},
  [5699] = {.lex_state = 77, .external_lex_state = 2},
  [5700] = {.lex_state = 77, .external_lex_state = 2},
  [5701] = {.lex_state = 9, .external_lex_state = 2},
  [5702] = {.lex_state = 9, .external_lex_state = 2},
  [5703] = {.lex_state = 77, .external_lex_state = 5},
  [5704] = {.lex_state = 9, .external_lex_state = 2},
  [5705] = {.lex_state = 77, .external_lex_state = 2},
  [5706] = {.lex_state = 77, .external_lex_state = 2},
  [5707] = {.lex_state = 77, .external_lex_state = 2},
  [5708] = {.lex_state = 77, .external_lex_state = 2},
  [5709] = {.lex_state = 77, .external_lex_state = 2},
  [5710] = {.lex_state = 77, .external_lex_state = 2},
  [5711] = {.lex_state = 77, .external_lex_state = 2},
  [5712] = {.lex_state = 77, .external_lex_state = 2},
  [5713] = {.lex_state = 77, .external_lex_state = 2},
  [5714] = {.lex_state = 77, .external_lex_state = 5},
  [5715] = {.lex_state = 9, .external_lex_state = 2},
  [5716] = {.lex_state = 77, .external_lex_state = 2},
  [5717] = {.lex_state = 77, .external_lex_state = 2},
  [5718] = {.lex_state = 77, .external_lex_state = 2},
  [5719] = {.lex_state = 9, .external_lex_state = 2},
  [5720] = {.lex_state = 9, .external_lex_state = 2},
  [5721] = {.lex_state = 77, .external_lex_state = 2},
  [5722] = {.lex_state = 77, .external_lex_state = 2},
  [5723] = {.lex_state = 77, .external_lex_state = 2},
  [5724] = {.lex_state = 9, .external_lex_state = 2},
  [5725] = {.lex_state = 9, .external_lex_state = 2},
  [5726] = {.lex_state = 9, .external_lex_state = 2},
  [5727] = {.lex_state = 77, .external_lex_state = 2},
  [5728] = {.lex_state = 77, .external_lex_state = 2},
  [5729] = {.lex_state = 9, .external_lex_state = 2},
  [5730] = {.lex_state = 77, .external_lex_state = 5},
  [5731] = {.lex_state = 9, .external_lex_state = 2},
  [5732] = {.lex_state = 77, .external_lex_state = 2},
  [5733] = {.lex_state = 77, .external_lex_state = 2},
  [5734] = {.lex_state = 9, .external_lex_state = 2},
  [5735] = {.lex_state = 77, .external_lex_state = 2},
  [5736] = {.lex_state = 9, .external_lex_state = 2},
  [5737] = {.lex_state = 77, .external_lex_state = 2},
  [5738] = {.lex_state = 77, .external_lex_state = 2},
  [5739] = {.lex_state = 9, .external_lex_state = 2},
  [5740] = {.lex_state = 9, .external_lex_state = 2},
  [5741] = {.lex_state = 77, .external_lex_state = 5},
  [5742] = {.lex_state = 77, .external_lex_state = 2},
  [5743] = {.lex_state = 77, .external_lex_state = 2},
  [5744] = {.lex_state = 77, .external_lex_state = 2},
  [5745] = {.lex_state = 77, .external_lex_state = 5},
  [5746] = {.lex_state = 9, .external_lex_state = 2},
  [5747] = {.lex_state = 77, .external_lex_state = 2},
  [5748] = {.lex_state = 9, .external_lex_state = 2},
  [5749] = {.lex_state = 77, .external_lex_state = 2},
  [5750] = {.lex_state = 77, .external_lex_state = 2},
  [5751] = {.lex_state = 77, .external_lex_state = 5},
  [5752] = {.lex_state = 77, .external_lex_state = 2},
  [5753] = {.lex_state = 77, .external_lex_state = 5},
  [5754] = {.lex_state = 77, .external_lex_state = 5},
  [5755] = {.lex_state = 9, .external_lex_state = 2},
  [5756] = {.lex_state = 77, .external_lex_state = 2},
  [5757] = {.lex_state = 77, .external_lex_state = 5},
  [5758] = {.lex_state = 77, .external_lex_state = 5},
  [5759] = {.lex_state = 77, .external_lex_state = 2},
  [5760] = {.lex_state = 77, .external_lex_state = 5},
  [5761] = {.lex_state = 77, .external_lex_state = 5},
  [5762] = {.lex_state = 77, .external_lex_state = 5},
  [5763] = {.lex_state = 9, .external_lex_state = 2},
  [5764] = {.lex_state = 9, .external_lex_state = 2},
  [5765] = {.lex_state = 9, .external_lex_state = 2},
  [5766] = {.lex_state = 9, .external_lex_state = 2},
  [5767] = {.lex_state = 9, .external_lex_state = 2},
  [5768] = {.lex_state = 9, .external_lex_state = 2},
  [5769] = {.lex_state = 77, .external_lex_state = 2},
  [5770] = {.lex_state = 9, .external_lex_state = 2},
  [5771] = {.lex_state = 77, .external_lex_state = 2},
  [5772] = {.lex_state = 77, .external_lex_state = 2},
  [5773] = {.lex_state = 77, .external_lex_state = 2},
  [5774] = {.lex_state = 77, .external_lex_state = 2},
  [5775] = {.lex_state = 9, .external_lex_state = 2},
  [5776] = {.lex_state = 9, .external_lex_state = 2},
  [5777] = {.lex_state = 77, .external_lex_state = 2},
  [5778] = {.lex_state = 77, .external_lex_state = 2},
  [5779] = {.lex_state = 9, .external_lex_state = 2},
  [5780] = {.lex_state = 9, .external_lex_state = 2},
  [5781] = {.lex_state = 9, .external_lex_state = 2},
  [5782] = {.lex_state = 9, .external_lex_state = 2},
  [5783] = {.lex_state = 9, .external_lex_state = 2},
  [5784] = {.lex_state = 9, .external_lex_state = 2},
  [5785] = {.lex_state = 9, .external_lex_state = 2},
  [5786] = {.lex_state = 9, .external_lex_state = 2},
  [5787] = {.lex_state = 77, .external_lex_state = 5},
  [5788] = {.lex_state = 9, .external_lex_state = 2},
  [5789] = {.lex_state = 77, .external_lex_state = 2},
  [5790] = {.lex_state = 77, .external_lex_state = 2},
  [5791] = {.lex_state = 77, .external_lex_state = 2},
  [5792] = {.lex_state = 77, .external_lex_state = 2},
  [5793] = {.lex_state = 77, .external_lex_state = 2},
  [5794] = {.lex_state = 77, .external_lex_state = 2},
  [5795] = {.lex_state = 9, .external_lex_state = 2},
  [5796] = {.lex_state = 77, .external_lex_state = 2},
  [5797] = {.lex_state = 77, .external_lex_state = 2},
  [5798] = {.lex_state = 77, .external_lex_state = 2},
  [5799] = {.lex_state = 77, .external_lex_state = 5},
  [5800] = {.lex_state = 77, .external_lex_state = 2},
  [5801] = {.lex_state = 77, .external_lex_state = 5},
  [5802] = {.lex_state = 77, .external_lex_state = 2},
  [5803] = {.lex_state = 77, .external_lex_state = 5},
  [5804] = {.lex_state = 77, .external_lex_state = 2},
  [5805] = {.lex_state = 9, .external_lex_state = 2},
  [5806] = {.lex_state = 77, .external_lex_state = 5},
  [5807] = {.lex_state = 77, .external_lex_state = 5},
  [5808] = {.lex_state = 77, .external_lex_state = 2},
  [5809] = {.lex_state = 77, .external_lex_state = 2},
  [5810] = {.lex_state = 9, .external_lex_state = 2},
  [5811] = {.lex_state = 9, .external_lex_state = 2},
  [5812] = {.lex_state = 9, .external_lex_state = 2},
  [5813] = {.lex_state = 9, .external_lex_state = 2},
  [5814] = {.lex_state = 9, .external_lex_state = 2},
  [5815] = {.lex_state = 4, .external_lex_state = 2},
  [5816] = {.lex_state = 9, .external_lex_state = 2},
  [5817] = {.lex_state = 9, .external_lex_state = 2},
  [5818] = {.lex_state = 9, .external_lex_state = 2},
  [5819] = {.lex_state = 77, .external_lex_state = 2},
  [5820] = {.lex_state = 9, .external_lex_state = 2},
  [5821] = {.lex_state = 9, .external_lex_state = 2},
  [5822] = {.lex_state = 9, .external_lex_state = 2},
  [5823] = {.lex_state = 9, .external_lex_state = 2},
  [5824] = {.lex_state = 77, .external_lex_state = 5},
  [5825] = {.lex_state = 77, .external_lex_state = 2},
  [5826] = {.lex_state = 9, .external_lex_state = 2},
  [5827] = {.lex_state = 77, .external_lex_state = 5},
  [5828] = {.lex_state = 77, .external_lex_state = 5},
  [5829] = {.lex_state = 9, .external_lex_state = 2},
  [5830] = {.lex_state = 9, .external_lex_state = 2},
  [5831] = {.lex_state = 77, .external_lex_state = 5},
  [5832] = {.lex_state = 77, .external_lex_state = 5},
  [5833] = {.lex_state = 9, .external_lex_state = 2},
  [5834] = {.lex_state = 9, .external_lex_state = 2},
  [5835] = {.lex_state = 77, .external_lex_state = 2},
  [5836] = {.lex_state = 9, .external_lex_state = 2},
  [5837] = {.lex_state = 9, .external_lex_state = 2},
  [5838] = {.lex_state = 77, .external_lex_state = 2},
  [5839] = {.lex_state = 77, .external_lex_state = 2},
  [5840] = {.lex_state = 9, .external_lex_state = 2},
  [5841] = {.lex_state = 77, .external_lex_state = 2},
  [5842] = {.lex_state = 9, .external_lex_state = 2},
  [5843] = {.lex_state = 77, .external_lex_state = 2},
  [5844] = {.lex_state = 9, .external_lex_state = 2},
  [5845] = {.lex_state = 9, .external_lex_state = 2},
  [5846] = {.lex_state = 77, .external_lex_state = 2},
  [5847] = {.lex_state = 77, .external_lex_state = 2},
  [5848] = {.lex_state = 9, .external_lex_state = 2},
  [5849] = {.lex_state = 9, .external_lex_state = 2},
  [5850] = {.lex_state = 77, .external_lex_state = 2},
  [5851] = {.lex_state = 9, .external_lex_state = 2},
  [5852] = {.lex_state = 9, .external_lex_state = 2},
  [5853] = {.lex_state = 77, .external_lex_state = 2},
  [5854] = {.lex_state = 9, .external_lex_state = 2},
  [5855] = {.lex_state = 9, .external_lex_state = 2},
  [5856] = {.lex_state = 9, .external_lex_state = 2},
  [5857] = {.lex_state = 9, .external_lex_state = 2},
  [5858] = {.lex_state = 77, .external_lex_state = 5},
  [5859] = {.lex_state = 9, .external_lex_state = 2},
  [5860] = {.lex_state = 77, .external_lex_state = 2},
  [5861] = {.lex_state = 77, .external_lex_state = 5},
  [5862] = {.lex_state = 9, .external_lex_state = 2},
  [5863] = {.lex_state = 9, .external_lex_state = 2},
  [5864] = {.lex_state = 77, .external_lex_state = 5},
  [5865] = {.lex_state = 77, .external_lex_state = 2},
  [5866] = {.lex_state = 9, .external_lex_state = 2},
  [5867] = {.lex_state = 9, .external_lex_state = 2},
  [5868] = {.lex_state = 77, .external_lex_state = 2},
  [5869] = {.lex_state = 9, .external_lex_state = 2},
  [5870] = {.lex_state = 9, .external_lex_state = 2},
  [5871] = {.lex_state = 77, .external_lex_state = 2},
  [5872] = {.lex_state = 9, .external_lex_state = 2},
  [5873] = {.lex_state = 77, .external_lex_state = 2},
  [5874] = {.lex_state = 77, .external_lex_state = 2},
  [5875] = {.lex_state = 77, .external_lex_state = 2},
  [5876] = {.lex_state = 9, .external_lex_state = 2},
  [5877] = {.lex_state = 77, .external_lex_state = 2},
  [5878] = {.lex_state = 77, .external_lex_state = 2},
  [5879] = {.lex_state = 77, .external_lex_state = 5},
  [5880] = {.lex_state = 77, .external_lex_state = 2},
  [5881] = {.lex_state = 9, .external_lex_state = 2},
  [5882] = {.lex_state = 77, .external_lex_state = 2},
  [5883] = {.lex_state = 77, .external_lex_state = 2},
  [5884] = {.lex_state = 77, .external_lex_state = 2},
  [5885] = {.lex_state = 77, .external_lex_state = 2},
  [5886] = {.lex_state = 9, .external_lex_state = 2},
  [5887] = {.lex_state = 9, .external_lex_state = 2},
  [5888] = {.lex_state = 9, .external_lex_state = 2},
  [5889] = {.lex_state = 9, .external_lex_state = 2},
  [5890] = {.lex_state = 9, .external_lex_state = 2},
  [5891] = {.lex_state = 77, .external_lex_state = 2},
  [5892] = {.lex_state = 77, .external_lex_state = 5},
  [5893] = {.lex_state = 9, .external_lex_state = 2},
  [5894] = {.lex_state = 77, .external_lex_state = 5},
  [5895] = {.lex_state = 9, .external_lex_state = 2},
  [5896] = {.lex_state = 77, .external_lex_state = 2},
  [5897] = {.lex_state = 77, .external_lex_state = 5},
  [5898] = {.lex_state = 77, .external_lex_state = 5},
  [5899] = {.lex_state = 9, .external_lex_state = 2},
  [5900] = {.lex_state = 77, .external_lex_state = 2},
  [5901] = {.lex_state = 9, .external_lex_state = 2},
  [5902] = {.lex_state = 77, .external_lex_state = 2},
  [5903] = {.lex_state = 77, .external_lex_state = 5},
  [5904] = {.lex_state = 77, .external_lex_state = 5},
  [5905] = {.lex_state = 9, .external_lex_state = 2},
  [5906] = {.lex_state = 77, .external_lex_state = 2},
  [5907] = {.lex_state = 77, .external_lex_state = 2},
  [5908] = {.lex_state = 9, .external_lex_state = 2},
  [5909] = {.lex_state = 77, .external_lex_state = 5},
  [5910] = {.lex_state = 77, .external_lex_state = 5},
  [5911] = {.lex_state = 77, .external_lex_state = 5},
  [5912] = {.lex_state = 77, .external_lex_state = 2},
  [5913] = {.lex_state = 9, .external_lex_state = 2},
  [5914] = {.lex_state = 9, .external_lex_state = 2},
  [5915] = {.lex_state = 77, .external_lex_state = 2},
  [5916] = {.lex_state = 9, .external_lex_state = 2},
  [5917] = {.lex_state = 9, .external_lex_state = 2},
  [5918] = {.lex_state = 77, .external_lex_state = 2},
  [5919] = {.lex_state = 77, .external_lex_state = 2},
  [5920] = {.lex_state = 77, .external_lex_state = 2},
  [5921] = {.lex_state = 77, .external_lex_state = 2},
  [5922] = {.lex_state = 77, .external_lex_state = 5},
  [5923] = {.lex_state = 77, .external_lex_state = 5},
  [5924] = {.lex_state = 9, .external_lex_state = 2},
  [5925] = {.lex_state = 9, .external_lex_state = 2},
  [5926] = {.lex_state = 9, .external_lex_state = 2},
  [5927] = {.lex_state = 9, .external_lex_state = 2},
  [5928] = {.lex_state = 77, .external_lex_state = 2},
  [5929] = {.lex_state = 77, .external_lex_state = 2},
  [5930] = {.lex_state = 77, .external_lex_state = 2},
  [5931] = {.lex_state = 9, .external_lex_state = 2},
  [5932] = {.lex_state = 77, .external_lex_state = 2},
  [5933] = {.lex_state = 9, .external_lex_state = 2},
  [5934] = {.lex_state = 9, .external_lex_state = 2},
  [5935] = {.lex_state = 77, .external_lex_state = 2},
  [5936] = {.lex_state = 9, .external_lex_state = 2},
  [5937] = {.lex_state = 9, .external_lex_state = 2},
  [5938] = {.lex_state = 77, .external_lex_state = 2},
  [5939] = {.lex_state = 9, .external_lex_state = 2},
  [5940] = {.lex_state = 9, .external_lex_state = 2},
  [5941] = {.lex_state = 9, .external_lex_state = 2},
  [5942] = {.lex_state = 9, .external_lex_state = 2},
  [5943] = {.lex_state = 9, .external_lex_state = 2},
  [5944] = {.lex_state = 9, .external_lex_state = 2},
  [5945] = {.lex_state = 77, .external_lex_state = 2},
  [5946] = {.lex_state = 77, .external_lex_state = 2},
  [5947] = {.lex_state = 77, .external_lex_state = 5},
  [5948] = {.lex_state = 9, .external_lex_state = 2},
  [5949] = {.lex_state = 9, .external_lex_state = 2},
  [5950] = {.lex_state = 77, .external_lex_state = 2},
  [5951] = {.lex_state = 77, .external_lex_state = 2},
  [5952] = {.lex_state = 77, .external_lex_state = 5},
  [5953] = {.lex_state = 77, .external_lex_state = 2},
  [5954] = {.lex_state = 9, .external_lex_state = 2},
  [5955] = {.lex_state = 9, .external_lex_state = 2},
  [5956] = {.lex_state = 77, .external_lex_state = 2},
  [5957] = {.lex_state = 9, .external_lex_state = 2},
  [5958] = {.lex_state = 9, .external_lex_state = 2},
  [5959] = {.lex_state = 77, .external_lex_state = 2},
  [5960] = {.lex_state = 77, .external_lex_state = 2},
  [5961] = {.lex_state = 9, .external_lex_state = 2},
  [5962] = {.lex_state = 9, .external_lex_state = 2},
  [5963] = {.lex_state = 9, .external_lex_state = 2},
  [5964] = {.lex_state = 9, .external_lex_state = 2},
  [5965] = {.lex_state = 77, .external_lex_state = 2},
  [5966] = {.lex_state = 77, .external_lex_state = 2},
  [5967] = {.lex_state = 77, .external_lex_state = 5},
  [5968] = {.lex_state = 9, .external_lex_state = 2},
  [5969] = {.lex_state = 77, .external_lex_state = 5},
  [5970] = {.lex_state = 9, .external_lex_state = 2},
  [5971] = {.lex_state = 77, .external_lex_state = 2},
  [5972] = {.lex_state = 9, .external_lex_state = 2},
  [5973] = {.lex_state = 9, .external_lex_state = 2},
  [5974] = {.lex_state = 77, .external_lex_state = 5},
  [5975] = {.lex_state = 77, .external_lex_state = 5},
  [5976] = {.lex_state = 9, .external_lex_state = 2},
  [5977] = {.lex_state = 9, .external_lex_state = 2},
  [5978] = {.lex_state = 9, .external_lex_state = 2},
  [5979] = {.lex_state = 9, .external_lex_state = 2},
  [5980] = {.lex_state = 9, .external_lex_state = 2},
  [5981] = {.lex_state = 77, .external_lex_state = 5},
  [5982] = {.lex_state = 9, .external_lex_state = 2},
  [5983] = {.lex_state = 9, .external_lex_state = 2},
  [5984] = {.lex_state = 9, .external_lex_state = 2},
  [5985] = {.lex_state = 9, .external_lex_state = 2},
  [5986] = {.lex_state = 9, .external_lex_state = 2},
  [5987] = {.lex_state = 77, .external_lex_state = 5},
  [5988] = {.lex_state = 9, .external_lex_state = 2},
  [5989] = {.lex_state = 9, .external_lex_state = 2},
  [5990] = {.lex_state = 77, .external_lex_state = 2},
  [5991] = {.lex_state = 9, .external_lex_state = 2},
  [5992] = {.lex_state = 77, .external_lex_state = 2},
  [5993] = {.lex_state = 77, .external_lex_state = 2},
  [5994] = {.lex_state = 9, .external_lex_state = 2},
  [5995] = {.lex_state = 77, .external_lex_state = 5},
  [5996] = {.lex_state = 9, .external_lex_state = 2},
  [5997] = {.lex_state = 9, .external_lex_state = 2},
  [5998] = {.lex_state = 9, .external_lex_state = 2},
  [5999] = {.lex_state = 77, .external_lex_state = 2},
  [6000] = {.lex_state = 77, .external_lex_state = 2},
  [6001] = {.lex_state = 77, .external_lex_state = 2},
  [6002] = {.lex_state = 77, .external_lex_state = 2},
  [6003] = {.lex_state = 77, .external_lex_state = 2},
  [6004] = {.lex_state = 77, .external_lex_state = 2},
  [6005] = {.lex_state = 77, .external_lex_state = 2},
  [6006] = {.lex_state = 77, .external_lex_state = 2},
  [6007] = {.lex_state = 77, .external_lex_state = 5},
  [6008] = {.lex_state = 9, .external_lex_state = 2},
  [6009] = {.lex_state = 77, .external_lex_state = 5},
  [6010] = {.lex_state = 77, .external_lex_state = 5},
  [6011] = {.lex_state = 77, .external_lex_state = 2},
  [6012] = {.lex_state = 77, .external_lex_state = 2},
  [6013] = {.lex_state = 77, .external_lex_state = 5},
  [6014] = {.lex_state = 77, .external_lex_state = 2},
  [6015] = {.lex_state = 77, .external_lex_state = 2},
  [6016] = {.lex_state = 77, .external_lex_state = 2},
  [6017] = {.lex_state = 77, .external_lex_state = 2},
  [6018] = {.lex_state = 9, .external_lex_state = 2},
  [6019] = {.lex_state = 77, .external_lex_state = 5},
  [6020] = {.lex_state = 77, .external_lex_state = 2},
  [6021] = {.lex_state = 9, .external_lex_state = 2},
  [6022] = {.lex_state = 77, .external_lex_state = 5},
  [6023] = {.lex_state = 77, .external_lex_state = 2},
  [6024] = {.lex_state = 9, .external_lex_state = 2},
  [6025] = {.lex_state = 9, .external_lex_state = 2},
  [6026] = {.lex_state = 77, .external_lex_state = 2},
  [6027] = {.lex_state = 77, .external_lex_state = 2},
  [6028] = {.lex_state = 9, .external_lex_state = 2},
  [6029] = {.lex_state = 77, .external_lex_state = 2},
  [6030] = {.lex_state = 9, .external_lex_state = 2},
  [6031] = {.lex_state = 9, .external_lex_state = 2},
  [6032] = {.lex_state = 77, .external_lex_state = 2},
  [6033] = {.lex_state = 77, .external_lex_state = 2},
  [6034] = {.lex_state = 9, .external_lex_state = 2},
  [6035] = {.lex_state = 9, .external_lex_state = 2},
  [6036] = {.lex_state = 9, .external_lex_state = 2},
  [6037] = {.lex_state = 9, .external_lex_state = 2},
  [6038] = {.lex_state = 9, .external_lex_state = 2},
  [6039] = {.lex_state = 77, .external_lex_state = 2},
  [6040] = {.lex_state = 9, .external_lex_state = 2},
  [6041] = {.lex_state = 77, .external_lex_state = 5},
  [6042] = {.lex_state = 77, .external_lex_state = 2},
  [6043] = {.lex_state = 77, .external_lex_state = 2},
  [6044] = {.lex_state = 77, .external_lex_state = 2},
  [6045] = {.lex_state = 77, .external_lex_state = 2},
  [6046] = {.lex_state = 77, .external_lex_state = 5},
  [6047] = {.lex_state = 77, .external_lex_state = 2},
  [6048] = {.lex_state = 77, .external_lex_state = 2},
  [6049] = {.lex_state = 77, .external_lex_state = 2},
  [6050] = {.lex_state = 9, .external_lex_state = 2},
  [6051] = {.lex_state = 9, .external_lex_state = 2},
  [6052] = {.lex_state = 9, .external_lex_state = 2},
  [6053] = {.lex_state = 9, .external_lex_state = 2},
  [6054] = {.lex_state = 9, .external_lex_state = 2},
  [6055] = {.lex_state = 77, .external_lex_state = 2},
  [6056] = {.lex_state = 77, .external_lex_state = 2},
  [6057] = {.lex_state = 77, .external_lex_state = 2},
  [6058] = {.lex_state = 77, .external_lex_state = 2},
  [6059] = {.lex_state = 4, .external_lex_state = 2},
  [6060] = {.lex_state = 77, .external_lex_state = 2},
  [6061] = {.lex_state = 1, .external_lex_state = 10},
  [6062] = {.lex_state = 77, .external_lex_state = 2},
  [6063] = {.lex_state = 77, .external_lex_state = 2},
  [6064] = {.lex_state = 77, .external_lex_state = 2},
  [6065] = {.lex_state = 77, .external_lex_state = 2},
  [6066] = {.lex_state = 77, .external_lex_state = 2},
  [6067] = {.lex_state = 77, .external_lex_state = 2},
  [6068] = {.lex_state = 77, .external_lex_state = 2},
  [6069] = {.lex_state = 77, .external_lex_state = 2},
  [6070] = {.lex_state = 77, .external_lex_state = 2},
  [6071] = {.lex_state = 77, .external_lex_state = 2},
  [6072] = {.lex_state = 77, .external_lex_state = 2},
  [6073] = {.lex_state = 77, .external_lex_state = 2},
  [6074] = {.lex_state = 77, .external_lex_state = 2},
  [6075] = {.lex_state = 77, .external_lex_state = 2},
  [6076] = {.lex_state = 77, .external_lex_state = 2},
  [6077] = {.lex_state = 77, .external_lex_state = 2},
  [6078] = {.lex_state = 77, .external_lex_state = 2},
  [6079] = {.lex_state = 77, .external_lex_state = 2},
  [6080] = {.lex_state = 77, .external_lex_state = 2},
  [6081] = {.lex_state = 77, .external_lex_state = 2},
  [6082] = {.lex_state = 77, .external_lex_state = 2},
  [6083] = {.lex_state = 77, .external_lex_state = 2},
  [6084] = {.lex_state = 77, .external_lex_state = 2},
  [6085] = {.lex_state = 77, .external_lex_state = 2},
  [6086] = {.lex_state = 77, .external_lex_state = 2},
  [6087] = {.lex_state = 77, .external_lex_state = 2},
  [6088] = {.lex_state = 77, .external_lex_state = 2},
  [6089] = {.lex_state = 77, .external_lex_state = 2},
  [6090] = {.lex_state = 77, .external_lex_state = 2},
  [6091] = {.lex_state = 77, .external_lex_state = 2},
  [6092] = {.lex_state = 77, .external_lex_state = 2},
  [6093] = {.lex_state = 77, .external_lex_state = 2},
  [6094] = {.lex_state = 77, .external_lex_state = 2},
  [6095] = {.lex_state = 77, .external_lex_state = 2},
  [6096] = {.lex_state = 77, .external_lex_state = 2},
  [6097] = {.lex_state = 77, .external_lex_state = 2},
  [6098] = {.lex_state = 77, .external_lex_state = 2},
  [6099] = {.lex_state = 77, .external_lex_state = 2},
  [6100] = {.lex_state = 77, .external_lex_state = 2},
  [6101] = {.lex_state = 77, .external_lex_state = 2},
  [6102] = {.lex_state = 77, .external_lex_state = 2},
  [6103] = {.lex_state = 77, .external_lex_state = 2},
  [6104] = {.lex_state = 77, .external_lex_state = 2},
  [6105] = {.lex_state = 77, .external_lex_state = 2},
  [6106] = {.lex_state = 77, .external_lex_state = 2},
  [6107] = {.lex_state = 77, .external_lex_state = 2},
  [6108] = {.lex_state = 77, .external_lex_state = 2},
  [6109] = {.lex_state = 77, .external_lex_state = 2},
  [6110] = {.lex_state = 77, .external_lex_state = 2},
  [6111] = {.lex_state = 77, .external_lex_state = 2},
  [6112] = {.lex_state = 77, .external_lex_state = 2},
  [6113] = {.lex_state = 77, .external_lex_state = 2},
  [6114] = {.lex_state = 77, .external_lex_state = 2},
  [6115] = {.lex_state = 77, .external_lex_state = 2},
  [6116] = {.lex_state = 77, .external_lex_state = 2},
  [6117] = {.lex_state = 77, .external_lex_state = 2},
  [6118] = {.lex_state = 77, .external_lex_state = 2},
  [6119] = {.lex_state = 77, .external_lex_state = 2},
  [6120] = {.lex_state = 77, .external_lex_state = 2},
  [6121] = {.lex_state = 77, .external_lex_state = 2},
  [6122] = {.lex_state = 77, .external_lex_state = 2},
  [6123] = {.lex_state = 77, .external_lex_state = 2},
  [6124] = {.lex_state = 4, .external_lex_state = 2},
  [6125] = {.lex_state = 77, .external_lex_state = 2},
  [6126] = {.lex_state = 77, .external_lex_state = 2},
  [6127] = {.lex_state = 77, .external_lex_state = 2},
  [6128] = {.lex_state = 77, .external_lex_state = 2},
  [6129] = {.lex_state = 77, .external_lex_state = 2},
  [6130] = {.lex_state = 77, .external_lex_state = 2},
  [6131] = {.lex_state = 77, .external_lex_state = 2},
  [6132] = {.lex_state = 77, .external_lex_state = 2},
  [6133] = {.lex_state = 77, .external_lex_state = 2},
  [6134] = {.lex_state = 77, .external_lex_state = 2},
  [6135] = {.lex_state = 77, .external_lex_state = 2},
  [6136] = {.lex_state = 77, .external_lex_state = 2},
  [6137] = {.lex_state = 77, .external_lex_state = 2},
  [6138] = {.lex_state = 77, .external_lex_state = 2},
  [6139] = {.lex_state = 77, .external_lex_state = 2},
  [6140] = {.lex_state = 77, .external_lex_state = 2},
  [6141] = {.lex_state = 77, .external_lex_state = 2},
  [6142] = {.lex_state = 77, .external_lex_state = 2},
  [6143] = {.lex_state = 77, .external_lex_state = 2},
  [6144] = {.lex_state = 77, .external_lex_state = 2},
  [6145] = {.lex_state = 77, .external_lex_state = 2},
  [6146] = {.lex_state = 77, .external_lex_state = 2},
  [6147] = {.lex_state = 77, .external_lex_state = 2},
  [6148] = {.lex_state = 77, .external_lex_state = 2},
  [6149] = {.lex_state = 77, .external_lex_state = 2},
  [6150] = {.lex_state = 77, .external_lex_state = 2},
  [6151] = {.lex_state = 77, .external_lex_state = 2},
  [6152] = {.lex_state = 77, .external_lex_state = 2},
  [6153] = {.lex_state = 77, .external_lex_state = 2},
  [6154] = {.lex_state = 77, .external_lex_state = 2},
  [6155] = {.lex_state = 77, .external_lex_state = 2},
  [6156] = {.lex_state = 77, .external_lex_state = 2},
  [6157] = {.lex_state = 77, .external_lex_state = 2},
  [6158] = {.lex_state = 77, .external_lex_state = 2},
  [6159] = {.lex_state = 77, .external_lex_state = 2},
  [6160] = {.lex_state = 77, .external_lex_state = 2},
  [6161] = {.lex_state = 77, .external_lex_state = 2},
  [6162] = {.lex_state = 77, .external_lex_state = 2},
  [6163] = {.lex_state = 77, .external_lex_state = 2},
  [6164] = {.lex_state = 77, .external_lex_state = 2},
  [6165] = {.lex_state = 77, .external_lex_state = 2},
  [6166] = {.lex_state = 77, .external_lex_state = 2},
  [6167] = {.lex_state = 77, .external_lex_state = 2},
  [6168] = {.lex_state = 77, .external_lex_state = 2},
  [6169] = {.lex_state = 77, .external_lex_state = 2},
  [6170] = {.lex_state = 77, .external_lex_state = 2},
  [6171] = {.lex_state = 77, .external_lex_state = 2},
  [6172] = {.lex_state = 4, .external_lex_state = 2},
  [6173] = {.lex_state = 77, .external_lex_state = 2},
  [6174] = {.lex_state = 1, .external_lex_state = 10},
  [6175] = {.lex_state = 77, .external_lex_state = 2},
  [6176] = {.lex_state = 77, .external_lex_state = 2},
  [6177] = {.lex_state = 77, .external_lex_state = 2},
  [6178] = {.lex_state = 77, .external_lex_state = 2},
  [6179] = {.lex_state = 77, .external_lex_state = 2},
  [6180] = {.lex_state = 77, .external_lex_state = 2},
  [6181] = {.lex_state = 77, .external_lex_state = 2},
  [6182] = {.lex_state = 77, .external_lex_state = 2},
  [6183] = {.lex_state = 9, .external_lex_state = 2},
  [6184] = {.lex_state = 77, .external_lex_state = 2},
  [6185] = {.lex_state = 77, .external_lex_state = 2},
  [6186] = {.lex_state = 77, .external_lex_state = 2},
  [6187] = {.lex_state = 77, .external_lex_state = 2},
  [6188] = {.lex_state = 77, .external_lex_state = 2},
  [6189] = {.lex_state = 77, .external_lex_state = 2},
  [6190] = {.lex_state = 77, .external_lex_state = 2},
  [6191] = {.lex_state = 77, .external_lex_state = 2},
  [6192] = {.lex_state = 77, .external_lex_state = 2},
  [6193] = {.lex_state = 77, .external_lex_state = 2},
  [6194] = {.lex_state = 77, .external_lex_state = 2},
  [6195] = {.lex_state = 77, .external_lex_state = 2},
  [6196] = {.lex_state = 77, .external_lex_state = 2},
  [6197] = {.lex_state = 77, .external_lex_state = 2},
  [6198] = {.lex_state = 77, .external_lex_state = 2},
  [6199] = {.lex_state = 77, .external_lex_state = 2},
  [6200] = {.lex_state = 77, .external_lex_state = 2},
  [6201] = {.lex_state = 77, .external_lex_state = 2},
  [6202] = {.lex_state = 77, .external_lex_state = 2},
  [6203] = {.lex_state = 77, .external_lex_state = 2},
  [6204] = {.lex_state = 77, .external_lex_state = 2},
  [6205] = {.lex_state = 4, .external_lex_state = 2},
  [6206] = {.lex_state = 77, .external_lex_state = 2},
  [6207] = {.lex_state = 1, .external_lex_state = 10},
  [6208] = {.lex_state = 77, .external_lex_state = 2},
  [6209] = {.lex_state = 77, .external_lex_state = 2},
  [6210] = {.lex_state = 77, .external_lex_state = 2},
  [6211] = {.lex_state = 77, .external_lex_state = 2},
  [6212] = {.lex_state = 77, .external_lex_state = 2},
  [6213] = {.lex_state = 77, .external_lex_state = 2},
  [6214] = {.lex_state = 77, .external_lex_state = 2},
  [6215] = {.lex_state = 77, .external_lex_state = 2},
  [6216] = {.lex_state = 77, .external_lex_state = 2},
  [6217] = {.lex_state = 77, .external_lex_state = 2},
  [6218] = {.lex_state = 77, .external_lex_state = 2},
  [6219] = {.lex_state = 77, .external_lex_state = 2},
  [6220] = {.lex_state = 77, .external_lex_state = 2},
  [6221] = {.lex_state = 9, .external_lex_state = 2},
  [6222] = {.lex_state = 77, .external_lex_state = 2},
  [6223] = {.lex_state = 77, .external_lex_state = 2},
  [6224] = {.lex_state = 77, .external_lex_state = 2},
  [6225] = {.lex_state = 77, .external_lex_state = 2},
  [6226] = {.lex_state = 77, .external_lex_state = 2},
  [6227] = {.lex_state = 26, .external_lex_state = 2},
  [6228] = {.lex_state = 77, .external_lex_state = 2},
  [6229] = {.lex_state = 4, .external_lex_state = 2},
  [6230] = {.lex_state = 77, .external_lex_state = 2},
  [6231] = {.lex_state = 77, .external_lex_state = 2},
  [6232] = {.lex_state = 4, .external_lex_state = 2},
  [6233] = {.lex_state = 77, .external_lex_state = 2},
  [6234] = {.lex_state = 77, .external_lex_state = 2},
  [6235] = {.lex_state = 77, .external_lex_state = 2},
  [6236] = {.lex_state = 77, .external_lex_state = 2},
  [6237] = {.lex_state = 77, .external_lex_state = 2},
  [6238] = {.lex_state = 77, .external_lex_state = 2},
  [6239] = {.lex_state = 77, .external_lex_state = 2},
  [6240] = {.lex_state = 77, .external_lex_state = 2},
  [6241] = {.lex_state = 77, .external_lex_state = 2},
  [6242] = {.lex_state = 77, .external_lex_state = 2},
  [6243] = {.lex_state = 9, .external_lex_state = 2},
  [6244] = {.lex_state = 77, .external_lex_state = 2},
  [6245] = {.lex_state = 77, .external_lex_state = 2},
  [6246] = {.lex_state = 77, .external_lex_state = 2},
  [6247] = {.lex_state = 77, .external_lex_state = 2},
  [6248] = {.lex_state = 77, .external_lex_state = 2},
  [6249] = {.lex_state = 77, .external_lex_state = 2},
  [6250] = {.lex_state = 77, .external_lex_state = 2},
  [6251] = {.lex_state = 77, .external_lex_state = 2},
  [6252] = {.lex_state = 77, .external_lex_state = 2},
  [6253] = {.lex_state = 77, .external_lex_state = 2},
  [6254] = {.lex_state = 77, .external_lex_state = 2},
  [6255] = {.lex_state = 77, .external_lex_state = 2},
  [6256] = {.lex_state = 77, .external_lex_state = 2},
  [6257] = {.lex_state = 77, .external_lex_state = 2},
  [6258] = {.lex_state = 77, .external_lex_state = 2},
  [6259] = {.lex_state = 77, .external_lex_state = 2},
  [6260] = {.lex_state = 77, .external_lex_state = 2},
  [6261] = {.lex_state = 77, .external_lex_state = 2},
  [6262] = {.lex_state = 77, .external_lex_state = 2},
  [6263] = {.lex_state = 77, .external_lex_state = 2},
  [6264] = {.lex_state = 77, .external_lex_state = 2},
  [6265] = {.lex_state = 77, .external_lex_state = 2},
  [6266] = {.lex_state = 77, .external_lex_state = 2},
  [6267] = {.lex_state = 77, .external_lex_state = 2},
  [6268] = {.lex_state = 77, .external_lex_state = 2},
  [6269] = {.lex_state = 77, .external_lex_state = 2},
  [6270] = {.lex_state = 77, .external_lex_state = 2},
  [6271] = {.lex_state = 77, .external_lex_state = 2},
  [6272] = {.lex_state = 77, .external_lex_state = 2},
  [6273] = {.lex_state = 1, .external_lex_state = 10},
  [6274] = {.lex_state = 77, .external_lex_state = 2},
  [6275] = {.lex_state = 77, .external_lex_state = 2},
  [6276] = {.lex_state = 77, .external_lex_state = 2},
  [6277] = {.lex_state = 77, .external_lex_state = 2},
  [6278] = {.lex_state = 77, .external_lex_state = 2},
  [6279] = {.lex_state = 77, .external_lex_state = 2},
  [6280] = {.lex_state = 77, .external_lex_state = 2},
  [6281] = {.lex_state = 77, .external_lex_state = 2},
  [6282] = {.lex_state = 77, .external_lex_state = 2},
  [6283] = {.lex_state = 77, .external_lex_state = 2},
  [6284] = {.lex_state = 77, .external_lex_state = 2},
  [6285] = {.lex_state = 77, .external_lex_state = 2},
  [6286] = {.lex_state = 77, .external_lex_state = 2},
  [6287] = {.lex_state = 77, .external_lex_state = 2},
  [6288] = {.lex_state = 77, .external_lex_state = 2},
  [6289] = {.lex_state = 77, .external_lex_state = 2},
  [6290] = {.lex_state = 77, .external_lex_state = 2},
  [6291] = {.lex_state = 77, .external_lex_state = 2},
  [6292] = {.lex_state = 77, .external_lex_state = 2},
  [6293] = {.lex_state = 77, .external_lex_state = 2},
  [6294] = {.lex_state = 77, .external_lex_state = 2},
  [6295] = {.lex_state = 77, .external_lex_state = 2},
  [6296] = {.lex_state = 77, .external_lex_state = 2},
  [6297] = {.lex_state = 77, .external_lex_state = 2},
  [6298] = {.lex_state = 77, .external_lex_state = 2},
  [6299] = {.lex_state = 77, .external_lex_state = 2},
  [6300] = {.lex_state = 26, .external_lex_state = 2},
  [6301] = {.lex_state = 77, .external_lex_state = 2},
  [6302] = {.lex_state = 77, .external_lex_state = 2},
  [6303] = {.lex_state = 77, .external_lex_state = 2},
  [6304] = {.lex_state = 77, .external_lex_state = 2},
  [6305] = {.lex_state = 77, .external_lex_state = 2},
  [6306] = {.lex_state = 77, .external_lex_state = 2},
  [6307] = {.lex_state = 77, .external_lex_state = 2},
  [6308] = {.lex_state = 77, .external_lex_state = 2},
  [6309] = {.lex_state = 77, .external_lex_state = 2},
  [6310] = {.lex_state = 77, .external_lex_state = 2},
  [6311] = {.lex_state = 77, .external_lex_state = 2},
  [6312] = {.lex_state = 77, .external_lex_state = 2},
  [6313] = {.lex_state = 77, .external_lex_state = 2},
  [6314] = {.lex_state = 77, .external_lex_state = 2},
  [6315] = {.lex_state = 77, .external_lex_state = 2},
  [6316] = {.lex_state = 77, .external_lex_state = 2},
  [6317] = {.lex_state = 77, .external_lex_state = 2},
  [6318] = {.lex_state = 77, .external_lex_state = 2},
  [6319] = {.lex_state = 77, .external_lex_state = 2},
  [6320] = {.lex_state = 77, .external_lex_state = 2},
  [6321] = {.lex_state = 77, .external_lex_state = 2},
  [6322] = {.lex_state = 77, .external_lex_state = 2},
  [6323] = {.lex_state = 77, .external_lex_state = 2},
  [6324] = {.lex_state = 77, .external_lex_state = 2},
  [6325] = {.lex_state = 77, .external_lex_state = 2},
  [6326] = {.lex_state = 77, .external_lex_state = 2},
  [6327] = {.lex_state = 77, .external_lex_state = 2},
  [6328] = {.lex_state = 77, .external_lex_state = 2},
  [6329] = {.lex_state = 77, .external_lex_state = 2},
  [6330] = {.lex_state = 77, .external_lex_state = 2},
  [6331] = {.lex_state = 77, .external_lex_state = 2},
  [6332] = {.lex_state = 77, .external_lex_state = 2},
  [6333] = {.lex_state = 77, .external_lex_state = 2},
  [6334] = {.lex_state = 77, .external_lex_state = 2},
  [6335] = {.lex_state = 1, .external_lex_state = 10},
  [6336] = {.lex_state = 77, .external_lex_state = 2},
  [6337] = {.lex_state = 77, .external_lex_state = 2},
  [6338] = {.lex_state = 77, .external_lex_state = 2},
  [6339] = {.lex_state = 77, .external_lex_state = 2},
  [6340] = {.lex_state = 77, .external_lex_state = 2},
  [6341] = {.lex_state = 77, .external_lex_state = 2},
  [6342] = {.lex_state = 77, .external_lex_state = 2},
  [6343] = {.lex_state = 77, .external_lex_state = 2},
  [6344] = {.lex_state = 77, .external_lex_state = 2},
  [6345] = {.lex_state = 77, .external_lex_state = 2},
  [6346] = {.lex_state = 77, .external_lex_state = 2},
  [6347] = {.lex_state = 77, .external_lex_state = 2},
  [6348] = {.lex_state = 77, .external_lex_state = 2},
  [6349] = {.lex_state = 77, .external_lex_state = 2},
  [6350] = {.lex_state = 77, .external_lex_state = 2},
  [6351] = {.lex_state = 77, .external_lex_state = 2},
  [6352] = {.lex_state = 77, .external_lex_state = 2},
  [6353] = {.lex_state = 77, .external_lex_state = 2},
  [6354] = {.lex_state = 77, .external_lex_state = 2},
  [6355] = {.lex_state = 77, .external_lex_state = 2},
  [6356] = {.lex_state = 77, .external_lex_state = 2},
  [6357] = {.lex_state = 77, .external_lex_state = 2},
  [6358] = {.lex_state = 77, .external_lex_state = 2},
  [6359] = {.lex_state = 77, .external_lex_state = 2},
  [6360] = {.lex_state = 77, .external_lex_state = 2},
  [6361] = {.lex_state = 77, .external_lex_state = 2},
  [6362] = {.lex_state = 77, .external_lex_state = 2},
  [6363] = {.lex_state = 77, .external_lex_state = 2},
  [6364] = {.lex_state = 77, .external_lex_state = 2},
  [6365] = {.lex_state = 77, .external_lex_state = 2},
  [6366] = {.lex_state = 77, .external_lex_state = 2},
  [6367] = {.lex_state = 77, .external_lex_state = 2},
  [6368] = {.lex_state = 77, .external_lex_state = 2},
  [6369] = {.lex_state = 9, .external_lex_state = 2},
  [6370] = {.lex_state = 77, .external_lex_state = 2},
  [6371] = {.lex_state = 77, .external_lex_state = 2},
  [6372] = {.lex_state = 77, .external_lex_state = 2},
  [6373] = {.lex_state = 77, .external_lex_state = 2},
  [6374] = {.lex_state = 77, .external_lex_state = 2},
  [6375] = {.lex_state = 77, .external_lex_state = 2},
  [6376] = {.lex_state = 77, .external_lex_state = 2},
  [6377] = {.lex_state = 77, .external_lex_state = 2},
  [6378] = {.lex_state = 77, .external_lex_state = 2},
  [6379] = {.lex_state = 77, .external_lex_state = 2},
  [6380] = {.lex_state = 77, .external_lex_state = 2},
  [6381] = {.lex_state = 77, .external_lex_state = 2},
  [6382] = {.lex_state = 77, .external_lex_state = 2},
  [6383] = {.lex_state = 77, .external_lex_state = 2},
  [6384] = {.lex_state = 77, .external_lex_state = 2},
  [6385] = {.lex_state = 77, .external_lex_state = 2},
  [6386] = {.lex_state = 77, .external_lex_state = 2},
  [6387] = {.lex_state = 77, .external_lex_state = 2},
  [6388] = {.lex_state = 77, .external_lex_state = 2},
  [6389] = {.lex_state = 77, .external_lex_state = 2},
  [6390] = {.lex_state = 77, .external_lex_state = 2},
  [6391] = {.lex_state = 77, .external_lex_state = 2},
  [6392] = {.lex_state = 77, .external_lex_state = 2},
  [6393] = {.lex_state = 77, .external_lex_state = 2},
  [6394] = {.lex_state = 77, .external_lex_state = 2},
  [6395] = {.lex_state = 77, .external_lex_state = 2},
  [6396] = {.lex_state = 77, .external_lex_state = 2},
  [6397] = {.lex_state = 77, .external_lex_state = 2},
  [6398] = {.lex_state = 77, .external_lex_state = 2},
  [6399] = {.lex_state = 77, .external_lex_state = 2},
  [6400] = {.lex_state = 77, .external_lex_state = 2},
  [6401] = {.lex_state = 77, .external_lex_state = 2},
  [6402] = {.lex_state = 77, .external_lex_state = 2},
  [6403] = {.lex_state = 77, .external_lex_state = 2},
  [6404] = {.lex_state = 77, .external_lex_state = 2},
  [6405] = {.lex_state = 77, .external_lex_state = 2},
  [6406] = {.lex_state = 77, .external_lex_state = 2},
  [6407] = {.lex_state = 77, .external_lex_state = 2},
  [6408] = {.lex_state = 77, .external_lex_state = 2},
  [6409] = {.lex_state = 77, .external_lex_state = 2},
  [6410] = {.lex_state = 77, .external_lex_state = 2},
  [6411] = {.lex_state = 77, .external_lex_state = 2},
  [6412] = {.lex_state = 77, .external_lex_state = 2},
  [6413] = {.lex_state = 77, .external_lex_state = 2},
  [6414] = {.lex_state = 77, .external_lex_state = 2},
  [6415] = {.lex_state = 77, .external_lex_state = 2},
  [6416] = {.lex_state = 77, .external_lex_state = 2},
  [6417] = {.lex_state = 77, .external_lex_state = 2},
  [6418] = {.lex_state = 77, .external_lex_state = 2},
  [6419] = {.lex_state = 77, .external_lex_state = 2},
  [6420] = {.lex_state = 77, .external_lex_state = 2},
  [6421] = {.lex_state = 77, .external_lex_state = 2},
  [6422] = {.lex_state = 77, .external_lex_state = 2},
  [6423] = {.lex_state = 77, .external_lex_state = 2},
  [6424] = {.lex_state = 77, .external_lex_state = 2},
  [6425] = {.lex_state = 77, .external_lex_state = 2},
  [6426] = {.lex_state = 77, .external_lex_state = 2},
  [6427] = {.lex_state = 77, .external_lex_state = 2},
  [6428] = {.lex_state = 77, .external_lex_state = 2},
  [6429] = {.lex_state = 77, .external_lex_state = 2},
  [6430] = {.lex_state = 77, .external_lex_state = 2},
  [6431] = {.lex_state = 77, .external_lex_state = 2},
  [6432] = {.lex_state = 77, .external_lex_state = 2},
  [6433] = {.lex_state = 77, .external_lex_state = 2},
  [6434] = {.lex_state = 77, .external_lex_state = 2},
  [6435] = {.lex_state = 4, .external_lex_state = 2},
  [6436] = {.lex_state = 77, .external_lex_state = 2},
  [6437] = {.lex_state = 77, .external_lex_state = 2},
  [6438] = {.lex_state = 77, .external_lex_state = 2},
  [6439] = {.lex_state = 77, .external_lex_state = 2},
  [6440] = {.lex_state = 77, .external_lex_state = 2},
  [6441] = {.lex_state = 77, .external_lex_state = 2},
  [6442] = {.lex_state = 77, .external_lex_state = 2},
  [6443] = {.lex_state = 77, .external_lex_state = 2},
  [6444] = {.lex_state = 77, .external_lex_state = 2},
  [6445] = {.lex_state = 77, .external_lex_state = 2},
  [6446] = {.lex_state = 77, .external_lex_state = 2},
  [6447] = {.lex_state = 77, .external_lex_state = 2},
  [6448] = {.lex_state = 77, .external_lex_state = 2},
  [6449] = {.lex_state = 77, .external_lex_state = 2},
  [6450] = {.lex_state = 26, .external_lex_state = 2},
  [6451] = {.lex_state = 77, .external_lex_state = 2},
  [6452] = {.lex_state = 77, .external_lex_state = 2},
  [6453] = {.lex_state = 77, .external_lex_state = 2},
  [6454] = {.lex_state = 77, .external_lex_state = 2},
  [6455] = {.lex_state = 77, .external_lex_state = 2},
  [6456] = {.lex_state = 77, .external_lex_state = 2},
  [6457] = {.lex_state = 77, .external_lex_state = 2},
  [6458] = {.lex_state = 77, .external_lex_state = 2},
  [6459] = {.lex_state = 77, .external_lex_state = 2},
  [6460] = {.lex_state = 77, .external_lex_state = 2},
  [6461] = {.lex_state = 77, .external_lex_state = 2},
  [6462] = {.lex_state = 26, .external_lex_state = 2},
  [6463] = {.lex_state = 77, .external_lex_state = 2},
  [6464] = {.lex_state = 77, .external_lex_state = 2},
  [6465] = {.lex_state = 77, .external_lex_state = 2},
  [6466] = {.lex_state = 77, .external_lex_state = 2},
  [6467] = {.lex_state = 77, .external_lex_state = 2},
  [6468] = {.lex_state = 77, .external_lex_state = 2},
  [6469] = {.lex_state = 77, .external_lex_state = 2},
  [6470] = {.lex_state = 77, .external_lex_state = 2},
  [6471] = {.lex_state = 77, .external_lex_state = 2},
  [6472] = {.lex_state = 77, .external_lex_state = 2},
  [6473] = {.lex_state = 77, .external_lex_state = 2},
  [6474] = {.lex_state = 77, .external_lex_state = 2},
  [6475] = {.lex_state = 77, .external_lex_state = 2},
  [6476] = {.lex_state = 77, .external_lex_state = 2},
  [6477] = {.lex_state = 77, .external_lex_state = 2},
  [6478] = {.lex_state = 77, .external_lex_state = 2},
  [6479] = {.lex_state = 77, .external_lex_state = 2},
  [6480] = {.lex_state = 77, .external_lex_state = 2},
  [6481] = {.lex_state = 77, .external_lex_state = 2},
  [6482] = {.lex_state = 77, .external_lex_state = 2},
  [6483] = {.lex_state = 77, .external_lex_state = 2},
  [6484] = {.lex_state = 77, .external_lex_state = 2},
  [6485] = {.lex_state = 77, .external_lex_state = 2},
  [6486] = {.lex_state = 77, .external_lex_state = 2},
  [6487] = {.lex_state = 77, .external_lex_state = 2},
  [6488] = {.lex_state = 77, .external_lex_state = 2},
  [6489] = {.lex_state = 77, .external_lex_state = 2},
  [6490] = {.lex_state = 77, .external_lex_state = 2},
  [6491] = {.lex_state = 77, .external_lex_state = 2},
  [6492] = {.lex_state = 77, .external_lex_state = 2},
  [6493] = {.lex_state = 77, .external_lex_state = 2},
  [6494] = {.lex_state = 77, .external_lex_state = 2},
  [6495] = {.lex_state = 77, .external_lex_state = 2},
  [6496] = {.lex_state = 77, .external_lex_state = 2},
  [6497] = {.lex_state = 77, .external_lex_state = 2},
  [6498] = {.lex_state = 77, .external_lex_state = 2},
  [6499] = {.lex_state = 77, .external_lex_state = 2},
  [6500] = {.lex_state = 77, .external_lex_state = 2},
  [6501] = {.lex_state = 77, .external_lex_state = 2},
  [6502] = {.lex_state = 77, .external_lex_state = 2},
  [6503] = {.lex_state = 77, .external_lex_state = 2},
  [6504] = {.lex_state = 77, .external_lex_state = 2},
  [6505] = {.lex_state = 77, .external_lex_state = 2},
  [6506] = {.lex_state = 26, .external_lex_state = 2},
  [6507] = {.lex_state = 77, .external_lex_state = 2},
  [6508] = {.lex_state = 77, .external_lex_state = 2},
  [6509] = {.lex_state = 77, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_signal] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_accessor] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_pragma] = ACTIONS(1),
    [aux_sym_ui_version_specifier_token1] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(6442),
    [sym_ui_pragma] = STATE(2743),
    [sym_ui_import] = STATE(2743),
    [sym_ui_object_definition] = STATE(6310),
    [sym_ui_annotated_object] = STATE(6310),
    [sym_ui_annotation] = STATE(3150),
    [sym_ui_nested_identifier] = STATE(5469),
    [aux_sym_program_repeat1] = STATE(2743),
    [aux_sym_ui_annotated_object_repeat1] = STATE(3149),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_let] = ACTIONS(11),
    [anon_sym_of] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(15),
    [anon_sym_static] = ACTIONS(11),
    [anon_sym_readonly] = ACTIONS(11),
    [anon_sym_get] = ACTIONS(11),
    [anon_sym_set] = ACTIONS(11),
    [anon_sym_declare] = ACTIONS(11),
    [anon_sym_public] = ACTIONS(11),
    [anon_sym_private] = ACTIONS(11),
    [anon_sym_protected] = ACTIONS(11),
    [anon_sym_override] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(11),
    [anon_sym_any] = ACTIONS(11),
    [anon_sym_number] = ACTIONS(11),
    [anon_sym_boolean] = ACTIONS(11),
    [anon_sym_string] = ACTIONS(11),
    [anon_sym_symbol] = ACTIONS(11),
    [anon_sym_object] = ACTIONS(11),
    [anon_sym_property] = ACTIONS(11),
    [anon_sym_signal] = ACTIONS(11),
    [anon_sym_on] = ACTIONS(11),
    [anon_sym_required] = ACTIONS(11),
    [anon_sym_component] = ACTIONS(11),
    [anon_sym_pragma] = ACTIONS(17),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(101),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(101),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5462),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(137),
    [anon_sym_export] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(143),
    [anon_sym_namespace] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(157),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(163),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(233),
    [anon_sym_readonly] = ACTIONS(235),
    [anon_sym_get] = ACTIONS(237),
    [anon_sym_set] = ACTIONS(237),
    [anon_sym_declare] = ACTIONS(239),
    [anon_sym_public] = ACTIONS(241),
    [anon_sym_private] = ACTIONS(241),
    [anon_sym_protected] = ACTIONS(241),
    [anon_sym_override] = ACTIONS(243),
    [anon_sym_module] = ACTIONS(245),
    [anon_sym_any] = ACTIONS(157),
    [anon_sym_number] = ACTIONS(157),
    [anon_sym_boolean] = ACTIONS(157),
    [anon_sym_string] = ACTIONS(157),
    [anon_sym_symbol] = ACTIONS(157),
    [anon_sym_object] = ACTIONS(157),
    [anon_sym_property] = ACTIONS(157),
    [anon_sym_signal] = ACTIONS(157),
    [anon_sym_on] = ACTIONS(157),
    [anon_sym_required] = ACTIONS(157),
    [anon_sym_component] = ACTIONS(157),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5462),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(18),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(137),
    [anon_sym_export] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(143),
    [anon_sym_namespace] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(157),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(163),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(233),
    [anon_sym_readonly] = ACTIONS(235),
    [anon_sym_get] = ACTIONS(237),
    [anon_sym_set] = ACTIONS(237),
    [anon_sym_declare] = ACTIONS(239),
    [anon_sym_public] = ACTIONS(241),
    [anon_sym_private] = ACTIONS(241),
    [anon_sym_protected] = ACTIONS(241),
    [anon_sym_override] = ACTIONS(243),
    [anon_sym_module] = ACTIONS(245),
    [anon_sym_any] = ACTIONS(157),
    [anon_sym_number] = ACTIONS(157),
    [anon_sym_boolean] = ACTIONS(157),
    [anon_sym_string] = ACTIONS(157),
    [anon_sym_symbol] = ACTIONS(157),
    [anon_sym_object] = ACTIONS(157),
    [anon_sym_property] = ACTIONS(157),
    [anon_sym_signal] = ACTIONS(157),
    [anon_sym_on] = ACTIONS(157),
    [anon_sym_required] = ACTIONS(157),
    [anon_sym_component] = ACTIONS(157),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5462),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(137),
    [anon_sym_export] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(143),
    [anon_sym_namespace] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(157),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(163),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(233),
    [anon_sym_readonly] = ACTIONS(235),
    [anon_sym_get] = ACTIONS(237),
    [anon_sym_set] = ACTIONS(237),
    [anon_sym_declare] = ACTIONS(239),
    [anon_sym_public] = ACTIONS(241),
    [anon_sym_private] = ACTIONS(241),
    [anon_sym_protected] = ACTIONS(241),
    [anon_sym_override] = ACTIONS(243),
    [anon_sym_module] = ACTIONS(245),
    [anon_sym_any] = ACTIONS(157),
    [anon_sym_number] = ACTIONS(157),
    [anon_sym_boolean] = ACTIONS(157),
    [anon_sym_string] = ACTIONS(157),
    [anon_sym_symbol] = ACTIONS(157),
    [anon_sym_object] = ACTIONS(157),
    [anon_sym_property] = ACTIONS(157),
    [anon_sym_signal] = ACTIONS(157),
    [anon_sym_on] = ACTIONS(157),
    [anon_sym_required] = ACTIONS(157),
    [anon_sym_component] = ACTIONS(157),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5297),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(20),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(261),
    [anon_sym_namespace] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(267),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(269),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(267),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(271),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(275),
    [anon_sym_readonly] = ACTIONS(277),
    [anon_sym_get] = ACTIONS(279),
    [anon_sym_set] = ACTIONS(279),
    [anon_sym_declare] = ACTIONS(281),
    [anon_sym_public] = ACTIONS(283),
    [anon_sym_private] = ACTIONS(283),
    [anon_sym_protected] = ACTIONS(283),
    [anon_sym_override] = ACTIONS(285),
    [anon_sym_module] = ACTIONS(287),
    [anon_sym_any] = ACTIONS(267),
    [anon_sym_number] = ACTIONS(267),
    [anon_sym_boolean] = ACTIONS(267),
    [anon_sym_string] = ACTIONS(267),
    [anon_sym_symbol] = ACTIONS(267),
    [anon_sym_object] = ACTIONS(267),
    [anon_sym_property] = ACTIONS(267),
    [anon_sym_signal] = ACTIONS(267),
    [anon_sym_on] = ACTIONS(267),
    [anon_sym_required] = ACTIONS(267),
    [anon_sym_component] = ACTIONS(267),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5297),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(20),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_export] = ACTIONS(291),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(293),
    [anon_sym_namespace] = ACTIONS(295),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(297),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(299),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(301),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(305),
    [anon_sym_readonly] = ACTIONS(307),
    [anon_sym_get] = ACTIONS(309),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_declare] = ACTIONS(311),
    [anon_sym_public] = ACTIONS(313),
    [anon_sym_private] = ACTIONS(313),
    [anon_sym_protected] = ACTIONS(313),
    [anon_sym_override] = ACTIONS(315),
    [anon_sym_module] = ACTIONS(317),
    [anon_sym_any] = ACTIONS(297),
    [anon_sym_number] = ACTIONS(297),
    [anon_sym_boolean] = ACTIONS(297),
    [anon_sym_string] = ACTIONS(297),
    [anon_sym_symbol] = ACTIONS(297),
    [anon_sym_object] = ACTIONS(297),
    [anon_sym_property] = ACTIONS(297),
    [anon_sym_signal] = ACTIONS(297),
    [anon_sym_on] = ACTIONS(297),
    [anon_sym_required] = ACTIONS(297),
    [anon_sym_component] = ACTIONS(297),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5462),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(137),
    [anon_sym_export] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(143),
    [anon_sym_namespace] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(157),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(163),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(233),
    [anon_sym_readonly] = ACTIONS(235),
    [anon_sym_get] = ACTIONS(237),
    [anon_sym_set] = ACTIONS(237),
    [anon_sym_declare] = ACTIONS(239),
    [anon_sym_public] = ACTIONS(241),
    [anon_sym_private] = ACTIONS(241),
    [anon_sym_protected] = ACTIONS(241),
    [anon_sym_override] = ACTIONS(243),
    [anon_sym_module] = ACTIONS(245),
    [anon_sym_any] = ACTIONS(157),
    [anon_sym_number] = ACTIONS(157),
    [anon_sym_boolean] = ACTIONS(157),
    [anon_sym_string] = ACTIONS(157),
    [anon_sym_symbol] = ACTIONS(157),
    [anon_sym_object] = ACTIONS(157),
    [anon_sym_property] = ACTIONS(157),
    [anon_sym_signal] = ACTIONS(157),
    [anon_sym_on] = ACTIONS(157),
    [anon_sym_required] = ACTIONS(157),
    [anon_sym_component] = ACTIONS(157),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6495),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6495),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6495),
    [sym_spread_element] = STATE(5297),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2392),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(4066),
    [sym_computed_property_name] = STATE(4066),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_accessibility_modifier] = STATE(2650),
    [sym_override_modifier] = STATE(2794),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(20),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(141),
    [anon_sym_type] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(329),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(331),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(329),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(335),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [sym_private_property_identifier] = ACTIONS(227),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(339),
    [anon_sym_get] = ACTIONS(341),
    [anon_sym_set] = ACTIONS(341),
    [anon_sym_declare] = ACTIONS(343),
    [anon_sym_public] = ACTIONS(345),
    [anon_sym_private] = ACTIONS(345),
    [anon_sym_protected] = ACTIONS(345),
    [anon_sym_override] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_any] = ACTIONS(329),
    [anon_sym_number] = ACTIONS(329),
    [anon_sym_boolean] = ACTIONS(329),
    [anon_sym_string] = ACTIONS(329),
    [anon_sym_symbol] = ACTIONS(329),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_property] = ACTIONS(329),
    [anon_sym_signal] = ACTIONS(329),
    [anon_sym_on] = ACTIONS(329),
    [anon_sym_required] = ACTIONS(329),
    [anon_sym_component] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(14),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_default] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(385),
    [anon_sym_export] = ACTIONS(388),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(393),
    [anon_sym_namespace] = ACTIONS(396),
    [anon_sym_LBRACE] = ACTIONS(399),
    [anon_sym_RBRACE] = ACTIONS(402),
    [anon_sym_typeof] = ACTIONS(404),
    [anon_sym_import] = ACTIONS(407),
    [anon_sym_from] = ACTIONS(410),
    [anon_sym_with] = ACTIONS(413),
    [anon_sym_var] = ACTIONS(416),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_const] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(428),
    [anon_sym_switch] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(434),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_await] = ACTIONS(443),
    [anon_sym_of] = ACTIONS(410),
    [anon_sym_while] = ACTIONS(446),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(452),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_continue] = ACTIONS(458),
    [anon_sym_debugger] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(464),
    [anon_sym_throw] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(391),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_async] = ACTIONS(479),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(485),
    [anon_sym_using] = ACTIONS(488),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_SLASH] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_TILDE] = ACTIONS(425),
    [anon_sym_void] = ACTIONS(404),
    [anon_sym_delete] = ACTIONS(404),
    [anon_sym_PLUS_PLUS] = ACTIONS(497),
    [anon_sym_DASH_DASH] = ACTIONS(497),
    [anon_sym_DQUOTE] = ACTIONS(500),
    [anon_sym_SQUOTE] = ACTIONS(503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(509),
    [sym_private_property_identifier] = ACTIONS(512),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(521),
    [anon_sym_static] = ACTIONS(410),
    [anon_sym_readonly] = ACTIONS(410),
    [anon_sym_get] = ACTIONS(410),
    [anon_sym_set] = ACTIONS(410),
    [anon_sym_declare] = ACTIONS(524),
    [anon_sym_public] = ACTIONS(410),
    [anon_sym_private] = ACTIONS(410),
    [anon_sym_protected] = ACTIONS(410),
    [anon_sym_override] = ACTIONS(410),
    [anon_sym_module] = ACTIONS(527),
    [anon_sym_any] = ACTIONS(410),
    [anon_sym_number] = ACTIONS(410),
    [anon_sym_boolean] = ACTIONS(410),
    [anon_sym_string] = ACTIONS(410),
    [anon_sym_symbol] = ACTIONS(410),
    [anon_sym_object] = ACTIONS(410),
    [anon_sym_property] = ACTIONS(410),
    [anon_sym_signal] = ACTIONS(410),
    [anon_sym_on] = ACTIONS(410),
    [anon_sym_required] = ACTIONS(410),
    [anon_sym_component] = ACTIONS(410),
    [anon_sym_abstract] = ACTIONS(530),
    [anon_sym_interface] = ACTIONS(533),
    [anon_sym_enum] = ACTIONS(536),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_default] = ACTIONS(539),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(539),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_default] = ACTIONS(543),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(543),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(17),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(31),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(31),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(553),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(21),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(20),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(24),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(18),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(573),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(28),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [aux_sym_statement_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(577),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3082),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(858),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(859),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(857),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(866),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(867),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(868),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(891),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(804),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(875),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(883),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(884),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(875),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(839),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(912),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(844),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(857),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(858),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(859),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(865),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(866),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(867),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(868),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3077),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(6107),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3083),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(2996),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(2943),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3046),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3059),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3060),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3061),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3068),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3069),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3070),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(3071),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(883),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(884),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(2946),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(5390),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(2946),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(2947),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(839),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(3031),
    [sym_declaration] = STATE(3031),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(3031),
    [sym_statement] = STATE(2943),
    [sym_expression_statement] = STATE(3031),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_statement_block] = STATE(3031),
    [sym_if_statement] = STATE(3031),
    [sym_switch_statement] = STATE(3031),
    [sym_for_statement] = STATE(3031),
    [sym_for_in_statement] = STATE(3031),
    [sym_while_statement] = STATE(3031),
    [sym_do_statement] = STATE(3031),
    [sym_try_statement] = STATE(3031),
    [sym_with_statement] = STATE(3031),
    [sym_break_statement] = STATE(3031),
    [sym_continue_statement] = STATE(3031),
    [sym_debugger_statement] = STATE(3031),
    [sym_return_statement] = STATE(3031),
    [sym_throw_statement] = STATE(3031),
    [sym_empty_statement] = STATE(3031),
    [sym_labeled_statement] = STATE(3031),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4170),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_export] = ACTIONS(581),
    [anon_sym_type] = ACTIONS(583),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_from] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(617),
    [anon_sym_debugger] = ACTIONS(619),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_readonly] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_declare] = ACTIONS(633),
    [anon_sym_public] = ACTIONS(591),
    [anon_sym_private] = ACTIONS(591),
    [anon_sym_protected] = ACTIONS(591),
    [anon_sym_override] = ACTIONS(591),
    [anon_sym_module] = ACTIONS(635),
    [anon_sym_any] = ACTIONS(591),
    [anon_sym_number] = ACTIONS(591),
    [anon_sym_boolean] = ACTIONS(591),
    [anon_sym_string] = ACTIONS(591),
    [anon_sym_symbol] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(591),
    [anon_sym_property] = ACTIONS(591),
    [anon_sym_signal] = ACTIONS(591),
    [anon_sym_on] = ACTIONS(591),
    [anon_sym_required] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(844),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(6468),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4098),
    [sym_identifier] = ACTIONS(643),
    [anon_sym_export] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(653),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(671),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_readonly] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_declare] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(653),
    [anon_sym_private] = ACTIONS(653),
    [anon_sym_protected] = ACTIONS(653),
    [anon_sym_override] = ACTIONS(653),
    [anon_sym_module] = ACTIONS(675),
    [anon_sym_any] = ACTIONS(653),
    [anon_sym_number] = ACTIONS(653),
    [anon_sym_boolean] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_symbol] = ACTIONS(653),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_property] = ACTIONS(653),
    [anon_sym_signal] = ACTIONS(653),
    [anon_sym_on] = ACTIONS(653),
    [anon_sym_required] = ACTIONS(653),
    [anon_sym_component] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(753),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(3928),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4695),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4580),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5420),
    [sym_optional_tuple_parameter] = STATE(5420),
    [sym_optional_type] = STATE(5420),
    [sym_rest_type] = STATE(5420),
    [sym__tuple_type_member] = STATE(5420),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6044),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(759),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(703),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(727),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(729),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(733),
    [anon_sym_number] = ACTIONS(733),
    [anon_sym_boolean] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_symbol] = ACTIONS(733),
    [anon_sym_object] = ACTIONS(733),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(871),
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(4043),
    [sym_import_statement] = STATE(871),
    [sym_statement] = STATE(865),
    [sym_expression_statement] = STATE(871),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_statement_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_for_in_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_statement] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_with_statement] = STATE(871),
    [sym_break_statement] = STATE(871),
    [sym_continue_statement] = STATE(871),
    [sym_debugger_statement] = STATE(871),
    [sym_return_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_empty_statement] = STATE(871),
    [sym_labeled_statement] = STATE(871),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5637),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4197),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_export] = ACTIONS(353),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_namespace] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_from] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(159),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_switch] = ACTIONS(171),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(191),
    [anon_sym_return] = ACTIONS(193),
    [anon_sym_throw] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(369),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(363),
    [anon_sym_readonly] = ACTIONS(363),
    [anon_sym_get] = ACTIONS(363),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_declare] = ACTIONS(377),
    [anon_sym_public] = ACTIONS(363),
    [anon_sym_private] = ACTIONS(363),
    [anon_sym_protected] = ACTIONS(363),
    [anon_sym_override] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_any] = ACTIONS(363),
    [anon_sym_number] = ACTIONS(363),
    [anon_sym_boolean] = ACTIONS(363),
    [anon_sym_string] = ACTIONS(363),
    [anon_sym_symbol] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(363),
    [anon_sym_property] = ACTIONS(363),
    [anon_sym_signal] = ACTIONS(363),
    [anon_sym_on] = ACTIONS(363),
    [anon_sym_required] = ACTIONS(363),
    [anon_sym_component] = ACTIONS(363),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4410),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(822),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2157),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6372),
    [sym_string] = STATE(2493),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4856),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_typeof] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(838),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(846),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(850),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(854),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(858),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_override] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(866),
    [anon_sym_number] = ACTIONS(866),
    [anon_sym_boolean] = ACTIONS(866),
    [anon_sym_string] = ACTIONS(866),
    [anon_sym_symbol] = ACTIONS(866),
    [anon_sym_object] = ACTIONS(866),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2169),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6138),
    [sym_string] = STATE(2493),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4856),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_typeof] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(838),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(846),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(850),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(854),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(858),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_override] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(866),
    [anon_sym_number] = ACTIONS(866),
    [anon_sym_boolean] = ACTIONS(866),
    [anon_sym_string] = ACTIONS(866),
    [anon_sym_symbol] = ACTIONS(866),
    [anon_sym_object] = ACTIONS(866),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4766),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(870),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4744),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(872),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4392),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4269),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(876),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4423),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(878),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2169),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6138),
    [sym_string] = STATE(2493),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4807),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_typeof] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(838),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(846),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(850),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(854),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(858),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_override] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(866),
    [anon_sym_number] = ACTIONS(866),
    [anon_sym_boolean] = ACTIONS(866),
    [anon_sym_string] = ACTIONS(866),
    [anon_sym_symbol] = ACTIONS(866),
    [anon_sym_object] = ACTIONS(866),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(42),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(42),
    [anon_sym_DASH] = ACTIONS(42),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(88),
    [anon_sym_DASH_DASH] = ACTIONS(88),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(888),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_RBRACE] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4807),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4856),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4824),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4888),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(4063),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4857),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(36),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(922),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(763),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(782),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [anon_sym_declare] = ACTIONS(763),
    [anon_sym_public] = ACTIONS(763),
    [anon_sym_private] = ACTIONS(763),
    [anon_sym_protected] = ACTIONS(763),
    [anon_sym_override] = ACTIONS(763),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_any] = ACTIONS(763),
    [anon_sym_number] = ACTIONS(763),
    [anon_sym_boolean] = ACTIONS(763),
    [anon_sym_string] = ACTIONS(763),
    [anon_sym_symbol] = ACTIONS(763),
    [anon_sym_object] = ACTIONS(763),
    [anon_sym_property] = ACTIONS(763),
    [anon_sym_signal] = ACTIONS(763),
    [anon_sym_on] = ACTIONS(763),
    [anon_sym_required] = ACTIONS(763),
    [anon_sym_component] = ACTIONS(763),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6429),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(954),
    [anon_sym_DASH_DASH] = ACTIONS(954),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(965),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(978),
    [anon_sym_export] = ACTIONS(980),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(980),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(986),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(988),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(980),
    [anon_sym_readonly] = ACTIONS(980),
    [anon_sym_get] = ACTIONS(980),
    [anon_sym_set] = ACTIONS(980),
    [anon_sym_declare] = ACTIONS(980),
    [anon_sym_public] = ACTIONS(980),
    [anon_sym_private] = ACTIONS(980),
    [anon_sym_protected] = ACTIONS(980),
    [anon_sym_override] = ACTIONS(980),
    [anon_sym_module] = ACTIONS(980),
    [anon_sym_any] = ACTIONS(980),
    [anon_sym_number] = ACTIONS(980),
    [anon_sym_boolean] = ACTIONS(980),
    [anon_sym_string] = ACTIONS(980),
    [anon_sym_symbol] = ACTIONS(980),
    [anon_sym_object] = ACTIONS(980),
    [anon_sym_property] = ACTIONS(980),
    [anon_sym_signal] = ACTIONS(980),
    [anon_sym_on] = ACTIONS(980),
    [anon_sym_required] = ACTIONS(980),
    [anon_sym_component] = ACTIONS(980),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(978),
    [anon_sym_export] = ACTIONS(980),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(980),
    [anon_sym_let] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(980),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(986),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(988),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(980),
    [anon_sym_readonly] = ACTIONS(980),
    [anon_sym_get] = ACTIONS(980),
    [anon_sym_set] = ACTIONS(980),
    [anon_sym_declare] = ACTIONS(980),
    [anon_sym_public] = ACTIONS(980),
    [anon_sym_private] = ACTIONS(980),
    [anon_sym_protected] = ACTIONS(980),
    [anon_sym_override] = ACTIONS(980),
    [anon_sym_module] = ACTIONS(980),
    [anon_sym_any] = ACTIONS(980),
    [anon_sym_number] = ACTIONS(980),
    [anon_sym_boolean] = ACTIONS(980),
    [anon_sym_string] = ACTIONS(980),
    [anon_sym_symbol] = ACTIONS(980),
    [anon_sym_object] = ACTIONS(980),
    [anon_sym_property] = ACTIONS(980),
    [anon_sym_signal] = ACTIONS(980),
    [anon_sym_on] = ACTIONS(980),
    [anon_sym_required] = ACTIONS(980),
    [anon_sym_component] = ACTIONS(980),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(999),
    [anon_sym_of] = ACTIONS(1002),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4603),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5769),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_RBRACE] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1006),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1006),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1012),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_property] = ACTIONS(1006),
    [anon_sym_signal] = ACTIONS(1006),
    [anon_sym_on] = ACTIONS(1006),
    [anon_sym_required] = ACTIONS(1006),
    [anon_sym_component] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(965),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4708),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(6048),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(908),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_readonly] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [anon_sym_declare] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_override] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_any] = ACTIONS(908),
    [anon_sym_number] = ACTIONS(908),
    [anon_sym_boolean] = ACTIONS(908),
    [anon_sym_string] = ACTIONS(908),
    [anon_sym_symbol] = ACTIONS(908),
    [anon_sym_object] = ACTIONS(908),
    [anon_sym_property] = ACTIONS(908),
    [anon_sym_signal] = ACTIONS(908),
    [anon_sym_on] = ACTIONS(908),
    [anon_sym_required] = ACTIONS(908),
    [anon_sym_component] = ACTIONS(908),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1415),
    [sym_expression] = STATE(2914),
    [sym_primary_expression] = STATE(1961),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2966),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1415),
    [sym_subscript_expression] = STATE(1415),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1415),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1006),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1006),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1012),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_property] = ACTIONS(1006),
    [anon_sym_signal] = ACTIONS(1006),
    [anon_sym_on] = ACTIONS(1006),
    [anon_sym_required] = ACTIONS(1006),
    [anon_sym_component] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1020),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_EQ] = ACTIONS(1024),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1028),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1030),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_readonly] = ACTIONS(1022),
    [anon_sym_get] = ACTIONS(1022),
    [anon_sym_set] = ACTIONS(1022),
    [anon_sym_declare] = ACTIONS(1022),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_override] = ACTIONS(1022),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(1022),
    [anon_sym_number] = ACTIONS(1022),
    [anon_sym_boolean] = ACTIONS(1022),
    [anon_sym_string] = ACTIONS(1022),
    [anon_sym_symbol] = ACTIONS(1022),
    [anon_sym_object] = ACTIONS(1022),
    [anon_sym_property] = ACTIONS(1022),
    [anon_sym_signal] = ACTIONS(1022),
    [anon_sym_on] = ACTIONS(1022),
    [anon_sym_required] = ACTIONS(1022),
    [anon_sym_component] = ACTIONS(1022),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1020),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_EQ] = ACTIONS(1024),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1022),
    [anon_sym_let] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1028),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1030),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_readonly] = ACTIONS(1022),
    [anon_sym_get] = ACTIONS(1022),
    [anon_sym_set] = ACTIONS(1022),
    [anon_sym_declare] = ACTIONS(1022),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_override] = ACTIONS(1022),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(1022),
    [anon_sym_number] = ACTIONS(1022),
    [anon_sym_boolean] = ACTIONS(1022),
    [anon_sym_string] = ACTIONS(1022),
    [anon_sym_symbol] = ACTIONS(1022),
    [anon_sym_object] = ACTIONS(1022),
    [anon_sym_property] = ACTIONS(1022),
    [anon_sym_signal] = ACTIONS(1022),
    [anon_sym_on] = ACTIONS(1022),
    [anon_sym_required] = ACTIONS(1022),
    [anon_sym_component] = ACTIONS(1022),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_export] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_readonly] = ACTIONS(963),
    [anon_sym_get] = ACTIONS(963),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_declare] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_override] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_any] = ACTIONS(963),
    [anon_sym_number] = ACTIONS(963),
    [anon_sym_boolean] = ACTIONS(963),
    [anon_sym_string] = ACTIONS(963),
    [anon_sym_symbol] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(963),
    [anon_sym_property] = ACTIONS(963),
    [anon_sym_signal] = ACTIONS(963),
    [anon_sym_on] = ACTIONS(963),
    [anon_sym_required] = ACTIONS(963),
    [anon_sym_component] = ACTIONS(963),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1034),
    [anon_sym_export] = ACTIONS(1036),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1036),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1036),
    [anon_sym_let] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1036),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1046),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1050),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1036),
    [anon_sym_readonly] = ACTIONS(1036),
    [anon_sym_get] = ACTIONS(1036),
    [anon_sym_set] = ACTIONS(1036),
    [anon_sym_declare] = ACTIONS(1036),
    [anon_sym_public] = ACTIONS(1036),
    [anon_sym_private] = ACTIONS(1036),
    [anon_sym_protected] = ACTIONS(1036),
    [anon_sym_override] = ACTIONS(1036),
    [anon_sym_module] = ACTIONS(1036),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_property] = ACTIONS(1036),
    [anon_sym_signal] = ACTIONS(1036),
    [anon_sym_on] = ACTIONS(1036),
    [anon_sym_required] = ACTIONS(1036),
    [anon_sym_component] = ACTIONS(1036),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1034),
    [anon_sym_export] = ACTIONS(1036),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1036),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1036),
    [anon_sym_let] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1036),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1046),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1050),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1036),
    [anon_sym_readonly] = ACTIONS(1036),
    [anon_sym_get] = ACTIONS(1036),
    [anon_sym_set] = ACTIONS(1036),
    [anon_sym_declare] = ACTIONS(1036),
    [anon_sym_public] = ACTIONS(1036),
    [anon_sym_private] = ACTIONS(1036),
    [anon_sym_protected] = ACTIONS(1036),
    [anon_sym_override] = ACTIONS(1036),
    [anon_sym_module] = ACTIONS(1036),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_property] = ACTIONS(1036),
    [anon_sym_signal] = ACTIONS(1036),
    [anon_sym_on] = ACTIONS(1036),
    [anon_sym_required] = ACTIONS(1036),
    [anon_sym_component] = ACTIONS(1036),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6429),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(954),
    [anon_sym_DASH_DASH] = ACTIONS(954),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_export] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1056),
    [anon_sym_let] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1056),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1066),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1056),
    [anon_sym_readonly] = ACTIONS(1056),
    [anon_sym_get] = ACTIONS(1056),
    [anon_sym_set] = ACTIONS(1056),
    [anon_sym_declare] = ACTIONS(1056),
    [anon_sym_public] = ACTIONS(1056),
    [anon_sym_private] = ACTIONS(1056),
    [anon_sym_protected] = ACTIONS(1056),
    [anon_sym_override] = ACTIONS(1056),
    [anon_sym_module] = ACTIONS(1056),
    [anon_sym_any] = ACTIONS(1056),
    [anon_sym_number] = ACTIONS(1056),
    [anon_sym_boolean] = ACTIONS(1056),
    [anon_sym_string] = ACTIONS(1056),
    [anon_sym_symbol] = ACTIONS(1056),
    [anon_sym_object] = ACTIONS(1056),
    [anon_sym_property] = ACTIONS(1056),
    [anon_sym_signal] = ACTIONS(1056),
    [anon_sym_on] = ACTIONS(1056),
    [anon_sym_required] = ACTIONS(1056),
    [anon_sym_component] = ACTIONS(1056),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1070),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4358),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(999),
    [anon_sym_of] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(3979),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5654),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_nested_identifier] = STATE(6232),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2262),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4293),
    [sym_pattern] = STATE(5104),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3628),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5742),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_typeof] = ACTIONS(1082),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1090),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(1098),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [sym_number] = ACTIONS(1102),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(1104),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [sym_null] = ACTIONS(1106),
    [sym_undefined] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(1110),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(1114),
    [anon_sym_number] = ACTIONS(1114),
    [anon_sym_boolean] = ACTIONS(1114),
    [anon_sym_string] = ACTIONS(1114),
    [anon_sym_symbol] = ACTIONS(1114),
    [anon_sym_object] = ACTIONS(1114),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_export] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1056),
    [anon_sym_let] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1056),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1066),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1056),
    [anon_sym_readonly] = ACTIONS(1056),
    [anon_sym_get] = ACTIONS(1056),
    [anon_sym_set] = ACTIONS(1056),
    [anon_sym_declare] = ACTIONS(1056),
    [anon_sym_public] = ACTIONS(1056),
    [anon_sym_private] = ACTIONS(1056),
    [anon_sym_protected] = ACTIONS(1056),
    [anon_sym_override] = ACTIONS(1056),
    [anon_sym_module] = ACTIONS(1056),
    [anon_sym_any] = ACTIONS(1056),
    [anon_sym_number] = ACTIONS(1056),
    [anon_sym_boolean] = ACTIONS(1056),
    [anon_sym_string] = ACTIONS(1056),
    [anon_sym_symbol] = ACTIONS(1056),
    [anon_sym_object] = ACTIONS(1056),
    [anon_sym_property] = ACTIONS(1056),
    [anon_sym_signal] = ACTIONS(1056),
    [anon_sym_on] = ACTIONS(1056),
    [anon_sym_required] = ACTIONS(1056),
    [anon_sym_component] = ACTIONS(1056),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1622),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(894),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2395),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6215),
    [sym_string] = STATE(2493),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5537),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(4409),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(4818),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_typeof] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(846),
    [sym_number] = ACTIONS(848),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(1148),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(1152),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(1154),
    [anon_sym_number] = ACTIONS(1154),
    [anon_sym_boolean] = ACTIONS(1154),
    [anon_sym_string] = ACTIONS(1154),
    [anon_sym_symbol] = ACTIONS(1154),
    [anon_sym_object] = ACTIONS(1154),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(3976),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2620),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4245),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(519),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_typeof] = ACTIONS(1164),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1178),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1184),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [sym_number] = ACTIONS(1192),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(1196),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [sym_null] = ACTIONS(1198),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2291),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4459),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4459),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1467),
    [sym_subscript_expression] = STATE(1467),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4459),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2393),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1467),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4408),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1206),
    [anon_sym_export] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_namespace] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_typeof] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1214),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1216),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [sym_number] = ACTIONS(97),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(105),
    [sym_false] = ACTIONS(105),
    [sym_null] = ACTIONS(105),
    [sym_undefined] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_readonly] = ACTIONS(1220),
    [anon_sym_get] = ACTIONS(1208),
    [anon_sym_set] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1208),
    [anon_sym_public] = ACTIONS(1208),
    [anon_sym_private] = ACTIONS(1208),
    [anon_sym_protected] = ACTIONS(1208),
    [anon_sym_override] = ACTIONS(1208),
    [anon_sym_module] = ACTIONS(1208),
    [anon_sym_any] = ACTIONS(1222),
    [anon_sym_number] = ACTIONS(1222),
    [anon_sym_boolean] = ACTIONS(1222),
    [anon_sym_string] = ACTIONS(1222),
    [anon_sym_symbol] = ACTIONS(1222),
    [anon_sym_object] = ACTIONS(1222),
    [anon_sym_property] = ACTIONS(1208),
    [anon_sym_signal] = ACTIONS(1208),
    [anon_sym_on] = ACTIONS(1208),
    [anon_sym_required] = ACTIONS(1208),
    [anon_sym_component] = ACTIONS(1208),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(3994),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3855),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3855),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1407),
    [sym_subscript_expression] = STATE(1407),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3855),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2765),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1407),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4408),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_export] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1226),
    [anon_sym_namespace] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_typeof] = ACTIONS(1232),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1226),
    [anon_sym_let] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1238),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_number] = ACTIONS(1244),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1246),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [sym_undefined] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_readonly] = ACTIONS(1252),
    [anon_sym_get] = ACTIONS(1226),
    [anon_sym_set] = ACTIONS(1226),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1226),
    [anon_sym_public] = ACTIONS(1226),
    [anon_sym_private] = ACTIONS(1226),
    [anon_sym_protected] = ACTIONS(1226),
    [anon_sym_override] = ACTIONS(1226),
    [anon_sym_module] = ACTIONS(1226),
    [anon_sym_any] = ACTIONS(1254),
    [anon_sym_number] = ACTIONS(1254),
    [anon_sym_boolean] = ACTIONS(1254),
    [anon_sym_string] = ACTIONS(1254),
    [anon_sym_symbol] = ACTIONS(1254),
    [anon_sym_object] = ACTIONS(1254),
    [anon_sym_property] = ACTIONS(1226),
    [anon_sym_signal] = ACTIONS(1226),
    [anon_sym_on] = ACTIONS(1226),
    [anon_sym_required] = ACTIONS(1226),
    [anon_sym_component] = ACTIONS(1226),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1917),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(1946),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(600),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_typeof] = ACTIONS(1260),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [sym_number] = ACTIONS(1268),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(1270),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [sym_null] = ACTIONS(1272),
    [sym_undefined] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(1152),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(1276),
    [anon_sym_number] = ACTIONS(1276),
    [anon_sym_boolean] = ACTIONS(1276),
    [anon_sym_string] = ACTIONS(1276),
    [anon_sym_symbol] = ACTIONS(1276),
    [anon_sym_object] = ACTIONS(1276),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(3840),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2088),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2269),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4245),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(432),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1278),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_typeof] = ACTIONS(1286),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1292),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(1296),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [sym_number] = ACTIONS(1300),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(1302),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [sym_null] = ACTIONS(1304),
    [sym_undefined] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1310),
    [anon_sym_number] = ACTIONS(1310),
    [anon_sym_boolean] = ACTIONS(1310),
    [anon_sym_string] = ACTIONS(1310),
    [anon_sym_symbol] = ACTIONS(1310),
    [anon_sym_object] = ACTIONS(1310),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(3840),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2115),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2269),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4245),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(491),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1328),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1334),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [sym_number] = ACTIONS(1300),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(1302),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [sym_null] = ACTIONS(1304),
    [sym_undefined] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1344),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1346),
    [anon_sym_number] = ACTIONS(1346),
    [anon_sym_boolean] = ACTIONS(1346),
    [anon_sym_string] = ACTIONS(1346),
    [anon_sym_symbol] = ACTIONS(1346),
    [anon_sym_object] = ACTIONS(1346),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(3879),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(1946),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(650),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1348),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_typeof] = ACTIONS(1354),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1364),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1370),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [sym_number] = ACTIONS(1268),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(1270),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [sym_null] = ACTIONS(1272),
    [sym_undefined] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1382),
    [anon_sym_number] = ACTIONS(1382),
    [anon_sym_boolean] = ACTIONS(1382),
    [anon_sym_string] = ACTIONS(1382),
    [anon_sym_symbol] = ACTIONS(1382),
    [anon_sym_object] = ACTIONS(1382),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(3994),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2441),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(459),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_typeof] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1404),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1410),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_number] = ACTIONS(1418),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(1422),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1428),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1430),
    [anon_sym_number] = ACTIONS(1430),
    [anon_sym_boolean] = ACTIONS(1430),
    [anon_sym_string] = ACTIONS(1430),
    [anon_sym_symbol] = ACTIONS(1430),
    [anon_sym_object] = ACTIONS(1430),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(3994),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2441),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(598),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1432),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1440),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1456),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_number] = ACTIONS(1418),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(1422),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1466),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1468),
    [anon_sym_number] = ACTIONS(1468),
    [anon_sym_boolean] = ACTIONS(1468),
    [anon_sym_string] = ACTIONS(1468),
    [anon_sym_symbol] = ACTIONS(1468),
    [anon_sym_object] = ACTIONS(1468),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(3958),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2660),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2441),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(562),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_typeof] = ACTIONS(1478),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1488),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_number] = ACTIONS(1418),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(1422),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1506),
    [anon_sym_number] = ACTIONS(1506),
    [anon_sym_boolean] = ACTIONS(1506),
    [anon_sym_string] = ACTIONS(1506),
    [anon_sym_symbol] = ACTIONS(1506),
    [anon_sym_object] = ACTIONS(1506),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(3994),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2781),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_nested_identifier] = STATE(6435),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2441),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4706),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_type_arguments] = STATE(582),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5843),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1508),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_typeof] = ACTIONS(1510),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1512),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(84),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_number] = ACTIONS(1418),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1422),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [sym_undefined] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(1518),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(1520),
    [anon_sym_number] = ACTIONS(1520),
    [anon_sym_boolean] = ACTIONS(1520),
    [anon_sym_string] = ACTIONS(1520),
    [anon_sym_symbol] = ACTIONS(1520),
    [anon_sym_object] = ACTIONS(1520),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1953),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_COLON] = ACTIONS(1526),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2112),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__automatic_semicolon] = ACTIONS(1526),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2171),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__automatic_semicolon] = ACTIONS(1526),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__automatic_semicolon] = ACTIONS(1526),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [anon_sym_satisfies] = ACTIONS(1524),
    [anon_sym_implements] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2753),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1526),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1524),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_QMARK_DOT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(80),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [anon_sym_satisfies] = ACTIONS(1524),
    [sym__ternary_qmark] = ACTIONS(1526),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_declaration] = STATE(4648),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(4402),
    [sym_lexical_declaration] = STATE(4402),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(4402),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(4402),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(4402),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(4402),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(4402),
    [sym_abstract_class_declaration] = STATE(4402),
    [sym_module] = STATE(4402),
    [sym_internal_module] = STATE(2707),
    [sym_import_alias] = STATE(4402),
    [sym_interface_declaration] = STATE(4402),
    [sym_enum_declaration] = STATE(4402),
    [sym_type_alias_declaration] = STATE(4402),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4642),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1586),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1590),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(1594),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1600),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1602),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1606),
    [anon_sym_enum] = ACTIONS(1608),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_declaration] = STATE(3076),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4586),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_namespace] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(1616),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(1618),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1620),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_declaration] = STATE(4341),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(4402),
    [sym_lexical_declaration] = STATE(4402),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2647),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(4402),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(4402),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(4402),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(4402),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(4402),
    [sym_abstract_class_declaration] = STATE(4402),
    [sym_module] = STATE(4402),
    [sym_internal_module] = STATE(2707),
    [sym_import_alias] = STATE(4402),
    [sym_interface_declaration] = STATE(4402),
    [sym_enum_declaration] = STATE(4402),
    [sym_type_alias_declaration] = STATE(4402),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4642),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1584),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1586),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1590),
    [anon_sym_const] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(1594),
    [anon_sym_async] = ACTIONS(1596),
    [anon_sym_function] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1600),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1602),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1606),
    [anon_sym_enum] = ACTIONS(1608),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4528),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1624),
    [anon_sym_namespace] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1628),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(1632),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1634),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1636),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_declaration] = STATE(874),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4528),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1624),
    [anon_sym_namespace] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1628),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(1632),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1634),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1636),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4478),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1624),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1628),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1640),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1642),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_declaration] = STATE(874),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(890),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(890),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(890),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(2633),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4478),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1624),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1628),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(1630),
    [anon_sym_const] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(1638),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1640),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1642),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(249),
    [anon_sym_enum] = ACTIONS(251),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_declaration] = STATE(3009),
    [sym_import] = STATE(4043),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2634),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_class_declaration] = STATE(3042),
    [sym_function_expression] = STATE(2443),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function] = STATE(2443),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_function_signature] = STATE(3042),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(1014),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4586),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1610),
    [anon_sym_namespace] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_let] = ACTIONS(1616),
    [anon_sym_const] = ACTIONS(599),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(625),
    [anon_sym_async] = ACTIONS(1618),
    [anon_sym_function] = ACTIONS(629),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1620),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(639),
    [anon_sym_enum] = ACTIONS(641),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3130),
    [sym_statement_block] = STATE(3130),
    [sym_if_statement] = STATE(3130),
    [sym_switch_statement] = STATE(3130),
    [sym_try_statement] = STATE(3130),
    [sym_with_statement] = STATE(3130),
    [sym_empty_statement] = STATE(3130),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(3130),
    [sym_ui_object_array] = STATE(3130),
    [sym_ui_nested_identifier] = STATE(5469),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_export] = ACTIONS(1646),
    [anon_sym_type] = ACTIONS(1646),
    [anon_sym_namespace] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1646),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1646),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1646),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1652),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1646),
    [anon_sym_readonly] = ACTIONS(1646),
    [anon_sym_get] = ACTIONS(1646),
    [anon_sym_set] = ACTIONS(1646),
    [anon_sym_declare] = ACTIONS(1646),
    [anon_sym_public] = ACTIONS(1646),
    [anon_sym_private] = ACTIONS(1646),
    [anon_sym_protected] = ACTIONS(1646),
    [anon_sym_override] = ACTIONS(1646),
    [anon_sym_module] = ACTIONS(1646),
    [anon_sym_any] = ACTIONS(1646),
    [anon_sym_number] = ACTIONS(1646),
    [anon_sym_boolean] = ACTIONS(1646),
    [anon_sym_string] = ACTIONS(1646),
    [anon_sym_symbol] = ACTIONS(1646),
    [anon_sym_object] = ACTIONS(1646),
    [anon_sym_property] = ACTIONS(1646),
    [anon_sym_signal] = ACTIONS(1646),
    [anon_sym_on] = ACTIONS(1646),
    [anon_sym_required] = ACTIONS(1646),
    [anon_sym_component] = ACTIONS(1646),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3105),
    [sym_statement_block] = STATE(3105),
    [sym_if_statement] = STATE(3105),
    [sym_switch_statement] = STATE(3105),
    [sym_try_statement] = STATE(3105),
    [sym_with_statement] = STATE(3105),
    [sym_empty_statement] = STATE(3105),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5730),
    [sym_ui_object_array] = STATE(5730),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3125),
    [sym_statement_block] = STATE(3125),
    [sym_if_statement] = STATE(3125),
    [sym_switch_statement] = STATE(3125),
    [sym_try_statement] = STATE(3125),
    [sym_with_statement] = STATE(3125),
    [sym_empty_statement] = STATE(3125),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5897),
    [sym_ui_object_array] = STATE(5897),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3102),
    [sym_statement_block] = STATE(3102),
    [sym_if_statement] = STATE(3102),
    [sym_switch_statement] = STATE(3102),
    [sym_try_statement] = STATE(3102),
    [sym_with_statement] = STATE(3102),
    [sym_empty_statement] = STATE(3102),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5674),
    [sym_ui_object_array] = STATE(5674),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3123),
    [sym_statement_block] = STATE(3123),
    [sym_if_statement] = STATE(3123),
    [sym_switch_statement] = STATE(3123),
    [sym_try_statement] = STATE(3123),
    [sym_with_statement] = STATE(3123),
    [sym_empty_statement] = STATE(3123),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5892),
    [sym_ui_object_array] = STATE(5892),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3124),
    [sym_statement_block] = STATE(3124),
    [sym_if_statement] = STATE(3124),
    [sym_switch_statement] = STATE(3124),
    [sym_try_statement] = STATE(3124),
    [sym_with_statement] = STATE(3124),
    [sym_empty_statement] = STATE(3124),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5894),
    [sym_ui_object_array] = STATE(5894),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3106),
    [sym_statement_block] = STATE(3106),
    [sym_if_statement] = STATE(3106),
    [sym_switch_statement] = STATE(3106),
    [sym_try_statement] = STATE(3106),
    [sym_with_statement] = STATE(3106),
    [sym_empty_statement] = STATE(3106),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(3106),
    [sym_ui_object_array] = STATE(3106),
    [sym_ui_nested_identifier] = STATE(5469),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_export] = ACTIONS(1646),
    [anon_sym_type] = ACTIONS(1646),
    [anon_sym_namespace] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1646),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1646),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1646),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1652),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1646),
    [anon_sym_readonly] = ACTIONS(1646),
    [anon_sym_get] = ACTIONS(1646),
    [anon_sym_set] = ACTIONS(1646),
    [anon_sym_declare] = ACTIONS(1646),
    [anon_sym_public] = ACTIONS(1646),
    [anon_sym_private] = ACTIONS(1646),
    [anon_sym_protected] = ACTIONS(1646),
    [anon_sym_override] = ACTIONS(1646),
    [anon_sym_module] = ACTIONS(1646),
    [anon_sym_any] = ACTIONS(1646),
    [anon_sym_number] = ACTIONS(1646),
    [anon_sym_boolean] = ACTIONS(1646),
    [anon_sym_string] = ACTIONS(1646),
    [anon_sym_symbol] = ACTIONS(1646),
    [anon_sym_object] = ACTIONS(1646),
    [anon_sym_property] = ACTIONS(1646),
    [anon_sym_signal] = ACTIONS(1646),
    [anon_sym_on] = ACTIONS(1646),
    [anon_sym_required] = ACTIONS(1646),
    [anon_sym_component] = ACTIONS(1646),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3126),
    [sym_statement_block] = STATE(3126),
    [sym_if_statement] = STATE(3126),
    [sym_switch_statement] = STATE(3126),
    [sym_try_statement] = STATE(3126),
    [sym_with_statement] = STATE(3126),
    [sym_empty_statement] = STATE(3126),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5898),
    [sym_ui_object_array] = STATE(5898),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3103),
    [sym_statement_block] = STATE(3103),
    [sym_if_statement] = STATE(3103),
    [sym_switch_statement] = STATE(3103),
    [sym_try_statement] = STATE(3103),
    [sym_with_statement] = STATE(3103),
    [sym_empty_statement] = STATE(3103),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5703),
    [sym_ui_object_array] = STATE(5703),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4043),
    [sym_expression_statement] = STATE(3104),
    [sym_statement_block] = STATE(3104),
    [sym_if_statement] = STATE(3104),
    [sym_switch_statement] = STATE(3104),
    [sym_try_statement] = STATE(3104),
    [sym_with_statement] = STATE(3104),
    [sym_empty_statement] = STATE(3104),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5633),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5714),
    [sym_ui_object_array] = STATE(5714),
    [sym_ui_nested_identifier] = STATE(5250),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_export] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_namespace] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1688),
    [anon_sym_with] = ACTIONS(593),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_readonly] = ACTIONS(1688),
    [anon_sym_get] = ACTIONS(1688),
    [anon_sym_set] = ACTIONS(1688),
    [anon_sym_declare] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_override] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_any] = ACTIONS(1688),
    [anon_sym_number] = ACTIONS(1688),
    [anon_sym_boolean] = ACTIONS(1688),
    [anon_sym_string] = ACTIONS(1688),
    [anon_sym_symbol] = ACTIONS(1688),
    [anon_sym_object] = ACTIONS(1688),
    [anon_sym_property] = ACTIONS(1688),
    [anon_sym_signal] = ACTIONS(1688),
    [anon_sym_on] = ACTIONS(1688),
    [anon_sym_required] = ACTIONS(1688),
    [anon_sym_component] = ACTIONS(1688),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3537),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_RBRACE] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(1710),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1730),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4060),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1024),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5076),
    [sym_ui_nested_identifier] = STATE(5469),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1744),
    [anon_sym_let] = ACTIONS(1744),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(1744),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_declare] = ACTIONS(1744),
    [anon_sym_public] = ACTIONS(1744),
    [anon_sym_private] = ACTIONS(1744),
    [anon_sym_protected] = ACTIONS(1744),
    [anon_sym_override] = ACTIONS(1744),
    [anon_sym_module] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
    [anon_sym_object] = ACTIONS(1744),
    [anon_sym_property] = ACTIONS(1744),
    [anon_sym_signal] = ACTIONS(1744),
    [anon_sym_on] = ACTIONS(1744),
    [anon_sym_required] = ACTIONS(1744),
    [anon_sym_component] = ACTIONS(1744),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_definition] = STATE(5313),
    [sym_ui_nested_identifier] = STATE(5469),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1744),
    [anon_sym_let] = ACTIONS(1744),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(1744),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_readonly] = ACTIONS(1744),
    [anon_sym_get] = ACTIONS(1744),
    [anon_sym_set] = ACTIONS(1744),
    [anon_sym_declare] = ACTIONS(1744),
    [anon_sym_public] = ACTIONS(1744),
    [anon_sym_private] = ACTIONS(1744),
    [anon_sym_protected] = ACTIONS(1744),
    [anon_sym_override] = ACTIONS(1744),
    [anon_sym_module] = ACTIONS(1744),
    [anon_sym_any] = ACTIONS(1744),
    [anon_sym_number] = ACTIONS(1744),
    [anon_sym_boolean] = ACTIONS(1744),
    [anon_sym_string] = ACTIONS(1744),
    [anon_sym_symbol] = ACTIONS(1744),
    [anon_sym_object] = ACTIONS(1744),
    [anon_sym_property] = ACTIONS(1744),
    [anon_sym_signal] = ACTIONS(1744),
    [anon_sym_on] = ACTIONS(1744),
    [anon_sym_required] = ACTIONS(1744),
    [anon_sym_component] = ACTIONS(1744),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2157),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6372),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(1764),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_override] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2169),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6138),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(1764),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(862),
    [anon_sym_private] = ACTIONS(862),
    [anon_sym_protected] = ACTIONS(862),
    [anon_sym_override] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5308),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5308),
    [sym_optional_parameter] = STATE(5308),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5028),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5028),
    [sym_optional_parameter] = STATE(5028),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(834),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(113),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(4983),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(4983),
    [sym_optional_parameter] = STATE(4983),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1776),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1778),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1780),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1782),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1786),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1788),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_RBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1790),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_RBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_QMARK] = ACTIONS(1790),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_statement_block] = STATE(265),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(1800),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1802),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym__formal_parameter] = STATE(5650),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4712),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(305),
    [sym_override_modifier] = STATE(326),
    [sym_required_parameter] = STATE(5650),
    [sym_optional_parameter] = STATE(5650),
    [sym__parameter_name] = STATE(3911),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(291),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(1770),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1772),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_statement_block] = STATE(265),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(1794),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_statement_block] = STATE(265),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(1804),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1806),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5075),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5178),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_EQ] = ACTIONS(1812),
    [anon_sym_as] = ACTIONS(1810),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_COMMA] = ACTIONS(1816),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1810),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_DOT] = ACTIONS(1810),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_QMARK_DOT] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1816),
    [anon_sym_PIPE_PIPE] = ACTIONS(1816),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_GT_GT_GT] = ACTIONS(1816),
    [anon_sym_LT_LT] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1816),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_PERCENT] = ACTIONS(1816),
    [anon_sym_STAR_STAR] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1816),
    [anon_sym_EQ_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1816),
    [anon_sym_BANG_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1816),
    [anon_sym_GT_EQ] = ACTIONS(1816),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_QMARK_QMARK] = ACTIONS(1816),
    [anon_sym_instanceof] = ACTIONS(1810),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_satisfies] = ACTIONS(1810),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(1818),
    [sym__ternary_qmark] = ACTIONS(1816),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1820),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5311),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5316),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1824),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_as] = ACTIONS(1824),
    [anon_sym_namespace] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_from] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_of] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_QMARK_DOT] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_using] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1826),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1826),
    [anon_sym_STAR_STAR] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_QMARK_QMARK] = ACTIONS(1826),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1826),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1826),
    [sym_number] = ACTIONS(1826),
    [sym_private_property_identifier] = ACTIONS(1826),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_readonly] = ACTIONS(1824),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
    [anon_sym_declare] = ACTIONS(1824),
    [anon_sym_public] = ACTIONS(1824),
    [anon_sym_private] = ACTIONS(1824),
    [anon_sym_protected] = ACTIONS(1824),
    [anon_sym_override] = ACTIONS(1824),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1824),
    [anon_sym_number] = ACTIONS(1824),
    [anon_sym_boolean] = ACTIONS(1824),
    [anon_sym_string] = ACTIONS(1824),
    [anon_sym_symbol] = ACTIONS(1824),
    [anon_sym_object] = ACTIONS(1824),
    [anon_sym_property] = ACTIONS(1824),
    [anon_sym_signal] = ACTIONS(1824),
    [anon_sym_on] = ACTIONS(1824),
    [anon_sym_required] = ACTIONS(1824),
    [anon_sym_component] = ACTIONS(1824),
    [anon_sym_abstract] = ACTIONS(1824),
    [anon_sym_satisfies] = ACTIONS(1824),
    [anon_sym_interface] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1824),
    [sym__automatic_semicolon] = ACTIONS(1826),
    [sym__ternary_qmark] = ACTIONS(1826),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5464),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5464),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1523),
    [sym_subscript_expression] = STATE(1523),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5464),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1523),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_mapped_type_clause] = STATE(6359),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_export] = ACTIONS(1830),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1830),
    [anon_sym_let] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1840),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1830),
    [anon_sym_readonly] = ACTIONS(1830),
    [anon_sym_get] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1830),
    [anon_sym_declare] = ACTIONS(1830),
    [anon_sym_public] = ACTIONS(1830),
    [anon_sym_private] = ACTIONS(1830),
    [anon_sym_protected] = ACTIONS(1830),
    [anon_sym_override] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1830),
    [anon_sym_any] = ACTIONS(1830),
    [anon_sym_number] = ACTIONS(1830),
    [anon_sym_boolean] = ACTIONS(1830),
    [anon_sym_string] = ACTIONS(1830),
    [anon_sym_symbol] = ACTIONS(1830),
    [anon_sym_object] = ACTIONS(1830),
    [anon_sym_property] = ACTIONS(1830),
    [anon_sym_signal] = ACTIONS(1830),
    [anon_sym_on] = ACTIONS(1830),
    [anon_sym_required] = ACTIONS(1830),
    [anon_sym_component] = ACTIONS(1830),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_as] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_in] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_QMARK_DOT] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_GT_GT_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_QMARK_QMARK] = ACTIONS(1846),
    [anon_sym_instanceof] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_satisfies] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(1848),
    [sym__ternary_qmark] = ACTIONS(1846),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1850),
    [anon_sym_export] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_default] = ACTIONS(1850),
    [anon_sym_type] = ACTIONS(1850),
    [anon_sym_as] = ACTIONS(1850),
    [anon_sym_namespace] = ACTIONS(1850),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1852),
    [anon_sym_RBRACE] = ACTIONS(1852),
    [anon_sym_typeof] = ACTIONS(1850),
    [anon_sym_import] = ACTIONS(1850),
    [anon_sym_from] = ACTIONS(1850),
    [anon_sym_with] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(1850),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1850),
    [anon_sym_else] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1850),
    [anon_sym_for] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym_await] = ACTIONS(1850),
    [anon_sym_in] = ACTIONS(1850),
    [anon_sym_of] = ACTIONS(1850),
    [anon_sym_while] = ACTIONS(1850),
    [anon_sym_do] = ACTIONS(1850),
    [anon_sym_try] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1850),
    [anon_sym_continue] = ACTIONS(1850),
    [anon_sym_debugger] = ACTIONS(1850),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_throw] = ACTIONS(1850),
    [anon_sym_case] = ACTIONS(1850),
    [anon_sym_yield] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_class] = ACTIONS(1850),
    [anon_sym_async] = ACTIONS(1850),
    [anon_sym_function] = ACTIONS(1850),
    [anon_sym_QMARK_DOT] = ACTIONS(1852),
    [anon_sym_new] = ACTIONS(1850),
    [anon_sym_using] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1852),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_GT_GT_GT] = ACTIONS(1852),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1852),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1852),
    [anon_sym_STAR_STAR] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1852),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1852),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1852),
    [anon_sym_GT_EQ] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_QMARK_QMARK] = ACTIONS(1852),
    [anon_sym_instanceof] = ACTIONS(1850),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_void] = ACTIONS(1850),
    [anon_sym_delete] = ACTIONS(1850),
    [anon_sym_PLUS_PLUS] = ACTIONS(1852),
    [anon_sym_DASH_DASH] = ACTIONS(1852),
    [anon_sym_DQUOTE] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1852),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1852),
    [sym_number] = ACTIONS(1852),
    [sym_private_property_identifier] = ACTIONS(1852),
    [sym_this] = ACTIONS(1850),
    [sym_super] = ACTIONS(1850),
    [sym_true] = ACTIONS(1850),
    [sym_false] = ACTIONS(1850),
    [sym_null] = ACTIONS(1850),
    [sym_undefined] = ACTIONS(1850),
    [anon_sym_AT] = ACTIONS(1852),
    [anon_sym_static] = ACTIONS(1850),
    [anon_sym_readonly] = ACTIONS(1850),
    [anon_sym_get] = ACTIONS(1850),
    [anon_sym_set] = ACTIONS(1850),
    [anon_sym_declare] = ACTIONS(1850),
    [anon_sym_public] = ACTIONS(1850),
    [anon_sym_private] = ACTIONS(1850),
    [anon_sym_protected] = ACTIONS(1850),
    [anon_sym_override] = ACTIONS(1850),
    [anon_sym_module] = ACTIONS(1850),
    [anon_sym_any] = ACTIONS(1850),
    [anon_sym_number] = ACTIONS(1850),
    [anon_sym_boolean] = ACTIONS(1850),
    [anon_sym_string] = ACTIONS(1850),
    [anon_sym_symbol] = ACTIONS(1850),
    [anon_sym_object] = ACTIONS(1850),
    [anon_sym_property] = ACTIONS(1850),
    [anon_sym_signal] = ACTIONS(1850),
    [anon_sym_on] = ACTIONS(1850),
    [anon_sym_required] = ACTIONS(1850),
    [anon_sym_component] = ACTIONS(1850),
    [anon_sym_abstract] = ACTIONS(1850),
    [anon_sym_satisfies] = ACTIONS(1850),
    [anon_sym_interface] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1850),
    [sym__automatic_semicolon] = ACTIONS(1852),
    [sym__ternary_qmark] = ACTIONS(1852),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1854),
    [anon_sym_export] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_default] = ACTIONS(1854),
    [anon_sym_type] = ACTIONS(1854),
    [anon_sym_as] = ACTIONS(1854),
    [anon_sym_namespace] = ACTIONS(1854),
    [anon_sym_LBRACE] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_RBRACE] = ACTIONS(1856),
    [anon_sym_typeof] = ACTIONS(1854),
    [anon_sym_import] = ACTIONS(1854),
    [anon_sym_from] = ACTIONS(1854),
    [anon_sym_with] = ACTIONS(1854),
    [anon_sym_var] = ACTIONS(1854),
    [anon_sym_let] = ACTIONS(1854),
    [anon_sym_const] = ACTIONS(1854),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_else] = ACTIONS(1854),
    [anon_sym_if] = ACTIONS(1854),
    [anon_sym_switch] = ACTIONS(1854),
    [anon_sym_for] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1856),
    [anon_sym_await] = ACTIONS(1854),
    [anon_sym_in] = ACTIONS(1854),
    [anon_sym_of] = ACTIONS(1854),
    [anon_sym_while] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1854),
    [anon_sym_try] = ACTIONS(1854),
    [anon_sym_break] = ACTIONS(1854),
    [anon_sym_continue] = ACTIONS(1854),
    [anon_sym_debugger] = ACTIONS(1854),
    [anon_sym_return] = ACTIONS(1854),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_case] = ACTIONS(1854),
    [anon_sym_yield] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(1854),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_async] = ACTIONS(1854),
    [anon_sym_function] = ACTIONS(1854),
    [anon_sym_QMARK_DOT] = ACTIONS(1856),
    [anon_sym_new] = ACTIONS(1854),
    [anon_sym_using] = ACTIONS(1854),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_GT_GT_GT] = ACTIONS(1856),
    [anon_sym_LT_LT] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1854),
    [anon_sym_PERCENT] = ACTIONS(1856),
    [anon_sym_STAR_STAR] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_EQ_EQ] = ACTIONS(1854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1856),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1854),
    [anon_sym_QMARK_QMARK] = ACTIONS(1856),
    [anon_sym_instanceof] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1856),
    [anon_sym_void] = ACTIONS(1854),
    [anon_sym_delete] = ACTIONS(1854),
    [anon_sym_PLUS_PLUS] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1856),
    [anon_sym_DQUOTE] = ACTIONS(1856),
    [anon_sym_SQUOTE] = ACTIONS(1856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1856),
    [sym_number] = ACTIONS(1856),
    [sym_private_property_identifier] = ACTIONS(1856),
    [sym_this] = ACTIONS(1854),
    [sym_super] = ACTIONS(1854),
    [sym_true] = ACTIONS(1854),
    [sym_false] = ACTIONS(1854),
    [sym_null] = ACTIONS(1854),
    [sym_undefined] = ACTIONS(1854),
    [anon_sym_AT] = ACTIONS(1856),
    [anon_sym_static] = ACTIONS(1854),
    [anon_sym_readonly] = ACTIONS(1854),
    [anon_sym_get] = ACTIONS(1854),
    [anon_sym_set] = ACTIONS(1854),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1854),
    [anon_sym_private] = ACTIONS(1854),
    [anon_sym_protected] = ACTIONS(1854),
    [anon_sym_override] = ACTIONS(1854),
    [anon_sym_module] = ACTIONS(1854),
    [anon_sym_any] = ACTIONS(1854),
    [anon_sym_number] = ACTIONS(1854),
    [anon_sym_boolean] = ACTIONS(1854),
    [anon_sym_string] = ACTIONS(1854),
    [anon_sym_symbol] = ACTIONS(1854),
    [anon_sym_object] = ACTIONS(1854),
    [anon_sym_property] = ACTIONS(1854),
    [anon_sym_signal] = ACTIONS(1854),
    [anon_sym_on] = ACTIONS(1854),
    [anon_sym_required] = ACTIONS(1854),
    [anon_sym_component] = ACTIONS(1854),
    [anon_sym_abstract] = ACTIONS(1854),
    [anon_sym_satisfies] = ACTIONS(1854),
    [anon_sym_interface] = ACTIONS(1854),
    [anon_sym_enum] = ACTIONS(1854),
    [sym__automatic_semicolon] = ACTIONS(1856),
    [sym__ternary_qmark] = ACTIONS(1856),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_as] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_COMMA] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1808),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_QMARK_DOT] = ACTIONS(1814),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1814),
    [anon_sym_PIPE_PIPE] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1808),
    [anon_sym_GT_GT_GT] = ACTIONS(1814),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1808),
    [anon_sym_CARET] = ACTIONS(1814),
    [anon_sym_PIPE] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_PERCENT] = ACTIONS(1814),
    [anon_sym_STAR_STAR] = ACTIONS(1814),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1814),
    [anon_sym_EQ_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1814),
    [anon_sym_BANG_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1814),
    [anon_sym_GT_EQ] = ACTIONS(1814),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_QMARK_QMARK] = ACTIONS(1814),
    [anon_sym_instanceof] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_satisfies] = ACTIONS(1808),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(1858),
    [sym__ternary_qmark] = ACTIONS(1814),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_as] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_in] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_QMARK_DOT] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_GT_GT_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_QMARK_QMARK] = ACTIONS(1846),
    [anon_sym_instanceof] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_satisfies] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(1846),
    [sym__ternary_qmark] = ACTIONS(1846),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_export] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_COMMA] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_import] = ACTIONS(1860),
    [anon_sym_from] = ACTIONS(1860),
    [anon_sym_with] = ACTIONS(1860),
    [anon_sym_var] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_const] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_switch] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1862),
    [anon_sym_SEMI] = ACTIONS(1862),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_debugger] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_throw] = ACTIONS(1860),
    [anon_sym_case] = ACTIONS(1860),
    [anon_sym_yield] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1862),
    [anon_sym_DOT] = ACTIONS(1860),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_function] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1862),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_using] = ACTIONS(1860),
    [anon_sym_AMP_AMP] = ACTIONS(1862),
    [anon_sym_PIPE_PIPE] = ACTIONS(1862),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_STAR_STAR] = ACTIONS(1862),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1862),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1862),
    [anon_sym_GT_EQ] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_QMARK_QMARK] = ACTIONS(1862),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_TILDE] = ACTIONS(1862),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1862),
    [anon_sym_DASH_DASH] = ACTIONS(1862),
    [anon_sym_DQUOTE] = ACTIONS(1862),
    [anon_sym_SQUOTE] = ACTIONS(1862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1862),
    [sym_number] = ACTIONS(1862),
    [sym_private_property_identifier] = ACTIONS(1862),
    [sym_this] = ACTIONS(1860),
    [sym_super] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1862),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_declare] = ACTIONS(1860),
    [anon_sym_public] = ACTIONS(1860),
    [anon_sym_private] = ACTIONS(1860),
    [anon_sym_protected] = ACTIONS(1860),
    [anon_sym_override] = ACTIONS(1860),
    [anon_sym_module] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_property] = ACTIONS(1860),
    [anon_sym_signal] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [anon_sym_required] = ACTIONS(1860),
    [anon_sym_component] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_interface] = ACTIONS(1860),
    [anon_sym_enum] = ACTIONS(1860),
    [sym__automatic_semicolon] = ACTIONS(1862),
    [sym__ternary_qmark] = ACTIONS(1862),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1864),
    [anon_sym_export] = ACTIONS(1864),
    [anon_sym_STAR] = ACTIONS(1866),
    [anon_sym_default] = ACTIONS(1864),
    [anon_sym_type] = ACTIONS(1864),
    [anon_sym_as] = ACTIONS(1866),
    [anon_sym_namespace] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(1868),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1868),
    [anon_sym_typeof] = ACTIONS(1864),
    [anon_sym_import] = ACTIONS(1864),
    [anon_sym_from] = ACTIONS(1864),
    [anon_sym_with] = ACTIONS(1864),
    [anon_sym_var] = ACTIONS(1864),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1864),
    [anon_sym_else] = ACTIONS(1864),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_switch] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1868),
    [anon_sym_await] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1866),
    [anon_sym_of] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1864),
    [anon_sym_do] = ACTIONS(1864),
    [anon_sym_try] = ACTIONS(1864),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1864),
    [anon_sym_debugger] = ACTIONS(1864),
    [anon_sym_return] = ACTIONS(1864),
    [anon_sym_throw] = ACTIONS(1864),
    [anon_sym_case] = ACTIONS(1864),
    [anon_sym_yield] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1868),
    [anon_sym_DOT] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1864),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_function] = ACTIONS(1864),
    [anon_sym_QMARK_DOT] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1864),
    [anon_sym_using] = ACTIONS(1864),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1870),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1870),
    [anon_sym_LT_LT] = ACTIONS(1870),
    [anon_sym_AMP] = ACTIONS(1866),
    [anon_sym_CARET] = ACTIONS(1870),
    [anon_sym_PIPE] = ACTIONS(1866),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_DASH] = ACTIONS(1864),
    [anon_sym_SLASH] = ACTIONS(1864),
    [anon_sym_PERCENT] = ACTIONS(1870),
    [anon_sym_STAR_STAR] = ACTIONS(1870),
    [anon_sym_LT] = ACTIONS(1864),
    [anon_sym_LT_EQ] = ACTIONS(1870),
    [anon_sym_EQ_EQ] = ACTIONS(1866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1870),
    [anon_sym_BANG_EQ] = ACTIONS(1866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1870),
    [anon_sym_GT_EQ] = ACTIONS(1870),
    [anon_sym_GT] = ACTIONS(1866),
    [anon_sym_QMARK_QMARK] = ACTIONS(1870),
    [anon_sym_instanceof] = ACTIONS(1866),
    [anon_sym_TILDE] = ACTIONS(1868),
    [anon_sym_void] = ACTIONS(1864),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1868),
    [anon_sym_DASH_DASH] = ACTIONS(1868),
    [anon_sym_DQUOTE] = ACTIONS(1868),
    [anon_sym_SQUOTE] = ACTIONS(1868),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1868),
    [sym_number] = ACTIONS(1868),
    [sym_private_property_identifier] = ACTIONS(1868),
    [sym_this] = ACTIONS(1864),
    [sym_super] = ACTIONS(1864),
    [sym_true] = ACTIONS(1864),
    [sym_false] = ACTIONS(1864),
    [sym_null] = ACTIONS(1864),
    [sym_undefined] = ACTIONS(1864),
    [anon_sym_AT] = ACTIONS(1868),
    [anon_sym_static] = ACTIONS(1864),
    [anon_sym_readonly] = ACTIONS(1864),
    [anon_sym_get] = ACTIONS(1864),
    [anon_sym_set] = ACTIONS(1864),
    [anon_sym_declare] = ACTIONS(1864),
    [anon_sym_public] = ACTIONS(1864),
    [anon_sym_private] = ACTIONS(1864),
    [anon_sym_protected] = ACTIONS(1864),
    [anon_sym_override] = ACTIONS(1864),
    [anon_sym_module] = ACTIONS(1864),
    [anon_sym_any] = ACTIONS(1864),
    [anon_sym_number] = ACTIONS(1864),
    [anon_sym_boolean] = ACTIONS(1864),
    [anon_sym_string] = ACTIONS(1864),
    [anon_sym_symbol] = ACTIONS(1864),
    [anon_sym_object] = ACTIONS(1864),
    [anon_sym_property] = ACTIONS(1864),
    [anon_sym_signal] = ACTIONS(1864),
    [anon_sym_on] = ACTIONS(1864),
    [anon_sym_required] = ACTIONS(1864),
    [anon_sym_component] = ACTIONS(1864),
    [anon_sym_abstract] = ACTIONS(1864),
    [anon_sym_satisfies] = ACTIONS(1866),
    [anon_sym_interface] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1864),
    [sym__automatic_semicolon] = ACTIONS(1872),
    [sym__ternary_qmark] = ACTIONS(1870),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1874),
    [anon_sym_export] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_default] = ACTIONS(1874),
    [anon_sym_type] = ACTIONS(1874),
    [anon_sym_as] = ACTIONS(1876),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(1880),
    [anon_sym_RBRACE] = ACTIONS(1878),
    [anon_sym_typeof] = ACTIONS(1874),
    [anon_sym_import] = ACTIONS(1874),
    [anon_sym_from] = ACTIONS(1874),
    [anon_sym_with] = ACTIONS(1874),
    [anon_sym_var] = ACTIONS(1874),
    [anon_sym_let] = ACTIONS(1874),
    [anon_sym_const] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1874),
    [anon_sym_else] = ACTIONS(1874),
    [anon_sym_if] = ACTIONS(1874),
    [anon_sym_switch] = ACTIONS(1874),
    [anon_sym_for] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1878),
    [anon_sym_await] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1876),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_while] = ACTIONS(1874),
    [anon_sym_do] = ACTIONS(1874),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_break] = ACTIONS(1874),
    [anon_sym_continue] = ACTIONS(1874),
    [anon_sym_debugger] = ACTIONS(1874),
    [anon_sym_return] = ACTIONS(1874),
    [anon_sym_throw] = ACTIONS(1874),
    [anon_sym_case] = ACTIONS(1874),
    [anon_sym_yield] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1876),
    [anon_sym_class] = ACTIONS(1874),
    [anon_sym_async] = ACTIONS(1874),
    [anon_sym_function] = ACTIONS(1874),
    [anon_sym_QMARK_DOT] = ACTIONS(1880),
    [anon_sym_new] = ACTIONS(1874),
    [anon_sym_using] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_PIPE_PIPE] = ACTIONS(1880),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_GT_GT_GT] = ACTIONS(1880),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1876),
    [anon_sym_CARET] = ACTIONS(1880),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_PERCENT] = ACTIONS(1880),
    [anon_sym_STAR_STAR] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_GT] = ACTIONS(1876),
    [anon_sym_QMARK_QMARK] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1878),
    [anon_sym_void] = ACTIONS(1874),
    [anon_sym_delete] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1878),
    [anon_sym_DQUOTE] = ACTIONS(1878),
    [anon_sym_SQUOTE] = ACTIONS(1878),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1878),
    [sym_number] = ACTIONS(1878),
    [sym_private_property_identifier] = ACTIONS(1878),
    [sym_this] = ACTIONS(1874),
    [sym_super] = ACTIONS(1874),
    [sym_true] = ACTIONS(1874),
    [sym_false] = ACTIONS(1874),
    [sym_null] = ACTIONS(1874),
    [sym_undefined] = ACTIONS(1874),
    [anon_sym_AT] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1874),
    [anon_sym_readonly] = ACTIONS(1874),
    [anon_sym_get] = ACTIONS(1874),
    [anon_sym_set] = ACTIONS(1874),
    [anon_sym_declare] = ACTIONS(1874),
    [anon_sym_public] = ACTIONS(1874),
    [anon_sym_private] = ACTIONS(1874),
    [anon_sym_protected] = ACTIONS(1874),
    [anon_sym_override] = ACTIONS(1874),
    [anon_sym_module] = ACTIONS(1874),
    [anon_sym_any] = ACTIONS(1874),
    [anon_sym_number] = ACTIONS(1874),
    [anon_sym_boolean] = ACTIONS(1874),
    [anon_sym_string] = ACTIONS(1874),
    [anon_sym_symbol] = ACTIONS(1874),
    [anon_sym_object] = ACTIONS(1874),
    [anon_sym_property] = ACTIONS(1874),
    [anon_sym_signal] = ACTIONS(1874),
    [anon_sym_on] = ACTIONS(1874),
    [anon_sym_required] = ACTIONS(1874),
    [anon_sym_component] = ACTIONS(1874),
    [anon_sym_abstract] = ACTIONS(1874),
    [anon_sym_satisfies] = ACTIONS(1876),
    [anon_sym_interface] = ACTIONS(1874),
    [anon_sym_enum] = ACTIONS(1874),
    [sym__automatic_semicolon] = ACTIONS(1882),
    [sym__ternary_qmark] = ACTIONS(1880),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_default] = ACTIONS(1884),
    [anon_sym_type] = ACTIONS(1884),
    [anon_sym_as] = ACTIONS(1886),
    [anon_sym_namespace] = ACTIONS(1884),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_typeof] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1884),
    [anon_sym_from] = ACTIONS(1884),
    [anon_sym_with] = ACTIONS(1884),
    [anon_sym_var] = ACTIONS(1884),
    [anon_sym_let] = ACTIONS(1884),
    [anon_sym_const] = ACTIONS(1884),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_else] = ACTIONS(1884),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_switch] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_await] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_of] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1884),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_try] = ACTIONS(1884),
    [anon_sym_break] = ACTIONS(1884),
    [anon_sym_continue] = ACTIONS(1884),
    [anon_sym_debugger] = ACTIONS(1884),
    [anon_sym_return] = ACTIONS(1884),
    [anon_sym_throw] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_class] = ACTIONS(1884),
    [anon_sym_async] = ACTIONS(1884),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_QMARK_DOT] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1884),
    [anon_sym_using] = ACTIONS(1884),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_QMARK_QMARK] = ACTIONS(1890),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1888),
    [anon_sym_void] = ACTIONS(1884),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_DQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1888),
    [sym_number] = ACTIONS(1888),
    [sym_private_property_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1884),
    [sym_super] = ACTIONS(1884),
    [sym_true] = ACTIONS(1884),
    [sym_false] = ACTIONS(1884),
    [sym_null] = ACTIONS(1884),
    [sym_undefined] = ACTIONS(1884),
    [anon_sym_AT] = ACTIONS(1888),
    [anon_sym_static] = ACTIONS(1884),
    [anon_sym_readonly] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1884),
    [anon_sym_set] = ACTIONS(1884),
    [anon_sym_declare] = ACTIONS(1884),
    [anon_sym_public] = ACTIONS(1884),
    [anon_sym_private] = ACTIONS(1884),
    [anon_sym_protected] = ACTIONS(1884),
    [anon_sym_override] = ACTIONS(1884),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1884),
    [anon_sym_number] = ACTIONS(1884),
    [anon_sym_boolean] = ACTIONS(1884),
    [anon_sym_string] = ACTIONS(1884),
    [anon_sym_symbol] = ACTIONS(1884),
    [anon_sym_object] = ACTIONS(1884),
    [anon_sym_property] = ACTIONS(1884),
    [anon_sym_signal] = ACTIONS(1884),
    [anon_sym_on] = ACTIONS(1884),
    [anon_sym_required] = ACTIONS(1884),
    [anon_sym_component] = ACTIONS(1884),
    [anon_sym_abstract] = ACTIONS(1884),
    [anon_sym_satisfies] = ACTIONS(1886),
    [anon_sym_interface] = ACTIONS(1884),
    [anon_sym_enum] = ACTIONS(1884),
    [sym__automatic_semicolon] = ACTIONS(1892),
    [sym__ternary_qmark] = ACTIONS(1890),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1894),
    [anon_sym_export] = ACTIONS(1894),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_default] = ACTIONS(1894),
    [anon_sym_type] = ACTIONS(1894),
    [anon_sym_as] = ACTIONS(1896),
    [anon_sym_namespace] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1900),
    [anon_sym_RBRACE] = ACTIONS(1898),
    [anon_sym_typeof] = ACTIONS(1894),
    [anon_sym_import] = ACTIONS(1894),
    [anon_sym_from] = ACTIONS(1894),
    [anon_sym_with] = ACTIONS(1894),
    [anon_sym_var] = ACTIONS(1894),
    [anon_sym_let] = ACTIONS(1894),
    [anon_sym_const] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1894),
    [anon_sym_else] = ACTIONS(1894),
    [anon_sym_if] = ACTIONS(1894),
    [anon_sym_switch] = ACTIONS(1894),
    [anon_sym_for] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1898),
    [anon_sym_SEMI] = ACTIONS(1898),
    [anon_sym_await] = ACTIONS(1894),
    [anon_sym_in] = ACTIONS(1896),
    [anon_sym_of] = ACTIONS(1894),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1894),
    [anon_sym_try] = ACTIONS(1894),
    [anon_sym_break] = ACTIONS(1894),
    [anon_sym_continue] = ACTIONS(1894),
    [anon_sym_debugger] = ACTIONS(1894),
    [anon_sym_return] = ACTIONS(1894),
    [anon_sym_throw] = ACTIONS(1894),
    [anon_sym_case] = ACTIONS(1894),
    [anon_sym_yield] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1898),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_class] = ACTIONS(1894),
    [anon_sym_async] = ACTIONS(1894),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_QMARK_DOT] = ACTIONS(1900),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_using] = ACTIONS(1894),
    [anon_sym_AMP_AMP] = ACTIONS(1900),
    [anon_sym_PIPE_PIPE] = ACTIONS(1900),
    [anon_sym_GT_GT] = ACTIONS(1896),
    [anon_sym_GT_GT_GT] = ACTIONS(1900),
    [anon_sym_LT_LT] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(1896),
    [anon_sym_CARET] = ACTIONS(1900),
    [anon_sym_PIPE] = ACTIONS(1896),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_DASH] = ACTIONS(1894),
    [anon_sym_SLASH] = ACTIONS(1894),
    [anon_sym_PERCENT] = ACTIONS(1900),
    [anon_sym_STAR_STAR] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1894),
    [anon_sym_LT_EQ] = ACTIONS(1900),
    [anon_sym_EQ_EQ] = ACTIONS(1896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1896),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1900),
    [anon_sym_GT_EQ] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1896),
    [anon_sym_QMARK_QMARK] = ACTIONS(1900),
    [anon_sym_instanceof] = ACTIONS(1896),
    [anon_sym_TILDE] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1894),
    [anon_sym_delete] = ACTIONS(1894),
    [anon_sym_PLUS_PLUS] = ACTIONS(1898),
    [anon_sym_DASH_DASH] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1898),
    [sym_number] = ACTIONS(1898),
    [sym_private_property_identifier] = ACTIONS(1898),
    [sym_this] = ACTIONS(1894),
    [sym_super] = ACTIONS(1894),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [sym_null] = ACTIONS(1894),
    [sym_undefined] = ACTIONS(1894),
    [anon_sym_AT] = ACTIONS(1898),
    [anon_sym_static] = ACTIONS(1894),
    [anon_sym_readonly] = ACTIONS(1894),
    [anon_sym_get] = ACTIONS(1894),
    [anon_sym_set] = ACTIONS(1894),
    [anon_sym_declare] = ACTIONS(1894),
    [anon_sym_public] = ACTIONS(1894),
    [anon_sym_private] = ACTIONS(1894),
    [anon_sym_protected] = ACTIONS(1894),
    [anon_sym_override] = ACTIONS(1894),
    [anon_sym_module] = ACTIONS(1894),
    [anon_sym_any] = ACTIONS(1894),
    [anon_sym_number] = ACTIONS(1894),
    [anon_sym_boolean] = ACTIONS(1894),
    [anon_sym_string] = ACTIONS(1894),
    [anon_sym_symbol] = ACTIONS(1894),
    [anon_sym_object] = ACTIONS(1894),
    [anon_sym_property] = ACTIONS(1894),
    [anon_sym_signal] = ACTIONS(1894),
    [anon_sym_on] = ACTIONS(1894),
    [anon_sym_required] = ACTIONS(1894),
    [anon_sym_component] = ACTIONS(1894),
    [anon_sym_abstract] = ACTIONS(1894),
    [anon_sym_satisfies] = ACTIONS(1896),
    [anon_sym_interface] = ACTIONS(1894),
    [anon_sym_enum] = ACTIONS(1894),
    [sym__automatic_semicolon] = ACTIONS(1902),
    [sym__ternary_qmark] = ACTIONS(1900),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1904),
    [anon_sym_export] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1906),
    [anon_sym_default] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_as] = ACTIONS(1906),
    [anon_sym_namespace] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1908),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1908),
    [anon_sym_typeof] = ACTIONS(1904),
    [anon_sym_import] = ACTIONS(1904),
    [anon_sym_from] = ACTIONS(1904),
    [anon_sym_with] = ACTIONS(1904),
    [anon_sym_var] = ACTIONS(1904),
    [anon_sym_let] = ACTIONS(1904),
    [anon_sym_const] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1904),
    [anon_sym_else] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_switch] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [anon_sym_await] = ACTIONS(1904),
    [anon_sym_in] = ACTIONS(1906),
    [anon_sym_of] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_debugger] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_throw] = ACTIONS(1904),
    [anon_sym_case] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_DOT] = ACTIONS(1906),
    [anon_sym_class] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_function] = ACTIONS(1904),
    [anon_sym_QMARK_DOT] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_using] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1910),
    [anon_sym_PIPE_PIPE] = ACTIONS(1910),
    [anon_sym_GT_GT] = ACTIONS(1906),
    [anon_sym_GT_GT_GT] = ACTIONS(1910),
    [anon_sym_LT_LT] = ACTIONS(1910),
    [anon_sym_AMP] = ACTIONS(1906),
    [anon_sym_CARET] = ACTIONS(1910),
    [anon_sym_PIPE] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_PERCENT] = ACTIONS(1910),
    [anon_sym_STAR_STAR] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1910),
    [anon_sym_EQ_EQ] = ACTIONS(1906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1910),
    [anon_sym_BANG_EQ] = ACTIONS(1906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1910),
    [anon_sym_GT_EQ] = ACTIONS(1910),
    [anon_sym_GT] = ACTIONS(1906),
    [anon_sym_QMARK_QMARK] = ACTIONS(1910),
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_void] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1908),
    [anon_sym_DASH_DASH] = ACTIONS(1908),
    [anon_sym_DQUOTE] = ACTIONS(1908),
    [anon_sym_SQUOTE] = ACTIONS(1908),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1908),
    [sym_number] = ACTIONS(1908),
    [sym_private_property_identifier] = ACTIONS(1908),
    [sym_this] = ACTIONS(1904),
    [sym_super] = ACTIONS(1904),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [sym_null] = ACTIONS(1904),
    [sym_undefined] = ACTIONS(1904),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_static] = ACTIONS(1904),
    [anon_sym_readonly] = ACTIONS(1904),
    [anon_sym_get] = ACTIONS(1904),
    [anon_sym_set] = ACTIONS(1904),
    [anon_sym_declare] = ACTIONS(1904),
    [anon_sym_public] = ACTIONS(1904),
    [anon_sym_private] = ACTIONS(1904),
    [anon_sym_protected] = ACTIONS(1904),
    [anon_sym_override] = ACTIONS(1904),
    [anon_sym_module] = ACTIONS(1904),
    [anon_sym_any] = ACTIONS(1904),
    [anon_sym_number] = ACTIONS(1904),
    [anon_sym_boolean] = ACTIONS(1904),
    [anon_sym_string] = ACTIONS(1904),
    [anon_sym_symbol] = ACTIONS(1904),
    [anon_sym_object] = ACTIONS(1904),
    [anon_sym_property] = ACTIONS(1904),
    [anon_sym_signal] = ACTIONS(1904),
    [anon_sym_on] = ACTIONS(1904),
    [anon_sym_required] = ACTIONS(1904),
    [anon_sym_component] = ACTIONS(1904),
    [anon_sym_abstract] = ACTIONS(1904),
    [anon_sym_satisfies] = ACTIONS(1906),
    [anon_sym_interface] = ACTIONS(1904),
    [anon_sym_enum] = ACTIONS(1904),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [sym__ternary_qmark] = ACTIONS(1910),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_type] = ACTIONS(1912),
    [anon_sym_as] = ACTIONS(1914),
    [anon_sym_namespace] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1916),
    [anon_sym_typeof] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(1912),
    [anon_sym_from] = ACTIONS(1912),
    [anon_sym_with] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1912),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_in] = ACTIONS(1914),
    [anon_sym_of] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_do] = ACTIONS(1912),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_debugger] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_throw] = ACTIONS(1912),
    [anon_sym_case] = ACTIONS(1912),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1916),
    [anon_sym_DOT] = ACTIONS(1914),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_QMARK_DOT] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1912),
    [anon_sym_using] = ACTIONS(1912),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1914),
    [anon_sym_GT_GT_GT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1914),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1914),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_SLASH] = ACTIONS(1912),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_STAR_STAR] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1912),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1918),
    [anon_sym_BANG_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(1914),
    [anon_sym_QMARK_QMARK] = ACTIONS(1918),
    [anon_sym_instanceof] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1916),
    [anon_sym_DASH_DASH] = ACTIONS(1916),
    [anon_sym_DQUOTE] = ACTIONS(1916),
    [anon_sym_SQUOTE] = ACTIONS(1916),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1916),
    [sym_number] = ACTIONS(1916),
    [sym_private_property_identifier] = ACTIONS(1916),
    [sym_this] = ACTIONS(1912),
    [sym_super] = ACTIONS(1912),
    [sym_true] = ACTIONS(1912),
    [sym_false] = ACTIONS(1912),
    [sym_null] = ACTIONS(1912),
    [sym_undefined] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1916),
    [anon_sym_static] = ACTIONS(1912),
    [anon_sym_readonly] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_declare] = ACTIONS(1912),
    [anon_sym_public] = ACTIONS(1912),
    [anon_sym_private] = ACTIONS(1912),
    [anon_sym_protected] = ACTIONS(1912),
    [anon_sym_override] = ACTIONS(1912),
    [anon_sym_module] = ACTIONS(1912),
    [anon_sym_any] = ACTIONS(1912),
    [anon_sym_number] = ACTIONS(1912),
    [anon_sym_boolean] = ACTIONS(1912),
    [anon_sym_string] = ACTIONS(1912),
    [anon_sym_symbol] = ACTIONS(1912),
    [anon_sym_object] = ACTIONS(1912),
    [anon_sym_property] = ACTIONS(1912),
    [anon_sym_signal] = ACTIONS(1912),
    [anon_sym_on] = ACTIONS(1912),
    [anon_sym_required] = ACTIONS(1912),
    [anon_sym_component] = ACTIONS(1912),
    [anon_sym_abstract] = ACTIONS(1912),
    [anon_sym_satisfies] = ACTIONS(1914),
    [anon_sym_interface] = ACTIONS(1912),
    [anon_sym_enum] = ACTIONS(1912),
    [sym__automatic_semicolon] = ACTIONS(1920),
    [sym__ternary_qmark] = ACTIONS(1918),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_export] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_type] = ACTIONS(1922),
    [anon_sym_as] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_typeof] = ACTIONS(1922),
    [anon_sym_import] = ACTIONS(1922),
    [anon_sym_from] = ACTIONS(1922),
    [anon_sym_with] = ACTIONS(1922),
    [anon_sym_var] = ACTIONS(1922),
    [anon_sym_let] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_await] = ACTIONS(1922),
    [anon_sym_in] = ACTIONS(1924),
    [anon_sym_of] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_debugger] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_yield] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_async] = ACTIONS(1922),
    [anon_sym_function] = ACTIONS(1922),
    [anon_sym_QMARK_DOT] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1924),
    [anon_sym_GT_GT_GT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_STAR_STAR] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_LT_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1928),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1924),
    [anon_sym_QMARK_QMARK] = ACTIONS(1928),
    [anon_sym_instanceof] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1926),
    [anon_sym_void] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1926),
    [anon_sym_DQUOTE] = ACTIONS(1926),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1926),
    [sym_number] = ACTIONS(1926),
    [sym_private_property_identifier] = ACTIONS(1926),
    [sym_this] = ACTIONS(1922),
    [sym_super] = ACTIONS(1922),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [sym_null] = ACTIONS(1922),
    [sym_undefined] = ACTIONS(1922),
    [anon_sym_AT] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_readonly] = ACTIONS(1922),
    [anon_sym_get] = ACTIONS(1922),
    [anon_sym_set] = ACTIONS(1922),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_module] = ACTIONS(1922),
    [anon_sym_any] = ACTIONS(1922),
    [anon_sym_number] = ACTIONS(1922),
    [anon_sym_boolean] = ACTIONS(1922),
    [anon_sym_string] = ACTIONS(1922),
    [anon_sym_symbol] = ACTIONS(1922),
    [anon_sym_object] = ACTIONS(1922),
    [anon_sym_property] = ACTIONS(1922),
    [anon_sym_signal] = ACTIONS(1922),
    [anon_sym_on] = ACTIONS(1922),
    [anon_sym_required] = ACTIONS(1922),
    [anon_sym_component] = ACTIONS(1922),
    [anon_sym_abstract] = ACTIONS(1922),
    [anon_sym_satisfies] = ACTIONS(1924),
    [anon_sym_interface] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [sym__automatic_semicolon] = ACTIONS(1930),
    [sym__ternary_qmark] = ACTIONS(1928),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_export] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1932),
    [anon_sym_type] = ACTIONS(1932),
    [anon_sym_as] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_typeof] = ACTIONS(1932),
    [anon_sym_import] = ACTIONS(1932),
    [anon_sym_from] = ACTIONS(1932),
    [anon_sym_with] = ACTIONS(1932),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_else] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_switch] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1932),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_of] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_do] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_debugger] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_throw] = ACTIONS(1932),
    [anon_sym_case] = ACTIONS(1932),
    [anon_sym_yield] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_function] = ACTIONS(1932),
    [anon_sym_QMARK_DOT] = ACTIONS(1938),
    [anon_sym_new] = ACTIONS(1932),
    [anon_sym_using] = ACTIONS(1932),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_QMARK_QMARK] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_void] = ACTIONS(1932),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1936),
    [sym_number] = ACTIONS(1936),
    [sym_private_property_identifier] = ACTIONS(1936),
    [sym_this] = ACTIONS(1932),
    [sym_super] = ACTIONS(1932),
    [sym_true] = ACTIONS(1932),
    [sym_false] = ACTIONS(1932),
    [sym_null] = ACTIONS(1932),
    [sym_undefined] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1936),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_readonly] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_declare] = ACTIONS(1932),
    [anon_sym_public] = ACTIONS(1932),
    [anon_sym_private] = ACTIONS(1932),
    [anon_sym_protected] = ACTIONS(1932),
    [anon_sym_override] = ACTIONS(1932),
    [anon_sym_module] = ACTIONS(1932),
    [anon_sym_any] = ACTIONS(1932),
    [anon_sym_number] = ACTIONS(1932),
    [anon_sym_boolean] = ACTIONS(1932),
    [anon_sym_string] = ACTIONS(1932),
    [anon_sym_symbol] = ACTIONS(1932),
    [anon_sym_object] = ACTIONS(1932),
    [anon_sym_property] = ACTIONS(1932),
    [anon_sym_signal] = ACTIONS(1932),
    [anon_sym_on] = ACTIONS(1932),
    [anon_sym_required] = ACTIONS(1932),
    [anon_sym_component] = ACTIONS(1932),
    [anon_sym_abstract] = ACTIONS(1932),
    [anon_sym_satisfies] = ACTIONS(1934),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1932),
    [sym__automatic_semicolon] = ACTIONS(1940),
    [sym__ternary_qmark] = ACTIONS(1938),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_export] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_type] = ACTIONS(1942),
    [anon_sym_as] = ACTIONS(1944),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(1946),
    [anon_sym_COMMA] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1946),
    [anon_sym_typeof] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1942),
    [anon_sym_from] = ACTIONS(1942),
    [anon_sym_with] = ACTIONS(1942),
    [anon_sym_var] = ACTIONS(1942),
    [anon_sym_let] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(1942),
    [anon_sym_in] = ACTIONS(1944),
    [anon_sym_of] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_debugger] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_yield] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1946),
    [anon_sym_DOT] = ACTIONS(1944),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_async] = ACTIONS(1942),
    [anon_sym_function] = ACTIONS(1942),
    [anon_sym_QMARK_DOT] = ACTIONS(1948),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1948),
    [anon_sym_GT_GT] = ACTIONS(1944),
    [anon_sym_GT_GT_GT] = ACTIONS(1948),
    [anon_sym_LT_LT] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1944),
    [anon_sym_CARET] = ACTIONS(1948),
    [anon_sym_PIPE] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_SLASH] = ACTIONS(1942),
    [anon_sym_PERCENT] = ACTIONS(1948),
    [anon_sym_STAR_STAR] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_EQ_EQ] = ACTIONS(1944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1948),
    [anon_sym_BANG_EQ] = ACTIONS(1944),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_GT] = ACTIONS(1944),
    [anon_sym_QMARK_QMARK] = ACTIONS(1948),
    [anon_sym_instanceof] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_void] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_PLUS_PLUS] = ACTIONS(1946),
    [anon_sym_DASH_DASH] = ACTIONS(1946),
    [anon_sym_DQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1946),
    [sym_number] = ACTIONS(1946),
    [sym_private_property_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1942),
    [sym_super] = ACTIONS(1942),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [sym_null] = ACTIONS(1942),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(1946),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_readonly] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1942),
    [anon_sym_set] = ACTIONS(1942),
    [anon_sym_declare] = ACTIONS(1942),
    [anon_sym_public] = ACTIONS(1942),
    [anon_sym_private] = ACTIONS(1942),
    [anon_sym_protected] = ACTIONS(1942),
    [anon_sym_override] = ACTIONS(1942),
    [anon_sym_module] = ACTIONS(1942),
    [anon_sym_any] = ACTIONS(1942),
    [anon_sym_number] = ACTIONS(1942),
    [anon_sym_boolean] = ACTIONS(1942),
    [anon_sym_string] = ACTIONS(1942),
    [anon_sym_symbol] = ACTIONS(1942),
    [anon_sym_object] = ACTIONS(1942),
    [anon_sym_property] = ACTIONS(1942),
    [anon_sym_signal] = ACTIONS(1942),
    [anon_sym_on] = ACTIONS(1942),
    [anon_sym_required] = ACTIONS(1942),
    [anon_sym_component] = ACTIONS(1942),
    [anon_sym_abstract] = ACTIONS(1942),
    [anon_sym_satisfies] = ACTIONS(1944),
    [anon_sym_interface] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [sym__automatic_semicolon] = ACTIONS(1950),
    [sym__ternary_qmark] = ACTIONS(1948),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_export] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_as] = ACTIONS(1954),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(1952),
    [anon_sym_import] = ACTIONS(1952),
    [anon_sym_from] = ACTIONS(1952),
    [anon_sym_with] = ACTIONS(1952),
    [anon_sym_var] = ACTIONS(1952),
    [anon_sym_let] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(1952),
    [anon_sym_in] = ACTIONS(1954),
    [anon_sym_of] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_debugger] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_yield] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_DOT] = ACTIONS(1954),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_function] = ACTIONS(1952),
    [anon_sym_QMARK_DOT] = ACTIONS(1958),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_AMP_AMP] = ACTIONS(1958),
    [anon_sym_PIPE_PIPE] = ACTIONS(1958),
    [anon_sym_GT_GT] = ACTIONS(1954),
    [anon_sym_GT_GT_GT] = ACTIONS(1958),
    [anon_sym_LT_LT] = ACTIONS(1958),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_CARET] = ACTIONS(1958),
    [anon_sym_PIPE] = ACTIONS(1954),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_SLASH] = ACTIONS(1952),
    [anon_sym_PERCENT] = ACTIONS(1958),
    [anon_sym_STAR_STAR] = ACTIONS(1958),
    [anon_sym_LT] = ACTIONS(1952),
    [anon_sym_LT_EQ] = ACTIONS(1958),
    [anon_sym_EQ_EQ] = ACTIONS(1954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1958),
    [anon_sym_BANG_EQ] = ACTIONS(1954),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1958),
    [anon_sym_GT_EQ] = ACTIONS(1958),
    [anon_sym_GT] = ACTIONS(1954),
    [anon_sym_QMARK_QMARK] = ACTIONS(1958),
    [anon_sym_instanceof] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_void] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1956),
    [sym_number] = ACTIONS(1956),
    [sym_private_property_identifier] = ACTIONS(1956),
    [sym_this] = ACTIONS(1952),
    [sym_super] = ACTIONS(1952),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [sym_null] = ACTIONS(1952),
    [sym_undefined] = ACTIONS(1952),
    [anon_sym_AT] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(1952),
    [anon_sym_set] = ACTIONS(1952),
    [anon_sym_declare] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_module] = ACTIONS(1952),
    [anon_sym_any] = ACTIONS(1952),
    [anon_sym_number] = ACTIONS(1952),
    [anon_sym_boolean] = ACTIONS(1952),
    [anon_sym_string] = ACTIONS(1952),
    [anon_sym_symbol] = ACTIONS(1952),
    [anon_sym_object] = ACTIONS(1952),
    [anon_sym_property] = ACTIONS(1952),
    [anon_sym_signal] = ACTIONS(1952),
    [anon_sym_on] = ACTIONS(1952),
    [anon_sym_required] = ACTIONS(1952),
    [anon_sym_component] = ACTIONS(1952),
    [anon_sym_abstract] = ACTIONS(1952),
    [anon_sym_satisfies] = ACTIONS(1954),
    [anon_sym_interface] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [sym__automatic_semicolon] = ACTIONS(1960),
    [sym__ternary_qmark] = ACTIONS(1958),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_export] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1962),
    [anon_sym_type] = ACTIONS(1962),
    [anon_sym_as] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_typeof] = ACTIONS(1962),
    [anon_sym_import] = ACTIONS(1962),
    [anon_sym_from] = ACTIONS(1962),
    [anon_sym_with] = ACTIONS(1962),
    [anon_sym_var] = ACTIONS(1962),
    [anon_sym_let] = ACTIONS(1962),
    [anon_sym_const] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_else] = ACTIONS(1962),
    [anon_sym_if] = ACTIONS(1962),
    [anon_sym_switch] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(1962),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_of] = ACTIONS(1962),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_try] = ACTIONS(1962),
    [anon_sym_break] = ACTIONS(1962),
    [anon_sym_continue] = ACTIONS(1962),
    [anon_sym_debugger] = ACTIONS(1962),
    [anon_sym_return] = ACTIONS(1962),
    [anon_sym_throw] = ACTIONS(1962),
    [anon_sym_case] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1962),
    [anon_sym_async] = ACTIONS(1962),
    [anon_sym_function] = ACTIONS(1962),
    [anon_sym_QMARK_DOT] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_using] = ACTIONS(1962),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_GT_GT] = ACTIONS(1964),
    [anon_sym_GT_GT_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_LT] = ACTIONS(1962),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1964),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(1964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1964),
    [anon_sym_QMARK_QMARK] = ACTIONS(1968),
    [anon_sym_instanceof] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_void] = ACTIONS(1962),
    [anon_sym_delete] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1966),
    [sym_number] = ACTIONS(1966),
    [sym_private_property_identifier] = ACTIONS(1966),
    [sym_this] = ACTIONS(1962),
    [sym_super] = ACTIONS(1962),
    [sym_true] = ACTIONS(1962),
    [sym_false] = ACTIONS(1962),
    [sym_null] = ACTIONS(1962),
    [sym_undefined] = ACTIONS(1962),
    [anon_sym_AT] = ACTIONS(1966),
    [anon_sym_static] = ACTIONS(1962),
    [anon_sym_readonly] = ACTIONS(1962),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
    [anon_sym_declare] = ACTIONS(1962),
    [anon_sym_public] = ACTIONS(1962),
    [anon_sym_private] = ACTIONS(1962),
    [anon_sym_protected] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_module] = ACTIONS(1962),
    [anon_sym_any] = ACTIONS(1962),
    [anon_sym_number] = ACTIONS(1962),
    [anon_sym_boolean] = ACTIONS(1962),
    [anon_sym_string] = ACTIONS(1962),
    [anon_sym_symbol] = ACTIONS(1962),
    [anon_sym_object] = ACTIONS(1962),
    [anon_sym_property] = ACTIONS(1962),
    [anon_sym_signal] = ACTIONS(1962),
    [anon_sym_on] = ACTIONS(1962),
    [anon_sym_required] = ACTIONS(1962),
    [anon_sym_component] = ACTIONS(1962),
    [anon_sym_abstract] = ACTIONS(1962),
    [anon_sym_satisfies] = ACTIONS(1964),
    [anon_sym_interface] = ACTIONS(1962),
    [anon_sym_enum] = ACTIONS(1962),
    [sym__automatic_semicolon] = ACTIONS(1970),
    [sym__ternary_qmark] = ACTIONS(1968),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_export] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_type] = ACTIONS(1972),
    [anon_sym_as] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1972),
    [anon_sym_import] = ACTIONS(1972),
    [anon_sym_from] = ACTIONS(1972),
    [anon_sym_with] = ACTIONS(1972),
    [anon_sym_var] = ACTIONS(1972),
    [anon_sym_let] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(1972),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_of] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_debugger] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_yield] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_DOT] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_function] = ACTIONS(1972),
    [anon_sym_QMARK_DOT] = ACTIONS(1974),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_PIPE_PIPE] = ACTIONS(1974),
    [anon_sym_GT_GT] = ACTIONS(1972),
    [anon_sym_GT_GT_GT] = ACTIONS(1974),
    [anon_sym_LT_LT] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_STAR_STAR] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_EQ] = ACTIONS(1974),
    [anon_sym_EQ_EQ] = ACTIONS(1972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1974),
    [anon_sym_BANG_EQ] = ACTIONS(1972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1974),
    [anon_sym_GT_EQ] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_QMARK_QMARK] = ACTIONS(1974),
    [anon_sym_instanceof] = ACTIONS(1972),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_void] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1974),
    [sym_number] = ACTIONS(1974),
    [sym_private_property_identifier] = ACTIONS(1974),
    [sym_this] = ACTIONS(1972),
    [sym_super] = ACTIONS(1972),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [sym_null] = ACTIONS(1972),
    [sym_undefined] = ACTIONS(1972),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_readonly] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1972),
    [anon_sym_set] = ACTIONS(1972),
    [anon_sym_declare] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_module] = ACTIONS(1972),
    [anon_sym_any] = ACTIONS(1972),
    [anon_sym_number] = ACTIONS(1972),
    [anon_sym_boolean] = ACTIONS(1972),
    [anon_sym_string] = ACTIONS(1972),
    [anon_sym_symbol] = ACTIONS(1972),
    [anon_sym_object] = ACTIONS(1972),
    [anon_sym_property] = ACTIONS(1972),
    [anon_sym_signal] = ACTIONS(1972),
    [anon_sym_on] = ACTIONS(1972),
    [anon_sym_required] = ACTIONS(1972),
    [anon_sym_component] = ACTIONS(1972),
    [anon_sym_abstract] = ACTIONS(1972),
    [anon_sym_satisfies] = ACTIONS(1972),
    [anon_sym_interface] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [sym__automatic_semicolon] = ACTIONS(1974),
    [sym__ternary_qmark] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_export] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_default] = ACTIONS(1976),
    [anon_sym_type] = ACTIONS(1976),
    [anon_sym_as] = ACTIONS(1976),
    [anon_sym_namespace] = ACTIONS(1976),
    [anon_sym_LBRACE] = ACTIONS(1978),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1976),
    [anon_sym_import] = ACTIONS(1976),
    [anon_sym_from] = ACTIONS(1976),
    [anon_sym_with] = ACTIONS(1976),
    [anon_sym_var] = ACTIONS(1976),
    [anon_sym_let] = ACTIONS(1976),
    [anon_sym_const] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_else] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_switch] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(1976),
    [anon_sym_in] = ACTIONS(1976),
    [anon_sym_of] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_debugger] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_case] = ACTIONS(1976),
    [anon_sym_yield] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_DOT] = ACTIONS(1976),
    [anon_sym_class] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_function] = ACTIONS(1976),
    [anon_sym_QMARK_DOT] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_using] = ACTIONS(1976),
    [anon_sym_AMP_AMP] = ACTIONS(1978),
    [anon_sym_PIPE_PIPE] = ACTIONS(1978),
    [anon_sym_GT_GT] = ACTIONS(1976),
    [anon_sym_GT_GT_GT] = ACTIONS(1978),
    [anon_sym_LT_LT] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(1976),
    [anon_sym_CARET] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_SLASH] = ACTIONS(1976),
    [anon_sym_PERCENT] = ACTIONS(1978),
    [anon_sym_STAR_STAR] = ACTIONS(1978),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_LT_EQ] = ACTIONS(1978),
    [anon_sym_EQ_EQ] = ACTIONS(1976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1978),
    [anon_sym_BANG_EQ] = ACTIONS(1976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1978),
    [anon_sym_GT_EQ] = ACTIONS(1978),
    [anon_sym_GT] = ACTIONS(1976),
    [anon_sym_QMARK_QMARK] = ACTIONS(1978),
    [anon_sym_instanceof] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1978),
    [anon_sym_void] = ACTIONS(1976),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(1978),
    [anon_sym_SQUOTE] = ACTIONS(1978),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1978),
    [sym_number] = ACTIONS(1978),
    [sym_private_property_identifier] = ACTIONS(1978),
    [sym_this] = ACTIONS(1976),
    [sym_super] = ACTIONS(1976),
    [sym_true] = ACTIONS(1976),
    [sym_false] = ACTIONS(1976),
    [sym_null] = ACTIONS(1976),
    [sym_undefined] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1976),
    [anon_sym_readonly] = ACTIONS(1976),
    [anon_sym_get] = ACTIONS(1976),
    [anon_sym_set] = ACTIONS(1976),
    [anon_sym_declare] = ACTIONS(1976),
    [anon_sym_public] = ACTIONS(1976),
    [anon_sym_private] = ACTIONS(1976),
    [anon_sym_protected] = ACTIONS(1976),
    [anon_sym_override] = ACTIONS(1976),
    [anon_sym_module] = ACTIONS(1976),
    [anon_sym_any] = ACTIONS(1976),
    [anon_sym_number] = ACTIONS(1976),
    [anon_sym_boolean] = ACTIONS(1976),
    [anon_sym_string] = ACTIONS(1976),
    [anon_sym_symbol] = ACTIONS(1976),
    [anon_sym_object] = ACTIONS(1976),
    [anon_sym_property] = ACTIONS(1976),
    [anon_sym_signal] = ACTIONS(1976),
    [anon_sym_on] = ACTIONS(1976),
    [anon_sym_required] = ACTIONS(1976),
    [anon_sym_component] = ACTIONS(1976),
    [anon_sym_abstract] = ACTIONS(1976),
    [anon_sym_satisfies] = ACTIONS(1976),
    [anon_sym_interface] = ACTIONS(1976),
    [anon_sym_enum] = ACTIONS(1976),
    [sym__automatic_semicolon] = ACTIONS(1978),
    [sym__ternary_qmark] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_export] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_type] = ACTIONS(1980),
    [anon_sym_as] = ACTIONS(1982),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1986),
    [anon_sym_RBRACE] = ACTIONS(1984),
    [anon_sym_typeof] = ACTIONS(1980),
    [anon_sym_import] = ACTIONS(1980),
    [anon_sym_from] = ACTIONS(1980),
    [anon_sym_with] = ACTIONS(1980),
    [anon_sym_var] = ACTIONS(1980),
    [anon_sym_let] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1984),
    [anon_sym_await] = ACTIONS(1980),
    [anon_sym_in] = ACTIONS(1982),
    [anon_sym_of] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_debugger] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_yield] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_DOT] = ACTIONS(1982),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_function] = ACTIONS(1980),
    [anon_sym_QMARK_DOT] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_AMP_AMP] = ACTIONS(1986),
    [anon_sym_PIPE_PIPE] = ACTIONS(1986),
    [anon_sym_GT_GT] = ACTIONS(1982),
    [anon_sym_GT_GT_GT] = ACTIONS(1986),
    [anon_sym_LT_LT] = ACTIONS(1986),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1986),
    [anon_sym_PIPE] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_SLASH] = ACTIONS(1980),
    [anon_sym_PERCENT] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_LT_EQ] = ACTIONS(1986),
    [anon_sym_EQ_EQ] = ACTIONS(1982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1986),
    [anon_sym_BANG_EQ] = ACTIONS(1982),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1986),
    [anon_sym_GT_EQ] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(1982),
    [anon_sym_QMARK_QMARK] = ACTIONS(1986),
    [anon_sym_instanceof] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_void] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1984),
    [anon_sym_DASH_DASH] = ACTIONS(1984),
    [anon_sym_DQUOTE] = ACTIONS(1984),
    [anon_sym_SQUOTE] = ACTIONS(1984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1984),
    [sym_number] = ACTIONS(1984),
    [sym_private_property_identifier] = ACTIONS(1984),
    [sym_this] = ACTIONS(1980),
    [sym_super] = ACTIONS(1980),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [sym_null] = ACTIONS(1980),
    [sym_undefined] = ACTIONS(1980),
    [anon_sym_AT] = ACTIONS(1984),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_readonly] = ACTIONS(1980),
    [anon_sym_get] = ACTIONS(1980),
    [anon_sym_set] = ACTIONS(1980),
    [anon_sym_declare] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_override] = ACTIONS(1980),
    [anon_sym_module] = ACTIONS(1980),
    [anon_sym_any] = ACTIONS(1980),
    [anon_sym_number] = ACTIONS(1980),
    [anon_sym_boolean] = ACTIONS(1980),
    [anon_sym_string] = ACTIONS(1980),
    [anon_sym_symbol] = ACTIONS(1980),
    [anon_sym_object] = ACTIONS(1980),
    [anon_sym_property] = ACTIONS(1980),
    [anon_sym_signal] = ACTIONS(1980),
    [anon_sym_on] = ACTIONS(1980),
    [anon_sym_required] = ACTIONS(1980),
    [anon_sym_component] = ACTIONS(1980),
    [anon_sym_abstract] = ACTIONS(1980),
    [anon_sym_satisfies] = ACTIONS(1982),
    [anon_sym_interface] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [sym__automatic_semicolon] = ACTIONS(1988),
    [sym__ternary_qmark] = ACTIONS(1986),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_as] = ACTIONS(1992),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1996),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_from] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_const] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_in] = ACTIONS(1992),
    [anon_sym_of] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_debugger] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_DOT] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_QMARK_DOT] = ACTIONS(1996),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_AMP_AMP] = ACTIONS(1996),
    [anon_sym_PIPE_PIPE] = ACTIONS(1996),
    [anon_sym_GT_GT] = ACTIONS(1992),
    [anon_sym_GT_GT_GT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1992),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_PIPE] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_PERCENT] = ACTIONS(1996),
    [anon_sym_STAR_STAR] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_LT_EQ] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(1992),
    [anon_sym_QMARK_QMARK] = ACTIONS(1996),
    [anon_sym_instanceof] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1994),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_delete] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_DQUOTE] = ACTIONS(1994),
    [anon_sym_SQUOTE] = ACTIONS(1994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1994),
    [sym_number] = ACTIONS(1994),
    [sym_private_property_identifier] = ACTIONS(1994),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_property] = ACTIONS(1990),
    [anon_sym_signal] = ACTIONS(1990),
    [anon_sym_on] = ACTIONS(1990),
    [anon_sym_required] = ACTIONS(1990),
    [anon_sym_component] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(1992),
    [anon_sym_interface] = ACTIONS(1990),
    [anon_sym_enum] = ACTIONS(1990),
    [sym__automatic_semicolon] = ACTIONS(1998),
    [sym__ternary_qmark] = ACTIONS(1996),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_export] = ACTIONS(2000),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(2000),
    [anon_sym_namespace] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_typeof] = ACTIONS(2000),
    [anon_sym_import] = ACTIONS(2000),
    [anon_sym_from] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2000),
    [anon_sym_var] = ACTIONS(2000),
    [anon_sym_let] = ACTIONS(2000),
    [anon_sym_const] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_else] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_switch] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(2000),
    [anon_sym_in] = ACTIONS(2000),
    [anon_sym_of] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_debugger] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_case] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2000),
    [anon_sym_class] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2000),
    [anon_sym_QMARK_DOT] = ACTIONS(2002),
    [anon_sym_new] = ACTIONS(2000),
    [anon_sym_using] = ACTIONS(2000),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_GT_GT] = ACTIONS(2000),
    [anon_sym_GT_GT_GT] = ACTIONS(2002),
    [anon_sym_LT_LT] = ACTIONS(2002),
    [anon_sym_AMP] = ACTIONS(2000),
    [anon_sym_CARET] = ACTIONS(2002),
    [anon_sym_PIPE] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_SLASH] = ACTIONS(2000),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_STAR_STAR] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_LT_EQ] = ACTIONS(2002),
    [anon_sym_EQ_EQ] = ACTIONS(2000),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2002),
    [anon_sym_GT_EQ] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2000),
    [anon_sym_QMARK_QMARK] = ACTIONS(2002),
    [anon_sym_instanceof] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_void] = ACTIONS(2000),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2002),
    [anon_sym_DASH_DASH] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2002),
    [sym_number] = ACTIONS(2002),
    [sym_private_property_identifier] = ACTIONS(2002),
    [sym_this] = ACTIONS(2000),
    [sym_super] = ACTIONS(2000),
    [sym_true] = ACTIONS(2000),
    [sym_false] = ACTIONS(2000),
    [sym_null] = ACTIONS(2000),
    [sym_undefined] = ACTIONS(2000),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2000),
    [anon_sym_readonly] = ACTIONS(2000),
    [anon_sym_get] = ACTIONS(2000),
    [anon_sym_set] = ACTIONS(2000),
    [anon_sym_declare] = ACTIONS(2000),
    [anon_sym_public] = ACTIONS(2000),
    [anon_sym_private] = ACTIONS(2000),
    [anon_sym_protected] = ACTIONS(2000),
    [anon_sym_override] = ACTIONS(2000),
    [anon_sym_module] = ACTIONS(2000),
    [anon_sym_any] = ACTIONS(2000),
    [anon_sym_number] = ACTIONS(2000),
    [anon_sym_boolean] = ACTIONS(2000),
    [anon_sym_string] = ACTIONS(2000),
    [anon_sym_symbol] = ACTIONS(2000),
    [anon_sym_object] = ACTIONS(2000),
    [anon_sym_property] = ACTIONS(2000),
    [anon_sym_signal] = ACTIONS(2000),
    [anon_sym_on] = ACTIONS(2000),
    [anon_sym_required] = ACTIONS(2000),
    [anon_sym_component] = ACTIONS(2000),
    [anon_sym_abstract] = ACTIONS(2000),
    [anon_sym_satisfies] = ACTIONS(2000),
    [anon_sym_interface] = ACTIONS(2000),
    [anon_sym_enum] = ACTIONS(2000),
    [sym__automatic_semicolon] = ACTIONS(2002),
    [sym__ternary_qmark] = ACTIONS(2002),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_RBRACE] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(1790),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1792),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [anon_sym_extends] = ACTIONS(1792),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1790),
    [sym__automatic_semicolon] = ACTIONS(1790),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2004),
    [anon_sym_export] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2004),
    [anon_sym_type] = ACTIONS(2004),
    [anon_sym_as] = ACTIONS(2004),
    [anon_sym_namespace] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_typeof] = ACTIONS(2004),
    [anon_sym_import] = ACTIONS(2004),
    [anon_sym_from] = ACTIONS(2004),
    [anon_sym_with] = ACTIONS(2004),
    [anon_sym_var] = ACTIONS(2004),
    [anon_sym_let] = ACTIONS(2004),
    [anon_sym_const] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_else] = ACTIONS(2004),
    [anon_sym_if] = ACTIONS(2004),
    [anon_sym_switch] = ACTIONS(2004),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [anon_sym_await] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(2004),
    [anon_sym_of] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2004),
    [anon_sym_do] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2004),
    [anon_sym_break] = ACTIONS(2004),
    [anon_sym_continue] = ACTIONS(2004),
    [anon_sym_debugger] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2004),
    [anon_sym_throw] = ACTIONS(2004),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_yield] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2004),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(2004),
    [anon_sym_QMARK_DOT] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(2004),
    [anon_sym_using] = ACTIONS(2004),
    [anon_sym_AMP_AMP] = ACTIONS(2006),
    [anon_sym_PIPE_PIPE] = ACTIONS(2006),
    [anon_sym_GT_GT] = ACTIONS(2004),
    [anon_sym_GT_GT_GT] = ACTIONS(2006),
    [anon_sym_LT_LT] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2004),
    [anon_sym_CARET] = ACTIONS(2006),
    [anon_sym_PIPE] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_SLASH] = ACTIONS(2004),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_STAR_STAR] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_EQ_EQ] = ACTIONS(2004),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2006),
    [anon_sym_BANG_EQ] = ACTIONS(2004),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_GT] = ACTIONS(2004),
    [anon_sym_QMARK_QMARK] = ACTIONS(2006),
    [anon_sym_instanceof] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2006),
    [anon_sym_void] = ACTIONS(2004),
    [anon_sym_delete] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2006),
    [anon_sym_DASH_DASH] = ACTIONS(2006),
    [anon_sym_DQUOTE] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2006),
    [sym_number] = ACTIONS(2006),
    [sym_private_property_identifier] = ACTIONS(2006),
    [sym_this] = ACTIONS(2004),
    [sym_super] = ACTIONS(2004),
    [sym_true] = ACTIONS(2004),
    [sym_false] = ACTIONS(2004),
    [sym_null] = ACTIONS(2004),
    [sym_undefined] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2004),
    [anon_sym_readonly] = ACTIONS(2004),
    [anon_sym_get] = ACTIONS(2004),
    [anon_sym_set] = ACTIONS(2004),
    [anon_sym_declare] = ACTIONS(2004),
    [anon_sym_public] = ACTIONS(2004),
    [anon_sym_private] = ACTIONS(2004),
    [anon_sym_protected] = ACTIONS(2004),
    [anon_sym_override] = ACTIONS(2004),
    [anon_sym_module] = ACTIONS(2004),
    [anon_sym_any] = ACTIONS(2004),
    [anon_sym_number] = ACTIONS(2004),
    [anon_sym_boolean] = ACTIONS(2004),
    [anon_sym_string] = ACTIONS(2004),
    [anon_sym_symbol] = ACTIONS(2004),
    [anon_sym_object] = ACTIONS(2004),
    [anon_sym_property] = ACTIONS(2004),
    [anon_sym_signal] = ACTIONS(2004),
    [anon_sym_on] = ACTIONS(2004),
    [anon_sym_required] = ACTIONS(2004),
    [anon_sym_component] = ACTIONS(2004),
    [anon_sym_abstract] = ACTIONS(2004),
    [anon_sym_satisfies] = ACTIONS(2004),
    [anon_sym_interface] = ACTIONS(2004),
    [anon_sym_enum] = ACTIONS(2004),
    [sym__automatic_semicolon] = ACTIONS(2006),
    [sym__ternary_qmark] = ACTIONS(2006),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2008),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_as] = ACTIONS(2008),
    [anon_sym_namespace] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_typeof] = ACTIONS(2008),
    [anon_sym_import] = ACTIONS(2008),
    [anon_sym_from] = ACTIONS(2008),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_var] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_else] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_switch] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_await] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_debugger] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_case] = ACTIONS(2008),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2008),
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_QMARK_DOT] = ACTIONS(2010),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_using] = ACTIONS(2008),
    [anon_sym_AMP_AMP] = ACTIONS(2010),
    [anon_sym_PIPE_PIPE] = ACTIONS(2010),
    [anon_sym_GT_GT] = ACTIONS(2008),
    [anon_sym_GT_GT_GT] = ACTIONS(2010),
    [anon_sym_LT_LT] = ACTIONS(2010),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_CARET] = ACTIONS(2010),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2010),
    [anon_sym_STAR_STAR] = ACTIONS(2010),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2010),
    [anon_sym_EQ_EQ] = ACTIONS(2008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2010),
    [anon_sym_BANG_EQ] = ACTIONS(2008),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2010),
    [anon_sym_GT_EQ] = ACTIONS(2010),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_QMARK_QMARK] = ACTIONS(2010),
    [anon_sym_instanceof] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_void] = ACTIONS(2008),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [anon_sym_DQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2010),
    [sym_number] = ACTIONS(2010),
    [sym_private_property_identifier] = ACTIONS(2010),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(2008),
    [sym_true] = ACTIONS(2008),
    [sym_false] = ACTIONS(2008),
    [sym_null] = ACTIONS(2008),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_readonly] = ACTIONS(2008),
    [anon_sym_get] = ACTIONS(2008),
    [anon_sym_set] = ACTIONS(2008),
    [anon_sym_declare] = ACTIONS(2008),
    [anon_sym_public] = ACTIONS(2008),
    [anon_sym_private] = ACTIONS(2008),
    [anon_sym_protected] = ACTIONS(2008),
    [anon_sym_override] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_any] = ACTIONS(2008),
    [anon_sym_number] = ACTIONS(2008),
    [anon_sym_boolean] = ACTIONS(2008),
    [anon_sym_string] = ACTIONS(2008),
    [anon_sym_symbol] = ACTIONS(2008),
    [anon_sym_object] = ACTIONS(2008),
    [anon_sym_property] = ACTIONS(2008),
    [anon_sym_signal] = ACTIONS(2008),
    [anon_sym_on] = ACTIONS(2008),
    [anon_sym_required] = ACTIONS(2008),
    [anon_sym_component] = ACTIONS(2008),
    [anon_sym_abstract] = ACTIONS(2008),
    [anon_sym_satisfies] = ACTIONS(2008),
    [anon_sym_interface] = ACTIONS(2008),
    [anon_sym_enum] = ACTIONS(2008),
    [sym__automatic_semicolon] = ACTIONS(2010),
    [sym__ternary_qmark] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_assignment_pattern] = STATE(5199),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4889),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_pattern_repeat1] = STATE(5343),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2764),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5464),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5464),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1523),
    [sym_subscript_expression] = STATE(1523),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5464),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1523),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_export] = ACTIONS(2016),
    [anon_sym_type] = ACTIONS(2016),
    [anon_sym_namespace] = ACTIONS(2018),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2016),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(2016),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2022),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2016),
    [anon_sym_readonly] = ACTIONS(2016),
    [anon_sym_get] = ACTIONS(2016),
    [anon_sym_set] = ACTIONS(2016),
    [anon_sym_declare] = ACTIONS(2016),
    [anon_sym_public] = ACTIONS(2016),
    [anon_sym_private] = ACTIONS(2016),
    [anon_sym_protected] = ACTIONS(2016),
    [anon_sym_override] = ACTIONS(2016),
    [anon_sym_module] = ACTIONS(2016),
    [anon_sym_any] = ACTIONS(2016),
    [anon_sym_number] = ACTIONS(2016),
    [anon_sym_boolean] = ACTIONS(2016),
    [anon_sym_string] = ACTIONS(2016),
    [anon_sym_symbol] = ACTIONS(2016),
    [anon_sym_object] = ACTIONS(2016),
    [anon_sym_property] = ACTIONS(2016),
    [anon_sym_signal] = ACTIONS(2016),
    [anon_sym_on] = ACTIONS(2016),
    [anon_sym_required] = ACTIONS(2016),
    [anon_sym_component] = ACTIONS(2016),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4052),
    [sym_variable_declaration] = STATE(332),
    [sym_lexical_declaration] = STATE(332),
    [sym_empty_statement] = STATE(332),
    [sym_parenthesized_expression] = STATE(1506),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5459),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5459),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1506),
    [sym_subscript_expression] = STATE(1506),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5459),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6313),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1506),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_export] = ACTIONS(2026),
    [anon_sym_type] = ACTIONS(2026),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2026),
    [anon_sym_var] = ACTIONS(2032),
    [anon_sym_let] = ACTIONS(2034),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2044),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2026),
    [anon_sym_readonly] = ACTIONS(2026),
    [anon_sym_get] = ACTIONS(2026),
    [anon_sym_set] = ACTIONS(2026),
    [anon_sym_declare] = ACTIONS(2026),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_private] = ACTIONS(2026),
    [anon_sym_protected] = ACTIONS(2026),
    [anon_sym_override] = ACTIONS(2026),
    [anon_sym_module] = ACTIONS(2026),
    [anon_sym_any] = ACTIONS(2026),
    [anon_sym_number] = ACTIONS(2026),
    [anon_sym_boolean] = ACTIONS(2026),
    [anon_sym_string] = ACTIONS(2026),
    [anon_sym_symbol] = ACTIONS(2026),
    [anon_sym_object] = ACTIONS(2026),
    [anon_sym_property] = ACTIONS(2026),
    [anon_sym_signal] = ACTIONS(2026),
    [anon_sym_on] = ACTIONS(2026),
    [anon_sym_required] = ACTIONS(2026),
    [anon_sym_component] = ACTIONS(2026),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(1790),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_RBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5938),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5290),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5524),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(2046),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4052),
    [sym_variable_declaration] = STATE(333),
    [sym_lexical_declaration] = STATE(333),
    [sym_empty_statement] = STATE(333),
    [sym_parenthesized_expression] = STATE(1506),
    [sym_expression] = STATE(2421),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5459),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5459),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1506),
    [sym_subscript_expression] = STATE(1506),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5459),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6102),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1506),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_export] = ACTIONS(2026),
    [anon_sym_type] = ACTIONS(2026),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2026),
    [anon_sym_var] = ACTIONS(2032),
    [anon_sym_let] = ACTIONS(2034),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2044),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2026),
    [anon_sym_readonly] = ACTIONS(2026),
    [anon_sym_get] = ACTIONS(2026),
    [anon_sym_set] = ACTIONS(2026),
    [anon_sym_declare] = ACTIONS(2026),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_private] = ACTIONS(2026),
    [anon_sym_protected] = ACTIONS(2026),
    [anon_sym_override] = ACTIONS(2026),
    [anon_sym_module] = ACTIONS(2026),
    [anon_sym_any] = ACTIONS(2026),
    [anon_sym_number] = ACTIONS(2026),
    [anon_sym_boolean] = ACTIONS(2026),
    [anon_sym_string] = ACTIONS(2026),
    [anon_sym_symbol] = ACTIONS(2026),
    [anon_sym_object] = ACTIONS(2026),
    [anon_sym_property] = ACTIONS(2026),
    [anon_sym_signal] = ACTIONS(2026),
    [anon_sym_on] = ACTIONS(2026),
    [anon_sym_required] = ACTIONS(2026),
    [anon_sym_component] = ACTIONS(2026),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_assignment_pattern] = STATE(5274),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4804),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_pattern_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5938),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5290),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5524),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(2046),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(2046),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5938),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_spread_element] = STATE(5290),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5524),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(2046),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4052),
    [sym_variable_declaration] = STATE(325),
    [sym_lexical_declaration] = STATE(325),
    [sym_empty_statement] = STATE(325),
    [sym_parenthesized_expression] = STATE(1506),
    [sym_expression] = STATE(2388),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5459),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5459),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1506),
    [sym_subscript_expression] = STATE(1506),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5459),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6455),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1506),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_export] = ACTIONS(2026),
    [anon_sym_type] = ACTIONS(2026),
    [anon_sym_namespace] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2026),
    [anon_sym_var] = ACTIONS(2032),
    [anon_sym_let] = ACTIONS(2034),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(2026),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2044),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2026),
    [anon_sym_readonly] = ACTIONS(2026),
    [anon_sym_get] = ACTIONS(2026),
    [anon_sym_set] = ACTIONS(2026),
    [anon_sym_declare] = ACTIONS(2026),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_private] = ACTIONS(2026),
    [anon_sym_protected] = ACTIONS(2026),
    [anon_sym_override] = ACTIONS(2026),
    [anon_sym_module] = ACTIONS(2026),
    [anon_sym_any] = ACTIONS(2026),
    [anon_sym_number] = ACTIONS(2026),
    [anon_sym_boolean] = ACTIONS(2026),
    [anon_sym_string] = ACTIONS(2026),
    [anon_sym_symbol] = ACTIONS(2026),
    [anon_sym_object] = ACTIONS(2026),
    [anon_sym_property] = ACTIONS(2026),
    [anon_sym_signal] = ACTIONS(2026),
    [anon_sym_on] = ACTIONS(2026),
    [anon_sym_required] = ACTIONS(2026),
    [anon_sym_component] = ACTIONS(2026),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2057),
    [anon_sym_import] = ACTIONS(2057),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_using] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2059),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2059),
    [anon_sym_void] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2059),
    [anon_sym_DASH_DASH] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2059),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [sym_this] = ACTIONS(2057),
    [sym_super] = ACTIONS(2057),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [sym_null] = ACTIONS(2057),
    [sym_undefined] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_assignment_pattern] = STATE(5938),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5524),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(2063),
    [anon_sym_import] = ACTIONS(2063),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(2063),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(2063),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(2063),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_using] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2063),
    [anon_sym_delete] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2063),
    [sym_super] = ACTIONS(2063),
    [sym_true] = ACTIONS(2063),
    [sym_false] = ACTIONS(2063),
    [sym_null] = ACTIONS(2063),
    [sym_undefined] = ACTIONS(2063),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_typeof] = ACTIONS(2057),
    [anon_sym_import] = ACTIONS(2057),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_yield] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_using] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2059),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2059),
    [anon_sym_void] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2059),
    [anon_sym_DASH_DASH] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2059),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [sym_this] = ACTIONS(2057),
    [sym_super] = ACTIONS(2057),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [sym_null] = ACTIONS(2057),
    [sym_undefined] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2063),
    [anon_sym_import] = ACTIONS(2063),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(2063),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(2063),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_class] = ACTIONS(2063),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_function] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_using] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2063),
    [anon_sym_delete] = ACTIONS(2063),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2063),
    [sym_super] = ACTIONS(2063),
    [sym_true] = ACTIONS(2063),
    [sym_false] = ACTIONS(2063),
    [sym_null] = ACTIONS(2063),
    [sym_undefined] = ACTIONS(2063),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2516),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5431),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5433),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2570),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5240),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5241),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2399),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(4993),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(4998),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2075),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2575),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5287),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5288),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4363),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_accessibility_modifier] = STATE(313),
    [sym_override_modifier] = STATE(329),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(1230),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(2079),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2083),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(926),
    [anon_sym_private] = ACTIONS(926),
    [anon_sym_protected] = ACTIONS(926),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2564),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5164),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5165),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5302),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5303),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2578),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5317),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5318),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2555),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5023),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [aux_sym_array_repeat1] = STATE(5024),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_spread_element] = STATE(5290),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_RBRACK] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2071),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [anon_sym_extends] = ACTIONS(1792),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_assignment_pattern] = STATE(5654),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5104),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_override_modifier] = STATE(331),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2095),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(3886),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(2099),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(3961),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(2103),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(4072),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(3886),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(2111),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(3934),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2113),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(3977),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3234),
    [sym__type_query_subscript_expression] = STATE(3235),
    [sym__type_query_call_expression] = STATE(3463),
    [sym__type_query_instantiation_expression] = STATE(3595),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2115),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(3846),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(2103),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4432),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_override_modifier] = STATE(330),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2123),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3986),
    [sym_assignment_pattern] = STATE(5654),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3986),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3986),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(5104),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1376),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_export] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(679),
    [anon_sym_namespace] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1758),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1760),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_readonly] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_declare] = ACTIONS(679),
    [anon_sym_public] = ACTIONS(679),
    [anon_sym_private] = ACTIONS(679),
    [anon_sym_protected] = ACTIONS(679),
    [anon_sym_override] = ACTIONS(679),
    [anon_sym_module] = ACTIONS(679),
    [anon_sym_any] = ACTIONS(679),
    [anon_sym_number] = ACTIONS(679),
    [anon_sym_boolean] = ACTIONS(679),
    [anon_sym_string] = ACTIONS(679),
    [anon_sym_symbol] = ACTIONS(679),
    [anon_sym_object] = ACTIONS(679),
    [anon_sym_property] = ACTIONS(679),
    [anon_sym_signal] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
    [anon_sym_required] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(3886),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(4072),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(3846),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(2129),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(2103),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(4072),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2099),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(4072),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(3886),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(4072),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym__type_query_member_expression] = STATE(3188),
    [sym__type_query_subscript_expression] = STATE(3189),
    [sym__type_query_call_expression] = STATE(3236),
    [sym__type_query_instantiation_expression] = STATE(3280),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2111),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2548),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6459),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(341),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6108),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(338),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2587),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6299),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(337),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2591),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6099),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4343),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2095),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5858),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym__automatic_semicolon] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2287),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5760),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym__automatic_semicolon] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4436),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2143),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4779),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4050),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4050),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1395),
    [sym_subscript_expression] = STATE(1395),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4050),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_pattern] = STATE(4410),
    [sym_rest_pattern] = STATE(4085),
    [sym_non_null_expression] = STATE(1395),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(822),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2151),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(348),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6264),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(4052),
    [sym_empty_statement] = STATE(343),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2473),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6090),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1539),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(5386),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(5386),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1539),
    [sym_subscript_expression] = STATE(1539),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(5386),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1539),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2153),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2030),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2161),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_property] = ACTIONS(2155),
    [anon_sym_signal] = ACTIONS(2155),
    [anon_sym_on] = ACTIONS(2155),
    [anon_sym_required] = ACTIONS(2155),
    [anon_sym_component] = ACTIONS(2155),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2569),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6420),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2542),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6336),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2557),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6120),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6339),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6446),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6366),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2559),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6306),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6371),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2547),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6445),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6230),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2558),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6285),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6429),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6429),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2541),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6287),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym__extends_clause_single] = STATE(4805),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2496),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2109),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2296),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5626),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2496),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2100),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_mapped_type_clause] = STATE(6359),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_export] = ACTIONS(2203),
    [anon_sym_type] = ACTIONS(2203),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2203),
    [anon_sym_let] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2207),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_readonly] = ACTIONS(2203),
    [anon_sym_get] = ACTIONS(2203),
    [anon_sym_set] = ACTIONS(2203),
    [anon_sym_declare] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_override] = ACTIONS(2203),
    [anon_sym_module] = ACTIONS(2203),
    [anon_sym_any] = ACTIONS(2203),
    [anon_sym_number] = ACTIONS(2203),
    [anon_sym_boolean] = ACTIONS(2203),
    [anon_sym_string] = ACTIONS(2203),
    [anon_sym_symbol] = ACTIONS(2203),
    [anon_sym_object] = ACTIONS(2203),
    [anon_sym_property] = ACTIONS(2203),
    [anon_sym_signal] = ACTIONS(2203),
    [anon_sym_on] = ACTIONS(2203),
    [anon_sym_required] = ACTIONS(2203),
    [anon_sym_component] = ACTIONS(2203),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6173),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6179),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6196),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6199),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6206),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2447),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2121),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2450),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2126),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2451),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2127),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2395),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6215),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2397),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2155),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1907),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1916),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1934),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1938),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1939),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2465),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6457),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2777),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6279),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2712),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2728),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2730),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2731),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2732),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2813),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2828),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2831),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6280),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2408),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2172),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_mapped_type_clause] = STATE(6428),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_export] = ACTIONS(2217),
    [anon_sym_type] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2217),
    [anon_sym_let] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(2217),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_readonly] = ACTIONS(2217),
    [anon_sym_get] = ACTIONS(2217),
    [anon_sym_set] = ACTIONS(2217),
    [anon_sym_declare] = ACTIONS(2217),
    [anon_sym_public] = ACTIONS(2217),
    [anon_sym_private] = ACTIONS(2217),
    [anon_sym_protected] = ACTIONS(2217),
    [anon_sym_override] = ACTIONS(2217),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_any] = ACTIONS(2217),
    [anon_sym_number] = ACTIONS(2217),
    [anon_sym_boolean] = ACTIONS(2217),
    [anon_sym_string] = ACTIONS(2217),
    [anon_sym_symbol] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(2217),
    [anon_sym_property] = ACTIONS(2217),
    [anon_sym_signal] = ACTIONS(2217),
    [anon_sym_on] = ACTIONS(2217),
    [anon_sym_required] = ACTIONS(2217),
    [anon_sym_component] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym__extends_clause_single] = STATE(5251),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2496),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2511),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6354),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2176),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6296),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2397),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2114),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2397),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2514),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6387),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2408),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2531),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2447),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2534),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2450),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2535),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2451),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2536),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6169),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2408),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2151),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2656),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2659),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2673),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2675),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2676),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2107),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6225),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6429),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2447),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2163),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2450),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2165),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2683),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2699),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2702),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2703),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(4043),
    [sym_statement_block] = STATE(2451),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2166),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2546),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6436),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_sequence_expression] = STATE(6074),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1970),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1988),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2314),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(1997),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2331),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2010),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2333),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2012),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2334),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(4052),
    [sym_statement_block] = STATE(2013),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2295),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_sequence_expression] = STATE(5762),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1928),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2291),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(4459),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(4459),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1467),
    [sym_subscript_expression] = STATE(1467),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(4459),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1467),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2227),
    [anon_sym_export] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_namespace] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1748),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1214),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_readonly] = ACTIONS(1208),
    [anon_sym_get] = ACTIONS(1208),
    [anon_sym_set] = ACTIONS(1208),
    [anon_sym_declare] = ACTIONS(1208),
    [anon_sym_public] = ACTIONS(1208),
    [anon_sym_private] = ACTIONS(1208),
    [anon_sym_protected] = ACTIONS(1208),
    [anon_sym_override] = ACTIONS(1208),
    [anon_sym_module] = ACTIONS(1208),
    [anon_sym_any] = ACTIONS(1208),
    [anon_sym_number] = ACTIONS(1208),
    [anon_sym_boolean] = ACTIONS(1208),
    [anon_sym_string] = ACTIONS(1208),
    [anon_sym_symbol] = ACTIONS(1208),
    [anon_sym_object] = ACTIONS(1208),
    [anon_sym_property] = ACTIONS(1208),
    [anon_sym_signal] = ACTIONS(1208),
    [anon_sym_on] = ACTIONS(1208),
    [anon_sym_required] = ACTIONS(1208),
    [anon_sym_component] = ACTIONS(1208),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1932),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1933),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2150),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1941),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1942),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2822),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2291),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2134),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2403),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1944),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1952),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2845),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2771),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2781),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2786),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2054),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2789),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2793),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2798),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2799),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2801),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2802),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2805),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2806),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2711),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2713),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2714),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2717),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2719),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2720),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2722),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2723),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2724),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2726),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2087),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2733),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2136),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2137),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2170),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2185),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2123),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2178),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2095),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2756),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2139),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2140),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2141),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2142),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2474),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2239),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2143),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2159),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2162),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2827),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2239),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2181),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2241),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2626),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2692),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2104),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1558),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6226),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1558),
    [sym_subscript_expression] = STATE(1558),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1558),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2243),
    [anon_sym_export] = ACTIONS(2245),
    [anon_sym_type] = ACTIONS(2245),
    [anon_sym_namespace] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2245),
    [anon_sym_let] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2245),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2251),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2245),
    [anon_sym_readonly] = ACTIONS(2245),
    [anon_sym_get] = ACTIONS(2245),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_declare] = ACTIONS(2245),
    [anon_sym_public] = ACTIONS(2245),
    [anon_sym_private] = ACTIONS(2245),
    [anon_sym_protected] = ACTIONS(2245),
    [anon_sym_override] = ACTIONS(2245),
    [anon_sym_module] = ACTIONS(2245),
    [anon_sym_any] = ACTIONS(2245),
    [anon_sym_number] = ACTIONS(2245),
    [anon_sym_boolean] = ACTIONS(2245),
    [anon_sym_string] = ACTIONS(2245),
    [anon_sym_symbol] = ACTIONS(2245),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_property] = ACTIONS(2245),
    [anon_sym_signal] = ACTIONS(2245),
    [anon_sym_on] = ACTIONS(2245),
    [anon_sym_required] = ACTIONS(2245),
    [anon_sym_component] = ACTIONS(2245),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2128),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2113),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2611),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2517),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2519),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2520),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2521),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2522),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2523),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2524),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2525),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2526),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2529),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2530),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2532),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2210),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2537),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2115),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2116),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2117),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2118),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2540),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2125),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2130),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2131),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2133),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2135),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2148),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2149),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1927),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2152),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2754),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2654),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2655),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(3855),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(3855),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1407),
    [sym_subscript_expression] = STATE(1407),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(3855),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1407),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2255),
    [anon_sym_export] = ACTIONS(1226),
    [anon_sym_type] = ACTIONS(1226),
    [anon_sym_namespace] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1226),
    [anon_sym_let] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_readonly] = ACTIONS(1226),
    [anon_sym_get] = ACTIONS(1226),
    [anon_sym_set] = ACTIONS(1226),
    [anon_sym_declare] = ACTIONS(1226),
    [anon_sym_public] = ACTIONS(1226),
    [anon_sym_private] = ACTIONS(1226),
    [anon_sym_protected] = ACTIONS(1226),
    [anon_sym_override] = ACTIONS(1226),
    [anon_sym_module] = ACTIONS(1226),
    [anon_sym_any] = ACTIONS(1226),
    [anon_sym_number] = ACTIONS(1226),
    [anon_sym_boolean] = ACTIONS(1226),
    [anon_sym_string] = ACTIONS(1226),
    [anon_sym_symbol] = ACTIONS(1226),
    [anon_sym_object] = ACTIONS(1226),
    [anon_sym_property] = ACTIONS(1226),
    [anon_sym_signal] = ACTIONS(1226),
    [anon_sym_on] = ACTIONS(1226),
    [anon_sym_required] = ACTIONS(1226),
    [anon_sym_component] = ACTIONS(1226),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2657),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2658),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2235),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2660),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2662),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2663),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2664),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2665),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2666),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2668),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2669),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2671),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2672),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2829),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2674),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2768),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2088),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2678),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2680),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2183),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1559),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6379),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6379),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1559),
    [sym_subscript_expression] = STATE(1559),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6379),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1559),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2263),
    [anon_sym_type] = ACTIONS(2263),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2263),
    [anon_sym_let] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2263),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2267),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2269),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2271),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2263),
    [anon_sym_readonly] = ACTIONS(2263),
    [anon_sym_get] = ACTIONS(2263),
    [anon_sym_set] = ACTIONS(2263),
    [anon_sym_declare] = ACTIONS(2263),
    [anon_sym_public] = ACTIONS(2263),
    [anon_sym_private] = ACTIONS(2263),
    [anon_sym_protected] = ACTIONS(2263),
    [anon_sym_override] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_any] = ACTIONS(2263),
    [anon_sym_number] = ACTIONS(2263),
    [anon_sym_boolean] = ACTIONS(2263),
    [anon_sym_string] = ACTIONS(2263),
    [anon_sym_symbol] = ACTIONS(2263),
    [anon_sym_object] = ACTIONS(2263),
    [anon_sym_property] = ACTIONS(2263),
    [anon_sym_signal] = ACTIONS(2263),
    [anon_sym_on] = ACTIONS(2263),
    [anon_sym_required] = ACTIONS(2263),
    [anon_sym_component] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2838),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1291),
    [sym_expression] = STATE(2779),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6303),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6303),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1291),
    [sym_subscript_expression] = STATE(1291),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6303),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1291),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(880),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_type] = ACTIONS(882),
    [anon_sym_namespace] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_readonly] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(882),
    [anon_sym_private] = ACTIONS(882),
    [anon_sym_protected] = ACTIONS(882),
    [anon_sym_override] = ACTIONS(882),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(882),
    [anon_sym_number] = ACTIONS(882),
    [anon_sym_boolean] = ACTIONS(882),
    [anon_sym_string] = ACTIONS(882),
    [anon_sym_symbol] = ACTIONS(882),
    [anon_sym_object] = ACTIONS(882),
    [anon_sym_property] = ACTIONS(882),
    [anon_sym_signal] = ACTIONS(882),
    [anon_sym_on] = ACTIONS(882),
    [anon_sym_required] = ACTIONS(882),
    [anon_sym_component] = ACTIONS(882),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2099),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1954),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2681),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2682),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1905),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2684),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2685),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1543),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6198),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6198),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6192),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1543),
    [sym_subscript_expression] = STATE(1543),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3297),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6198),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1543),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(459),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1386),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1402),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1580),
    [anon_sym_using] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_SLASH] = ACTIONS(1068),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_void] = ACTIONS(1412),
    [anon_sym_delete] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1420),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_property] = ACTIONS(1386),
    [anon_sym_signal] = ACTIONS(1386),
    [anon_sym_on] = ACTIONS(1386),
    [anon_sym_required] = ACTIONS(1386),
    [anon_sym_component] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2688),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2689),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2612),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2761),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2694),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2696),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2697),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2698),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1906),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1910),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1915),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2168),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2706),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2174),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2751),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1572),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6493),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6493),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1572),
    [sym_subscript_expression] = STATE(1572),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6493),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1572),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_export] = ACTIONS(2275),
    [anon_sym_type] = ACTIONS(2275),
    [anon_sym_namespace] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2275),
    [anon_sym_let] = ACTIONS(2275),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2275),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2279),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2283),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2275),
    [anon_sym_readonly] = ACTIONS(2275),
    [anon_sym_get] = ACTIONS(2275),
    [anon_sym_set] = ACTIONS(2275),
    [anon_sym_declare] = ACTIONS(2275),
    [anon_sym_public] = ACTIONS(2275),
    [anon_sym_private] = ACTIONS(2275),
    [anon_sym_protected] = ACTIONS(2275),
    [anon_sym_override] = ACTIONS(2275),
    [anon_sym_module] = ACTIONS(2275),
    [anon_sym_any] = ACTIONS(2275),
    [anon_sym_number] = ACTIONS(2275),
    [anon_sym_boolean] = ACTIONS(2275),
    [anon_sym_string] = ACTIONS(2275),
    [anon_sym_symbol] = ACTIONS(2275),
    [anon_sym_object] = ACTIONS(2275),
    [anon_sym_property] = ACTIONS(2275),
    [anon_sym_signal] = ACTIONS(2275),
    [anon_sym_on] = ACTIONS(2275),
    [anon_sym_required] = ACTIONS(2275),
    [anon_sym_component] = ACTIONS(2275),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2830),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(2237),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1560),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6166),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6166),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1560),
    [sym_subscript_expression] = STATE(1560),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6166),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1560),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2285),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2291),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2293),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2295),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2236),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2835),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1917),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1569),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6441),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6441),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1569),
    [sym_subscript_expression] = STATE(1569),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6441),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1569),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2299),
    [anon_sym_type] = ACTIONS(2299),
    [anon_sym_namespace] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2299),
    [anon_sym_let] = ACTIONS(2299),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2299),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2303),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2305),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2307),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2299),
    [anon_sym_readonly] = ACTIONS(2299),
    [anon_sym_get] = ACTIONS(2299),
    [anon_sym_set] = ACTIONS(2299),
    [anon_sym_declare] = ACTIONS(2299),
    [anon_sym_public] = ACTIONS(2299),
    [anon_sym_private] = ACTIONS(2299),
    [anon_sym_protected] = ACTIONS(2299),
    [anon_sym_override] = ACTIONS(2299),
    [anon_sym_module] = ACTIONS(2299),
    [anon_sym_any] = ACTIONS(2299),
    [anon_sym_number] = ACTIONS(2299),
    [anon_sym_boolean] = ACTIONS(2299),
    [anon_sym_string] = ACTIONS(2299),
    [anon_sym_symbol] = ACTIONS(2299),
    [anon_sym_object] = ACTIONS(2299),
    [anon_sym_property] = ACTIONS(2299),
    [anon_sym_signal] = ACTIONS(2299),
    [anon_sym_on] = ACTIONS(2299),
    [anon_sym_required] = ACTIONS(2299),
    [anon_sym_component] = ACTIONS(2299),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1573),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6298),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6298),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1573),
    [sym_subscript_expression] = STATE(1573),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6298),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1573),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_export] = ACTIONS(2311),
    [anon_sym_type] = ACTIONS(2311),
    [anon_sym_namespace] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2311),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2311),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2315),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2317),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2319),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2311),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2311),
    [anon_sym_set] = ACTIONS(2311),
    [anon_sym_declare] = ACTIONS(2311),
    [anon_sym_public] = ACTIONS(2311),
    [anon_sym_private] = ACTIONS(2311),
    [anon_sym_protected] = ACTIONS(2311),
    [anon_sym_override] = ACTIONS(2311),
    [anon_sym_module] = ACTIONS(2311),
    [anon_sym_any] = ACTIONS(2311),
    [anon_sym_number] = ACTIONS(2311),
    [anon_sym_boolean] = ACTIONS(2311),
    [anon_sym_string] = ACTIONS(2311),
    [anon_sym_symbol] = ACTIONS(2311),
    [anon_sym_object] = ACTIONS(2311),
    [anon_sym_property] = ACTIONS(2311),
    [anon_sym_signal] = ACTIONS(2311),
    [anon_sym_on] = ACTIONS(2311),
    [anon_sym_required] = ACTIONS(2311),
    [anon_sym_component] = ACTIONS(2311),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2796),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2764),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6251),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6251),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6249),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1512),
    [sym_subscript_expression] = STATE(1512),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3350),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6251),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1512),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(519),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_namespace] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1186),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_of] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1546),
    [anon_sym_using] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_delete] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1194),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_declare] = ACTIONS(1158),
    [anon_sym_public] = ACTIONS(1158),
    [anon_sym_private] = ACTIONS(1158),
    [anon_sym_protected] = ACTIONS(1158),
    [anon_sym_override] = ACTIONS(1158),
    [anon_sym_module] = ACTIONS(1158),
    [anon_sym_any] = ACTIONS(1158),
    [anon_sym_number] = ACTIONS(1158),
    [anon_sym_boolean] = ACTIONS(1158),
    [anon_sym_string] = ACTIONS(1158),
    [anon_sym_symbol] = ACTIONS(1158),
    [anon_sym_object] = ACTIONS(1158),
    [anon_sym_property] = ACTIONS(1158),
    [anon_sym_signal] = ACTIONS(1158),
    [anon_sym_on] = ACTIONS(1158),
    [anon_sym_required] = ACTIONS(1158),
    [anon_sym_component] = ACTIONS(1158),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1919),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1577),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6452),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6452),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1577),
    [sym_subscript_expression] = STATE(1577),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6452),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1577),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_namespace] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2323),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2323),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2327),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2329),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_property] = ACTIONS(2323),
    [anon_sym_signal] = ACTIONS(2323),
    [anon_sym_on] = ACTIONS(2323),
    [anon_sym_required] = ACTIONS(2323),
    [anon_sym_component] = ACTIONS(2323),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2089),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6139),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6139),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6131),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3288),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6139),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(491),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1314),
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_namespace] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1314),
    [anon_sym_let] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1326),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_using] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_SLASH] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(1340),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_readonly] = ACTIONS(1314),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [anon_sym_declare] = ACTIONS(1314),
    [anon_sym_public] = ACTIONS(1314),
    [anon_sym_private] = ACTIONS(1314),
    [anon_sym_protected] = ACTIONS(1314),
    [anon_sym_override] = ACTIONS(1314),
    [anon_sym_module] = ACTIONS(1314),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_property] = ACTIONS(1314),
    [anon_sym_signal] = ACTIONS(1314),
    [anon_sym_on] = ACTIONS(1314),
    [anon_sym_required] = ACTIONS(1314),
    [anon_sym_component] = ACTIONS(1314),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2472),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1533),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6155),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6155),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6469),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1533),
    [sym_subscript_expression] = STATE(1533),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3324),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6155),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1533),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(562),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_export] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1472),
    [anon_sym_namespace] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1472),
    [anon_sym_let] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_of] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1486),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1570),
    [anon_sym_using] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1500),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_get] = ACTIONS(1472),
    [anon_sym_set] = ACTIONS(1472),
    [anon_sym_declare] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_override] = ACTIONS(1472),
    [anon_sym_module] = ACTIONS(1472),
    [anon_sym_any] = ACTIONS(1472),
    [anon_sym_number] = ACTIONS(1472),
    [anon_sym_boolean] = ACTIONS(1472),
    [anon_sym_string] = ACTIONS(1472),
    [anon_sym_symbol] = ACTIONS(1472),
    [anon_sym_object] = ACTIONS(1472),
    [anon_sym_property] = ACTIONS(1472),
    [anon_sym_signal] = ACTIONS(1472),
    [anon_sym_on] = ACTIONS(1472),
    [anon_sym_required] = ACTIONS(1472),
    [anon_sym_component] = ACTIONS(1472),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2304),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2305),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1920),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2307),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2313),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1921),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2316),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2319),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2321),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2322),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2324),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2329),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2330),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1922),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2332),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1923),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1925),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_expression] = STATE(1926),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6289),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6289),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6265),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3302),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6289),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1405),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(600),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_type] = ACTIONS(940),
    [anon_sym_namespace] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(940),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_of] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_void] = ACTIONS(719),
    [anon_sym_delete] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(723),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_readonly] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [anon_sym_declare] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_override] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_any] = ACTIONS(940),
    [anon_sym_number] = ACTIONS(940),
    [anon_sym_boolean] = ACTIONS(940),
    [anon_sym_string] = ACTIONS(940),
    [anon_sym_symbol] = ACTIONS(940),
    [anon_sym_object] = ACTIONS(940),
    [anon_sym_property] = ACTIONS(940),
    [anon_sym_signal] = ACTIONS(940),
    [anon_sym_on] = ACTIONS(940),
    [anon_sym_required] = ACTIONS(940),
    [anon_sym_component] = ACTIONS(940),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2336),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2337),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2158),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2339),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(2233),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1567),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6419),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6419),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1567),
    [sym_subscript_expression] = STATE(1567),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6419),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1567),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_export] = ACTIONS(2335),
    [anon_sym_type] = ACTIONS(2335),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2335),
    [anon_sym_let] = ACTIONS(2335),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2341),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2343),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2335),
    [anon_sym_readonly] = ACTIONS(2335),
    [anon_sym_get] = ACTIONS(2335),
    [anon_sym_set] = ACTIONS(2335),
    [anon_sym_declare] = ACTIONS(2335),
    [anon_sym_public] = ACTIONS(2335),
    [anon_sym_private] = ACTIONS(2335),
    [anon_sym_protected] = ACTIONS(2335),
    [anon_sym_override] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(2335),
    [anon_sym_any] = ACTIONS(2335),
    [anon_sym_number] = ACTIONS(2335),
    [anon_sym_boolean] = ACTIONS(2335),
    [anon_sym_string] = ACTIONS(2335),
    [anon_sym_symbol] = ACTIONS(2335),
    [anon_sym_object] = ACTIONS(2335),
    [anon_sym_property] = ACTIONS(2335),
    [anon_sym_signal] = ACTIONS(2335),
    [anon_sym_on] = ACTIONS(2335),
    [anon_sym_required] = ACTIONS(2335),
    [anon_sym_component] = ACTIONS(2335),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_expression] = STATE(2853),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6471),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6471),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6153),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1537),
    [sym_subscript_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3331),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6471),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1537),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_typeof] = ACTIONS(1458),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1448),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_using] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_void] = ACTIONS(1458),
    [anon_sym_delete] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1462),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_readonly] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_declare] = ACTIONS(1434),
    [anon_sym_public] = ACTIONS(1434),
    [anon_sym_private] = ACTIONS(1434),
    [anon_sym_protected] = ACTIONS(1434),
    [anon_sym_override] = ACTIONS(1434),
    [anon_sym_module] = ACTIONS(1434),
    [anon_sym_any] = ACTIONS(1434),
    [anon_sym_number] = ACTIONS(1434),
    [anon_sym_boolean] = ACTIONS(1434),
    [anon_sym_string] = ACTIONS(1434),
    [anon_sym_symbol] = ACTIONS(1434),
    [anon_sym_object] = ACTIONS(1434),
    [anon_sym_property] = ACTIONS(1434),
    [anon_sym_signal] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_required] = ACTIONS(1434),
    [anon_sym_component] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_expression] = STATE(2363),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6408),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6408),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6406),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1501),
    [sym_subscript_expression] = STATE(1501),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3303),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6408),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1501),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(650),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_export] = ACTIONS(1350),
    [anon_sym_type] = ACTIONS(1350),
    [anon_sym_namespace] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_typeof] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(1358),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1362),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(1554),
    [anon_sym_using] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_void] = ACTIONS(1372),
    [anon_sym_delete] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(1376),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_readonly] = ACTIONS(1350),
    [anon_sym_get] = ACTIONS(1350),
    [anon_sym_set] = ACTIONS(1350),
    [anon_sym_declare] = ACTIONS(1350),
    [anon_sym_public] = ACTIONS(1350),
    [anon_sym_private] = ACTIONS(1350),
    [anon_sym_protected] = ACTIONS(1350),
    [anon_sym_override] = ACTIONS(1350),
    [anon_sym_module] = ACTIONS(1350),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_property] = ACTIONS(1350),
    [anon_sym_signal] = ACTIONS(1350),
    [anon_sym_on] = ACTIONS(1350),
    [anon_sym_required] = ACTIONS(1350),
    [anon_sym_component] = ACTIONS(1350),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4052),
    [sym_parenthesized_expression] = STATE(1574),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(1732),
    [sym_yield_expression] = STATE(1897),
    [sym_object] = STATE(2000),
    [sym_object_pattern] = STATE(6269),
    [sym_array] = STATE(2000),
    [sym_array_pattern] = STATE(6269),
    [sym_class] = STATE(2000),
    [sym_function_expression] = STATE(2000),
    [sym_generator_function] = STATE(2000),
    [sym_arrow_function] = STATE(2000),
    [sym__call_signature] = STATE(6290),
    [sym_call_expression] = STATE(2000),
    [sym_new_expression] = STATE(1873),
    [sym_await_expression] = STATE(1897),
    [sym_member_expression] = STATE(1574),
    [sym_subscript_expression] = STATE(1574),
    [sym_assignment_expression] = STATE(1897),
    [sym__augmented_assignment_lhs] = STATE(3278),
    [sym_augmented_assignment_expression] = STATE(1897),
    [sym__destructuring_pattern] = STATE(6269),
    [sym_ternary_expression] = STATE(1897),
    [sym_binary_expression] = STATE(1897),
    [sym_unary_expression] = STATE(1897),
    [sym_update_expression] = STATE(1897),
    [sym_string] = STATE(2000),
    [sym_template_string] = STATE(2000),
    [sym_regex] = STATE(2000),
    [sym_meta_property] = STATE(2000),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1574),
    [sym_type_assertion] = STATE(1897),
    [sym_as_expression] = STATE(1897),
    [sym_satisfies_expression] = STATE(1897),
    [sym_instantiation_expression] = STATE(1897),
    [sym_internal_module] = STATE(1897),
    [sym_type_arguments] = STATE(582),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4892),
    [sym_identifier] = ACTIONS(2345),
    [anon_sym_export] = ACTIONS(2347),
    [anon_sym_type] = ACTIONS(2347),
    [anon_sym_namespace] = ACTIONS(2349),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(86),
    [anon_sym_import] = ACTIONS(38),
    [anon_sym_from] = ACTIONS(2347),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_BANG] = ACTIONS(82),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_of] = ACTIONS(2347),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(2353),
    [anon_sym_using] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(82),
    [anon_sym_void] = ACTIONS(86),
    [anon_sym_delete] = ACTIONS(86),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(820),
    [sym_private_property_identifier] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(103),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [sym_null] = ACTIONS(103),
    [sym_undefined] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2347),
    [anon_sym_readonly] = ACTIONS(2347),
    [anon_sym_get] = ACTIONS(2347),
    [anon_sym_set] = ACTIONS(2347),
    [anon_sym_declare] = ACTIONS(2347),
    [anon_sym_public] = ACTIONS(2347),
    [anon_sym_private] = ACTIONS(2347),
    [anon_sym_protected] = ACTIONS(2347),
    [anon_sym_override] = ACTIONS(2347),
    [anon_sym_module] = ACTIONS(2347),
    [anon_sym_any] = ACTIONS(2347),
    [anon_sym_number] = ACTIONS(2347),
    [anon_sym_boolean] = ACTIONS(2347),
    [anon_sym_string] = ACTIONS(2347),
    [anon_sym_symbol] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2347),
    [anon_sym_property] = ACTIONS(2347),
    [anon_sym_signal] = ACTIONS(2347),
    [anon_sym_on] = ACTIONS(2347),
    [anon_sym_required] = ACTIONS(2347),
    [anon_sym_component] = ACTIONS(2347),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4043),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2124),
    [sym_primary_expression] = STATE(2132),
    [sym_yield_expression] = STATE(2458),
    [sym_object] = STATE(2443),
    [sym_object_pattern] = STATE(6217),
    [sym_array] = STATE(2443),
    [sym_array_pattern] = STATE(6217),
    [sym_class] = STATE(2443),
    [sym_function_expression] = STATE(2443),
    [sym_generator_function] = STATE(2443),
    [sym_arrow_function] = STATE(2443),
    [sym__call_signature] = STATE(6417),
    [sym_call_expression] = STATE(2443),
    [sym_new_expression] = STATE(2258),
    [sym_await_expression] = STATE(2458),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(2458),
    [sym__augmented_assignment_lhs] = STATE(3308),
    [sym_augmented_assignment_expression] = STATE(2458),
    [sym__destructuring_pattern] = STATE(6217),
    [sym_ternary_expression] = STATE(2458),
    [sym_binary_expression] = STATE(2458),
    [sym_unary_expression] = STATE(2458),
    [sym_update_expression] = STATE(2458),
    [sym_string] = STATE(2443),
    [sym_template_string] = STATE(2443),
    [sym_regex] = STATE(2443),
    [sym_meta_property] = STATE(2443),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(4149),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(2458),
    [sym_as_expression] = STATE(2458),
    [sym_satisfies_expression] = STATE(2458),
    [sym_instantiation_expression] = STATE(2458),
    [sym_internal_module] = STATE(2458),
    [sym_type_arguments] = STATE(432),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_export_statement_repeat1] = STATE(4811),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_type] = ACTIONS(1280),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_typeof] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_await] = ACTIONS(179),
    [anon_sym_of] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_function] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(167),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_delete] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [sym_number] = ACTIONS(373),
    [sym_private_property_identifier] = ACTIONS(375),
    [sym_this] = ACTIONS(229),
    [sym_super] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_undefined] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_declare] = ACTIONS(1280),
    [anon_sym_public] = ACTIONS(1280),
    [anon_sym_private] = ACTIONS(1280),
    [anon_sym_protected] = ACTIONS(1280),
    [anon_sym_override] = ACTIONS(1280),
    [anon_sym_module] = ACTIONS(1280),
    [anon_sym_any] = ACTIONS(1280),
    [anon_sym_number] = ACTIONS(1280),
    [anon_sym_boolean] = ACTIONS(1280),
    [anon_sym_string] = ACTIONS(1280),
    [anon_sym_symbol] = ACTIONS(1280),
    [anon_sym_object] = ACTIONS(1280),
    [anon_sym_property] = ACTIONS(1280),
    [anon_sym_signal] = ACTIONS(1280),
    [anon_sym_on] = ACTIONS(1280),
    [anon_sym_required] = ACTIONS(1280),
    [anon_sym_component] = ACTIONS(1280),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym__call_signature] = STATE(6125),
    [sym_string] = STATE(4145),
    [sym_formal_parameters] = STATE(4149),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2357),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2359),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_readonly] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2359),
    [anon_sym_public] = ACTIONS(2359),
    [anon_sym_private] = ACTIONS(2359),
    [anon_sym_protected] = ACTIONS(2359),
    [anon_sym_override] = ACTIONS(2359),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_any] = ACTIONS(2359),
    [anon_sym_number] = ACTIONS(2359),
    [anon_sym_boolean] = ACTIONS(2359),
    [anon_sym_string] = ACTIONS(2359),
    [anon_sym_symbol] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(2359),
    [anon_sym_property] = ACTIONS(2359),
    [anon_sym_signal] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_required] = ACTIONS(2359),
    [anon_sym_component] = ACTIONS(2359),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym__call_signature] = STATE(6125),
    [sym_string] = STATE(4145),
    [sym_formal_parameters] = STATE(4149),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2357),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2359),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_readonly] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2359),
    [anon_sym_public] = ACTIONS(2359),
    [anon_sym_private] = ACTIONS(2359),
    [anon_sym_protected] = ACTIONS(2359),
    [anon_sym_override] = ACTIONS(2359),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_any] = ACTIONS(2359),
    [anon_sym_number] = ACTIONS(2359),
    [anon_sym_boolean] = ACTIONS(2359),
    [anon_sym_string] = ACTIONS(2359),
    [anon_sym_symbol] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(2359),
    [anon_sym_property] = ACTIONS(2359),
    [anon_sym_signal] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_required] = ACTIONS(2359),
    [anon_sym_component] = ACTIONS(2359),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym__call_signature] = STATE(6125),
    [sym_string] = STATE(4145),
    [sym_formal_parameters] = STATE(4149),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2357),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2359),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_readonly] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2359),
    [anon_sym_public] = ACTIONS(2359),
    [anon_sym_private] = ACTIONS(2359),
    [anon_sym_protected] = ACTIONS(2359),
    [anon_sym_override] = ACTIONS(2359),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_any] = ACTIONS(2359),
    [anon_sym_number] = ACTIONS(2359),
    [anon_sym_boolean] = ACTIONS(2359),
    [anon_sym_string] = ACTIONS(2359),
    [anon_sym_symbol] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(2359),
    [anon_sym_property] = ACTIONS(2359),
    [anon_sym_signal] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_required] = ACTIONS(2359),
    [anon_sym_component] = ACTIONS(2359),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym__call_signature] = STATE(6125),
    [sym_string] = STATE(4145),
    [sym_formal_parameters] = STATE(4149),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_type_parameters] = STATE(5723),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2357),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2359),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2359),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2373),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_readonly] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2379),
    [anon_sym_set] = ACTIONS(2379),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2359),
    [anon_sym_public] = ACTIONS(2359),
    [anon_sym_private] = ACTIONS(2359),
    [anon_sym_protected] = ACTIONS(2359),
    [anon_sym_override] = ACTIONS(2359),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_any] = ACTIONS(2359),
    [anon_sym_number] = ACTIONS(2359),
    [anon_sym_boolean] = ACTIONS(2359),
    [anon_sym_string] = ACTIONS(2359),
    [anon_sym_symbol] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(2359),
    [anon_sym_property] = ACTIONS(2359),
    [anon_sym_signal] = ACTIONS(2359),
    [anon_sym_on] = ACTIONS(2359),
    [anon_sym_required] = ACTIONS(2359),
    [anon_sym_component] = ACTIONS(2359),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_override_modifier] = STATE(2834),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2395),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_override_modifier] = STATE(2834),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2395),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_override_modifier] = STATE(2834),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2395),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [sym_override_modifier] = STATE(2834),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2395),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2381),
    [anon_sym_set] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2381),
    [anon_sym_set] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2381),
    [anon_sym_set] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2381),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2381),
    [anon_sym_set] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_string] = STATE(4145),
    [sym__property_name] = STATE(4145),
    [sym_computed_property_name] = STATE(4145),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2381),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_type] = ACTIONS(2381),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2381),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2381),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2381),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2377),
    [sym_private_property_identifier] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_readonly] = ACTIONS(2381),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_override] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_property] = ACTIONS(2381),
    [anon_sym_signal] = ACTIONS(2381),
    [anon_sym_on] = ACTIONS(2381),
    [anon_sym_required] = ACTIONS(2381),
    [anon_sym_component] = ACTIONS(2381),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2435),
    [anon_sym_export] = ACTIONS(2435),
    [anon_sym_default] = ACTIONS(2435),
    [anon_sym_type] = ACTIONS(2435),
    [anon_sym_EQ] = ACTIONS(2435),
    [anon_sym_namespace] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_COMMA] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(2437),
    [anon_sym_typeof] = ACTIONS(2435),
    [anon_sym_import] = ACTIONS(2435),
    [anon_sym_from] = ACTIONS(2435),
    [anon_sym_with] = ACTIONS(2435),
    [anon_sym_var] = ACTIONS(2435),
    [anon_sym_let] = ACTIONS(2435),
    [anon_sym_const] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2437),
    [anon_sym_else] = ACTIONS(2435),
    [anon_sym_if] = ACTIONS(2435),
    [anon_sym_switch] = ACTIONS(2435),
    [anon_sym_for] = ACTIONS(2435),
    [anon_sym_LPAREN] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2437),
    [anon_sym_RPAREN] = ACTIONS(2437),
    [anon_sym_await] = ACTIONS(2435),
    [anon_sym_of] = ACTIONS(2435),
    [anon_sym_while] = ACTIONS(2435),
    [anon_sym_do] = ACTIONS(2435),
    [anon_sym_try] = ACTIONS(2435),
    [anon_sym_break] = ACTIONS(2435),
    [anon_sym_continue] = ACTIONS(2435),
    [anon_sym_debugger] = ACTIONS(2435),
    [anon_sym_return] = ACTIONS(2435),
    [anon_sym_throw] = ACTIONS(2435),
    [anon_sym_COLON] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2435),
    [anon_sym_yield] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2437),
    [anon_sym_RBRACK] = ACTIONS(2437),
    [anon_sym_class] = ACTIONS(2435),
    [anon_sym_async] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2435),
    [anon_sym_EQ_GT] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_using] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(2437),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_SLASH] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_GT] = ACTIONS(2437),
    [anon_sym_TILDE] = ACTIONS(2437),
    [anon_sym_void] = ACTIONS(2435),
    [anon_sym_delete] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2437),
    [anon_sym_DASH_DASH] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_SQUOTE] = ACTIONS(2437),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2437),
    [sym_number] = ACTIONS(2437),
    [sym_private_property_identifier] = ACTIONS(2437),
    [sym_this] = ACTIONS(2435),
    [sym_super] = ACTIONS(2435),
    [sym_true] = ACTIONS(2435),
    [sym_false] = ACTIONS(2435),
    [sym_null] = ACTIONS(2435),
    [sym_undefined] = ACTIONS(2435),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_static] = ACTIONS(2435),
    [anon_sym_readonly] = ACTIONS(2435),
    [anon_sym_get] = ACTIONS(2435),
    [anon_sym_set] = ACTIONS(2435),
    [anon_sym_QMARK] = ACTIONS(2437),
    [anon_sym_declare] = ACTIONS(2435),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2435),
    [anon_sym_module] = ACTIONS(2435),
    [anon_sym_any] = ACTIONS(2435),
    [anon_sym_number] = ACTIONS(2435),
    [anon_sym_boolean] = ACTIONS(2435),
    [anon_sym_string] = ACTIONS(2435),
    [anon_sym_symbol] = ACTIONS(2435),
    [anon_sym_object] = ACTIONS(2435),
    [anon_sym_property] = ACTIONS(2435),
    [anon_sym_signal] = ACTIONS(2435),
    [anon_sym_on] = ACTIONS(2435),
    [anon_sym_required] = ACTIONS(2435),
    [anon_sym_component] = ACTIONS(2435),
    [anon_sym_abstract] = ACTIONS(2435),
    [anon_sym_extends] = ACTIONS(2435),
    [anon_sym_interface] = ACTIONS(2435),
    [anon_sym_enum] = ACTIONS(2435),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_default] = ACTIONS(2439),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(2439),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_from] = ACTIONS(2439),
    [anon_sym_with] = ACTIONS(2439),
    [anon_sym_var] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_const] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_switch] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_RPAREN] = ACTIONS(2441),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_of] = ACTIONS(2439),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_do] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_break] = ACTIONS(2439),
    [anon_sym_continue] = ACTIONS(2439),
    [anon_sym_debugger] = ACTIONS(2439),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2439),
    [anon_sym_COLON] = ACTIONS(2441),
    [anon_sym_case] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2441),
    [anon_sym_RBRACK] = ACTIONS(2441),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_using] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(2441),
    [anon_sym_PIPE] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_SLASH] = ACTIONS(2439),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2441),
    [anon_sym_DASH_DASH] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_SQUOTE] = ACTIONS(2441),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2441),
    [sym_number] = ACTIONS(2441),
    [sym_private_property_identifier] = ACTIONS(2441),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_property] = ACTIONS(2439),
    [anon_sym_signal] = ACTIONS(2439),
    [anon_sym_on] = ACTIONS(2439),
    [anon_sym_required] = ACTIONS(2439),
    [anon_sym_component] = ACTIONS(2439),
    [anon_sym_abstract] = ACTIONS(2439),
    [anon_sym_extends] = ACTIONS(2439),
    [anon_sym_interface] = ACTIONS(2439),
    [anon_sym_enum] = ACTIONS(2439),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2063),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2063),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2063),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2063),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [anon_sym_property] = ACTIONS(2063),
    [anon_sym_signal] = ACTIONS(2063),
    [anon_sym_on] = ACTIONS(2063),
    [anon_sym_required] = ACTIONS(2063),
    [anon_sym_component] = ACTIONS(2063),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_from] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_number] = ACTIONS(2059),
    [sym_private_property_identifier] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(2057),
    [anon_sym_property] = ACTIONS(2057),
    [anon_sym_signal] = ACTIONS(2057),
    [anon_sym_on] = ACTIONS(2057),
    [anon_sym_required] = ACTIONS(2057),
    [anon_sym_component] = ACTIONS(2057),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2443),
    [anon_sym_export] = ACTIONS(2443),
    [anon_sym_default] = ACTIONS(2443),
    [anon_sym_type] = ACTIONS(2443),
    [anon_sym_EQ] = ACTIONS(2443),
    [anon_sym_namespace] = ACTIONS(2443),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_COMMA] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_typeof] = ACTIONS(2443),
    [anon_sym_import] = ACTIONS(2443),
    [anon_sym_from] = ACTIONS(2443),
    [anon_sym_with] = ACTIONS(2443),
    [anon_sym_var] = ACTIONS(2443),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_const] = ACTIONS(2443),
    [anon_sym_BANG] = ACTIONS(2445),
    [anon_sym_else] = ACTIONS(2443),
    [anon_sym_if] = ACTIONS(2443),
    [anon_sym_switch] = ACTIONS(2443),
    [anon_sym_for] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_SEMI] = ACTIONS(2445),
    [anon_sym_RPAREN] = ACTIONS(2445),
    [anon_sym_await] = ACTIONS(2443),
    [anon_sym_of] = ACTIONS(2443),
    [anon_sym_while] = ACTIONS(2443),
    [anon_sym_do] = ACTIONS(2443),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_break] = ACTIONS(2443),
    [anon_sym_continue] = ACTIONS(2443),
    [anon_sym_debugger] = ACTIONS(2443),
    [anon_sym_return] = ACTIONS(2443),
    [anon_sym_throw] = ACTIONS(2443),
    [anon_sym_COLON] = ACTIONS(2445),
    [anon_sym_case] = ACTIONS(2443),
    [anon_sym_yield] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2445),
    [anon_sym_RBRACK] = ACTIONS(2445),
    [anon_sym_class] = ACTIONS(2443),
    [anon_sym_async] = ACTIONS(2443),
    [anon_sym_function] = ACTIONS(2443),
    [anon_sym_EQ_GT] = ACTIONS(2445),
    [anon_sym_new] = ACTIONS(2443),
    [anon_sym_using] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(2445),
    [anon_sym_PIPE] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_SLASH] = ACTIONS(2443),
    [anon_sym_LT] = ACTIONS(2445),
    [anon_sym_GT] = ACTIONS(2445),
    [anon_sym_TILDE] = ACTIONS(2445),
    [anon_sym_void] = ACTIONS(2443),
    [anon_sym_delete] = ACTIONS(2443),
    [anon_sym_PLUS_PLUS] = ACTIONS(2445),
    [anon_sym_DASH_DASH] = ACTIONS(2445),
    [anon_sym_DQUOTE] = ACTIONS(2445),
    [anon_sym_SQUOTE] = ACTIONS(2445),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2445),
    [sym_number] = ACTIONS(2445),
    [sym_private_property_identifier] = ACTIONS(2445),
    [sym_this] = ACTIONS(2443),
    [sym_super] = ACTIONS(2443),
    [sym_true] = ACTIONS(2443),
    [sym_false] = ACTIONS(2443),
    [sym_null] = ACTIONS(2443),
    [sym_undefined] = ACTIONS(2443),
    [anon_sym_AT] = ACTIONS(2445),
    [anon_sym_static] = ACTIONS(2443),
    [anon_sym_readonly] = ACTIONS(2443),
    [anon_sym_get] = ACTIONS(2443),
    [anon_sym_set] = ACTIONS(2443),
    [anon_sym_QMARK] = ACTIONS(2445),
    [anon_sym_declare] = ACTIONS(2443),
    [anon_sym_public] = ACTIONS(2443),
    [anon_sym_private] = ACTIONS(2443),
    [anon_sym_protected] = ACTIONS(2443),
    [anon_sym_override] = ACTIONS(2443),
    [anon_sym_module] = ACTIONS(2443),
    [anon_sym_any] = ACTIONS(2443),
    [anon_sym_number] = ACTIONS(2443),
    [anon_sym_boolean] = ACTIONS(2443),
    [anon_sym_string] = ACTIONS(2443),
    [anon_sym_symbol] = ACTIONS(2443),
    [anon_sym_object] = ACTIONS(2443),
    [anon_sym_property] = ACTIONS(2443),
    [anon_sym_signal] = ACTIONS(2443),
    [anon_sym_on] = ACTIONS(2443),
    [anon_sym_required] = ACTIONS(2443),
    [anon_sym_component] = ACTIONS(2443),
    [anon_sym_abstract] = ACTIONS(2443),
    [anon_sym_extends] = ACTIONS(2443),
    [anon_sym_interface] = ACTIONS(2443),
    [anon_sym_enum] = ACTIONS(2443),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2447),
    [anon_sym_export] = ACTIONS(2447),
    [anon_sym_default] = ACTIONS(2447),
    [anon_sym_type] = ACTIONS(2447),
    [anon_sym_EQ] = ACTIONS(2447),
    [anon_sym_namespace] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_COMMA] = ACTIONS(2449),
    [anon_sym_RBRACE] = ACTIONS(2449),
    [anon_sym_typeof] = ACTIONS(2447),
    [anon_sym_import] = ACTIONS(2447),
    [anon_sym_from] = ACTIONS(2447),
    [anon_sym_with] = ACTIONS(2447),
    [anon_sym_var] = ACTIONS(2447),
    [anon_sym_let] = ACTIONS(2447),
    [anon_sym_const] = ACTIONS(2447),
    [anon_sym_BANG] = ACTIONS(2449),
    [anon_sym_else] = ACTIONS(2447),
    [anon_sym_if] = ACTIONS(2447),
    [anon_sym_switch] = ACTIONS(2447),
    [anon_sym_for] = ACTIONS(2447),
    [anon_sym_LPAREN] = ACTIONS(2449),
    [anon_sym_SEMI] = ACTIONS(2449),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_await] = ACTIONS(2447),
    [anon_sym_of] = ACTIONS(2447),
    [anon_sym_while] = ACTIONS(2447),
    [anon_sym_do] = ACTIONS(2447),
    [anon_sym_try] = ACTIONS(2447),
    [anon_sym_break] = ACTIONS(2447),
    [anon_sym_continue] = ACTIONS(2447),
    [anon_sym_debugger] = ACTIONS(2447),
    [anon_sym_return] = ACTIONS(2447),
    [anon_sym_throw] = ACTIONS(2447),
    [anon_sym_COLON] = ACTIONS(2449),
    [anon_sym_case] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_RBRACK] = ACTIONS(2449),
    [anon_sym_class] = ACTIONS(2447),
    [anon_sym_async] = ACTIONS(2447),
    [anon_sym_function] = ACTIONS(2447),
    [anon_sym_EQ_GT] = ACTIONS(2449),
    [anon_sym_new] = ACTIONS(2447),
    [anon_sym_using] = ACTIONS(2447),
    [anon_sym_AMP] = ACTIONS(2449),
    [anon_sym_PIPE] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_SLASH] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_TILDE] = ACTIONS(2449),
    [anon_sym_void] = ACTIONS(2447),
    [anon_sym_delete] = ACTIONS(2447),
    [anon_sym_PLUS_PLUS] = ACTIONS(2449),
    [anon_sym_DASH_DASH] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2449),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2449),
    [sym_number] = ACTIONS(2449),
    [sym_private_property_identifier] = ACTIONS(2449),
    [sym_this] = ACTIONS(2447),
    [sym_super] = ACTIONS(2447),
    [sym_true] = ACTIONS(2447),
    [sym_false] = ACTIONS(2447),
    [sym_null] = ACTIONS(2447),
    [sym_undefined] = ACTIONS(2447),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2447),
    [anon_sym_readonly] = ACTIONS(2447),
    [anon_sym_get] = ACTIONS(2447),
    [anon_sym_set] = ACTIONS(2447),
    [anon_sym_QMARK] = ACTIONS(2449),
    [anon_sym_declare] = ACTIONS(2447),
    [anon_sym_public] = ACTIONS(2447),
    [anon_sym_private] = ACTIONS(2447),
    [anon_sym_protected] = ACTIONS(2447),
    [anon_sym_override] = ACTIONS(2447),
    [anon_sym_module] = ACTIONS(2447),
    [anon_sym_any] = ACTIONS(2447),
    [anon_sym_number] = ACTIONS(2447),
    [anon_sym_boolean] = ACTIONS(2447),
    [anon_sym_string] = ACTIONS(2447),
    [anon_sym_symbol] = ACTIONS(2447),
    [anon_sym_object] = ACTIONS(2447),
    [anon_sym_property] = ACTIONS(2447),
    [anon_sym_signal] = ACTIONS(2447),
    [anon_sym_on] = ACTIONS(2447),
    [anon_sym_required] = ACTIONS(2447),
    [anon_sym_component] = ACTIONS(2447),
    [anon_sym_abstract] = ACTIONS(2447),
    [anon_sym_extends] = ACTIONS(2447),
    [anon_sym_interface] = ACTIONS(2447),
    [anon_sym_enum] = ACTIONS(2447),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2451),
    [anon_sym_export] = ACTIONS(2451),
    [anon_sym_default] = ACTIONS(2451),
    [anon_sym_type] = ACTIONS(2451),
    [anon_sym_EQ] = ACTIONS(2451),
    [anon_sym_namespace] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_COMMA] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_typeof] = ACTIONS(2451),
    [anon_sym_import] = ACTIONS(2451),
    [anon_sym_from] = ACTIONS(2451),
    [anon_sym_with] = ACTIONS(2451),
    [anon_sym_var] = ACTIONS(2451),
    [anon_sym_let] = ACTIONS(2451),
    [anon_sym_const] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2451),
    [anon_sym_if] = ACTIONS(2451),
    [anon_sym_switch] = ACTIONS(2451),
    [anon_sym_for] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_RPAREN] = ACTIONS(2453),
    [anon_sym_await] = ACTIONS(2451),
    [anon_sym_of] = ACTIONS(2451),
    [anon_sym_while] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2451),
    [anon_sym_try] = ACTIONS(2451),
    [anon_sym_break] = ACTIONS(2451),
    [anon_sym_continue] = ACTIONS(2451),
    [anon_sym_debugger] = ACTIONS(2451),
    [anon_sym_return] = ACTIONS(2451),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_COLON] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2451),
    [anon_sym_yield] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [anon_sym_RBRACK] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2451),
    [anon_sym_async] = ACTIONS(2451),
    [anon_sym_function] = ACTIONS(2451),
    [anon_sym_EQ_GT] = ACTIONS(2453),
    [anon_sym_new] = ACTIONS(2451),
    [anon_sym_using] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(2453),
    [anon_sym_PIPE] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_LT] = ACTIONS(2453),
    [anon_sym_GT] = ACTIONS(2453),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_void] = ACTIONS(2451),
    [anon_sym_delete] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2453),
    [anon_sym_SQUOTE] = ACTIONS(2453),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2453),
    [sym_number] = ACTIONS(2453),
    [sym_private_property_identifier] = ACTIONS(2453),
    [sym_this] = ACTIONS(2451),
    [sym_super] = ACTIONS(2451),
    [sym_true] = ACTIONS(2451),
    [sym_false] = ACTIONS(2451),
    [sym_null] = ACTIONS(2451),
    [sym_undefined] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2451),
    [anon_sym_readonly] = ACTIONS(2451),
    [anon_sym_get] = ACTIONS(2451),
    [anon_sym_set] = ACTIONS(2451),
    [anon_sym_QMARK] = ACTIONS(2453),
    [anon_sym_declare] = ACTIONS(2451),
    [anon_sym_public] = ACTIONS(2451),
    [anon_sym_private] = ACTIONS(2451),
    [anon_sym_protected] = ACTIONS(2451),
    [anon_sym_override] = ACTIONS(2451),
    [anon_sym_module] = ACTIONS(2451),
    [anon_sym_any] = ACTIONS(2451),
    [anon_sym_number] = ACTIONS(2451),
    [anon_sym_boolean] = ACTIONS(2451),
    [anon_sym_string] = ACTIONS(2451),
    [anon_sym_symbol] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2451),
    [anon_sym_property] = ACTIONS(2451),
    [anon_sym_signal] = ACTIONS(2451),
    [anon_sym_on] = ACTIONS(2451),
    [anon_sym_required] = ACTIONS(2451),
    [anon_sym_component] = ACTIONS(2451),
    [anon_sym_abstract] = ACTIONS(2451),
    [anon_sym_extends] = ACTIONS(2451),
    [anon_sym_interface] = ACTIONS(2451),
    [anon_sym_enum] = ACTIONS(2451),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_identifier] = ACTIONS(1850),
    [anon_sym_export] = ACTIONS(1850),
    [anon_sym_default] = ACTIONS(1850),
    [anon_sym_type] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_namespace] = ACTIONS(1850),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1852),
    [anon_sym_RBRACE] = ACTIONS(1852),
    [anon_sym_typeof] = ACTIONS(1850),
    [anon_sym_import] = ACTIONS(1850),
    [anon_sym_from] = ACTIONS(1850),
    [anon_sym_with] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(1850),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_else] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1850),
    [anon_sym_for] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym_RPAREN] = ACTIONS(1852),
    [anon_sym_await] = ACTIONS(1850),
    [anon_sym_of] = ACTIONS(1850),
    [anon_sym_while] = ACTIONS(1850),
    [anon_sym_do] = ACTIONS(1850),
    [anon_sym_try] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1850),
    [anon_sym_continue] = ACTIONS(1850),
    [anon_sym_debugger] = ACTIONS(1850),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_throw] = ACTIONS(1850),
    [anon_sym_COLON] = ACTIONS(1852),
    [anon_sym_case] = ACTIONS(1850),
    [anon_sym_yield] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym_RBRACK] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1850),
    [anon_sym_async] = ACTIONS(1850),
    [anon_sym_function] = ACTIONS(1850),
    [anon_sym_EQ_GT] = ACTIONS(1852),
    [anon_sym_new] = ACTIONS(1850),
    [anon_sym_using] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1852),
    [anon_sym_PIPE] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_void] = ACTIONS(1850),
    [anon_sym_delete] = ACTIONS(1850),
    [anon_sym_PLUS_PLUS] = ACTIONS(1852),
    [anon_sym_DASH_DASH] = ACTIONS(1852),
    [anon_sym_DQUOTE] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1852),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1852),
    [sym_number] = ACTIONS(1852),
    [sym_private_property_identifier] = ACTIONS(1852),
    [sym_this] = ACTIONS(1850),
    [sym_super] = ACTIONS(1850),
    [sym_true] = ACTIONS(1850),
    [sym_false] = ACTIONS(1850),
    [sym_null] = ACTIONS(1850),
    [sym_undefined] = ACTIONS(1850),
    [anon_sym_AT] = ACTIONS(1852),
    [anon_sym_static] = ACTIONS(1850),
    [anon_sym_readonly] = ACTIONS(1850),
    [anon_sym_get] = ACTIONS(1850),
    [anon_sym_set] = ACTIONS(1850),
    [anon_sym_QMARK] = ACTIONS(1852),
    [anon_sym_declare] = ACTIONS(1850),
    [anon_sym_public] = ACTIONS(1850),
    [anon_sym_private] = ACTIONS(1850),
    [anon_sym_protected] = ACTIONS(1850),
    [anon_sym_override] = ACTIONS(1850),
    [anon_sym_module] = ACTIONS(1850),
    [anon_sym_any] = ACTIONS(1850),
    [anon_sym_number] = ACTIONS(1850),
    [anon_sym_boolean] = ACTIONS(1850),
    [anon_sym_string] = ACTIONS(1850),
    [anon_sym_symbol] = ACTIONS(1850),
    [anon_sym_object] = ACTIONS(1850),
    [anon_sym_property] = ACTIONS(1850),
    [anon_sym_signal] = ACTIONS(1850),
    [anon_sym_on] = ACTIONS(1850),
    [anon_sym_required] = ACTIONS(1850),
    [anon_sym_component] = ACTIONS(1850),
    [anon_sym_abstract] = ACTIONS(1850),
    [anon_sym_extends] = ACTIONS(1850),
    [anon_sym_interface] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1850),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_identifier] = ACTIONS(1854),
    [anon_sym_export] = ACTIONS(1854),
    [anon_sym_default] = ACTIONS(1854),
    [anon_sym_type] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [anon_sym_namespace] = ACTIONS(1854),
    [anon_sym_LBRACE] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_RBRACE] = ACTIONS(1856),
    [anon_sym_typeof] = ACTIONS(1854),
    [anon_sym_import] = ACTIONS(1854),
    [anon_sym_from] = ACTIONS(1854),
    [anon_sym_with] = ACTIONS(1854),
    [anon_sym_var] = ACTIONS(1854),
    [anon_sym_let] = ACTIONS(1854),
    [anon_sym_const] = ACTIONS(1854),
    [anon_sym_BANG] = ACTIONS(1856),
    [anon_sym_else] = ACTIONS(1854),
    [anon_sym_if] = ACTIONS(1854),
    [anon_sym_switch] = ACTIONS(1854),
    [anon_sym_for] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1856),
    [anon_sym_RPAREN] = ACTIONS(1856),
    [anon_sym_await] = ACTIONS(1854),
    [anon_sym_of] = ACTIONS(1854),
    [anon_sym_while] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1854),
    [anon_sym_try] = ACTIONS(1854),
    [anon_sym_break] = ACTIONS(1854),
    [anon_sym_continue] = ACTIONS(1854),
    [anon_sym_debugger] = ACTIONS(1854),
    [anon_sym_return] = ACTIONS(1854),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_COLON] = ACTIONS(1856),
    [anon_sym_case] = ACTIONS(1854),
    [anon_sym_yield] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_RBRACK] = ACTIONS(1856),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_async] = ACTIONS(1854),
    [anon_sym_function] = ACTIONS(1854),
    [anon_sym_EQ_GT] = ACTIONS(1856),
    [anon_sym_new] = ACTIONS(1854),
    [anon_sym_using] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1856),
    [anon_sym_TILDE] = ACTIONS(1856),
    [anon_sym_void] = ACTIONS(1854),
    [anon_sym_delete] = ACTIONS(1854),
    [anon_sym_PLUS_PLUS] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1856),
    [anon_sym_DQUOTE] = ACTIONS(1856),
    [anon_sym_SQUOTE] = ACTIONS(1856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1856),
    [sym_number] = ACTIONS(1856),
    [sym_private_property_identifier] = ACTIONS(1856),
    [sym_this] = ACTIONS(1854),
    [sym_super] = ACTIONS(1854),
    [sym_true] = ACTIONS(1854),
    [sym_false] = ACTIONS(1854),
    [sym_null] = ACTIONS(1854),
    [sym_undefined] = ACTIONS(1854),
    [anon_sym_AT] = ACTIONS(1856),
    [anon_sym_static] = ACTIONS(1854),
    [anon_sym_readonly] = ACTIONS(1854),
    [anon_sym_get] = ACTIONS(1854),
    [anon_sym_set] = ACTIONS(1854),
    [anon_sym_QMARK] = ACTIONS(1856),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1854),
    [anon_sym_private] = ACTIONS(1854),
    [anon_sym_protected] = ACTIONS(1854),
    [anon_sym_override] = ACTIONS(1854),
    [anon_sym_module] = ACTIONS(1854),
    [anon_sym_any] = ACTIONS(1854),
    [anon_sym_number] = ACTIONS(1854),
    [anon_sym_boolean] = ACTIONS(1854),
    [anon_sym_string] = ACTIONS(1854),
    [anon_sym_symbol] = ACTIONS(1854),
    [anon_sym_object] = ACTIONS(1854),
    [anon_sym_property] = ACTIONS(1854),
    [anon_sym_signal] = ACTIONS(1854),
    [anon_sym_on] = ACTIONS(1854),
    [anon_sym_required] = ACTIONS(1854),
    [anon_sym_component] = ACTIONS(1854),
    [anon_sym_abstract] = ACTIONS(1854),
    [anon_sym_extends] = ACTIONS(1854),
    [anon_sym_interface] = ACTIONS(1854),
    [anon_sym_enum] = ACTIONS(1854),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_namespace_export] = STATE(5732),
    [sym_export_clause] = STATE(4913),
    [sym_declaration] = STATE(3015),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_class_declaration] = STATE(3042),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(3042),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(3016),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [aux_sym_export_statement_repeat1] = STATE(4690),
    [anon_sym_STAR] = ACTIONS(2461),
    [anon_sym_default] = ACTIONS(2463),
    [anon_sym_type] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2467),
    [anon_sym_as] = ACTIONS(2469),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2483),
    [anon_sym_function] = ACTIONS(2485),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2495),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_RBRACE] = ACTIONS(132),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_RPAREN] = ACTIONS(888),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_namespace_export] = STATE(5710),
    [sym_export_clause] = STATE(4923),
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2515),
    [anon_sym_type] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_initializer] = STATE(2883),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_initializer] = STATE(5799),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2540),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2542),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym__call_signature] = STATE(6125),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_property] = ACTIONS(2529),
    [anon_sym_signal] = ACTIONS(2529),
    [anon_sym_on] = ACTIONS(2529),
    [anon_sym_required] = ACTIONS(2529),
    [anon_sym_component] = ACTIONS(2529),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_ui_object_initializer] = STATE(2883),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym__call_signature] = STATE(6411),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_EQ] = ACTIONS(1024),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_property] = ACTIONS(2546),
    [anon_sym_signal] = ACTIONS(2546),
    [anon_sym_on] = ACTIONS(2546),
    [anon_sym_required] = ACTIONS(2546),
    [anon_sym_component] = ACTIONS(2546),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_module] = ACTIONS(2548),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2550),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym__call_signature] = STATE(6358),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_export] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2554),
    [anon_sym_let] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2554),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_readonly] = ACTIONS(2554),
    [anon_sym_get] = ACTIONS(2554),
    [anon_sym_set] = ACTIONS(2554),
    [anon_sym_declare] = ACTIONS(2554),
    [anon_sym_public] = ACTIONS(2554),
    [anon_sym_private] = ACTIONS(2554),
    [anon_sym_protected] = ACTIONS(2554),
    [anon_sym_override] = ACTIONS(2554),
    [anon_sym_module] = ACTIONS(2554),
    [anon_sym_any] = ACTIONS(2554),
    [anon_sym_number] = ACTIONS(2554),
    [anon_sym_boolean] = ACTIONS(2554),
    [anon_sym_string] = ACTIONS(2554),
    [anon_sym_symbol] = ACTIONS(2554),
    [anon_sym_object] = ACTIONS(2554),
    [anon_sym_property] = ACTIONS(2554),
    [anon_sym_signal] = ACTIONS(2554),
    [anon_sym_on] = ACTIONS(2554),
    [anon_sym_required] = ACTIONS(2554),
    [anon_sym_component] = ACTIONS(2554),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_declaration] = STATE(3073),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_class_declaration] = STATE(3042),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(3042),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(3016),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [aux_sym_export_statement_repeat1] = STATE(4690),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2559),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2483),
    [anon_sym_function] = ACTIONS(2485),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2563),
    [anon_sym_interface] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2495),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym__call_signature] = STATE(6411),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1018),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_property] = ACTIONS(2546),
    [anon_sym_signal] = ACTIONS(2546),
    [anon_sym_on] = ACTIONS(2546),
    [anon_sym_required] = ACTIONS(2546),
    [anon_sym_component] = ACTIONS(2546),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym__call_signature] = STATE(6358),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_export] = ACTIONS(2554),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2554),
    [anon_sym_let] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2554),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_readonly] = ACTIONS(2554),
    [anon_sym_get] = ACTIONS(2554),
    [anon_sym_set] = ACTIONS(2554),
    [anon_sym_declare] = ACTIONS(2554),
    [anon_sym_public] = ACTIONS(2554),
    [anon_sym_private] = ACTIONS(2554),
    [anon_sym_protected] = ACTIONS(2554),
    [anon_sym_override] = ACTIONS(2554),
    [anon_sym_module] = ACTIONS(2554),
    [anon_sym_any] = ACTIONS(2554),
    [anon_sym_number] = ACTIONS(2554),
    [anon_sym_boolean] = ACTIONS(2554),
    [anon_sym_string] = ACTIONS(2554),
    [anon_sym_symbol] = ACTIONS(2554),
    [anon_sym_object] = ACTIONS(2554),
    [anon_sym_property] = ACTIONS(2554),
    [anon_sym_signal] = ACTIONS(2554),
    [anon_sym_on] = ACTIONS(2554),
    [anon_sym_required] = ACTIONS(2554),
    [anon_sym_component] = ACTIONS(2554),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(965),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym__call_signature] = STATE(6178),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2511),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2511),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_from] = ACTIONS(2511),
    [anon_sym_let] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(999),
    [anon_sym_of] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2511),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_readonly] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_declare] = ACTIONS(2511),
    [anon_sym_public] = ACTIONS(2511),
    [anon_sym_private] = ACTIONS(2511),
    [anon_sym_protected] = ACTIONS(2511),
    [anon_sym_override] = ACTIONS(2511),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_any] = ACTIONS(2511),
    [anon_sym_number] = ACTIONS(2511),
    [anon_sym_boolean] = ACTIONS(2511),
    [anon_sym_string] = ACTIONS(2511),
    [anon_sym_symbol] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(2511),
    [anon_sym_property] = ACTIONS(2511),
    [anon_sym_signal] = ACTIONS(2511),
    [anon_sym_on] = ACTIONS(2511),
    [anon_sym_required] = ACTIONS(2511),
    [anon_sym_component] = ACTIONS(2511),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2540),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2575),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym__call_signature] = STATE(6261),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_from] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2542),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_property] = ACTIONS(2573),
    [anon_sym_signal] = ACTIONS(2573),
    [anon_sym_on] = ACTIONS(2573),
    [anon_sym_required] = ACTIONS(2573),
    [anon_sym_component] = ACTIONS(2573),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(965),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_catch_clause] = STATE(791),
    [sym_finally_clause] = STATE(895),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_export] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [anon_sym_type] = ACTIONS(2577),
    [anon_sym_namespace] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2579),
    [anon_sym_typeof] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_from] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_var] = ACTIONS(2577),
    [anon_sym_let] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2579),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2579),
    [anon_sym_await] = ACTIONS(2577),
    [anon_sym_of] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_debugger] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_catch] = ACTIONS(2581),
    [anon_sym_finally] = ACTIONS(2583),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_async] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2579),
    [anon_sym_void] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2579),
    [sym_number] = ACTIONS(2579),
    [sym_private_property_identifier] = ACTIONS(2579),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_undefined] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_readonly] = ACTIONS(2577),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_override] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_any] = ACTIONS(2577),
    [anon_sym_number] = ACTIONS(2577),
    [anon_sym_boolean] = ACTIONS(2577),
    [anon_sym_string] = ACTIONS(2577),
    [anon_sym_symbol] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(2577),
    [anon_sym_property] = ACTIONS(2577),
    [anon_sym_signal] = ACTIONS(2577),
    [anon_sym_on] = ACTIONS(2577),
    [anon_sym_required] = ACTIONS(2577),
    [anon_sym_component] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_declaration] = STATE(4514),
    [sym_variable_declaration] = STATE(4402),
    [sym_lexical_declaration] = STATE(4402),
    [sym_class_declaration] = STATE(4402),
    [sym_function_declaration] = STATE(4402),
    [sym_generator_function_declaration] = STATE(4402),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(4402),
    [sym_ambient_declaration] = STATE(4402),
    [sym_abstract_class_declaration] = STATE(4402),
    [sym_module] = STATE(4402),
    [sym_internal_module] = STATE(4506),
    [sym_import_alias] = STATE(4402),
    [sym_interface_declaration] = STATE(4402),
    [sym_enum_declaration] = STATE(4402),
    [sym_type_alias_declaration] = STATE(4402),
    [aux_sym_export_statement_repeat1] = STATE(4758),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2585),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2587),
    [anon_sym_import] = ACTIONS(2589),
    [anon_sym_var] = ACTIONS(2591),
    [anon_sym_let] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_async] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(2601),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2603),
    [anon_sym_module] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2607),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2609),
    [anon_sym_interface] = ACTIONS(2611),
    [anon_sym_enum] = ACTIONS(2613),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym__call_signature] = STATE(6158),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_export] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_from] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2617),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_readonly] = ACTIONS(2617),
    [anon_sym_get] = ACTIONS(2617),
    [anon_sym_set] = ACTIONS(2617),
    [anon_sym_declare] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_override] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_any] = ACTIONS(2617),
    [anon_sym_number] = ACTIONS(2617),
    [anon_sym_boolean] = ACTIONS(2617),
    [anon_sym_string] = ACTIONS(2617),
    [anon_sym_symbol] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_property] = ACTIONS(2617),
    [anon_sym_signal] = ACTIONS(2617),
    [anon_sym_on] = ACTIONS(2617),
    [anon_sym_required] = ACTIONS(2617),
    [anon_sym_component] = ACTIONS(2617),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2519),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_module] = ACTIONS(2548),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2550),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym__call_signature] = STATE(6158),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2615),
    [anon_sym_export] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_from] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2617),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1048),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_readonly] = ACTIONS(2617),
    [anon_sym_get] = ACTIONS(2617),
    [anon_sym_set] = ACTIONS(2617),
    [anon_sym_declare] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_override] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_any] = ACTIONS(2617),
    [anon_sym_number] = ACTIONS(2617),
    [anon_sym_boolean] = ACTIONS(2617),
    [anon_sym_string] = ACTIONS(2617),
    [anon_sym_symbol] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_property] = ACTIONS(2617),
    [anon_sym_signal] = ACTIONS(2617),
    [anon_sym_on] = ACTIONS(2617),
    [anon_sym_required] = ACTIONS(2617),
    [anon_sym_component] = ACTIONS(2617),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym__call_signature] = STATE(6480),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_from] = ACTIONS(2567),
    [anon_sym_let] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(974),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2567),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2567),
    [anon_sym_readonly] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2567),
    [anon_sym_set] = ACTIONS(2567),
    [anon_sym_declare] = ACTIONS(2567),
    [anon_sym_public] = ACTIONS(2567),
    [anon_sym_private] = ACTIONS(2567),
    [anon_sym_protected] = ACTIONS(2567),
    [anon_sym_override] = ACTIONS(2567),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_any] = ACTIONS(2567),
    [anon_sym_number] = ACTIONS(2567),
    [anon_sym_boolean] = ACTIONS(2567),
    [anon_sym_string] = ACTIONS(2567),
    [anon_sym_symbol] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_property] = ACTIONS(2567),
    [anon_sym_signal] = ACTIONS(2567),
    [anon_sym_on] = ACTIONS(2567),
    [anon_sym_required] = ACTIONS(2567),
    [anon_sym_component] = ACTIONS(2567),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_declaration] = STATE(941),
    [sym_variable_declaration] = STATE(890),
    [sym_lexical_declaration] = STATE(890),
    [sym_class_declaration] = STATE(890),
    [sym_function_declaration] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(890),
    [sym_ambient_declaration] = STATE(890),
    [sym_abstract_class_declaration] = STATE(890),
    [sym_module] = STATE(890),
    [sym_internal_module] = STATE(901),
    [sym_import_alias] = STATE(890),
    [sym_interface_declaration] = STATE(890),
    [sym_enum_declaration] = STATE(890),
    [sym_type_alias_declaration] = STATE(890),
    [aux_sym_export_statement_repeat1] = STATE(4775),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_import] = ACTIONS(2411),
    [anon_sym_var] = ACTIONS(2413),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2419),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2431),
    [anon_sym_enum] = ACTIONS(2433),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_declaration] = STATE(3073),
    [sym_variable_declaration] = STATE(3042),
    [sym_lexical_declaration] = STATE(3042),
    [sym_class_declaration] = STATE(3042),
    [sym_function_declaration] = STATE(3042),
    [sym_generator_function_declaration] = STATE(3042),
    [sym_decorator] = STATE(1234),
    [sym_function_signature] = STATE(3042),
    [sym_ambient_declaration] = STATE(3042),
    [sym_abstract_class_declaration] = STATE(3042),
    [sym_module] = STATE(3042),
    [sym_internal_module] = STATE(3016),
    [sym_import_alias] = STATE(3042),
    [sym_interface_declaration] = STATE(3042),
    [sym_enum_declaration] = STATE(3042),
    [sym_type_alias_declaration] = STATE(3042),
    [aux_sym_export_statement_repeat1] = STATE(4690),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2559),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2483),
    [anon_sym_function] = ACTIONS(2485),
    [anon_sym_EQ_GT] = ACTIONS(1014),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(61),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_satisfies] = ACTIONS(61),
    [anon_sym_global] = ACTIONS(2563),
    [anon_sym_interface] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2495),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1136),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1138),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_catch] = ACTIONS(1808),
    [anon_sym_finally] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1814),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(1818),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_export] = ACTIONS(2000),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(2000),
    [anon_sym_namespace] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_typeof] = ACTIONS(2000),
    [anon_sym_import] = ACTIONS(2000),
    [anon_sym_from] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2000),
    [anon_sym_var] = ACTIONS(2000),
    [anon_sym_let] = ACTIONS(2000),
    [anon_sym_const] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_else] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_switch] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(2000),
    [anon_sym_of] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_debugger] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_case] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_class] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2000),
    [anon_sym_using] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_SLASH] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_void] = ACTIONS(2000),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2002),
    [anon_sym_DASH_DASH] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2002),
    [sym_number] = ACTIONS(2002),
    [sym_private_property_identifier] = ACTIONS(2002),
    [sym_this] = ACTIONS(2000),
    [sym_super] = ACTIONS(2000),
    [sym_true] = ACTIONS(2000),
    [sym_false] = ACTIONS(2000),
    [sym_null] = ACTIONS(2000),
    [sym_undefined] = ACTIONS(2000),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2000),
    [anon_sym_readonly] = ACTIONS(2000),
    [anon_sym_get] = ACTIONS(2000),
    [anon_sym_set] = ACTIONS(2000),
    [anon_sym_declare] = ACTIONS(2000),
    [anon_sym_public] = ACTIONS(2000),
    [anon_sym_private] = ACTIONS(2000),
    [anon_sym_protected] = ACTIONS(2000),
    [anon_sym_override] = ACTIONS(2000),
    [anon_sym_module] = ACTIONS(2000),
    [anon_sym_any] = ACTIONS(2000),
    [anon_sym_number] = ACTIONS(2000),
    [anon_sym_boolean] = ACTIONS(2000),
    [anon_sym_string] = ACTIONS(2000),
    [anon_sym_symbol] = ACTIONS(2000),
    [anon_sym_object] = ACTIONS(2000),
    [anon_sym_property] = ACTIONS(2000),
    [anon_sym_signal] = ACTIONS(2000),
    [anon_sym_on] = ACTIONS(2000),
    [anon_sym_required] = ACTIONS(2000),
    [anon_sym_component] = ACTIONS(2000),
    [anon_sym_abstract] = ACTIONS(2000),
    [anon_sym_interface] = ACTIONS(2000),
    [anon_sym_enum] = ACTIONS(2000),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2002),
    [sym__automatic_semicolon] = ACTIONS(2002),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_namespace] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_typeof] = ACTIONS(2008),
    [anon_sym_import] = ACTIONS(2008),
    [anon_sym_from] = ACTIONS(2008),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_var] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_switch] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_await] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_debugger] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_case] = ACTIONS(2008),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_using] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_void] = ACTIONS(2008),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [anon_sym_DQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2010),
    [sym_number] = ACTIONS(2010),
    [sym_private_property_identifier] = ACTIONS(2010),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(2008),
    [sym_true] = ACTIONS(2008),
    [sym_false] = ACTIONS(2008),
    [sym_null] = ACTIONS(2008),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_readonly] = ACTIONS(2008),
    [anon_sym_get] = ACTIONS(2008),
    [anon_sym_set] = ACTIONS(2008),
    [anon_sym_declare] = ACTIONS(2008),
    [anon_sym_public] = ACTIONS(2008),
    [anon_sym_private] = ACTIONS(2008),
    [anon_sym_protected] = ACTIONS(2008),
    [anon_sym_override] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_any] = ACTIONS(2008),
    [anon_sym_number] = ACTIONS(2008),
    [anon_sym_boolean] = ACTIONS(2008),
    [anon_sym_string] = ACTIONS(2008),
    [anon_sym_symbol] = ACTIONS(2008),
    [anon_sym_object] = ACTIONS(2008),
    [anon_sym_property] = ACTIONS(2008),
    [anon_sym_signal] = ACTIONS(2008),
    [anon_sym_on] = ACTIONS(2008),
    [anon_sym_required] = ACTIONS(2008),
    [anon_sym_component] = ACTIONS(2008),
    [anon_sym_abstract] = ACTIONS(2008),
    [anon_sym_interface] = ACTIONS(2008),
    [anon_sym_enum] = ACTIONS(2008),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2010),
    [sym__automatic_semicolon] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym__call_signature] = STATE(6262),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2619),
    [anon_sym_export] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_from] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_readonly] = ACTIONS(2621),
    [anon_sym_get] = ACTIONS(2621),
    [anon_sym_set] = ACTIONS(2621),
    [anon_sym_declare] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_override] = ACTIONS(2621),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_any] = ACTIONS(2621),
    [anon_sym_number] = ACTIONS(2621),
    [anon_sym_boolean] = ACTIONS(2621),
    [anon_sym_string] = ACTIONS(2621),
    [anon_sym_symbol] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(2621),
    [anon_sym_property] = ACTIONS(2621),
    [anon_sym_signal] = ACTIONS(2621),
    [anon_sym_on] = ACTIONS(2621),
    [anon_sym_required] = ACTIONS(2621),
    [anon_sym_component] = ACTIONS(2621),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym__call_signature] = STATE(6262),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2619),
    [anon_sym_export] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_from] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(1064),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_readonly] = ACTIONS(2621),
    [anon_sym_get] = ACTIONS(2621),
    [anon_sym_set] = ACTIONS(2621),
    [anon_sym_declare] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_override] = ACTIONS(2621),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_any] = ACTIONS(2621),
    [anon_sym_number] = ACTIONS(2621),
    [anon_sym_boolean] = ACTIONS(2621),
    [anon_sym_string] = ACTIONS(2621),
    [anon_sym_symbol] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(2621),
    [anon_sym_property] = ACTIONS(2621),
    [anon_sym_signal] = ACTIONS(2621),
    [anon_sym_on] = ACTIONS(2621),
    [anon_sym_required] = ACTIONS(2621),
    [anon_sym_component] = ACTIONS(2621),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1070),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1052),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_catch] = ACTIONS(1844),
    [anon_sym_finally] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(2626),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(999),
    [anon_sym_of] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym__call_signature] = STATE(6190),
    [sym_formal_parameters] = STATE(4149),
    [sym_type_parameters] = STATE(5723),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(1130),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_from] = ACTIONS(2499),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2504),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_property] = ACTIONS(2499),
    [anon_sym_signal] = ACTIONS(2499),
    [anon_sym_on] = ACTIONS(2499),
    [anon_sym_required] = ACTIONS(2499),
    [anon_sym_component] = ACTIONS(2499),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_catch] = ACTIONS(1844),
    [anon_sym_finally] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_export] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_import] = ACTIONS(1860),
    [anon_sym_from] = ACTIONS(1860),
    [anon_sym_with] = ACTIONS(1860),
    [anon_sym_var] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_const] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1862),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_switch] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1862),
    [anon_sym_SEMI] = ACTIONS(1862),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_debugger] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_throw] = ACTIONS(1860),
    [anon_sym_case] = ACTIONS(1860),
    [anon_sym_catch] = ACTIONS(1860),
    [anon_sym_finally] = ACTIONS(1860),
    [anon_sym_yield] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1862),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_function] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_using] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_TILDE] = ACTIONS(1862),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1862),
    [anon_sym_DASH_DASH] = ACTIONS(1862),
    [anon_sym_DQUOTE] = ACTIONS(1862),
    [anon_sym_SQUOTE] = ACTIONS(1862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1862),
    [sym_number] = ACTIONS(1862),
    [sym_private_property_identifier] = ACTIONS(1862),
    [sym_this] = ACTIONS(1860),
    [sym_super] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1862),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_declare] = ACTIONS(1860),
    [anon_sym_public] = ACTIONS(1860),
    [anon_sym_private] = ACTIONS(1860),
    [anon_sym_protected] = ACTIONS(1860),
    [anon_sym_override] = ACTIONS(1860),
    [anon_sym_module] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_property] = ACTIONS(1860),
    [anon_sym_signal] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [anon_sym_required] = ACTIONS(1860),
    [anon_sym_component] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_interface] = ACTIONS(1860),
    [anon_sym_enum] = ACTIONS(1860),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_statement_block] = STATE(869),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1798),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1798),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_finally_clause] = STATE(909),
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_type] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_import] = ACTIONS(2634),
    [anon_sym_from] = ACTIONS(2634),
    [anon_sym_with] = ACTIONS(2634),
    [anon_sym_var] = ACTIONS(2634),
    [anon_sym_let] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_await] = ACTIONS(2634),
    [anon_sym_of] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_debugger] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_finally] = ACTIONS(2583),
    [anon_sym_yield] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_async] = ACTIONS(2634),
    [anon_sym_function] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_void] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2636),
    [sym_number] = ACTIONS(2636),
    [sym_private_property_identifier] = ACTIONS(2636),
    [sym_this] = ACTIONS(2634),
    [sym_super] = ACTIONS(2634),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [sym_null] = ACTIONS(2634),
    [sym_undefined] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_readonly] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_declare] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_module] = ACTIONS(2634),
    [anon_sym_any] = ACTIONS(2634),
    [anon_sym_number] = ACTIONS(2634),
    [anon_sym_boolean] = ACTIONS(2634),
    [anon_sym_string] = ACTIONS(2634),
    [anon_sym_symbol] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_property] = ACTIONS(2634),
    [anon_sym_signal] = ACTIONS(2634),
    [anon_sym_on] = ACTIONS(2634),
    [anon_sym_required] = ACTIONS(2634),
    [anon_sym_component] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_interface] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_statement_block] = STATE(869),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1798),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1798),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_export] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_type] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2640),
    [anon_sym_import] = ACTIONS(2640),
    [anon_sym_from] = ACTIONS(2640),
    [anon_sym_with] = ACTIONS(2640),
    [anon_sym_var] = ACTIONS(2640),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym_await] = ACTIONS(2640),
    [anon_sym_of] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_debugger] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_finally] = ACTIONS(2640),
    [anon_sym_yield] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_async] = ACTIONS(2640),
    [anon_sym_function] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_void] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2642),
    [sym_number] = ACTIONS(2642),
    [sym_private_property_identifier] = ACTIONS(2642),
    [sym_this] = ACTIONS(2640),
    [sym_super] = ACTIONS(2640),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [sym_null] = ACTIONS(2640),
    [sym_undefined] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_readonly] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2640),
    [anon_sym_set] = ACTIONS(2640),
    [anon_sym_declare] = ACTIONS(2640),
    [anon_sym_public] = ACTIONS(2640),
    [anon_sym_private] = ACTIONS(2640),
    [anon_sym_protected] = ACTIONS(2640),
    [anon_sym_override] = ACTIONS(2640),
    [anon_sym_module] = ACTIONS(2640),
    [anon_sym_any] = ACTIONS(2640),
    [anon_sym_number] = ACTIONS(2640),
    [anon_sym_boolean] = ACTIONS(2640),
    [anon_sym_string] = ACTIONS(2640),
    [anon_sym_symbol] = ACTIONS(2640),
    [anon_sym_object] = ACTIONS(2640),
    [anon_sym_property] = ACTIONS(2640),
    [anon_sym_signal] = ACTIONS(2640),
    [anon_sym_on] = ACTIONS(2640),
    [anon_sym_required] = ACTIONS(2640),
    [anon_sym_component] = ACTIONS(2640),
    [anon_sym_abstract] = ACTIONS(2640),
    [anon_sym_interface] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_statement_block] = STATE(869),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1798),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_using] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1798),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [sym_number] = ACTIONS(1798),
    [sym_private_property_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_abstract] = ACTIONS(1794),
    [anon_sym_interface] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2644),
    [anon_sym_export] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_type] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2644),
    [anon_sym_import] = ACTIONS(2644),
    [anon_sym_from] = ACTIONS(2644),
    [anon_sym_with] = ACTIONS(2644),
    [anon_sym_var] = ACTIONS(2644),
    [anon_sym_let] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_else] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym_await] = ACTIONS(2644),
    [anon_sym_of] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_debugger] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_yield] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_void] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2646),
    [sym_number] = ACTIONS(2646),
    [sym_private_property_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(2644),
    [sym_super] = ACTIONS(2644),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [sym_null] = ACTIONS(2644),
    [sym_undefined] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_readonly] = ACTIONS(2644),
    [anon_sym_get] = ACTIONS(2644),
    [anon_sym_set] = ACTIONS(2644),
    [anon_sym_declare] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_override] = ACTIONS(2644),
    [anon_sym_module] = ACTIONS(2644),
    [anon_sym_any] = ACTIONS(2644),
    [anon_sym_number] = ACTIONS(2644),
    [anon_sym_boolean] = ACTIONS(2644),
    [anon_sym_string] = ACTIONS(2644),
    [anon_sym_symbol] = ACTIONS(2644),
    [anon_sym_object] = ACTIONS(2644),
    [anon_sym_property] = ACTIONS(2644),
    [anon_sym_signal] = ACTIONS(2644),
    [anon_sym_on] = ACTIONS(2644),
    [anon_sym_required] = ACTIONS(2644),
    [anon_sym_component] = ACTIONS(2644),
    [anon_sym_abstract] = ACTIONS(2644),
    [anon_sym_interface] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [sym__automatic_semicolon] = ACTIONS(2646),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_default] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_from] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_const] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_of] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_debugger] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_case] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_TILDE] = ACTIONS(1994),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_delete] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_DQUOTE] = ACTIONS(1994),
    [anon_sym_SQUOTE] = ACTIONS(1994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1994),
    [sym_number] = ACTIONS(1994),
    [sym_private_property_identifier] = ACTIONS(1994),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_property] = ACTIONS(1990),
    [anon_sym_signal] = ACTIONS(1990),
    [anon_sym_on] = ACTIONS(1990),
    [anon_sym_required] = ACTIONS(1990),
    [anon_sym_component] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_interface] = ACTIONS(1990),
    [anon_sym_enum] = ACTIONS(1990),
    [sym__automatic_semicolon] = ACTIONS(1998),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2648),
    [anon_sym_export] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_type] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2648),
    [anon_sym_import] = ACTIONS(2648),
    [anon_sym_from] = ACTIONS(2648),
    [anon_sym_with] = ACTIONS(2648),
    [anon_sym_var] = ACTIONS(2648),
    [anon_sym_let] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_RPAREN] = ACTIONS(2650),
    [anon_sym_await] = ACTIONS(2648),
    [anon_sym_of] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_debugger] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_yield] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_async] = ACTIONS(2648),
    [anon_sym_function] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_SLASH] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_void] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_number] = ACTIONS(2650),
    [sym_private_property_identifier] = ACTIONS(2650),
    [sym_this] = ACTIONS(2648),
    [sym_super] = ACTIONS(2648),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [sym_null] = ACTIONS(2648),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_readonly] = ACTIONS(2648),
    [anon_sym_get] = ACTIONS(2648),
    [anon_sym_set] = ACTIONS(2648),
    [anon_sym_declare] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_override] = ACTIONS(2648),
    [anon_sym_module] = ACTIONS(2648),
    [anon_sym_any] = ACTIONS(2648),
    [anon_sym_number] = ACTIONS(2648),
    [anon_sym_boolean] = ACTIONS(2648),
    [anon_sym_string] = ACTIONS(2648),
    [anon_sym_symbol] = ACTIONS(2648),
    [anon_sym_object] = ACTIONS(2648),
    [anon_sym_property] = ACTIONS(2648),
    [anon_sym_signal] = ACTIONS(2648),
    [anon_sym_on] = ACTIONS(2648),
    [anon_sym_required] = ACTIONS(2648),
    [anon_sym_component] = ACTIONS(2648),
    [anon_sym_abstract] = ACTIONS(2648),
    [anon_sym_interface] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_from] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_of] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2654),
    [sym_number] = ACTIONS(2654),
    [sym_private_property_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_object] = ACTIONS(2652),
    [anon_sym_property] = ACTIONS(2652),
    [anon_sym_signal] = ACTIONS(2652),
    [anon_sym_on] = ACTIONS(2652),
    [anon_sym_required] = ACTIONS(2652),
    [anon_sym_component] = ACTIONS(2652),
    [anon_sym_abstract] = ACTIONS(2652),
    [anon_sym_interface] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [sym__automatic_semicolon] = ACTIONS(2654),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_type] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2656),
    [anon_sym_from] = ACTIONS(2656),
    [anon_sym_with] = ACTIONS(2656),
    [anon_sym_var] = ACTIONS(2656),
    [anon_sym_let] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_await] = ACTIONS(2656),
    [anon_sym_of] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_debugger] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_function] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2658),
    [sym_number] = ACTIONS(2658),
    [sym_private_property_identifier] = ACTIONS(2658),
    [sym_this] = ACTIONS(2656),
    [sym_super] = ACTIONS(2656),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [sym_null] = ACTIONS(2656),
    [sym_undefined] = ACTIONS(2656),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_readonly] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2656),
    [anon_sym_set] = ACTIONS(2656),
    [anon_sym_declare] = ACTIONS(2656),
    [anon_sym_public] = ACTIONS(2656),
    [anon_sym_private] = ACTIONS(2656),
    [anon_sym_protected] = ACTIONS(2656),
    [anon_sym_override] = ACTIONS(2656),
    [anon_sym_module] = ACTIONS(2656),
    [anon_sym_any] = ACTIONS(2656),
    [anon_sym_number] = ACTIONS(2656),
    [anon_sym_boolean] = ACTIONS(2656),
    [anon_sym_string] = ACTIONS(2656),
    [anon_sym_symbol] = ACTIONS(2656),
    [anon_sym_object] = ACTIONS(2656),
    [anon_sym_property] = ACTIONS(2656),
    [anon_sym_signal] = ACTIONS(2656),
    [anon_sym_on] = ACTIONS(2656),
    [anon_sym_required] = ACTIONS(2656),
    [anon_sym_component] = ACTIONS(2656),
    [anon_sym_abstract] = ACTIONS(2656),
    [anon_sym_interface] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [sym__automatic_semicolon] = ACTIONS(2660),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1814),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1884),
    [anon_sym_default] = ACTIONS(1884),
    [anon_sym_type] = ACTIONS(1884),
    [anon_sym_namespace] = ACTIONS(1884),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_typeof] = ACTIONS(1884),
    [anon_sym_import] = ACTIONS(1884),
    [anon_sym_from] = ACTIONS(1884),
    [anon_sym_with] = ACTIONS(1884),
    [anon_sym_var] = ACTIONS(1884),
    [anon_sym_let] = ACTIONS(1884),
    [anon_sym_const] = ACTIONS(1884),
    [anon_sym_BANG] = ACTIONS(1888),
    [anon_sym_else] = ACTIONS(1884),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_switch] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_await] = ACTIONS(1884),
    [anon_sym_of] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1884),
    [anon_sym_do] = ACTIONS(1884),
    [anon_sym_try] = ACTIONS(1884),
    [anon_sym_break] = ACTIONS(1884),
    [anon_sym_continue] = ACTIONS(1884),
    [anon_sym_debugger] = ACTIONS(1884),
    [anon_sym_return] = ACTIONS(1884),
    [anon_sym_throw] = ACTIONS(1884),
    [anon_sym_case] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_class] = ACTIONS(1884),
    [anon_sym_async] = ACTIONS(1884),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_new] = ACTIONS(1884),
    [anon_sym_using] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_TILDE] = ACTIONS(1888),
    [anon_sym_void] = ACTIONS(1884),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_DQUOTE] = ACTIONS(1888),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1888),
    [sym_number] = ACTIONS(1888),
    [sym_private_property_identifier] = ACTIONS(1888),
    [sym_this] = ACTIONS(1884),
    [sym_super] = ACTIONS(1884),
    [sym_true] = ACTIONS(1884),
    [sym_false] = ACTIONS(1884),
    [sym_null] = ACTIONS(1884),
    [sym_undefined] = ACTIONS(1884),
    [anon_sym_AT] = ACTIONS(1888),
    [anon_sym_static] = ACTIONS(1884),
    [anon_sym_readonly] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1884),
    [anon_sym_set] = ACTIONS(1884),
    [anon_sym_declare] = ACTIONS(1884),
    [anon_sym_public] = ACTIONS(1884),
    [anon_sym_private] = ACTIONS(1884),
    [anon_sym_protected] = ACTIONS(1884),
    [anon_sym_override] = ACTIONS(1884),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1884),
    [anon_sym_number] = ACTIONS(1884),
    [anon_sym_boolean] = ACTIONS(1884),
    [anon_sym_string] = ACTIONS(1884),
    [anon_sym_symbol] = ACTIONS(1884),
    [anon_sym_object] = ACTIONS(1884),
    [anon_sym_property] = ACTIONS(1884),
    [anon_sym_signal] = ACTIONS(1884),
    [anon_sym_on] = ACTIONS(1884),
    [anon_sym_required] = ACTIONS(1884),
    [anon_sym_component] = ACTIONS(1884),
    [anon_sym_abstract] = ACTIONS(1884),
    [anon_sym_interface] = ACTIONS(1884),
    [anon_sym_enum] = ACTIONS(1884),
    [sym__automatic_semicolon] = ACTIONS(1892),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(1846),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_export] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_import] = ACTIONS(1860),
    [anon_sym_from] = ACTIONS(1860),
    [anon_sym_with] = ACTIONS(1860),
    [anon_sym_var] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_const] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1862),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_switch] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1862),
    [anon_sym_SEMI] = ACTIONS(1862),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_debugger] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_throw] = ACTIONS(1860),
    [anon_sym_case] = ACTIONS(1860),
    [anon_sym_yield] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1862),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_function] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_using] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_TILDE] = ACTIONS(1862),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1862),
    [anon_sym_DASH_DASH] = ACTIONS(1862),
    [anon_sym_DQUOTE] = ACTIONS(1862),
    [anon_sym_SQUOTE] = ACTIONS(1862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1862),
    [sym_number] = ACTIONS(1862),
    [sym_private_property_identifier] = ACTIONS(1862),
    [sym_this] = ACTIONS(1860),
    [sym_super] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1862),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_declare] = ACTIONS(1860),
    [anon_sym_public] = ACTIONS(1860),
    [anon_sym_private] = ACTIONS(1860),
    [anon_sym_protected] = ACTIONS(1860),
    [anon_sym_override] = ACTIONS(1860),
    [anon_sym_module] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_property] = ACTIONS(1860),
    [anon_sym_signal] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [anon_sym_required] = ACTIONS(1860),
    [anon_sym_component] = ACTIONS(1860),
    [anon_sym_abstract] = ACTIONS(1860),
    [anon_sym_interface] = ACTIONS(1860),
    [anon_sym_enum] = ACTIONS(1860),
    [sym__automatic_semicolon] = ACTIONS(1862),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_else_clause] = STATE(905),
    [sym_identifier] = ACTIONS(2664),
    [anon_sym_export] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_type] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2664),
    [anon_sym_import] = ACTIONS(2664),
    [anon_sym_from] = ACTIONS(2664),
    [anon_sym_with] = ACTIONS(2664),
    [anon_sym_var] = ACTIONS(2664),
    [anon_sym_let] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_await] = ACTIONS(2664),
    [anon_sym_of] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_debugger] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_yield] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_async] = ACTIONS(2664),
    [anon_sym_function] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2664),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_number] = ACTIONS(2666),
    [sym_private_property_identifier] = ACTIONS(2666),
    [sym_this] = ACTIONS(2664),
    [sym_super] = ACTIONS(2664),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [sym_null] = ACTIONS(2664),
    [sym_undefined] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_readonly] = ACTIONS(2664),
    [anon_sym_get] = ACTIONS(2664),
    [anon_sym_set] = ACTIONS(2664),
    [anon_sym_declare] = ACTIONS(2664),
    [anon_sym_public] = ACTIONS(2664),
    [anon_sym_private] = ACTIONS(2664),
    [anon_sym_protected] = ACTIONS(2664),
    [anon_sym_override] = ACTIONS(2664),
    [anon_sym_module] = ACTIONS(2664),
    [anon_sym_any] = ACTIONS(2664),
    [anon_sym_number] = ACTIONS(2664),
    [anon_sym_boolean] = ACTIONS(2664),
    [anon_sym_string] = ACTIONS(2664),
    [anon_sym_symbol] = ACTIONS(2664),
    [anon_sym_object] = ACTIONS(2664),
    [anon_sym_property] = ACTIONS(2664),
    [anon_sym_signal] = ACTIONS(2664),
    [anon_sym_on] = ACTIONS(2664),
    [anon_sym_required] = ACTIONS(2664),
    [anon_sym_component] = ACTIONS(2664),
    [anon_sym_abstract] = ACTIONS(2664),
    [anon_sym_interface] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2004),
    [anon_sym_export] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2004),
    [anon_sym_type] = ACTIONS(2004),
    [anon_sym_namespace] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_typeof] = ACTIONS(2004),
    [anon_sym_import] = ACTIONS(2004),
    [anon_sym_from] = ACTIONS(2004),
    [anon_sym_with] = ACTIONS(2004),
    [anon_sym_var] = ACTIONS(2004),
    [anon_sym_let] = ACTIONS(2004),
    [anon_sym_const] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2006),
    [anon_sym_else] = ACTIONS(2004),
    [anon_sym_if] = ACTIONS(2004),
    [anon_sym_switch] = ACTIONS(2004),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [anon_sym_await] = ACTIONS(2004),
    [anon_sym_of] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2004),
    [anon_sym_do] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2004),
    [anon_sym_break] = ACTIONS(2004),
    [anon_sym_continue] = ACTIONS(2004),
    [anon_sym_debugger] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2004),
    [anon_sym_throw] = ACTIONS(2004),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_yield] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2004),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2004),
    [anon_sym_using] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_SLASH] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_TILDE] = ACTIONS(2006),
    [anon_sym_void] = ACTIONS(2004),
    [anon_sym_delete] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2006),
    [anon_sym_DASH_DASH] = ACTIONS(2006),
    [anon_sym_DQUOTE] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2006),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2006),
    [sym_number] = ACTIONS(2006),
    [sym_private_property_identifier] = ACTIONS(2006),
    [sym_this] = ACTIONS(2004),
    [sym_super] = ACTIONS(2004),
    [sym_true] = ACTIONS(2004),
    [sym_false] = ACTIONS(2004),
    [sym_null] = ACTIONS(2004),
    [sym_undefined] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2004),
    [anon_sym_readonly] = ACTIONS(2004),
    [anon_sym_get] = ACTIONS(2004),
    [anon_sym_set] = ACTIONS(2004),
    [anon_sym_declare] = ACTIONS(2004),
    [anon_sym_public] = ACTIONS(2004),
    [anon_sym_private] = ACTIONS(2004),
    [anon_sym_protected] = ACTIONS(2004),
    [anon_sym_override] = ACTIONS(2004),
    [anon_sym_module] = ACTIONS(2004),
    [anon_sym_any] = ACTIONS(2004),
    [anon_sym_number] = ACTIONS(2004),
    [anon_sym_boolean] = ACTIONS(2004),
    [anon_sym_string] = ACTIONS(2004),
    [anon_sym_symbol] = ACTIONS(2004),
    [anon_sym_object] = ACTIONS(2004),
    [anon_sym_property] = ACTIONS(2004),
    [anon_sym_signal] = ACTIONS(2004),
    [anon_sym_on] = ACTIONS(2004),
    [anon_sym_required] = ACTIONS(2004),
    [anon_sym_component] = ACTIONS(2004),
    [anon_sym_abstract] = ACTIONS(2004),
    [anon_sym_interface] = ACTIONS(2004),
    [anon_sym_enum] = ACTIONS(2004),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_identifier] = ACTIONS(1864),
    [anon_sym_export] = ACTIONS(1864),
    [anon_sym_default] = ACTIONS(1864),
    [anon_sym_type] = ACTIONS(1864),
    [anon_sym_namespace] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(1868),
    [anon_sym_RBRACE] = ACTIONS(1868),
    [anon_sym_typeof] = ACTIONS(1864),
    [anon_sym_import] = ACTIONS(1864),
    [anon_sym_from] = ACTIONS(1864),
    [anon_sym_with] = ACTIONS(1864),
    [anon_sym_var] = ACTIONS(1864),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1868),
    [anon_sym_else] = ACTIONS(1864),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_switch] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1868),
    [anon_sym_await] = ACTIONS(1864),
    [anon_sym_of] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1864),
    [anon_sym_do] = ACTIONS(1864),
    [anon_sym_try] = ACTIONS(1864),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1864),
    [anon_sym_debugger] = ACTIONS(1864),
    [anon_sym_return] = ACTIONS(1864),
    [anon_sym_throw] = ACTIONS(1864),
    [anon_sym_case] = ACTIONS(1864),
    [anon_sym_yield] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1868),
    [anon_sym_class] = ACTIONS(1864),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_function] = ACTIONS(1864),
    [anon_sym_new] = ACTIONS(1864),
    [anon_sym_using] = ACTIONS(1864),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_DASH] = ACTIONS(1864),
    [anon_sym_SLASH] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1868),
    [anon_sym_TILDE] = ACTIONS(1868),
    [anon_sym_void] = ACTIONS(1864),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1868),
    [anon_sym_DASH_DASH] = ACTIONS(1868),
    [anon_sym_DQUOTE] = ACTIONS(1868),
    [anon_sym_SQUOTE] = ACTIONS(1868),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1868),
    [sym_number] = ACTIONS(1868),
    [sym_private_property_identifier] = ACTIONS(1868),
    [sym_this] = ACTIONS(1864),
    [sym_super] = ACTIONS(1864),
    [sym_true] = ACTIONS(1864),
    [sym_false] = ACTIONS(1864),
    [sym_null] = ACTIONS(1864),
    [sym_undefined] = ACTIONS(1864),
    [anon_sym_AT] = ACTIONS(1868),
    [anon_sym_static] = ACTIONS(1864),
    [anon_sym_readonly] = ACTIONS(1864),
    [anon_sym_get] = ACTIONS(1864),
    [anon_sym_set] = ACTIONS(1864),
    [anon_sym_declare] = ACTIONS(1864),
    [anon_sym_public] = ACTIONS(1864),
    [anon_sym_private] = ACTIONS(1864),
    [anon_sym_protected] = ACTIONS(1864),
    [anon_sym_override] = ACTIONS(1864),
    [anon_sym_module] = ACTIONS(1864),
    [anon_sym_any] = ACTIONS(1864),
    [anon_sym_number] = ACTIONS(1864),
    [anon_sym_boolean] = ACTIONS(1864),
    [anon_sym_string] = ACTIONS(1864),
    [anon_sym_symbol] = ACTIONS(1864),
    [anon_sym_object] = ACTIONS(1864),
    [anon_sym_property] = ACTIONS(1864),
    [anon_sym_signal] = ACTIONS(1864),
    [anon_sym_on] = ACTIONS(1864),
    [anon_sym_required] = ACTIONS(1864),
    [anon_sym_component] = ACTIONS(1864),
    [anon_sym_abstract] = ACTIONS(1864),
    [anon_sym_interface] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1864),
    [sym__automatic_semicolon] = ACTIONS(1872),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_export] = ACTIONS(1922),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_type] = ACTIONS(1922),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_typeof] = ACTIONS(1922),
    [anon_sym_import] = ACTIONS(1922),
    [anon_sym_from] = ACTIONS(1922),
    [anon_sym_with] = ACTIONS(1922),
    [anon_sym_var] = ACTIONS(1922),
    [anon_sym_let] = ACTIONS(1922),
    [anon_sym_const] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_if] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(1922),
    [anon_sym_for] = ACTIONS(1922),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_await] = ACTIONS(1922),
    [anon_sym_of] = ACTIONS(1922),
    [anon_sym_while] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_try] = ACTIONS(1922),
    [anon_sym_break] = ACTIONS(1922),
    [anon_sym_continue] = ACTIONS(1922),
    [anon_sym_debugger] = ACTIONS(1922),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1922),
    [anon_sym_case] = ACTIONS(1922),
    [anon_sym_yield] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_class] = ACTIONS(1922),
    [anon_sym_async] = ACTIONS(1922),
    [anon_sym_function] = ACTIONS(1922),
    [anon_sym_new] = ACTIONS(1922),
    [anon_sym_using] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_TILDE] = ACTIONS(1926),
    [anon_sym_void] = ACTIONS(1922),
    [anon_sym_delete] = ACTIONS(1922),
    [anon_sym_PLUS_PLUS] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1926),
    [anon_sym_DQUOTE] = ACTIONS(1926),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1926),
    [sym_number] = ACTIONS(1926),
    [sym_private_property_identifier] = ACTIONS(1926),
    [sym_this] = ACTIONS(1922),
    [sym_super] = ACTIONS(1922),
    [sym_true] = ACTIONS(1922),
    [sym_false] = ACTIONS(1922),
    [sym_null] = ACTIONS(1922),
    [sym_undefined] = ACTIONS(1922),
    [anon_sym_AT] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_readonly] = ACTIONS(1922),
    [anon_sym_get] = ACTIONS(1922),
    [anon_sym_set] = ACTIONS(1922),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_module] = ACTIONS(1922),
    [anon_sym_any] = ACTIONS(1922),
    [anon_sym_number] = ACTIONS(1922),
    [anon_sym_boolean] = ACTIONS(1922),
    [anon_sym_string] = ACTIONS(1922),
    [anon_sym_symbol] = ACTIONS(1922),
    [anon_sym_object] = ACTIONS(1922),
    [anon_sym_property] = ACTIONS(1922),
    [anon_sym_signal] = ACTIONS(1922),
    [anon_sym_on] = ACTIONS(1922),
    [anon_sym_required] = ACTIONS(1922),
    [anon_sym_component] = ACTIONS(1922),
    [anon_sym_abstract] = ACTIONS(1922),
    [anon_sym_interface] = ACTIONS(1922),
    [anon_sym_enum] = ACTIONS(1922),
    [sym__automatic_semicolon] = ACTIONS(1930),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_export] = ACTIONS(1932),
    [anon_sym_default] = ACTIONS(1932),
    [anon_sym_type] = ACTIONS(1932),
    [anon_sym_namespace] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_typeof] = ACTIONS(1932),
    [anon_sym_import] = ACTIONS(1932),
    [anon_sym_from] = ACTIONS(1932),
    [anon_sym_with] = ACTIONS(1932),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_else] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_switch] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1932),
    [anon_sym_of] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_do] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_debugger] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_throw] = ACTIONS(1932),
    [anon_sym_case] = ACTIONS(1932),
    [anon_sym_yield] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_function] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1932),
    [anon_sym_using] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_void] = ACTIONS(1932),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_DQUOTE] = ACTIONS(1936),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1936),
    [sym_number] = ACTIONS(1936),
    [sym_private_property_identifier] = ACTIONS(1936),
    [sym_this] = ACTIONS(1932),
    [sym_super] = ACTIONS(1932),
    [sym_true] = ACTIONS(1932),
    [sym_false] = ACTIONS(1932),
    [sym_null] = ACTIONS(1932),
    [sym_undefined] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1936),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_readonly] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_declare] = ACTIONS(1932),
    [anon_sym_public] = ACTIONS(1932),
    [anon_sym_private] = ACTIONS(1932),
    [anon_sym_protected] = ACTIONS(1932),
    [anon_sym_override] = ACTIONS(1932),
    [anon_sym_module] = ACTIONS(1932),
    [anon_sym_any] = ACTIONS(1932),
    [anon_sym_number] = ACTIONS(1932),
    [anon_sym_boolean] = ACTIONS(1932),
    [anon_sym_string] = ACTIONS(1932),
    [anon_sym_symbol] = ACTIONS(1932),
    [anon_sym_object] = ACTIONS(1932),
    [anon_sym_property] = ACTIONS(1932),
    [anon_sym_signal] = ACTIONS(1932),
    [anon_sym_on] = ACTIONS(1932),
    [anon_sym_required] = ACTIONS(1932),
    [anon_sym_component] = ACTIONS(1932),
    [anon_sym_abstract] = ACTIONS(1932),
    [anon_sym_interface] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1932),
    [sym__automatic_semicolon] = ACTIONS(1940),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_identifier] = ACTIONS(1874),
    [anon_sym_export] = ACTIONS(1874),
    [anon_sym_default] = ACTIONS(1874),
    [anon_sym_type] = ACTIONS(1874),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1878),
    [anon_sym_typeof] = ACTIONS(1874),
    [anon_sym_import] = ACTIONS(1874),
    [anon_sym_from] = ACTIONS(1874),
    [anon_sym_with] = ACTIONS(1874),
    [anon_sym_var] = ACTIONS(1874),
    [anon_sym_let] = ACTIONS(1874),
    [anon_sym_const] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1874),
    [anon_sym_if] = ACTIONS(1874),
    [anon_sym_switch] = ACTIONS(1874),
    [anon_sym_for] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1878),
    [anon_sym_await] = ACTIONS(1874),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_while] = ACTIONS(1874),
    [anon_sym_do] = ACTIONS(1874),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_break] = ACTIONS(1874),
    [anon_sym_continue] = ACTIONS(1874),
    [anon_sym_debugger] = ACTIONS(1874),
    [anon_sym_return] = ACTIONS(1874),
    [anon_sym_throw] = ACTIONS(1874),
    [anon_sym_case] = ACTIONS(1874),
    [anon_sym_yield] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1874),
    [anon_sym_async] = ACTIONS(1874),
    [anon_sym_function] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1874),
    [anon_sym_using] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_SLASH] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1878),
    [anon_sym_TILDE] = ACTIONS(1878),
    [anon_sym_void] = ACTIONS(1874),
    [anon_sym_delete] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1878),
    [anon_sym_DQUOTE] = ACTIONS(1878),
    [anon_sym_SQUOTE] = ACTIONS(1878),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1878),
    [sym_number] = ACTIONS(1878),
    [sym_private_property_identifier] = ACTIONS(1878),
    [sym_this] = ACTIONS(1874),
    [sym_super] = ACTIONS(1874),
    [sym_true] = ACTIONS(1874),
    [sym_false] = ACTIONS(1874),
    [sym_null] = ACTIONS(1874),
    [sym_undefined] = ACTIONS(1874),
    [anon_sym_AT] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1874),
    [anon_sym_readonly] = ACTIONS(1874),
    [anon_sym_get] = ACTIONS(1874),
    [anon_sym_set] = ACTIONS(1874),
    [anon_sym_declare] = ACTIONS(1874),
    [anon_sym_public] = ACTIONS(1874),
    [anon_sym_private] = ACTIONS(1874),
    [anon_sym_protected] = ACTIONS(1874),
    [anon_sym_override] = ACTIONS(1874),
    [anon_sym_module] = ACTIONS(1874),
    [anon_sym_any] = ACTIONS(1874),
    [anon_sym_number] = ACTIONS(1874),
    [anon_sym_boolean] = ACTIONS(1874),
    [anon_sym_string] = ACTIONS(1874),
    [anon_sym_symbol] = ACTIONS(1874),
    [anon_sym_object] = ACTIONS(1874),
    [anon_sym_property] = ACTIONS(1874),
    [anon_sym_signal] = ACTIONS(1874),
    [anon_sym_on] = ACTIONS(1874),
    [anon_sym_required] = ACTIONS(1874),
    [anon_sym_component] = ACTIONS(1874),
    [anon_sym_abstract] = ACTIONS(1874),
    [anon_sym_interface] = ACTIONS(1874),
    [anon_sym_enum] = ACTIONS(1874),
    [sym__automatic_semicolon] = ACTIONS(1882),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_export] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_type] = ACTIONS(2670),
    [anon_sym_namespace] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_import] = ACTIONS(2670),
    [anon_sym_from] = ACTIONS(2670),
    [anon_sym_with] = ACTIONS(2670),
    [anon_sym_var] = ACTIONS(2670),
    [anon_sym_let] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_await] = ACTIONS(2670),
    [anon_sym_of] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_debugger] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_finally] = ACTIONS(2670),
    [anon_sym_yield] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2670),
    [anon_sym_async] = ACTIONS(2670),
    [anon_sym_function] = ACTIONS(2670),
    [anon_sym_new] = ACTIONS(2670),
    [anon_sym_using] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_void] = ACTIONS(2670),
    [anon_sym_delete] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2672),
    [sym_number] = ACTIONS(2672),
    [sym_private_property_identifier] = ACTIONS(2672),
    [sym_this] = ACTIONS(2670),
    [sym_super] = ACTIONS(2670),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [sym_null] = ACTIONS(2670),
    [sym_undefined] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_readonly] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_declare] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_module] = ACTIONS(2670),
    [anon_sym_any] = ACTIONS(2670),
    [anon_sym_number] = ACTIONS(2670),
    [anon_sym_boolean] = ACTIONS(2670),
    [anon_sym_string] = ACTIONS(2670),
    [anon_sym_symbol] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_property] = ACTIONS(2670),
    [anon_sym_signal] = ACTIONS(2670),
    [anon_sym_on] = ACTIONS(2670),
    [anon_sym_required] = ACTIONS(2670),
    [anon_sym_component] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_interface] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_export] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_type] = ACTIONS(1980),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_RBRACE] = ACTIONS(1984),
    [anon_sym_typeof] = ACTIONS(1980),
    [anon_sym_import] = ACTIONS(1980),
    [anon_sym_from] = ACTIONS(1980),
    [anon_sym_with] = ACTIONS(1980),
    [anon_sym_var] = ACTIONS(1980),
    [anon_sym_let] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1984),
    [anon_sym_await] = ACTIONS(1980),
    [anon_sym_of] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_debugger] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_case] = ACTIONS(1980),
    [anon_sym_yield] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_function] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_using] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_SLASH] = ACTIONS(1980),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_void] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1984),
    [anon_sym_DASH_DASH] = ACTIONS(1984),
    [anon_sym_DQUOTE] = ACTIONS(1984),
    [anon_sym_SQUOTE] = ACTIONS(1984),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1984),
    [sym_number] = ACTIONS(1984),
    [sym_private_property_identifier] = ACTIONS(1984),
    [sym_this] = ACTIONS(1980),
    [sym_super] = ACTIONS(1980),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [sym_null] = ACTIONS(1980),
    [sym_undefined] = ACTIONS(1980),
    [anon_sym_AT] = ACTIONS(1984),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_readonly] = ACTIONS(1980),
    [anon_sym_get] = ACTIONS(1980),
    [anon_sym_set] = ACTIONS(1980),
    [anon_sym_declare] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_override] = ACTIONS(1980),
    [anon_sym_module] = ACTIONS(1980),
    [anon_sym_any] = ACTIONS(1980),
    [anon_sym_number] = ACTIONS(1980),
    [anon_sym_boolean] = ACTIONS(1980),
    [anon_sym_string] = ACTIONS(1980),
    [anon_sym_symbol] = ACTIONS(1980),
    [anon_sym_object] = ACTIONS(1980),
    [anon_sym_property] = ACTIONS(1980),
    [anon_sym_signal] = ACTIONS(1980),
    [anon_sym_on] = ACTIONS(1980),
    [anon_sym_required] = ACTIONS(1980),
    [anon_sym_component] = ACTIONS(1980),
    [anon_sym_abstract] = ACTIONS(1980),
    [anon_sym_interface] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [sym__automatic_semicolon] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_identifier] = ACTIONS(1894),
    [anon_sym_export] = ACTIONS(1894),
    [anon_sym_default] = ACTIONS(1894),
    [anon_sym_type] = ACTIONS(1894),
    [anon_sym_namespace] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_RBRACE] = ACTIONS(1898),
    [anon_sym_typeof] = ACTIONS(1894),
    [anon_sym_import] = ACTIONS(1894),
    [anon_sym_from] = ACTIONS(1894),
    [anon_sym_with] = ACTIONS(1894),
    [anon_sym_var] = ACTIONS(1894),
    [anon_sym_let] = ACTIONS(1894),
    [anon_sym_const] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1898),
    [anon_sym_else] = ACTIONS(1894),
    [anon_sym_if] = ACTIONS(1894),
    [anon_sym_switch] = ACTIONS(1894),
    [anon_sym_for] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1898),
    [anon_sym_SEMI] = ACTIONS(1898),
    [anon_sym_await] = ACTIONS(1894),
    [anon_sym_of] = ACTIONS(1894),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1894),
    [anon_sym_try] = ACTIONS(1894),
    [anon_sym_break] = ACTIONS(1894),
    [anon_sym_continue] = ACTIONS(1894),
    [anon_sym_debugger] = ACTIONS(1894),
    [anon_sym_return] = ACTIONS(1894),
    [anon_sym_throw] = ACTIONS(1894),
    [anon_sym_case] = ACTIONS(1894),
    [anon_sym_yield] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1898),
    [anon_sym_class] = ACTIONS(1894),
    [anon_sym_async] = ACTIONS(1894),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_using] = ACTIONS(1894),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_DASH] = ACTIONS(1894),
    [anon_sym_SLASH] = ACTIONS(1894),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_TILDE] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1894),
    [anon_sym_delete] = ACTIONS(1894),
    [anon_sym_PLUS_PLUS] = ACTIONS(1898),
    [anon_sym_DASH_DASH] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1898),
    [sym_number] = ACTIONS(1898),
    [sym_private_property_identifier] = ACTIONS(1898),
    [sym_this] = ACTIONS(1894),
    [sym_super] = ACTIONS(1894),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [sym_null] = ACTIONS(1894),
    [sym_undefined] = ACTIONS(1894),
    [anon_sym_AT] = ACTIONS(1898),
    [anon_sym_static] = ACTIONS(1894),
    [anon_sym_readonly] = ACTIONS(1894),
    [anon_sym_get] = ACTIONS(1894),
    [anon_sym_set] = ACTIONS(1894),
    [anon_sym_declare] = ACTIONS(1894),
    [anon_sym_public] = ACTIONS(1894),
    [anon_sym_private] = ACTIONS(1894),
    [anon_sym_protected] = ACTIONS(1894),
    [anon_sym_override] = ACTIONS(1894),
    [anon_sym_module] = ACTIONS(1894),
    [anon_sym_any] = ACTIONS(1894),
    [anon_sym_number] = ACTIONS(1894),
    [anon_sym_boolean] = ACTIONS(1894),
    [anon_sym_string] = ACTIONS(1894),
    [anon_sym_symbol] = ACTIONS(1894),
    [anon_sym_object] = ACTIONS(1894),
    [anon_sym_property] = ACTIONS(1894),
    [anon_sym_signal] = ACTIONS(1894),
    [anon_sym_on] = ACTIONS(1894),
    [anon_sym_required] = ACTIONS(1894),
    [anon_sym_component] = ACTIONS(1894),
    [anon_sym_abstract] = ACTIONS(1894),
    [anon_sym_interface] = ACTIONS(1894),
    [anon_sym_enum] = ACTIONS(1894),
    [sym__automatic_semicolon] = ACTIONS(1902),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2674),
    [anon_sym_export] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_type] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_import] = ACTIONS(2674),
    [anon_sym_from] = ACTIONS(2674),
    [anon_sym_with] = ACTIONS(2674),
    [anon_sym_var] = ACTIONS(2674),
    [anon_sym_let] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym_await] = ACTIONS(2674),
    [anon_sym_of] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_debugger] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_finally] = ACTIONS(2674),
    [anon_sym_yield] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_async] = ACTIONS(2674),
    [anon_sym_function] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_void] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2676),
    [sym_number] = ACTIONS(2676),
    [sym_private_property_identifier] = ACTIONS(2676),
    [sym_this] = ACTIONS(2674),
    [sym_super] = ACTIONS(2674),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [sym_null] = ACTIONS(2674),
    [sym_undefined] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_readonly] = ACTIONS(2674),
    [anon_sym_get] = ACTIONS(2674),
    [anon_sym_set] = ACTIONS(2674),
    [anon_sym_declare] = ACTIONS(2674),
    [anon_sym_public] = ACTIONS(2674),
    [anon_sym_private] = ACTIONS(2674),
    [anon_sym_protected] = ACTIONS(2674),
    [anon_sym_override] = ACTIONS(2674),
    [anon_sym_module] = ACTIONS(2674),
    [anon_sym_any] = ACTIONS(2674),
    [anon_sym_number] = ACTIONS(2674),
    [anon_sym_boolean] = ACTIONS(2674),
    [anon_sym_string] = ACTIONS(2674),
    [anon_sym_symbol] = ACTIONS(2674),
    [anon_sym_object] = ACTIONS(2674),
    [anon_sym_property] = ACTIONS(2674),
    [anon_sym_signal] = ACTIONS(2674),
    [anon_sym_on] = ACTIONS(2674),
    [anon_sym_required] = ACTIONS(2674),
    [anon_sym_component] = ACTIONS(2674),
    [anon_sym_abstract] = ACTIONS(2674),
    [anon_sym_interface] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_using] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_private_property_identifier] = ACTIONS(1846),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_abstract] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(2678),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_type] = ACTIONS(1912),
    [anon_sym_namespace] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_RBRACE] = ACTIONS(1916),
    [anon_sym_typeof] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(1912),
    [anon_sym_from] = ACTIONS(1912),
    [anon_sym_with] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_of] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_do] = ACTIONS(1912),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_debugger] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_throw] = ACTIONS(1912),
    [anon_sym_case] = ACTIONS(1912),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_new] = ACTIONS(1912),
    [anon_sym_using] = ACTIONS(1912),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_SLASH] = ACTIONS(1912),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1916),
    [anon_sym_void] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1916),
    [anon_sym_DASH_DASH] = ACTIONS(1916),
    [anon_sym_DQUOTE] = ACTIONS(1916),
    [anon_sym_SQUOTE] = ACTIONS(1916),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1916),
    [sym_number] = ACTIONS(1916),
    [sym_private_property_identifier] = ACTIONS(1916),
    [sym_this] = ACTIONS(1912),
    [sym_super] = ACTIONS(1912),
    [sym_true] = ACTIONS(1912),
    [sym_false] = ACTIONS(1912),
    [sym_null] = ACTIONS(1912),
    [sym_undefined] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1916),
    [anon_sym_static] = ACTIONS(1912),
    [anon_sym_readonly] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_declare] = ACTIONS(1912),
    [anon_sym_public] = ACTIONS(1912),
    [anon_sym_private] = ACTIONS(1912),
    [anon_sym_protected] = ACTIONS(1912),
    [anon_sym_override] = ACTIONS(1912),
    [anon_sym_module] = ACTIONS(1912),
    [anon_sym_any] = ACTIONS(1912),
    [anon_sym_number] = ACTIONS(1912),
    [anon_sym_boolean] = ACTIONS(1912),
    [anon_sym_string] = ACTIONS(1912),
    [anon_sym_symbol] = ACTIONS(1912),
    [anon_sym_object] = ACTIONS(1912),
    [anon_sym_property] = ACTIONS(1912),
    [anon_sym_signal] = ACTIONS(1912),
    [anon_sym_on] = ACTIONS(1912),
    [anon_sym_required] = ACTIONS(1912),
    [anon_sym_component] = ACTIONS(1912),
    [anon_sym_abstract] = ACTIONS(1912),
    [anon_sym_interface] = ACTIONS(1912),
    [anon_sym_enum] = ACTIONS(1912),
    [sym__automatic_semicolon] = ACTIONS(1920),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_export] = ACTIONS(1942),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_type] = ACTIONS(1942),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(1946),
    [anon_sym_RBRACE] = ACTIONS(1946),
    [anon_sym_typeof] = ACTIONS(1942),
    [anon_sym_import] = ACTIONS(1942),
    [anon_sym_from] = ACTIONS(1942),
    [anon_sym_with] = ACTIONS(1942),
    [anon_sym_var] = ACTIONS(1942),
    [anon_sym_let] = ACTIONS(1942),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_if] = ACTIONS(1942),
    [anon_sym_switch] = ACTIONS(1942),
    [anon_sym_for] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(1942),
    [anon_sym_of] = ACTIONS(1942),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1942),
    [anon_sym_try] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1942),
    [anon_sym_continue] = ACTIONS(1942),
    [anon_sym_debugger] = ACTIONS(1942),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(1942),
    [anon_sym_yield] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1946),
    [anon_sym_class] = ACTIONS(1942),
    [anon_sym_async] = ACTIONS(1942),
    [anon_sym_function] = ACTIONS(1942),
    [anon_sym_new] = ACTIONS(1942),
    [anon_sym_using] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_SLASH] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_void] = ACTIONS(1942),
    [anon_sym_delete] = ACTIONS(1942),
    [anon_sym_PLUS_PLUS] = ACTIONS(1946),
    [anon_sym_DASH_DASH] = ACTIONS(1946),
    [anon_sym_DQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1946),
    [sym_number] = ACTIONS(1946),
    [sym_private_property_identifier] = ACTIONS(1946),
    [sym_this] = ACTIONS(1942),
    [sym_super] = ACTIONS(1942),
    [sym_true] = ACTIONS(1942),
    [sym_false] = ACTIONS(1942),
    [sym_null] = ACTIONS(1942),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(1946),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_readonly] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1942),
    [anon_sym_set] = ACTIONS(1942),
    [anon_sym_declare] = ACTIONS(1942),
    [anon_sym_public] = ACTIONS(1942),
    [anon_sym_private] = ACTIONS(1942),
    [anon_sym_protected] = ACTIONS(1942),
    [anon_sym_override] = ACTIONS(1942),
    [anon_sym_module] = ACTIONS(1942),
    [anon_sym_any] = ACTIONS(1942),
    [anon_sym_number] = ACTIONS(1942),
    [anon_sym_boolean] = ACTIONS(1942),
    [anon_sym_string] = ACTIONS(1942),
    [anon_sym_symbol] = ACTIONS(1942),
    [anon_sym_object] = ACTIONS(1942),
    [anon_sym_property] = ACTIONS(1942),
    [anon_sym_signal] = ACTIONS(1942),
    [anon_sym_on] = ACTIONS(1942),
    [anon_sym_required] = ACTIONS(1942),
    [anon_sym_component] = ACTIONS(1942),
    [anon_sym_abstract] = ACTIONS(1942),
    [anon_sym_interface] = ACTIONS(1942),
    [anon_sym_enum] = ACTIONS(1942),
    [sym__automatic_semicolon] = ACTIONS(1950),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_export] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(1952),
    [anon_sym_import] = ACTIONS(1952),
    [anon_sym_from] = ACTIONS(1952),
    [anon_sym_with] = ACTIONS(1952),
    [anon_sym_var] = ACTIONS(1952),
    [anon_sym_let] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(1952),
    [anon_sym_of] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_debugger] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_yield] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_function] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_SLASH] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_void] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_DQUOTE] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1956),
    [sym_number] = ACTIONS(1956),
    [sym_private_property_identifier] = ACTIONS(1956),
    [sym_this] = ACTIONS(1952),
    [sym_super] = ACTIONS(1952),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [sym_null] = ACTIONS(1952),
    [sym_undefined] = ACTIONS(1952),
    [anon_sym_AT] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(1952),
    [anon_sym_set] = ACTIONS(1952),
    [anon_sym_declare] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_module] = ACTIONS(1952),
    [anon_sym_any] = ACTIONS(1952),
    [anon_sym_number] = ACTIONS(1952),
    [anon_sym_boolean] = ACTIONS(1952),
    [anon_sym_string] = ACTIONS(1952),
    [anon_sym_symbol] = ACTIONS(1952),
    [anon_sym_object] = ACTIONS(1952),
    [anon_sym_property] = ACTIONS(1952),
    [anon_sym_signal] = ACTIONS(1952),
    [anon_sym_on] = ACTIONS(1952),
    [anon_sym_required] = ACTIONS(1952),
    [anon_sym_component] = ACTIONS(1952),
    [anon_sym_abstract] = ACTIONS(1952),
    [anon_sym_interface] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [sym__automatic_semicolon] = ACTIONS(1960),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_export] = ACTIONS(1962),
    [anon_sym_default] = ACTIONS(1962),
    [anon_sym_type] = ACTIONS(1962),
    [anon_sym_namespace] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_typeof] = ACTIONS(1962),
    [anon_sym_import] = ACTIONS(1962),
    [anon_sym_from] = ACTIONS(1962),
    [anon_sym_with] = ACTIONS(1962),
    [anon_sym_var] = ACTIONS(1962),
    [anon_sym_let] = ACTIONS(1962),
    [anon_sym_const] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_else] = ACTIONS(1962),
    [anon_sym_if] = ACTIONS(1962),
    [anon_sym_switch] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(1962),
    [anon_sym_of] = ACTIONS(1962),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_try] = ACTIONS(1962),
    [anon_sym_break] = ACTIONS(1962),
    [anon_sym_continue] = ACTIONS(1962),
    [anon_sym_debugger] = ACTIONS(1962),
    [anon_sym_return] = ACTIONS(1962),
    [anon_sym_throw] = ACTIONS(1962),
    [anon_sym_case] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_class] = ACTIONS(1962),
    [anon_sym_async] = ACTIONS(1962),
    [anon_sym_function] = ACTIONS(1962),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_using] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_void] = ACTIONS(1962),
    [anon_sym_delete] = ACTIONS(1962),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1966),
    [sym_number] = ACTIONS(1966),
    [sym_private_property_identifier] = ACTIONS(1966),
    [sym_this] = ACTIONS(1962),
    [sym_super] = ACTIONS(1962),
    [sym_true] = ACTIONS(1962),
    [sym_false] = ACTIONS(1962),
    [sym_null] = ACTIONS(1962),
    [sym_undefined] = ACTIONS(1962),
    [anon_sym_AT] = ACTIONS(1966),
    [anon_sym_static] = ACTIONS(1962),
    [anon_sym_readonly] = ACTIONS(1962),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
    [anon_sym_declare] = ACTIONS(1962),
    [anon_sym_public] = ACTIONS(1962),
    [anon_sym_private] = ACTIONS(1962),
    [anon_sym_protected] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_module] = ACTIONS(1962),
    [anon_sym_any] = ACTIONS(1962),
    [anon_sym_number] = ACTIONS(1962),
    [anon_sym_boolean] = ACTIONS(1962),
    [anon_sym_string] = ACTIONS(1962),
    [anon_sym_symbol] = ACTIONS(1962),
    [anon_sym_object] = ACTIONS(1962),
    [anon_sym_property] = ACTIONS(1962),
    [anon_sym_signal] = ACTIONS(1962),
    [anon_sym_on] = ACTIONS(1962),
    [anon_sym_required] = ACTIONS(1962),
    [anon_sym_component] = ACTIONS(1962),
    [anon_sym_abstract] = ACTIONS(1962),
    [anon_sym_interface] = ACTIONS(1962),
    [anon_sym_enum] = ACTIONS(1962),
    [sym__automatic_semicolon] = ACTIONS(1970),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_identifier] = ACTIONS(1824),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_namespace] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(1824),
    [anon_sym_import] = ACTIONS(1824),
    [anon_sym_from] = ACTIONS(1824),
    [anon_sym_with] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1826),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_of] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_debugger] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_throw] = ACTIONS(1824),
    [anon_sym_case] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1824),
    [anon_sym_using] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_TILDE] = ACTIONS(1826),
    [anon_sym_void] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1826),
    [sym_number] = ACTIONS(1826),
    [sym_private_property_identifier] = ACTIONS(1826),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_readonly] = ACTIONS(1824),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
    [anon_sym_declare] = ACTIONS(1824),
    [anon_sym_public] = ACTIONS(1824),
    [anon_sym_private] = ACTIONS(1824),
    [anon_sym_protected] = ACTIONS(1824),
    [anon_sym_override] = ACTIONS(1824),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1824),
    [anon_sym_number] = ACTIONS(1824),
    [anon_sym_boolean] = ACTIONS(1824),
    [anon_sym_string] = ACTIONS(1824),
    [anon_sym_symbol] = ACTIONS(1824),
    [anon_sym_object] = ACTIONS(1824),
    [anon_sym_property] = ACTIONS(1824),
    [anon_sym_signal] = ACTIONS(1824),
    [anon_sym_on] = ACTIONS(1824),
    [anon_sym_required] = ACTIONS(1824),
    [anon_sym_component] = ACTIONS(1824),
    [anon_sym_abstract] = ACTIONS(1824),
    [anon_sym_interface] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1824),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_export] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_type] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2680),
    [anon_sym_import] = ACTIONS(2680),
    [anon_sym_from] = ACTIONS(2680),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_var] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2682),
    [anon_sym_await] = ACTIONS(2680),
    [anon_sym_of] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_debugger] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_async] = ACTIONS(2680),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_void] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2682),
    [sym_number] = ACTIONS(2682),
    [sym_private_property_identifier] = ACTIONS(2682),
    [sym_this] = ACTIONS(2680),
    [sym_super] = ACTIONS(2680),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [sym_null] = ACTIONS(2680),
    [sym_undefined] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_readonly] = ACTIONS(2680),
    [anon_sym_get] = ACTIONS(2680),
    [anon_sym_set] = ACTIONS(2680),
    [anon_sym_declare] = ACTIONS(2680),
    [anon_sym_public] = ACTIONS(2680),
    [anon_sym_private] = ACTIONS(2680),
    [anon_sym_protected] = ACTIONS(2680),
    [anon_sym_override] = ACTIONS(2680),
    [anon_sym_module] = ACTIONS(2680),
    [anon_sym_any] = ACTIONS(2680),
    [anon_sym_number] = ACTIONS(2680),
    [anon_sym_boolean] = ACTIONS(2680),
    [anon_sym_string] = ACTIONS(2680),
    [anon_sym_symbol] = ACTIONS(2680),
    [anon_sym_object] = ACTIONS(2680),
    [anon_sym_property] = ACTIONS(2680),
    [anon_sym_signal] = ACTIONS(2680),
    [anon_sym_on] = ACTIONS(2680),
    [anon_sym_required] = ACTIONS(2680),
    [anon_sym_component] = ACTIONS(2680),
    [anon_sym_abstract] = ACTIONS(2680),
    [anon_sym_interface] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_export] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_type] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2684),
    [anon_sym_import] = ACTIONS(2684),
    [anon_sym_from] = ACTIONS(2684),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_var] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_else] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2686),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym_await] = ACTIONS(2684),
    [anon_sym_of] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_debugger] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_async] = ACTIONS(2684),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_SLASH] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_void] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2686),
    [sym_number] = ACTIONS(2686),
    [sym_private_property_identifier] = ACTIONS(2686),
    [sym_this] = ACTIONS(2684),
    [sym_super] = ACTIONS(2684),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [sym_null] = ACTIONS(2684),
    [sym_undefined] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_readonly] = ACTIONS(2684),
    [anon_sym_get] = ACTIONS(2684),
    [anon_sym_set] = ACTIONS(2684),
    [anon_sym_declare] = ACTIONS(2684),
    [anon_sym_public] = ACTIONS(2684),
    [anon_sym_private] = ACTIONS(2684),
    [anon_sym_protected] = ACTIONS(2684),
    [anon_sym_override] = ACTIONS(2684),
    [anon_sym_module] = ACTIONS(2684),
    [anon_sym_any] = ACTIONS(2684),
    [anon_sym_number] = ACTIONS(2684),
    [anon_sym_boolean] = ACTIONS(2684),
    [anon_sym_string] = ACTIONS(2684),
    [anon_sym_symbol] = ACTIONS(2684),
    [anon_sym_object] = ACTIONS(2684),
    [anon_sym_property] = ACTIONS(2684),
    [anon_sym_signal] = ACTIONS(2684),
    [anon_sym_on] = ACTIONS(2684),
    [anon_sym_required] = ACTIONS(2684),
    [anon_sym_component] = ACTIONS(2684),
    [anon_sym_abstract] = ACTIONS(2684),
    [anon_sym_interface] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_export] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_type] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2688),
    [anon_sym_import] = ACTIONS(2688),
    [anon_sym_from] = ACTIONS(2688),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_var] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym_await] = ACTIONS(2688),
    [anon_sym_of] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_debugger] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_async] = ACTIONS(2688),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_void] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2690),
    [sym_number] = ACTIONS(2690),
    [sym_private_property_identifier] = ACTIONS(2690),
    [sym_this] = ACTIONS(2688),
    [sym_super] = ACTIONS(2688),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [sym_null] = ACTIONS(2688),
    [sym_undefined] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_readonly] = ACTIONS(2688),
    [anon_sym_get] = ACTIONS(2688),
    [anon_sym_set] = ACTIONS(2688),
    [anon_sym_declare] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_override] = ACTIONS(2688),
    [anon_sym_module] = ACTIONS(2688),
    [anon_sym_any] = ACTIONS(2688),
    [anon_sym_number] = ACTIONS(2688),
    [anon_sym_boolean] = ACTIONS(2688),
    [anon_sym_string] = ACTIONS(2688),
    [anon_sym_symbol] = ACTIONS(2688),
    [anon_sym_object] = ACTIONS(2688),
    [anon_sym_property] = ACTIONS(2688),
    [anon_sym_signal] = ACTIONS(2688),
    [anon_sym_on] = ACTIONS(2688),
    [anon_sym_required] = ACTIONS(2688),
    [anon_sym_component] = ACTIONS(2688),
    [anon_sym_abstract] = ACTIONS(2688),
    [anon_sym_interface] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_export] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_type] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2692),
    [anon_sym_import] = ACTIONS(2692),
    [anon_sym_from] = ACTIONS(2692),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_var] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2694),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym_await] = ACTIONS(2692),
    [anon_sym_of] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_debugger] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_async] = ACTIONS(2692),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_SLASH] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_void] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2694),
    [sym_number] = ACTIONS(2694),
    [sym_private_property_identifier] = ACTIONS(2694),
    [sym_this] = ACTIONS(2692),
    [sym_super] = ACTIONS(2692),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [sym_null] = ACTIONS(2692),
    [sym_undefined] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_readonly] = ACTIONS(2692),
    [anon_sym_get] = ACTIONS(2692),
    [anon_sym_set] = ACTIONS(2692),
    [anon_sym_declare] = ACTIONS(2692),
    [anon_sym_public] = ACTIONS(2692),
    [anon_sym_private] = ACTIONS(2692),
    [anon_sym_protected] = ACTIONS(2692),
    [anon_sym_override] = ACTIONS(2692),
    [anon_sym_module] = ACTIONS(2692),
    [anon_sym_any] = ACTIONS(2692),
    [anon_sym_number] = ACTIONS(2692),
    [anon_sym_boolean] = ACTIONS(2692),
    [anon_sym_string] = ACTIONS(2692),
    [anon_sym_symbol] = ACTIONS(2692),
    [anon_sym_object] = ACTIONS(2692),
    [anon_sym_property] = ACTIONS(2692),
    [anon_sym_signal] = ACTIONS(2692),
    [anon_sym_on] = ACTIONS(2692),
    [anon_sym_required] = ACTIONS(2692),
    [anon_sym_component] = ACTIONS(2692),
    [anon_sym_abstract] = ACTIONS(2692),
    [anon_sym_interface] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_export] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2696),
    [anon_sym_import] = ACTIONS(2696),
    [anon_sym_from] = ACTIONS(2696),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_var] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym_await] = ACTIONS(2696),
    [anon_sym_of] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_debugger] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_async] = ACTIONS(2696),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_SLASH] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_void] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2698),
    [sym_number] = ACTIONS(2698),
    [sym_private_property_identifier] = ACTIONS(2698),
    [sym_this] = ACTIONS(2696),
    [sym_super] = ACTIONS(2696),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [sym_null] = ACTIONS(2696),
    [sym_undefined] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_readonly] = ACTIONS(2696),
    [anon_sym_get] = ACTIONS(2696),
    [anon_sym_set] = ACTIONS(2696),
    [anon_sym_declare] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_override] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_any] = ACTIONS(2696),
    [anon_sym_number] = ACTIONS(2696),
    [anon_sym_boolean] = ACTIONS(2696),
    [anon_sym_string] = ACTIONS(2696),
    [anon_sym_symbol] = ACTIONS(2696),
    [anon_sym_object] = ACTIONS(2696),
    [anon_sym_property] = ACTIONS(2696),
    [anon_sym_signal] = ACTIONS(2696),
    [anon_sym_on] = ACTIONS(2696),
    [anon_sym_required] = ACTIONS(2696),
    [anon_sym_component] = ACTIONS(2696),
    [anon_sym_abstract] = ACTIONS(2696),
    [anon_sym_interface] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_export] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_type] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2700),
    [anon_sym_import] = ACTIONS(2700),
    [anon_sym_from] = ACTIONS(2700),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_var] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_await] = ACTIONS(2700),
    [anon_sym_of] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_debugger] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_async] = ACTIONS(2700),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_void] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2702),
    [sym_number] = ACTIONS(2702),
    [sym_private_property_identifier] = ACTIONS(2702),
    [sym_this] = ACTIONS(2700),
    [sym_super] = ACTIONS(2700),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [sym_null] = ACTIONS(2700),
    [sym_undefined] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_readonly] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2700),
    [anon_sym_any] = ACTIONS(2700),
    [anon_sym_number] = ACTIONS(2700),
    [anon_sym_boolean] = ACTIONS(2700),
    [anon_sym_string] = ACTIONS(2700),
    [anon_sym_symbol] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_property] = ACTIONS(2700),
    [anon_sym_signal] = ACTIONS(2700),
    [anon_sym_on] = ACTIONS(2700),
    [anon_sym_required] = ACTIONS(2700),
    [anon_sym_component] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_interface] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_export] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_type] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2688),
    [anon_sym_import] = ACTIONS(2688),
    [anon_sym_from] = ACTIONS(2688),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_var] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym_await] = ACTIONS(2688),
    [anon_sym_of] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_debugger] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_async] = ACTIONS(2688),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_void] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2690),
    [sym_number] = ACTIONS(2690),
    [sym_private_property_identifier] = ACTIONS(2690),
    [sym_this] = ACTIONS(2688),
    [sym_super] = ACTIONS(2688),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [sym_null] = ACTIONS(2688),
    [sym_undefined] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_readonly] = ACTIONS(2688),
    [anon_sym_get] = ACTIONS(2688),
    [anon_sym_set] = ACTIONS(2688),
    [anon_sym_declare] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_override] = ACTIONS(2688),
    [anon_sym_module] = ACTIONS(2688),
    [anon_sym_any] = ACTIONS(2688),
    [anon_sym_number] = ACTIONS(2688),
    [anon_sym_boolean] = ACTIONS(2688),
    [anon_sym_string] = ACTIONS(2688),
    [anon_sym_symbol] = ACTIONS(2688),
    [anon_sym_object] = ACTIONS(2688),
    [anon_sym_property] = ACTIONS(2688),
    [anon_sym_signal] = ACTIONS(2688),
    [anon_sym_on] = ACTIONS(2688),
    [anon_sym_required] = ACTIONS(2688),
    [anon_sym_component] = ACTIONS(2688),
    [anon_sym_abstract] = ACTIONS(2688),
    [anon_sym_interface] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_import] = ACTIONS(2704),
    [anon_sym_from] = ACTIONS(2704),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_var] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_await] = ACTIONS(2704),
    [anon_sym_of] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_debugger] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_private_property_identifier] = ACTIONS(2706),
    [sym_this] = ACTIONS(2704),
    [sym_super] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2704),
    [anon_sym_set] = ACTIONS(2704),
    [anon_sym_declare] = ACTIONS(2704),
    [anon_sym_public] = ACTIONS(2704),
    [anon_sym_private] = ACTIONS(2704),
    [anon_sym_protected] = ACTIONS(2704),
    [anon_sym_override] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_property] = ACTIONS(2704),
    [anon_sym_signal] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [anon_sym_required] = ACTIONS(2704),
    [anon_sym_component] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_interface] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_import] = ACTIONS(2704),
    [anon_sym_from] = ACTIONS(2704),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_var] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_await] = ACTIONS(2704),
    [anon_sym_of] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_debugger] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_private_property_identifier] = ACTIONS(2706),
    [sym_this] = ACTIONS(2704),
    [sym_super] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2704),
    [anon_sym_set] = ACTIONS(2704),
    [anon_sym_declare] = ACTIONS(2704),
    [anon_sym_public] = ACTIONS(2704),
    [anon_sym_private] = ACTIONS(2704),
    [anon_sym_protected] = ACTIONS(2704),
    [anon_sym_override] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_property] = ACTIONS(2704),
    [anon_sym_signal] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [anon_sym_required] = ACTIONS(2704),
    [anon_sym_component] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_interface] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2708),
    [anon_sym_import] = ACTIONS(2708),
    [anon_sym_from] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_var] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym_await] = ACTIONS(2708),
    [anon_sym_of] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_debugger] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_async] = ACTIONS(2708),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_SLASH] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_void] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2710),
    [sym_number] = ACTIONS(2710),
    [sym_private_property_identifier] = ACTIONS(2710),
    [sym_this] = ACTIONS(2708),
    [sym_super] = ACTIONS(2708),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [sym_null] = ACTIONS(2708),
    [sym_undefined] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_object] = ACTIONS(2708),
    [anon_sym_property] = ACTIONS(2708),
    [anon_sym_signal] = ACTIONS(2708),
    [anon_sym_on] = ACTIONS(2708),
    [anon_sym_required] = ACTIONS(2708),
    [anon_sym_component] = ACTIONS(2708),
    [anon_sym_abstract] = ACTIONS(2708),
    [anon_sym_interface] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_export] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_type] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2712),
    [anon_sym_from] = ACTIONS(2712),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_var] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym_await] = ACTIONS(2712),
    [anon_sym_of] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_debugger] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_async] = ACTIONS(2712),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_void] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2714),
    [sym_number] = ACTIONS(2714),
    [sym_private_property_identifier] = ACTIONS(2714),
    [sym_this] = ACTIONS(2712),
    [sym_super] = ACTIONS(2712),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [sym_null] = ACTIONS(2712),
    [sym_undefined] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_readonly] = ACTIONS(2712),
    [anon_sym_get] = ACTIONS(2712),
    [anon_sym_set] = ACTIONS(2712),
    [anon_sym_declare] = ACTIONS(2712),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_override] = ACTIONS(2712),
    [anon_sym_module] = ACTIONS(2712),
    [anon_sym_any] = ACTIONS(2712),
    [anon_sym_number] = ACTIONS(2712),
    [anon_sym_boolean] = ACTIONS(2712),
    [anon_sym_string] = ACTIONS(2712),
    [anon_sym_symbol] = ACTIONS(2712),
    [anon_sym_object] = ACTIONS(2712),
    [anon_sym_property] = ACTIONS(2712),
    [anon_sym_signal] = ACTIONS(2712),
    [anon_sym_on] = ACTIONS(2712),
    [anon_sym_required] = ACTIONS(2712),
    [anon_sym_component] = ACTIONS(2712),
    [anon_sym_abstract] = ACTIONS(2712),
    [anon_sym_interface] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2716),
    [anon_sym_from] = ACTIONS(2716),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_var] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2716),
    [anon_sym_of] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_debugger] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_SLASH] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2716),
    [sym_super] = ACTIONS(2716),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [sym_null] = ACTIONS(2716),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2716),
    [anon_sym_set] = ACTIONS(2716),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_property] = ACTIONS(2716),
    [anon_sym_signal] = ACTIONS(2716),
    [anon_sym_on] = ACTIONS(2716),
    [anon_sym_required] = ACTIONS(2716),
    [anon_sym_component] = ACTIONS(2716),
    [anon_sym_abstract] = ACTIONS(2716),
    [anon_sym_interface] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_from] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_of] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2722),
    [sym_number] = ACTIONS(2722),
    [sym_private_property_identifier] = ACTIONS(2722),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_property] = ACTIONS(2720),
    [anon_sym_signal] = ACTIONS(2720),
    [anon_sym_on] = ACTIONS(2720),
    [anon_sym_required] = ACTIONS(2720),
    [anon_sym_component] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_export] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_type] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2724),
    [anon_sym_import] = ACTIONS(2724),
    [anon_sym_from] = ACTIONS(2724),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_var] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_await] = ACTIONS(2724),
    [anon_sym_of] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_debugger] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_async] = ACTIONS(2724),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_void] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2726),
    [sym_number] = ACTIONS(2726),
    [sym_private_property_identifier] = ACTIONS(2726),
    [sym_this] = ACTIONS(2724),
    [sym_super] = ACTIONS(2724),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [sym_null] = ACTIONS(2724),
    [sym_undefined] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_readonly] = ACTIONS(2724),
    [anon_sym_get] = ACTIONS(2724),
    [anon_sym_set] = ACTIONS(2724),
    [anon_sym_declare] = ACTIONS(2724),
    [anon_sym_public] = ACTIONS(2724),
    [anon_sym_private] = ACTIONS(2724),
    [anon_sym_protected] = ACTIONS(2724),
    [anon_sym_override] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_any] = ACTIONS(2724),
    [anon_sym_number] = ACTIONS(2724),
    [anon_sym_boolean] = ACTIONS(2724),
    [anon_sym_string] = ACTIONS(2724),
    [anon_sym_symbol] = ACTIONS(2724),
    [anon_sym_object] = ACTIONS(2724),
    [anon_sym_property] = ACTIONS(2724),
    [anon_sym_signal] = ACTIONS(2724),
    [anon_sym_on] = ACTIONS(2724),
    [anon_sym_required] = ACTIONS(2724),
    [anon_sym_component] = ACTIONS(2724),
    [anon_sym_abstract] = ACTIONS(2724),
    [anon_sym_interface] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_export] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2728),
    [anon_sym_import] = ACTIONS(2728),
    [anon_sym_from] = ACTIONS(2728),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_var] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_await] = ACTIONS(2728),
    [anon_sym_of] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_debugger] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_async] = ACTIONS(2728),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_void] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2730),
    [sym_number] = ACTIONS(2730),
    [sym_private_property_identifier] = ACTIONS(2730),
    [sym_this] = ACTIONS(2728),
    [sym_super] = ACTIONS(2728),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [sym_null] = ACTIONS(2728),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_readonly] = ACTIONS(2728),
    [anon_sym_get] = ACTIONS(2728),
    [anon_sym_set] = ACTIONS(2728),
    [anon_sym_declare] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_override] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_any] = ACTIONS(2728),
    [anon_sym_number] = ACTIONS(2728),
    [anon_sym_boolean] = ACTIONS(2728),
    [anon_sym_string] = ACTIONS(2728),
    [anon_sym_symbol] = ACTIONS(2728),
    [anon_sym_object] = ACTIONS(2728),
    [anon_sym_property] = ACTIONS(2728),
    [anon_sym_signal] = ACTIONS(2728),
    [anon_sym_on] = ACTIONS(2728),
    [anon_sym_required] = ACTIONS(2728),
    [anon_sym_component] = ACTIONS(2728),
    [anon_sym_abstract] = ACTIONS(2728),
    [anon_sym_interface] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_export] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2728),
    [anon_sym_import] = ACTIONS(2728),
    [anon_sym_from] = ACTIONS(2728),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_var] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_await] = ACTIONS(2728),
    [anon_sym_of] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_debugger] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_async] = ACTIONS(2728),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_void] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2730),
    [sym_number] = ACTIONS(2730),
    [sym_private_property_identifier] = ACTIONS(2730),
    [sym_this] = ACTIONS(2728),
    [sym_super] = ACTIONS(2728),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [sym_null] = ACTIONS(2728),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_readonly] = ACTIONS(2728),
    [anon_sym_get] = ACTIONS(2728),
    [anon_sym_set] = ACTIONS(2728),
    [anon_sym_declare] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_override] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_any] = ACTIONS(2728),
    [anon_sym_number] = ACTIONS(2728),
    [anon_sym_boolean] = ACTIONS(2728),
    [anon_sym_string] = ACTIONS(2728),
    [anon_sym_symbol] = ACTIONS(2728),
    [anon_sym_object] = ACTIONS(2728),
    [anon_sym_property] = ACTIONS(2728),
    [anon_sym_signal] = ACTIONS(2728),
    [anon_sym_on] = ACTIONS(2728),
    [anon_sym_required] = ACTIONS(2728),
    [anon_sym_component] = ACTIONS(2728),
    [anon_sym_abstract] = ACTIONS(2728),
    [anon_sym_interface] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_export] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_type] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2732),
    [anon_sym_import] = ACTIONS(2732),
    [anon_sym_from] = ACTIONS(2732),
    [anon_sym_with] = ACTIONS(2732),
    [anon_sym_var] = ACTIONS(2732),
    [anon_sym_let] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_await] = ACTIONS(2732),
    [anon_sym_of] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_debugger] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_yield] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_async] = ACTIONS(2732),
    [anon_sym_function] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_void] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2734),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [sym_this] = ACTIONS(2732),
    [sym_super] = ACTIONS(2732),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [sym_null] = ACTIONS(2732),
    [sym_undefined] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_declare] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_override] = ACTIONS(2732),
    [anon_sym_module] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_object] = ACTIONS(2732),
    [anon_sym_property] = ACTIONS(2732),
    [anon_sym_signal] = ACTIONS(2732),
    [anon_sym_on] = ACTIONS(2732),
    [anon_sym_required] = ACTIONS(2732),
    [anon_sym_component] = ACTIONS(2732),
    [anon_sym_abstract] = ACTIONS(2732),
    [anon_sym_interface] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_export] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_type] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2736),
    [anon_sym_import] = ACTIONS(2736),
    [anon_sym_from] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2736),
    [anon_sym_var] = ACTIONS(2736),
    [anon_sym_let] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_await] = ACTIONS(2736),
    [anon_sym_of] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_debugger] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_void] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2738),
    [sym_number] = ACTIONS(2738),
    [sym_private_property_identifier] = ACTIONS(2738),
    [sym_this] = ACTIONS(2736),
    [sym_super] = ACTIONS(2736),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [sym_null] = ACTIONS(2736),
    [sym_undefined] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_readonly] = ACTIONS(2736),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_declare] = ACTIONS(2736),
    [anon_sym_public] = ACTIONS(2736),
    [anon_sym_private] = ACTIONS(2736),
    [anon_sym_protected] = ACTIONS(2736),
    [anon_sym_override] = ACTIONS(2736),
    [anon_sym_module] = ACTIONS(2736),
    [anon_sym_any] = ACTIONS(2736),
    [anon_sym_number] = ACTIONS(2736),
    [anon_sym_boolean] = ACTIONS(2736),
    [anon_sym_string] = ACTIONS(2736),
    [anon_sym_symbol] = ACTIONS(2736),
    [anon_sym_object] = ACTIONS(2736),
    [anon_sym_property] = ACTIONS(2736),
    [anon_sym_signal] = ACTIONS(2736),
    [anon_sym_on] = ACTIONS(2736),
    [anon_sym_required] = ACTIONS(2736),
    [anon_sym_component] = ACTIONS(2736),
    [anon_sym_abstract] = ACTIONS(2736),
    [anon_sym_interface] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_namespace] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_typeof] = ACTIONS(2008),
    [anon_sym_import] = ACTIONS(2008),
    [anon_sym_from] = ACTIONS(2008),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_var] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_switch] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_await] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_debugger] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_case] = ACTIONS(2008),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_using] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [anon_sym_void] = ACTIONS(2008),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [anon_sym_DQUOTE] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2010),
    [sym_number] = ACTIONS(2010),
    [sym_private_property_identifier] = ACTIONS(2010),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(2008),
    [sym_true] = ACTIONS(2008),
    [sym_false] = ACTIONS(2008),
    [sym_null] = ACTIONS(2008),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_readonly] = ACTIONS(2008),
    [anon_sym_get] = ACTIONS(2008),
    [anon_sym_set] = ACTIONS(2008),
    [anon_sym_declare] = ACTIONS(2008),
    [anon_sym_public] = ACTIONS(2008),
    [anon_sym_private] = ACTIONS(2008),
    [anon_sym_protected] = ACTIONS(2008),
    [anon_sym_override] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_any] = ACTIONS(2008),
    [anon_sym_number] = ACTIONS(2008),
    [anon_sym_boolean] = ACTIONS(2008),
    [anon_sym_string] = ACTIONS(2008),
    [anon_sym_symbol] = ACTIONS(2008),
    [anon_sym_object] = ACTIONS(2008),
    [anon_sym_property] = ACTIONS(2008),
    [anon_sym_signal] = ACTIONS(2008),
    [anon_sym_on] = ACTIONS(2008),
    [anon_sym_required] = ACTIONS(2008),
    [anon_sym_component] = ACTIONS(2008),
    [anon_sym_abstract] = ACTIONS(2008),
    [anon_sym_interface] = ACTIONS(2008),
    [anon_sym_enum] = ACTIONS(2008),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_export] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_type] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2740),
    [anon_sym_import] = ACTIONS(2740),
    [anon_sym_from] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2740),
    [anon_sym_var] = ACTIONS(2740),
    [anon_sym_let] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_await] = ACTIONS(2740),
    [anon_sym_of] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_debugger] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_async] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_void] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_number] = ACTIONS(2742),
    [sym_private_property_identifier] = ACTIONS(2742),
    [sym_this] = ACTIONS(2740),
    [sym_super] = ACTIONS(2740),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [sym_null] = ACTIONS(2740),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_readonly] = ACTIONS(2740),
    [anon_sym_get] = ACTIONS(2740),
    [anon_sym_set] = ACTIONS(2740),
    [anon_sym_declare] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_override] = ACTIONS(2740),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_any] = ACTIONS(2740),
    [anon_sym_number] = ACTIONS(2740),
    [anon_sym_boolean] = ACTIONS(2740),
    [anon_sym_string] = ACTIONS(2740),
    [anon_sym_symbol] = ACTIONS(2740),
    [anon_sym_object] = ACTIONS(2740),
    [anon_sym_property] = ACTIONS(2740),
    [anon_sym_signal] = ACTIONS(2740),
    [anon_sym_on] = ACTIONS(2740),
    [anon_sym_required] = ACTIONS(2740),
    [anon_sym_component] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2740),
    [anon_sym_interface] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_from] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_of] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_private_property_identifier] = ACTIONS(2746),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_declare] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_module] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_object] = ACTIONS(2744),
    [anon_sym_property] = ACTIONS(2744),
    [anon_sym_signal] = ACTIONS(2744),
    [anon_sym_on] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_component] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_interface] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_export] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2748),
    [anon_sym_import] = ACTIONS(2748),
    [anon_sym_from] = ACTIONS(2748),
    [anon_sym_with] = ACTIONS(2748),
    [anon_sym_var] = ACTIONS(2748),
    [anon_sym_let] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_await] = ACTIONS(2748),
    [anon_sym_of] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_debugger] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_yield] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_async] = ACTIONS(2748),
    [anon_sym_function] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_void] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2750),
    [sym_number] = ACTIONS(2750),
    [sym_private_property_identifier] = ACTIONS(2750),
    [sym_this] = ACTIONS(2748),
    [sym_super] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [sym_null] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_readonly] = ACTIONS(2748),
    [anon_sym_get] = ACTIONS(2748),
    [anon_sym_set] = ACTIONS(2748),
    [anon_sym_declare] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_override] = ACTIONS(2748),
    [anon_sym_module] = ACTIONS(2748),
    [anon_sym_any] = ACTIONS(2748),
    [anon_sym_number] = ACTIONS(2748),
    [anon_sym_boolean] = ACTIONS(2748),
    [anon_sym_string] = ACTIONS(2748),
    [anon_sym_symbol] = ACTIONS(2748),
    [anon_sym_object] = ACTIONS(2748),
    [anon_sym_property] = ACTIONS(2748),
    [anon_sym_signal] = ACTIONS(2748),
    [anon_sym_on] = ACTIONS(2748),
    [anon_sym_required] = ACTIONS(2748),
    [anon_sym_component] = ACTIONS(2748),
    [anon_sym_abstract] = ACTIONS(2748),
    [anon_sym_interface] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_export] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_type] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2752),
    [anon_sym_from] = ACTIONS(2752),
    [anon_sym_with] = ACTIONS(2752),
    [anon_sym_var] = ACTIONS(2752),
    [anon_sym_let] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_await] = ACTIONS(2752),
    [anon_sym_of] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_debugger] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_yield] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_async] = ACTIONS(2752),
    [anon_sym_function] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_void] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2754),
    [sym_number] = ACTIONS(2754),
    [sym_private_property_identifier] = ACTIONS(2754),
    [sym_this] = ACTIONS(2752),
    [sym_super] = ACTIONS(2752),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [sym_null] = ACTIONS(2752),
    [sym_undefined] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_readonly] = ACTIONS(2752),
    [anon_sym_get] = ACTIONS(2752),
    [anon_sym_set] = ACTIONS(2752),
    [anon_sym_declare] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_override] = ACTIONS(2752),
    [anon_sym_module] = ACTIONS(2752),
    [anon_sym_any] = ACTIONS(2752),
    [anon_sym_number] = ACTIONS(2752),
    [anon_sym_boolean] = ACTIONS(2752),
    [anon_sym_string] = ACTIONS(2752),
    [anon_sym_symbol] = ACTIONS(2752),
    [anon_sym_object] = ACTIONS(2752),
    [anon_sym_property] = ACTIONS(2752),
    [anon_sym_signal] = ACTIONS(2752),
    [anon_sym_on] = ACTIONS(2752),
    [anon_sym_required] = ACTIONS(2752),
    [anon_sym_component] = ACTIONS(2752),
    [anon_sym_abstract] = ACTIONS(2752),
    [anon_sym_interface] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_export] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_type] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2752),
    [anon_sym_from] = ACTIONS(2752),
    [anon_sym_with] = ACTIONS(2752),
    [anon_sym_var] = ACTIONS(2752),
    [anon_sym_let] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_await] = ACTIONS(2752),
    [anon_sym_of] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_debugger] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_yield] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_async] = ACTIONS(2752),
    [anon_sym_function] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_void] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2754),
    [sym_number] = ACTIONS(2754),
    [sym_private_property_identifier] = ACTIONS(2754),
    [sym_this] = ACTIONS(2752),
    [sym_super] = ACTIONS(2752),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [sym_null] = ACTIONS(2752),
    [sym_undefined] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_readonly] = ACTIONS(2752),
    [anon_sym_get] = ACTIONS(2752),
    [anon_sym_set] = ACTIONS(2752),
    [anon_sym_declare] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_override] = ACTIONS(2752),
    [anon_sym_module] = ACTIONS(2752),
    [anon_sym_any] = ACTIONS(2752),
    [anon_sym_number] = ACTIONS(2752),
    [anon_sym_boolean] = ACTIONS(2752),
    [anon_sym_string] = ACTIONS(2752),
    [anon_sym_symbol] = ACTIONS(2752),
    [anon_sym_object] = ACTIONS(2752),
    [anon_sym_property] = ACTIONS(2752),
    [anon_sym_signal] = ACTIONS(2752),
    [anon_sym_on] = ACTIONS(2752),
    [anon_sym_required] = ACTIONS(2752),
    [anon_sym_component] = ACTIONS(2752),
    [anon_sym_abstract] = ACTIONS(2752),
    [anon_sym_interface] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2756),
    [anon_sym_export] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_type] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_from] = ACTIONS(2756),
    [anon_sym_with] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2756),
    [anon_sym_let] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_await] = ACTIONS(2756),
    [anon_sym_of] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_debugger] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_yield] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_async] = ACTIONS(2756),
    [anon_sym_function] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_LT] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_void] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2758),
    [sym_number] = ACTIONS(2758),
    [sym_private_property_identifier] = ACTIONS(2758),
    [sym_this] = ACTIONS(2756),
    [sym_super] = ACTIONS(2756),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [sym_null] = ACTIONS(2756),
    [sym_undefined] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_readonly] = ACTIONS(2756),
    [anon_sym_get] = ACTIONS(2756),
    [anon_sym_set] = ACTIONS(2756),
    [anon_sym_declare] = ACTIONS(2756),
    [anon_sym_public] = ACTIONS(2756),
    [anon_sym_private] = ACTIONS(2756),
    [anon_sym_protected] = ACTIONS(2756),
    [anon_sym_override] = ACTIONS(2756),
    [anon_sym_module] = ACTIONS(2756),
    [anon_sym_any] = ACTIONS(2756),
    [anon_sym_number] = ACTIONS(2756),
    [anon_sym_boolean] = ACTIONS(2756),
    [anon_sym_string] = ACTIONS(2756),
    [anon_sym_symbol] = ACTIONS(2756),
    [anon_sym_object] = ACTIONS(2756),
    [anon_sym_property] = ACTIONS(2756),
    [anon_sym_signal] = ACTIONS(2756),
    [anon_sym_on] = ACTIONS(2756),
    [anon_sym_required] = ACTIONS(2756),
    [anon_sym_component] = ACTIONS(2756),
    [anon_sym_abstract] = ACTIONS(2756),
    [anon_sym_interface] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_type] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2760),
    [anon_sym_import] = ACTIONS(2760),
    [anon_sym_from] = ACTIONS(2760),
    [anon_sym_with] = ACTIONS(2760),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_await] = ACTIONS(2760),
    [anon_sym_of] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_debugger] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_yield] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_async] = ACTIONS(2760),
    [anon_sym_function] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_void] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2762),
    [sym_number] = ACTIONS(2762),
    [sym_private_property_identifier] = ACTIONS(2762),
    [sym_this] = ACTIONS(2760),
    [sym_super] = ACTIONS(2760),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [sym_null] = ACTIONS(2760),
    [sym_undefined] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_readonly] = ACTIONS(2760),
    [anon_sym_get] = ACTIONS(2760),
    [anon_sym_set] = ACTIONS(2760),
    [anon_sym_declare] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_override] = ACTIONS(2760),
    [anon_sym_module] = ACTIONS(2760),
    [anon_sym_any] = ACTIONS(2760),
    [anon_sym_number] = ACTIONS(2760),
    [anon_sym_boolean] = ACTIONS(2760),
    [anon_sym_string] = ACTIONS(2760),
    [anon_sym_symbol] = ACTIONS(2760),
    [anon_sym_object] = ACTIONS(2760),
    [anon_sym_property] = ACTIONS(2760),
    [anon_sym_signal] = ACTIONS(2760),
    [anon_sym_on] = ACTIONS(2760),
    [anon_sym_required] = ACTIONS(2760),
    [anon_sym_component] = ACTIONS(2760),
    [anon_sym_abstract] = ACTIONS(2760),
    [anon_sym_interface] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_from] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_of] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_private_property_identifier] = ACTIONS(2746),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_declare] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_module] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_object] = ACTIONS(2744),
    [anon_sym_property] = ACTIONS(2744),
    [anon_sym_signal] = ACTIONS(2744),
    [anon_sym_on] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_component] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_interface] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2764),
    [anon_sym_export] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_type] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_RBRACE] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2764),
    [anon_sym_import] = ACTIONS(2764),
    [anon_sym_from] = ACTIONS(2764),
    [anon_sym_with] = ACTIONS(2764),
    [anon_sym_var] = ACTIONS(2764),
    [anon_sym_let] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym_await] = ACTIONS(2764),
    [anon_sym_of] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_debugger] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_yield] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_async] = ACTIONS(2764),
    [anon_sym_function] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_SLASH] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_void] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2766),
    [sym_number] = ACTIONS(2766),
    [sym_private_property_identifier] = ACTIONS(2766),
    [sym_this] = ACTIONS(2764),
    [sym_super] = ACTIONS(2764),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [sym_null] = ACTIONS(2764),
    [sym_undefined] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_readonly] = ACTIONS(2764),
    [anon_sym_get] = ACTIONS(2764),
    [anon_sym_set] = ACTIONS(2764),
    [anon_sym_declare] = ACTIONS(2764),
    [anon_sym_public] = ACTIONS(2764),
    [anon_sym_private] = ACTIONS(2764),
    [anon_sym_protected] = ACTIONS(2764),
    [anon_sym_override] = ACTIONS(2764),
    [anon_sym_module] = ACTIONS(2764),
    [anon_sym_any] = ACTIONS(2764),
    [anon_sym_number] = ACTIONS(2764),
    [anon_sym_boolean] = ACTIONS(2764),
    [anon_sym_string] = ACTIONS(2764),
    [anon_sym_symbol] = ACTIONS(2764),
    [anon_sym_object] = ACTIONS(2764),
    [anon_sym_property] = ACTIONS(2764),
    [anon_sym_signal] = ACTIONS(2764),
    [anon_sym_on] = ACTIONS(2764),
    [anon_sym_required] = ACTIONS(2764),
    [anon_sym_component] = ACTIONS(2764),
    [anon_sym_abstract] = ACTIONS(2764),
    [anon_sym_interface] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_export] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_type] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2768),
    [anon_sym_import] = ACTIONS(2768),
    [anon_sym_from] = ACTIONS(2768),
    [anon_sym_with] = ACTIONS(2768),
    [anon_sym_var] = ACTIONS(2768),
    [anon_sym_let] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym_await] = ACTIONS(2768),
    [anon_sym_of] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_debugger] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_yield] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_void] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2770),
    [sym_number] = ACTIONS(2770),
    [sym_private_property_identifier] = ACTIONS(2770),
    [sym_this] = ACTIONS(2768),
    [sym_super] = ACTIONS(2768),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [sym_null] = ACTIONS(2768),
    [sym_undefined] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_readonly] = ACTIONS(2768),
    [anon_sym_get] = ACTIONS(2768),
    [anon_sym_set] = ACTIONS(2768),
    [anon_sym_declare] = ACTIONS(2768),
    [anon_sym_public] = ACTIONS(2768),
    [anon_sym_private] = ACTIONS(2768),
    [anon_sym_protected] = ACTIONS(2768),
    [anon_sym_override] = ACTIONS(2768),
    [anon_sym_module] = ACTIONS(2768),
    [anon_sym_any] = ACTIONS(2768),
    [anon_sym_number] = ACTIONS(2768),
    [anon_sym_boolean] = ACTIONS(2768),
    [anon_sym_string] = ACTIONS(2768),
    [anon_sym_symbol] = ACTIONS(2768),
    [anon_sym_object] = ACTIONS(2768),
    [anon_sym_property] = ACTIONS(2768),
    [anon_sym_signal] = ACTIONS(2768),
    [anon_sym_on] = ACTIONS(2768),
    [anon_sym_required] = ACTIONS(2768),
    [anon_sym_component] = ACTIONS(2768),
    [anon_sym_abstract] = ACTIONS(2768),
    [anon_sym_interface] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_export] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_type] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2772),
    [anon_sym_import] = ACTIONS(2772),
    [anon_sym_from] = ACTIONS(2772),
    [anon_sym_with] = ACTIONS(2772),
    [anon_sym_var] = ACTIONS(2772),
    [anon_sym_let] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_await] = ACTIONS(2772),
    [anon_sym_of] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_debugger] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_yield] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2772),
    [anon_sym_function] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_void] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2774),
    [sym_number] = ACTIONS(2774),
    [sym_private_property_identifier] = ACTIONS(2774),
    [sym_this] = ACTIONS(2772),
    [sym_super] = ACTIONS(2772),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [sym_null] = ACTIONS(2772),
    [sym_undefined] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_readonly] = ACTIONS(2772),
    [anon_sym_get] = ACTIONS(2772),
    [anon_sym_set] = ACTIONS(2772),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_public] = ACTIONS(2772),
    [anon_sym_private] = ACTIONS(2772),
    [anon_sym_protected] = ACTIONS(2772),
    [anon_sym_override] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2772),
    [anon_sym_any] = ACTIONS(2772),
    [anon_sym_number] = ACTIONS(2772),
    [anon_sym_boolean] = ACTIONS(2772),
    [anon_sym_string] = ACTIONS(2772),
    [anon_sym_symbol] = ACTIONS(2772),
    [anon_sym_object] = ACTIONS(2772),
    [anon_sym_property] = ACTIONS(2772),
    [anon_sym_signal] = ACTIONS(2772),
    [anon_sym_on] = ACTIONS(2772),
    [anon_sym_required] = ACTIONS(2772),
    [anon_sym_component] = ACTIONS(2772),
    [anon_sym_abstract] = ACTIONS(2772),
    [anon_sym_interface] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2776),
    [anon_sym_export] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_type] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2776),
    [anon_sym_import] = ACTIONS(2776),
    [anon_sym_from] = ACTIONS(2776),
    [anon_sym_with] = ACTIONS(2776),
    [anon_sym_var] = ACTIONS(2776),
    [anon_sym_let] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym_await] = ACTIONS(2776),
    [anon_sym_of] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_debugger] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_yield] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_async] = ACTIONS(2776),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_LT] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_void] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2778),
    [sym_number] = ACTIONS(2778),
    [sym_private_property_identifier] = ACTIONS(2778),
    [sym_this] = ACTIONS(2776),
    [sym_super] = ACTIONS(2776),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [sym_null] = ACTIONS(2776),
    [sym_undefined] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_readonly] = ACTIONS(2776),
    [anon_sym_get] = ACTIONS(2776),
    [anon_sym_set] = ACTIONS(2776),
    [anon_sym_declare] = ACTIONS(2776),
    [anon_sym_public] = ACTIONS(2776),
    [anon_sym_private] = ACTIONS(2776),
    [anon_sym_protected] = ACTIONS(2776),
    [anon_sym_override] = ACTIONS(2776),
    [anon_sym_module] = ACTIONS(2776),
    [anon_sym_any] = ACTIONS(2776),
    [anon_sym_number] = ACTIONS(2776),
    [anon_sym_boolean] = ACTIONS(2776),
    [anon_sym_string] = ACTIONS(2776),
    [anon_sym_symbol] = ACTIONS(2776),
    [anon_sym_object] = ACTIONS(2776),
    [anon_sym_property] = ACTIONS(2776),
    [anon_sym_signal] = ACTIONS(2776),
    [anon_sym_on] = ACTIONS(2776),
    [anon_sym_required] = ACTIONS(2776),
    [anon_sym_component] = ACTIONS(2776),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_interface] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_export] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_type] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2780),
    [anon_sym_import] = ACTIONS(2780),
    [anon_sym_from] = ACTIONS(2780),
    [anon_sym_with] = ACTIONS(2780),
    [anon_sym_var] = ACTIONS(2780),
    [anon_sym_let] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym_await] = ACTIONS(2780),
    [anon_sym_of] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_debugger] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_yield] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_async] = ACTIONS(2780),
    [anon_sym_function] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_void] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2782),
    [sym_number] = ACTIONS(2782),
    [sym_private_property_identifier] = ACTIONS(2782),
    [sym_this] = ACTIONS(2780),
    [sym_super] = ACTIONS(2780),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [sym_null] = ACTIONS(2780),
    [sym_undefined] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_readonly] = ACTIONS(2780),
    [anon_sym_get] = ACTIONS(2780),
    [anon_sym_set] = ACTIONS(2780),
    [anon_sym_declare] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_override] = ACTIONS(2780),
    [anon_sym_module] = ACTIONS(2780),
    [anon_sym_any] = ACTIONS(2780),
    [anon_sym_number] = ACTIONS(2780),
    [anon_sym_boolean] = ACTIONS(2780),
    [anon_sym_string] = ACTIONS(2780),
    [anon_sym_symbol] = ACTIONS(2780),
    [anon_sym_object] = ACTIONS(2780),
    [anon_sym_property] = ACTIONS(2780),
    [anon_sym_signal] = ACTIONS(2780),
    [anon_sym_on] = ACTIONS(2780),
    [anon_sym_required] = ACTIONS(2780),
    [anon_sym_component] = ACTIONS(2780),
    [anon_sym_abstract] = ACTIONS(2780),
    [anon_sym_interface] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2784),
    [anon_sym_export] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2784),
    [anon_sym_import] = ACTIONS(2784),
    [anon_sym_from] = ACTIONS(2784),
    [anon_sym_with] = ACTIONS(2784),
    [anon_sym_var] = ACTIONS(2784),
    [anon_sym_let] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_await] = ACTIONS(2784),
    [anon_sym_of] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_debugger] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_yield] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_async] = ACTIONS(2784),
    [anon_sym_function] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_SLASH] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_void] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2786),
    [sym_number] = ACTIONS(2786),
    [sym_private_property_identifier] = ACTIONS(2786),
    [sym_this] = ACTIONS(2784),
    [sym_super] = ACTIONS(2784),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [sym_null] = ACTIONS(2784),
    [sym_undefined] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_readonly] = ACTIONS(2784),
    [anon_sym_get] = ACTIONS(2784),
    [anon_sym_set] = ACTIONS(2784),
    [anon_sym_declare] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_override] = ACTIONS(2784),
    [anon_sym_module] = ACTIONS(2784),
    [anon_sym_any] = ACTIONS(2784),
    [anon_sym_number] = ACTIONS(2784),
    [anon_sym_boolean] = ACTIONS(2784),
    [anon_sym_string] = ACTIONS(2784),
    [anon_sym_symbol] = ACTIONS(2784),
    [anon_sym_object] = ACTIONS(2784),
    [anon_sym_property] = ACTIONS(2784),
    [anon_sym_signal] = ACTIONS(2784),
    [anon_sym_on] = ACTIONS(2784),
    [anon_sym_required] = ACTIONS(2784),
    [anon_sym_component] = ACTIONS(2784),
    [anon_sym_abstract] = ACTIONS(2784),
    [anon_sym_interface] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_export] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_type] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2788),
    [anon_sym_import] = ACTIONS(2788),
    [anon_sym_from] = ACTIONS(2788),
    [anon_sym_with] = ACTIONS(2788),
    [anon_sym_var] = ACTIONS(2788),
    [anon_sym_let] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym_await] = ACTIONS(2788),
    [anon_sym_of] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_debugger] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_yield] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_async] = ACTIONS(2788),
    [anon_sym_function] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_void] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2790),
    [sym_number] = ACTIONS(2790),
    [sym_private_property_identifier] = ACTIONS(2790),
    [sym_this] = ACTIONS(2788),
    [sym_super] = ACTIONS(2788),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [sym_null] = ACTIONS(2788),
    [sym_undefined] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_readonly] = ACTIONS(2788),
    [anon_sym_get] = ACTIONS(2788),
    [anon_sym_set] = ACTIONS(2788),
    [anon_sym_declare] = ACTIONS(2788),
    [anon_sym_public] = ACTIONS(2788),
    [anon_sym_private] = ACTIONS(2788),
    [anon_sym_protected] = ACTIONS(2788),
    [anon_sym_override] = ACTIONS(2788),
    [anon_sym_module] = ACTIONS(2788),
    [anon_sym_any] = ACTIONS(2788),
    [anon_sym_number] = ACTIONS(2788),
    [anon_sym_boolean] = ACTIONS(2788),
    [anon_sym_string] = ACTIONS(2788),
    [anon_sym_symbol] = ACTIONS(2788),
    [anon_sym_object] = ACTIONS(2788),
    [anon_sym_property] = ACTIONS(2788),
    [anon_sym_signal] = ACTIONS(2788),
    [anon_sym_on] = ACTIONS(2788),
    [anon_sym_required] = ACTIONS(2788),
    [anon_sym_component] = ACTIONS(2788),
    [anon_sym_abstract] = ACTIONS(2788),
    [anon_sym_interface] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_export] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_type] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2792),
    [anon_sym_import] = ACTIONS(2792),
    [anon_sym_from] = ACTIONS(2792),
    [anon_sym_with] = ACTIONS(2792),
    [anon_sym_var] = ACTIONS(2792),
    [anon_sym_let] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym_await] = ACTIONS(2792),
    [anon_sym_of] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_debugger] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_yield] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_async] = ACTIONS(2792),
    [anon_sym_function] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_SLASH] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_void] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2794),
    [sym_number] = ACTIONS(2794),
    [sym_private_property_identifier] = ACTIONS(2794),
    [sym_this] = ACTIONS(2792),
    [sym_super] = ACTIONS(2792),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [sym_null] = ACTIONS(2792),
    [sym_undefined] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_readonly] = ACTIONS(2792),
    [anon_sym_get] = ACTIONS(2792),
    [anon_sym_set] = ACTIONS(2792),
    [anon_sym_declare] = ACTIONS(2792),
    [anon_sym_public] = ACTIONS(2792),
    [anon_sym_private] = ACTIONS(2792),
    [anon_sym_protected] = ACTIONS(2792),
    [anon_sym_override] = ACTIONS(2792),
    [anon_sym_module] = ACTIONS(2792),
    [anon_sym_any] = ACTIONS(2792),
    [anon_sym_number] = ACTIONS(2792),
    [anon_sym_boolean] = ACTIONS(2792),
    [anon_sym_string] = ACTIONS(2792),
    [anon_sym_symbol] = ACTIONS(2792),
    [anon_sym_object] = ACTIONS(2792),
    [anon_sym_property] = ACTIONS(2792),
    [anon_sym_signal] = ACTIONS(2792),
    [anon_sym_on] = ACTIONS(2792),
    [anon_sym_required] = ACTIONS(2792),
    [anon_sym_component] = ACTIONS(2792),
    [anon_sym_abstract] = ACTIONS(2792),
    [anon_sym_interface] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2796),
    [anon_sym_export] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_type] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2796),
    [anon_sym_import] = ACTIONS(2796),
    [anon_sym_from] = ACTIONS(2796),
    [anon_sym_with] = ACTIONS(2796),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym_await] = ACTIONS(2796),
    [anon_sym_of] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_debugger] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_yield] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_async] = ACTIONS(2796),
    [anon_sym_function] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_void] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2798),
    [sym_number] = ACTIONS(2798),
    [sym_private_property_identifier] = ACTIONS(2798),
    [sym_this] = ACTIONS(2796),
    [sym_super] = ACTIONS(2796),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [sym_null] = ACTIONS(2796),
    [sym_undefined] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_readonly] = ACTIONS(2796),
    [anon_sym_get] = ACTIONS(2796),
    [anon_sym_set] = ACTIONS(2796),
    [anon_sym_declare] = ACTIONS(2796),
    [anon_sym_public] = ACTIONS(2796),
    [anon_sym_private] = ACTIONS(2796),
    [anon_sym_protected] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2796),
    [anon_sym_module] = ACTIONS(2796),
    [anon_sym_any] = ACTIONS(2796),
    [anon_sym_number] = ACTIONS(2796),
    [anon_sym_boolean] = ACTIONS(2796),
    [anon_sym_string] = ACTIONS(2796),
    [anon_sym_symbol] = ACTIONS(2796),
    [anon_sym_object] = ACTIONS(2796),
    [anon_sym_property] = ACTIONS(2796),
    [anon_sym_signal] = ACTIONS(2796),
    [anon_sym_on] = ACTIONS(2796),
    [anon_sym_required] = ACTIONS(2796),
    [anon_sym_component] = ACTIONS(2796),
    [anon_sym_abstract] = ACTIONS(2796),
    [anon_sym_interface] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_export] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_type] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1972),
    [anon_sym_import] = ACTIONS(1972),
    [anon_sym_from] = ACTIONS(1972),
    [anon_sym_with] = ACTIONS(1972),
    [anon_sym_var] = ACTIONS(1972),
    [anon_sym_let] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(1972),
    [anon_sym_of] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_debugger] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_yield] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_function] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_void] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1974),
    [sym_number] = ACTIONS(1974),
    [sym_private_property_identifier] = ACTIONS(1974),
    [sym_this] = ACTIONS(1972),
    [sym_super] = ACTIONS(1972),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [sym_null] = ACTIONS(1972),
    [sym_undefined] = ACTIONS(1972),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_readonly] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1972),
    [anon_sym_set] = ACTIONS(1972),
    [anon_sym_declare] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_module] = ACTIONS(1972),
    [anon_sym_any] = ACTIONS(1972),
    [anon_sym_number] = ACTIONS(1972),
    [anon_sym_boolean] = ACTIONS(1972),
    [anon_sym_string] = ACTIONS(1972),
    [anon_sym_symbol] = ACTIONS(1972),
    [anon_sym_object] = ACTIONS(1972),
    [anon_sym_property] = ACTIONS(1972),
    [anon_sym_signal] = ACTIONS(1972),
    [anon_sym_on] = ACTIONS(1972),
    [anon_sym_required] = ACTIONS(1972),
    [anon_sym_component] = ACTIONS(1972),
    [anon_sym_abstract] = ACTIONS(1972),
    [anon_sym_interface] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_export] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_type] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2800),
    [anon_sym_import] = ACTIONS(2800),
    [anon_sym_from] = ACTIONS(2800),
    [anon_sym_with] = ACTIONS(2800),
    [anon_sym_var] = ACTIONS(2800),
    [anon_sym_let] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym_await] = ACTIONS(2800),
    [anon_sym_of] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_debugger] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_yield] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_async] = ACTIONS(2800),
    [anon_sym_function] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_void] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2802),
    [sym_number] = ACTIONS(2802),
    [sym_private_property_identifier] = ACTIONS(2802),
    [sym_this] = ACTIONS(2800),
    [sym_super] = ACTIONS(2800),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [sym_null] = ACTIONS(2800),
    [sym_undefined] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_readonly] = ACTIONS(2800),
    [anon_sym_get] = ACTIONS(2800),
    [anon_sym_set] = ACTIONS(2800),
    [anon_sym_declare] = ACTIONS(2800),
    [anon_sym_public] = ACTIONS(2800),
    [anon_sym_private] = ACTIONS(2800),
    [anon_sym_protected] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2800),
    [anon_sym_module] = ACTIONS(2800),
    [anon_sym_any] = ACTIONS(2800),
    [anon_sym_number] = ACTIONS(2800),
    [anon_sym_boolean] = ACTIONS(2800),
    [anon_sym_string] = ACTIONS(2800),
    [anon_sym_symbol] = ACTIONS(2800),
    [anon_sym_object] = ACTIONS(2800),
    [anon_sym_property] = ACTIONS(2800),
    [anon_sym_signal] = ACTIONS(2800),
    [anon_sym_on] = ACTIONS(2800),
    [anon_sym_required] = ACTIONS(2800),
    [anon_sym_component] = ACTIONS(2800),
    [anon_sym_abstract] = ACTIONS(2800),
    [anon_sym_interface] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2804),
    [anon_sym_export] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_type] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_RBRACE] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2804),
    [anon_sym_import] = ACTIONS(2804),
    [anon_sym_from] = ACTIONS(2804),
    [anon_sym_with] = ACTIONS(2804),
    [anon_sym_var] = ACTIONS(2804),
    [anon_sym_let] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym_await] = ACTIONS(2804),
    [anon_sym_of] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_debugger] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_yield] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2804),
    [anon_sym_function] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_void] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2806),
    [sym_number] = ACTIONS(2806),
    [sym_private_property_identifier] = ACTIONS(2806),
    [sym_this] = ACTIONS(2804),
    [sym_super] = ACTIONS(2804),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [sym_null] = ACTIONS(2804),
    [sym_undefined] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_readonly] = ACTIONS(2804),
    [anon_sym_get] = ACTIONS(2804),
    [anon_sym_set] = ACTIONS(2804),
    [anon_sym_declare] = ACTIONS(2804),
    [anon_sym_public] = ACTIONS(2804),
    [anon_sym_private] = ACTIONS(2804),
    [anon_sym_protected] = ACTIONS(2804),
    [anon_sym_override] = ACTIONS(2804),
    [anon_sym_module] = ACTIONS(2804),
    [anon_sym_any] = ACTIONS(2804),
    [anon_sym_number] = ACTIONS(2804),
    [anon_sym_boolean] = ACTIONS(2804),
    [anon_sym_string] = ACTIONS(2804),
    [anon_sym_symbol] = ACTIONS(2804),
    [anon_sym_object] = ACTIONS(2804),
    [anon_sym_property] = ACTIONS(2804),
    [anon_sym_signal] = ACTIONS(2804),
    [anon_sym_on] = ACTIONS(2804),
    [anon_sym_required] = ACTIONS(2804),
    [anon_sym_component] = ACTIONS(2804),
    [anon_sym_abstract] = ACTIONS(2804),
    [anon_sym_interface] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2808),
    [anon_sym_export] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_type] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_typeof] = ACTIONS(2808),
    [anon_sym_import] = ACTIONS(2808),
    [anon_sym_from] = ACTIONS(2808),
    [anon_sym_with] = ACTIONS(2808),
    [anon_sym_var] = ACTIONS(2808),
    [anon_sym_let] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym_await] = ACTIONS(2808),
    [anon_sym_of] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_debugger] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_yield] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_async] = ACTIONS(2808),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_SLASH] = ACTIONS(2808),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_void] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2810),
    [sym_number] = ACTIONS(2810),
    [sym_private_property_identifier] = ACTIONS(2810),
    [sym_this] = ACTIONS(2808),
    [sym_super] = ACTIONS(2808),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [sym_null] = ACTIONS(2808),
    [sym_undefined] = ACTIONS(2808),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_readonly] = ACTIONS(2808),
    [anon_sym_get] = ACTIONS(2808),
    [anon_sym_set] = ACTIONS(2808),
    [anon_sym_declare] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_override] = ACTIONS(2808),
    [anon_sym_module] = ACTIONS(2808),
    [anon_sym_any] = ACTIONS(2808),
    [anon_sym_number] = ACTIONS(2808),
    [anon_sym_boolean] = ACTIONS(2808),
    [anon_sym_string] = ACTIONS(2808),
    [anon_sym_symbol] = ACTIONS(2808),
    [anon_sym_object] = ACTIONS(2808),
    [anon_sym_property] = ACTIONS(2808),
    [anon_sym_signal] = ACTIONS(2808),
    [anon_sym_on] = ACTIONS(2808),
    [anon_sym_required] = ACTIONS(2808),
    [anon_sym_component] = ACTIONS(2808),
    [anon_sym_abstract] = ACTIONS(2808),
    [anon_sym_interface] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2812),
    [anon_sym_export] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_type] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_import] = ACTIONS(2812),
    [anon_sym_from] = ACTIONS(2812),
    [anon_sym_with] = ACTIONS(2812),
    [anon_sym_var] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym_await] = ACTIONS(2812),
    [anon_sym_of] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_debugger] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_yield] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_function] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2812),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_void] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2814),
    [sym_number] = ACTIONS(2814),
    [sym_private_property_identifier] = ACTIONS(2814),
    [sym_this] = ACTIONS(2812),
    [sym_super] = ACTIONS(2812),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [sym_null] = ACTIONS(2812),
    [sym_undefined] = ACTIONS(2812),
    [anon_sym_AT] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_readonly] = ACTIONS(2812),
    [anon_sym_get] = ACTIONS(2812),
    [anon_sym_set] = ACTIONS(2812),
    [anon_sym_declare] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_override] = ACTIONS(2812),
    [anon_sym_module] = ACTIONS(2812),
    [anon_sym_any] = ACTIONS(2812),
    [anon_sym_number] = ACTIONS(2812),
    [anon_sym_boolean] = ACTIONS(2812),
    [anon_sym_string] = ACTIONS(2812),
    [anon_sym_symbol] = ACTIONS(2812),
    [anon_sym_object] = ACTIONS(2812),
    [anon_sym_property] = ACTIONS(2812),
    [anon_sym_signal] = ACTIONS(2812),
    [anon_sym_on] = ACTIONS(2812),
    [anon_sym_required] = ACTIONS(2812),
    [anon_sym_component] = ACTIONS(2812),
    [anon_sym_abstract] = ACTIONS(2812),
    [anon_sym_interface] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2816),
    [anon_sym_export] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_type] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_import] = ACTIONS(2816),
    [anon_sym_from] = ACTIONS(2816),
    [anon_sym_with] = ACTIONS(2816),
    [anon_sym_var] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_await] = ACTIONS(2816),
    [anon_sym_of] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_debugger] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_yield] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_async] = ACTIONS(2816),
    [anon_sym_function] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_SLASH] = ACTIONS(2816),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_void] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2818),
    [sym_number] = ACTIONS(2818),
    [sym_private_property_identifier] = ACTIONS(2818),
    [sym_this] = ACTIONS(2816),
    [sym_super] = ACTIONS(2816),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [sym_null] = ACTIONS(2816),
    [sym_undefined] = ACTIONS(2816),
    [anon_sym_AT] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_readonly] = ACTIONS(2816),
    [anon_sym_get] = ACTIONS(2816),
    [anon_sym_set] = ACTIONS(2816),
    [anon_sym_declare] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_override] = ACTIONS(2816),
    [anon_sym_module] = ACTIONS(2816),
    [anon_sym_any] = ACTIONS(2816),
    [anon_sym_number] = ACTIONS(2816),
    [anon_sym_boolean] = ACTIONS(2816),
    [anon_sym_string] = ACTIONS(2816),
    [anon_sym_symbol] = ACTIONS(2816),
    [anon_sym_object] = ACTIONS(2816),
    [anon_sym_property] = ACTIONS(2816),
    [anon_sym_signal] = ACTIONS(2816),
    [anon_sym_on] = ACTIONS(2816),
    [anon_sym_required] = ACTIONS(2816),
    [anon_sym_component] = ACTIONS(2816),
    [anon_sym_abstract] = ACTIONS(2816),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_export] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_type] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_import] = ACTIONS(2820),
    [anon_sym_from] = ACTIONS(2820),
    [anon_sym_with] = ACTIONS(2820),
    [anon_sym_var] = ACTIONS(2820),
    [anon_sym_let] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym_await] = ACTIONS(2820),
    [anon_sym_of] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_debugger] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_yield] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_async] = ACTIONS(2820),
    [anon_sym_function] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_SLASH] = ACTIONS(2820),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_void] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2822),
    [sym_number] = ACTIONS(2822),
    [sym_private_property_identifier] = ACTIONS(2822),
    [sym_this] = ACTIONS(2820),
    [sym_super] = ACTIONS(2820),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [sym_null] = ACTIONS(2820),
    [sym_undefined] = ACTIONS(2820),
    [anon_sym_AT] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_readonly] = ACTIONS(2820),
    [anon_sym_get] = ACTIONS(2820),
    [anon_sym_set] = ACTIONS(2820),
    [anon_sym_declare] = ACTIONS(2820),
    [anon_sym_public] = ACTIONS(2820),
    [anon_sym_private] = ACTIONS(2820),
    [anon_sym_protected] = ACTIONS(2820),
    [anon_sym_override] = ACTIONS(2820),
    [anon_sym_module] = ACTIONS(2820),
    [anon_sym_any] = ACTIONS(2820),
    [anon_sym_number] = ACTIONS(2820),
    [anon_sym_boolean] = ACTIONS(2820),
    [anon_sym_string] = ACTIONS(2820),
    [anon_sym_symbol] = ACTIONS(2820),
    [anon_sym_object] = ACTIONS(2820),
    [anon_sym_property] = ACTIONS(2820),
    [anon_sym_signal] = ACTIONS(2820),
    [anon_sym_on] = ACTIONS(2820),
    [anon_sym_required] = ACTIONS(2820),
    [anon_sym_component] = ACTIONS(2820),
    [anon_sym_abstract] = ACTIONS(2820),
    [anon_sym_interface] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_export] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_import] = ACTIONS(2824),
    [anon_sym_from] = ACTIONS(2824),
    [anon_sym_with] = ACTIONS(2824),
    [anon_sym_var] = ACTIONS(2824),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym_await] = ACTIONS(2824),
    [anon_sym_of] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_debugger] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_yield] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_async] = ACTIONS(2824),
    [anon_sym_function] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_SLASH] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_void] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2826),
    [sym_number] = ACTIONS(2826),
    [sym_private_property_identifier] = ACTIONS(2826),
    [sym_this] = ACTIONS(2824),
    [sym_super] = ACTIONS(2824),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [sym_null] = ACTIONS(2824),
    [sym_undefined] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_readonly] = ACTIONS(2824),
    [anon_sym_get] = ACTIONS(2824),
    [anon_sym_set] = ACTIONS(2824),
    [anon_sym_declare] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_override] = ACTIONS(2824),
    [anon_sym_module] = ACTIONS(2824),
    [anon_sym_any] = ACTIONS(2824),
    [anon_sym_number] = ACTIONS(2824),
    [anon_sym_boolean] = ACTIONS(2824),
    [anon_sym_string] = ACTIONS(2824),
    [anon_sym_symbol] = ACTIONS(2824),
    [anon_sym_object] = ACTIONS(2824),
    [anon_sym_property] = ACTIONS(2824),
    [anon_sym_signal] = ACTIONS(2824),
    [anon_sym_on] = ACTIONS(2824),
    [anon_sym_required] = ACTIONS(2824),
    [anon_sym_component] = ACTIONS(2824),
    [anon_sym_abstract] = ACTIONS(2824),
    [anon_sym_interface] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_export] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_type] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_import] = ACTIONS(2828),
    [anon_sym_from] = ACTIONS(2828),
    [anon_sym_with] = ACTIONS(2828),
    [anon_sym_var] = ACTIONS(2828),
    [anon_sym_let] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym_await] = ACTIONS(2828),
    [anon_sym_of] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_debugger] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_yield] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_async] = ACTIONS(2828),
    [anon_sym_function] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_void] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2830),
    [sym_number] = ACTIONS(2830),
    [sym_private_property_identifier] = ACTIONS(2830),
    [sym_this] = ACTIONS(2828),
    [sym_super] = ACTIONS(2828),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [sym_null] = ACTIONS(2828),
    [sym_undefined] = ACTIONS(2828),
    [anon_sym_AT] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_readonly] = ACTIONS(2828),
    [anon_sym_get] = ACTIONS(2828),
    [anon_sym_set] = ACTIONS(2828),
    [anon_sym_declare] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_override] = ACTIONS(2828),
    [anon_sym_module] = ACTIONS(2828),
    [anon_sym_any] = ACTIONS(2828),
    [anon_sym_number] = ACTIONS(2828),
    [anon_sym_boolean] = ACTIONS(2828),
    [anon_sym_string] = ACTIONS(2828),
    [anon_sym_symbol] = ACTIONS(2828),
    [anon_sym_object] = ACTIONS(2828),
    [anon_sym_property] = ACTIONS(2828),
    [anon_sym_signal] = ACTIONS(2828),
    [anon_sym_on] = ACTIONS(2828),
    [anon_sym_required] = ACTIONS(2828),
    [anon_sym_component] = ACTIONS(2828),
    [anon_sym_abstract] = ACTIONS(2828),
    [anon_sym_interface] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_export] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_type] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_from] = ACTIONS(2832),
    [anon_sym_with] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2832),
    [anon_sym_let] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym_await] = ACTIONS(2832),
    [anon_sym_of] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_debugger] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_yield] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_async] = ACTIONS(2832),
    [anon_sym_function] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_void] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2834),
    [sym_number] = ACTIONS(2834),
    [sym_private_property_identifier] = ACTIONS(2834),
    [sym_this] = ACTIONS(2832),
    [sym_super] = ACTIONS(2832),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [sym_null] = ACTIONS(2832),
    [sym_undefined] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_readonly] = ACTIONS(2832),
    [anon_sym_get] = ACTIONS(2832),
    [anon_sym_set] = ACTIONS(2832),
    [anon_sym_declare] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_override] = ACTIONS(2832),
    [anon_sym_module] = ACTIONS(2832),
    [anon_sym_any] = ACTIONS(2832),
    [anon_sym_number] = ACTIONS(2832),
    [anon_sym_boolean] = ACTIONS(2832),
    [anon_sym_string] = ACTIONS(2832),
    [anon_sym_symbol] = ACTIONS(2832),
    [anon_sym_object] = ACTIONS(2832),
    [anon_sym_property] = ACTIONS(2832),
    [anon_sym_signal] = ACTIONS(2832),
    [anon_sym_on] = ACTIONS(2832),
    [anon_sym_required] = ACTIONS(2832),
    [anon_sym_component] = ACTIONS(2832),
    [anon_sym_abstract] = ACTIONS(2832),
    [anon_sym_interface] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_export] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_type] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_from] = ACTIONS(2836),
    [anon_sym_with] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2836),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym_await] = ACTIONS(2836),
    [anon_sym_of] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_debugger] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_yield] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_async] = ACTIONS(2836),
    [anon_sym_function] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_void] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2838),
    [sym_number] = ACTIONS(2838),
    [sym_private_property_identifier] = ACTIONS(2838),
    [sym_this] = ACTIONS(2836),
    [sym_super] = ACTIONS(2836),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [sym_null] = ACTIONS(2836),
    [sym_undefined] = ACTIONS(2836),
    [anon_sym_AT] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_readonly] = ACTIONS(2836),
    [anon_sym_get] = ACTIONS(2836),
    [anon_sym_set] = ACTIONS(2836),
    [anon_sym_declare] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_override] = ACTIONS(2836),
    [anon_sym_module] = ACTIONS(2836),
    [anon_sym_any] = ACTIONS(2836),
    [anon_sym_number] = ACTIONS(2836),
    [anon_sym_boolean] = ACTIONS(2836),
    [anon_sym_string] = ACTIONS(2836),
    [anon_sym_symbol] = ACTIONS(2836),
    [anon_sym_object] = ACTIONS(2836),
    [anon_sym_property] = ACTIONS(2836),
    [anon_sym_signal] = ACTIONS(2836),
    [anon_sym_on] = ACTIONS(2836),
    [anon_sym_required] = ACTIONS(2836),
    [anon_sym_component] = ACTIONS(2836),
    [anon_sym_abstract] = ACTIONS(2836),
    [anon_sym_interface] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2840),
    [anon_sym_export] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_type] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_from] = ACTIONS(2840),
    [anon_sym_with] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_else] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym_await] = ACTIONS(2840),
    [anon_sym_of] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_debugger] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_yield] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_function] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_SLASH] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_void] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2842),
    [sym_number] = ACTIONS(2842),
    [sym_private_property_identifier] = ACTIONS(2842),
    [sym_this] = ACTIONS(2840),
    [sym_super] = ACTIONS(2840),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [sym_null] = ACTIONS(2840),
    [sym_undefined] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_readonly] = ACTIONS(2840),
    [anon_sym_get] = ACTIONS(2840),
    [anon_sym_set] = ACTIONS(2840),
    [anon_sym_declare] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_module] = ACTIONS(2840),
    [anon_sym_any] = ACTIONS(2840),
    [anon_sym_number] = ACTIONS(2840),
    [anon_sym_boolean] = ACTIONS(2840),
    [anon_sym_string] = ACTIONS(2840),
    [anon_sym_symbol] = ACTIONS(2840),
    [anon_sym_object] = ACTIONS(2840),
    [anon_sym_property] = ACTIONS(2840),
    [anon_sym_signal] = ACTIONS(2840),
    [anon_sym_on] = ACTIONS(2840),
    [anon_sym_required] = ACTIONS(2840),
    [anon_sym_component] = ACTIONS(2840),
    [anon_sym_abstract] = ACTIONS(2840),
    [anon_sym_interface] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2844),
    [anon_sym_export] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_type] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_import] = ACTIONS(2844),
    [anon_sym_from] = ACTIONS(2844),
    [anon_sym_with] = ACTIONS(2844),
    [anon_sym_var] = ACTIONS(2844),
    [anon_sym_let] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym_await] = ACTIONS(2844),
    [anon_sym_of] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_debugger] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_yield] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_SLASH] = ACTIONS(2844),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_void] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2846),
    [sym_number] = ACTIONS(2846),
    [sym_private_property_identifier] = ACTIONS(2846),
    [sym_this] = ACTIONS(2844),
    [sym_super] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_null] = ACTIONS(2844),
    [sym_undefined] = ACTIONS(2844),
    [anon_sym_AT] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_readonly] = ACTIONS(2844),
    [anon_sym_get] = ACTIONS(2844),
    [anon_sym_set] = ACTIONS(2844),
    [anon_sym_declare] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_override] = ACTIONS(2844),
    [anon_sym_module] = ACTIONS(2844),
    [anon_sym_any] = ACTIONS(2844),
    [anon_sym_number] = ACTIONS(2844),
    [anon_sym_boolean] = ACTIONS(2844),
    [anon_sym_string] = ACTIONS(2844),
    [anon_sym_symbol] = ACTIONS(2844),
    [anon_sym_object] = ACTIONS(2844),
    [anon_sym_property] = ACTIONS(2844),
    [anon_sym_signal] = ACTIONS(2844),
    [anon_sym_on] = ACTIONS(2844),
    [anon_sym_required] = ACTIONS(2844),
    [anon_sym_component] = ACTIONS(2844),
    [anon_sym_abstract] = ACTIONS(2844),
    [anon_sym_interface] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_export] = ACTIONS(1976),
    [anon_sym_default] = ACTIONS(1976),
    [anon_sym_type] = ACTIONS(1976),
    [anon_sym_namespace] = ACTIONS(1976),
    [anon_sym_LBRACE] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1976),
    [anon_sym_import] = ACTIONS(1976),
    [anon_sym_from] = ACTIONS(1976),
    [anon_sym_with] = ACTIONS(1976),
    [anon_sym_var] = ACTIONS(1976),
    [anon_sym_let] = ACTIONS(1976),
    [anon_sym_const] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1978),
    [anon_sym_else] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_switch] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(1976),
    [anon_sym_of] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_debugger] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_case] = ACTIONS(1976),
    [anon_sym_yield] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_class] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_function] = ACTIONS(1976),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_using] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_SLASH] = ACTIONS(1976),
    [anon_sym_LT] = ACTIONS(1978),
    [anon_sym_TILDE] = ACTIONS(1978),
    [anon_sym_void] = ACTIONS(1976),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(1978),
    [anon_sym_SQUOTE] = ACTIONS(1978),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1978),
    [sym_number] = ACTIONS(1978),
    [sym_private_property_identifier] = ACTIONS(1978),
    [sym_this] = ACTIONS(1976),
    [sym_super] = ACTIONS(1976),
    [sym_true] = ACTIONS(1976),
    [sym_false] = ACTIONS(1976),
    [sym_null] = ACTIONS(1976),
    [sym_undefined] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1976),
    [anon_sym_readonly] = ACTIONS(1976),
    [anon_sym_get] = ACTIONS(1976),
    [anon_sym_set] = ACTIONS(1976),
    [anon_sym_declare] = ACTIONS(1976),
    [anon_sym_public] = ACTIONS(1976),
    [anon_sym_private] = ACTIONS(1976),
    [anon_sym_protected] = ACTIONS(1976),
    [anon_sym_override] = ACTIONS(1976),
    [anon_sym_module] = ACTIONS(1976),
    [anon_sym_any] = ACTIONS(1976),
    [anon_sym_number] = ACTIONS(1976),
    [anon_sym_boolean] = ACTIONS(1976),
    [anon_sym_string] = ACTIONS(1976),
    [anon_sym_symbol] = ACTIONS(1976),
    [anon_sym_object] = ACTIONS(1976),
    [anon_sym_property] = ACTIONS(1976),
    [anon_sym_signal] = ACTIONS(1976),
    [anon_sym_on] = ACTIONS(1976),
    [anon_sym_required] = ACTIONS(1976),
    [anon_sym_component] = ACTIONS(1976),
    [anon_sym_abstract] = ACTIONS(1976),
    [anon_sym_interface] = ACTIONS(1976),
    [anon_sym_enum] = ACTIONS(1976),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_export] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_type] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_import] = ACTIONS(2848),
    [anon_sym_from] = ACTIONS(2848),
    [anon_sym_with] = ACTIONS(2848),
    [anon_sym_var] = ACTIONS(2848),
    [anon_sym_let] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_LPAREN] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym_await] = ACTIONS(2848),
    [anon_sym_of] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_debugger] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_yield] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_async] = ACTIONS(2848),
    [anon_sym_function] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_SLASH] = ACTIONS(2848),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_void] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2850),
    [sym_number] = ACTIONS(2850),
    [sym_private_property_identifier] = ACTIONS(2850),
    [sym_this] = ACTIONS(2848),
    [sym_super] = ACTIONS(2848),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [sym_null] = ACTIONS(2848),
    [sym_undefined] = ACTIONS(2848),
    [anon_sym_AT] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_readonly] = ACTIONS(2848),
    [anon_sym_get] = ACTIONS(2848),
    [anon_sym_set] = ACTIONS(2848),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_override] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2848),
    [anon_sym_any] = ACTIONS(2848),
    [anon_sym_number] = ACTIONS(2848),
    [anon_sym_boolean] = ACTIONS(2848),
    [anon_sym_string] = ACTIONS(2848),
    [anon_sym_symbol] = ACTIONS(2848),
    [anon_sym_object] = ACTIONS(2848),
    [anon_sym_property] = ACTIONS(2848),
    [anon_sym_signal] = ACTIONS(2848),
    [anon_sym_on] = ACTIONS(2848),
    [anon_sym_required] = ACTIONS(2848),
    [anon_sym_component] = ACTIONS(2848),
    [anon_sym_abstract] = ACTIONS(2848),
    [anon_sym_interface] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2852),
    [anon_sym_export] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_type] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_from] = ACTIONS(2852),
    [anon_sym_with] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym_await] = ACTIONS(2852),
    [anon_sym_of] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_debugger] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_yield] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_function] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_SLASH] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_void] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2854),
    [sym_number] = ACTIONS(2854),
    [sym_private_property_identifier] = ACTIONS(2854),
    [sym_this] = ACTIONS(2852),
    [sym_super] = ACTIONS(2852),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [sym_null] = ACTIONS(2852),
    [sym_undefined] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_readonly] = ACTIONS(2852),
    [anon_sym_get] = ACTIONS(2852),
    [anon_sym_set] = ACTIONS(2852),
    [anon_sym_declare] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_protected] = ACTIONS(2852),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_module] = ACTIONS(2852),
    [anon_sym_any] = ACTIONS(2852),
    [anon_sym_number] = ACTIONS(2852),
    [anon_sym_boolean] = ACTIONS(2852),
    [anon_sym_string] = ACTIONS(2852),
    [anon_sym_symbol] = ACTIONS(2852),
    [anon_sym_object] = ACTIONS(2852),
    [anon_sym_property] = ACTIONS(2852),
    [anon_sym_signal] = ACTIONS(2852),
    [anon_sym_on] = ACTIONS(2852),
    [anon_sym_required] = ACTIONS(2852),
    [anon_sym_component] = ACTIONS(2852),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_interface] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_export] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_type] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_import] = ACTIONS(2856),
    [anon_sym_from] = ACTIONS(2856),
    [anon_sym_with] = ACTIONS(2856),
    [anon_sym_var] = ACTIONS(2856),
    [anon_sym_let] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym_await] = ACTIONS(2856),
    [anon_sym_of] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_debugger] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_yield] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_async] = ACTIONS(2856),
    [anon_sym_function] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_SLASH] = ACTIONS(2856),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_void] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2858),
    [sym_number] = ACTIONS(2858),
    [sym_private_property_identifier] = ACTIONS(2858),
    [sym_this] = ACTIONS(2856),
    [sym_super] = ACTIONS(2856),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [sym_null] = ACTIONS(2856),
    [sym_undefined] = ACTIONS(2856),
    [anon_sym_AT] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_readonly] = ACTIONS(2856),
    [anon_sym_get] = ACTIONS(2856),
    [anon_sym_set] = ACTIONS(2856),
    [anon_sym_declare] = ACTIONS(2856),
    [anon_sym_public] = ACTIONS(2856),
    [anon_sym_private] = ACTIONS(2856),
    [anon_sym_protected] = ACTIONS(2856),
    [anon_sym_override] = ACTIONS(2856),
    [anon_sym_module] = ACTIONS(2856),
    [anon_sym_any] = ACTIONS(2856),
    [anon_sym_number] = ACTIONS(2856),
    [anon_sym_boolean] = ACTIONS(2856),
    [anon_sym_string] = ACTIONS(2856),
    [anon_sym_symbol] = ACTIONS(2856),
    [anon_sym_object] = ACTIONS(2856),
    [anon_sym_property] = ACTIONS(2856),
    [anon_sym_signal] = ACTIONS(2856),
    [anon_sym_on] = ACTIONS(2856),
    [anon_sym_required] = ACTIONS(2856),
    [anon_sym_component] = ACTIONS(2856),
    [anon_sym_abstract] = ACTIONS(2856),
    [anon_sym_interface] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_export] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_import] = ACTIONS(2860),
    [anon_sym_from] = ACTIONS(2860),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_var] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym_await] = ACTIONS(2860),
    [anon_sym_of] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_debugger] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_async] = ACTIONS(2860),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_SLASH] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_void] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2862),
    [sym_number] = ACTIONS(2862),
    [sym_private_property_identifier] = ACTIONS(2862),
    [sym_this] = ACTIONS(2860),
    [sym_super] = ACTIONS(2860),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [sym_null] = ACTIONS(2860),
    [sym_undefined] = ACTIONS(2860),
    [anon_sym_AT] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_readonly] = ACTIONS(2860),
    [anon_sym_get] = ACTIONS(2860),
    [anon_sym_set] = ACTIONS(2860),
    [anon_sym_declare] = ACTIONS(2860),
    [anon_sym_public] = ACTIONS(2860),
    [anon_sym_private] = ACTIONS(2860),
    [anon_sym_protected] = ACTIONS(2860),
    [anon_sym_override] = ACTIONS(2860),
    [anon_sym_module] = ACTIONS(2860),
    [anon_sym_any] = ACTIONS(2860),
    [anon_sym_number] = ACTIONS(2860),
    [anon_sym_boolean] = ACTIONS(2860),
    [anon_sym_string] = ACTIONS(2860),
    [anon_sym_symbol] = ACTIONS(2860),
    [anon_sym_object] = ACTIONS(2860),
    [anon_sym_property] = ACTIONS(2860),
    [anon_sym_signal] = ACTIONS(2860),
    [anon_sym_on] = ACTIONS(2860),
    [anon_sym_required] = ACTIONS(2860),
    [anon_sym_component] = ACTIONS(2860),
    [anon_sym_abstract] = ACTIONS(2860),
    [anon_sym_interface] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_export] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_typeof] = ACTIONS(2864),
    [anon_sym_import] = ACTIONS(2864),
    [anon_sym_from] = ACTIONS(2864),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_var] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym_await] = ACTIONS(2864),
    [anon_sym_of] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_debugger] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_async] = ACTIONS(2864),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_SLASH] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_void] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2866),
    [sym_number] = ACTIONS(2866),
    [sym_private_property_identifier] = ACTIONS(2866),
    [sym_this] = ACTIONS(2864),
    [sym_super] = ACTIONS(2864),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [sym_null] = ACTIONS(2864),
    [sym_undefined] = ACTIONS(2864),
    [anon_sym_AT] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_readonly] = ACTIONS(2864),
    [anon_sym_get] = ACTIONS(2864),
    [anon_sym_set] = ACTIONS(2864),
    [anon_sym_declare] = ACTIONS(2864),
    [anon_sym_public] = ACTIONS(2864),
    [anon_sym_private] = ACTIONS(2864),
    [anon_sym_protected] = ACTIONS(2864),
    [anon_sym_override] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_any] = ACTIONS(2864),
    [anon_sym_number] = ACTIONS(2864),
    [anon_sym_boolean] = ACTIONS(2864),
    [anon_sym_string] = ACTIONS(2864),
    [anon_sym_symbol] = ACTIONS(2864),
    [anon_sym_object] = ACTIONS(2864),
    [anon_sym_property] = ACTIONS(2864),
    [anon_sym_signal] = ACTIONS(2864),
    [anon_sym_on] = ACTIONS(2864),
    [anon_sym_required] = ACTIONS(2864),
    [anon_sym_component] = ACTIONS(2864),
    [anon_sym_abstract] = ACTIONS(2864),
    [anon_sym_interface] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_export] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_type] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_import] = ACTIONS(2868),
    [anon_sym_from] = ACTIONS(2868),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_var] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym_await] = ACTIONS(2868),
    [anon_sym_of] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_debugger] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_async] = ACTIONS(2868),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_SLASH] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_void] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2870),
    [sym_number] = ACTIONS(2870),
    [sym_private_property_identifier] = ACTIONS(2870),
    [sym_this] = ACTIONS(2868),
    [sym_super] = ACTIONS(2868),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [sym_null] = ACTIONS(2868),
    [sym_undefined] = ACTIONS(2868),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_readonly] = ACTIONS(2868),
    [anon_sym_get] = ACTIONS(2868),
    [anon_sym_set] = ACTIONS(2868),
    [anon_sym_declare] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_override] = ACTIONS(2868),
    [anon_sym_module] = ACTIONS(2868),
    [anon_sym_any] = ACTIONS(2868),
    [anon_sym_number] = ACTIONS(2868),
    [anon_sym_boolean] = ACTIONS(2868),
    [anon_sym_string] = ACTIONS(2868),
    [anon_sym_symbol] = ACTIONS(2868),
    [anon_sym_object] = ACTIONS(2868),
    [anon_sym_property] = ACTIONS(2868),
    [anon_sym_signal] = ACTIONS(2868),
    [anon_sym_on] = ACTIONS(2868),
    [anon_sym_required] = ACTIONS(2868),
    [anon_sym_component] = ACTIONS(2868),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_interface] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_export] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_type] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_import] = ACTIONS(2872),
    [anon_sym_from] = ACTIONS(2872),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_else] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym_await] = ACTIONS(2872),
    [anon_sym_of] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_debugger] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_async] = ACTIONS(2872),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_SLASH] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_void] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2874),
    [sym_number] = ACTIONS(2874),
    [sym_private_property_identifier] = ACTIONS(2874),
    [sym_this] = ACTIONS(2872),
    [sym_super] = ACTIONS(2872),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [sym_null] = ACTIONS(2872),
    [sym_undefined] = ACTIONS(2872),
    [anon_sym_AT] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_readonly] = ACTIONS(2872),
    [anon_sym_get] = ACTIONS(2872),
    [anon_sym_set] = ACTIONS(2872),
    [anon_sym_declare] = ACTIONS(2872),
    [anon_sym_public] = ACTIONS(2872),
    [anon_sym_private] = ACTIONS(2872),
    [anon_sym_protected] = ACTIONS(2872),
    [anon_sym_override] = ACTIONS(2872),
    [anon_sym_module] = ACTIONS(2872),
    [anon_sym_any] = ACTIONS(2872),
    [anon_sym_number] = ACTIONS(2872),
    [anon_sym_boolean] = ACTIONS(2872),
    [anon_sym_string] = ACTIONS(2872),
    [anon_sym_symbol] = ACTIONS(2872),
    [anon_sym_object] = ACTIONS(2872),
    [anon_sym_property] = ACTIONS(2872),
    [anon_sym_signal] = ACTIONS(2872),
    [anon_sym_on] = ACTIONS(2872),
    [anon_sym_required] = ACTIONS(2872),
    [anon_sym_component] = ACTIONS(2872),
    [anon_sym_abstract] = ACTIONS(2872),
    [anon_sym_interface] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_export] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_type] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_typeof] = ACTIONS(2876),
    [anon_sym_import] = ACTIONS(2876),
    [anon_sym_from] = ACTIONS(2876),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2876),
    [anon_sym_of] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_debugger] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_async] = ACTIONS(2876),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_void] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2878),
    [sym_number] = ACTIONS(2878),
    [sym_private_property_identifier] = ACTIONS(2878),
    [sym_this] = ACTIONS(2876),
    [sym_super] = ACTIONS(2876),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [sym_null] = ACTIONS(2876),
    [sym_undefined] = ACTIONS(2876),
    [anon_sym_AT] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_readonly] = ACTIONS(2876),
    [anon_sym_get] = ACTIONS(2876),
    [anon_sym_set] = ACTIONS(2876),
    [anon_sym_declare] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2876),
    [anon_sym_module] = ACTIONS(2876),
    [anon_sym_any] = ACTIONS(2876),
    [anon_sym_number] = ACTIONS(2876),
    [anon_sym_boolean] = ACTIONS(2876),
    [anon_sym_string] = ACTIONS(2876),
    [anon_sym_symbol] = ACTIONS(2876),
    [anon_sym_object] = ACTIONS(2876),
    [anon_sym_property] = ACTIONS(2876),
    [anon_sym_signal] = ACTIONS(2876),
    [anon_sym_on] = ACTIONS(2876),
    [anon_sym_required] = ACTIONS(2876),
    [anon_sym_component] = ACTIONS(2876),
    [anon_sym_abstract] = ACTIONS(2876),
    [anon_sym_interface] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_export] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_type] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_typeof] = ACTIONS(2880),
    [anon_sym_import] = ACTIONS(2880),
    [anon_sym_from] = ACTIONS(2880),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_var] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym_await] = ACTIONS(2880),
    [anon_sym_of] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_debugger] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_async] = ACTIONS(2880),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_void] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2882),
    [sym_number] = ACTIONS(2882),
    [sym_private_property_identifier] = ACTIONS(2882),
    [sym_this] = ACTIONS(2880),
    [sym_super] = ACTIONS(2880),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [sym_null] = ACTIONS(2880),
    [sym_undefined] = ACTIONS(2880),
    [anon_sym_AT] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_readonly] = ACTIONS(2880),
    [anon_sym_get] = ACTIONS(2880),
    [anon_sym_set] = ACTIONS(2880),
    [anon_sym_declare] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2880),
    [anon_sym_module] = ACTIONS(2880),
    [anon_sym_any] = ACTIONS(2880),
    [anon_sym_number] = ACTIONS(2880),
    [anon_sym_boolean] = ACTIONS(2880),
    [anon_sym_string] = ACTIONS(2880),
    [anon_sym_symbol] = ACTIONS(2880),
    [anon_sym_object] = ACTIONS(2880),
    [anon_sym_property] = ACTIONS(2880),
    [anon_sym_signal] = ACTIONS(2880),
    [anon_sym_on] = ACTIONS(2880),
    [anon_sym_required] = ACTIONS(2880),
    [anon_sym_component] = ACTIONS(2880),
    [anon_sym_abstract] = ACTIONS(2880),
    [anon_sym_interface] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_export] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_type] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_typeof] = ACTIONS(2884),
    [anon_sym_import] = ACTIONS(2884),
    [anon_sym_from] = ACTIONS(2884),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_var] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym_await] = ACTIONS(2884),
    [anon_sym_of] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_debugger] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2884),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_void] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2886),
    [sym_number] = ACTIONS(2886),
    [sym_private_property_identifier] = ACTIONS(2886),
    [sym_this] = ACTIONS(2884),
    [sym_super] = ACTIONS(2884),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [sym_null] = ACTIONS(2884),
    [sym_undefined] = ACTIONS(2884),
    [anon_sym_AT] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_readonly] = ACTIONS(2884),
    [anon_sym_get] = ACTIONS(2884),
    [anon_sym_set] = ACTIONS(2884),
    [anon_sym_declare] = ACTIONS(2884),
    [anon_sym_public] = ACTIONS(2884),
    [anon_sym_private] = ACTIONS(2884),
    [anon_sym_protected] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2884),
    [anon_sym_module] = ACTIONS(2884),
    [anon_sym_any] = ACTIONS(2884),
    [anon_sym_number] = ACTIONS(2884),
    [anon_sym_boolean] = ACTIONS(2884),
    [anon_sym_string] = ACTIONS(2884),
    [anon_sym_symbol] = ACTIONS(2884),
    [anon_sym_object] = ACTIONS(2884),
    [anon_sym_property] = ACTIONS(2884),
    [anon_sym_signal] = ACTIONS(2884),
    [anon_sym_on] = ACTIONS(2884),
    [anon_sym_required] = ACTIONS(2884),
    [anon_sym_component] = ACTIONS(2884),
    [anon_sym_abstract] = ACTIONS(2884),
    [anon_sym_interface] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_export] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_typeof] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_from] = ACTIONS(2888),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2890),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym_await] = ACTIONS(2888),
    [anon_sym_of] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_debugger] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2890),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_SLASH] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_void] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2890),
    [sym_number] = ACTIONS(2890),
    [sym_private_property_identifier] = ACTIONS(2890),
    [sym_this] = ACTIONS(2888),
    [sym_super] = ACTIONS(2888),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [sym_null] = ACTIONS(2888),
    [sym_undefined] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_readonly] = ACTIONS(2888),
    [anon_sym_get] = ACTIONS(2888),
    [anon_sym_set] = ACTIONS(2888),
    [anon_sym_declare] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_protected] = ACTIONS(2888),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_any] = ACTIONS(2888),
    [anon_sym_number] = ACTIONS(2888),
    [anon_sym_boolean] = ACTIONS(2888),
    [anon_sym_string] = ACTIONS(2888),
    [anon_sym_symbol] = ACTIONS(2888),
    [anon_sym_object] = ACTIONS(2888),
    [anon_sym_property] = ACTIONS(2888),
    [anon_sym_signal] = ACTIONS(2888),
    [anon_sym_on] = ACTIONS(2888),
    [anon_sym_required] = ACTIONS(2888),
    [anon_sym_component] = ACTIONS(2888),
    [anon_sym_abstract] = ACTIONS(2888),
    [anon_sym_interface] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_export] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_type] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_typeof] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_from] = ACTIONS(2892),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym_await] = ACTIONS(2892),
    [anon_sym_of] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_debugger] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_SLASH] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_void] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2894),
    [sym_number] = ACTIONS(2894),
    [sym_private_property_identifier] = ACTIONS(2894),
    [sym_this] = ACTIONS(2892),
    [sym_super] = ACTIONS(2892),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [sym_null] = ACTIONS(2892),
    [sym_undefined] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_readonly] = ACTIONS(2892),
    [anon_sym_get] = ACTIONS(2892),
    [anon_sym_set] = ACTIONS(2892),
    [anon_sym_declare] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_any] = ACTIONS(2892),
    [anon_sym_number] = ACTIONS(2892),
    [anon_sym_boolean] = ACTIONS(2892),
    [anon_sym_string] = ACTIONS(2892),
    [anon_sym_symbol] = ACTIONS(2892),
    [anon_sym_object] = ACTIONS(2892),
    [anon_sym_property] = ACTIONS(2892),
    [anon_sym_signal] = ACTIONS(2892),
    [anon_sym_on] = ACTIONS(2892),
    [anon_sym_required] = ACTIONS(2892),
    [anon_sym_component] = ACTIONS(2892),
    [anon_sym_abstract] = ACTIONS(2892),
    [anon_sym_interface] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_export] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(2898),
    [anon_sym_typeof] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_from] = ACTIONS(2896),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym_await] = ACTIONS(2896),
    [anon_sym_of] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_debugger] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_SLASH] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_void] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2898),
    [sym_number] = ACTIONS(2898),
    [sym_private_property_identifier] = ACTIONS(2898),
    [sym_this] = ACTIONS(2896),
    [sym_super] = ACTIONS(2896),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [sym_null] = ACTIONS(2896),
    [sym_undefined] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_readonly] = ACTIONS(2896),
    [anon_sym_get] = ACTIONS(2896),
    [anon_sym_set] = ACTIONS(2896),
    [anon_sym_declare] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_protected] = ACTIONS(2896),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_any] = ACTIONS(2896),
    [anon_sym_number] = ACTIONS(2896),
    [anon_sym_boolean] = ACTIONS(2896),
    [anon_sym_string] = ACTIONS(2896),
    [anon_sym_symbol] = ACTIONS(2896),
    [anon_sym_object] = ACTIONS(2896),
    [anon_sym_property] = ACTIONS(2896),
    [anon_sym_signal] = ACTIONS(2896),
    [anon_sym_on] = ACTIONS(2896),
    [anon_sym_required] = ACTIONS(2896),
    [anon_sym_component] = ACTIONS(2896),
    [anon_sym_abstract] = ACTIONS(2896),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_RBRACE] = ACTIONS(2902),
    [anon_sym_typeof] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_from] = ACTIONS(2900),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym_await] = ACTIONS(2900),
    [anon_sym_of] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_debugger] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_SLASH] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_void] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2902),
    [sym_number] = ACTIONS(2902),
    [sym_private_property_identifier] = ACTIONS(2902),
    [sym_this] = ACTIONS(2900),
    [sym_super] = ACTIONS(2900),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [sym_null] = ACTIONS(2900),
    [sym_undefined] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_property] = ACTIONS(2900),
    [anon_sym_signal] = ACTIONS(2900),
    [anon_sym_on] = ACTIONS(2900),
    [anon_sym_required] = ACTIONS(2900),
    [anon_sym_component] = ACTIONS(2900),
    [anon_sym_abstract] = ACTIONS(2900),
    [anon_sym_interface] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_type] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_RBRACE] = ACTIONS(2906),
    [anon_sym_typeof] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2904),
    [anon_sym_from] = ACTIONS(2904),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_var] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym_await] = ACTIONS(2904),
    [anon_sym_of] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_debugger] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_async] = ACTIONS(2904),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_SLASH] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_void] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2906),
    [sym_number] = ACTIONS(2906),
    [sym_private_property_identifier] = ACTIONS(2906),
    [sym_this] = ACTIONS(2904),
    [sym_super] = ACTIONS(2904),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [sym_null] = ACTIONS(2904),
    [sym_undefined] = ACTIONS(2904),
    [anon_sym_AT] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2904),
    [anon_sym_set] = ACTIONS(2904),
    [anon_sym_declare] = ACTIONS(2904),
    [anon_sym_public] = ACTIONS(2904),
    [anon_sym_private] = ACTIONS(2904),
    [anon_sym_protected] = ACTIONS(2904),
    [anon_sym_override] = ACTIONS(2904),
    [anon_sym_module] = ACTIONS(2904),
    [anon_sym_any] = ACTIONS(2904),
    [anon_sym_number] = ACTIONS(2904),
    [anon_sym_boolean] = ACTIONS(2904),
    [anon_sym_string] = ACTIONS(2904),
    [anon_sym_symbol] = ACTIONS(2904),
    [anon_sym_object] = ACTIONS(2904),
    [anon_sym_property] = ACTIONS(2904),
    [anon_sym_signal] = ACTIONS(2904),
    [anon_sym_on] = ACTIONS(2904),
    [anon_sym_required] = ACTIONS(2904),
    [anon_sym_component] = ACTIONS(2904),
    [anon_sym_abstract] = ACTIONS(2904),
    [anon_sym_interface] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_export] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_type] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_typeof] = ACTIONS(2908),
    [anon_sym_import] = ACTIONS(2908),
    [anon_sym_from] = ACTIONS(2908),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_var] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_await] = ACTIONS(2908),
    [anon_sym_of] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_debugger] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_async] = ACTIONS(2908),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_void] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2910),
    [sym_number] = ACTIONS(2910),
    [sym_private_property_identifier] = ACTIONS(2910),
    [sym_this] = ACTIONS(2908),
    [sym_super] = ACTIONS(2908),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [sym_null] = ACTIONS(2908),
    [sym_undefined] = ACTIONS(2908),
    [anon_sym_AT] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_readonly] = ACTIONS(2908),
    [anon_sym_get] = ACTIONS(2908),
    [anon_sym_set] = ACTIONS(2908),
    [anon_sym_declare] = ACTIONS(2908),
    [anon_sym_public] = ACTIONS(2908),
    [anon_sym_private] = ACTIONS(2908),
    [anon_sym_protected] = ACTIONS(2908),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2908),
    [anon_sym_any] = ACTIONS(2908),
    [anon_sym_number] = ACTIONS(2908),
    [anon_sym_boolean] = ACTIONS(2908),
    [anon_sym_string] = ACTIONS(2908),
    [anon_sym_symbol] = ACTIONS(2908),
    [anon_sym_object] = ACTIONS(2908),
    [anon_sym_property] = ACTIONS(2908),
    [anon_sym_signal] = ACTIONS(2908),
    [anon_sym_on] = ACTIONS(2908),
    [anon_sym_required] = ACTIONS(2908),
    [anon_sym_component] = ACTIONS(2908),
    [anon_sym_abstract] = ACTIONS(2908),
    [anon_sym_interface] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_typeof] = ACTIONS(2912),
    [anon_sym_import] = ACTIONS(2912),
    [anon_sym_from] = ACTIONS(2912),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_var] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym_await] = ACTIONS(2912),
    [anon_sym_of] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_debugger] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_void] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2914),
    [sym_number] = ACTIONS(2914),
    [sym_private_property_identifier] = ACTIONS(2914),
    [sym_this] = ACTIONS(2912),
    [sym_super] = ACTIONS(2912),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [sym_null] = ACTIONS(2912),
    [sym_undefined] = ACTIONS(2912),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2912),
    [anon_sym_set] = ACTIONS(2912),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_property] = ACTIONS(2912),
    [anon_sym_signal] = ACTIONS(2912),
    [anon_sym_on] = ACTIONS(2912),
    [anon_sym_required] = ACTIONS(2912),
    [anon_sym_component] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2912),
    [anon_sym_interface] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_export] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_typeof] = ACTIONS(2916),
    [anon_sym_import] = ACTIONS(2916),
    [anon_sym_from] = ACTIONS(2916),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_var] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym_await] = ACTIONS(2916),
    [anon_sym_of] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_debugger] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_async] = ACTIONS(2916),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_SLASH] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_void] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2918),
    [sym_number] = ACTIONS(2918),
    [sym_private_property_identifier] = ACTIONS(2918),
    [sym_this] = ACTIONS(2916),
    [sym_super] = ACTIONS(2916),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [sym_null] = ACTIONS(2916),
    [sym_undefined] = ACTIONS(2916),
    [anon_sym_AT] = ACTIONS(2918),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_readonly] = ACTIONS(2916),
    [anon_sym_get] = ACTIONS(2916),
    [anon_sym_set] = ACTIONS(2916),
    [anon_sym_declare] = ACTIONS(2916),
    [anon_sym_public] = ACTIONS(2916),
    [anon_sym_private] = ACTIONS(2916),
    [anon_sym_protected] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2916),
    [anon_sym_module] = ACTIONS(2916),
    [anon_sym_any] = ACTIONS(2916),
    [anon_sym_number] = ACTIONS(2916),
    [anon_sym_boolean] = ACTIONS(2916),
    [anon_sym_string] = ACTIONS(2916),
    [anon_sym_symbol] = ACTIONS(2916),
    [anon_sym_object] = ACTIONS(2916),
    [anon_sym_property] = ACTIONS(2916),
    [anon_sym_signal] = ACTIONS(2916),
    [anon_sym_on] = ACTIONS(2916),
    [anon_sym_required] = ACTIONS(2916),
    [anon_sym_component] = ACTIONS(2916),
    [anon_sym_abstract] = ACTIONS(2916),
    [anon_sym_interface] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_export] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_type] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2920),
    [anon_sym_import] = ACTIONS(2920),
    [anon_sym_from] = ACTIONS(2920),
    [anon_sym_with] = ACTIONS(2920),
    [anon_sym_var] = ACTIONS(2920),
    [anon_sym_let] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_LPAREN] = ACTIONS(2922),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym_await] = ACTIONS(2920),
    [anon_sym_of] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_debugger] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_yield] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2922),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_async] = ACTIONS(2920),
    [anon_sym_function] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_SLASH] = ACTIONS(2920),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_void] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2922),
    [sym_number] = ACTIONS(2922),
    [sym_private_property_identifier] = ACTIONS(2922),
    [sym_this] = ACTIONS(2920),
    [sym_super] = ACTIONS(2920),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [sym_null] = ACTIONS(2920),
    [sym_undefined] = ACTIONS(2920),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_readonly] = ACTIONS(2920),
    [anon_sym_get] = ACTIONS(2920),
    [anon_sym_set] = ACTIONS(2920),
    [anon_sym_declare] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_override] = ACTIONS(2920),
    [anon_sym_module] = ACTIONS(2920),
    [anon_sym_any] = ACTIONS(2920),
    [anon_sym_number] = ACTIONS(2920),
    [anon_sym_boolean] = ACTIONS(2920),
    [anon_sym_string] = ACTIONS(2920),
    [anon_sym_symbol] = ACTIONS(2920),
    [anon_sym_object] = ACTIONS(2920),
    [anon_sym_property] = ACTIONS(2920),
    [anon_sym_signal] = ACTIONS(2920),
    [anon_sym_on] = ACTIONS(2920),
    [anon_sym_required] = ACTIONS(2920),
    [anon_sym_component] = ACTIONS(2920),
    [anon_sym_abstract] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_export] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_type] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_typeof] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_from] = ACTIONS(2924),
    [anon_sym_with] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2926),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym_await] = ACTIONS(2924),
    [anon_sym_of] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_debugger] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_yield] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2926),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_SLASH] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_void] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2926),
    [sym_number] = ACTIONS(2926),
    [sym_private_property_identifier] = ACTIONS(2926),
    [sym_this] = ACTIONS(2924),
    [sym_super] = ACTIONS(2924),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [sym_null] = ACTIONS(2924),
    [sym_undefined] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_readonly] = ACTIONS(2924),
    [anon_sym_get] = ACTIONS(2924),
    [anon_sym_set] = ACTIONS(2924),
    [anon_sym_declare] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_any] = ACTIONS(2924),
    [anon_sym_number] = ACTIONS(2924),
    [anon_sym_boolean] = ACTIONS(2924),
    [anon_sym_string] = ACTIONS(2924),
    [anon_sym_symbol] = ACTIONS(2924),
    [anon_sym_object] = ACTIONS(2924),
    [anon_sym_property] = ACTIONS(2924),
    [anon_sym_signal] = ACTIONS(2924),
    [anon_sym_on] = ACTIONS(2924),
    [anon_sym_required] = ACTIONS(2924),
    [anon_sym_component] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2924),
    [anon_sym_interface] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_identifier] = ACTIONS(1904),
    [anon_sym_export] = ACTIONS(1904),
    [anon_sym_default] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_namespace] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1908),
    [anon_sym_RBRACE] = ACTIONS(1908),
    [anon_sym_typeof] = ACTIONS(1904),
    [anon_sym_import] = ACTIONS(1904),
    [anon_sym_from] = ACTIONS(1904),
    [anon_sym_with] = ACTIONS(1904),
    [anon_sym_var] = ACTIONS(1904),
    [anon_sym_let] = ACTIONS(1904),
    [anon_sym_const] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_else] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_switch] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [anon_sym_await] = ACTIONS(1904),
    [anon_sym_of] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_debugger] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_throw] = ACTIONS(1904),
    [anon_sym_case] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_class] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_function] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_using] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_void] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1908),
    [anon_sym_DASH_DASH] = ACTIONS(1908),
    [anon_sym_DQUOTE] = ACTIONS(1908),
    [anon_sym_SQUOTE] = ACTIONS(1908),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1908),
    [sym_number] = ACTIONS(1908),
    [sym_private_property_identifier] = ACTIONS(1908),
    [sym_this] = ACTIONS(1904),
    [sym_super] = ACTIONS(1904),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [sym_null] = ACTIONS(1904),
    [sym_undefined] = ACTIONS(1904),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_static] = ACTIONS(1904),
    [anon_sym_readonly] = ACTIONS(1904),
    [anon_sym_get] = ACTIONS(1904),
    [anon_sym_set] = ACTIONS(1904),
    [anon_sym_declare] = ACTIONS(1904),
    [anon_sym_public] = ACTIONS(1904),
    [anon_sym_private] = ACTIONS(1904),
    [anon_sym_protected] = ACTIONS(1904),
    [anon_sym_override] = ACTIONS(1904),
    [anon_sym_module] = ACTIONS(1904),
    [anon_sym_any] = ACTIONS(1904),
    [anon_sym_number] = ACTIONS(1904),
    [anon_sym_boolean] = ACTIONS(1904),
    [anon_sym_string] = ACTIONS(1904),
    [anon_sym_symbol] = ACTIONS(1904),
    [anon_sym_object] = ACTIONS(1904),
    [anon_sym_property] = ACTIONS(1904),
    [anon_sym_signal] = ACTIONS(1904),
    [anon_sym_on] = ACTIONS(1904),
    [anon_sym_required] = ACTIONS(1904),
    [anon_sym_component] = ACTIONS(1904),
    [anon_sym_abstract] = ACTIONS(1904),
    [anon_sym_interface] = ACTIONS(1904),
    [anon_sym_enum] = ACTIONS(1904),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_identifier] = ACTIONS(2928),
    [anon_sym_export] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_typeof] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_from] = ACTIONS(2928),
    [anon_sym_with] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_else] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2930),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_await] = ACTIONS(2928),
    [anon_sym_of] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_debugger] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_yield] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_function] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_void] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2930),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [sym_this] = ACTIONS(2928),
    [sym_super] = ACTIONS(2928),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [sym_null] = ACTIONS(2928),
    [sym_undefined] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_readonly] = ACTIONS(2928),
    [anon_sym_get] = ACTIONS(2928),
    [anon_sym_set] = ACTIONS(2928),
    [anon_sym_declare] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_module] = ACTIONS(2928),
    [anon_sym_any] = ACTIONS(2928),
    [anon_sym_number] = ACTIONS(2928),
    [anon_sym_boolean] = ACTIONS(2928),
    [anon_sym_string] = ACTIONS(2928),
    [anon_sym_symbol] = ACTIONS(2928),
    [anon_sym_object] = ACTIONS(2928),
    [anon_sym_property] = ACTIONS(2928),
    [anon_sym_signal] = ACTIONS(2928),
    [anon_sym_on] = ACTIONS(2928),
    [anon_sym_required] = ACTIONS(2928),
    [anon_sym_component] = ACTIONS(2928),
    [anon_sym_abstract] = ACTIONS(2928),
    [anon_sym_interface] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_identifier] = ACTIONS(2932),
    [anon_sym_export] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_type] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_typeof] = ACTIONS(2932),
    [anon_sym_import] = ACTIONS(2932),
    [anon_sym_from] = ACTIONS(2932),
    [anon_sym_with] = ACTIONS(2932),
    [anon_sym_var] = ACTIONS(2932),
    [anon_sym_let] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_else] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_LPAREN] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym_await] = ACTIONS(2932),
    [anon_sym_of] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_debugger] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_yield] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2934),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_async] = ACTIONS(2932),
    [anon_sym_function] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_SLASH] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_void] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2934),
    [sym_number] = ACTIONS(2934),
    [sym_private_property_identifier] = ACTIONS(2934),
    [sym_this] = ACTIONS(2932),
    [sym_super] = ACTIONS(2932),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [sym_null] = ACTIONS(2932),
    [sym_undefined] = ACTIONS(2932),
    [anon_sym_AT] = ACTIONS(2934),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_readonly] = ACTIONS(2932),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_declare] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_override] = ACTIONS(2932),
    [anon_sym_module] = ACTIONS(2932),
    [anon_sym_any] = ACTIONS(2932),
    [anon_sym_number] = ACTIONS(2932),
    [anon_sym_boolean] = ACTIONS(2932),
    [anon_sym_string] = ACTIONS(2932),
    [anon_sym_symbol] = ACTIONS(2932),
    [anon_sym_object] = ACTIONS(2932),
    [anon_sym_property] = ACTIONS(2932),
    [anon_sym_signal] = ACTIONS(2932),
    [anon_sym_on] = ACTIONS(2932),
    [anon_sym_required] = ACTIONS(2932),
    [anon_sym_component] = ACTIONS(2932),
    [anon_sym_abstract] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_identifier] = ACTIONS(2936),
    [anon_sym_export] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_type] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_typeof] = ACTIONS(2936),
    [anon_sym_import] = ACTIONS(2936),
    [anon_sym_from] = ACTIONS(2936),
    [anon_sym_with] = ACTIONS(2936),
    [anon_sym_var] = ACTIONS(2936),
    [anon_sym_let] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_else] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_LPAREN] = ACTIONS(2938),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym_await] = ACTIONS(2936),
    [anon_sym_of] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_debugger] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_yield] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2938),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_async] = ACTIONS(2936),
    [anon_sym_function] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_SLASH] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_void] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2938),
    [sym_number] = ACTIONS(2938),
    [sym_private_property_identifier] = ACTIONS(2938),
    [sym_this] = ACTIONS(2936),
    [sym_super] = ACTIONS(2936),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [sym_null] = ACTIONS(2936),
    [sym_undefined] = ACTIONS(2936),
    [anon_sym_AT] = ACTIONS(2938),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_readonly] = ACTIONS(2936),
    [anon_sym_get] = ACTIONS(2936),
    [anon_sym_set] = ACTIONS(2936),
    [anon_sym_declare] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_override] = ACTIONS(2936),
    [anon_sym_module] = ACTIONS(2936),
    [anon_sym_any] = ACTIONS(2936),
    [anon_sym_number] = ACTIONS(2936),
    [anon_sym_boolean] = ACTIONS(2936),
    [anon_sym_string] = ACTIONS(2936),
    [anon_sym_symbol] = ACTIONS(2936),
    [anon_sym_object] = ACTIONS(2936),
    [anon_sym_property] = ACTIONS(2936),
    [anon_sym_signal] = ACTIONS(2936),
    [anon_sym_on] = ACTIONS(2936),
    [anon_sym_required] = ACTIONS(2936),
    [anon_sym_component] = ACTIONS(2936),
    [anon_sym_abstract] = ACTIONS(2936),
    [anon_sym_interface] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_identifier] = ACTIONS(2940),
    [anon_sym_export] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_type] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_typeof] = ACTIONS(2940),
    [anon_sym_import] = ACTIONS(2940),
    [anon_sym_from] = ACTIONS(2940),
    [anon_sym_with] = ACTIONS(2940),
    [anon_sym_var] = ACTIONS(2940),
    [anon_sym_let] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_else] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_LPAREN] = ACTIONS(2942),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym_await] = ACTIONS(2940),
    [anon_sym_of] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_debugger] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_yield] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2942),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_async] = ACTIONS(2940),
    [anon_sym_function] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_SLASH] = ACTIONS(2940),
    [anon_sym_LT] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_void] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2942),
    [sym_number] = ACTIONS(2942),
    [sym_private_property_identifier] = ACTIONS(2942),
    [sym_this] = ACTIONS(2940),
    [sym_super] = ACTIONS(2940),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [sym_null] = ACTIONS(2940),
    [sym_undefined] = ACTIONS(2940),
    [anon_sym_AT] = ACTIONS(2942),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_readonly] = ACTIONS(2940),
    [anon_sym_get] = ACTIONS(2940),
    [anon_sym_set] = ACTIONS(2940),
    [anon_sym_declare] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_override] = ACTIONS(2940),
    [anon_sym_module] = ACTIONS(2940),
    [anon_sym_any] = ACTIONS(2940),
    [anon_sym_number] = ACTIONS(2940),
    [anon_sym_boolean] = ACTIONS(2940),
    [anon_sym_string] = ACTIONS(2940),
    [anon_sym_symbol] = ACTIONS(2940),
    [anon_sym_object] = ACTIONS(2940),
    [anon_sym_property] = ACTIONS(2940),
    [anon_sym_signal] = ACTIONS(2940),
    [anon_sym_on] = ACTIONS(2940),
    [anon_sym_required] = ACTIONS(2940),
    [anon_sym_component] = ACTIONS(2940),
    [anon_sym_abstract] = ACTIONS(2940),
    [anon_sym_interface] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_export] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_type] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_typeof] = ACTIONS(2944),
    [anon_sym_import] = ACTIONS(2944),
    [anon_sym_from] = ACTIONS(2944),
    [anon_sym_with] = ACTIONS(2944),
    [anon_sym_var] = ACTIONS(2944),
    [anon_sym_let] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_LPAREN] = ACTIONS(2946),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym_await] = ACTIONS(2944),
    [anon_sym_of] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_debugger] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_yield] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2946),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_async] = ACTIONS(2944),
    [anon_sym_function] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_LT] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_void] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2946),
    [sym_number] = ACTIONS(2946),
    [sym_private_property_identifier] = ACTIONS(2946),
    [sym_this] = ACTIONS(2944),
    [sym_super] = ACTIONS(2944),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [sym_null] = ACTIONS(2944),
    [sym_undefined] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2946),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_readonly] = ACTIONS(2944),
    [anon_sym_get] = ACTIONS(2944),
    [anon_sym_set] = ACTIONS(2944),
    [anon_sym_declare] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_override] = ACTIONS(2944),
    [anon_sym_module] = ACTIONS(2944),
    [anon_sym_any] = ACTIONS(2944),
    [anon_sym_number] = ACTIONS(2944),
    [anon_sym_boolean] = ACTIONS(2944),
    [anon_sym_string] = ACTIONS(2944),
    [anon_sym_symbol] = ACTIONS(2944),
    [anon_sym_object] = ACTIONS(2944),
    [anon_sym_property] = ACTIONS(2944),
    [anon_sym_signal] = ACTIONS(2944),
    [anon_sym_on] = ACTIONS(2944),
    [anon_sym_required] = ACTIONS(2944),
    [anon_sym_component] = ACTIONS(2944),
    [anon_sym_abstract] = ACTIONS(2944),
    [anon_sym_interface] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_export] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_type] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_typeof] = ACTIONS(2948),
    [anon_sym_import] = ACTIONS(2948),
    [anon_sym_from] = ACTIONS(2948),
    [anon_sym_with] = ACTIONS(2948),
    [anon_sym_var] = ACTIONS(2948),
    [anon_sym_let] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_LPAREN] = ACTIONS(2950),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_await] = ACTIONS(2948),
    [anon_sym_of] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_debugger] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_yield] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2950),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_async] = ACTIONS(2948),
    [anon_sym_function] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_SLASH] = ACTIONS(2948),
    [anon_sym_LT] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_void] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2950),
    [sym_number] = ACTIONS(2950),
    [sym_private_property_identifier] = ACTIONS(2950),
    [sym_this] = ACTIONS(2948),
    [sym_super] = ACTIONS(2948),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [sym_null] = ACTIONS(2948),
    [sym_undefined] = ACTIONS(2948),
    [anon_sym_AT] = ACTIONS(2950),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_readonly] = ACTIONS(2948),
    [anon_sym_get] = ACTIONS(2948),
    [anon_sym_set] = ACTIONS(2948),
    [anon_sym_declare] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_override] = ACTIONS(2948),
    [anon_sym_module] = ACTIONS(2948),
    [anon_sym_any] = ACTIONS(2948),
    [anon_sym_number] = ACTIONS(2948),
    [anon_sym_boolean] = ACTIONS(2948),
    [anon_sym_string] = ACTIONS(2948),
    [anon_sym_symbol] = ACTIONS(2948),
    [anon_sym_object] = ACTIONS(2948),
    [anon_sym_property] = ACTIONS(2948),
    [anon_sym_signal] = ACTIONS(2948),
    [anon_sym_on] = ACTIONS(2948),
    [anon_sym_required] = ACTIONS(2948),
    [anon_sym_component] = ACTIONS(2948),
    [anon_sym_abstract] = ACTIONS(2948),
    [anon_sym_interface] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_identifier] = ACTIONS(2952),
    [anon_sym_export] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_type] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_typeof] = ACTIONS(2952),
    [anon_sym_import] = ACTIONS(2952),
    [anon_sym_from] = ACTIONS(2952),
    [anon_sym_with] = ACTIONS(2952),
    [anon_sym_var] = ACTIONS(2952),
    [anon_sym_let] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_LPAREN] = ACTIONS(2954),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym_await] = ACTIONS(2952),
    [anon_sym_of] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_debugger] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_yield] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2954),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_async] = ACTIONS(2952),
    [anon_sym_function] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_SLASH] = ACTIONS(2952),
    [anon_sym_LT] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_void] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2954),
    [sym_number] = ACTIONS(2954),
    [sym_private_property_identifier] = ACTIONS(2954),
    [sym_this] = ACTIONS(2952),
    [sym_super] = ACTIONS(2952),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [sym_null] = ACTIONS(2952),
    [sym_undefined] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(2954),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_readonly] = ACTIONS(2952),
    [anon_sym_get] = ACTIONS(2952),
    [anon_sym_set] = ACTIONS(2952),
    [anon_sym_declare] = ACTIONS(2952),
    [anon_sym_public] = ACTIONS(2952),
    [anon_sym_private] = ACTIONS(2952),
    [anon_sym_protected] = ACTIONS(2952),
    [anon_sym_override] = ACTIONS(2952),
    [anon_sym_module] = ACTIONS(2952),
    [anon_sym_any] = ACTIONS(2952),
    [anon_sym_number] = ACTIONS(2952),
    [anon_sym_boolean] = ACTIONS(2952),
    [anon_sym_string] = ACTIONS(2952),
    [anon_sym_symbol] = ACTIONS(2952),
    [anon_sym_object] = ACTIONS(2952),
    [anon_sym_property] = ACTIONS(2952),
    [anon_sym_signal] = ACTIONS(2952),
    [anon_sym_on] = ACTIONS(2952),
    [anon_sym_required] = ACTIONS(2952),
    [anon_sym_component] = ACTIONS(2952),
    [anon_sym_abstract] = ACTIONS(2952),
    [anon_sym_interface] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_export] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_type] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_RBRACE] = ACTIONS(2958),
    [anon_sym_typeof] = ACTIONS(2956),
    [anon_sym_import] = ACTIONS(2956),
    [anon_sym_from] = ACTIONS(2956),
    [anon_sym_with] = ACTIONS(2956),
    [anon_sym_var] = ACTIONS(2956),
    [anon_sym_let] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_else] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_LPAREN] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym_await] = ACTIONS(2956),
    [anon_sym_of] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_debugger] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_yield] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2958),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_async] = ACTIONS(2956),
    [anon_sym_function] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_SLASH] = ACTIONS(2956),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_void] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2958),
    [sym_number] = ACTIONS(2958),
    [sym_private_property_identifier] = ACTIONS(2958),
    [sym_this] = ACTIONS(2956),
    [sym_super] = ACTIONS(2956),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [sym_null] = ACTIONS(2956),
    [sym_undefined] = ACTIONS(2956),
    [anon_sym_AT] = ACTIONS(2958),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_readonly] = ACTIONS(2956),
    [anon_sym_get] = ACTIONS(2956),
    [anon_sym_set] = ACTIONS(2956),
    [anon_sym_declare] = ACTIONS(2956),
    [anon_sym_public] = ACTIONS(2956),
    [anon_sym_private] = ACTIONS(2956),
    [anon_sym_protected] = ACTIONS(2956),
    [anon_sym_override] = ACTIONS(2956),
    [anon_sym_module] = ACTIONS(2956),
    [anon_sym_any] = ACTIONS(2956),
    [anon_sym_number] = ACTIONS(2956),
    [anon_sym_boolean] = ACTIONS(2956),
    [anon_sym_string] = ACTIONS(2956),
    [anon_sym_symbol] = ACTIONS(2956),
    [anon_sym_object] = ACTIONS(2956),
    [anon_sym_property] = ACTIONS(2956),
    [anon_sym_signal] = ACTIONS(2956),
    [anon_sym_on] = ACTIONS(2956),
    [anon_sym_required] = ACTIONS(2956),
    [anon_sym_component] = ACTIONS(2956),
    [anon_sym_abstract] = ACTIONS(2956),
    [anon_sym_interface] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_identifier] = ACTIONS(2960),
    [anon_sym_export] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_type] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_typeof] = ACTIONS(2960),
    [anon_sym_import] = ACTIONS(2960),
    [anon_sym_from] = ACTIONS(2960),
    [anon_sym_with] = ACTIONS(2960),
    [anon_sym_var] = ACTIONS(2960),
    [anon_sym_let] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_else] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_LPAREN] = ACTIONS(2962),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_await] = ACTIONS(2960),
    [anon_sym_of] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_debugger] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2962),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_async] = ACTIONS(2960),
    [anon_sym_function] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_SLASH] = ACTIONS(2960),
    [anon_sym_LT] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_void] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2962),
    [sym_number] = ACTIONS(2962),
    [sym_private_property_identifier] = ACTIONS(2962),
    [sym_this] = ACTIONS(2960),
    [sym_super] = ACTIONS(2960),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [sym_null] = ACTIONS(2960),
    [sym_undefined] = ACTIONS(2960),
    [anon_sym_AT] = ACTIONS(2962),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_readonly] = ACTIONS(2960),
    [anon_sym_get] = ACTIONS(2960),
    [anon_sym_set] = ACTIONS(2960),
    [anon_sym_declare] = ACTIONS(2960),
    [anon_sym_public] = ACTIONS(2960),
    [anon_sym_private] = ACTIONS(2960),
    [anon_sym_protected] = ACTIONS(2960),
    [anon_sym_override] = ACTIONS(2960),
    [anon_sym_module] = ACTIONS(2960),
    [anon_sym_any] = ACTIONS(2960),
    [anon_sym_number] = ACTIONS(2960),
    [anon_sym_boolean] = ACTIONS(2960),
    [anon_sym_string] = ACTIONS(2960),
    [anon_sym_symbol] = ACTIONS(2960),
    [anon_sym_object] = ACTIONS(2960),
    [anon_sym_property] = ACTIONS(2960),
    [anon_sym_signal] = ACTIONS(2960),
    [anon_sym_on] = ACTIONS(2960),
    [anon_sym_required] = ACTIONS(2960),
    [anon_sym_component] = ACTIONS(2960),
    [anon_sym_abstract] = ACTIONS(2960),
    [anon_sym_interface] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym_identifier] = ACTIONS(2964),
    [anon_sym_export] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_type] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_typeof] = ACTIONS(2964),
    [anon_sym_import] = ACTIONS(2964),
    [anon_sym_from] = ACTIONS(2964),
    [anon_sym_with] = ACTIONS(2964),
    [anon_sym_var] = ACTIONS(2964),
    [anon_sym_let] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_else] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_LPAREN] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym_await] = ACTIONS(2964),
    [anon_sym_of] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_debugger] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_yield] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_async] = ACTIONS(2964),
    [anon_sym_function] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_SLASH] = ACTIONS(2964),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_void] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2966),
    [sym_number] = ACTIONS(2966),
    [sym_private_property_identifier] = ACTIONS(2966),
    [sym_this] = ACTIONS(2964),
    [sym_super] = ACTIONS(2964),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [sym_null] = ACTIONS(2964),
    [sym_undefined] = ACTIONS(2964),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_readonly] = ACTIONS(2964),
    [anon_sym_get] = ACTIONS(2964),
    [anon_sym_set] = ACTIONS(2964),
    [anon_sym_declare] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_override] = ACTIONS(2964),
    [anon_sym_module] = ACTIONS(2964),
    [anon_sym_any] = ACTIONS(2964),
    [anon_sym_number] = ACTIONS(2964),
    [anon_sym_boolean] = ACTIONS(2964),
    [anon_sym_string] = ACTIONS(2964),
    [anon_sym_symbol] = ACTIONS(2964),
    [anon_sym_object] = ACTIONS(2964),
    [anon_sym_property] = ACTIONS(2964),
    [anon_sym_signal] = ACTIONS(2964),
    [anon_sym_on] = ACTIONS(2964),
    [anon_sym_required] = ACTIONS(2964),
    [anon_sym_component] = ACTIONS(2964),
    [anon_sym_abstract] = ACTIONS(2964),
    [anon_sym_interface] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym_identifier] = ACTIONS(1904),
    [anon_sym_export] = ACTIONS(1904),
    [anon_sym_default] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_namespace] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1908),
    [anon_sym_RBRACE] = ACTIONS(1908),
    [anon_sym_typeof] = ACTIONS(1904),
    [anon_sym_import] = ACTIONS(1904),
    [anon_sym_from] = ACTIONS(1904),
    [anon_sym_with] = ACTIONS(1904),
    [anon_sym_var] = ACTIONS(1904),
    [anon_sym_let] = ACTIONS(1904),
    [anon_sym_const] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_else] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_switch] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [anon_sym_await] = ACTIONS(1904),
    [anon_sym_of] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_debugger] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_throw] = ACTIONS(1904),
    [anon_sym_case] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_class] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_function] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1904),
    [anon_sym_using] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_void] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1908),
    [anon_sym_DASH_DASH] = ACTIONS(1908),
    [anon_sym_DQUOTE] = ACTIONS(1908),
    [anon_sym_SQUOTE] = ACTIONS(1908),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1908),
    [sym_number] = ACTIONS(1908),
    [sym_private_property_identifier] = ACTIONS(1908),
    [sym_this] = ACTIONS(1904),
    [sym_super] = ACTIONS(1904),
    [sym_true] = ACTIONS(1904),
    [sym_false] = ACTIONS(1904),
    [sym_null] = ACTIONS(1904),
    [sym_undefined] = ACTIONS(1904),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_static] = ACTIONS(1904),
    [anon_sym_readonly] = ACTIONS(1904),
    [anon_sym_get] = ACTIONS(1904),
    [anon_sym_set] = ACTIONS(1904),
    [anon_sym_declare] = ACTIONS(1904),
    [anon_sym_public] = ACTIONS(1904),
    [anon_sym_private] = ACTIONS(1904),
    [anon_sym_protected] = ACTIONS(1904),
    [anon_sym_override] = ACTIONS(1904),
    [anon_sym_module] = ACTIONS(1904),
    [anon_sym_any] = ACTIONS(1904),
    [anon_sym_number] = ACTIONS(1904),
    [anon_sym_boolean] = ACTIONS(1904),
    [anon_sym_string] = ACTIONS(1904),
    [anon_sym_symbol] = ACTIONS(1904),
    [anon_sym_object] = ACTIONS(1904),
    [anon_sym_property] = ACTIONS(1904),
    [anon_sym_signal] = ACTIONS(1904),
    [anon_sym_on] = ACTIONS(1904),
    [anon_sym_required] = ACTIONS(1904),
    [anon_sym_component] = ACTIONS(1904),
    [anon_sym_abstract] = ACTIONS(1904),
    [anon_sym_interface] = ACTIONS(1904),
    [anon_sym_enum] = ACTIONS(1904),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym_identifier] = ACTIONS(2968),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2968),
    [anon_sym_import] = ACTIONS(2968),
    [anon_sym_from] = ACTIONS(2968),
    [anon_sym_with] = ACTIONS(2968),
    [anon_sym_var] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_else] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym_await] = ACTIONS(2968),
    [anon_sym_of] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_debugger] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_yield] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_SLASH] = ACTIONS(2968),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_void] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2970),
    [sym_number] = ACTIONS(2970),
    [sym_private_property_identifier] = ACTIONS(2970),
    [sym_this] = ACTIONS(2968),
    [sym_super] = ACTIONS(2968),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [sym_null] = ACTIONS(2968),
    [sym_undefined] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_property] = ACTIONS(2968),
    [anon_sym_signal] = ACTIONS(2968),
    [anon_sym_on] = ACTIONS(2968),
    [anon_sym_required] = ACTIONS(2968),
    [anon_sym_component] = ACTIONS(2968),
    [anon_sym_abstract] = ACTIONS(2968),
    [anon_sym_interface] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym_identifier] = ACTIONS(2972),
    [anon_sym_export] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_type] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_typeof] = ACTIONS(2972),
    [anon_sym_import] = ACTIONS(2972),
    [anon_sym_from] = ACTIONS(2972),
    [anon_sym_with] = ACTIONS(2972),
    [anon_sym_var] = ACTIONS(2972),
    [anon_sym_let] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_else] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_LPAREN] = ACTIONS(2974),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_await] = ACTIONS(2972),
    [anon_sym_of] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_debugger] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_yield] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2974),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_async] = ACTIONS(2972),
    [anon_sym_function] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_SLASH] = ACTIONS(2972),
    [anon_sym_LT] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_void] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2974),
    [sym_number] = ACTIONS(2974),
    [sym_private_property_identifier] = ACTIONS(2974),
    [sym_this] = ACTIONS(2972),
    [sym_super] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_null] = ACTIONS(2972),
    [sym_undefined] = ACTIONS(2972),
    [anon_sym_AT] = ACTIONS(2974),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_readonly] = ACTIONS(2972),
    [anon_sym_get] = ACTIONS(2972),
    [anon_sym_set] = ACTIONS(2972),
    [anon_sym_declare] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_override] = ACTIONS(2972),
    [anon_sym_module] = ACTIONS(2972),
    [anon_sym_any] = ACTIONS(2972),
    [anon_sym_number] = ACTIONS(2972),
    [anon_sym_boolean] = ACTIONS(2972),
    [anon_sym_string] = ACTIONS(2972),
    [anon_sym_symbol] = ACTIONS(2972),
    [anon_sym_object] = ACTIONS(2972),
    [anon_sym_property] = ACTIONS(2972),
    [anon_sym_signal] = ACTIONS(2972),
    [anon_sym_on] = ACTIONS(2972),
    [anon_sym_required] = ACTIONS(2972),
    [anon_sym_component] = ACTIONS(2972),
    [anon_sym_abstract] = ACTIONS(2972),
    [anon_sym_interface] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_identifier] = ACTIONS(2968),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2968),
    [anon_sym_import] = ACTIONS(2968),
    [anon_sym_from] = ACTIONS(2968),
    [anon_sym_with] = ACTIONS(2968),
    [anon_sym_var] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_else] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym_await] = ACTIONS(2968),
    [anon_sym_of] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_debugger] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_yield] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_SLASH] = ACTIONS(2968),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_void] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2970),
    [sym_number] = ACTIONS(2970),
    [sym_private_property_identifier] = ACTIONS(2970),
    [sym_this] = ACTIONS(2968),
    [sym_super] = ACTIONS(2968),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [sym_null] = ACTIONS(2968),
    [sym_undefined] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_property] = ACTIONS(2968),
    [anon_sym_signal] = ACTIONS(2968),
    [anon_sym_on] = ACTIONS(2968),
    [anon_sym_required] = ACTIONS(2968),
    [anon_sym_component] = ACTIONS(2968),
    [anon_sym_abstract] = ACTIONS(2968),
    [anon_sym_interface] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym_identifier] = ACTIONS(2976),
    [anon_sym_export] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_type] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_typeof] = ACTIONS(2976),
    [anon_sym_import] = ACTIONS(2976),
    [anon_sym_from] = ACTIONS(2976),
    [anon_sym_with] = ACTIONS(2976),
    [anon_sym_var] = ACTIONS(2976),
    [anon_sym_let] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_else] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_LPAREN] = ACTIONS(2978),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym_await] = ACTIONS(2976),
    [anon_sym_of] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_debugger] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_yield] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2978),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_async] = ACTIONS(2976),
    [anon_sym_function] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_SLASH] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_void] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2978),
    [sym_number] = ACTIONS(2978),
    [sym_private_property_identifier] = ACTIONS(2978),
    [sym_this] = ACTIONS(2976),
    [sym_super] = ACTIONS(2976),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [sym_null] = ACTIONS(2976),
    [sym_undefined] = ACTIONS(2976),
    [anon_sym_AT] = ACTIONS(2978),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_readonly] = ACTIONS(2976),
    [anon_sym_get] = ACTIONS(2976),
    [anon_sym_set] = ACTIONS(2976),
    [anon_sym_declare] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_override] = ACTIONS(2976),
    [anon_sym_module] = ACTIONS(2976),
    [anon_sym_any] = ACTIONS(2976),
    [anon_sym_number] = ACTIONS(2976),
    [anon_sym_boolean] = ACTIONS(2976),
    [anon_sym_string] = ACTIONS(2976),
    [anon_sym_symbol] = ACTIONS(2976),
    [anon_sym_object] = ACTIONS(2976),
    [anon_sym_property] = ACTIONS(2976),
    [anon_sym_signal] = ACTIONS(2976),
    [anon_sym_on] = ACTIONS(2976),
    [anon_sym_required] = ACTIONS(2976),
    [anon_sym_component] = ACTIONS(2976),
    [anon_sym_abstract] = ACTIONS(2976),
    [anon_sym_interface] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_RBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2980),
    [anon_sym_import] = ACTIONS(2980),
    [anon_sym_from] = ACTIONS(2980),
    [anon_sym_with] = ACTIONS(2980),
    [anon_sym_var] = ACTIONS(2980),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_await] = ACTIONS(2980),
    [anon_sym_of] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_debugger] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_yield] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2982),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_SLASH] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_void] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2982),
    [sym_number] = ACTIONS(2982),
    [sym_private_property_identifier] = ACTIONS(2982),
    [sym_this] = ACTIONS(2980),
    [sym_super] = ACTIONS(2980),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [sym_null] = ACTIONS(2980),
    [sym_undefined] = ACTIONS(2980),
    [anon_sym_AT] = ACTIONS(2982),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_property] = ACTIONS(2980),
    [anon_sym_signal] = ACTIONS(2980),
    [anon_sym_on] = ACTIONS(2980),
    [anon_sym_required] = ACTIONS(2980),
    [anon_sym_component] = ACTIONS(2980),
    [anon_sym_abstract] = ACTIONS(2980),
    [anon_sym_interface] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_identifier] = ACTIONS(2984),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(2984),
    [anon_sym_from] = ACTIONS(2984),
    [anon_sym_with] = ACTIONS(2984),
    [anon_sym_var] = ACTIONS(2984),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_LPAREN] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_await] = ACTIONS(2984),
    [anon_sym_of] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_debugger] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_yield] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_SLASH] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_void] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2986),
    [sym_number] = ACTIONS(2986),
    [sym_private_property_identifier] = ACTIONS(2986),
    [sym_this] = ACTIONS(2984),
    [sym_super] = ACTIONS(2984),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [sym_null] = ACTIONS(2984),
    [sym_undefined] = ACTIONS(2984),
    [anon_sym_AT] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_property] = ACTIONS(2984),
    [anon_sym_signal] = ACTIONS(2984),
    [anon_sym_on] = ACTIONS(2984),
    [anon_sym_required] = ACTIONS(2984),
    [anon_sym_component] = ACTIONS(2984),
    [anon_sym_abstract] = ACTIONS(2984),
    [anon_sym_interface] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_export] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_type] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_typeof] = ACTIONS(2988),
    [anon_sym_import] = ACTIONS(2988),
    [anon_sym_from] = ACTIONS(2988),
    [anon_sym_with] = ACTIONS(2988),
    [anon_sym_var] = ACTIONS(2988),
    [anon_sym_let] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_else] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_LPAREN] = ACTIONS(2990),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym_await] = ACTIONS(2988),
    [anon_sym_of] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_debugger] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_yield] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_async] = ACTIONS(2988),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_void] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2990),
    [sym_number] = ACTIONS(2990),
    [sym_private_property_identifier] = ACTIONS(2990),
    [sym_this] = ACTIONS(2988),
    [sym_super] = ACTIONS(2988),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [sym_null] = ACTIONS(2988),
    [sym_undefined] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_readonly] = ACTIONS(2988),
    [anon_sym_get] = ACTIONS(2988),
    [anon_sym_set] = ACTIONS(2988),
    [anon_sym_declare] = ACTIONS(2988),
    [anon_sym_public] = ACTIONS(2988),
    [anon_sym_private] = ACTIONS(2988),
    [anon_sym_protected] = ACTIONS(2988),
    [anon_sym_override] = ACTIONS(2988),
    [anon_sym_module] = ACTIONS(2988),
    [anon_sym_any] = ACTIONS(2988),
    [anon_sym_number] = ACTIONS(2988),
    [anon_sym_boolean] = ACTIONS(2988),
    [anon_sym_string] = ACTIONS(2988),
    [anon_sym_symbol] = ACTIONS(2988),
    [anon_sym_object] = ACTIONS(2988),
    [anon_sym_property] = ACTIONS(2988),
    [anon_sym_signal] = ACTIONS(2988),
    [anon_sym_on] = ACTIONS(2988),
    [anon_sym_required] = ACTIONS(2988),
    [anon_sym_component] = ACTIONS(2988),
    [anon_sym_abstract] = ACTIONS(2988),
    [anon_sym_interface] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_from] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_of] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_property] = ACTIONS(2992),
    [anon_sym_signal] = ACTIONS(2992),
    [anon_sym_on] = ACTIONS(2992),
    [anon_sym_required] = ACTIONS(2992),
    [anon_sym_component] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_identifier] = ACTIONS(2996),
    [anon_sym_export] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_type] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_import] = ACTIONS(2996),
    [anon_sym_from] = ACTIONS(2996),
    [anon_sym_with] = ACTIONS(2996),
    [anon_sym_var] = ACTIONS(2996),
    [anon_sym_let] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_else] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_await] = ACTIONS(2996),
    [anon_sym_of] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_debugger] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_yield] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_async] = ACTIONS(2996),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_void] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2998),
    [sym_number] = ACTIONS(2998),
    [sym_private_property_identifier] = ACTIONS(2998),
    [sym_this] = ACTIONS(2996),
    [sym_super] = ACTIONS(2996),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_undefined] = ACTIONS(2996),
    [anon_sym_AT] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_readonly] = ACTIONS(2996),
    [anon_sym_get] = ACTIONS(2996),
    [anon_sym_set] = ACTIONS(2996),
    [anon_sym_declare] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_override] = ACTIONS(2996),
    [anon_sym_module] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(2996),
    [anon_sym_number] = ACTIONS(2996),
    [anon_sym_boolean] = ACTIONS(2996),
    [anon_sym_string] = ACTIONS(2996),
    [anon_sym_symbol] = ACTIONS(2996),
    [anon_sym_object] = ACTIONS(2996),
    [anon_sym_property] = ACTIONS(2996),
    [anon_sym_signal] = ACTIONS(2996),
    [anon_sym_on] = ACTIONS(2996),
    [anon_sym_required] = ACTIONS(2996),
    [anon_sym_component] = ACTIONS(2996),
    [anon_sym_abstract] = ACTIONS(2996),
    [anon_sym_interface] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_type] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_typeof] = ACTIONS(3000),
    [anon_sym_import] = ACTIONS(3000),
    [anon_sym_from] = ACTIONS(3000),
    [anon_sym_with] = ACTIONS(3000),
    [anon_sym_var] = ACTIONS(3000),
    [anon_sym_let] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_else] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym_await] = ACTIONS(3000),
    [anon_sym_of] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_debugger] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_yield] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_async] = ACTIONS(3000),
    [anon_sym_function] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_SLASH] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_void] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3002),
    [sym_number] = ACTIONS(3002),
    [sym_private_property_identifier] = ACTIONS(3002),
    [sym_this] = ACTIONS(3000),
    [sym_super] = ACTIONS(3000),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [sym_null] = ACTIONS(3000),
    [sym_undefined] = ACTIONS(3000),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_readonly] = ACTIONS(3000),
    [anon_sym_get] = ACTIONS(3000),
    [anon_sym_set] = ACTIONS(3000),
    [anon_sym_declare] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_override] = ACTIONS(3000),
    [anon_sym_module] = ACTIONS(3000),
    [anon_sym_any] = ACTIONS(3000),
    [anon_sym_number] = ACTIONS(3000),
    [anon_sym_boolean] = ACTIONS(3000),
    [anon_sym_string] = ACTIONS(3000),
    [anon_sym_symbol] = ACTIONS(3000),
    [anon_sym_object] = ACTIONS(3000),
    [anon_sym_property] = ACTIONS(3000),
    [anon_sym_signal] = ACTIONS(3000),
    [anon_sym_on] = ACTIONS(3000),
    [anon_sym_required] = ACTIONS(3000),
    [anon_sym_component] = ACTIONS(3000),
    [anon_sym_abstract] = ACTIONS(3000),
    [anon_sym_interface] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_type] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_typeof] = ACTIONS(3004),
    [anon_sym_import] = ACTIONS(3004),
    [anon_sym_from] = ACTIONS(3004),
    [anon_sym_with] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_else] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_LPAREN] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym_await] = ACTIONS(3004),
    [anon_sym_of] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_debugger] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_yield] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_function] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_void] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3006),
    [sym_number] = ACTIONS(3006),
    [sym_private_property_identifier] = ACTIONS(3006),
    [sym_this] = ACTIONS(3004),
    [sym_super] = ACTIONS(3004),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [sym_null] = ACTIONS(3004),
    [sym_undefined] = ACTIONS(3004),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_readonly] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3004),
    [anon_sym_declare] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_override] = ACTIONS(3004),
    [anon_sym_module] = ACTIONS(3004),
    [anon_sym_any] = ACTIONS(3004),
    [anon_sym_number] = ACTIONS(3004),
    [anon_sym_boolean] = ACTIONS(3004),
    [anon_sym_string] = ACTIONS(3004),
    [anon_sym_symbol] = ACTIONS(3004),
    [anon_sym_object] = ACTIONS(3004),
    [anon_sym_property] = ACTIONS(3004),
    [anon_sym_signal] = ACTIONS(3004),
    [anon_sym_on] = ACTIONS(3004),
    [anon_sym_required] = ACTIONS(3004),
    [anon_sym_component] = ACTIONS(3004),
    [anon_sym_abstract] = ACTIONS(3004),
    [anon_sym_interface] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_from] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_else] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_of] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3010),
    [sym_number] = ACTIONS(3010),
    [sym_private_property_identifier] = ACTIONS(3010),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_property] = ACTIONS(3008),
    [anon_sym_signal] = ACTIONS(3008),
    [anon_sym_on] = ACTIONS(3008),
    [anon_sym_required] = ACTIONS(3008),
    [anon_sym_component] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_from] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_of] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_private_property_identifier] = ACTIONS(2746),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_declare] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_module] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_object] = ACTIONS(2744),
    [anon_sym_property] = ACTIONS(2744),
    [anon_sym_signal] = ACTIONS(2744),
    [anon_sym_on] = ACTIONS(2744),
    [anon_sym_required] = ACTIONS(2744),
    [anon_sym_component] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_interface] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_type] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_typeof] = ACTIONS(3012),
    [anon_sym_import] = ACTIONS(3012),
    [anon_sym_from] = ACTIONS(3012),
    [anon_sym_with] = ACTIONS(3012),
    [anon_sym_var] = ACTIONS(3012),
    [anon_sym_let] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_else] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_LPAREN] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_await] = ACTIONS(3012),
    [anon_sym_of] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_debugger] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_yield] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_async] = ACTIONS(3012),
    [anon_sym_function] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_void] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3014),
    [sym_number] = ACTIONS(3014),
    [sym_private_property_identifier] = ACTIONS(3014),
    [sym_this] = ACTIONS(3012),
    [sym_super] = ACTIONS(3012),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [sym_null] = ACTIONS(3012),
    [sym_undefined] = ACTIONS(3012),
    [anon_sym_AT] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_readonly] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3012),
    [anon_sym_set] = ACTIONS(3012),
    [anon_sym_declare] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_override] = ACTIONS(3012),
    [anon_sym_module] = ACTIONS(3012),
    [anon_sym_any] = ACTIONS(3012),
    [anon_sym_number] = ACTIONS(3012),
    [anon_sym_boolean] = ACTIONS(3012),
    [anon_sym_string] = ACTIONS(3012),
    [anon_sym_symbol] = ACTIONS(3012),
    [anon_sym_object] = ACTIONS(3012),
    [anon_sym_property] = ACTIONS(3012),
    [anon_sym_signal] = ACTIONS(3012),
    [anon_sym_on] = ACTIONS(3012),
    [anon_sym_required] = ACTIONS(3012),
    [anon_sym_component] = ACTIONS(3012),
    [anon_sym_abstract] = ACTIONS(3012),
    [anon_sym_interface] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_export] = ACTIONS(2000),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(2000),
    [anon_sym_namespace] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_typeof] = ACTIONS(2000),
    [anon_sym_import] = ACTIONS(2000),
    [anon_sym_from] = ACTIONS(2000),
    [anon_sym_with] = ACTIONS(2000),
    [anon_sym_var] = ACTIONS(2000),
    [anon_sym_let] = ACTIONS(2000),
    [anon_sym_const] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_else] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_switch] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(2000),
    [anon_sym_of] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_debugger] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_case] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_class] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2000),
    [anon_sym_using] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_SLASH] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_void] = ACTIONS(2000),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2002),
    [anon_sym_DASH_DASH] = ACTIONS(2002),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2002),
    [sym_number] = ACTIONS(2002),
    [sym_private_property_identifier] = ACTIONS(2002),
    [sym_this] = ACTIONS(2000),
    [sym_super] = ACTIONS(2000),
    [sym_true] = ACTIONS(2000),
    [sym_false] = ACTIONS(2000),
    [sym_null] = ACTIONS(2000),
    [sym_undefined] = ACTIONS(2000),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2000),
    [anon_sym_readonly] = ACTIONS(2000),
    [anon_sym_get] = ACTIONS(2000),
    [anon_sym_set] = ACTIONS(2000),
    [anon_sym_declare] = ACTIONS(2000),
    [anon_sym_public] = ACTIONS(2000),
    [anon_sym_private] = ACTIONS(2000),
    [anon_sym_protected] = ACTIONS(2000),
    [anon_sym_override] = ACTIONS(2000),
    [anon_sym_module] = ACTIONS(2000),
    [anon_sym_any] = ACTIONS(2000),
    [anon_sym_number] = ACTIONS(2000),
    [anon_sym_boolean] = ACTIONS(2000),
    [anon_sym_string] = ACTIONS(2000),
    [anon_sym_symbol] = ACTIONS(2000),
    [anon_sym_object] = ACTIONS(2000),
    [anon_sym_property] = ACTIONS(2000),
    [anon_sym_signal] = ACTIONS(2000),
    [anon_sym_on] = ACTIONS(2000),
    [anon_sym_required] = ACTIONS(2000),
    [anon_sym_component] = ACTIONS(2000),
    [anon_sym_abstract] = ACTIONS(2000),
    [anon_sym_interface] = ACTIONS(2000),
    [anon_sym_enum] = ACTIONS(2000),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_typeof] = ACTIONS(3016),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_from] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_var] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_of] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_debugger] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_void] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3018),
    [sym_number] = ACTIONS(3018),
    [sym_private_property_identifier] = ACTIONS(3018),
    [sym_this] = ACTIONS(3016),
    [sym_super] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [sym_null] = ACTIONS(3016),
    [sym_undefined] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_property] = ACTIONS(3016),
    [anon_sym_signal] = ACTIONS(3016),
    [anon_sym_on] = ACTIONS(3016),
    [anon_sym_required] = ACTIONS(3016),
    [anon_sym_component] = ACTIONS(3016),
    [anon_sym_abstract] = ACTIONS(3016),
    [anon_sym_interface] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3020),
    [anon_sym_export] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_type] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_typeof] = ACTIONS(3020),
    [anon_sym_import] = ACTIONS(3020),
    [anon_sym_from] = ACTIONS(3020),
    [anon_sym_with] = ACTIONS(3020),
    [anon_sym_var] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3022),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym_await] = ACTIONS(3020),
    [anon_sym_of] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_debugger] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_yield] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_async] = ACTIONS(3020),
    [anon_sym_function] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_void] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3022),
    [sym_number] = ACTIONS(3022),
    [sym_private_property_identifier] = ACTIONS(3022),
    [sym_this] = ACTIONS(3020),
    [sym_super] = ACTIONS(3020),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [sym_null] = ACTIONS(3020),
    [sym_undefined] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_readonly] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3020),
    [anon_sym_declare] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_module] = ACTIONS(3020),
    [anon_sym_any] = ACTIONS(3020),
    [anon_sym_number] = ACTIONS(3020),
    [anon_sym_boolean] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_symbol] = ACTIONS(3020),
    [anon_sym_object] = ACTIONS(3020),
    [anon_sym_property] = ACTIONS(3020),
    [anon_sym_signal] = ACTIONS(3020),
    [anon_sym_on] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_component] = ACTIONS(3020),
    [anon_sym_abstract] = ACTIONS(3020),
    [anon_sym_interface] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3020),
    [anon_sym_export] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_type] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_typeof] = ACTIONS(3020),
    [anon_sym_import] = ACTIONS(3020),
    [anon_sym_from] = ACTIONS(3020),
    [anon_sym_with] = ACTIONS(3020),
    [anon_sym_var] = ACTIONS(3020),
    [anon_sym_let] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3022),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym_await] = ACTIONS(3020),
    [anon_sym_of] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_debugger] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_yield] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_async] = ACTIONS(3020),
    [anon_sym_function] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_void] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3022),
    [sym_number] = ACTIONS(3022),
    [sym_private_property_identifier] = ACTIONS(3022),
    [sym_this] = ACTIONS(3020),
    [sym_super] = ACTIONS(3020),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [sym_null] = ACTIONS(3020),
    [sym_undefined] = ACTIONS(3020),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_readonly] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3020),
    [anon_sym_declare] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_override] = ACTIONS(3020),
    [anon_sym_module] = ACTIONS(3020),
    [anon_sym_any] = ACTIONS(3020),
    [anon_sym_number] = ACTIONS(3020),
    [anon_sym_boolean] = ACTIONS(3020),
    [anon_sym_string] = ACTIONS(3020),
    [anon_sym_symbol] = ACTIONS(3020),
    [anon_sym_object] = ACTIONS(3020),
    [anon_sym_property] = ACTIONS(3020),
    [anon_sym_signal] = ACTIONS(3020),
    [anon_sym_on] = ACTIONS(3020),
    [anon_sym_required] = ACTIONS(3020),
    [anon_sym_component] = ACTIONS(3020),
    [anon_sym_abstract] = ACTIONS(3020),
    [anon_sym_interface] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_type] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_typeof] = ACTIONS(3024),
    [anon_sym_import] = ACTIONS(3024),
    [anon_sym_from] = ACTIONS(3024),
    [anon_sym_with] = ACTIONS(3024),
    [anon_sym_var] = ACTIONS(3024),
    [anon_sym_let] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_else] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_LPAREN] = ACTIONS(3026),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_await] = ACTIONS(3024),
    [anon_sym_of] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_debugger] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_yield] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_async] = ACTIONS(3024),
    [anon_sym_function] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_LT] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_void] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3026),
    [sym_number] = ACTIONS(3026),
    [sym_private_property_identifier] = ACTIONS(3026),
    [sym_this] = ACTIONS(3024),
    [sym_super] = ACTIONS(3024),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [sym_null] = ACTIONS(3024),
    [sym_undefined] = ACTIONS(3024),
    [anon_sym_AT] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_readonly] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3024),
    [anon_sym_declare] = ACTIONS(3024),
    [anon_sym_public] = ACTIONS(3024),
    [anon_sym_private] = ACTIONS(3024),
    [anon_sym_protected] = ACTIONS(3024),
    [anon_sym_override] = ACTIONS(3024),
    [anon_sym_module] = ACTIONS(3024),
    [anon_sym_any] = ACTIONS(3024),
    [anon_sym_number] = ACTIONS(3024),
    [anon_sym_boolean] = ACTIONS(3024),
    [anon_sym_string] = ACTIONS(3024),
    [anon_sym_symbol] = ACTIONS(3024),
    [anon_sym_object] = ACTIONS(3024),
    [anon_sym_property] = ACTIONS(3024),
    [anon_sym_signal] = ACTIONS(3024),
    [anon_sym_on] = ACTIONS(3024),
    [anon_sym_required] = ACTIONS(3024),
    [anon_sym_component] = ACTIONS(3024),
    [anon_sym_abstract] = ACTIONS(3024),
    [anon_sym_interface] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_export] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_type] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3028),
    [anon_sym_import] = ACTIONS(3028),
    [anon_sym_from] = ACTIONS(3028),
    [anon_sym_with] = ACTIONS(3028),
    [anon_sym_var] = ACTIONS(3028),
    [anon_sym_let] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym_await] = ACTIONS(3028),
    [anon_sym_of] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_debugger] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_yield] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_async] = ACTIONS(3028),
    [anon_sym_function] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_void] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3030),
    [sym_number] = ACTIONS(3030),
    [sym_private_property_identifier] = ACTIONS(3030),
    [sym_this] = ACTIONS(3028),
    [sym_super] = ACTIONS(3028),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [sym_null] = ACTIONS(3028),
    [sym_undefined] = ACTIONS(3028),
    [anon_sym_AT] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_readonly] = ACTIONS(3028),
    [anon_sym_get] = ACTIONS(3028),
    [anon_sym_set] = ACTIONS(3028),
    [anon_sym_declare] = ACTIONS(3028),
    [anon_sym_public] = ACTIONS(3028),
    [anon_sym_private] = ACTIONS(3028),
    [anon_sym_protected] = ACTIONS(3028),
    [anon_sym_override] = ACTIONS(3028),
    [anon_sym_module] = ACTIONS(3028),
    [anon_sym_any] = ACTIONS(3028),
    [anon_sym_number] = ACTIONS(3028),
    [anon_sym_boolean] = ACTIONS(3028),
    [anon_sym_string] = ACTIONS(3028),
    [anon_sym_symbol] = ACTIONS(3028),
    [anon_sym_object] = ACTIONS(3028),
    [anon_sym_property] = ACTIONS(3028),
    [anon_sym_signal] = ACTIONS(3028),
    [anon_sym_on] = ACTIONS(3028),
    [anon_sym_required] = ACTIONS(3028),
    [anon_sym_component] = ACTIONS(3028),
    [anon_sym_abstract] = ACTIONS(3028),
    [anon_sym_interface] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_export] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_type] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(3032),
    [anon_sym_from] = ACTIONS(3032),
    [anon_sym_with] = ACTIONS(3032),
    [anon_sym_var] = ACTIONS(3032),
    [anon_sym_let] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_await] = ACTIONS(3032),
    [anon_sym_of] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_debugger] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_yield] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_async] = ACTIONS(3032),
    [anon_sym_function] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_void] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3034),
    [sym_number] = ACTIONS(3034),
    [sym_private_property_identifier] = ACTIONS(3034),
    [sym_this] = ACTIONS(3032),
    [sym_super] = ACTIONS(3032),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [sym_null] = ACTIONS(3032),
    [sym_undefined] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_readonly] = ACTIONS(3032),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_declare] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_module] = ACTIONS(3032),
    [anon_sym_any] = ACTIONS(3032),
    [anon_sym_number] = ACTIONS(3032),
    [anon_sym_boolean] = ACTIONS(3032),
    [anon_sym_string] = ACTIONS(3032),
    [anon_sym_symbol] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_property] = ACTIONS(3032),
    [anon_sym_signal] = ACTIONS(3032),
    [anon_sym_on] = ACTIONS(3032),
    [anon_sym_required] = ACTIONS(3032),
    [anon_sym_component] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_interface] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_export] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_type] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_typeof] = ACTIONS(3036),
    [anon_sym_import] = ACTIONS(3036),
    [anon_sym_from] = ACTIONS(3036),
    [anon_sym_with] = ACTIONS(3036),
    [anon_sym_var] = ACTIONS(3036),
    [anon_sym_let] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_await] = ACTIONS(3036),
    [anon_sym_of] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_debugger] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_yield] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_async] = ACTIONS(3036),
    [anon_sym_function] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_void] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3038),
    [sym_number] = ACTIONS(3038),
    [sym_private_property_identifier] = ACTIONS(3038),
    [sym_this] = ACTIONS(3036),
    [sym_super] = ACTIONS(3036),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [sym_null] = ACTIONS(3036),
    [sym_undefined] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_readonly] = ACTIONS(3036),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_declare] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_module] = ACTIONS(3036),
    [anon_sym_any] = ACTIONS(3036),
    [anon_sym_number] = ACTIONS(3036),
    [anon_sym_boolean] = ACTIONS(3036),
    [anon_sym_string] = ACTIONS(3036),
    [anon_sym_symbol] = ACTIONS(3036),
    [anon_sym_object] = ACTIONS(3036),
    [anon_sym_property] = ACTIONS(3036),
    [anon_sym_signal] = ACTIONS(3036),
    [anon_sym_on] = ACTIONS(3036),
    [anon_sym_required] = ACTIONS(3036),
    [anon_sym_component] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_interface] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_export] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_type] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_typeof] = ACTIONS(3044),
    [anon_sym_import] = ACTIONS(3044),
    [anon_sym_from] = ACTIONS(3044),
    [anon_sym_with] = ACTIONS(3044),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_let] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_await] = ACTIONS(3044),
    [anon_sym_of] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_debugger] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_yield] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_async] = ACTIONS(3044),
    [anon_sym_function] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_void] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3046),
    [sym_number] = ACTIONS(3046),
    [sym_private_property_identifier] = ACTIONS(3046),
    [sym_this] = ACTIONS(3044),
    [sym_super] = ACTIONS(3044),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [sym_null] = ACTIONS(3044),
    [sym_undefined] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_declare] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_module] = ACTIONS(3044),
    [anon_sym_any] = ACTIONS(3044),
    [anon_sym_number] = ACTIONS(3044),
    [anon_sym_boolean] = ACTIONS(3044),
    [anon_sym_string] = ACTIONS(3044),
    [anon_sym_symbol] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_property] = ACTIONS(3044),
    [anon_sym_signal] = ACTIONS(3044),
    [anon_sym_on] = ACTIONS(3044),
    [anon_sym_required] = ACTIONS(3044),
    [anon_sym_component] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_interface] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3048),
    [anon_sym_export] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_type] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_typeof] = ACTIONS(3048),
    [anon_sym_import] = ACTIONS(3048),
    [anon_sym_from] = ACTIONS(3048),
    [anon_sym_with] = ACTIONS(3048),
    [anon_sym_var] = ACTIONS(3048),
    [anon_sym_let] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_await] = ACTIONS(3048),
    [anon_sym_of] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_debugger] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_yield] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3050),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_async] = ACTIONS(3048),
    [anon_sym_function] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_LT] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_void] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3050),
    [sym_number] = ACTIONS(3050),
    [sym_private_property_identifier] = ACTIONS(3050),
    [sym_this] = ACTIONS(3048),
    [sym_super] = ACTIONS(3048),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [sym_null] = ACTIONS(3048),
    [sym_undefined] = ACTIONS(3048),
    [anon_sym_AT] = ACTIONS(3050),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_readonly] = ACTIONS(3048),
    [anon_sym_get] = ACTIONS(3048),
    [anon_sym_set] = ACTIONS(3048),
    [anon_sym_declare] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_override] = ACTIONS(3048),
    [anon_sym_module] = ACTIONS(3048),
    [anon_sym_any] = ACTIONS(3048),
    [anon_sym_number] = ACTIONS(3048),
    [anon_sym_boolean] = ACTIONS(3048),
    [anon_sym_string] = ACTIONS(3048),
    [anon_sym_symbol] = ACTIONS(3048),
    [anon_sym_object] = ACTIONS(3048),
    [anon_sym_property] = ACTIONS(3048),
    [anon_sym_signal] = ACTIONS(3048),
    [anon_sym_on] = ACTIONS(3048),
    [anon_sym_required] = ACTIONS(3048),
    [anon_sym_component] = ACTIONS(3048),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_interface] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_export] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_type] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_typeof] = ACTIONS(3052),
    [anon_sym_import] = ACTIONS(3052),
    [anon_sym_from] = ACTIONS(3052),
    [anon_sym_with] = ACTIONS(3052),
    [anon_sym_var] = ACTIONS(3052),
    [anon_sym_let] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_await] = ACTIONS(3052),
    [anon_sym_of] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_debugger] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_yield] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_async] = ACTIONS(3052),
    [anon_sym_function] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_void] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3054),
    [sym_private_property_identifier] = ACTIONS(3054),
    [sym_this] = ACTIONS(3052),
    [sym_super] = ACTIONS(3052),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [sym_null] = ACTIONS(3052),
    [sym_undefined] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_readonly] = ACTIONS(3052),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_declare] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_module] = ACTIONS(3052),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_property] = ACTIONS(3052),
    [anon_sym_signal] = ACTIONS(3052),
    [anon_sym_on] = ACTIONS(3052),
    [anon_sym_required] = ACTIONS(3052),
    [anon_sym_component] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_interface] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_type] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_typeof] = ACTIONS(3040),
    [anon_sym_import] = ACTIONS(3040),
    [anon_sym_from] = ACTIONS(3040),
    [anon_sym_with] = ACTIONS(3040),
    [anon_sym_var] = ACTIONS(3040),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_await] = ACTIONS(3040),
    [anon_sym_of] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_debugger] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_async] = ACTIONS(3040),
    [anon_sym_function] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_void] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3042),
    [sym_number] = ACTIONS(3042),
    [sym_private_property_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(3040),
    [sym_super] = ACTIONS(3040),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [sym_null] = ACTIONS(3040),
    [sym_undefined] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_readonly] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_declare] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_module] = ACTIONS(3040),
    [anon_sym_any] = ACTIONS(3040),
    [anon_sym_number] = ACTIONS(3040),
    [anon_sym_boolean] = ACTIONS(3040),
    [anon_sym_string] = ACTIONS(3040),
    [anon_sym_symbol] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_property] = ACTIONS(3040),
    [anon_sym_signal] = ACTIONS(3040),
    [anon_sym_on] = ACTIONS(3040),
    [anon_sym_required] = ACTIONS(3040),
    [anon_sym_component] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_interface] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_export] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_type] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_typeof] = ACTIONS(3056),
    [anon_sym_import] = ACTIONS(3056),
    [anon_sym_from] = ACTIONS(3056),
    [anon_sym_with] = ACTIONS(3056),
    [anon_sym_var] = ACTIONS(3056),
    [anon_sym_let] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_await] = ACTIONS(3056),
    [anon_sym_of] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_debugger] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_yield] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_async] = ACTIONS(3056),
    [anon_sym_function] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_void] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3058),
    [sym_number] = ACTIONS(3058),
    [sym_private_property_identifier] = ACTIONS(3058),
    [sym_this] = ACTIONS(3056),
    [sym_super] = ACTIONS(3056),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_undefined] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_readonly] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_declare] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_module] = ACTIONS(3056),
    [anon_sym_any] = ACTIONS(3056),
    [anon_sym_number] = ACTIONS(3056),
    [anon_sym_boolean] = ACTIONS(3056),
    [anon_sym_string] = ACTIONS(3056),
    [anon_sym_symbol] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_property] = ACTIONS(3056),
    [anon_sym_signal] = ACTIONS(3056),
    [anon_sym_on] = ACTIONS(3056),
    [anon_sym_required] = ACTIONS(3056),
    [anon_sym_component] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_interface] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_export] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_type] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_typeof] = ACTIONS(3060),
    [anon_sym_import] = ACTIONS(3060),
    [anon_sym_from] = ACTIONS(3060),
    [anon_sym_with] = ACTIONS(3060),
    [anon_sym_var] = ACTIONS(3060),
    [anon_sym_let] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_await] = ACTIONS(3060),
    [anon_sym_of] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_debugger] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_yield] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_async] = ACTIONS(3060),
    [anon_sym_function] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_void] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3062),
    [sym_number] = ACTIONS(3062),
    [sym_private_property_identifier] = ACTIONS(3062),
    [sym_this] = ACTIONS(3060),
    [sym_super] = ACTIONS(3060),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3060),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_declare] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_module] = ACTIONS(3060),
    [anon_sym_any] = ACTIONS(3060),
    [anon_sym_number] = ACTIONS(3060),
    [anon_sym_boolean] = ACTIONS(3060),
    [anon_sym_string] = ACTIONS(3060),
    [anon_sym_symbol] = ACTIONS(3060),
    [anon_sym_object] = ACTIONS(3060),
    [anon_sym_property] = ACTIONS(3060),
    [anon_sym_signal] = ACTIONS(3060),
    [anon_sym_on] = ACTIONS(3060),
    [anon_sym_required] = ACTIONS(3060),
    [anon_sym_component] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_interface] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_from] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_of] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_property] = ACTIONS(3064),
    [anon_sym_signal] = ACTIONS(3064),
    [anon_sym_on] = ACTIONS(3064),
    [anon_sym_required] = ACTIONS(3064),
    [anon_sym_component] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_from] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_of] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_property] = ACTIONS(3064),
    [anon_sym_signal] = ACTIONS(3064),
    [anon_sym_on] = ACTIONS(3064),
    [anon_sym_required] = ACTIONS(3064),
    [anon_sym_component] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_type] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_typeof] = ACTIONS(3068),
    [anon_sym_import] = ACTIONS(3068),
    [anon_sym_from] = ACTIONS(3068),
    [anon_sym_with] = ACTIONS(3068),
    [anon_sym_var] = ACTIONS(3068),
    [anon_sym_let] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_LPAREN] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_await] = ACTIONS(3068),
    [anon_sym_of] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_debugger] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_yield] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_async] = ACTIONS(3068),
    [anon_sym_function] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_void] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3070),
    [sym_number] = ACTIONS(3070),
    [sym_private_property_identifier] = ACTIONS(3070),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(3068),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_readonly] = ACTIONS(3068),
    [anon_sym_get] = ACTIONS(3068),
    [anon_sym_set] = ACTIONS(3068),
    [anon_sym_declare] = ACTIONS(3068),
    [anon_sym_public] = ACTIONS(3068),
    [anon_sym_private] = ACTIONS(3068),
    [anon_sym_protected] = ACTIONS(3068),
    [anon_sym_override] = ACTIONS(3068),
    [anon_sym_module] = ACTIONS(3068),
    [anon_sym_any] = ACTIONS(3068),
    [anon_sym_number] = ACTIONS(3068),
    [anon_sym_boolean] = ACTIONS(3068),
    [anon_sym_string] = ACTIONS(3068),
    [anon_sym_symbol] = ACTIONS(3068),
    [anon_sym_object] = ACTIONS(3068),
    [anon_sym_property] = ACTIONS(3068),
    [anon_sym_signal] = ACTIONS(3068),
    [anon_sym_on] = ACTIONS(3068),
    [anon_sym_required] = ACTIONS(3068),
    [anon_sym_component] = ACTIONS(3068),
    [anon_sym_abstract] = ACTIONS(3068),
    [anon_sym_interface] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_from] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_of] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3074),
    [sym_number] = ACTIONS(3074),
    [sym_private_property_identifier] = ACTIONS(3074),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_property] = ACTIONS(3072),
    [anon_sym_signal] = ACTIONS(3072),
    [anon_sym_on] = ACTIONS(3072),
    [anon_sym_required] = ACTIONS(3072),
    [anon_sym_component] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3076),
    [anon_sym_export] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_type] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_typeof] = ACTIONS(3076),
    [anon_sym_import] = ACTIONS(3076),
    [anon_sym_from] = ACTIONS(3076),
    [anon_sym_with] = ACTIONS(3076),
    [anon_sym_var] = ACTIONS(3076),
    [anon_sym_let] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_await] = ACTIONS(3076),
    [anon_sym_of] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_debugger] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_yield] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3078),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_async] = ACTIONS(3076),
    [anon_sym_function] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_void] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3078),
    [sym_number] = ACTIONS(3078),
    [sym_private_property_identifier] = ACTIONS(3078),
    [sym_this] = ACTIONS(3076),
    [sym_super] = ACTIONS(3076),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [sym_null] = ACTIONS(3076),
    [sym_undefined] = ACTIONS(3076),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_readonly] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3076),
    [anon_sym_set] = ACTIONS(3076),
    [anon_sym_declare] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_override] = ACTIONS(3076),
    [anon_sym_module] = ACTIONS(3076),
    [anon_sym_any] = ACTIONS(3076),
    [anon_sym_number] = ACTIONS(3076),
    [anon_sym_boolean] = ACTIONS(3076),
    [anon_sym_string] = ACTIONS(3076),
    [anon_sym_symbol] = ACTIONS(3076),
    [anon_sym_object] = ACTIONS(3076),
    [anon_sym_property] = ACTIONS(3076),
    [anon_sym_signal] = ACTIONS(3076),
    [anon_sym_on] = ACTIONS(3076),
    [anon_sym_required] = ACTIONS(3076),
    [anon_sym_component] = ACTIONS(3076),
    [anon_sym_abstract] = ACTIONS(3076),
    [anon_sym_interface] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_from] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_of] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3082),
    [sym_number] = ACTIONS(3082),
    [sym_private_property_identifier] = ACTIONS(3082),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_property] = ACTIONS(3080),
    [anon_sym_signal] = ACTIONS(3080),
    [anon_sym_on] = ACTIONS(3080),
    [anon_sym_required] = ACTIONS(3080),
    [anon_sym_component] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3084),
    [anon_sym_export] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_type] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_typeof] = ACTIONS(3084),
    [anon_sym_import] = ACTIONS(3084),
    [anon_sym_from] = ACTIONS(3084),
    [anon_sym_with] = ACTIONS(3084),
    [anon_sym_var] = ACTIONS(3084),
    [anon_sym_let] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_await] = ACTIONS(3084),
    [anon_sym_of] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_debugger] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_yield] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3086),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_async] = ACTIONS(3084),
    [anon_sym_function] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_void] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3086),
    [sym_number] = ACTIONS(3086),
    [sym_private_property_identifier] = ACTIONS(3086),
    [sym_this] = ACTIONS(3084),
    [sym_super] = ACTIONS(3084),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [sym_null] = ACTIONS(3084),
    [sym_undefined] = ACTIONS(3084),
    [anon_sym_AT] = ACTIONS(3086),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_readonly] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3084),
    [anon_sym_set] = ACTIONS(3084),
    [anon_sym_declare] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_override] = ACTIONS(3084),
    [anon_sym_module] = ACTIONS(3084),
    [anon_sym_any] = ACTIONS(3084),
    [anon_sym_number] = ACTIONS(3084),
    [anon_sym_boolean] = ACTIONS(3084),
    [anon_sym_string] = ACTIONS(3084),
    [anon_sym_symbol] = ACTIONS(3084),
    [anon_sym_object] = ACTIONS(3084),
    [anon_sym_property] = ACTIONS(3084),
    [anon_sym_signal] = ACTIONS(3084),
    [anon_sym_on] = ACTIONS(3084),
    [anon_sym_required] = ACTIONS(3084),
    [anon_sym_component] = ACTIONS(3084),
    [anon_sym_abstract] = ACTIONS(3084),
    [anon_sym_interface] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_import] = ACTIONS(2704),
    [anon_sym_from] = ACTIONS(2704),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_var] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_await] = ACTIONS(2704),
    [anon_sym_of] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_debugger] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_private_property_identifier] = ACTIONS(2706),
    [sym_this] = ACTIONS(2704),
    [sym_super] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2704),
    [anon_sym_set] = ACTIONS(2704),
    [anon_sym_declare] = ACTIONS(2704),
    [anon_sym_public] = ACTIONS(2704),
    [anon_sym_private] = ACTIONS(2704),
    [anon_sym_protected] = ACTIONS(2704),
    [anon_sym_override] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_property] = ACTIONS(2704),
    [anon_sym_signal] = ACTIONS(2704),
    [anon_sym_on] = ACTIONS(2704),
    [anon_sym_required] = ACTIONS(2704),
    [anon_sym_component] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_interface] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3088),
    [anon_sym_export] = ACTIONS(3088),
    [anon_sym_type] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_typeof] = ACTIONS(3088),
    [anon_sym_import] = ACTIONS(3088),
    [anon_sym_from] = ACTIONS(3088),
    [anon_sym_with] = ACTIONS(3088),
    [anon_sym_var] = ACTIONS(3088),
    [anon_sym_let] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_LPAREN] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_await] = ACTIONS(3088),
    [anon_sym_of] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_debugger] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_yield] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_async] = ACTIONS(3088),
    [anon_sym_function] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_void] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3090),
    [sym_number] = ACTIONS(3090),
    [sym_private_property_identifier] = ACTIONS(3090),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(3088),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_readonly] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3088),
    [anon_sym_declare] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_override] = ACTIONS(3088),
    [anon_sym_module] = ACTIONS(3088),
    [anon_sym_any] = ACTIONS(3088),
    [anon_sym_number] = ACTIONS(3088),
    [anon_sym_boolean] = ACTIONS(3088),
    [anon_sym_string] = ACTIONS(3088),
    [anon_sym_symbol] = ACTIONS(3088),
    [anon_sym_object] = ACTIONS(3088),
    [anon_sym_property] = ACTIONS(3088),
    [anon_sym_signal] = ACTIONS(3088),
    [anon_sym_on] = ACTIONS(3088),
    [anon_sym_required] = ACTIONS(3088),
    [anon_sym_component] = ACTIONS(3088),
    [anon_sym_abstract] = ACTIONS(3088),
    [anon_sym_interface] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3092),
    [anon_sym_export] = ACTIONS(3092),
    [anon_sym_type] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_typeof] = ACTIONS(3092),
    [anon_sym_import] = ACTIONS(3092),
    [anon_sym_from] = ACTIONS(3092),
    [anon_sym_with] = ACTIONS(3092),
    [anon_sym_var] = ACTIONS(3092),
    [anon_sym_let] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_LPAREN] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_await] = ACTIONS(3092),
    [anon_sym_of] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_debugger] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_yield] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_async] = ACTIONS(3092),
    [anon_sym_function] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3092),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3094),
    [sym_number] = ACTIONS(3094),
    [sym_private_property_identifier] = ACTIONS(3094),
    [sym_this] = ACTIONS(3092),
    [sym_super] = ACTIONS(3092),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [sym_null] = ACTIONS(3092),
    [sym_undefined] = ACTIONS(3092),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3092),
    [anon_sym_set] = ACTIONS(3092),
    [anon_sym_declare] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_override] = ACTIONS(3092),
    [anon_sym_module] = ACTIONS(3092),
    [anon_sym_any] = ACTIONS(3092),
    [anon_sym_number] = ACTIONS(3092),
    [anon_sym_boolean] = ACTIONS(3092),
    [anon_sym_string] = ACTIONS(3092),
    [anon_sym_symbol] = ACTIONS(3092),
    [anon_sym_object] = ACTIONS(3092),
    [anon_sym_property] = ACTIONS(3092),
    [anon_sym_signal] = ACTIONS(3092),
    [anon_sym_on] = ACTIONS(3092),
    [anon_sym_required] = ACTIONS(3092),
    [anon_sym_component] = ACTIONS(3092),
    [anon_sym_abstract] = ACTIONS(3092),
    [anon_sym_interface] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3096),
    [anon_sym_export] = ACTIONS(3096),
    [anon_sym_type] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_typeof] = ACTIONS(3096),
    [anon_sym_import] = ACTIONS(3096),
    [anon_sym_from] = ACTIONS(3096),
    [anon_sym_with] = ACTIONS(3096),
    [anon_sym_var] = ACTIONS(3096),
    [anon_sym_let] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_LPAREN] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_await] = ACTIONS(3096),
    [anon_sym_of] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_debugger] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_yield] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_async] = ACTIONS(3096),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_void] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3098),
    [sym_number] = ACTIONS(3098),
    [sym_private_property_identifier] = ACTIONS(3098),
    [sym_this] = ACTIONS(3096),
    [sym_super] = ACTIONS(3096),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [sym_null] = ACTIONS(3096),
    [sym_undefined] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_readonly] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3096),
    [anon_sym_set] = ACTIONS(3096),
    [anon_sym_declare] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_override] = ACTIONS(3096),
    [anon_sym_module] = ACTIONS(3096),
    [anon_sym_any] = ACTIONS(3096),
    [anon_sym_number] = ACTIONS(3096),
    [anon_sym_boolean] = ACTIONS(3096),
    [anon_sym_string] = ACTIONS(3096),
    [anon_sym_symbol] = ACTIONS(3096),
    [anon_sym_object] = ACTIONS(3096),
    [anon_sym_property] = ACTIONS(3096),
    [anon_sym_signal] = ACTIONS(3096),
    [anon_sym_on] = ACTIONS(3096),
    [anon_sym_required] = ACTIONS(3096),
    [anon_sym_component] = ACTIONS(3096),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_interface] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_from] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2654),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_of] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2654),
    [sym_number] = ACTIONS(2654),
    [sym_private_property_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_object] = ACTIONS(2652),
    [anon_sym_property] = ACTIONS(2652),
    [anon_sym_signal] = ACTIONS(2652),
    [anon_sym_on] = ACTIONS(2652),
    [anon_sym_required] = ACTIONS(2652),
    [anon_sym_component] = ACTIONS(2652),
    [anon_sym_abstract] = ACTIONS(2652),
    [anon_sym_interface] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_identifier] = ACTIONS(2644),
    [anon_sym_export] = ACTIONS(2644),
    [anon_sym_type] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2644),
    [anon_sym_import] = ACTIONS(2644),
    [anon_sym_from] = ACTIONS(2644),
    [anon_sym_with] = ACTIONS(2644),
    [anon_sym_var] = ACTIONS(2644),
    [anon_sym_let] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym_await] = ACTIONS(2644),
    [anon_sym_of] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_debugger] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_yield] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_void] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2646),
    [sym_number] = ACTIONS(2646),
    [sym_private_property_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(2644),
    [sym_super] = ACTIONS(2644),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [sym_null] = ACTIONS(2644),
    [sym_undefined] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_readonly] = ACTIONS(2644),
    [anon_sym_get] = ACTIONS(2644),
    [anon_sym_set] = ACTIONS(2644),
    [anon_sym_declare] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_override] = ACTIONS(2644),
    [anon_sym_module] = ACTIONS(2644),
    [anon_sym_any] = ACTIONS(2644),
    [anon_sym_number] = ACTIONS(2644),
    [anon_sym_boolean] = ACTIONS(2644),
    [anon_sym_string] = ACTIONS(2644),
    [anon_sym_symbol] = ACTIONS(2644),
    [anon_sym_object] = ACTIONS(2644),
    [anon_sym_property] = ACTIONS(2644),
    [anon_sym_signal] = ACTIONS(2644),
    [anon_sym_on] = ACTIONS(2644),
    [anon_sym_required] = ACTIONS(2644),
    [anon_sym_component] = ACTIONS(2644),
    [anon_sym_abstract] = ACTIONS(2644),
    [anon_sym_interface] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3100),
    [anon_sym_export] = ACTIONS(3100),
    [anon_sym_type] = ACTIONS(3100),
    [anon_sym_namespace] = ACTIONS(3100),
    [anon_sym_LBRACE] = ACTIONS(3102),
    [anon_sym_typeof] = ACTIONS(3100),
    [anon_sym_import] = ACTIONS(3100),
    [anon_sym_from] = ACTIONS(3100),
    [anon_sym_with] = ACTIONS(3100),
    [anon_sym_var] = ACTIONS(3100),
    [anon_sym_let] = ACTIONS(3100),
    [anon_sym_const] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_switch] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_LPAREN] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_await] = ACTIONS(3100),
    [anon_sym_of] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_do] = ACTIONS(3100),
    [anon_sym_try] = ACTIONS(3100),
    [anon_sym_break] = ACTIONS(3100),
    [anon_sym_continue] = ACTIONS(3100),
    [anon_sym_debugger] = ACTIONS(3100),
    [anon_sym_return] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3100),
    [anon_sym_yield] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3100),
    [anon_sym_async] = ACTIONS(3100),
    [anon_sym_function] = ACTIONS(3100),
    [anon_sym_new] = ACTIONS(3100),
    [anon_sym_using] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_TILDE] = ACTIONS(3102),
    [anon_sym_void] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3102),
    [sym_number] = ACTIONS(3102),
    [sym_private_property_identifier] = ACTIONS(3102),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(3100),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3100),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3100),
    [anon_sym_declare] = ACTIONS(3100),
    [anon_sym_public] = ACTIONS(3100),
    [anon_sym_private] = ACTIONS(3100),
    [anon_sym_protected] = ACTIONS(3100),
    [anon_sym_override] = ACTIONS(3100),
    [anon_sym_module] = ACTIONS(3100),
    [anon_sym_any] = ACTIONS(3100),
    [anon_sym_number] = ACTIONS(3100),
    [anon_sym_boolean] = ACTIONS(3100),
    [anon_sym_string] = ACTIONS(3100),
    [anon_sym_symbol] = ACTIONS(3100),
    [anon_sym_object] = ACTIONS(3100),
    [anon_sym_property] = ACTIONS(3100),
    [anon_sym_signal] = ACTIONS(3100),
    [anon_sym_on] = ACTIONS(3100),
    [anon_sym_required] = ACTIONS(3100),
    [anon_sym_component] = ACTIONS(3100),
    [anon_sym_abstract] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3100),
    [anon_sym_enum] = ACTIONS(3100),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3104),
    [anon_sym_export] = ACTIONS(3104),
    [anon_sym_type] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_typeof] = ACTIONS(3104),
    [anon_sym_import] = ACTIONS(3104),
    [anon_sym_from] = ACTIONS(3104),
    [anon_sym_with] = ACTIONS(3104),
    [anon_sym_var] = ACTIONS(3104),
    [anon_sym_let] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_await] = ACTIONS(3104),
    [anon_sym_of] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_debugger] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_yield] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_async] = ACTIONS(3104),
    [anon_sym_function] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_void] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3106),
    [sym_number] = ACTIONS(3106),
    [sym_private_property_identifier] = ACTIONS(3106),
    [sym_this] = ACTIONS(3104),
    [sym_super] = ACTIONS(3104),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [sym_null] = ACTIONS(3104),
    [sym_undefined] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_readonly] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3104),
    [anon_sym_set] = ACTIONS(3104),
    [anon_sym_declare] = ACTIONS(3104),
    [anon_sym_public] = ACTIONS(3104),
    [anon_sym_private] = ACTIONS(3104),
    [anon_sym_protected] = ACTIONS(3104),
    [anon_sym_override] = ACTIONS(3104),
    [anon_sym_module] = ACTIONS(3104),
    [anon_sym_any] = ACTIONS(3104),
    [anon_sym_number] = ACTIONS(3104),
    [anon_sym_boolean] = ACTIONS(3104),
    [anon_sym_string] = ACTIONS(3104),
    [anon_sym_symbol] = ACTIONS(3104),
    [anon_sym_object] = ACTIONS(3104),
    [anon_sym_property] = ACTIONS(3104),
    [anon_sym_signal] = ACTIONS(3104),
    [anon_sym_on] = ACTIONS(3104),
    [anon_sym_required] = ACTIONS(3104),
    [anon_sym_component] = ACTIONS(3104),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_interface] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5158),
    [sym_optional_tuple_parameter] = STATE(5158),
    [sym_optional_type] = STATE(5158),
    [sym_rest_type] = STATE(5158),
    [sym__tuple_type_member] = STATE(5158),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5016),
    [sym_optional_tuple_parameter] = STATE(5016),
    [sym_optional_type] = STATE(5016),
    [sym_rest_type] = STATE(5016),
    [sym__tuple_type_member] = STATE(5016),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5420),
    [sym_optional_tuple_parameter] = STATE(5420),
    [sym_optional_type] = STATE(5420),
    [sym_rest_type] = STATE(5420),
    [sym__tuple_type_member] = STATE(5420),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5235),
    [sym_optional_tuple_parameter] = STATE(5235),
    [sym_optional_type] = STATE(5235),
    [sym_rest_type] = STATE(5235),
    [sym__tuple_type_member] = STATE(5235),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5476),
    [sym_optional_tuple_parameter] = STATE(5476),
    [sym_optional_type] = STATE(5476),
    [sym_rest_type] = STATE(5476),
    [sym__tuple_type_member] = STATE(5476),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_rest_pattern] = STATE(5850),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4227),
    [sym_tuple_parameter] = STATE(5752),
    [sym_optional_tuple_parameter] = STATE(5752),
    [sym_optional_type] = STATE(5752),
    [sym_rest_type] = STATE(5752),
    [sym__tuple_type_member] = STATE(5752),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_EQ] = ACTIONS(1812),
    [anon_sym_as] = ACTIONS(1810),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_COMMA] = ACTIONS(1816),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1810),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1816),
    [anon_sym_SEMI] = ACTIONS(1816),
    [anon_sym_in] = ACTIONS(1810),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1816),
    [anon_sym_DOT] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_QMARK_DOT] = ACTIONS(1816),
    [anon_sym_AMP_AMP] = ACTIONS(1816),
    [anon_sym_PIPE_PIPE] = ACTIONS(1816),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_GT_GT_GT] = ACTIONS(1816),
    [anon_sym_LT_LT] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1816),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_PERCENT] = ACTIONS(1816),
    [anon_sym_STAR_STAR] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1816),
    [anon_sym_EQ_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1816),
    [anon_sym_BANG_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1816),
    [anon_sym_GT_EQ] = ACTIONS(1816),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_QMARK_QMARK] = ACTIONS(1816),
    [anon_sym_instanceof] = ACTIONS(1810),
    [anon_sym_PLUS_PLUS] = ACTIONS(1816),
    [anon_sym_DASH_DASH] = ACTIONS(1816),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1816),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_satisfies] = ACTIONS(1810),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(3156),
    [sym__ternary_qmark] = ACTIONS(1816),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_statement_block] = STATE(1013),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_statement_block] = STATE(1013),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(1798),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_statement_block] = STATE(1013),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_type] = ACTIONS(1794),
    [anon_sym_as] = ACTIONS(1794),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_from] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_in] = ACTIONS(1794),
    [anon_sym_of] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_QMARK_DOT] = ACTIONS(1798),
    [anon_sym_AMP_AMP] = ACTIONS(1798),
    [anon_sym_PIPE_PIPE] = ACTIONS(1798),
    [anon_sym_GT_GT] = ACTIONS(1794),
    [anon_sym_GT_GT_GT] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_SLASH] = ACTIONS(1794),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_STAR_STAR] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_LT_EQ] = ACTIONS(1798),
    [anon_sym_EQ_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1798),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1798),
    [anon_sym_GT_EQ] = ACTIONS(1798),
    [anon_sym_GT] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1798),
    [anon_sym_instanceof] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1798),
    [anon_sym_DASH_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_static] = ACTIONS(1794),
    [anon_sym_readonly] = ACTIONS(1794),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
    [anon_sym_declare] = ACTIONS(1794),
    [anon_sym_public] = ACTIONS(1794),
    [anon_sym_private] = ACTIONS(1794),
    [anon_sym_protected] = ACTIONS(1794),
    [anon_sym_override] = ACTIONS(1794),
    [anon_sym_module] = ACTIONS(1794),
    [anon_sym_any] = ACTIONS(1794),
    [anon_sym_number] = ACTIONS(1794),
    [anon_sym_boolean] = ACTIONS(1794),
    [anon_sym_string] = ACTIONS(1794),
    [anon_sym_symbol] = ACTIONS(1794),
    [anon_sym_object] = ACTIONS(1794),
    [anon_sym_property] = ACTIONS(1794),
    [anon_sym_signal] = ACTIONS(1794),
    [anon_sym_on] = ACTIONS(1794),
    [anon_sym_required] = ACTIONS(1794),
    [anon_sym_component] = ACTIONS(1794),
    [anon_sym_satisfies] = ACTIONS(1794),
    [anon_sym_enum] = ACTIONS(1794),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1798),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_type] = ACTIONS(1912),
    [anon_sym_as] = ACTIONS(1914),
    [anon_sym_namespace] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1916),
    [anon_sym_from] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_in] = ACTIONS(1914),
    [anon_sym_of] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_QMARK_DOT] = ACTIONS(1918),
    [anon_sym_AMP_AMP] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1914),
    [anon_sym_GT_GT_GT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1914),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1914),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_DASH] = ACTIONS(1914),
    [anon_sym_SLASH] = ACTIONS(1914),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_STAR_STAR] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1918),
    [anon_sym_BANG_EQ] = ACTIONS(1914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(1914),
    [anon_sym_QMARK_QMARK] = ACTIONS(1918),
    [anon_sym_instanceof] = ACTIONS(1914),
    [anon_sym_PLUS_PLUS] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1918),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1916),
    [anon_sym_static] = ACTIONS(1912),
    [anon_sym_readonly] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_declare] = ACTIONS(1912),
    [anon_sym_public] = ACTIONS(1912),
    [anon_sym_private] = ACTIONS(1912),
    [anon_sym_protected] = ACTIONS(1912),
    [anon_sym_override] = ACTIONS(1912),
    [anon_sym_module] = ACTIONS(1912),
    [anon_sym_any] = ACTIONS(1912),
    [anon_sym_number] = ACTIONS(1912),
    [anon_sym_boolean] = ACTIONS(1912),
    [anon_sym_string] = ACTIONS(1912),
    [anon_sym_symbol] = ACTIONS(1912),
    [anon_sym_object] = ACTIONS(1912),
    [anon_sym_property] = ACTIONS(1912),
    [anon_sym_signal] = ACTIONS(1912),
    [anon_sym_on] = ACTIONS(1912),
    [anon_sym_required] = ACTIONS(1912),
    [anon_sym_component] = ACTIONS(1912),
    [anon_sym_satisfies] = ACTIONS(1914),
    [anon_sym_enum] = ACTIONS(1912),
    [sym__automatic_semicolon] = ACTIONS(3164),
    [sym__ternary_qmark] = ACTIONS(1918),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_from] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_property] = ACTIONS(3166),
    [anon_sym_signal] = ACTIONS(3166),
    [anon_sym_on] = ACTIONS(3166),
    [anon_sym_required] = ACTIONS(3166),
    [anon_sym_component] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5462),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_from] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_property] = ACTIONS(3206),
    [anon_sym_signal] = ACTIONS(3206),
    [anon_sym_on] = ACTIONS(3206),
    [anon_sym_required] = ACTIONS(3206),
    [anon_sym_component] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_from] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_property] = ACTIONS(3226),
    [anon_sym_signal] = ACTIONS(3226),
    [anon_sym_on] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_component] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_from] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_property] = ACTIONS(3246),
    [anon_sym_signal] = ACTIONS(3246),
    [anon_sym_on] = ACTIONS(3246),
    [anon_sym_required] = ACTIONS(3246),
    [anon_sym_component] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_as] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_in] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_QMARK_DOT] = ACTIONS(1846),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_GT_GT_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_QMARK_QMARK] = ACTIONS(1846),
    [anon_sym_instanceof] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_satisfies] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(3266),
    [sym__ternary_qmark] = ACTIONS(1846),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_from] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_property] = ACTIONS(3246),
    [anon_sym_signal] = ACTIONS(3246),
    [anon_sym_on] = ACTIONS(3246),
    [anon_sym_required] = ACTIONS(3246),
    [anon_sym_component] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_from] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_property] = ACTIONS(3166),
    [anon_sym_signal] = ACTIONS(3166),
    [anon_sym_on] = ACTIONS(3166),
    [anon_sym_required] = ACTIONS(3166),
    [anon_sym_component] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_from] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_property] = ACTIONS(3226),
    [anon_sym_signal] = ACTIONS(3226),
    [anon_sym_on] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_component] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_from] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_property] = ACTIONS(3272),
    [anon_sym_signal] = ACTIONS(3272),
    [anon_sym_on] = ACTIONS(3272),
    [anon_sym_required] = ACTIONS(3272),
    [anon_sym_component] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_from] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_property] = ACTIONS(3226),
    [anon_sym_signal] = ACTIONS(3226),
    [anon_sym_on] = ACTIONS(3226),
    [anon_sym_required] = ACTIONS(3226),
    [anon_sym_component] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_from] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_property] = ACTIONS(3292),
    [anon_sym_signal] = ACTIONS(3292),
    [anon_sym_on] = ACTIONS(3292),
    [anon_sym_required] = ACTIONS(3292),
    [anon_sym_component] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5462),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5462),
    [sym_pair] = STATE(5462),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(4961),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_from] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_property] = ACTIONS(3206),
    [anon_sym_signal] = ACTIONS(3206),
    [anon_sym_on] = ACTIONS(3206),
    [anon_sym_required] = ACTIONS(3206),
    [anon_sym_component] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_export_statement] = STATE(4162),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4162),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4162),
    [sym_property_signature] = STATE(4162),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4162),
    [sym_index_signature] = STATE(4162),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_from] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_of] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3262),
    [anon_sym_private] = ACTIONS(3262),
    [anon_sym_protected] = ACTIONS(3262),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_property] = ACTIONS(3246),
    [anon_sym_signal] = ACTIONS(3246),
    [anon_sym_on] = ACTIONS(3246),
    [anon_sym_required] = ACTIONS(3246),
    [anon_sym_component] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_as] = ACTIONS(1992),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1996),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_from] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1992),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_in] = ACTIONS(1992),
    [anon_sym_of] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_DOT] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_QMARK_DOT] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(1996),
    [anon_sym_PIPE_PIPE] = ACTIONS(1996),
    [anon_sym_GT_GT] = ACTIONS(1992),
    [anon_sym_GT_GT_GT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1992),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_PIPE] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(1992),
    [anon_sym_SLASH] = ACTIONS(1992),
    [anon_sym_PERCENT] = ACTIONS(1996),
    [anon_sym_STAR_STAR] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1992),
    [anon_sym_LT_EQ] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(1992),
    [anon_sym_QMARK_QMARK] = ACTIONS(1996),
    [anon_sym_instanceof] = ACTIONS(1992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1996),
    [anon_sym_AT] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_property] = ACTIONS(1990),
    [anon_sym_signal] = ACTIONS(1990),
    [anon_sym_on] = ACTIONS(1990),
    [anon_sym_required] = ACTIONS(1990),
    [anon_sym_component] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(1992),
    [anon_sym_enum] = ACTIONS(1990),
    [sym__automatic_semicolon] = ACTIONS(3320),
    [sym__ternary_qmark] = ACTIONS(1996),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_as] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_COMMA] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_from] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_in] = ACTIONS(1808),
    [anon_sym_of] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_DOT] = ACTIONS(1814),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_QMARK_DOT] = ACTIONS(1814),
    [anon_sym_AMP_AMP] = ACTIONS(1814),
    [anon_sym_PIPE_PIPE] = ACTIONS(1814),
    [anon_sym_GT_GT] = ACTIONS(1808),
    [anon_sym_GT_GT_GT] = ACTIONS(1814),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1808),
    [anon_sym_CARET] = ACTIONS(1814),
    [anon_sym_PIPE] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_PERCENT] = ACTIONS(1814),
    [anon_sym_STAR_STAR] = ACTIONS(1814),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1814),
    [anon_sym_EQ_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1814),
    [anon_sym_BANG_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1814),
    [anon_sym_GT_EQ] = ACTIONS(1814),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_QMARK_QMARK] = ACTIONS(1814),
    [anon_sym_instanceof] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_property] = ACTIONS(1808),
    [anon_sym_signal] = ACTIONS(1808),
    [anon_sym_on] = ACTIONS(1808),
    [anon_sym_required] = ACTIONS(1808),
    [anon_sym_component] = ACTIONS(1808),
    [anon_sym_satisfies] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(3322),
    [sym__ternary_qmark] = ACTIONS(1814),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_export] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_type] = ACTIONS(1980),
    [anon_sym_as] = ACTIONS(1982),
    [anon_sym_namespace] = ACTIONS(1980),
    [anon_sym_COMMA] = ACTIONS(1986),
    [anon_sym_RBRACE] = ACTIONS(1984),
    [anon_sym_from] = ACTIONS(1980),
    [anon_sym_var] = ACTIONS(1980),
    [anon_sym_let] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_else] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_SEMI] = ACTIONS(1986),
    [anon_sym_in] = ACTIONS(1982),
    [anon_sym_of] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_DOT] = ACTIONS(1986),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_function] = ACTIONS(1980),
    [anon_sym_QMARK_DOT] = ACTIONS(1986),
    [anon_sym_AMP_AMP] = ACTIONS(1986),
    [anon_sym_PIPE_PIPE] = ACTIONS(1986),
    [anon_sym_GT_GT] = ACTIONS(1982),
    [anon_sym_GT_GT_GT] = ACTIONS(1986),
    [anon_sym_LT_LT] = ACTIONS(1986),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1986),
    [anon_sym_PIPE] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_SLASH] = ACTIONS(1982),
    [anon_sym_PERCENT] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1982),
    [anon_sym_LT_EQ] = ACTIONS(1986),
    [anon_sym_EQ_EQ] = ACTIONS(1982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1986),
    [anon_sym_BANG_EQ] = ACTIONS(1982),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1986),
    [anon_sym_GT_EQ] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(1982),
    [anon_sym_QMARK_QMARK] = ACTIONS(1986),
    [anon_sym_instanceof] = ACTIONS(1982),
    [anon_sym_PLUS_PLUS] = ACTIONS(1986),
    [anon_sym_DASH_DASH] = ACTIONS(1986),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1986),
    [anon_sym_AT] = ACTIONS(1984),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_readonly] = ACTIONS(1980),
    [anon_sym_get] = ACTIONS(1980),
    [anon_sym_set] = ACTIONS(1980),
    [anon_sym_declare] = ACTIONS(1980),
    [anon_sym_public] = ACTIONS(1980),
    [anon_sym_private] = ACTIONS(1980),
    [anon_sym_protected] = ACTIONS(1980),
    [anon_sym_override] = ACTIONS(1980),
    [anon_sym_module] = ACTIONS(1980),
    [anon_sym_any] = ACTIONS(1980),
    [anon_sym_number] = ACTIONS(1980),
    [anon_sym_boolean] = ACTIONS(1980),
    [anon_sym_string] = ACTIONS(1980),
    [anon_sym_symbol] = ACTIONS(1980),
    [anon_sym_object] = ACTIONS(1980),
    [anon_sym_property] = ACTIONS(1980),
    [anon_sym_signal] = ACTIONS(1980),
    [anon_sym_on] = ACTIONS(1980),
    [anon_sym_required] = ACTIONS(1980),
    [anon_sym_component] = ACTIONS(1980),
    [anon_sym_satisfies] = ACTIONS(1982),
    [anon_sym_enum] = ACTIONS(1980),
    [sym__automatic_semicolon] = ACTIONS(3324),
    [sym__ternary_qmark] = ACTIONS(1986),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_identifier] = ACTIONS(2004),
    [anon_sym_export] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2004),
    [anon_sym_type] = ACTIONS(2004),
    [anon_sym_as] = ACTIONS(2004),
    [anon_sym_namespace] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_from] = ACTIONS(2004),
    [anon_sym_var] = ACTIONS(2004),
    [anon_sym_let] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_else] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [anon_sym_in] = ACTIONS(2004),
    [anon_sym_of] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT] = ACTIONS(2006),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(2004),
    [anon_sym_QMARK_DOT] = ACTIONS(2006),
    [anon_sym_AMP_AMP] = ACTIONS(2006),
    [anon_sym_PIPE_PIPE] = ACTIONS(2006),
    [anon_sym_GT_GT] = ACTIONS(2004),
    [anon_sym_GT_GT_GT] = ACTIONS(2006),
    [anon_sym_LT_LT] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2004),
    [anon_sym_CARET] = ACTIONS(2006),
    [anon_sym_PIPE] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_SLASH] = ACTIONS(2004),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_STAR_STAR] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_EQ_EQ] = ACTIONS(2004),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2006),
    [anon_sym_BANG_EQ] = ACTIONS(2004),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_GT] = ACTIONS(2004),
    [anon_sym_QMARK_QMARK] = ACTIONS(2006),
    [anon_sym_instanceof] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2006),
    [anon_sym_DASH_DASH] = ACTIONS(2006),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2004),
    [anon_sym_readonly] = ACTIONS(2004),
    [anon_sym_get] = ACTIONS(2004),
    [anon_sym_set] = ACTIONS(2004),
    [anon_sym_declare] = ACTIONS(2004),
    [anon_sym_public] = ACTIONS(2004),
    [anon_sym_private] = ACTIONS(2004),
    [anon_sym_protected] = ACTIONS(2004),
    [anon_sym_override] = ACTIONS(2004),
    [anon_sym_module] = ACTIONS(2004),
    [anon_sym_any] = ACTIONS(2004),
    [anon_sym_number] = ACTIONS(2004),
    [anon_sym_boolean] = ACTIONS(2004),
    [anon_sym_string] = ACTIONS(2004),
    [anon_sym_symbol] = ACTIONS(2004),
    [anon_sym_object] = ACTIONS(2004),
    [anon_sym_property] = ACTIONS(2004),
    [anon_sym_signal] = ACTIONS(2004),
    [anon_sym_on] = ACTIONS(2004),
    [anon_sym_required] = ACTIONS(2004),
    [anon_sym_component] = ACTIONS(2004),
    [anon_sym_satisfies] = ACTIONS(2004),
    [anon_sym_enum] = ACTIONS(2004),
    [sym__automatic_semicolon] = ACTIONS(2006),
    [sym__ternary_qmark] = ACTIONS(2006),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_identifier] = ACTIONS(1824),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_as] = ACTIONS(1824),
    [anon_sym_namespace] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_from] = ACTIONS(1824),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_in] = ACTIONS(1824),
    [anon_sym_of] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_DOT] = ACTIONS(1826),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1824),
    [anon_sym_QMARK_DOT] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1826),
    [anon_sym_PIPE_PIPE] = ACTIONS(1826),
    [anon_sym_GT_GT] = ACTIONS(1824),
    [anon_sym_GT_GT_GT] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1826),
    [anon_sym_STAR_STAR] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_QMARK_QMARK] = ACTIONS(1826),
    [anon_sym_instanceof] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_readonly] = ACTIONS(1824),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
    [anon_sym_declare] = ACTIONS(1824),
    [anon_sym_public] = ACTIONS(1824),
    [anon_sym_private] = ACTIONS(1824),
    [anon_sym_protected] = ACTIONS(1824),
    [anon_sym_override] = ACTIONS(1824),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1824),
    [anon_sym_number] = ACTIONS(1824),
    [anon_sym_boolean] = ACTIONS(1824),
    [anon_sym_string] = ACTIONS(1824),
    [anon_sym_symbol] = ACTIONS(1824),
    [anon_sym_object] = ACTIONS(1824),
    [anon_sym_property] = ACTIONS(1824),
    [anon_sym_signal] = ACTIONS(1824),
    [anon_sym_on] = ACTIONS(1824),
    [anon_sym_required] = ACTIONS(1824),
    [anon_sym_component] = ACTIONS(1824),
    [anon_sym_satisfies] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1824),
    [sym__automatic_semicolon] = ACTIONS(1826),
    [sym__ternary_qmark] = ACTIONS(1826),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_export_statement] = STATE(4152),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5268),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5297),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5268),
    [sym_method_definition] = STATE(5297),
    [sym_pair] = STATE(5297),
    [sym_pair_pattern] = STATE(5268),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4152),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4152),
    [sym_property_signature] = STATE(4152),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4152),
    [sym_index_signature] = STATE(4152),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [aux_sym_object_repeat1] = STATE(5299),
    [aux_sym_object_pattern_repeat1] = STATE(5269),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_from] = ACTIONS(3166),
    [anon_sym_let] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_of] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3166),
    [anon_sym_any] = ACTIONS(3166),
    [anon_sym_number] = ACTIONS(3166),
    [anon_sym_boolean] = ACTIONS(3166),
    [anon_sym_string] = ACTIONS(3166),
    [anon_sym_symbol] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_property] = ACTIONS(3166),
    [anon_sym_signal] = ACTIONS(3166),
    [anon_sym_on] = ACTIONS(3166),
    [anon_sym_required] = ACTIONS(3166),
    [anon_sym_component] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2008),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_as] = ACTIONS(2008),
    [anon_sym_namespace] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_from] = ACTIONS(2008),
    [anon_sym_var] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_else] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_DOT] = ACTIONS(2010),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_QMARK_DOT] = ACTIONS(2010),
    [anon_sym_AMP_AMP] = ACTIONS(2010),
    [anon_sym_PIPE_PIPE] = ACTIONS(2010),
    [anon_sym_GT_GT] = ACTIONS(2008),
    [anon_sym_GT_GT_GT] = ACTIONS(2010),
    [anon_sym_LT_LT] = ACTIONS(2010),
    [anon_sym_AMP] = ACTIONS(2008),
    [anon_sym_CARET] = ACTIONS(2010),
    [anon_sym_PIPE] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2010),
    [anon_sym_STAR_STAR] = ACTIONS(2010),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2010),
    [anon_sym_EQ_EQ] = ACTIONS(2008),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2010),
    [anon_sym_BANG_EQ] = ACTIONS(2008),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2010),
    [anon_sym_GT_EQ] = ACTIONS(2010),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_QMARK_QMARK] = ACTIONS(2010),
    [anon_sym_instanceof] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(2010),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_readonly] = ACTIONS(2008),
    [anon_sym_get] = ACTIONS(2008),
    [anon_sym_set] = ACTIONS(2008),
    [anon_sym_declare] = ACTIONS(2008),
    [anon_sym_public] = ACTIONS(2008),
    [anon_sym_private] = ACTIONS(2008),
    [anon_sym_protected] = ACTIONS(2008),
    [anon_sym_override] = ACTIONS(2008),
    [anon_sym_module] = ACTIONS(2008),
    [anon_sym_any] = ACTIONS(2008),
    [anon_sym_number] = ACTIONS(2008),
    [anon_sym_boolean] = ACTIONS(2008),
    [anon_sym_string] = ACTIONS(2008),
    [anon_sym_symbol] = ACTIONS(2008),
    [anon_sym_object] = ACTIONS(2008),
    [anon_sym_property] = ACTIONS(2008),
    [anon_sym_signal] = ACTIONS(2008),
    [anon_sym_on] = ACTIONS(2008),
    [anon_sym_required] = ACTIONS(2008),
    [anon_sym_component] = ACTIONS(2008),
    [anon_sym_satisfies] = ACTIONS(2008),
    [anon_sym_enum] = ACTIONS(2008),
    [sym__automatic_semicolon] = ACTIONS(2010),
    [sym__ternary_qmark] = ACTIONS(2010),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_identifier] = ACTIONS(1850),
    [anon_sym_export] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_default] = ACTIONS(1850),
    [anon_sym_type] = ACTIONS(1850),
    [anon_sym_as] = ACTIONS(1850),
    [anon_sym_namespace] = ACTIONS(1850),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1852),
    [anon_sym_RBRACE] = ACTIONS(1852),
    [anon_sym_from] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(1850),
    [anon_sym_let] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1850),
    [anon_sym_else] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym_in] = ACTIONS(1850),
    [anon_sym_of] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym_DOT] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1850),
    [anon_sym_function] = ACTIONS(1850),
    [anon_sym_QMARK_DOT] = ACTIONS(1852),
    [anon_sym_AMP_AMP] = ACTIONS(1852),
    [anon_sym_PIPE_PIPE] = ACTIONS(1852),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_GT_GT_GT] = ACTIONS(1852),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1852),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1852),
    [anon_sym_STAR_STAR] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1852),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1852),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1852),
    [anon_sym_GT_EQ] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_QMARK_QMARK] = ACTIONS(1852),
    [anon_sym_instanceof] = ACTIONS(1850),
    [anon_sym_PLUS_PLUS] = ACTIONS(1852),
    [anon_sym_DASH_DASH] = ACTIONS(1852),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1852),
    [anon_sym_static] = ACTIONS(1850),
    [anon_sym_readonly] = ACTIONS(1850),
    [anon_sym_get] = ACTIONS(1850),
    [anon_sym_set] = ACTIONS(1850),
    [anon_sym_declare] = ACTIONS(1850),
    [anon_sym_public] = ACTIONS(1850),
    [anon_sym_private] = ACTIONS(1850),
    [anon_sym_protected] = ACTIONS(1850),
    [anon_sym_override] = ACTIONS(1850),
    [anon_sym_module] = ACTIONS(1850),
    [anon_sym_any] = ACTIONS(1850),
    [anon_sym_number] = ACTIONS(1850),
    [anon_sym_boolean] = ACTIONS(1850),
    [anon_sym_string] = ACTIONS(1850),
    [anon_sym_symbol] = ACTIONS(1850),
    [anon_sym_object] = ACTIONS(1850),
    [anon_sym_property] = ACTIONS(1850),
    [anon_sym_signal] = ACTIONS(1850),
    [anon_sym_on] = ACTIONS(1850),
    [anon_sym_required] = ACTIONS(1850),
    [anon_sym_component] = ACTIONS(1850),
    [anon_sym_satisfies] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1850),
    [sym__automatic_semicolon] = ACTIONS(1852),
    [sym__ternary_qmark] = ACTIONS(1852),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_identifier] = ACTIONS(1854),
    [anon_sym_export] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_default] = ACTIONS(1854),
    [anon_sym_type] = ACTIONS(1854),
    [anon_sym_as] = ACTIONS(1854),
    [anon_sym_namespace] = ACTIONS(1854),
    [anon_sym_LBRACE] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_RBRACE] = ACTIONS(1856),
    [anon_sym_from] = ACTIONS(1854),
    [anon_sym_var] = ACTIONS(1854),
    [anon_sym_let] = ACTIONS(1854),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_else] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1856),
    [anon_sym_in] = ACTIONS(1854),
    [anon_sym_of] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(1856),
    [anon_sym_async] = ACTIONS(1854),
    [anon_sym_function] = ACTIONS(1854),
    [anon_sym_QMARK_DOT] = ACTIONS(1856),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_GT_GT] = ACTIONS(1854),
    [anon_sym_GT_GT_GT] = ACTIONS(1856),
    [anon_sym_LT_LT] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_CARET] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1854),
    [anon_sym_PERCENT] = ACTIONS(1856),
    [anon_sym_STAR_STAR] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_EQ_EQ] = ACTIONS(1854),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1856),
    [anon_sym_BANG_EQ] = ACTIONS(1854),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1854),
    [anon_sym_QMARK_QMARK] = ACTIONS(1856),
    [anon_sym_instanceof] = ACTIONS(1854),
    [anon_sym_PLUS_PLUS] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1856),
    [anon_sym_static] = ACTIONS(1854),
    [anon_sym_readonly] = ACTIONS(1854),
    [anon_sym_get] = ACTIONS(1854),
    [anon_sym_set] = ACTIONS(1854),
    [anon_sym_declare] = ACTIONS(1854),
    [anon_sym_public] = ACTIONS(1854),
    [anon_sym_private] = ACTIONS(1854),
    [anon_sym_protected] = ACTIONS(1854),
    [anon_sym_override] = ACTIONS(1854),
    [anon_sym_module] = ACTIONS(1854),
    [anon_sym_any] = ACTIONS(1854),
    [anon_sym_number] = ACTIONS(1854),
    [anon_sym_boolean] = ACTIONS(1854),
    [anon_sym_string] = ACTIONS(1854),
    [anon_sym_symbol] = ACTIONS(1854),
    [anon_sym_object] = ACTIONS(1854),
    [anon_sym_property] = ACTIONS(1854),
    [anon_sym_signal] = ACTIONS(1854),
    [anon_sym_on] = ACTIONS(1854),
    [anon_sym_required] = ACTIONS(1854),
    [anon_sym_component] = ACTIONS(1854),
    [anon_sym_satisfies] = ACTIONS(1854),
    [anon_sym_enum] = ACTIONS(1854),
    [sym__automatic_semicolon] = ACTIONS(1856),
    [sym__ternary_qmark] = ACTIONS(1856),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_export] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_as] = ACTIONS(1844),
    [anon_sym_namespace] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_from] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_in] = ACTIONS(1844),
    [anon_sym_of] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_QMARK_DOT] = ACTIONS(1846),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_GT_GT_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_QMARK_QMARK] = ACTIONS(1846),
    [anon_sym_instanceof] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_readonly] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_declare] = ACTIONS(1844),
    [anon_sym_public] = ACTIONS(1844),
    [anon_sym_private] = ACTIONS(1844),
    [anon_sym_protected] = ACTIONS(1844),
    [anon_sym_override] = ACTIONS(1844),
    [anon_sym_module] = ACTIONS(1844),
    [anon_sym_any] = ACTIONS(1844),
    [anon_sym_number] = ACTIONS(1844),
    [anon_sym_boolean] = ACTIONS(1844),
    [anon_sym_string] = ACTIONS(1844),
    [anon_sym_symbol] = ACTIONS(1844),
    [anon_sym_object] = ACTIONS(1844),
    [anon_sym_property] = ACTIONS(1844),
    [anon_sym_signal] = ACTIONS(1844),
    [anon_sym_on] = ACTIONS(1844),
    [anon_sym_required] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_satisfies] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [sym__automatic_semicolon] = ACTIONS(1846),
    [sym__ternary_qmark] = ACTIONS(1846),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_export] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_as] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_from] = ACTIONS(1860),
    [anon_sym_var] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1862),
    [anon_sym_SEMI] = ACTIONS(1862),
    [anon_sym_in] = ACTIONS(1860),
    [anon_sym_of] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1862),
    [anon_sym_DOT] = ACTIONS(1862),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_function] = ACTIONS(1860),
    [anon_sym_QMARK_DOT] = ACTIONS(1862),
    [anon_sym_AMP_AMP] = ACTIONS(1862),
    [anon_sym_PIPE_PIPE] = ACTIONS(1862),
    [anon_sym_GT_GT] = ACTIONS(1860),
    [anon_sym_GT_GT_GT] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_PIPE] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_PERCENT] = ACTIONS(1862),
    [anon_sym_STAR_STAR] = ACTIONS(1862),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1862),
    [anon_sym_EQ_EQ] = ACTIONS(1860),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1862),
    [anon_sym_GT_EQ] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1860),
    [anon_sym_QMARK_QMARK] = ACTIONS(1862),
    [anon_sym_instanceof] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1862),
    [anon_sym_DASH_DASH] = ACTIONS(1862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1862),
    [anon_sym_AT] = ACTIONS(1862),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_readonly] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_declare] = ACTIONS(1860),
    [anon_sym_public] = ACTIONS(1860),
    [anon_sym_private] = ACTIONS(1860),
    [anon_sym_protected] = ACTIONS(1860),
    [anon_sym_override] = ACTIONS(1860),
    [anon_sym_module] = ACTIONS(1860),
    [anon_sym_any] = ACTIONS(1860),
    [anon_sym_number] = ACTIONS(1860),
    [anon_sym_boolean] = ACTIONS(1860),
    [anon_sym_string] = ACTIONS(1860),
    [anon_sym_symbol] = ACTIONS(1860),
    [anon_sym_object] = ACTIONS(1860),
    [anon_sym_property] = ACTIONS(1860),
    [anon_sym_signal] = ACTIONS(1860),
    [anon_sym_on] = ACTIONS(1860),
    [anon_sym_required] = ACTIONS(1860),
    [anon_sym_component] = ACTIONS(1860),
    [anon_sym_satisfies] = ACTIONS(1860),
    [anon_sym_enum] = ACTIONS(1860),
    [sym__automatic_semicolon] = ACTIONS(1862),
    [sym__ternary_qmark] = ACTIONS(1862),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_export] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1962),
    [anon_sym_type] = ACTIONS(1962),
    [anon_sym_as] = ACTIONS(1964),
    [anon_sym_namespace] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_from] = ACTIONS(1962),
    [anon_sym_var] = ACTIONS(1962),
    [anon_sym_let] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_else] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_in] = ACTIONS(1964),
    [anon_sym_of] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_DOT] = ACTIONS(1968),
    [anon_sym_async] = ACTIONS(1962),
    [anon_sym_function] = ACTIONS(1962),
    [anon_sym_QMARK_DOT] = ACTIONS(1968),
    [anon_sym_AMP_AMP] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1968),
    [anon_sym_GT_GT] = ACTIONS(1964),
    [anon_sym_GT_GT_GT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_AMP] = ACTIONS(1964),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_PIPE] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1964),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_STAR_STAR] = ACTIONS(1968),
    [anon_sym_LT] = ACTIONS(1964),
    [anon_sym_LT_EQ] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1964),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1968),
    [anon_sym_BANG_EQ] = ACTIONS(1964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1968),
    [anon_sym_GT_EQ] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1964),
    [anon_sym_QMARK_QMARK] = ACTIONS(1968),
    [anon_sym_instanceof] = ACTIONS(1964),
    [anon_sym_PLUS_PLUS] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1968),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1968),
    [anon_sym_AT] = ACTIONS(1966),
    [anon_sym_static] = ACTIONS(1962),
    [anon_sym_readonly] = ACTIONS(1962),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
    [anon_sym_declare] = ACTIONS(1962),
    [anon_sym_public] = ACTIONS(1962),
    [anon_sym_private] = ACTIONS(1962),
    [anon_sym_protected] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_module] = ACTIONS(1962),
    [anon_sym_any] = ACTIONS(1962),
    [anon_sym_number] = ACTIONS(1962),
    [anon_sym_boolean] = ACTIONS(1962),
    [anon_sym_string] = ACTIONS(1962),
    [anon_sym_symbol] = ACTIONS(1962),
    [anon_sym_object] = ACTIONS(1962),
    [anon_sym_property] = ACTIONS(1962),
    [anon_sym_signal] = ACTIONS(1962),
    [anon_sym_on] = ACTIONS(1962),
    [anon_sym_required] = ACTIONS(1962),
    [anon_sym_component] = ACTIONS(1962),
    [anon_sym_satisfies] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1962),
    [sym__automatic_semicolon] = ACTIONS(3328),
    [sym__ternary_qmark] = ACTIONS(1968),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(1864),
    [anon_sym_export] = ACTIONS(1864),
    [anon_sym_STAR] = ACTIONS(1866),
    [anon_sym_default] = ACTIONS(1864),
    [anon_sym_type] = ACTIONS(1864),
    [anon_sym_as] = ACTIONS(1866),
    [anon_sym_namespace] = ACTIONS(1864),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1868),
    [anon_sym_from] = ACTIONS(1864),
    [anon_sym_var] = ACTIONS(1864),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1866),
    [anon_sym_else] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_in] = ACTIONS(1866),
    [anon_sym_of] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_DOT] = ACTIONS(1870),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_function] = ACTIONS(1864),
    [anon_sym_QMARK_DOT] = ACTIONS(1870),
    [anon_sym_AMP_AMP] = ACTIONS(1870),
    [anon_sym_PIPE_PIPE] = ACTIONS(1870),
    [anon_sym_GT_GT] = ACTIONS(1866),
    [anon_sym_GT_GT_GT] = ACTIONS(1870),
    [anon_sym_LT_LT] = ACTIONS(1870),
    [anon_sym_AMP] = ACTIONS(1866),
    [anon_sym_CARET] = ACTIONS(1870),
    [anon_sym_PIPE] = ACTIONS(1866),
    [anon_sym_PLUS] = ACTIONS(1866),
    [anon_sym_DASH] = ACTIONS(1866),
    [anon_sym_SLASH] = ACTIONS(1866),
    [anon_sym_PERCENT] = ACTIONS(1870),
    [anon_sym_STAR_STAR] = ACTIONS(1870),
    [anon_sym_LT] = ACTIONS(1866),
    [anon_sym_LT_EQ] = ACTIONS(1870),
    [anon_sym_EQ_EQ] = ACTIONS(1866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1870),
    [anon_sym_BANG_EQ] = ACTIONS(1866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1870),
    [anon_sym_GT_EQ] = ACTIONS(1870),
    [anon_sym_GT] = ACTIONS(1866),
    [anon_sym_QMARK_QMARK] = ACTIONS(1870),
    [anon_sym_instanceof] = ACTIONS(1866),
    [anon_sym_PLUS_PLUS] = ACTIONS(1870),
    [anon_sym_DASH_DASH] = ACTIONS(1870),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1870),
    [anon_sym_AT] = ACTIONS(1868),
    [anon_sym_static] = ACTIONS(1864),
    [anon_sym_readonly] = ACTIONS(1864),
    [anon_sym_get] = ACTIONS(1864),
    [anon_sym_set] = ACTIONS(1864),
    [anon_sym_declare] = ACTIONS(1864),
    [anon_sym_public] = ACTIONS(1864),
    [anon_sym_private] = ACTIONS(1864),
    [anon_sym_protected] = ACTIONS(1864),
    [anon_sym_override] = ACTIONS(1864),
    [anon_sym_module] = ACTIONS(1864),
    [anon_sym_any] = ACTIONS(1864),
    [anon_sym_number] = ACTIONS(1864),
    [anon_sym_boolean] = ACTIONS(1864),
    [anon_sym_string] = ACTIONS(1864),
    [anon_sym_symbol] = ACTIONS(1864),
    [anon_sym_object] = ACTIONS(1864),
    [anon_sym_property] = ACTIONS(1864),
    [anon_sym_signal] = ACTIONS(1864),
    [anon_sym_on] = ACTIONS(1864),
    [anon_sym_required] = ACTIONS(1864),
    [anon_sym_component] = ACTIONS(1864),
    [anon_sym_satisfies] = ACTIONS(1866),
    [anon_sym_enum] = ACTIONS(1864),
    [sym__automatic_semicolon] = ACTIONS(3330),
    [sym__ternary_qmark] = ACTIONS(1870),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(1874),
    [anon_sym_export] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_default] = ACTIONS(1874),
    [anon_sym_type] = ACTIONS(1874),
    [anon_sym_as] = ACTIONS(1876),
    [anon_sym_namespace] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1880),
    [anon_sym_RBRACE] = ACTIONS(1878),
    [anon_sym_from] = ACTIONS(1874),
    [anon_sym_var] = ACTIONS(1874),
    [anon_sym_let] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_else] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1880),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym_in] = ACTIONS(1876),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1880),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_async] = ACTIONS(1874),
    [anon_sym_function] = ACTIONS(1874),
    [anon_sym_QMARK_DOT] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_PIPE_PIPE] = ACTIONS(1880),
    [anon_sym_GT_GT] = ACTIONS(1876),
    [anon_sym_GT_GT_GT] = ACTIONS(1880),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1876),
    [anon_sym_CARET] = ACTIONS(1880),
    [anon_sym_PIPE] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1876),
    [anon_sym_PERCENT] = ACTIONS(1880),
    [anon_sym_STAR_STAR] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1880),
    [anon_sym_EQ_EQ] = ACTIONS(1876),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1880),
    [anon_sym_BANG_EQ] = ACTIONS(1876),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1880),
    [anon_sym_GT_EQ] = ACTIONS(1880),
    [anon_sym_GT] = ACTIONS(1876),
    [anon_sym_QMARK_QMARK] = ACTIONS(1880),
    [anon_sym_instanceof] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1880),
    [anon_sym_AT] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1874),
    [anon_sym_readonly] = ACTIONS(1874),
    [anon_sym_get] = ACTIONS(1874),
    [anon_sym_set] = ACTIONS(1874),
    [anon_sym_declare] = ACTIONS(1874),
    [anon_sym_public] = ACTIONS(1874),
    [anon_sym_private] = ACTIONS(1874),
    [anon_sym_protected] = ACTIONS(1874),
    [anon_sym_override] = ACTIONS(1874),
    [anon_sym_module] = ACTIONS(1874),
    [anon_sym_any] = ACTIONS(1874),
    [anon_sym_number] = ACTIONS(1874),
    [anon_sym_boolean] = ACTIONS(1874),
    [anon_sym_string] = ACTIONS(1874),
    [anon_sym_symbol] = ACTIONS(1874),
    [anon_sym_object] = ACTIONS(1874),
    [anon_sym_property] = ACTIONS(1874),
    [anon_sym_signal] = ACTIONS(1874),
    [anon_sym_on] = ACTIONS(1874),
    [anon_sym_required] = ACTIONS(1874),
    [anon_sym_component] = ACTIONS(1874),
    [anon_sym_satisfies] = ACTIONS(1876),
    [anon_sym_enum] = ACTIONS(1874),
    [sym__automatic_semicolon] = ACTIONS(3332),
    [sym__ternary_qmark] = ACTIONS(1880),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_export] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_default] = ACTIONS(1884),
    [anon_sym_type] = ACTIONS(1884),
    [anon_sym_as] = ACTIONS(1886),
    [anon_sym_namespace] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_from] = ACTIONS(1884),
    [anon_sym_var] = ACTIONS(1884),
    [anon_sym_let] = ACTIONS(1884),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_else] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_of] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_async] = ACTIONS(1884),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_QMARK_DOT] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1890),
    [anon_sym_PIPE_PIPE] = ACTIONS(1890),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_GT_GT_GT] = ACTIONS(1890),
    [anon_sym_LT_LT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1890),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1890),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_QMARK_QMARK] = ACTIONS(1890),
    [anon_sym_instanceof] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1890),
    [anon_sym_AT] = ACTIONS(1888),
    [anon_sym_static] = ACTIONS(1884),
    [anon_sym_readonly] = ACTIONS(1884),
    [anon_sym_get] = ACTIONS(1884),
    [anon_sym_set] = ACTIONS(1884),
    [anon_sym_declare] = ACTIONS(1884),
    [anon_sym_public] = ACTIONS(1884),
    [anon_sym_private] = ACTIONS(1884),
    [anon_sym_protected] = ACTIONS(1884),
    [anon_sym_override] = ACTIONS(1884),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1884),
    [anon_sym_number] = ACTIONS(1884),
    [anon_sym_boolean] = ACTIONS(1884),
    [anon_sym_string] = ACTIONS(1884),
    [anon_sym_symbol] = ACTIONS(1884),
    [anon_sym_object] = ACTIONS(1884),
    [anon_sym_property] = ACTIONS(1884),
    [anon_sym_signal] = ACTIONS(1884),
    [anon_sym_on] = ACTIONS(1884),
    [anon_sym_required] = ACTIONS(1884),
    [anon_sym_component] = ACTIONS(1884),
    [anon_sym_satisfies] = ACTIONS(1886),
    [anon_sym_enum] = ACTIONS(1884),
    [sym__automatic_semicolon] = ACTIONS(3334),
    [sym__ternary_qmark] = ACTIONS(1890),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(1894),
    [anon_sym_export] = ACTIONS(1894),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_default] = ACTIONS(1894),
    [anon_sym_type] = ACTIONS(1894),
    [anon_sym_as] = ACTIONS(1896),
    [anon_sym_namespace] = ACTIONS(1894),
    [anon_sym_COMMA] = ACTIONS(1900),
    [anon_sym_RBRACE] = ACTIONS(1898),
    [anon_sym_from] = ACTIONS(1894),
    [anon_sym_var] = ACTIONS(1894),
    [anon_sym_let] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1896),
    [anon_sym_else] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1896),
    [anon_sym_of] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_DOT] = ACTIONS(1900),
    [anon_sym_async] = ACTIONS(1894),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_QMARK_DOT] = ACTIONS(1900),
    [anon_sym_AMP_AMP] = ACTIONS(1900),
    [anon_sym_PIPE_PIPE] = ACTIONS(1900),
    [anon_sym_GT_GT] = ACTIONS(1896),
    [anon_sym_GT_GT_GT] = ACTIONS(1900),
    [anon_sym_LT_LT] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(1896),
    [anon_sym_CARET] = ACTIONS(1900),
    [anon_sym_PIPE] = ACTIONS(1896),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(1896),
    [anon_sym_PERCENT] = ACTIONS(1900),
    [anon_sym_STAR_STAR] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1896),
    [anon_sym_LT_EQ] = ACTIONS(1900),
    [anon_sym_EQ_EQ] = ACTIONS(1896),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1896),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1900),
    [anon_sym_GT_EQ] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1896),
    [anon_sym_QMARK_QMARK] = ACTIONS(1900),
    [anon_sym_instanceof] = ACTIONS(1896),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1900),
    [anon_sym_AT] = ACTIONS(1898),
    [anon_sym_static] = ACTIONS(1894),
    [anon_sym_readonly] = ACTIONS(1894),
    [anon_sym_get] = ACTIONS(1894),
    [anon_sym_set] = ACTIONS(1894),
    [anon_sym_declare] = ACTIONS(1894),
    [anon_sym_public] = ACTIONS(1894),
    [anon_sym_private] = ACTIONS(1894),
    [anon_sym_protected] = ACTIONS(1894),
    [anon_sym_override] = ACTIONS(1894),
    [anon_sym_module] = ACTIONS(1894),
    [anon_sym_any] = ACTIONS(1894),
    [anon_sym_number] = ACTIONS(1894),
    [anon_sym_boolean] = ACTIONS(1894),
    [anon_sym_string] = ACTIONS(1894),
    [anon_sym_symbol] = ACTIONS(1894),
    [anon_sym_object] = ACTIONS(1894),
    [anon_sym_property] = ACTIONS(1894),
    [anon_sym_signal] = ACTIONS(1894),
    [anon_sym_on] = ACTIONS(1894),
    [anon_sym_required] = ACTIONS(1894),
    [anon_sym_component] = ACTIONS(1894),
    [anon_sym_satisfies] = ACTIONS(1896),
    [anon_sym_enum] = ACTIONS(1894),
    [sym__automatic_semicolon] = ACTIONS(3336),
    [sym__ternary_qmark] = ACTIONS(1900),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_export] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1922),
    [anon_sym_type] = ACTIONS(1922),
    [anon_sym_as] = ACTIONS(1924),
    [anon_sym_namespace] = ACTIONS(1922),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_from] = ACTIONS(1922),
    [anon_sym_var] = ACTIONS(1922),
    [anon_sym_let] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_else] = ACTIONS(1922),
    [anon_sym_LPAREN] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym_in] = ACTIONS(1924),
    [anon_sym_of] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1922),
    [anon_sym_function] = ACTIONS(1922),
    [anon_sym_QMARK_DOT] = ACTIONS(1928),
    [anon_sym_AMP_AMP] = ACTIONS(1928),
    [anon_sym_PIPE_PIPE] = ACTIONS(1928),
    [anon_sym_GT_GT] = ACTIONS(1924),
    [anon_sym_GT_GT_GT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_SLASH] = ACTIONS(1924),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_STAR_STAR] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1924),
    [anon_sym_LT_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ] = ACTIONS(1924),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1928),
    [anon_sym_GT_EQ] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1924),
    [anon_sym_QMARK_QMARK] = ACTIONS(1928),
    [anon_sym_instanceof] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [anon_sym_AT] = ACTIONS(1926),
    [anon_sym_static] = ACTIONS(1922),
    [anon_sym_readonly] = ACTIONS(1922),
    [anon_sym_get] = ACTIONS(1922),
    [anon_sym_set] = ACTIONS(1922),
    [anon_sym_declare] = ACTIONS(1922),
    [anon_sym_public] = ACTIONS(1922),
    [anon_sym_private] = ACTIONS(1922),
    [anon_sym_protected] = ACTIONS(1922),
    [anon_sym_override] = ACTIONS(1922),
    [anon_sym_module] = ACTIONS(1922),
    [anon_sym_any] = ACTIONS(1922),
    [anon_sym_number] = ACTIONS(1922),
    [anon_sym_boolean] = ACTIONS(1922),
    [anon_sym_string] = ACTIONS(1922),
    [anon_sym_symbol] = ACTIONS(1922),
    [anon_sym_object] = ACTIONS(1922),
    [anon_sym_property] = ACTIONS(1922),
    [anon_sym_signal] = ACTIONS(1922),
    [anon_sym_on] = ACTIONS(1922),
    [anon_sym_required] = ACTIONS(1922),
    [anon_sym_component] = ACTIONS(1922),
    [anon_sym_satisfies] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1922),
    [sym__automatic_semicolon] = ACTIONS(3338),
    [sym__ternary_qmark] = ACTIONS(1928),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_export] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_default] = ACTIONS(1932),
    [anon_sym_type] = ACTIONS(1932),
    [anon_sym_as] = ACTIONS(1934),
    [anon_sym_namespace] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_from] = ACTIONS(1932),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_of] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_DOT] = ACTIONS(1938),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_function] = ACTIONS(1932),
    [anon_sym_QMARK_DOT] = ACTIONS(1938),
    [anon_sym_AMP_AMP] = ACTIONS(1938),
    [anon_sym_PIPE_PIPE] = ACTIONS(1938),
    [anon_sym_GT_GT] = ACTIONS(1934),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ] = ACTIONS(1934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ] = ACTIONS(1934),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1938),
    [anon_sym_GT_EQ] = ACTIONS(1938),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_QMARK_QMARK] = ACTIONS(1938),
    [anon_sym_instanceof] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1938),
    [anon_sym_DASH_DASH] = ACTIONS(1938),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1936),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_readonly] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_declare] = ACTIONS(1932),
    [anon_sym_public] = ACTIONS(1932),
    [anon_sym_private] = ACTIONS(1932),
    [anon_sym_protected] = ACTIONS(1932),
    [anon_sym_override] = ACTIONS(1932),
    [anon_sym_module] = ACTIONS(1932),
    [anon_sym_any] = ACTIONS(1932),
    [anon_sym_number] = ACTIONS(1932),
    [anon_sym_boolean] = ACTIONS(1932),
    [anon_sym_string] = ACTIONS(1932),
    [anon_sym_symbol] = ACTIONS(1932),
    [anon_sym_object] = ACTIONS(1932),
    [anon_sym_property] = ACTIONS(1932),
    [anon_sym_signal] = ACTIONS(1932),
    [anon_sym_on] = ACTIONS(1932),
    [anon_sym_required] = ACTIONS(1932),
    [anon_sym_component] = ACTIONS(1932),
    [anon_sym_satisfies] = ACTIONS(1934),
    [anon_sym_enum] = ACTIONS(1932),
    [sym__automatic_semicolon] = ACTIONS(3340),
    [sym__ternary_qmark] = ACTIONS(1938),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_export] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_default] = ACTIONS(1942),
    [anon_sym_type] = ACTIONS(1942),
    [anon_sym_as] = ACTIONS(1944),
    [anon_sym_namespace] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1946),
    [anon_sym_from] = ACTIONS(1942),
    [anon_sym_var] = ACTIONS(1942),
    [anon_sym_let] = ACTIONS(1942),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_else] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym_in] = ACTIONS(1944),
    [anon_sym_of] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_DOT] = ACTIONS(1948),
    [anon_sym_async] = ACTIONS(1942),
    [anon_sym_function] = ACTIONS(1942),
    [anon_sym_QMARK_DOT] = ACTIONS(1948),
    [anon_sym_AMP_AMP] = ACTIONS(1948),
    [anon_sym_PIPE_PIPE] = ACTIONS(1948),
    [anon_sym_GT_GT] = ACTIONS(1944),
    [anon_sym_GT_GT_GT] = ACTIONS(1948),
    [anon_sym_LT_LT] = ACTIONS(1948),
    [anon_sym_AMP] = ACTIONS(1944),
    [anon_sym_CARET] = ACTIONS(1948),
    [anon_sym_PIPE] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1944),
    [anon_sym_PERCENT] = ACTIONS(1948),
    [anon_sym_STAR_STAR] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1944),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_EQ_EQ] = ACTIONS(1944),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1948),
    [anon_sym_BANG_EQ] = ACTIONS(1944),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_GT] = ACTIONS(1944),
    [anon_sym_QMARK_QMARK] = ACTIONS(1948),
    [anon_sym_instanceof] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1948),
    [anon_sym_AT] = ACTIONS(1946),
    [anon_sym_static] = ACTIONS(1942),
    [anon_sym_readonly] = ACTIONS(1942),
    [anon_sym_get] = ACTIONS(1942),
    [anon_sym_set] = ACTIONS(1942),
    [anon_sym_declare] = ACTIONS(1942),
    [anon_sym_public] = ACTIONS(1942),
    [anon_sym_private] = ACTIONS(1942),
    [anon_sym_protected] = ACTIONS(1942),
    [anon_sym_override] = ACTIONS(1942),
    [anon_sym_module] = ACTIONS(1942),
    [anon_sym_any] = ACTIONS(1942),
    [anon_sym_number] = ACTIONS(1942),
    [anon_sym_boolean] = ACTIONS(1942),
    [anon_sym_string] = ACTIONS(1942),
    [anon_sym_symbol] = ACTIONS(1942),
    [anon_sym_object] = ACTIONS(1942),
    [anon_sym_property] = ACTIONS(1942),
    [anon_sym_signal] = ACTIONS(1942),
    [anon_sym_on] = ACTIONS(1942),
    [anon_sym_required] = ACTIONS(1942),
    [anon_sym_component] = ACTIONS(1942),
    [anon_sym_satisfies] = ACTIONS(1944),
    [anon_sym_enum] = ACTIONS(1942),
    [sym__automatic_semicolon] = ACTIONS(3342),
    [sym__ternary_qmark] = ACTIONS(1948),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_export] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_as] = ACTIONS(1954),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_from] = ACTIONS(1952),
    [anon_sym_var] = ACTIONS(1952),
    [anon_sym_let] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1958),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1954),
    [anon_sym_of] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_DOT] = ACTIONS(1958),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_function] = ACTIONS(1952),
    [anon_sym_QMARK_DOT] = ACTIONS(1958),
    [anon_sym_AMP_AMP] = ACTIONS(1958),
    [anon_sym_PIPE_PIPE] = ACTIONS(1958),
    [anon_sym_GT_GT] = ACTIONS(1954),
    [anon_sym_GT_GT_GT] = ACTIONS(1958),
    [anon_sym_LT_LT] = ACTIONS(1958),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_CARET] = ACTIONS(1958),
    [anon_sym_PIPE] = ACTIONS(1954),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1954),
    [anon_sym_SLASH] = ACTIONS(1954),
    [anon_sym_PERCENT] = ACTIONS(1958),
    [anon_sym_STAR_STAR] = ACTIONS(1958),
    [anon_sym_LT] = ACTIONS(1954),
    [anon_sym_LT_EQ] = ACTIONS(1958),
    [anon_sym_EQ_EQ] = ACTIONS(1954),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1958),
    [anon_sym_BANG_EQ] = ACTIONS(1954),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1958),
    [anon_sym_GT_EQ] = ACTIONS(1958),
    [anon_sym_GT] = ACTIONS(1954),
    [anon_sym_QMARK_QMARK] = ACTIONS(1958),
    [anon_sym_instanceof] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1958),
    [anon_sym_DASH_DASH] = ACTIONS(1958),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1958),
    [anon_sym_AT] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(1952),
    [anon_sym_set] = ACTIONS(1952),
    [anon_sym_declare] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_module] = ACTIONS(1952),
    [anon_sym_any] = ACTIONS(1952),
    [anon_sym_number] = ACTIONS(1952),
    [anon_sym_boolean] = ACTIONS(1952),
    [anon_sym_string] = ACTIONS(1952),
    [anon_sym_symbol] = ACTIONS(1952),
    [anon_sym_object] = ACTIONS(1952),
    [anon_sym_property] = ACTIONS(1952),
    [anon_sym_signal] = ACTIONS(1952),
    [anon_sym_on] = ACTIONS(1952),
    [anon_sym_required] = ACTIONS(1952),
    [anon_sym_component] = ACTIONS(1952),
    [anon_sym_satisfies] = ACTIONS(1954),
    [anon_sym_enum] = ACTIONS(1952),
    [sym__automatic_semicolon] = ACTIONS(3344),
    [sym__ternary_qmark] = ACTIONS(1958),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_export] = ACTIONS(2000),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(2000),
    [anon_sym_as] = ACTIONS(2000),
    [anon_sym_namespace] = ACTIONS(2000),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_from] = ACTIONS(2000),
    [anon_sym_var] = ACTIONS(2000),
    [anon_sym_let] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_else] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_in] = ACTIONS(2000),
    [anon_sym_of] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_DOT] = ACTIONS(2002),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_function] = ACTIONS(2000),
    [anon_sym_QMARK_DOT] = ACTIONS(2002),
    [anon_sym_AMP_AMP] = ACTIONS(2002),
    [anon_sym_PIPE_PIPE] = ACTIONS(2002),
    [anon_sym_GT_GT] = ACTIONS(2000),
    [anon_sym_GT_GT_GT] = ACTIONS(2002),
    [anon_sym_LT_LT] = ACTIONS(2002),
    [anon_sym_AMP] = ACTIONS(2000),
    [anon_sym_CARET] = ACTIONS(2002),
    [anon_sym_PIPE] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_SLASH] = ACTIONS(2000),
    [anon_sym_PERCENT] = ACTIONS(2002),
    [anon_sym_STAR_STAR] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_LT_EQ] = ACTIONS(2002),
    [anon_sym_EQ_EQ] = ACTIONS(2000),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2002),
    [anon_sym_GT_EQ] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2000),
    [anon_sym_QMARK_QMARK] = ACTIONS(2002),
    [anon_sym_instanceof] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2002),
    [anon_sym_DASH_DASH] = ACTIONS(2002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2002),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2000),
    [anon_sym_readonly] = ACTIONS(2000),
    [anon_sym_get] = ACTIONS(2000),
    [anon_sym_set] = ACTIONS(2000),
    [anon_sym_declare] = ACTIONS(2000),
    [anon_sym_public] = ACTIONS(2000),
    [anon_sym_private] = ACTIONS(2000),
    [anon_sym_protected] = ACTIONS(2000),
    [anon_sym_override] = ACTIONS(2000),
    [anon_sym_module] = ACTIONS(2000),
    [anon_sym_any] = ACTIONS(2000),
    [anon_sym_number] = ACTIONS(2000),
    [anon_sym_boolean] = ACTIONS(2000),
    [anon_sym_string] = ACTIONS(2000),
    [anon_sym_symbol] = ACTIONS(2000),
    [anon_sym_object] = ACTIONS(2000),
    [anon_sym_property] = ACTIONS(2000),
    [anon_sym_signal] = ACTIONS(2000),
    [anon_sym_on] = ACTIONS(2000),
    [anon_sym_required] = ACTIONS(2000),
    [anon_sym_component] = ACTIONS(2000),
    [anon_sym_satisfies] = ACTIONS(2000),
    [anon_sym_enum] = ACTIONS(2000),
    [sym__automatic_semicolon] = ACTIONS(2002),
    [sym__ternary_qmark] = ACTIONS(2002),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_export] = ACTIONS(3346),
    [anon_sym_type] = ACTIONS(3346),
    [anon_sym_EQ] = ACTIONS(3346),
    [anon_sym_namespace] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_COMMA] = ACTIONS(3348),
    [anon_sym_RBRACE] = ACTIONS(3348),
    [anon_sym_typeof] = ACTIONS(3346),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_from] = ACTIONS(3346),
    [anon_sym_let] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3348),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_of] = ACTIONS(3346),
    [anon_sym_COLON] = ACTIONS(3348),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_RBRACK] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3346),
    [anon_sym_EQ_GT] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3346),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_PIPE] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3346),
    [anon_sym_SLASH] = ACTIONS(3346),
    [anon_sym_LT] = ACTIONS(3348),
    [anon_sym_GT] = ACTIONS(3348),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_void] = ACTIONS(3346),
    [anon_sym_delete] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3348),
    [anon_sym_DQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3348),
    [sym_number] = ACTIONS(3348),
    [sym_private_property_identifier] = ACTIONS(3348),
    [sym_this] = ACTIONS(3346),
    [sym_super] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [sym_null] = ACTIONS(3346),
    [sym_undefined] = ACTIONS(3346),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3346),
    [anon_sym_readonly] = ACTIONS(3346),
    [anon_sym_get] = ACTIONS(3346),
    [anon_sym_set] = ACTIONS(3346),
    [anon_sym_QMARK] = ACTIONS(3348),
    [anon_sym_declare] = ACTIONS(3346),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3346),
    [anon_sym_module] = ACTIONS(3346),
    [anon_sym_any] = ACTIONS(3346),
    [anon_sym_number] = ACTIONS(3346),
    [anon_sym_boolean] = ACTIONS(3346),
    [anon_sym_string] = ACTIONS(3346),
    [anon_sym_symbol] = ACTIONS(3346),
    [anon_sym_object] = ACTIONS(3346),
    [anon_sym_property] = ACTIONS(3346),
    [anon_sym_signal] = ACTIONS(3346),
    [anon_sym_on] = ACTIONS(3346),
    [anon_sym_required] = ACTIONS(3346),
    [anon_sym_component] = ACTIONS(3346),
    [anon_sym_extends] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_export] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_default] = ACTIONS(1976),
    [anon_sym_type] = ACTIONS(1976),
    [anon_sym_as] = ACTIONS(1976),
    [anon_sym_namespace] = ACTIONS(1976),
    [anon_sym_COMMA] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_from] = ACTIONS(1976),
    [anon_sym_var] = ACTIONS(1976),
    [anon_sym_let] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_else] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1978),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_in] = ACTIONS(1976),
    [anon_sym_of] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_DOT] = ACTIONS(1978),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_function] = ACTIONS(1976),
    [anon_sym_QMARK_DOT] = ACTIONS(1978),
    [anon_sym_AMP_AMP] = ACTIONS(1978),
    [anon_sym_PIPE_PIPE] = ACTIONS(1978),
    [anon_sym_GT_GT] = ACTIONS(1976),
    [anon_sym_GT_GT_GT] = ACTIONS(1978),
    [anon_sym_LT_LT] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(1976),
    [anon_sym_CARET] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_SLASH] = ACTIONS(1976),
    [anon_sym_PERCENT] = ACTIONS(1978),
    [anon_sym_STAR_STAR] = ACTIONS(1978),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_LT_EQ] = ACTIONS(1978),
    [anon_sym_EQ_EQ] = ACTIONS(1976),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1978),
    [anon_sym_BANG_EQ] = ACTIONS(1976),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1978),
    [anon_sym_GT_EQ] = ACTIONS(1978),
    [anon_sym_GT] = ACTIONS(1976),
    [anon_sym_QMARK_QMARK] = ACTIONS(1978),
    [anon_sym_instanceof] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1978),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1976),
    [anon_sym_readonly] = ACTIONS(1976),
    [anon_sym_get] = ACTIONS(1976),
    [anon_sym_set] = ACTIONS(1976),
    [anon_sym_declare] = ACTIONS(1976),
    [anon_sym_public] = ACTIONS(1976),
    [anon_sym_private] = ACTIONS(1976),
    [anon_sym_protected] = ACTIONS(1976),
    [anon_sym_override] = ACTIONS(1976),
    [anon_sym_module] = ACTIONS(1976),
    [anon_sym_any] = ACTIONS(1976),
    [anon_sym_number] = ACTIONS(1976),
    [anon_sym_boolean] = ACTIONS(1976),
    [anon_sym_string] = ACTIONS(1976),
    [anon_sym_symbol] = ACTIONS(1976),
    [anon_sym_object] = ACTIONS(1976),
    [anon_sym_property] = ACTIONS(1976),
    [anon_sym_signal] = ACTIONS(1976),
    [anon_sym_on] = ACTIONS(1976),
    [anon_sym_required] = ACTIONS(1976),
    [anon_sym_component] = ACTIONS(1976),
    [anon_sym_satisfies] = ACTIONS(1976),
    [anon_sym_enum] = ACTIONS(1976),
    [sym__automatic_semicolon] = ACTIONS(1978),
    [sym__ternary_qmark] = ACTIONS(1978),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(1904),
    [anon_sym_export] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1906),
    [anon_sym_default] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_as] = ACTIONS(1906),
    [anon_sym_namespace] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1908),
    [anon_sym_from] = ACTIONS(1904),
    [anon_sym_var] = ACTIONS(1904),
    [anon_sym_let] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_else] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1910),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_in] = ACTIONS(1906),
    [anon_sym_of] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1910),
    [anon_sym_DOT] = ACTIONS(1910),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_function] = ACTIONS(1904),
    [anon_sym_QMARK_DOT] = ACTIONS(1910),
    [anon_sym_AMP_AMP] = ACTIONS(1910),
    [anon_sym_PIPE_PIPE] = ACTIONS(1910),
    [anon_sym_GT_GT] = ACTIONS(1906),
    [anon_sym_GT_GT_GT] = ACTIONS(1910),
    [anon_sym_LT_LT] = ACTIONS(1910),
    [anon_sym_AMP] = ACTIONS(1906),
    [anon_sym_CARET] = ACTIONS(1910),
    [anon_sym_PIPE] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_SLASH] = ACTIONS(1906),
    [anon_sym_PERCENT] = ACTIONS(1910),
    [anon_sym_STAR_STAR] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(1906),
    [anon_sym_LT_EQ] = ACTIONS(1910),
    [anon_sym_EQ_EQ] = ACTIONS(1906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1910),
    [anon_sym_BANG_EQ] = ACTIONS(1906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1910),
    [anon_sym_GT_EQ] = ACTIONS(1910),
    [anon_sym_GT] = ACTIONS(1906),
    [anon_sym_QMARK_QMARK] = ACTIONS(1910),
    [anon_sym_instanceof] = ACTIONS(1906),
    [anon_sym_PLUS_PLUS] = ACTIONS(1910),
    [anon_sym_DASH_DASH] = ACTIONS(1910),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_static] = ACTIONS(1904),
    [anon_sym_readonly] = ACTIONS(1904),
    [anon_sym_get] = ACTIONS(1904),
    [anon_sym_set] = ACTIONS(1904),
    [anon_sym_declare] = ACTIONS(1904),
    [anon_sym_public] = ACTIONS(1904),
    [anon_sym_private] = ACTIONS(1904),
    [anon_sym_protected] = ACTIONS(1904),
    [anon_sym_override] = ACTIONS(1904),
    [anon_sym_module] = ACTIONS(1904),
    [anon_sym_any] = ACTIONS(1904),
    [anon_sym_number] = ACTIONS(1904),
    [anon_sym_boolean] = ACTIONS(1904),
    [anon_sym_string] = ACTIONS(1904),
    [anon_sym_symbol] = ACTIONS(1904),
    [anon_sym_object] = ACTIONS(1904),
    [anon_sym_property] = ACTIONS(1904),
    [anon_sym_signal] = ACTIONS(1904),
    [anon_sym_on] = ACTIONS(1904),
    [anon_sym_required] = ACTIONS(1904),
    [anon_sym_component] = ACTIONS(1904),
    [anon_sym_satisfies] = ACTIONS(1906),
    [anon_sym_enum] = ACTIONS(1904),
    [sym__automatic_semicolon] = ACTIONS(1910),
    [sym__ternary_qmark] = ACTIONS(1910),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(3350),
    [anon_sym_export] = ACTIONS(3350),
    [anon_sym_type] = ACTIONS(3350),
    [anon_sym_EQ] = ACTIONS(3350),
    [anon_sym_namespace] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3352),
    [anon_sym_COMMA] = ACTIONS(3352),
    [anon_sym_RBRACE] = ACTIONS(3352),
    [anon_sym_typeof] = ACTIONS(3350),
    [anon_sym_import] = ACTIONS(3350),
    [anon_sym_from] = ACTIONS(3350),
    [anon_sym_let] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3352),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_await] = ACTIONS(3350),
    [anon_sym_of] = ACTIONS(3350),
    [anon_sym_COLON] = ACTIONS(3352),
    [anon_sym_yield] = ACTIONS(3350),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_RBRACK] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3350),
    [anon_sym_async] = ACTIONS(3350),
    [anon_sym_function] = ACTIONS(3350),
    [anon_sym_EQ_GT] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3350),
    [anon_sym_using] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_PIPE] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3350),
    [anon_sym_SLASH] = ACTIONS(3350),
    [anon_sym_LT] = ACTIONS(3352),
    [anon_sym_GT] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3352),
    [anon_sym_void] = ACTIONS(3350),
    [anon_sym_delete] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3352),
    [anon_sym_DQUOTE] = ACTIONS(3352),
    [anon_sym_SQUOTE] = ACTIONS(3352),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3352),
    [sym_number] = ACTIONS(3352),
    [sym_private_property_identifier] = ACTIONS(3352),
    [sym_this] = ACTIONS(3350),
    [sym_super] = ACTIONS(3350),
    [sym_true] = ACTIONS(3350),
    [sym_false] = ACTIONS(3350),
    [sym_null] = ACTIONS(3350),
    [sym_undefined] = ACTIONS(3350),
    [anon_sym_AT] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3350),
    [anon_sym_readonly] = ACTIONS(3350),
    [anon_sym_get] = ACTIONS(3350),
    [anon_sym_set] = ACTIONS(3350),
    [anon_sym_QMARK] = ACTIONS(3352),
    [anon_sym_declare] = ACTIONS(3350),
    [anon_sym_public] = ACTIONS(3350),
    [anon_sym_private] = ACTIONS(3350),
    [anon_sym_protected] = ACTIONS(3350),
    [anon_sym_override] = ACTIONS(3350),
    [anon_sym_module] = ACTIONS(3350),
    [anon_sym_any] = ACTIONS(3350),
    [anon_sym_number] = ACTIONS(3350),
    [anon_sym_boolean] = ACTIONS(3350),
    [anon_sym_string] = ACTIONS(3350),
    [anon_sym_symbol] = ACTIONS(3350),
    [anon_sym_object] = ACTIONS(3350),
    [anon_sym_property] = ACTIONS(3350),
    [anon_sym_signal] = ACTIONS(3350),
    [anon_sym_on] = ACTIONS(3350),
    [anon_sym_required] = ACTIONS(3350),
    [anon_sym_component] = ACTIONS(3350),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(3354),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_type] = ACTIONS(3354),
    [anon_sym_EQ] = ACTIONS(3354),
    [anon_sym_namespace] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_typeof] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3354),
    [anon_sym_from] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3354),
    [anon_sym_of] = ACTIONS(3354),
    [anon_sym_COLON] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3354),
    [anon_sym_LBRACK] = ACTIONS(3356),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_class] = ACTIONS(3354),
    [anon_sym_async] = ACTIONS(3354),
    [anon_sym_function] = ACTIONS(3354),
    [anon_sym_EQ_GT] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_SLASH] = ACTIONS(3354),
    [anon_sym_LT] = ACTIONS(3356),
    [anon_sym_GT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3356),
    [anon_sym_void] = ACTIONS(3354),
    [anon_sym_delete] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3356),
    [anon_sym_DASH_DASH] = ACTIONS(3356),
    [anon_sym_DQUOTE] = ACTIONS(3356),
    [anon_sym_SQUOTE] = ACTIONS(3356),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3356),
    [sym_number] = ACTIONS(3356),
    [sym_private_property_identifier] = ACTIONS(3356),
    [sym_this] = ACTIONS(3354),
    [sym_super] = ACTIONS(3354),
    [sym_true] = ACTIONS(3354),
    [sym_false] = ACTIONS(3354),
    [sym_null] = ACTIONS(3354),
    [sym_undefined] = ACTIONS(3354),
    [anon_sym_AT] = ACTIONS(3356),
    [anon_sym_static] = ACTIONS(3354),
    [anon_sym_readonly] = ACTIONS(3354),
    [anon_sym_get] = ACTIONS(3354),
    [anon_sym_set] = ACTIONS(3354),
    [anon_sym_QMARK] = ACTIONS(3356),
    [anon_sym_declare] = ACTIONS(3354),
    [anon_sym_public] = ACTIONS(3354),
    [anon_sym_private] = ACTIONS(3354),
    [anon_sym_protected] = ACTIONS(3354),
    [anon_sym_override] = ACTIONS(3354),
    [anon_sym_module] = ACTIONS(3354),
    [anon_sym_any] = ACTIONS(3354),
    [anon_sym_number] = ACTIONS(3354),
    [anon_sym_boolean] = ACTIONS(3354),
    [anon_sym_string] = ACTIONS(3354),
    [anon_sym_symbol] = ACTIONS(3354),
    [anon_sym_object] = ACTIONS(3354),
    [anon_sym_property] = ACTIONS(3354),
    [anon_sym_signal] = ACTIONS(3354),
    [anon_sym_on] = ACTIONS(3354),
    [anon_sym_required] = ACTIONS(3354),
    [anon_sym_component] = ACTIONS(3354),
    [anon_sym_extends] = ACTIONS(3354),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_export] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_type] = ACTIONS(1972),
    [anon_sym_as] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_from] = ACTIONS(1972),
    [anon_sym_var] = ACTIONS(1972),
    [anon_sym_let] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_in] = ACTIONS(1972),
    [anon_sym_of] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_DOT] = ACTIONS(1974),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_function] = ACTIONS(1972),
    [anon_sym_QMARK_DOT] = ACTIONS(1974),
    [anon_sym_AMP_AMP] = ACTIONS(1974),
    [anon_sym_PIPE_PIPE] = ACTIONS(1974),
    [anon_sym_GT_GT] = ACTIONS(1972),
    [anon_sym_GT_GT_GT] = ACTIONS(1974),
    [anon_sym_LT_LT] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_CARET] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_STAR_STAR] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_EQ] = ACTIONS(1974),
    [anon_sym_EQ_EQ] = ACTIONS(1972),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1974),
    [anon_sym_BANG_EQ] = ACTIONS(1972),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1974),
    [anon_sym_GT_EQ] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_QMARK_QMARK] = ACTIONS(1974),
    [anon_sym_instanceof] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [sym_comment] = ACTIONS(5),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_readonly] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1972),
    [anon_sym_set] = ACTIONS(1972),
    [anon_sym_declare] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_module] = ACTIONS(1972),
    [anon_sym_any] = ACTIONS(1972),
    [anon_sym_number] = ACTIONS(1972),
    [anon_sym_boolean] = ACTIONS(1972),
    [anon_sym_string] = ACTIONS(1972),
    [anon_sym_symbol] = ACTIONS(1972),
    [anon_sym_object] = ACTIONS(1972),
    [anon_sym_property] = ACTIONS(1972),
    [anon_sym_signal] = ACTIONS(1972),
    [anon_sym_on] = ACTIONS(1972),
    [anon_sym_required] = ACTIONS(1972),
    [anon_sym_component] = ACTIONS(1972),
    [anon_sym_satisfies] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [sym__automatic_semicolon] = ACTIONS(1974),
    [sym__ternary_qmark] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_asserts] = STATE(3580),
    [sym_type] = STATE(3593),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_predicate] = STATE(3580),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3476),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(3362),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_asserts] = ACTIONS(3364),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3312),
    [sym_type] = STATE(4005),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3312),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3803),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3368),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_asserts] = ACTIONS(3370),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3306),
    [sym_type] = STATE(4012),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3306),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3803),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3368),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_asserts] = ACTIONS(3370),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_asserts] = STATE(3586),
    [sym_type] = STATE(3562),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_predicate] = STATE(3586),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3476),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(3362),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_asserts] = ACTIONS(3364),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_asserts] = STATE(1818),
    [sym_type] = STATE(1819),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_predicate] = STATE(1818),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1713),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3400),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_asserts] = ACTIONS(3410),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_asserts] = STATE(3741),
    [sym_type] = STATE(3743),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_predicate] = STATE(3741),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3613),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3452),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_asserts] = ACTIONS(3462),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3306),
    [sym_type] = STATE(3427),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3306),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3390),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3474),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_asserts] = ACTIONS(3476),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_asserts] = STATE(4635),
    [sym_type] = STATE(3792),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_predicate] = STATE(4636),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3613),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3452),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_asserts] = ACTIONS(3462),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3312),
    [sym_type] = STATE(3400),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3312),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3390),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3474),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_asserts] = ACTIONS(3476),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_asserts] = STATE(4224),
    [sym_type] = STATE(3628),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_predicate] = STATE(4234),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3476),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(3358),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(3362),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_asserts] = ACTIONS(3364),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_asserts] = STATE(2245),
    [sym_type] = STATE(2247),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_predicate] = STATE(2245),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2154),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3478),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3506),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_asserts] = ACTIONS(3516),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_asserts] = STATE(2276),
    [sym_type] = STATE(2302),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_predicate] = STATE(2276),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2154),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3478),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3506),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_asserts] = ACTIONS(3516),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_asserts] = STATE(1788),
    [sym_type] = STATE(1789),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_predicate] = STATE(1788),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1713),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3372),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3400),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_asserts] = ACTIONS(3410),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(6025),
    [sym_type] = STATE(3747),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(6028),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3390),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3474),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_asserts] = ACTIONS(3476),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3306),
    [sym_type] = STATE(4192),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3306),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3998),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3542),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_asserts] = ACTIONS(3550),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_asserts] = STATE(3786),
    [sym_type] = STATE(3637),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_predicate] = STATE(3786),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3613),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3452),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_asserts] = ACTIONS(3462),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_asserts] = STATE(3312),
    [sym_type] = STATE(4132),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_predicate] = STATE(3312),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3998),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(3542),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_asserts] = ACTIONS(3550),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3558),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4872),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3562),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3564),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3566),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3568),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4940),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4785),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3574),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_export_statement] = STATE(4187),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5708),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5800),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5708),
    [sym_method_definition] = STATE(5800),
    [sym_pair] = STATE(5800),
    [sym_pair_pattern] = STATE(5708),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4187),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4187),
    [sym_property_signature] = STATE(4187),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4187),
    [sym_index_signature] = STATE(4187),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3580),
    [anon_sym_RBRACE] = ACTIONS(3580),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3583),
    [anon_sym_new] = ACTIONS(3585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3587),
    [anon_sym_readonly] = ACTIONS(3589),
    [anon_sym_get] = ACTIONS(3591),
    [anon_sym_set] = ACTIONS(3591),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_protected] = ACTIONS(3593),
    [anon_sym_override] = ACTIONS(3595),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3597),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4831),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3599),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4828),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3603),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3605),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_export_statement] = STATE(4123),
    [sym_object_pattern] = STATE(6193),
    [sym_object_assignment_pattern] = STATE(5708),
    [sym_array_pattern] = STATE(6193),
    [sym__call_signature] = STATE(4316),
    [sym__destructuring_pattern] = STATE(6193),
    [sym_spread_element] = STATE(5800),
    [sym_string] = STATE(3431),
    [sym_decorator] = STATE(1234),
    [sym_formal_parameters] = STATE(3604),
    [sym_rest_pattern] = STATE(5708),
    [sym_method_definition] = STATE(5800),
    [sym_pair] = STATE(5800),
    [sym_pair_pattern] = STATE(5708),
    [sym__property_name] = STATE(3431),
    [sym_computed_property_name] = STATE(3431),
    [sym_method_signature] = STATE(4123),
    [sym_accessibility_modifier] = STATE(2644),
    [sym_override_modifier] = STATE(2840),
    [sym_call_signature] = STATE(4123),
    [sym_property_signature] = STATE(4123),
    [sym_type_parameters] = STATE(5638),
    [sym_construct_signature] = STATE(4123),
    [sym_index_signature] = STATE(4123),
    [aux_sym_export_statement_repeat1] = STATE(4827),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3580),
    [anon_sym_RBRACE] = ACTIONS(3580),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3178),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3583),
    [anon_sym_new] = ACTIONS(3585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(3587),
    [anon_sym_readonly] = ACTIONS(3589),
    [anon_sym_get] = ACTIONS(3591),
    [anon_sym_set] = ACTIONS(3591),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3593),
    [anon_sym_private] = ACTIONS(3593),
    [anon_sym_protected] = ACTIONS(3593),
    [anon_sym_override] = ACTIONS(3595),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3202),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3607),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4235),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_type_parameter] = STATE(5117),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3611),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3613),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3615),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4795),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3537),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5422),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3541),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4193),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5422),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3548),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4160),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4813),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1885),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4820),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3313),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4134),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3450),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1795),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4512),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4215),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1886),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3750),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3313),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4202),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2235),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3629),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3408),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3747),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3751),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3655),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3322),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4112),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1752),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3777),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3778),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3628),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3299),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4190),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4113),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5372),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4198),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4199),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5372),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3301),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3295),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3296),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3332),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4105),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3643),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4245),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3740),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1872),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3633),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3313),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4006),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4701),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3760),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3529),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3532),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3299),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4011),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1876),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4013),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4014),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4279),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3295),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3296),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4414),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4295),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3332),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4018),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3761),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3656),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3322),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3658),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4386),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5160),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(1753),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5160),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(1755),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1815),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1816),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3538),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3575),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3395),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3539),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3540),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3657),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3295),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3567),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3601),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3296),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3555),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4540),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4567),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4933),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4836),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4593),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3594),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3808),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4157),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3410),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4887),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5537),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3828),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2351),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2352),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2368),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5018),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(2369),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5018),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(2373),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5537),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3301),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4786),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3827),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4880),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4885),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4815),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3299),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3407),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4783),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3428),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3332),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3322),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4059),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4060),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5530),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5530),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3301),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(3433),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4161),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4906),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1820),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1821),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1834),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2308),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2366),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(4759),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1794),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2341),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2294),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2328),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1835),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2198),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2199),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6341),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3501),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3619),
    [sym_type] = STATE(3666),
    [sym_constructor_type] = STATE(3671),
    [sym_primary_type] = STATE(3674),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3671),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5918),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3671),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3671),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3456),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_infer] = ACTIONS(3464),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4094),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4235),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2238),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1848),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2256),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6205),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6431),
    [sym_nested_type_identifier] = STATE(3816),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4401),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3621),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_PIPE] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_QMARK] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_infer] = ACTIONS(3552),
    [anon_sym_keyof] = ACTIONS(3554),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4796),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5237),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3667),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6229),
    [sym_string] = STATE(3765),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3599),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5237),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3670),
    [sym_template_literal_type] = STATE(3676),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3676),
    [sym_generic_type] = STATE(3676),
    [sym_type_query] = STATE(3676),
    [sym_index_type_query] = STATE(3676),
    [sym_lookup_type] = STATE(3676),
    [sym_literal_type] = STATE(3676),
    [sym__number] = STATE(3685),
    [sym_existential_type] = STATE(3676),
    [sym_flow_maybe_type] = STATE(3676),
    [sym_parenthesized_type] = STATE(3676),
    [sym_predefined_type] = STATE(3676),
    [sym_object_type] = STATE(3676),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3676),
    [sym_tuple_type] = STATE(3676),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3676),
    [sym_intersection_type] = STATE(3676),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(3623),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3426),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3432),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(3436),
    [anon_sym_PIPE] = ACTIONS(3438),
    [anon_sym_PLUS] = ACTIONS(3440),
    [anon_sym_DASH] = ACTIONS(3440),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3442),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3448),
    [sym_number] = ACTIONS(3450),
    [sym_this] = ACTIONS(3625),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(3458),
    [anon_sym_any] = ACTIONS(3442),
    [anon_sym_number] = ACTIONS(3442),
    [anon_sym_boolean] = ACTIONS(3442),
    [anon_sym_string] = ACTIONS(3442),
    [anon_sym_symbol] = ACTIONS(3442),
    [anon_sym_object] = ACTIONS(3442),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(3466),
    [anon_sym_unique] = ACTIONS(3468),
    [anon_sym_unknown] = ACTIONS(3442),
    [anon_sym_never] = ACTIONS(3442),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2349),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(5537),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(4409),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(4818),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3576),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_import] = STATE(5335),
    [sym_nested_identifier] = STATE(6232),
    [sym_string] = STATE(3554),
    [sym_formal_parameters] = STATE(6348),
    [sym_nested_type_identifier] = STATE(3423),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3352),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3491),
    [sym_type] = STATE(3592),
    [sym_constructor_type] = STATE(3530),
    [sym_primary_type] = STATE(3531),
    [sym_template_literal_type] = STATE(3544),
    [sym_infer_type] = STATE(3530),
    [sym_conditional_type] = STATE(3544),
    [sym_generic_type] = STATE(3544),
    [sym_type_query] = STATE(3544),
    [sym_index_type_query] = STATE(3544),
    [sym_lookup_type] = STATE(3544),
    [sym_literal_type] = STATE(3544),
    [sym__number] = STATE(3545),
    [sym_existential_type] = STATE(3544),
    [sym_flow_maybe_type] = STATE(3544),
    [sym_parenthesized_type] = STATE(3544),
    [sym_predefined_type] = STATE(3544),
    [sym_object_type] = STATE(3544),
    [sym_type_parameters] = STATE(5716),
    [sym_array_type] = STATE(3544),
    [sym_tuple_type] = STATE(3544),
    [sym_readonly_type] = STATE(3530),
    [sym_union_type] = STATE(3544),
    [sym_intersection_type] = STATE(3544),
    [sym_function_type] = STATE(3530),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1092),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3360),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1720),
    [sym_number] = ACTIONS(1722),
    [sym_this] = ACTIONS(1724),
    [sym_true] = ACTIONS(1726),
    [sym_false] = ACTIONS(1726),
    [sym_null] = ACTIONS(1726),
    [sym_undefined] = ACTIONS(1726),
    [anon_sym_readonly] = ACTIONS(1728),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_any] = ACTIONS(1124),
    [anon_sym_number] = ACTIONS(1124),
    [anon_sym_boolean] = ACTIONS(1124),
    [anon_sym_string] = ACTIONS(1124),
    [anon_sym_symbol] = ACTIONS(1124),
    [anon_sym_object] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_infer] = ACTIONS(1118),
    [anon_sym_keyof] = ACTIONS(1120),
    [anon_sym_unique] = ACTIONS(1122),
    [anon_sym_unknown] = ACTIONS(1124),
    [anon_sym_never] = ACTIONS(1124),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_import] = STATE(4990),
    [sym_nested_identifier] = STATE(6059),
    [sym_string] = STATE(2359),
    [sym_formal_parameters] = STATE(6186),
    [sym_nested_type_identifier] = STATE(2179),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2180),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2371),
    [sym_type] = STATE(2200),
    [sym_constructor_type] = STATE(2380),
    [sym_primary_type] = STATE(2383),
    [sym_template_literal_type] = STATE(2384),
    [sym_infer_type] = STATE(2380),
    [sym_conditional_type] = STATE(2384),
    [sym_generic_type] = STATE(2384),
    [sym_type_query] = STATE(2384),
    [sym_index_type_query] = STATE(2384),
    [sym_lookup_type] = STATE(2384),
    [sym_literal_type] = STATE(2384),
    [sym__number] = STATE(2298),
    [sym_existential_type] = STATE(2384),
    [sym_flow_maybe_type] = STATE(2384),
    [sym_parenthesized_type] = STATE(2384),
    [sym_predefined_type] = STATE(2384),
    [sym_object_type] = STATE(2384),
    [sym_type_parameters] = STATE(5835),
    [sym_array_type] = STATE(2384),
    [sym_tuple_type] = STATE(2384),
    [sym_readonly_type] = STATE(2380),
    [sym_union_type] = STATE(2384),
    [sym_intersection_type] = STATE(2384),
    [sym_function_type] = STATE(2380),
    [sym_identifier] = ACTIONS(3627),
    [anon_sym_STAR] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_new] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3504),
    [sym_this] = ACTIONS(3631),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_QMARK] = ACTIONS(3512),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_infer] = ACTIONS(3518),
    [anon_sym_keyof] = ACTIONS(3520),
    [anon_sym_unique] = ACTIONS(3522),
    [anon_sym_unknown] = ACTIONS(3500),
    [anon_sym_never] = ACTIONS(3500),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_import] = STATE(5142),
    [sym_nested_identifier] = STATE(6172),
    [sym_string] = STATE(1797),
    [sym_formal_parameters] = STATE(6072),
    [sym_nested_type_identifier] = STATE(1747),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1748),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1857),
    [sym_type] = STATE(1850),
    [sym_constructor_type] = STATE(1858),
    [sym_primary_type] = STATE(1859),
    [sym_template_literal_type] = STATE(1860),
    [sym_infer_type] = STATE(1858),
    [sym_conditional_type] = STATE(1860),
    [sym_generic_type] = STATE(1860),
    [sym_type_query] = STATE(1860),
    [sym_index_type_query] = STATE(1860),
    [sym_lookup_type] = STATE(1860),
    [sym_literal_type] = STATE(1860),
    [sym__number] = STATE(1861),
    [sym_existential_type] = STATE(1860),
    [sym_flow_maybe_type] = STATE(1860),
    [sym_parenthesized_type] = STATE(1860),
    [sym_predefined_type] = STATE(1860),
    [sym_object_type] = STATE(1860),
    [sym_type_parameters] = STATE(5900),
    [sym_array_type] = STATE(1860),
    [sym_tuple_type] = STATE(1860),
    [sym_readonly_type] = STATE(1858),
    [sym_union_type] = STATE(1860),
    [sym_intersection_type] = STATE(1860),
    [sym_function_type] = STATE(1858),
    [sym_identifier] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3374),
    [anon_sym_LBRACE] = ACTIONS(3376),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(3388),
    [anon_sym_PIPE] = ACTIONS(3390),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3396),
    [sym_number] = ACTIONS(3398),
    [sym_this] = ACTIONS(3619),
    [sym_true] = ACTIONS(3402),
    [sym_false] = ACTIONS(3402),
    [sym_null] = ACTIONS(3402),
    [sym_undefined] = ACTIONS(3402),
    [anon_sym_readonly] = ACTIONS(3404),
    [anon_sym_QMARK] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3394),
    [anon_sym_number] = ACTIONS(3394),
    [anon_sym_boolean] = ACTIONS(3394),
    [anon_sym_string] = ACTIONS(3394),
    [anon_sym_symbol] = ACTIONS(3394),
    [anon_sym_object] = ACTIONS(3394),
    [anon_sym_abstract] = ACTIONS(3408),
    [anon_sym_infer] = ACTIONS(3412),
    [anon_sym_keyof] = ACTIONS(3414),
    [anon_sym_unique] = ACTIONS(3416),
    [anon_sym_unknown] = ACTIONS(3394),
    [anon_sym_never] = ACTIONS(3394),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3418),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4854),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4861),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4925),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4934),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4935),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4941),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_import] = STATE(5345),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6278),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3602),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4948),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(6042),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1732),
    [anon_sym_AMP] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(735),
    [anon_sym_infer] = ACTIONS(737),
    [anon_sym_keyof] = ACTIONS(739),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_import] = STATE(5081),
    [sym_nested_identifier] = STATE(6435),
    [sym_string] = STATE(3252),
    [sym_formal_parameters] = STATE(6145),
    [sym_nested_type_identifier] = STATE(3249),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3242),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3250),
    [sym_type] = STATE(4819),
    [sym_constructor_type] = STATE(3284),
    [sym_primary_type] = STATE(3285),
    [sym_template_literal_type] = STATE(3287),
    [sym_infer_type] = STATE(3284),
    [sym_conditional_type] = STATE(3287),
    [sym_generic_type] = STATE(3287),
    [sym_type_query] = STATE(3287),
    [sym_index_type_query] = STATE(3287),
    [sym_lookup_type] = STATE(3287),
    [sym_literal_type] = STATE(3287),
    [sym__number] = STATE(3289),
    [sym_existential_type] = STATE(3287),
    [sym_flow_maybe_type] = STATE(3287),
    [sym_parenthesized_type] = STATE(3287),
    [sym_predefined_type] = STATE(3287),
    [sym_object_type] = STATE(3287),
    [sym_type_parameters] = STATE(5677),
    [sym_array_type] = STATE(3287),
    [sym_tuple_type] = STATE(3287),
    [sym_readonly_type] = STATE(3284),
    [sym_union_type] = STATE(3287),
    [sym_intersection_type] = STATE(3287),
    [sym_function_type] = STATE(3284),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_typeof] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_const] = ACTIONS(40),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_new] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_void] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [sym_number] = ACTIONS(1678),
    [sym_this] = ACTIONS(1680),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [sym_null] = ACTIONS(1682),
    [sym_undefined] = ACTIONS(1682),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_QMARK] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(125),
    [anon_sym_number] = ACTIONS(125),
    [anon_sym_boolean] = ACTIONS(125),
    [anon_sym_string] = ACTIONS(125),
    [anon_sym_symbol] = ACTIONS(125),
    [anon_sym_object] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(117),
    [anon_sym_infer] = ACTIONS(119),
    [anon_sym_keyof] = ACTIONS(121),
    [anon_sym_unique] = ACTIONS(123),
    [anon_sym_unknown] = ACTIONS(125),
    [anon_sym_never] = ACTIONS(125),
    [anon_sym_LBRACE_PIPE] = ACTIONS(127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_nested_identifier] = STATE(234),
    [sym_string] = STATE(238),
    [sym__module] = STATE(264),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3641),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3643),
    [anon_sym_SQUOTE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_nested_identifier] = STATE(790),
    [sym_string] = STATE(794),
    [sym__module] = STATE(821),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_nested_identifier] = STATE(234),
    [sym_string] = STATE(238),
    [sym__module] = STATE(264),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3641),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3643),
    [anon_sym_SQUOTE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_nested_identifier] = STATE(234),
    [sym_string] = STATE(238),
    [sym__module] = STATE(264),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3641),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3643),
    [anon_sym_SQUOTE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_nested_identifier] = STATE(234),
    [sym_string] = STATE(238),
    [sym__module] = STATE(264),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3641),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3643),
    [anon_sym_SQUOTE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_nested_identifier] = STATE(790),
    [sym_string] = STATE(794),
    [sym__module] = STATE(821),
    [aux_sym_object_repeat1] = STATE(5346),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_nested_identifier] = STATE(790),
    [sym_string] = STATE(794),
    [sym__module] = STATE(821),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_nested_identifier] = STATE(790),
    [sym_string] = STATE(794),
    [sym__module] = STATE(821),
    [aux_sym_object_repeat1] = STATE(5370),
    [aux_sym_object_pattern_repeat1] = STATE(5352),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_arguments] = STATE(1229),
    [sym_type_arguments] = STATE(5749),
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_export] = ACTIONS(3649),
    [anon_sym_type] = ACTIONS(3649),
    [anon_sym_namespace] = ACTIONS(3649),
    [anon_sym_LBRACE] = ACTIONS(3651),
    [anon_sym_typeof] = ACTIONS(3649),
    [anon_sym_import] = ACTIONS(3649),
    [anon_sym_from] = ACTIONS(3649),
    [anon_sym_let] = ACTIONS(3649),
    [anon_sym_BANG] = ACTIONS(3651),
    [anon_sym_LPAREN] = ACTIONS(3653),
    [anon_sym_await] = ACTIONS(3649),
    [anon_sym_of] = ACTIONS(3649),
    [anon_sym_yield] = ACTIONS(3649),
    [anon_sym_LBRACK] = ACTIONS(3651),
    [anon_sym_DOT] = ACTIONS(3655),
    [anon_sym_class] = ACTIONS(3649),
    [anon_sym_async] = ACTIONS(3649),
    [anon_sym_function] = ACTIONS(3649),
    [anon_sym_new] = ACTIONS(3649),
    [anon_sym_using] = ACTIONS(3649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3651),
    [anon_sym_PLUS] = ACTIONS(3649),
    [anon_sym_DASH] = ACTIONS(3649),
    [anon_sym_SLASH] = ACTIONS(3649),
    [anon_sym_LT] = ACTIONS(3657),
    [anon_sym_TILDE] = ACTIONS(3651),
    [anon_sym_void] = ACTIONS(3649),
    [anon_sym_delete] = ACTIONS(3649),
    [anon_sym_PLUS_PLUS] = ACTIONS(3651),
    [anon_sym_DASH_DASH] = ACTIONS(3651),
    [anon_sym_DQUOTE] = ACTIONS(3651),
    [anon_sym_SQUOTE] = ACTIONS(3651),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3651),
    [sym_number] = ACTIONS(3651),
    [sym_private_property_identifier] = ACTIONS(3651),
    [sym_this] = ACTIONS(3649),
    [sym_super] = ACTIONS(3649),
    [sym_true] = ACTIONS(3649),
    [sym_false] = ACTIONS(3649),
    [sym_null] = ACTIONS(3649),
    [sym_undefined] = ACTIONS(3649),
    [anon_sym_AT] = ACTIONS(3651),
    [anon_sym_static] = ACTIONS(3649),
    [anon_sym_readonly] = ACTIONS(3649),
    [anon_sym_get] = ACTIONS(3649),
    [anon_sym_set] = ACTIONS(3649),
    [anon_sym_declare] = ACTIONS(3649),
    [anon_sym_public] = ACTIONS(3649),
    [anon_sym_private] = ACTIONS(3649),
    [anon_sym_protected] = ACTIONS(3649),
    [anon_sym_override] = ACTIONS(3649),
    [anon_sym_module] = ACTIONS(3649),
    [anon_sym_any] = ACTIONS(3649),
    [anon_sym_number] = ACTIONS(3649),
    [anon_sym_boolean] = ACTIONS(3649),
    [anon_sym_string] = ACTIONS(3649),
    [anon_sym_symbol] = ACTIONS(3649),
    [anon_sym_object] = ACTIONS(3649),
    [anon_sym_property] = ACTIONS(3649),
    [anon_sym_signal] = ACTIONS(3649),
    [anon_sym_on] = ACTIONS(3649),
    [anon_sym_required] = ACTIONS(3649),
    [anon_sym_component] = ACTIONS(3649),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_RBRACE] = ACTIONS(132),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(132),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(888),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_identifier] = ACTIONS(3661),
    [anon_sym_export] = ACTIONS(3661),
    [anon_sym_type] = ACTIONS(3661),
    [anon_sym_namespace] = ACTIONS(3661),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3661),
    [anon_sym_import] = ACTIONS(3661),
    [anon_sym_from] = ACTIONS(3661),
    [anon_sym_let] = ACTIONS(3661),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_RPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3661),
    [anon_sym_of] = ACTIONS(3661),
    [anon_sym_yield] = ACTIONS(3661),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3661),
    [anon_sym_async] = ACTIONS(3661),
    [anon_sym_function] = ACTIONS(3661),
    [anon_sym_new] = ACTIONS(3661),
    [anon_sym_using] = ACTIONS(3661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3661),
    [anon_sym_DASH] = ACTIONS(3661),
    [anon_sym_SLASH] = ACTIONS(3661),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3661),
    [anon_sym_delete] = ACTIONS(3661),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3661),
    [sym_super] = ACTIONS(3661),
    [sym_true] = ACTIONS(3661),
    [sym_false] = ACTIONS(3661),
    [sym_null] = ACTIONS(3661),
    [sym_undefined] = ACTIONS(3661),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3661),
    [anon_sym_readonly] = ACTIONS(3661),
    [anon_sym_get] = ACTIONS(3661),
    [anon_sym_set] = ACTIONS(3661),
    [anon_sym_declare] = ACTIONS(3661),
    [anon_sym_public] = ACTIONS(3661),
    [anon_sym_private] = ACTIONS(3661),
    [anon_sym_protected] = ACTIONS(3661),
    [anon_sym_override] = ACTIONS(3661),
    [anon_sym_module] = ACTIONS(3661),
    [anon_sym_any] = ACTIONS(3661),
    [anon_sym_number] = ACTIONS(3661),
    [anon_sym_boolean] = ACTIONS(3661),
    [anon_sym_string] = ACTIONS(3661),
    [anon_sym_symbol] = ACTIONS(3661),
    [anon_sym_object] = ACTIONS(3661),
    [anon_sym_property] = ACTIONS(3661),
    [anon_sym_signal] = ACTIONS(3661),
    [anon_sym_on] = ACTIONS(3661),
    [anon_sym_required] = ACTIONS(3661),
    [anon_sym_component] = ACTIONS(3661),
    [anon_sym_abstract] = ACTIONS(3661),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_identifier] = ACTIONS(3665),
    [anon_sym_export] = ACTIONS(3665),
    [anon_sym_type] = ACTIONS(3665),
    [anon_sym_namespace] = ACTIONS(3665),
    [anon_sym_LBRACE] = ACTIONS(3667),
    [anon_sym_typeof] = ACTIONS(3665),
    [anon_sym_import] = ACTIONS(3665),
    [anon_sym_from] = ACTIONS(3665),
    [anon_sym_let] = ACTIONS(3665),
    [anon_sym_BANG] = ACTIONS(3667),
    [anon_sym_LPAREN] = ACTIONS(3667),
    [anon_sym_RPAREN] = ACTIONS(3667),
    [anon_sym_await] = ACTIONS(3665),
    [anon_sym_of] = ACTIONS(3665),
    [anon_sym_yield] = ACTIONS(3665),
    [anon_sym_LBRACK] = ACTIONS(3667),
    [anon_sym_class] = ACTIONS(3665),
    [anon_sym_async] = ACTIONS(3665),
    [anon_sym_function] = ACTIONS(3665),
    [anon_sym_new] = ACTIONS(3665),
    [anon_sym_using] = ACTIONS(3665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3667),
    [anon_sym_PLUS] = ACTIONS(3665),
    [anon_sym_DASH] = ACTIONS(3665),
    [anon_sym_SLASH] = ACTIONS(3665),
    [anon_sym_LT] = ACTIONS(3667),
    [anon_sym_TILDE] = ACTIONS(3667),
    [anon_sym_void] = ACTIONS(3665),
    [anon_sym_delete] = ACTIONS(3665),
    [anon_sym_PLUS_PLUS] = ACTIONS(3667),
    [anon_sym_DASH_DASH] = ACTIONS(3667),
    [anon_sym_DQUOTE] = ACTIONS(3667),
    [anon_sym_SQUOTE] = ACTIONS(3667),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3667),
    [sym_number] = ACTIONS(3667),
    [sym_private_property_identifier] = ACTIONS(3667),
    [sym_this] = ACTIONS(3665),
    [sym_super] = ACTIONS(3665),
    [sym_true] = ACTIONS(3665),
    [sym_false] = ACTIONS(3665),
    [sym_null] = ACTIONS(3665),
    [sym_undefined] = ACTIONS(3665),
    [anon_sym_AT] = ACTIONS(3667),
    [anon_sym_static] = ACTIONS(3665),
    [anon_sym_readonly] = ACTIONS(3665),
    [anon_sym_get] = ACTIONS(3665),
    [anon_sym_set] = ACTIONS(3665),
    [anon_sym_declare] = ACTIONS(3665),
    [anon_sym_public] = ACTIONS(3665),
    [anon_sym_private] = ACTIONS(3665),
    [anon_sym_protected] = ACTIONS(3665),
    [anon_sym_override] = ACTIONS(3665),
    [anon_sym_module] = ACTIONS(3665),
    [anon_sym_any] = ACTIONS(3665),
    [anon_sym_number] = ACTIONS(3665),
    [anon_sym_boolean] = ACTIONS(3665),
    [anon_sym_string] = ACTIONS(3665),
    [anon_sym_symbol] = ACTIONS(3665),
    [anon_sym_object] = ACTIONS(3665),
    [anon_sym_property] = ACTIONS(3665),
    [anon_sym_signal] = ACTIONS(3665),
    [anon_sym_on] = ACTIONS(3665),
    [anon_sym_required] = ACTIONS(3665),
    [anon_sym_component] = ACTIONS(3665),
    [anon_sym_abstract] = ACTIONS(3665),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_decorator] = STATE(1234),
    [aux_sym_export_statement_repeat1] = STATE(1231),
    [sym_identifier] = ACTIONS(3669),
    [anon_sym_export] = ACTIONS(3669),
    [anon_sym_type] = ACTIONS(3669),
    [anon_sym_namespace] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_typeof] = ACTIONS(3669),
    [anon_sym_import] = ACTIONS(3669),
    [anon_sym_from] = ACTIONS(3669),
    [anon_sym_let] = ACTIONS(3669),
    [anon_sym_BANG] = ACTIONS(3671),
    [anon_sym_LPAREN] = ACTIONS(3671),
    [anon_sym_await] = ACTIONS(3669),
    [anon_sym_of] = ACTIONS(3669),
    [anon_sym_yield] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3671),
    [anon_sym_class] = ACTIONS(3673),
    [anon_sym_async] = ACTIONS(3669),
    [anon_sym_function] = ACTIONS(3669),
    [anon_sym_new] = ACTIONS(3669),
    [anon_sym_using] = ACTIONS(3669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3669),
    [anon_sym_DASH] = ACTIONS(3669),
    [anon_sym_SLASH] = ACTIONS(3669),
    [anon_sym_LT] = ACTIONS(3671),
    [anon_sym_TILDE] = ACTIONS(3671),
    [anon_sym_void] = ACTIONS(3669),
    [anon_sym_delete] = ACTIONS(3669),
    [anon_sym_PLUS_PLUS] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(3671),
    [anon_sym_DQUOTE] = ACTIONS(3671),
    [anon_sym_SQUOTE] = ACTIONS(3671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3671),
    [sym_number] = ACTIONS(3671),
    [sym_private_property_identifier] = ACTIONS(3671),
    [sym_this] = ACTIONS(3669),
    [sym_super] = ACTIONS(3669),
    [sym_true] = ACTIONS(3669),
    [sym_false] = ACTIONS(3669),
    [sym_null] = ACTIONS(3669),
    [sym_undefined] = ACTIONS(3669),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3669),
    [anon_sym_readonly] = ACTIONS(3669),
    [anon_sym_get] = ACTIONS(3669),
    [anon_sym_set] = ACTIONS(3669),
    [anon_sym_declare] = ACTIONS(3669),
    [anon_sym_public] = ACTIONS(3669),
    [anon_sym_private] = ACTIONS(3669),
    [anon_sym_protected] = ACTIONS(3669),
    [anon_sym_override] = ACTIONS(3669),
    [anon_sym_module] = ACTIONS(3669),
    [anon_sym_any] = ACTIONS(3669),
    [anon_sym_number] = ACTIONS(3669),
    [anon_sym_boolean] = ACTIONS(3669),
    [anon_sym_string] = ACTIONS(3669),
    [anon_sym_symbol] = ACTIONS(3669),
    [anon_sym_object] = ACTIONS(3669),
    [anon_sym_property] = ACTIONS(3669),
    [anon_sym_signal] = ACTIONS(3669),
    [anon_sym_on] = ACTIONS(3669),
    [anon_sym_required] = ACTIONS(3669),
    [anon_sym_component] = ACTIONS(3669),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_decorator] = STATE(1234),
    [aux_sym_export_statement_repeat1] = STATE(1231),
    [sym_identifier] = ACTIONS(3669),
    [anon_sym_export] = ACTIONS(3669),
    [anon_sym_type] = ACTIONS(3669),
    [anon_sym_namespace] = ACTIONS(3669),
    [anon_sym_LBRACE] = ACTIONS(3671),
    [anon_sym_typeof] = ACTIONS(3669),
    [anon_sym_import] = ACTIONS(3669),
    [anon_sym_from] = ACTIONS(3669),
    [anon_sym_let] = ACTIONS(3669),
    [anon_sym_BANG] = ACTIONS(3671),
    [anon_sym_LPAREN] = ACTIONS(3671),
    [anon_sym_await] = ACTIONS(3669),
    [anon_sym_of] = ACTIONS(3669),
    [anon_sym_yield] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3671),
    [anon_sym_class] = ACTIONS(3669),
    [anon_sym_async] = ACTIONS(3669),
    [anon_sym_function] = ACTIONS(3669),
    [anon_sym_new] = ACTIONS(3669),
    [anon_sym_using] = ACTIONS(3669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3669),
    [anon_sym_DASH] = ACTIONS(3669),
    [anon_sym_SLASH] = ACTIONS(3669),
    [anon_sym_LT] = ACTIONS(3671),
    [anon_sym_TILDE] = ACTIONS(3671),
    [anon_sym_void] = ACTIONS(3669),
    [anon_sym_delete] = ACTIONS(3669),
    [anon_sym_PLUS_PLUS] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(3671),
    [anon_sym_DQUOTE] = ACTIONS(3671),
    [anon_sym_SQUOTE] = ACTIONS(3671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3671),
    [sym_number] = ACTIONS(3671),
    [sym_private_property_identifier] = ACTIONS(3671),
    [sym_this] = ACTIONS(3669),
    [sym_super] = ACTIONS(3669),
    [sym_true] = ACTIONS(3669),
    [sym_false] = ACTIONS(3669),
    [sym_null] = ACTIONS(3669),
    [sym_undefined] = ACTIONS(3669),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3669),
    [anon_sym_readonly] = ACTIONS(3669),
    [anon_sym_get] = ACTIONS(3669),
    [anon_sym_set] = ACTIONS(3669),
    [anon_sym_declare] = ACTIONS(3669),
    [anon_sym_public] = ACTIONS(3669),
    [anon_sym_private] = ACTIONS(3669),
    [anon_sym_protected] = ACTIONS(3669),
    [anon_sym_override] = ACTIONS(3669),
    [anon_sym_module] = ACTIONS(3669),
    [anon_sym_any] = ACTIONS(3669),
    [anon_sym_number] = ACTIONS(3669),
    [anon_sym_boolean] = ACTIONS(3669),
    [anon_sym_string] = ACTIONS(3669),
    [anon_sym_symbol] = ACTIONS(3669),
    [anon_sym_object] = ACTIONS(3669),
    [anon_sym_property] = ACTIONS(3669),
    [anon_sym_signal] = ACTIONS(3669),
    [anon_sym_on] = ACTIONS(3669),
    [anon_sym_required] = ACTIONS(3669),
    [anon_sym_component] = ACTIONS(3669),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_identifier] = ACTIONS(3679),
    [anon_sym_export] = ACTIONS(3679),
    [anon_sym_type] = ACTIONS(3679),
    [anon_sym_namespace] = ACTIONS(3679),
    [anon_sym_LBRACE] = ACTIONS(3681),
    [anon_sym_typeof] = ACTIONS(3679),
    [anon_sym_import] = ACTIONS(3679),
    [anon_sym_from] = ACTIONS(3679),
    [anon_sym_let] = ACTIONS(3679),
    [anon_sym_BANG] = ACTIONS(3681),
    [anon_sym_LPAREN] = ACTIONS(3681),
    [anon_sym_await] = ACTIONS(3679),
    [anon_sym_of] = ACTIONS(3679),
    [anon_sym_yield] = ACTIONS(3679),
    [anon_sym_LBRACK] = ACTIONS(3681),
    [anon_sym_class] = ACTIONS(3679),
    [anon_sym_async] = ACTIONS(3679),
    [anon_sym_function] = ACTIONS(3679),
    [anon_sym_new] = ACTIONS(3679),
    [anon_sym_using] = ACTIONS(3679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_SLASH] = ACTIONS(3679),
    [anon_sym_LT] = ACTIONS(3681),
    [anon_sym_TILDE] = ACTIONS(3681),
    [anon_sym_void] = ACTIONS(3679),
    [anon_sym_delete] = ACTIONS(3679),
    [anon_sym_PLUS_PLUS] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(3681),
    [anon_sym_DQUOTE] = ACTIONS(3681),
    [anon_sym_SQUOTE] = ACTIONS(3681),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3681),
    [sym_number] = ACTIONS(3681),
    [sym_private_property_identifier] = ACTIONS(3681),
    [sym_this] = ACTIONS(3679),
    [sym_super] = ACTIONS(3679),
    [sym_true] = ACTIONS(3679),
    [sym_false] = ACTIONS(3679),
    [sym_null] = ACTIONS(3679),
    [sym_undefined] = ACTIONS(3679),
    [anon_sym_AT] = ACTIONS(3681),
    [anon_sym_static] = ACTIONS(3679),
    [anon_sym_readonly] = ACTIONS(3679),
    [anon_sym_get] = ACTIONS(3679),
    [anon_sym_set] = ACTIONS(3679),
    [anon_sym_declare] = ACTIONS(3679),
    [anon_sym_public] = ACTIONS(3679),
    [anon_sym_private] = ACTIONS(3679),
    [anon_sym_protected] = ACTIONS(3679),
    [anon_sym_override] = ACTIONS(3679),
    [anon_sym_module] = ACTIONS(3679),
    [anon_sym_any] = ACTIONS(3679),
    [anon_sym_number] = ACTIONS(3679),
    [anon_sym_boolean] = ACTIONS(3679),
    [anon_sym_string] = ACTIONS(3679),
    [anon_sym_symbol] = ACTIONS(3679),
    [anon_sym_object] = ACTIONS(3679),
    [anon_sym_property] = ACTIONS(3679),
    [anon_sym_signal] = ACTIONS(3679),
    [anon_sym_on] = ACTIONS(3679),
    [anon_sym_required] = ACTIONS(3679),
    [anon_sym_component] = ACTIONS(3679),
    [anon_sym_abstract] = ACTIONS(3679),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_identifier] = ACTIONS(3683),
    [anon_sym_export] = ACTIONS(3683),
    [anon_sym_type] = ACTIONS(3683),
    [anon_sym_namespace] = ACTIONS(3683),
    [anon_sym_LBRACE] = ACTIONS(3685),
    [anon_sym_typeof] = ACTIONS(3683),
    [anon_sym_import] = ACTIONS(3683),
    [anon_sym_from] = ACTIONS(3683),
    [anon_sym_let] = ACTIONS(3683),
    [anon_sym_BANG] = ACTIONS(3685),
    [anon_sym_LPAREN] = ACTIONS(3685),
    [anon_sym_await] = ACTIONS(3683),
    [anon_sym_of] = ACTIONS(3683),
    [anon_sym_yield] = ACTIONS(3683),
    [anon_sym_LBRACK] = ACTIONS(3685),
    [anon_sym_class] = ACTIONS(3683),
    [anon_sym_async] = ACTIONS(3683),
    [anon_sym_function] = ACTIONS(3683),
    [anon_sym_new] = ACTIONS(3683),
    [anon_sym_using] = ACTIONS(3683),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3685),
    [anon_sym_PLUS] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3683),
    [anon_sym_SLASH] = ACTIONS(3683),
    [anon_sym_LT] = ACTIONS(3685),
    [anon_sym_TILDE] = ACTIONS(3685),
    [anon_sym_void] = ACTIONS(3683),
    [anon_sym_delete] = ACTIONS(3683),
    [anon_sym_PLUS_PLUS] = ACTIONS(3685),
    [anon_sym_DASH_DASH] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [anon_sym_SQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3685),
    [sym_number] = ACTIONS(3685),
    [sym_private_property_identifier] = ACTIONS(3685),
    [sym_this] = ACTIONS(3683),
    [sym_super] = ACTIONS(3683),
    [sym_true] = ACTIONS(3683),
    [sym_false] = ACTIONS(3683),
    [sym_null] = ACTIONS(3683),
    [sym_undefined] = ACTIONS(3683),
    [anon_sym_AT] = ACTIONS(3685),
    [anon_sym_static] = ACTIONS(3683),
    [anon_sym_readonly] = ACTIONS(3683),
    [anon_sym_get] = ACTIONS(3683),
    [anon_sym_set] = ACTIONS(3683),
    [anon_sym_declare] = ACTIONS(3683),
    [anon_sym_public] = ACTIONS(3683),
    [anon_sym_private] = ACTIONS(3683),
    [anon_sym_protected] = ACTIONS(3683),
    [anon_sym_override] = ACTIONS(3683),
    [anon_sym_module] = ACTIONS(3683),
    [anon_sym_any] = ACTIONS(3683),
    [anon_sym_number] = ACTIONS(3683),
    [anon_sym_boolean] = ACTIONS(3683),
    [anon_sym_string] = ACTIONS(3683),
    [anon_sym_symbol] = ACTIONS(3683),
    [anon_sym_object] = ACTIONS(3683),
    [anon_sym_property] = ACTIONS(3683),
    [anon_sym_signal] = ACTIONS(3683),
    [anon_sym_on] = ACTIONS(3683),
    [anon_sym_required] = ACTIONS(3683),
    [anon_sym_component] = ACTIONS(3683),
    [anon_sym_abstract] = ACTIONS(3683),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_identifier] = ACTIONS(3649),
    [anon_sym_export] = ACTIONS(3649),
    [anon_sym_type] = ACTIONS(3649),
    [anon_sym_namespace] = ACTIONS(3649),
    [anon_sym_LBRACE] = ACTIONS(3651),
    [anon_sym_typeof] = ACTIONS(3649),
    [anon_sym_import] = ACTIONS(3649),
    [anon_sym_from] = ACTIONS(3649),
    [anon_sym_let] = ACTIONS(3649),
    [anon_sym_BANG] = ACTIONS(3651),
    [anon_sym_LPAREN] = ACTIONS(3651),
    [anon_sym_await] = ACTIONS(3649),
    [anon_sym_of] = ACTIONS(3649),
    [anon_sym_yield] = ACTIONS(3649),
    [anon_sym_LBRACK] = ACTIONS(3651),
    [anon_sym_class] = ACTIONS(3649),
    [anon_sym_async] = ACTIONS(3649),
    [anon_sym_function] = ACTIONS(3649),
    [anon_sym_new] = ACTIONS(3649),
    [anon_sym_using] = ACTIONS(3649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3651),
    [anon_sym_PLUS] = ACTIONS(3649),
    [anon_sym_DASH] = ACTIONS(3649),
    [anon_sym_SLASH] = ACTIONS(3649),
    [anon_sym_LT] = ACTIONS(3651),
    [anon_sym_TILDE] = ACTIONS(3651),
    [anon_sym_void] = ACTIONS(3649),
    [anon_sym_delete] = ACTIONS(3649),
    [anon_sym_PLUS_PLUS] = ACTIONS(3651),
    [anon_sym_DASH_DASH] = ACTIONS(3651),
    [anon_sym_DQUOTE] = ACTIONS(3651),
    [anon_sym_SQUOTE] = ACTIONS(3651),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3651),
    [sym_number] = ACTIONS(3651),
    [sym_private_property_identifier] = ACTIONS(3651),
    [sym_this] = ACTIONS(3649),
    [sym_super] = ACTIONS(3649),
    [sym_true] = ACTIONS(3649),
    [sym_false] = ACTIONS(3649),
    [sym_null] = ACTIONS(3649),
    [sym_undefined] = ACTIONS(3649),
    [anon_sym_AT] = ACTIONS(3651),
    [anon_sym_static] = ACTIONS(3649),
    [anon_sym_readonly] = ACTIONS(3649),
    [anon_sym_get] = ACTIONS(3649),
    [anon_sym_set] = ACTIONS(3649),
    [anon_sym_declare] = ACTIONS(3649),
    [anon_sym_public] = ACTIONS(3649),
    [anon_sym_private] = ACTIONS(3649),
    [anon_sym_protected] = ACTIONS(3649),
    [anon_sym_override] = ACTIONS(3649),
    [anon_sym_module] = ACTIONS(3649),
    [anon_sym_any] = ACTIONS(3649),
    [anon_sym_number] = ACTIONS(3649),
    [anon_sym_boolean] = ACTIONS(3649),
    [anon_sym_string] = ACTIONS(3649),
    [anon_sym_symbol] = ACTIONS(3649),
    [anon_sym_object] = ACTIONS(3649),
    [anon_sym_property] = ACTIONS(3649),
    [anon_sym_signal] = ACTIONS(3649),
    [anon_sym_on] = ACTIONS(3649),
    [anon_sym_required] = ACTIONS(3649),
    [anon_sym_component] = ACTIONS(3649),
    [anon_sym_abstract] = ACTIONS(3649),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_nested_identifier] = STATE(1765),
    [sym_string] = STATE(1775),
    [sym__module] = STATE(2039),
    [sym_ui_object_initializer] = STATE(5799),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_nested_identifier] = STATE(1765),
    [sym_string] = STATE(1775),
    [sym__module] = STATE(2039),
    [sym_ui_object_initializer] = STATE(2883),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_identifier] = ACTIONS(3689),
    [anon_sym_export] = ACTIONS(3689),
    [anon_sym_type] = ACTIONS(3689),
    [anon_sym_namespace] = ACTIONS(3689),
    [anon_sym_LBRACE] = ACTIONS(3691),
    [anon_sym_typeof] = ACTIONS(3689),
    [anon_sym_import] = ACTIONS(3689),
    [anon_sym_from] = ACTIONS(3689),
    [anon_sym_let] = ACTIONS(3689),
    [anon_sym_BANG] = ACTIONS(3691),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_await] = ACTIONS(3689),
    [anon_sym_of] = ACTIONS(3689),
    [anon_sym_yield] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3691),
    [anon_sym_DOT] = ACTIONS(3689),
    [anon_sym_class] = ACTIONS(3689),
    [anon_sym_async] = ACTIONS(3689),
    [anon_sym_function] = ACTIONS(3689),
    [anon_sym_new] = ACTIONS(3689),
    [anon_sym_using] = ACTIONS(3689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3691),
    [anon_sym_PLUS] = ACTIONS(3689),
    [anon_sym_DASH] = ACTIONS(3689),
    [anon_sym_SLASH] = ACTIONS(3689),
    [anon_sym_LT] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [anon_sym_void] = ACTIONS(3689),
    [anon_sym_delete] = ACTIONS(3689),
    [anon_sym_PLUS_PLUS] = ACTIONS(3691),
    [anon_sym_DASH_DASH] = ACTIONS(3691),
    [anon_sym_DQUOTE] = ACTIONS(3691),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3691),
    [sym_number] = ACTIONS(3691),
    [sym_private_property_identifier] = ACTIONS(3691),
    [sym_this] = ACTIONS(3689),
    [sym_super] = ACTIONS(3689),
    [sym_true] = ACTIONS(3689),
    [sym_false] = ACTIONS(3689),
    [sym_null] = ACTIONS(3689),
    [sym_undefined] = ACTIONS(3689),
    [anon_sym_AT] = ACTIONS(3691),
    [anon_sym_static] = ACTIONS(3689),
    [anon_sym_readonly] = ACTIONS(3689),
    [anon_sym_get] = ACTIONS(3689),
    [anon_sym_set] = ACTIONS(3689),
    [anon_sym_declare] = ACTIONS(3689),
    [anon_sym_public] = ACTIONS(3689),
    [anon_sym_private] = ACTIONS(3689),
    [anon_sym_protected] = ACTIONS(3689),
    [anon_sym_override] = ACTIONS(3689),
    [anon_sym_module] = ACTIONS(3689),
    [anon_sym_any] = ACTIONS(3689),
    [anon_sym_number] = ACTIONS(3689),
    [anon_sym_boolean] = ACTIONS(3689),
    [anon_sym_string] = ACTIONS(3689),
    [anon_sym_symbol] = ACTIONS(3689),
    [anon_sym_object] = ACTIONS(3689),
    [anon_sym_property] = ACTIONS(3689),
    [anon_sym_signal] = ACTIONS(3689),
    [anon_sym_on] = ACTIONS(3689),
    [anon_sym_required] = ACTIONS(3689),
    [anon_sym_component] = ACTIONS(3689),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_nested_identifier] = STATE(4277),
    [sym_string] = STATE(4859),
    [sym__module] = STATE(821),
    [sym_identifier] = ACTIONS(3693),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_variable_declarator] = STATE(4911),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_nested_identifier] = STATE(790),
    [sym_string] = STATE(794),
    [sym__module] = STATE(821),
    [sym_identifier] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_nested_identifier] = STATE(234),
    [sym_string] = STATE(238),
    [sym__module] = STATE(264),
    [sym_identifier] = ACTIONS(3641),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3643),
    [anon_sym_SQUOTE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_identifier] = ACTIONS(3695),
    [anon_sym_export] = ACTIONS(3695),
    [anon_sym_type] = ACTIONS(3695),
    [anon_sym_namespace] = ACTIONS(3695),
    [anon_sym_LBRACE] = ACTIONS(3697),
    [anon_sym_typeof] = ACTIONS(3695),
    [anon_sym_import] = ACTIONS(3695),
    [anon_sym_from] = ACTIONS(3695),
    [anon_sym_let] = ACTIONS(3695),
    [anon_sym_BANG] = ACTIONS(3697),
    [anon_sym_LPAREN] = ACTIONS(3697),
    [anon_sym_await] = ACTIONS(3695),
    [anon_sym_of] = ACTIONS(3695),
    [anon_sym_yield] = ACTIONS(3695),
    [anon_sym_LBRACK] = ACTIONS(3697),
    [anon_sym_class] = ACTIONS(3695),
    [anon_sym_async] = ACTIONS(3695),
    [anon_sym_function] = ACTIONS(3695),
    [anon_sym_new] = ACTIONS(3695),
    [anon_sym_using] = ACTIONS(3695),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3695),
    [anon_sym_DASH] = ACTIONS(3695),
    [anon_sym_SLASH] = ACTIONS(3695),
    [anon_sym_LT] = ACTIONS(3697),
    [anon_sym_TILDE] = ACTIONS(3697),
    [anon_sym_void] = ACTIONS(3695),
    [anon_sym_delete] = ACTIONS(3695),
    [anon_sym_PLUS_PLUS] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(3697),
    [anon_sym_DQUOTE] = ACTIONS(3697),
    [anon_sym_SQUOTE] = ACTIONS(3697),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3697),
    [sym_number] = ACTIONS(3697),
    [sym_private_property_identifier] = ACTIONS(3697),
    [sym_this] = ACTIONS(3695),
    [sym_super] = ACTIONS(3695),
    [sym_true] = ACTIONS(3695),
    [sym_false] = ACTIONS(3695),
    [sym_null] = ACTIONS(3695),
    [sym_undefined] = ACTIONS(3695),
    [anon_sym_AT] = ACTIONS(3697),
    [anon_sym_static] = ACTIONS(3695),
    [anon_sym_readonly] = ACTIONS(3695),
    [anon_sym_get] = ACTIONS(3695),
    [anon_sym_set] = ACTIONS(3695),
    [anon_sym_declare] = ACTIONS(3695),
    [anon_sym_public] = ACTIONS(3695),
    [anon_sym_private] = ACTIONS(3695),
    [anon_sym_protected] = ACTIONS(3695),
    [anon_sym_override] = ACTIONS(3695),
    [anon_sym_module] = ACTIONS(3695),
    [anon_sym_any] = ACTIONS(3695),
    [anon_sym_number] = ACTIONS(3695),
    [anon_sym_boolean] = ACTIONS(3695),
    [anon_sym_string] = ACTIONS(3695),
    [anon_sym_symbol] = ACTIONS(3695),
    [anon_sym_object] = ACTIONS(3695),
    [anon_sym_property] = ACTIONS(3695),
    [anon_sym_signal] = ACTIONS(3695),
    [anon_sym_on] = ACTIONS(3695),
    [anon_sym_required] = ACTIONS(3695),
    [anon_sym_component] = ACTIONS(3695),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_ui_object_initializer] = STATE(2883),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_COMMA] = ACTIONS(132),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_RBRACK] = ACTIONS(132),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_EQ_GT] = ACTIONS(135),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_nested_identifier] = STATE(1765),
    [sym_string] = STATE(1775),
    [sym__module] = STATE(2039),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_nested_identifier] = STATE(1765),
    [sym_string] = STATE(1775),
    [sym__module] = STATE(2039),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_nested_identifier] = STATE(976),
    [sym_string] = STATE(975),
    [sym__module] = STATE(1017),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_identifier] = ACTIONS(3705),
    [anon_sym_export] = ACTIONS(3705),
    [anon_sym_type] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym_import] = ACTIONS(3705),
    [anon_sym_from] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_of] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_function] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3707),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_SLASH] = ACTIONS(3705),
    [anon_sym_LT] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_void] = ACTIONS(3705),
    [anon_sym_delete] = ACTIONS(3705),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_SQUOTE] = ACTIONS(3707),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3707),
    [sym_number] = ACTIONS(3707),
    [sym_private_property_identifier] = ACTIONS(3707),
    [sym_this] = ACTIONS(3705),
    [sym_super] = ACTIONS(3705),
    [sym_true] = ACTIONS(3705),
    [sym_false] = ACTIONS(3705),
    [sym_null] = ACTIONS(3705),
    [sym_undefined] = ACTIONS(3705),
    [anon_sym_AT] = ACTIONS(3707),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_get] = ACTIONS(3705),
    [anon_sym_set] = ACTIONS(3705),
    [anon_sym_declare] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_module] = ACTIONS(3705),
    [anon_sym_any] = ACTIONS(3705),
    [anon_sym_number] = ACTIONS(3705),
    [anon_sym_boolean] = ACTIONS(3705),
    [anon_sym_string] = ACTIONS(3705),
    [anon_sym_symbol] = ACTIONS(3705),
    [anon_sym_object] = ACTIONS(3705),
    [anon_sym_property] = ACTIONS(3705),
    [anon_sym_signal] = ACTIONS(3705),
    [anon_sym_on] = ACTIONS(3705),
    [anon_sym_required] = ACTIONS(3705),
    [anon_sym_component] = ACTIONS(3705),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_variable_declarator] = STATE(4802),
    [sym_object_pattern] = STATE(4045),
    [sym_array_pattern] = STATE(4045),
    [sym__destructuring_pattern] = STATE(4045),
    [sym_identifier] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3637),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(3639),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_identifier] = ACTIONS(3709),
    [anon_sym_export] = ACTIONS(3709),
    [anon_sym_type] = ACTIONS(3709),
    [anon_sym_namespace] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3711),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_import] = ACTIONS(3709),
    [anon_sym_from] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3711),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_of] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_function] = ACTIONS(3709),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_using] = ACTIONS(3709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3711),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_SLASH] = ACTIONS(3709),
    [anon_sym_LT] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_void] = ACTIONS(3709),
    [anon_sym_delete] = ACTIONS(3709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3711),
    [anon_sym_DASH_DASH] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [anon_sym_SQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3711),
    [sym_number] = ACTIONS(3711),
    [sym_private_property_identifier] = ACTIONS(3711),
    [sym_this] = ACTIONS(3709),
    [sym_super] = ACTIONS(3709),
    [sym_true] = ACTIONS(3709),
    [sym_false] = ACTIONS(3709),
    [sym_null] = ACTIONS(3709),
    [sym_undefined] = ACTIONS(3709),
    [anon_sym_AT] = ACTIONS(3711),
    [anon_sym_static] = ACTIONS(3709),
    [anon_sym_readonly] = ACTIONS(3709),
    [anon_sym_get] = ACTIONS(3709),
    [anon_sym_set] = ACTIONS(3709),
    [anon_sym_declare] = ACTIONS(3709),
    [anon_sym_public] = ACTIONS(3709),
    [anon_sym_private] = ACTIONS(3709),
    [anon_sym_protected] = ACTIONS(3709),
    [anon_sym_override] = ACTIONS(3709),
    [anon_sym_module] = ACTIONS(3709),
    [anon_sym_any] = ACTIONS(3709),
    [anon_sym_number] = ACTIONS(3709),
    [anon_sym_boolean] = ACTIONS(3709),
    [anon_sym_string] = ACTIONS(3709),
    [anon_sym_symbol] = ACTIONS(3709),
    [anon_sym_object] = ACTIONS(3709),
    [anon_sym_property] = ACTIONS(3709),
    [anon_sym_signal] = ACTIONS(3709),
    [anon_sym_on] = ACTIONS(3709),
    [anon_sym_required] = ACTIONS(3709),
    [anon_sym_component] = ACTIONS(3709),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_nested_identifier] = STATE(1856),
    [sym_string] = STATE(1863),
    [sym__module] = STATE(1912),
    [sym_identifier] = ACTIONS(3659),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(884),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_RBRACE] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_nested_identifier] = STATE(1765),
    [sym_string] = STATE(1775),
    [sym__module] = STATE(2039),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_nested_identifier] = STATE(2820),
    [sym_string] = STATE(2898),
    [sym__module] = STATE(3074),
    [sym_identifier] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(61),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(786),
    [anon_sym_QMARK_DOT] = ACTIONS(61),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(61),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(61),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(61),
    [anon_sym_GT_EQ] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(61),
    [sym__ternary_qmark] = ACTIONS(61),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1018), 1,
      anon_sym_EQ_GT,
    ACTIONS(1024), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [89] = 15,
    ACTIONS(34), 1,
      anon_sym_COMMA,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(132), 1,
      anon_sym_RBRACK,
    ACTIONS(965), 1,
      anon_sym_EQ,
    ACTIONS(970), 1,
      anon_sym_COLON,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [184] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3719), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3721), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [255] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3729), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3731), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4108), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3751), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3753), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [453] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3755), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3757), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [524] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1018), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [613] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3759), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3761), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4163), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [740] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3763), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3765), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4219), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [867] = 14,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    ACTIONS(3767), 1,
      sym_identifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [960] = 14,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    ACTIONS(3767), 1,
      sym_identifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1053] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3316), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3318), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4162), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [1180] = 14,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1273] = 14,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(3659), 1,
      sym_identifier,
    ACTIONS(3791), 1,
      anon_sym_of,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1366] = 13,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(3791), 1,
      anon_sym_of,
    ACTIONS(3793), 1,
      sym_identifier,
    STATE(4802), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3771), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1457] = 14,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    ACTIONS(3767), 1,
      sym_identifier,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1550] = 14,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    ACTIONS(3767), 1,
      sym_identifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3797), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1714] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3799), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3801), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1785] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3803), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3805), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4230), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [1912] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3807), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3809), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1983] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3180), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3204), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4152), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [2110] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3811), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3813), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2181] = 4,
    ACTIONS(3815), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3811), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3813), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2254] = 4,
    ACTIONS(3817), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3807), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3809), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2327] = 31,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3819), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3821), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4240), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [2454] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3641), 1,
      sym_identifier,
    ACTIONS(3643), 1,
      anon_sym_DQUOTE,
    ACTIONS(3645), 1,
      anon_sym_SQUOTE,
    STATE(234), 1,
      sym_nested_identifier,
    STATE(238), 1,
      sym_string,
    STATE(264), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2542] = 14,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(3825), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3829), 1,
      anon_sym_LT,
    STATE(3459), 1,
      sym_arguments,
    STATE(3583), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3773), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [2634] = 12,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3687), 1,
      sym_identifier,
    STATE(1765), 1,
      sym_nested_identifier,
    STATE(1775), 1,
      sym_string,
    STATE(2039), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2652), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2792] = 13,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [2882] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3699), 1,
      sym_identifier,
    ACTIONS(3701), 1,
      anon_sym_DQUOTE,
    ACTIONS(3703), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_nested_identifier,
    STATE(1017), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2970] = 13,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [3060] = 13,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3150] = 5,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3224] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3312] = 13,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [3402] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2644), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(2646), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3472] = 13,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(970), 1,
      anon_sym_COLON,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3562] = 13,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_LPAREN,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3840), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [3652] = 13,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_LPAREN,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3840), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [3742] = 11,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(61), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3828] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3693), 1,
      sym_identifier,
    STATE(821), 1,
      sym__module,
    STATE(4277), 1,
      sym_nested_identifier,
    STATE(4859), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3916] = 13,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_LPAREN,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3840), 1,
      anon_sym_LT,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [4006] = 14,
    ACTIONS(34), 1,
      anon_sym_COMMA,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(132), 1,
      anon_sym_RBRACK,
    ACTIONS(965), 1,
      anon_sym_EQ,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4098] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3843), 1,
      sym_identifier,
    STATE(3804), 1,
      sym_nested_identifier,
    STATE(4031), 1,
      sym_string,
    STATE(4518), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4186] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3713), 1,
      sym_identifier,
    ACTIONS(3715), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_SQUOTE,
    STATE(2820), 1,
      sym_nested_identifier,
    STATE(2898), 1,
      sym_string,
    STATE(3074), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4274] = 11,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    STATE(4802), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(61), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4360] = 13,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [4450] = 13,
    ACTIONS(775), 1,
      anon_sym_COLON,
    ACTIONS(794), 1,
      anon_sym_QMARK,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_LPAREN,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3840), 1,
      anon_sym_LT,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [4540] = 12,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3647), 1,
      sym_identifier,
    STATE(790), 1,
      sym_nested_identifier,
    STATE(794), 1,
      sym_string,
    STATE(821), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4628] = 12,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3773), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4716] = 11,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    STATE(4791), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(61), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4802] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3859), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4925] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3861), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5048] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5139] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(3867), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5230] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1038), 1,
      anon_sym_EQ,
    ACTIONS(1048), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5317] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5404] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3869), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5527] = 14,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(3659), 1,
      sym_identifier,
    ACTIONS(3791), 1,
      anon_sym_of,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5618] = 14,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [5709] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3871), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5832] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3873), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5955] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3875), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6078] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3877), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6201] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6288] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3879), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6411] = 16,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(3890), 1,
      anon_sym_QMARK,
    STATE(3294), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3884), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [6506] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3893), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6629] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1048), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6716] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    ACTIONS(1064), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6803] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3895), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6926] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3897), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7049] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3899), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7172] = 13,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3901), 1,
      anon_sym_DOT,
    ACTIONS(3904), 1,
      anon_sym_LT,
    STATE(3536), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3884), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3857), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [7261] = 9,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(61), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7342] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3913), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7465] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3915), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7588] = 12,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1064), 1,
      anon_sym_EQ_GT,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7675] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3917), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7798] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3919), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7921] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3921), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8044] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3923), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8167] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3925), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8290] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3927), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8413] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3929), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8536] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [8622] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3791), 1,
      anon_sym_of,
    ACTIONS(3931), 1,
      sym_identifier,
    ACTIONS(3933), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5600), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(61), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [8708] = 12,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8794] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1052), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [8880] = 15,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3936), 1,
      anon_sym_EQ,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3939), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [8972] = 9,
    ACTIONS(129), 1,
      anon_sym_EQ,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1790), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [9052] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1136), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9138] = 8,
    ACTIONS(3936), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [9216] = 12,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(3867), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9302] = 6,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(61), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9376] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1128), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9462] = 6,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3773), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9536] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1070), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9622] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9708] = 8,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3948), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [9786] = 14,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3775), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3773), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [9876] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1134), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9962] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(3953), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10052] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1138), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [10138] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1072), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [10224] = 12,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      anon_sym_SQUOTE,
    ACTIONS(1132), 1,
      anon_sym_EQ,
    ACTIONS(3659), 1,
      sym_identifier,
    STATE(1856), 1,
      sym_nested_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(1912), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [10310] = 8,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(826), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(34), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [10388] = 15,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3884), 1,
      anon_sym_RPAREN,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3948), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [10480] = 8,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(888), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [10558] = 6,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3773), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10632] = 6,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(61), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10706] = 8,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(3957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [10784] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(3961), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10874] = 8,
    ACTIONS(129), 1,
      anon_sym_EQ,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(826), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(132), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [10952] = 8,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_COLON,
    ACTIONS(3767), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [11029] = 9,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(2533), 1,
      anon_sym_DOT,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    STATE(5799), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [11108] = 14,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3963), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [11197] = 7,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3948), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [11272] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4187), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [11391] = 9,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(3967), 1,
      anon_sym_DOT,
    STATE(5801), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [11470] = 9,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11549] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11638] = 4,
    ACTIONS(3815), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11707] = 4,
    ACTIONS(3817), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11776] = 8,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_COLON,
    ACTIONS(3974), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [11853] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3773), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [11942] = 9,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12021] = 8,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(936), 1,
      anon_sym_COLON,
    ACTIONS(3767), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [12098] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4115), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12217] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4123), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12336] = 12,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(3953), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12421] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12490] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12559] = 11,
    ACTIONS(129), 1,
      anon_sym_EQ,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(826), 1,
      anon_sym_QMARK,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(132), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1790), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [12642] = 9,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(3967), 1,
      anon_sym_DOT,
    STATE(2866), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [12721] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(3978), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12810] = 7,
    ACTIONS(3936), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [12885] = 13,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3857), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [12972] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4119), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13091] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4168), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13210] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4225), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13329] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4248), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13448] = 11,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(826), 1,
      anon_sym_QMARK,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(34), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1790), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [13531] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(3202), 1,
      anon_sym_abstract,
    ACTIONS(3725), 1,
      anon_sym_export,
    ACTIONS(3727), 1,
      anon_sym_STAR,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3735), 1,
      anon_sym_async,
    ACTIONS(3737), 1,
      anon_sym_new,
    ACTIONS(3741), 1,
      anon_sym_static,
    ACTIONS(3743), 1,
      anon_sym_readonly,
    ACTIONS(3749), 1,
      anon_sym_override,
    STATE(1234), 1,
      sym_decorator,
    STATE(2651), 1,
      sym_accessibility_modifier,
    STATE(2837), 1,
      sym_override_modifier,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym__call_signature,
    STATE(4827), 1,
      aux_sym_export_statement_repeat1,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3739), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3745), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4678), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3723), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13650] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(3982), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13739] = 12,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(3961), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13824] = 5,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3773), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13895] = 9,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(2533), 1,
      anon_sym_DOT,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [13974] = 7,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2652), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14115] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3986), 1,
      anon_sym_RBRACE,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [14233] = 6,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14305] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14377] = 29,
    ACTIONS(4011), 1,
      anon_sym_STAR,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4016), 1,
      anon_sym_SEMI,
    ACTIONS(4019), 1,
      anon_sym_LBRACK,
    ACTIONS(4022), 1,
      anon_sym_async,
    ACTIONS(4028), 1,
      anon_sym_DQUOTE,
    ACTIONS(4031), 1,
      anon_sym_SQUOTE,
    ACTIONS(4037), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      anon_sym_static,
    ACTIONS(4043), 1,
      anon_sym_readonly,
    ACTIONS(4049), 1,
      anon_sym_declare,
    ACTIONS(4055), 1,
      anon_sym_override,
    ACTIONS(4058), 1,
      anon_sym_abstract,
    ACTIONS(4061), 1,
      anon_sym_accessor,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4034), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4046), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(4052), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4008), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [14495] = 7,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(936), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14569] = 7,
    ACTIONS(932), 1,
      anon_sym_COLON,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14643] = 5,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14713] = 6,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14785] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3867), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [14857] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3719), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3721), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3799), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3801), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14989] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3773), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15077] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4064), 1,
      anon_sym_RBRACE,
    ACTIONS(4066), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1409), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [15195] = 7,
    ACTIONS(936), 1,
      anon_sym_COLON,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15269] = 12,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3857), 1,
      anon_sym_extends,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3851), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3773), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15353] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [15471] = 10,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1790), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15551] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15617] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4070), 1,
      anon_sym_RBRACE,
    ACTIONS(4072), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1434), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [15735] = 11,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15817] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3797), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15883] = 7,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [15957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3755), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3757), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16023] = 10,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3967), 1,
      anon_sym_DOT,
    STATE(2866), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3948), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3773), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16103] = 8,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(992), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16179] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4078), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [16297] = 6,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16369] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
    ACTIONS(4082), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1456), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [16487] = 12,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(3982), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16571] = 10,
    ACTIONS(129), 1,
      anon_sym_EQ,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(1792), 1,
      anon_sym_QMARK,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1790), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16651] = 6,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(3867), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16723] = 7,
    ACTIONS(786), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16797] = 6,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [16869] = 12,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16953] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4084), 1,
      anon_sym_RBRACE,
    ACTIONS(4086), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1455), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17071] = 14,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3789), 1,
      anon_sym_LT,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17159] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3751), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3753), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17225] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [17297] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4088), 1,
      anon_sym_RBRACE,
    ACTIONS(4090), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1449), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17415] = 9,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17493] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4092), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17611] = 12,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(3978), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17695] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4094), 1,
      anon_sym_RBRACE,
    ACTIONS(4096), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1424), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [17813] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17881] = 10,
    ACTIONS(129), 1,
      anon_sym_EQ,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(2533), 1,
      anon_sym_DOT,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [17961] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18029] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4098), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18147] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4100), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18265] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4102), 1,
      anon_sym_RBRACE,
    ACTIONS(4104), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1458), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18383] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4106), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18501] = 7,
    ACTIONS(934), 1,
      anon_sym_COLON,
    ACTIONS(3838), 1,
      anon_sym_EQ_GT,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [18575] = 9,
    ACTIONS(1018), 1,
      anon_sym_EQ_GT,
    ACTIONS(1024), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18653] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4108), 1,
      anon_sym_RBRACE,
    ACTIONS(4110), 1,
      anon_sym_SEMI,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1463), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18771] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18837] = 29,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3984), 1,
      anon_sym_STAR,
    ACTIONS(3988), 1,
      anon_sym_SEMI,
    ACTIONS(3990), 1,
      anon_sym_async,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(3996), 1,
      anon_sym_static,
    ACTIONS(3998), 1,
      anon_sym_readonly,
    ACTIONS(4002), 1,
      anon_sym_declare,
    ACTIONS(4004), 1,
      anon_sym_abstract,
    ACTIONS(4006), 1,
      anon_sym_accessor,
    ACTIONS(4112), 1,
      anon_sym_RBRACE,
    STATE(1716), 1,
      aux_sym_export_statement_repeat1,
    STATE(2037), 1,
      sym_method_definition,
    STATE(2190), 1,
      sym_accessibility_modifier,
    STATE(2839), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    STATE(4919), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4000), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5501), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [18955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2644), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(2646), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19021] = 7,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4114), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [19094] = 5,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [19163] = 7,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4114), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [19236] = 5,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [19305] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4119), 1,
      anon_sym_RBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_async,
    ACTIONS(4127), 1,
      anon_sym_static,
    ACTIONS(4129), 1,
      anon_sym_readonly,
    ACTIONS(4135), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5299), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4131), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4133), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5297), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4117), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19414] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4139), 1,
      anon_sym_RBRACE,
    ACTIONS(4141), 1,
      anon_sym_async,
    ACTIONS(4143), 1,
      anon_sym_static,
    ACTIONS(4145), 1,
      anon_sym_readonly,
    ACTIONS(4151), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(4961), 1,
      aux_sym_object_repeat1,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4147), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4149), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5462), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4137), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19523] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    ACTIONS(4157), 1,
      anon_sym_async,
    ACTIONS(4159), 1,
      anon_sym_static,
    ACTIONS(4161), 1,
      anon_sym_readonly,
    ACTIONS(4167), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5299), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4163), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4165), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5297), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4153), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19632] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19699] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4171), 1,
      anon_sym_RBRACE,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4175), 1,
      anon_sym_static,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    ACTIONS(4183), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5299), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4181), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5297), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4169), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [19808] = 9,
    ACTIONS(1038), 1,
      anon_sym_EQ,
    ACTIONS(1048), 1,
      anon_sym_EQ_GT,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19885] = 6,
    ACTIONS(1018), 1,
      anon_sym_EQ_GT,
    ACTIONS(1024), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [19956] = 5,
    ACTIONS(3817), 1,
      anon_sym_extends,
    ACTIONS(4185), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [20025] = 9,
    ACTIONS(34), 1,
      anon_sym_COMMA,
    ACTIONS(132), 1,
      anon_sym_RBRACK,
    ACTIONS(965), 1,
      anon_sym_EQ,
    ACTIONS(970), 1,
      anon_sym_COLON,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20102] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    ACTIONS(4191), 1,
      anon_sym_async,
    ACTIONS(4193), 1,
      anon_sym_static,
    ACTIONS(4195), 1,
      anon_sym_readonly,
    ACTIONS(4201), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5299), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4197), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4199), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5297), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4187), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20211] = 9,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    ACTIONS(1064), 1,
      anon_sym_EQ_GT,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20288] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1018), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20359] = 25,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4205), 1,
      anon_sym_RBRACE,
    ACTIONS(4207), 1,
      anon_sym_async,
    ACTIONS(4209), 1,
      anon_sym_static,
    ACTIONS(4211), 1,
      anon_sym_readonly,
    ACTIONS(4217), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5299), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4213), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4215), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5297), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4203), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20468] = 8,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(4219), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20543] = 6,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(3953), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20614] = 12,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3845), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 1,
      anon_sym_DOT,
    ACTIONS(3854), 1,
      anon_sym_LT,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3773), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20697] = 9,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20774] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3953), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20845] = 10,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    ACTIONS(3948), 1,
      anon_sym_RBRACK,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(4224), 1,
      anon_sym_in,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [20924] = 7,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(4228), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [20997] = 7,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3767), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [21070] = 8,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_EQ_GT,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21145] = 7,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(3974), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [21218] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [21285] = 9,
    ACTIONS(135), 1,
      anon_sym_EQ_GT,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(1790), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3910), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21362] = 5,
    ACTIONS(3815), 1,
      anon_sym_extends,
    ACTIONS(4235), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [21431] = 8,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    ACTIONS(3948), 1,
      anon_sym_RBRACK,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21505] = 8,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_in,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21579] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21649] = 8,
    ACTIONS(34), 1,
      anon_sym_COMMA,
    ACTIONS(132), 1,
      anon_sym_RBRACK,
    ACTIONS(965), 1,
      anon_sym_EQ,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21723] = 6,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(3961), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21793] = 7,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21865] = 5,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [21933] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3961), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22003] = 9,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(3907), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3910), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(61), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22079] = 7,
    ACTIONS(970), 1,
      anon_sym_COLON,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22151] = 6,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1014), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22221] = 7,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22293] = 8,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(4224), 1,
      anon_sym_in,
    ACTIONS(4237), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22367] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3811), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3813), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [22433] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3807), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
    ACTIONS(3809), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [22499] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22568] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22637] = 5,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22704] = 6,
    ACTIONS(1038), 1,
      anon_sym_EQ,
    ACTIONS(1048), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22773] = 6,
    ACTIONS(974), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22842] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1064), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22911] = 8,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      anon_sym_in,
    ACTIONS(4219), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [22984] = 6,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(1048), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23053] = 8,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23126] = 6,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    ACTIONS(1064), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(61), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23195] = 6,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(3978), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23264] = 6,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(3972), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23333] = 22,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4241), 1,
      anon_sym_async,
    ACTIONS(4243), 1,
      anon_sym_static,
    ACTIONS(4245), 1,
      anon_sym_readonly,
    ACTIONS(4251), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4247), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4249), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5708), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5800), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4239), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23434] = 7,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    ACTIONS(3948), 1,
      anon_sym_RBRACK,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23505] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3978), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23574] = 6,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(3982), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23643] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3982), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23712] = 4,
    ACTIONS(4253), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1846), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1844), 40,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [23776] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [23844] = 21,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(595), 1,
      anon_sym_var,
    ACTIONS(4257), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_default,
    ACTIONS(4263), 1,
      anon_sym_RBRACE,
    ACTIONS(4265), 1,
      anon_sym_async,
    ACTIONS(4267), 1,
      anon_sym_function,
    ACTIONS(4269), 1,
      anon_sym_readonly,
    ACTIONS(4271), 1,
      anon_sym_property,
    ACTIONS(4273), 1,
      anon_sym_signal,
    ACTIONS(4275), 1,
      anon_sym_required,
    ACTIONS(4277), 1,
      anon_sym_component,
    ACTIONS(4279), 1,
      anon_sym_enum,
    STATE(1605), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3129), 1,
      sym__qml_enum_declaration,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1551), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(4259), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [23942] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1070), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24010] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4281), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24078] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1128), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24146] = 5,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24212] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1132), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24280] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1138), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24348] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24416] = 5,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24482] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24550] = 7,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24620] = 21,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(595), 1,
      anon_sym_var,
    ACTIONS(4257), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_default,
    ACTIONS(4265), 1,
      anon_sym_async,
    ACTIONS(4267), 1,
      anon_sym_function,
    ACTIONS(4269), 1,
      anon_sym_readonly,
    ACTIONS(4271), 1,
      anon_sym_property,
    ACTIONS(4273), 1,
      anon_sym_signal,
    ACTIONS(4275), 1,
      anon_sym_required,
    ACTIONS(4277), 1,
      anon_sym_component,
    ACTIONS(4279), 1,
      anon_sym_enum,
    ACTIONS(4285), 1,
      anon_sym_RBRACE,
    STATE(1605), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3129), 1,
      sym__qml_enum_declaration,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1548), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(4259), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [24718] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24786] = 21,
    ACTIONS(4289), 1,
      sym_identifier,
    ACTIONS(4295), 1,
      anon_sym_default,
    ACTIONS(4298), 1,
      anon_sym_RBRACE,
    ACTIONS(4300), 1,
      anon_sym_var,
    ACTIONS(4303), 1,
      anon_sym_async,
    ACTIONS(4306), 1,
      anon_sym_function,
    ACTIONS(4309), 1,
      anon_sym_AT,
    ACTIONS(4312), 1,
      anon_sym_readonly,
    ACTIONS(4315), 1,
      anon_sym_property,
    ACTIONS(4318), 1,
      anon_sym_signal,
    ACTIONS(4321), 1,
      anon_sym_required,
    ACTIONS(4324), 1,
      anon_sym_component,
    ACTIONS(4327), 1,
      anon_sym_enum,
    STATE(1605), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3129), 1,
      sym__qml_enum_declaration,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1542), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(4292), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [24884] = 5,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3773), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [24950] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4330), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25018] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1134), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25086] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4332), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25154] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25222] = 21,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(595), 1,
      anon_sym_var,
    ACTIONS(4257), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_default,
    ACTIONS(4265), 1,
      anon_sym_async,
    ACTIONS(4267), 1,
      anon_sym_function,
    ACTIONS(4269), 1,
      anon_sym_readonly,
    ACTIONS(4271), 1,
      anon_sym_property,
    ACTIONS(4273), 1,
      anon_sym_signal,
    ACTIONS(4275), 1,
      anon_sym_required,
    ACTIONS(4277), 1,
      anon_sym_component,
    ACTIONS(4279), 1,
      anon_sym_enum,
    ACTIONS(4334), 1,
      anon_sym_RBRACE,
    STATE(1605), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3129), 1,
      sym__qml_enum_declaration,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1542), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(4259), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [25320] = 4,
    ACTIONS(3156), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1808), 40,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [25384] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1072), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25452] = 21,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(595), 1,
      anon_sym_var,
    ACTIONS(4257), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_default,
    ACTIONS(4265), 1,
      anon_sym_async,
    ACTIONS(4267), 1,
      anon_sym_function,
    ACTIONS(4269), 1,
      anon_sym_readonly,
    ACTIONS(4271), 1,
      anon_sym_property,
    ACTIONS(4273), 1,
      anon_sym_signal,
    ACTIONS(4275), 1,
      anon_sym_required,
    ACTIONS(4277), 1,
      anon_sym_component,
    ACTIONS(4279), 1,
      anon_sym_enum,
    ACTIONS(4336), 1,
      anon_sym_RBRACE,
    STATE(1605), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3129), 1,
      sym__qml_enum_declaration,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    STATE(1542), 12,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
      aux_sym_ui_object_initializer_repeat1,
    ACTIONS(4259), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [25550] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1052), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25618] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4338), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25686] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25754] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4340), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25822] = 6,
    ACTIONS(3944), 1,
      anon_sym_EQ_GT,
    ACTIONS(4342), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25890] = 6,
    ACTIONS(59), 1,
      anon_sym_EQ_GT,
    ACTIONS(1136), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(61), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(67), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [25958] = 5,
    ACTIONS(4332), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [26023] = 5,
    ACTIONS(4342), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [26088] = 5,
    ACTIONS(4340), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [26153] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26246] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26339] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26432] = 4,
    ACTIONS(4372), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 13,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1808), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [26495] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1846), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1844), 40,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [26556] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26649] = 5,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [26714] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1862), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1860), 40,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [26775] = 5,
    ACTIONS(4338), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [26840] = 4,
    ACTIONS(4377), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1846), 13,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1844), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [26903] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26996] = 5,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [27061] = 5,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [27126] = 5,
    ACTIONS(4330), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [27191] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1862), 14,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1860), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [27252] = 19,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27345] = 5,
    ACTIONS(4281), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3773), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3769), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK_QMARK,
  [27410] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1846), 14,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1844), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_enum,
  [27471] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27557] = 17,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_STAR,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(4391), 1,
      anon_sym_async,
    ACTIONS(4395), 1,
      anon_sym_readonly,
    ACTIONS(4399), 1,
      sym__automatic_semicolon,
    STATE(2144), 1,
      sym_statement_block,
    STATE(2785), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27645] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27731] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4404), 1,
      anon_sym_static,
    ACTIONS(4406), 1,
      anon_sym_readonly,
    ACTIONS(4408), 1,
      anon_sym_abstract,
    ACTIONS(4410), 1,
      anon_sym_accessor,
    STATE(2439), 1,
      sym_accessibility_modifier,
    STATE(2884), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4402), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3745), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27817] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27901] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27987] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_static,
    ACTIONS(4422), 1,
      anon_sym_readonly,
    ACTIONS(4424), 1,
      anon_sym_abstract,
    ACTIONS(4426), 1,
      anon_sym_accessor,
    STATE(2498), 1,
      sym_accessibility_modifier,
    STATE(2871), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4418), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3686), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28073] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28159] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28245] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28329] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28413] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28497] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28583] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28667] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28751] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28870] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      anon_sym_static,
    ACTIONS(4444), 1,
      anon_sym_readonly,
    ACTIONS(4446), 1,
      anon_sym_abstract,
    ACTIONS(4448), 1,
      anon_sym_accessor,
    STATE(2858), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3691), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28951] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29030] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29109] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29228] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29307] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29386] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29505] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4452), 1,
      anon_sym_static,
    ACTIONS(4454), 1,
      anon_sym_readonly,
    ACTIONS(4456), 1,
      anon_sym_abstract,
    ACTIONS(4458), 1,
      anon_sym_accessor,
    STATE(2861), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [29586] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29705] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29824] = 29,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(595), 1,
      anon_sym_var,
    ACTIONS(4257), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_default,
    ACTIONS(4265), 1,
      anon_sym_async,
    ACTIONS(4267), 1,
      anon_sym_function,
    ACTIONS(4269), 1,
      anon_sym_readonly,
    ACTIONS(4271), 1,
      anon_sym_property,
    ACTIONS(4273), 1,
      anon_sym_signal,
    ACTIONS(4275), 1,
      anon_sym_required,
    ACTIONS(4277), 1,
      anon_sym_component,
    ACTIONS(4279), 1,
      anon_sym_enum,
    STATE(3075), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3093), 1,
      sym_variable_declaration,
    STATE(3094), 1,
      sym__qml_enum_declaration,
    STATE(3095), 1,
      sym_function_declaration,
    STATE(3100), 1,
      sym_ui_object_definition_binding,
    STATE(3127), 1,
      sym_ui_binding,
    STATE(3128), 1,
      sym_ui_property,
    STATE(3134), 1,
      sym_ui_required,
    STATE(3135), 1,
      sym_ui_signal,
    STATE(3136), 1,
      sym_generator_function_declaration,
    STATE(3140), 1,
      sym_ui_inline_component,
    STATE(3141), 1,
      sym_ui_object_definition,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(4680), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4164), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(4259), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [29935] = 16,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    STATE(2775), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30020] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30099] = 33,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [30218] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30297] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_STAR,
    ACTIONS(4466), 1,
      anon_sym_async,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    STATE(2825), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30377] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_async,
    ACTIONS(4410), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30453] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [30513] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30603] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30693] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30783] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(4484), 1,
      anon_sym_readonly,
    STATE(2772), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4482), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3368), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30863] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30953] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(4490), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4488), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3373), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31029] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31119] = 12,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4416), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31195] = 13,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31273] = 13,
    ACTIONS(900), 1,
      anon_sym_BQUOTE,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(4504), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(1862), 1,
      sym_type_arguments,
    STATE(1964), 1,
      sym_template_string,
    STATE(1985), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4496), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [31351] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      anon_sym_STAR,
    ACTIONS(4510), 1,
      anon_sym_async,
    ACTIONS(4514), 1,
      anon_sym_readonly,
    STATE(2780), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4516), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31431] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_STAR,
    ACTIONS(4520), 1,
      anon_sym_async,
    ACTIONS(4524), 1,
      anon_sym_readonly,
    STATE(2782), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4526), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31511] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4458), 1,
      anon_sym_abstract,
    ACTIONS(4518), 1,
      anon_sym_STAR,
    ACTIONS(4520), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4526), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31587] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4530), 1,
      anon_sym_async,
    ACTIONS(4534), 1,
      anon_sym_readonly,
    STATE(2795), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3378), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31667] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4530), 1,
      anon_sym_async,
    ACTIONS(4540), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4536), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4538), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31743] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4542), 1,
      anon_sym_STAR,
    ACTIONS(4544), 1,
      anon_sym_async,
    ACTIONS(4548), 1,
      anon_sym_readonly,
    STATE(2773), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4546), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4550), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31823] = 14,
    ACTIONS(69), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(4556), 1,
      anon_sym_RBRACE,
    STATE(5520), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4558), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5508), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6214), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4552), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31903] = 14,
    ACTIONS(69), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(4562), 1,
      anon_sym_RBRACE,
    STATE(5269), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4558), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5268), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6214), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4560), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [31983] = 19,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32073] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4564), 1,
      anon_sym_STAR,
    ACTIONS(4566), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4568), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4570), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3449), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32146] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32229] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4576), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4154), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32300] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      anon_sym_STAR,
    ACTIONS(4578), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4582), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3379), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32373] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32442] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32511] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1850), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(1852), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [32568] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1854), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(1856), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [32625] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32706] = 21,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2071), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4588), 1,
      anon_sym_RBRACE,
    ACTIONS(4590), 1,
      anon_sym_async,
    ACTIONS(4594), 1,
      anon_sym_static,
    ACTIONS(4596), 1,
      anon_sym_readonly,
    ACTIONS(4602), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    STATE(4981), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4592), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4598), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4600), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3972), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4980), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4584), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32799] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32882] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4604), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3363), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [32955] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33024] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33093] = 29,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    ACTIONS(4606), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [33202] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33283] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4608), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4610), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4612), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4142), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33354] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33437] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4614), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4616), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4186), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33508] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4618), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33581] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33650] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33719] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4564), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4620), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4622), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33790] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33871] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4628), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4210), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [33942] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34025] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4387), 1,
      anon_sym_STAR,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4103), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34096] = 30,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4428), 1,
      anon_sym_STAR,
    ACTIONS(4430), 1,
      anon_sym_default,
    ACTIONS(4432), 1,
      anon_sym_type,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4436), 1,
      anon_sym_as,
    ACTIONS(4438), 1,
      anon_sym_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4502), 1,
      sym_declaration,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    STATE(4784), 1,
      sym_export_clause,
    STATE(5838), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [34207] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4634), 1,
      anon_sym_STAR,
    ACTIONS(4636), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4638), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4640), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3392), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34280] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34349] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34420] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34489] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      anon_sym_STAR,
    ACTIONS(4510), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4516), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34562] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4642), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4644), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4096), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34633] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_STAR,
    ACTIONS(4466), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34706] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_STAR,
    ACTIONS(4520), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4526), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34779] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4634), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4646), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4648), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4137), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34850] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4506), 1,
      anon_sym_LT,
    ACTIONS(4654), 1,
      anon_sym_DOT,
    STATE(1776), 1,
      sym_arguments,
    STATE(1777), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4650), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4652), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34917] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4506), 1,
      anon_sym_LT,
    ACTIONS(4660), 1,
      anon_sym_DOT,
    STATE(1778), 1,
      sym_arguments,
    STATE(1779), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4658), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34984] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4664), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4166), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35055] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4666), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4670), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35126] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4672), 1,
      anon_sym_STAR,
    ACTIONS(4674), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4676), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4678), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35199] = 7,
    ACTIONS(4506), 1,
      anon_sym_LT,
    ACTIONS(4682), 1,
      anon_sym_DOT,
    ACTIONS(4684), 1,
      anon_sym_is,
    STATE(1889), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4680), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3857), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35264] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4688), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35335] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35416] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4692), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4694), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35487] = 12,
    ACTIONS(69), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4558), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5708), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6193), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6214), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4696), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35562] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4672), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4700), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4702), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35633] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4704), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4708), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4095), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35704] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35773] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35842] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4542), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4712), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4195), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35913] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4542), 1,
      anon_sym_STAR,
    ACTIONS(4544), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4546), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4550), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35986] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36069] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4716), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36140] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36209] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4718), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4720), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4722), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4253), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36280] = 9,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36349] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4718), 1,
      anon_sym_STAR,
    ACTIONS(4724), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4726), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3369), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36422] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_STAR,
    ACTIONS(4732), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4736), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36495] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_STAR,
    ACTIONS(4732), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4736), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4738), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3376), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36568] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_STAR,
    ACTIONS(4732), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4736), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4740), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36641] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4742), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4744), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36712] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4748), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4750), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4182), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36783] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      anon_sym_STAR,
    ACTIONS(4752), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4754), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4756), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3432), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36856] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_STAR,
    ACTIONS(4758), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4762), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3438), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36929] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37010] = 15,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37091] = 16,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37174] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4506), 1,
      anon_sym_LT,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    STATE(1772), 1,
      sym_arguments,
    STATE(1774), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3775), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37241] = 16,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37323] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37399] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4692), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37465] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4700), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37531] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4769), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4185), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37597] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4773), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [37653] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4095), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37719] = 5,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(4775), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1814), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37779] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4103), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37845] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37921] = 4,
    ACTIONS(4684), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4779), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37979] = 4,
    ACTIONS(4785), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38037] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4210), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38103] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38169] = 23,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(3994), 1,
      anon_sym_AT,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4787), 1,
      anon_sym_STAR,
    ACTIONS(4789), 1,
      anon_sym_async,
    ACTIONS(4793), 1,
      anon_sym_static,
    ACTIONS(4795), 1,
      anon_sym_readonly,
    ACTIONS(4799), 1,
      anon_sym_declare,
    ACTIONS(4801), 1,
      anon_sym_abstract,
    ACTIONS(4803), 1,
      anon_sym_accessor,
    STATE(2058), 1,
      sym_method_definition,
    STATE(2239), 1,
      sym_accessibility_modifier,
    STATE(2398), 1,
      aux_sym_export_statement_repeat1,
    STATE(2792), 1,
      sym_override_modifier,
    STATE(2851), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4791), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4797), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3358), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38265] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4154), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38331] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38397] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38473] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4805), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38539] = 4,
    ACTIONS(4684), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4809), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38597] = 17,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(2834), 1,
      sym_override_modifier,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38681] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4620), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38747] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3705), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(3707), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38803] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38879] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38945] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4610), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4142), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39011] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4614), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4186), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39077] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39143] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39201] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39267] = 9,
    ACTIONS(900), 1,
      anon_sym_BQUOTE,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(4504), 1,
      anon_sym_QMARK_DOT,
    STATE(1964), 1,
      sym_template_string,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [39335] = 19,
    ACTIONS(141), 1,
      anon_sym_STAR,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2071), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4819), 1,
      anon_sym_async,
    ACTIONS(4821), 1,
      anon_sym_static,
    ACTIONS(4823), 1,
      anon_sym_readonly,
    ACTIONS(4829), 1,
      anon_sym_override,
    STATE(2650), 1,
      sym_accessibility_modifier,
    STATE(2794), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4592), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4825), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4827), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3972), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5800), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4815), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39423] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1850), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(1852), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39479] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1854), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(1856), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39535] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3709), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(3711), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39591] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39667] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4646), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4137), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39733] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4720), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4253), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39799] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4742), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39865] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4748), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4182), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39931] = 13,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40007] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1790), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [40063] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4662), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4166), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40129] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4642), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4096), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40195] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4195), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40261] = 5,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(1759), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40321] = 6,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    STATE(1760), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4833), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40383] = 6,
    ACTIONS(4506), 1,
      anon_sym_LT,
    ACTIONS(4682), 1,
      anon_sym_DOT,
    STATE(1889), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4680), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3857), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40445] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3695), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(3697), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40501] = 4,
    ACTIONS(4783), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40558] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4841), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4843), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40619] = 6,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(4859), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4851), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4853), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40680] = 4,
    ACTIONS(4865), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4863), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40737] = 4,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40794] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4871), 1,
      anon_sym_readonly,
    STATE(2911), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40865] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4875), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40920] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4879), 1,
      anon_sym_readonly,
    STATE(2859), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4877), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3738), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4883), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41046] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4887), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41101] = 9,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4891), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4889), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3770), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41168] = 4,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41225] = 9,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4893), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41292] = 7,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41355] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_DOT,
    STATE(2072), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41416] = 4,
    ACTIONS(4899), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1844), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1846), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41473] = 5,
    ACTIONS(4905), 1,
      anon_sym_QMARK,
    ACTIONS(4907), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41532] = 4,
    ACTIONS(4775), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1814), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41589] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3346), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3348), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41644] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4909), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4911), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41699] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2439), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2441), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41754] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4907), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41809] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3352), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41864] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4913), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4915), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41919] = 5,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2072), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4919), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4923), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42088] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4927), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4931), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42198] = 7,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4933), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4936), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(1810), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1816), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42261] = 7,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4945), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4948), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(4939), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42324] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4953), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4955), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42379] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4959), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42434] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4963), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42489] = 5,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4967), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42548] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3815), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3817), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42658] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4969), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4971), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42713] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4969), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4971), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42774] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4973), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4975), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42829] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4977), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4979), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42884] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4981), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4983), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42939] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4987), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42994] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4991), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43049] = 4,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4993), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4995), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43106] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4997), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4999), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43161] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5001), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5003), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43216] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4809), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43271] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2449), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43326] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5005), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5007), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43381] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5011), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43436] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5015), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43491] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5019), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5015), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43601] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5019), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43656] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5023), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5027), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43766] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5023), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43821] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5027), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5031), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5035), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43986] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5031), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44041] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5035), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44096] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5039), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5043), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44206] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5045), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5047), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44267] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5051), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44322] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5055), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44377] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5055), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44438] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5059), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44499] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5061), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5063), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2445), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5067), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44670] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44725] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44780] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44835] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44910] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44965] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45020] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45075] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45130] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45185] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5083), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5087), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45295] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5091), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45350] = 13,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2437), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45480] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5095), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45535] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45645] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45700] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45865] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45920] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45975] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46030] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5111), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46085] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4779), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46140] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5113), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5115), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46201] = 14,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46278] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5119), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46337] = 6,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    ACTIONS(5123), 1,
      anon_sym_DOT,
    STATE(1971), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46398] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46459] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46520] = 6,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    ACTIONS(5125), 1,
      anon_sym_DOT,
    STATE(1971), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46581] = 4,
    ACTIONS(5131), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46638] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4859), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46693] = 4,
    ACTIONS(4855), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4859), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46750] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46805] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5135), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [46860] = 5,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(2016), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5139), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46919] = 5,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46978] = 4,
    ACTIONS(5145), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5143), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47035] = 4,
    ACTIONS(5148), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5143), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47092] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5151), 1,
      anon_sym_readonly,
    STATE(2861), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47163] = 9,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4458), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47230] = 5,
    ACTIONS(4873), 1,
      anon_sym_QMARK,
    ACTIONS(4875), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47289] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5155), 1,
      anon_sym_readonly,
    STATE(2893), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5153), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3675), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47360] = 9,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5159), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3680), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47427] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2453), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47482] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4837), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47543] = 5,
    ACTIONS(900), 1,
      anon_sym_BQUOTE,
    STATE(1964), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [47602] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5163), 1,
      anon_sym_readonly,
    STATE(2901), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5161), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3694), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47673] = 9,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5167), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5165), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47740] = 6,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(4847), 1,
      anon_sym_PIPE,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5169), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5171), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47801] = 4,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3775), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3354), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3356), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47913] = 15,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(2834), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47992] = 4,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5177), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5183), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48104] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(5185), 1,
      anon_sym_DOT,
    STATE(2072), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1794), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1798), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48165] = 12,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48238] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4951), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48293] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5191), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48348] = 4,
    ACTIONS(4845), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5193), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5195), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48405] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5117), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48460] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5199), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5203), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48625] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1948), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2004), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2006), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [48733] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48801] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5205), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3773), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48865] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48931] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48997] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49051] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5207), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3779), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49115] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5209), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3783), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49179] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5211), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3787), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49243] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5213), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3647), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49307] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5215), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3652), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49371] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49437] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49503] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5221), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49567] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5227), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [49677] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5269), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [49787] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5271), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3709), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49851] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5273), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3650), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49915] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5275), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [50025] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5277), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3759), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1974), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50143] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50209] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50275] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5279), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [50385] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5281), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [50495] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50579] = 4,
    ACTIONS(1826), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(5141), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_extends,
  [50635] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5287), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50709] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50807] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50907] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5287), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50987] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51079] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5292), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51133] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51227] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51323] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5287), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51401] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5287), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [51481] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51535] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1918), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51589] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5300), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51643] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51731] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51833] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5302), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [51943] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52053] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1928), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52107] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1934), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1938), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52161] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5306), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52271] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52381] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52491] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5312), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52601] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5314), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52765] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5316), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [52875] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [52941] = 6,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53001] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53067] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5324), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3728), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53131] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5326), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3641), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53195] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53265] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5332), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53337] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5339), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 21,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [53415] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5342), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [53525] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5348), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53595] = 12,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53667] = 6,
    ACTIONS(5199), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5351), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5354), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(5294), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5359), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53781] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1958), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53835] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5363), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53889] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5367), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53943] = 13,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5375), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5377), 1,
      anon_sym_LT,
    STATE(2303), 1,
      sym_type_arguments,
    STATE(2390), 1,
      sym_arguments,
    STATE(2460), 1,
      sym_template_string,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4496), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54017] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54083] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54149] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54203] = 4,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
    ACTIONS(5141), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_extends,
  [54259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1896), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1900), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1982), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1986), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54367] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [54437] = 4,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4939), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5379), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5269), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54547] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1976), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1978), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54601] = 4,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54657] = 4,
    ACTIONS(5383), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1844), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1846), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1862), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54821] = 6,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5390), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5395), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54935] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5399), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54989] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5403), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55043] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2000), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2002), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55097] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1964), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1968), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5407), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5411), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5415), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5419), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55367] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3646), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55431] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5425), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5281), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55539] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3661), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55603] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3668), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5435), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55721] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5439), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55775] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5443), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55829] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5445), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3689), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1996), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55947] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5449), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56001] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5302), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5455), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56109] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5457), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3702), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [56173] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56227] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2004), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2006), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56281] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1824), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1826), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56335] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5461), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56389] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5463), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5465), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56443] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5467), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5469), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56497] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2010), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56551] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1870), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56605] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1880), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56659] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5473), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5306), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5479), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56821] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5308), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56875] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5310), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56929] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5487), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1890), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5491), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5495), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57145] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [57211] = 9,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [57277] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1824), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1826), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [57331] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5497), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57384] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5501), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57437] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57490] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1862), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [57543] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5509), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57596] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5383), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5513), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57653] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5509), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57706] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57812] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5515), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57865] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5515), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57918] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5509), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [57971] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58024] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5509), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58130] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5519), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58183] = 5,
    ACTIONS(5527), 1,
      anon_sym_SEMI,
    ACTIONS(5530), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5525), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5523), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5534), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5532), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58293] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1972), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1974), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [58346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58399] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5497), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58452] = 7,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5515), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5497), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58619] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5540), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4939), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58676] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5544), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5542), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5548), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5546), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58782] = 7,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(5550), 1,
      anon_sym_DOT,
    ACTIONS(5552), 1,
      anon_sym_is,
    STATE(2358), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4680), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3857), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58843] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5497), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58896] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5554), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [58949] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1844), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1846), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59002] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5509), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5560), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5558), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59108] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5562), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [59217] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5497), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59270] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59323] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    ACTIONS(5566), 1,
      anon_sym_DOT,
    STATE(2783), 1,
      sym_arguments,
    STATE(5808), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3651), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3649), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59386] = 5,
    ACTIONS(5572), 1,
      anon_sym_SEMI,
    ACTIONS(5575), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5568), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59443] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59508] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5505), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59561] = 4,
    ACTIONS(5577), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1844), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1846), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59616] = 4,
    ACTIONS(5579), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1814), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5501), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59724] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5515), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59777] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5581), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59834] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5519), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59887] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5585), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5583), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [59993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2008), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2010), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60046] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5501), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60152] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1976), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1978), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60205] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(5587), 1,
      anon_sym_DOT,
    STATE(2375), 1,
      sym_arguments,
    STATE(2376), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3775), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60268] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(5589), 1,
      anon_sym_DOT,
    STATE(2377), 1,
      sym_arguments,
    STATE(2378), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4650), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4652), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60331] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(5591), 1,
      anon_sym_DOT,
    STATE(2250), 1,
      sym_type_arguments,
    STATE(2382), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4658), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5501), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60500] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5501), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60606] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60659] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5544), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5542), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60712] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5515), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60765] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2000), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2002), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60818] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5536), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60871] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5595), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5593), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [60924] = 7,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4945), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4948), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(4939), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60984] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5601), 1,
      anon_sym_LT,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [61060] = 18,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61142] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5316), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [61250] = 35,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(6394), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61366] = 4,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61420] = 14,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5662), 1,
      anon_sym_STAR,
    ACTIONS(5664), 1,
      anon_sym_async,
    ACTIONS(5668), 1,
      anon_sym_readonly,
    STATE(2812), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5670), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61494] = 4,
    ACTIONS(5552), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4809), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61548] = 6,
    ACTIONS(3936), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61606] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61668] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5672), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61724] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61782] = 6,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(5550), 1,
      anon_sym_DOT,
    STATE(2358), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4680), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3857), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61840] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5227), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [61948] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5269), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [62056] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5383), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5675), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62112] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5680), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5678), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [62164] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5684), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5682), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [62216] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [62324] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5684), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5682), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [62376] = 6,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3948), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62434] = 35,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(6365), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62550] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3709), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3711), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [62602] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5269), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [62710] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4773), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [62762] = 12,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5710), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62832] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5342), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [62940] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5279), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [63048] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5281), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [63156] = 18,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63238] = 13,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63310] = 25,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63406] = 26,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63504] = 7,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [63564] = 7,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [63624] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [63732] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63810] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5227), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [63918] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5279), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [64026] = 22,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64116] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [64224] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [64332] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5312), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [64440] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5314), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [64548] = 23,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64640] = 24,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64734] = 9,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5375), 1,
      anon_sym_QMARK_DOT,
    STATE(2460), 1,
      sym_template_string,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [64798] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64874] = 13,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5716), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64946] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5713), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [65024] = 25,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65120] = 26,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5721), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5719), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [65270] = 22,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65360] = 23,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65452] = 24,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65546] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5716), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65622] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5716), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [65700] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5725), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5723), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [65752] = 4,
    ACTIONS(5731), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5729), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65806] = 8,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2453), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65868] = 8,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5737), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4951), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65930] = 20,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66016] = 27,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66116] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5620), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66178] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5302), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [66286] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [66394] = 4,
    ACTIONS(5552), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4779), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66448] = 4,
    ACTIONS(5741), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66502] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5281), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [66610] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [66668] = 35,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5743), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(6355), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66784] = 11,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5745), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66852] = 20,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66938] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5748), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4939), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66994] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3957), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67052] = 27,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67152] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [67260] = 7,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5003), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67320] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [67428] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [67536] = 12,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5751), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67606] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5312), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [67714] = 35,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(6210), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67830] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [67906] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5342), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [68014] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5302), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [68122] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [68230] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5314), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [68338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3707), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [68390] = 35,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5759), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(6146), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68506] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1790), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [68558] = 11,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5761), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68626] = 5,
    ACTIONS(5377), 1,
      anon_sym_LT,
    STATE(2385), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68682] = 6,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5764), 1,
      anon_sym_DOT,
    STATE(2187), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4833), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68740] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [68848] = 7,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4933), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4936), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(1810), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1816), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68908] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5316), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [69016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3695), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3697), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [69068] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5716), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69146] = 9,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5540), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4887), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69260] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2449), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69311] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69362] = 17,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_async,
    ACTIONS(4410), 1,
      anon_sym_accessor,
    ACTIONS(5769), 1,
      anon_sym_static,
    ACTIONS(5771), 1,
      anon_sym_readonly,
    ACTIONS(5773), 1,
      anon_sym_declare,
    ACTIONS(5775), 1,
      anon_sym_abstract,
    STATE(2785), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [69441] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5005), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5007), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69543] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5071), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69594] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5777), 1,
      anon_sym_STAR,
    ACTIONS(5779), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5781), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5783), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [69661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3354), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3356), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69712] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5117), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69767] = 4,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69820] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5057), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5059), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69877] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5061), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5063), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69934] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5113), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5115), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4997), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4999), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70042] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5011), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5015), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70144] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5019), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70195] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4953), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4955), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70246] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5015), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70297] = 7,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70356] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5019), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70407] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4809), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70458] = 32,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5624), 1,
      anon_sym_GT,
    ACTIONS(5626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5630), 1,
      anon_sym_GT_GT,
    ACTIONS(5634), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_PIPE,
    ACTIONS(5642), 1,
      anon_sym_PERCENT,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_LT,
    ACTIONS(5654), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5656), 1,
      sym__ternary_qmark,
    ACTIONS(5793), 1,
      anon_sym_in,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5632), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5652), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5648), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5791), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [70567] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3815), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70618] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70669] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70720] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5075), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70771] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70822] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70873] = 5,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4967), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3691), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3689), 33,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [70979] = 4,
    ACTIONS(5145), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5143), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71032] = 4,
    ACTIONS(5148), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5143), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71085] = 6,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(3156), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71142] = 4,
    ACTIONS(5383), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71195] = 9,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5733), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5672), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4959), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71309] = 9,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5737), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5748), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71372] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71476] = 4,
    ACTIONS(4783), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4839), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71529] = 9,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5581), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5083), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5023), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71694] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5027), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71745] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5023), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71849] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4837), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4839), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71906] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5799), 1,
      anon_sym_COMMA,
    ACTIONS(5802), 1,
      anon_sym_RBRACE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72017] = 7,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4936), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(1810), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1816), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72076] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5087), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72127] = 17,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4530), 1,
      anon_sym_async,
    ACTIONS(5808), 1,
      anon_sym_static,
    ACTIONS(5810), 1,
      anon_sym_readonly,
    ACTIONS(5812), 1,
      anon_sym_declare,
    ACTIONS(5814), 1,
      anon_sym_abstract,
    ACTIONS(5816), 1,
      anon_sym_accessor,
    STATE(2766), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4536), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5806), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [72206] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5051), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72257] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5818), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5820), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5822), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4183), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [72322] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2065), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2063), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [72377] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [72432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5027), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72483] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4969), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4971), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72534] = 5,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(5579), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1814), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72589] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4969), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4971), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72646] = 7,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72705] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72809] = 9,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5824), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5826), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72872] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72923] = 10,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(2451), 1,
      anon_sym_QMARK,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72988] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4973), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4975), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73039] = 10,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5187), 1,
      anon_sym_QMARK,
    ACTIONS(5540), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5737), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73104] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5091), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73155] = 6,
    ACTIONS(5199), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5351), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5354), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(5294), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73212] = 5,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [73267] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4977), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4979), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73318] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5799), 1,
      anon_sym_COMMA,
    ACTIONS(5802), 1,
      anon_sym_RBRACE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73429] = 9,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5831), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5833), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73492] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5318), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5003), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73549] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73602] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5354), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5351), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5199), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73659] = 6,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5390), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73716] = 7,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73775] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4981), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4983), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73826] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5387), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4779), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73883] = 6,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73940] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5662), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5670), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [74005] = 9,
    ACTIONS(3936), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5003), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74068] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5662), 1,
      anon_sym_STAR,
    ACTIONS(5664), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5670), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [74135] = 9,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5841), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5824), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5838), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74198] = 7,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4951), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4948), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(4939), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74257] = 9,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(3946), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3948), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5003), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74320] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5055), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74371] = 4,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4939), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74424] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74475] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5845), 1,
      anon_sym_COMMA,
    ACTIONS(5848), 1,
      anon_sym_RBRACE,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74586] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2443), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2445), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74637] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3346), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3348), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74688] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74739] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4987), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74892] = 4,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74945] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75056] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75167] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3817), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2437), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75269] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5856), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [75376] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5067), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75427] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5037), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5039), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75478] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5043), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75529] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75640] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5860), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75751] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [75814] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5135), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75865] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5119), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75920] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5095), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75971] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76022] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5055), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76079] = 5,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2454), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5139), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76134] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76195] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5227), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [76302] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5269), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [76409] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5275), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [76516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4991), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76567] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76618] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5802), 1,
      anon_sym_RBRACE,
    ACTIONS(5900), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2453), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76780] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5099), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76831] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5279), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [76938] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5281), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [77045] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77126] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5903), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77197] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77292] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77389] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5903), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77466] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77555] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77646] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77739] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5903), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77814] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5903), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [77891] = 4,
    ACTIONS(5587), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3775), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77944] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3352), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78046] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5045), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5047), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78103] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78188] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78287] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5302), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78394] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5304), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78501] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5306), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78608] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78715] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78822] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5312), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [78929] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5314), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [79036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79087] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5316), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [79194] = 4,
    ACTIONS(5906), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5177), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79247] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5169), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5171), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79304] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5181), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5183), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79355] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5103), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79406] = 32,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79617] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5107), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79668] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5111), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4951), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5189), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5191), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79932] = 4,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5193), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5195), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79985] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5117), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5199), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80087] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4909), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4911), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80138] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5777), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5781), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5783), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80203] = 10,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5912), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5914), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5916), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4172), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5201), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5203), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80319] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5001), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5003), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80370] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5918), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [80439] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5921), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 18,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [80514] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5342), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [80621] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5924), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [80688] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4777), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4779), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80739] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5912), 1,
      anon_sym_STAR,
    ACTIONS(5927), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5914), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5916), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4172), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80806] = 4,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4993), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4995), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80859] = 4,
    ACTIONS(4875), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80912] = 6,
    ACTIONS(5785), 1,
      anon_sym_AMP,
    ACTIONS(5787), 1,
      anon_sym_PIPE,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4841), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4843), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80969] = 6,
    ACTIONS(4859), 1,
      anon_sym_extends,
    ACTIONS(5929), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4851), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4853), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81026] = 4,
    ACTIONS(5931), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4863), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81079] = 4,
    ACTIONS(5933), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5129), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81132] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2439), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(2441), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81183] = 4,
    ACTIONS(5929), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4869), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81236] = 7,
    ACTIONS(3825), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81295] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4907), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4913), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4915), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4919), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81448] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4923), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81499] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4875), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81550] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4859), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81601] = 33,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(4855), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81712] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81763] = 4,
    ACTIONS(5929), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4859), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4783), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4883), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81918] = 4,
    ACTIONS(4907), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81971] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5415), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82021] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5937), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82131] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4201), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [82191] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5419), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82241] = 4,
    ACTIONS(5941), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5729), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82293] = 7,
    ACTIONS(5943), 1,
      anon_sym_LPAREN,
    ACTIONS(5946), 1,
      anon_sym_COLON,
    ACTIONS(5948), 1,
      anon_sym_LT,
    ACTIONS(5951), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82351] = 7,
    ACTIONS(5001), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5318), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82409] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5824), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5826), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82463] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5953), 1,
      anon_sym_RBRACE,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82573] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5425), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82623] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5427), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5281), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82673] = 6,
    ACTIONS(5955), 1,
      anon_sym_AT,
    STATE(2398), 1,
      aux_sym_export_statement_repeat1,
    STATE(2851), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3671), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [82729] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(5448), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82839] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5824), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5838), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82893] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5791), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [82999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5435), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83049] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83155] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83265] = 7,
    ACTIONS(5962), 1,
      anon_sym_catch,
    ACTIONS(5964), 1,
      anon_sym_finally,
    STATE(2816), 1,
      sym_catch_clause,
    STATE(2953), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2579), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2577), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [83323] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5966), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5300), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83433] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5447), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5449), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83483] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5302), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5455), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83583] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5968), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [83689] = 6,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5390), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83745] = 5,
    ACTIONS(1970), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1966), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1964), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1968), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83799] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5292), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83849] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5461), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83899] = 9,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5970), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83961] = 32,
    ACTIONS(5227), 1,
      anon_sym_COMMA,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84069] = 5,
    ACTIONS(1872), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1870), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84123] = 5,
    ACTIONS(1882), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1880), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84177] = 5,
    ACTIONS(3334), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1890), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84231] = 5,
    ACTIONS(1902), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1898), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1896), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1900), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84285] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5976), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84395] = 7,
    ACTIONS(5978), 1,
      anon_sym_LPAREN,
    ACTIONS(5981), 1,
      anon_sym_COLON,
    ACTIONS(5983), 1,
      anon_sym_LT,
    ACTIONS(5986), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5401), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5403), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84453] = 5,
    ACTIONS(1920), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1916), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1918), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84507] = 5,
    ACTIONS(3338), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1926), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1928), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84561] = 5,
    ACTIONS(3340), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1936), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1934), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1938), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84615] = 5,
    ACTIONS(1950), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1946), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1948), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84669] = 5,
    ACTIONS(1960), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1956), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1958), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84723] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5914), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4172), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [84783] = 5,
    ACTIONS(3324), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1984), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1982), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1986), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84837] = 5,
    ACTIONS(1998), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1994), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1996), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84891] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5463), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5465), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84941] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5988), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5990), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84995] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5994), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85049] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5994), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85103] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5994), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85157] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5467), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5469), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85257] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4642), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4096), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [85317] = 13,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4452), 1,
      anon_sym_static,
    ACTIONS(4454), 1,
      anon_sym_readonly,
    ACTIONS(4456), 1,
      anon_sym_abstract,
    ACTIONS(4458), 1,
      anon_sym_accessor,
    STATE(2861), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [85387] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85437] = 6,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85493] = 8,
    ACTIONS(3881), 1,
      anon_sym_EQ,
    ACTIONS(5001), 1,
      anon_sym_QMARK,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5003), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1870), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85653] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1880), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85703] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5471), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5473), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85753] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85803] = 4,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85855] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5479), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85905] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5310), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86005] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5487), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1890), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5491), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5495), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86205] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4195), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [86265] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5359), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86365] = 6,
    ACTIONS(5351), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5354), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(5294), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86421] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86471] = 7,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3775), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86529] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5117), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86583] = 7,
    ACTIONS(5197), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5354), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5351), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86641] = 8,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5003), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86701] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5996), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86811] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5367), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86861] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1896), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1900), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5439), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86961] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5441), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5443), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87011] = 4,
    ACTIONS(5941), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5729), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [87063] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1966), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1964), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1968), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87115] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5791), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87221] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(5998), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87331] = 32,
    ACTIONS(5227), 1,
      anon_sym_COMMA,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(5610), 1,
      anon_sym_GT_GT,
    ACTIONS(5616), 1,
      anon_sym_PERCENT,
    ACTIONS(5618), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5692), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5696), 1,
      anon_sym_CARET,
    ACTIONS(5698), 1,
      anon_sym_PIPE,
    ACTIONS(5706), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5708), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5608), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5614), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5688), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5702), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5704), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5700), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87439] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1868), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1870), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87491] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1880), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87543] = 5,
    ACTIONS(6000), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1888), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1890), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87597] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1896), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1900), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87649] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5781), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [87709] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1916), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1918), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87761] = 5,
    ACTIONS(6002), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1926), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1928), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87815] = 5,
    ACTIONS(6004), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1936), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1934), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1938), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87869] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1948), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87921] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1958), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87973] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6006), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88083] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6008), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6010), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88137] = 5,
    ACTIONS(6012), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1984), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1982), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1986), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88191] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1994), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1996), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88243] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6014), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6016), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88297] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6014), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6016), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88351] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6014), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6016), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88405] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4154), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [88465] = 6,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5318), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88521] = 7,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88579] = 6,
    ACTIONS(5199), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5354), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5351), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88635] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5379), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5269), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88685] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4805), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [88745] = 13,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6020), 1,
      anon_sym_static,
    ACTIONS(6022), 1,
      anon_sym_readonly,
    ACTIONS(6024), 1,
      anon_sym_abstract,
    ACTIONS(6026), 1,
      anon_sym_accessor,
    STATE(2892), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6018), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3642), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [88815] = 8,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2453), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88875] = 8,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(5540), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88935] = 7,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4936), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(1810), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1816), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88993] = 7,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4951), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4948), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(4939), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89051] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1918), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5300), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1928), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89201] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1934), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1938), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89251] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4620), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [89311] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(5397), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89421] = 8,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(6030), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89481] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5227), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89587] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5269), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89693] = 7,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [89751] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5279), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89857] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5281), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89963] = 18,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90043] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    STATE(5502), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90153] = 13,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6068), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90223] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6071), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90333] = 25,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90427] = 26,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90523] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6068), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90599] = 22,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90687] = 23,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90777] = 24,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90869] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6068), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90943] = 16,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6068), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [91019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1948), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91069] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1958), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91119] = 20,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91203] = 27,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91301] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5302), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91407] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5304), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5363), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91563] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5306), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91669] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5308), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91775] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5310), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91881] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5312), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91987] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5314), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92093] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6073), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92203] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5316), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92309] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6075), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92419] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92529] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92639] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6081), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92749] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92859] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6085), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92969] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93079] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6089), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93189] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5820), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4183), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93249] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6091), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5300), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93359] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6093), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6095), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93413] = 4,
    ACTIONS(3865), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93465] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4720), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4253), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93525] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93585] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6097), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5050), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93695] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6099), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4099), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [93755] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6101), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93865] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6103), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93975] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6105), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94085] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6107), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94195] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5395), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94245] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1982), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1986), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94295] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4748), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4182), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94355] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6109), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5177), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5399), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1996), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94565] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5831), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94619] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6111), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94729] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6113), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94839] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5253), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94949] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95059] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6119), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6121), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95113] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4203), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95173] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6125), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [95279] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5293), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95389] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5403), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95439] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6129), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5306), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95549] = 33,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(6131), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5319), 1,
      aux_sym_array_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95659] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4210), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95719] = 12,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6133), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95787] = 15,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6136), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [95861] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5342), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95967] = 11,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(6139), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96033] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4662), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4166), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96093] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6142), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96203] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4692), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96263] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6144), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96373] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4700), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96433] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4095), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96493] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6146), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96553] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6148), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96663] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6150), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96773] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96833] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6152), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96943] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6154), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97053] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6156), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97163] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6158), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97273] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6160), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97383] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1964), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1968), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97433] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6162), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97543] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5864), 1,
      anon_sym_LT,
    ACTIONS(5870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_GT_GT,
    ACTIONS(5878), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_PERCENT,
    ACTIONS(5888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5898), 1,
      sym__ternary_qmark,
    STATE(1943), 1,
      sym_arguments,
    STATE(2800), 1,
      sym_type_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5868), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6164), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [97649] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5407), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97699] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5411), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97809] = 33,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    ACTIONS(6166), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(3885), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97919] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4742), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [97979] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4646), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4137), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98039] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4610), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4142), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98099] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6168), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4144), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98159] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4147), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98219] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5275), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98325] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6180), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98400] = 7,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3775), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98457] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5117), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98510] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      anon_sym_RBRACE,
    STATE(4978), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6185), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4704), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [98571] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6187), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98676] = 6,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(5540), 1,
      anon_sym_of,
    ACTIONS(6189), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4939), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98731] = 6,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(5581), 1,
      anon_sym_of,
    ACTIONS(6192), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1810), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98786] = 6,
    ACTIONS(5383), 1,
      anon_sym_EQ,
    ACTIONS(5513), 1,
      anon_sym_of,
    ACTIONS(6195), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98841] = 6,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98896] = 6,
    ACTIONS(5351), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5354), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(5294), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98951] = 6,
    ACTIONS(5383), 1,
      anon_sym_EQ,
    ACTIONS(5513), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99006] = 6,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5390), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99061] = 7,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(2453), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4933), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4936), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1810), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99118] = 7,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(4951), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4945), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4939), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99175] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99280] = 11,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3149), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6415), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(3108), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99345] = 11,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3149), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6263), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(2627), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99410] = 4,
    ACTIONS(5731), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(5729), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [99461] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5151), 1,
      anon_sym_readonly,
    ACTIONS(6198), 1,
      anon_sym_STAR,
    STATE(2788), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6200), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6202), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99528] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6204), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99633] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_RBRACE,
    STATE(5514), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6208), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4720), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99694] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [99745] = 32,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6210), 1,
      anon_sym_SEMI,
    ACTIONS(6212), 1,
      sym__automatic_semicolon,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99852] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99913] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [99974] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6220), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100035] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100096] = 5,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4114), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100149] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100254] = 7,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100311] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100372] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100433] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(6230), 1,
      anon_sym_static,
    STATE(2775), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100504] = 31,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6232), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100609] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_RBRACE,
    STATE(5061), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6236), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4549), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100670] = 32,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6238), 1,
      anon_sym_SEMI,
    ACTIONS(6240), 1,
      sym__automatic_semicolon,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100777] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100838] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100899] = 14,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(2395), 1,
      anon_sym_override,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(6246), 1,
      anon_sym_static,
    STATE(2834), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [100970] = 14,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_STAR,
    ACTIONS(4466), 1,
      anon_sym_async,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(6248), 1,
      anon_sym_static,
    STATE(2825), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101041] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101102] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [101163] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101222] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5227), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101327] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5269), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101432] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5275), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101537] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5279), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101642] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5281), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101747] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101826] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6290), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101895] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101988] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102083] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6290), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102158] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102245] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102334] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102425] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6290), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102498] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6290), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [102573] = 7,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102630] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102713] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102810] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5302), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102915] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5304), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103020] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5306), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103125] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5308), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103230] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5310), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103335] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5312), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103440] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5314), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103545] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5316), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103650] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(6293), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103709] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5227), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103814] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5269), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103919] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5275), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104024] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5279), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104129] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5281), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104234] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104313] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6180), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104382] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104475] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104570] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104675] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5221), 1,
      anon_sym_LT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5237), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5239), 1,
      anon_sym_GT_GT,
    ACTIONS(5243), 1,
      anon_sym_AMP,
    ACTIONS(5245), 1,
      anon_sym_CARET,
    ACTIONS(5247), 1,
      anon_sym_PIPE,
    ACTIONS(5251), 1,
      anon_sym_PERCENT,
    ACTIONS(5253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5267), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5231), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5241), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5249), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5257), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5259), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5255), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104780] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104869] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104960] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6180), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105033] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6180), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [105108] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105191] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105288] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5302), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105393] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5304), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105498] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5306), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105603] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5308), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105708] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5310), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105813] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5312), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105918] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5314), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106023] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5316), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106128] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [106179] = 6,
    ACTIONS(4941), 1,
      anon_sym_EQ,
    ACTIONS(5540), 1,
      anon_sym_COMMA,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4939), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4943), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106234] = 6,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1810), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1816), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106289] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(6321), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106348] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5227), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106453] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5269), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106558] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5275), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106663] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5279), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106768] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5281), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106873] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106952] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107021] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107114] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107209] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107284] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107371] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107460] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107551] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107624] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [107699] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107782] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107879] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5302), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107984] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5304), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108089] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5306), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108194] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5308), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108299] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5310), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108404] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5312), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108509] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5314), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108614] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5316), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108719] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [108780] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [108841] = 6,
    ACTIONS(5383), 1,
      anon_sym_EQ,
    ACTIONS(5513), 1,
      anon_sym_COMMA,
    ACTIONS(5675), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5385), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108896] = 7,
    ACTIONS(4777), 1,
      anon_sym_QMARK,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5387), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108953] = 7,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5003), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5318), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109010] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109061] = 6,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109116] = 11,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3149), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6263), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    STATE(3108), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [109181] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109232] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6364), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109299] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6367), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 16,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [109372] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109477] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6370), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109542] = 12,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(3749), 1,
      anon_sym_override,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6373), 1,
      anon_sym_STAR,
    ACTIONS(6377), 1,
      anon_sym_readonly,
    STATE(2787), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6375), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6379), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3357), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [109609] = 32,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_as,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(5606), 1,
      anon_sym_satisfies,
    ACTIONS(6030), 1,
      anon_sym_LT,
    ACTIONS(6036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6040), 1,
      anon_sym_GT_GT,
    ACTIONS(6044), 1,
      anon_sym_AMP,
    ACTIONS(6046), 1,
      anon_sym_CARET,
    ACTIONS(6048), 1,
      anon_sym_PIPE,
    ACTIONS(6052), 1,
      anon_sym_PERCENT,
    ACTIONS(6054), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6062), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6064), 1,
      sym__ternary_qmark,
    ACTIONS(6381), 1,
      anon_sym_SEMI,
    ACTIONS(6383), 1,
      sym__automatic_semicolon,
    STATE(2217), 1,
      sym_type_arguments,
    STATE(2440), 1,
      sym_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6032), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6034), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6042), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6050), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6058), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6060), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6056), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109716] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6385), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109783] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6388), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 16,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [109856] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109961] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6391), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110026] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6394), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110093] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6397), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 16,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [110166] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5342), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6325), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110271] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6400), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110336] = 7,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110393] = 4,
    ACTIONS(3951), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [110444] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110531] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6403), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110635] = 6,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    ACTIONS(3948), 1,
      anon_sym_RBRACK,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110689] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    ACTIONS(6405), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110793] = 6,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5003), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110847] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(6409), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6407), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110911] = 6,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4779), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110965] = 8,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(6411), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5217), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5219), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111023] = 6,
    ACTIONS(5351), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5354), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5199), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5294), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5296), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111077] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5455), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6416), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111127] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5279), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111231] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_STAR,
    ACTIONS(4732), 1,
      anon_sym_async,
    ACTIONS(6455), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4736), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6453), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3377), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111295] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4564), 1,
      anon_sym_STAR,
    ACTIONS(4566), 1,
      anon_sym_async,
    ACTIONS(6457), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4568), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4570), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3449), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111359] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6254), 1,
      anon_sym_LT,
    ACTIONS(6260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6264), 1,
      anon_sym_GT_GT,
    ACTIONS(6268), 1,
      anon_sym_AMP,
    ACTIONS(6270), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      anon_sym_PIPE,
    ACTIONS(6276), 1,
      anon_sym_PERCENT,
    ACTIONS(6278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6286), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6288), 1,
      sym__ternary_qmark,
    ACTIONS(6459), 1,
      anon_sym_RBRACK,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6266), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6274), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6282), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6284), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6280), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111463] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      anon_sym_STAR,
    ACTIONS(4510), 1,
      anon_sym_async,
    ACTIONS(4514), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4516), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111527] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3681), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3679), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [111575] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5281), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3663), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3661), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [111727] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5227), 1,
      anon_sym_BQUOTE,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111831] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      anon_sym_STAR,
    ACTIONS(4758), 1,
      anon_sym_async,
    ACTIONS(6461), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4762), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3438), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111895] = 18,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111973] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      anon_sym_STAR,
    ACTIONS(4578), 1,
      anon_sym_async,
    ACTIONS(6463), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4582), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3379), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3667), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3665), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [112085] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6465), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112189] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_STAR,
    ACTIONS(4520), 1,
      anon_sym_async,
    ACTIONS(4524), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4526), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112253] = 13,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6467), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112321] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4769), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6470), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4185), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112381] = 9,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(6472), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4805), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6474), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112441] = 25,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112533] = 26,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112627] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6467), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5285), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112701] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4528), 1,
      anon_sym_STAR,
    ACTIONS(4530), 1,
      anon_sym_async,
    ACTIONS(6478), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4536), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6476), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3360), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112765] = 22,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5285), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112851] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(2386), 1,
      anon_sym_async,
    ACTIONS(2391), 1,
      anon_sym_readonly,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2393), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112915] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4478), 1,
      anon_sym_STAR,
    ACTIONS(4480), 1,
      anon_sym_async,
    ACTIONS(6482), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6480), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3365), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112979] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6484), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2006), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_AT,
    ACTIONS(2004), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [113131] = 23,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113219] = 24,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113309] = 6,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6486), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4967), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [113363] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6467), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5285), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113435] = 16,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6467), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5285), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5283), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [113509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1826), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_AT,
    ACTIONS(1824), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [113557] = 7,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5321), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
    ACTIONS(3769), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3773), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113613] = 20,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5285), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5283), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113695] = 27,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5285), 1,
      anon_sym_BANG,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5283), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113791] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5302), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3709), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [113943] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5304), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114047] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3705), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [114095] = 6,
    ACTIONS(4779), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5387), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5390), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3769), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114149] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5912), 1,
      anon_sym_STAR,
    ACTIONS(5927), 1,
      anon_sym_async,
    ACTIONS(6488), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5914), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5916), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4172), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [114213] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5306), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114317] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1948), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6493), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114367] = 32,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5791), 1,
      anon_sym_of,
    ACTIONS(6321), 1,
      anon_sym_LT,
    ACTIONS(6325), 1,
      anon_sym_GT,
    ACTIONS(6327), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6329), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6331), 1,
      anon_sym_GT_GT,
    ACTIONS(6335), 1,
      anon_sym_AMP,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_PIPE,
    ACTIONS(6343), 1,
      anon_sym_PERCENT,
    ACTIONS(6345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6355), 1,
      sym__ternary_qmark,
    ACTIONS(6496), 1,
      anon_sym_in,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6333), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6341), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6349), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6351), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114473] = 5,
    ACTIONS(5964), 1,
      anon_sym_finally,
    STATE(2963), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2636), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2634), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [114525] = 6,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_DOT,
    STATE(2978), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1794), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [114579] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5269), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114683] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6504), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114733] = 6,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    STATE(2978), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1794), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [114787] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1958), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6509), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6512), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114837] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6515), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114941] = 15,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6517), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5335), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5337), 15,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [115013] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6520), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6523), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115063] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4542), 1,
      anon_sym_STAR,
    ACTIONS(4544), 1,
      anon_sym_async,
    ACTIONS(4548), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4546), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4550), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115127] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5342), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115231] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5316), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115335] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5308), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115439] = 11,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6526), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5344), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5346), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115503] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6529), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115607] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5310), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115711] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5312), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115815] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2059), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2057), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115865] = 11,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5662), 1,
      anon_sym_STAR,
    ACTIONS(5664), 1,
      anon_sym_async,
    ACTIONS(5668), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5670), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115929] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6531), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3651), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3649), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [116081] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_STAR,
    ACTIONS(4466), 1,
      anon_sym_async,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [116145] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6533), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116249] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_STAR,
    ACTIONS(4391), 1,
      anon_sym_async,
    ACTIONS(4395), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [116313] = 11,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4344), 1,
      anon_sym_STAR,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4358), 1,
      anon_sym_async,
    ACTIONS(4362), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4360), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [116377] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116427] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3695), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [116475] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4901), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4903), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116525] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    STATE(5642), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4903), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [116583] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5275), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116687] = 4,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116737] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6535), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116841] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1900), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6537), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6540), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116891] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5439), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6546), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116941] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5443), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6549), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(6552), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3685), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3683), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
      anon_sym_accessor,
  [117039] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5314), 1,
      anon_sym_BQUOTE,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117143] = 31,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6176), 1,
      anon_sym_PERCENT,
    ACTIONS(6178), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6293), 1,
      anon_sym_LT,
    ACTIONS(6297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6301), 1,
      anon_sym_GT_GT,
    ACTIONS(6305), 1,
      anon_sym_AMP,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_PIPE,
    ACTIONS(6317), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6319), 1,
      sym__ternary_qmark,
    ACTIONS(6555), 1,
      anon_sym_COLON,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6172), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6303), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6315), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6311), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117247] = 12,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6557), 1,
      anon_sym_LT,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5328), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(5330), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117313] = 4,
    ACTIONS(3980), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117362] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6560), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3699), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117417] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2646), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2644), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [117464] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6564), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6562), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3701), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117521] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6566), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3663), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117578] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6570), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3690), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117633] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4871), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117690] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4748), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4182), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117745] = 30,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5229), 1,
      anon_sym_BANG,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(1785), 1,
      sym_type_arguments,
    STATE(1943), 1,
      sym_arguments,
    STATE(5347), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117846] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6574), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6572), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3684), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117903] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4201), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117958] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6576), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(6578), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118005] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4195), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118060] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5820), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4183), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118115] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6582), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6580), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3638), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118172] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3639), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118227] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6586), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3645), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118284] = 4,
    ACTIONS(3338), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1926), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1922), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118333] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5666), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4216), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118388] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4203), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118443] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118498] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4642), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4096), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118553] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6590), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3687), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2676), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2674), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118655] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6592), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(6594), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118702] = 4,
    ACTIONS(3340), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1936), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1932), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118751] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4626), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4210), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118806] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118861] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6596), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(6598), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [118908] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5151), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118965] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119020] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4103), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119075] = 6,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(4230), 1,
      anon_sym_in,
    ACTIONS(4233), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119128] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4662), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4166), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119183] = 4,
    ACTIONS(3334), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1888), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1884), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [119232] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4769), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4185), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119287] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4692), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4223), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119342] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6602), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6600), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3688), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119399] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6606), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6604), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119456] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4700), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119511] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4805), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119566] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6608), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3785), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119621] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4095), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119676] = 5,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2978), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1794), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [119727] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6146), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119782] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5781), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119837] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6612), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6610), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119894] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6614), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3788), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119949] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4720), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4253), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120004] = 4,
    ACTIONS(3976), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120053] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6616), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3703), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120110] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6620), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3692), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120165] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6622), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3704), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120220] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4620), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120275] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4402), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3745), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120330] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120385] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6624), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3646), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120442] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2672), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2670), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [120489] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6626), 5,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AT,
    ACTIONS(6628), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [120536] = 30,
    ACTIONS(5225), 1,
      anon_sym_as,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5265), 1,
      anon_sym_satisfies,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5599), 1,
      anon_sym_BANG,
    ACTIONS(6411), 1,
      anon_sym_LT,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6427), 1,
      anon_sym_GT_GT,
    ACTIONS(6431), 1,
      anon_sym_AMP,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_PIPE,
    ACTIONS(6439), 1,
      anon_sym_PERCENT,
    ACTIONS(6441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6449), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6451), 1,
      sym__ternary_qmark,
    STATE(2440), 1,
      sym_arguments,
    STATE(3041), 1,
      sym_type_arguments,
    STATE(5231), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5263), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6447), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6443), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [120637] = 4,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120686] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3646), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120741] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6099), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4099), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120796] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120851] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6630), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2656), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [120900] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6634), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6632), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3693), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [120957] = 4,
    ACTIONS(5731), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5729), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [121006] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4614), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4186), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121061] = 4,
    ACTIONS(3324), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1984), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1980), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [121110] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2642), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2640), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [121157] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121212] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4121), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121267] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5914), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4172), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121322] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4742), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4130), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121377] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4646), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4137), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121432] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3695), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121487] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4610), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4142), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121542] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6168), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4144), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121597] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4147), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121652] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6638), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3664), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121707] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6640), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3698), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3723), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121764] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4154), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2381), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [121819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2654), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2652), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [121866] = 4,
    ACTIONS(3320), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1994), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1990), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [121914] = 4,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121962] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2862), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2860), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122008] = 4,
    ACTIONS(3330), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1864), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2982), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2980), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3006), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3004), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122148] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2650), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2648), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1852), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1850), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2930), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2928), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122286] = 5,
    ACTIONS(6644), 1,
      anon_sym_else,
    STATE(2949), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2666), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2664), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122336] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2938), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2936), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2978), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2976), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3010), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3008), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122474] = 4,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122522] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2998), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2996), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122568] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2946), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2944), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122614] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2850), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2848), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122660] = 4,
    ACTIONS(4342), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122708] = 4,
    ACTIONS(4330), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122756] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3014), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3012), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122802] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2894), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2892), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122848] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2990), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2988), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122894] = 4,
    ACTIONS(3164), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1916), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1912), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [122942] = 4,
    ACTIONS(4332), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122990] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2974), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2972), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2994), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2992), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123082] = 4,
    ACTIONS(4281), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123130] = 4,
    ACTIONS(4340), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123178] = 5,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(1910), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [123228] = 4,
    ACTIONS(3342), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1946), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1942), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123276] = 4,
    ACTIONS(3332), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1874), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123324] = 4,
    ACTIONS(3344), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1956), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1952), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123372] = 4,
    ACTIONS(3336), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1898), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1894), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123420] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1856), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1854), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123466] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2010), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2008), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123512] = 4,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2002), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2000), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123606] = 4,
    ACTIONS(3328), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1966), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1962), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123654] = 4,
    ACTIONS(4338), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(3773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123702] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3002), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3000), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_while,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123748] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1978), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1976), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123793] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2966), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2964), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123883] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2682), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2680), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [123973] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3050), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3048), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124018] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124063] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124108] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124153] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1974), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1972), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124198] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3040), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124243] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3062), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3060), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124288] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3066), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3064), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124333] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3066), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3064), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124378] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2451), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124423] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3070), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3068), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124468] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3078), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3076), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3082), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3080), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2742), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2740), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2942), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2940), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124648] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2439), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124693] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2744), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124738] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2744), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2447), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124828] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2744), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2443), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124918] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2435), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [124963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2858), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2856), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2890), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2888), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125053] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2898), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2896), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125098] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2910), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2908), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2934), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2932), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125188] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2002), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2000), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2010), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2008), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125278] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2968), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125323] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2968), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2986), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2984), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125413] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2962), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2960), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1904), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125503] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3018), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3016), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125548] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3022), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3020), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125593] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3022), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3020), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125638] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3046), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3044), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125683] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3054), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3052), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3074), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3072), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2690), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2688), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125818] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2690), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2688), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125863] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2694), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2692), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125908] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2698), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2696), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125953] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2702), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2700), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [125998] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2704), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126043] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2704), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126088] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2704), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126133] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2854), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2852), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2710), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2708), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126223] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2714), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2712), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2716), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2722), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2720), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126358] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2726), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2724), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2730), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2728), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126448] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2730), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2728), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2734), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2732), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2738), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2736), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126583] = 5,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(4967), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [126632] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(1904), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126677] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2750), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2748), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2752), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2752), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126812] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2758), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2756), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126857] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2762), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2760), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126902] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2766), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2764), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126947] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2770), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2768), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [126992] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2774), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2772), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2778), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2776), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127082] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2782), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2780), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2786), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2784), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127172] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3026), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3024), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127217] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2790), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2788), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127262] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2794), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2792), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127307] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2798), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2796), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127352] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3030), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3028), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2802), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2800), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127442] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2804), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127487] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2810), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2808), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127532] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3034), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3032), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127577] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2814), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2812), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127622] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2818), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2816), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2822), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2820), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127712] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2826), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2824), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127757] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2830), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2828), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127802] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2834), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2832), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127847] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2838), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2836), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127892] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2842), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2840), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127937] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2846), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2844), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [127982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3036), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128027] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3086), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3084), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128072] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2686), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2684), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128117] = 5,
    ACTIONS(6648), 1,
      anon_sym_AT,
    STATE(3075), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3150), 1,
      sym_ui_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6646), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128166] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2866), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2864), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2870), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2868), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128256] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2874), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2872), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128301] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2878), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2876), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2882), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2880), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2886), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2884), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128436] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2902), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2900), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128481] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2906), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2904), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128526] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2914), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2912), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128571] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2918), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2916), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2922), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2920), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2926), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2924), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128706] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2950), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2948), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2954), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2952), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128796] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2958), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(2956), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3058), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(3056), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6653), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6651), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128974] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6661), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6659), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129018] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6665), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6663), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129106] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6669), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6667), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129150] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6673), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6671), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6677), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6675), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129238] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129282] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6681), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6679), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129326] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6685), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6683), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6689), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6687), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6693), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6691), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6697), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6695), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129502] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6701), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6699), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6705), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6703), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129590] = 6,
    ACTIONS(6709), 1,
      anon_sym_import,
    ACTIONS(6712), 1,
      anon_sym_AT,
    ACTIONS(6714), 1,
      anon_sym_pragma,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3108), 3,
      sym_ui_pragma,
      sym_ui_import,
      aux_sym_program_repeat1,
    ACTIONS(6707), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129640] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6719), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6717), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129684] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6723), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6721), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6727), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6725), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129772] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6731), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6729), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6735), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6733), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129860] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6739), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6737), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129904] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6743), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6741), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6747), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6745), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [129992] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6751), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6749), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6755), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6753), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6759), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6757), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130124] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6761), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130168] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6765), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130212] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6771), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6769), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130256] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6775), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6773), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130300] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6779), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6777), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130344] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6783), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6781), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130388] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6787), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6785), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130476] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130520] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6791), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6789), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130564] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6795), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6793), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6799), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6797), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130652] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6803), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6801), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130696] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6807), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6805), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130740] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130828] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130872] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6811), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6809), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6815), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6813), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [130960] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6819), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6817), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131004] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131048] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6655), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131092] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6823), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6821), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131136] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6827), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6825), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131180] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6831), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6829), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131224] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6835), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6833), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    ACTIONS(6837), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131312] = 10,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      sym_identifier,
    ACTIONS(6845), 1,
      anon_sym_default,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(6854), 1,
      anon_sym_on,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6851), 3,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
    ACTIONS(6843), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_signal,
      anon_sym_component,
  [131369] = 3,
    ACTIONS(6858), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6856), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131412] = 8,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_AT,
    STATE(3075), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(3150), 1,
      sym_ui_annotation,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    STATE(6123), 1,
      sym_ui_object_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131465] = 3,
    ACTIONS(6862), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6860), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [131508] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2471), 1,
      anon_sym_namespace,
    ACTIONS(2473), 1,
      anon_sym_import,
    ACTIONS(2475), 1,
      anon_sym_var,
    ACTIONS(2477), 1,
      anon_sym_let,
    ACTIONS(2479), 1,
      anon_sym_const,
    ACTIONS(2481), 1,
      anon_sym_class,
    ACTIONS(2483), 1,
      anon_sym_async,
    ACTIONS(2485), 1,
      anon_sym_function,
    ACTIONS(2487), 1,
      anon_sym_declare,
    ACTIONS(2489), 1,
      anon_sym_module,
    ACTIONS(2491), 1,
      anon_sym_abstract,
    ACTIONS(2493), 1,
      anon_sym_interface,
    ACTIONS(2495), 1,
      anon_sym_enum,
    ACTIONS(2559), 1,
      anon_sym_type,
    ACTIONS(6864), 1,
      anon_sym_default,
    STATE(1234), 1,
      sym_decorator,
    STATE(2979), 1,
      sym_declaration,
    STATE(3016), 1,
      sym_internal_module,
    STATE(4690), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3042), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131588] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2407), 1,
      anon_sym_namespace,
    ACTIONS(2411), 1,
      anon_sym_import,
    ACTIONS(2413), 1,
      anon_sym_var,
    ACTIONS(2415), 1,
      anon_sym_let,
    ACTIONS(2417), 1,
      anon_sym_const,
    ACTIONS(2419), 1,
      anon_sym_class,
    ACTIONS(2421), 1,
      anon_sym_async,
    ACTIONS(2423), 1,
      anon_sym_function,
    ACTIONS(2425), 1,
      anon_sym_declare,
    ACTIONS(2427), 1,
      anon_sym_module,
    ACTIONS(2429), 1,
      anon_sym_abstract,
    ACTIONS(2431), 1,
      anon_sym_interface,
    ACTIONS(2433), 1,
      anon_sym_enum,
    ACTIONS(2455), 1,
      anon_sym_type,
    ACTIONS(6866), 1,
      anon_sym_default,
    STATE(900), 1,
      sym_declaration,
    STATE(901), 1,
      sym_internal_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4775), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(890), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131668] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(6868), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_ui_nested_identifier,
    STATE(4559), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6870), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131718] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2411), 1,
      anon_sym_import,
    ACTIONS(2415), 1,
      anon_sym_let,
    ACTIONS(2417), 1,
      anon_sym_const,
    ACTIONS(2419), 1,
      anon_sym_class,
    ACTIONS(2429), 1,
      anon_sym_abstract,
    ACTIONS(2431), 1,
      anon_sym_interface,
    ACTIONS(2433), 1,
      anon_sym_enum,
    ACTIONS(2455), 1,
      anon_sym_type,
    ACTIONS(2475), 1,
      anon_sym_var,
    ACTIONS(2517), 1,
      anon_sym_namespace,
    ACTIONS(2519), 1,
      anon_sym_async,
    ACTIONS(2521), 1,
      anon_sym_function,
    ACTIONS(2523), 1,
      anon_sym_declare,
    ACTIONS(2548), 1,
      anon_sym_module,
    ACTIONS(2550), 1,
      anon_sym_global,
    STATE(901), 1,
      sym_internal_module,
    STATE(941), 1,
      sym_declaration,
    STATE(1234), 1,
      sym_decorator,
    STATE(4775), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(890), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131798] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2471), 1,
      anon_sym_namespace,
    ACTIONS(2473), 1,
      anon_sym_import,
    ACTIONS(2475), 1,
      anon_sym_var,
    ACTIONS(2477), 1,
      anon_sym_let,
    ACTIONS(2479), 1,
      anon_sym_const,
    ACTIONS(2481), 1,
      anon_sym_class,
    ACTIONS(2483), 1,
      anon_sym_async,
    ACTIONS(2485), 1,
      anon_sym_function,
    ACTIONS(2487), 1,
      anon_sym_declare,
    ACTIONS(2491), 1,
      anon_sym_abstract,
    ACTIONS(2493), 1,
      anon_sym_interface,
    ACTIONS(2495), 1,
      anon_sym_enum,
    ACTIONS(2559), 1,
      anon_sym_type,
    ACTIONS(2561), 1,
      anon_sym_module,
    ACTIONS(2563), 1,
      anon_sym_global,
    STATE(1234), 1,
      sym_decorator,
    STATE(3016), 1,
      sym_internal_module,
    STATE(3073), 1,
      sym_declaration,
    STATE(4690), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3042), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131878] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2411), 1,
      anon_sym_import,
    ACTIONS(2415), 1,
      anon_sym_let,
    ACTIONS(2417), 1,
      anon_sym_const,
    ACTIONS(2419), 1,
      anon_sym_class,
    ACTIONS(2429), 1,
      anon_sym_abstract,
    ACTIONS(2431), 1,
      anon_sym_interface,
    ACTIONS(2433), 1,
      anon_sym_enum,
    ACTIONS(2455), 1,
      anon_sym_type,
    ACTIONS(2475), 1,
      anon_sym_var,
    ACTIONS(2517), 1,
      anon_sym_namespace,
    ACTIONS(2519), 1,
      anon_sym_async,
    ACTIONS(2521), 1,
      anon_sym_function,
    ACTIONS(2523), 1,
      anon_sym_declare,
    ACTIONS(2525), 1,
      anon_sym_module,
    ACTIONS(6872), 1,
      anon_sym_default,
    STATE(900), 1,
      sym_declaration,
    STATE(901), 1,
      sym_internal_module,
    STATE(1234), 1,
      sym_decorator,
    STATE(4775), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(890), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131958] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2407), 1,
      anon_sym_namespace,
    ACTIONS(2411), 1,
      anon_sym_import,
    ACTIONS(2413), 1,
      anon_sym_var,
    ACTIONS(2415), 1,
      anon_sym_let,
    ACTIONS(2417), 1,
      anon_sym_const,
    ACTIONS(2419), 1,
      anon_sym_class,
    ACTIONS(2421), 1,
      anon_sym_async,
    ACTIONS(2423), 1,
      anon_sym_function,
    ACTIONS(2425), 1,
      anon_sym_declare,
    ACTIONS(2429), 1,
      anon_sym_abstract,
    ACTIONS(2431), 1,
      anon_sym_interface,
    ACTIONS(2433), 1,
      anon_sym_enum,
    ACTIONS(2455), 1,
      anon_sym_type,
    ACTIONS(2457), 1,
      anon_sym_module,
    ACTIONS(2459), 1,
      anon_sym_global,
    STATE(901), 1,
      sym_internal_module,
    STATE(941), 1,
      sym_declaration,
    STATE(1234), 1,
      sym_decorator,
    STATE(4775), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(890), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132038] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2585), 1,
      anon_sym_type,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2605), 1,
      anon_sym_module,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2609), 1,
      anon_sym_global,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    STATE(1234), 1,
      sym_decorator,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4514), 1,
      sym_declaration,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132118] = 22,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(2585), 1,
      anon_sym_type,
    ACTIONS(2587), 1,
      anon_sym_namespace,
    ACTIONS(2589), 1,
      anon_sym_import,
    ACTIONS(2591), 1,
      anon_sym_var,
    ACTIONS(2593), 1,
      anon_sym_let,
    ACTIONS(2595), 1,
      anon_sym_const,
    ACTIONS(2597), 1,
      anon_sym_class,
    ACTIONS(2599), 1,
      anon_sym_async,
    ACTIONS(2601), 1,
      anon_sym_function,
    ACTIONS(2603), 1,
      anon_sym_declare,
    ACTIONS(2607), 1,
      anon_sym_abstract,
    ACTIONS(2611), 1,
      anon_sym_interface,
    ACTIONS(2613), 1,
      anon_sym_enum,
    ACTIONS(4438), 1,
      anon_sym_module,
    ACTIONS(6874), 1,
      anon_sym_default,
    STATE(1234), 1,
      sym_decorator,
    STATE(4506), 1,
      sym_internal_module,
    STATE(4664), 1,
      sym_declaration,
    STATE(4758), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4402), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132198] = 3,
    ACTIONS(6878), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6876), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132239] = 3,
    ACTIONS(6882), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6880), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132280] = 3,
    ACTIONS(6886), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6884), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132321] = 3,
    ACTIONS(6890), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6888), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132362] = 3,
    ACTIONS(6894), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6892), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132403] = 3,
    ACTIONS(6898), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6896), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132444] = 3,
    ACTIONS(6902), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6900), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132485] = 3,
    ACTIONS(6906), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6904), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132526] = 3,
    ACTIONS(6910), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6908), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132567] = 3,
    ACTIONS(6914), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6912), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132608] = 3,
    ACTIONS(6914), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6912), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132649] = 5,
    ACTIONS(6916), 1,
      sym_identifier,
    STATE(5416), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6918), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132694] = 3,
    ACTIONS(6924), 1,
      anon_sym_AT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6922), 31,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [132735] = 5,
    ACTIONS(7), 1,
      sym_identifier,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    STATE(5689), 1,
      sym_ui_object_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132779] = 5,
    ACTIONS(7), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_ui_object_definition,
    STATE(5469), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132823] = 4,
    ACTIONS(6926), 1,
      sym_identifier,
    STATE(6284), 1,
      sym_mapped_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6928), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132865] = 4,
    ACTIONS(6930), 1,
      sym_identifier,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6932), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132906] = 4,
    ACTIONS(6936), 1,
      sym_identifier,
    STATE(5597), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6938), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132947] = 4,
    ACTIONS(6916), 1,
      sym_identifier,
    STATE(5416), 1,
      sym_ui_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6918), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132988] = 4,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(6940), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6942), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133029] = 3,
    ACTIONS(6944), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6946), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133067] = 3,
    ACTIONS(6948), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6950), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6952), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6954), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133177] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3709), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3711), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3705), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3707), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133237] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3695), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3697), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133267] = 9,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3775), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [133308] = 9,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_DOT,
    STATE(3237), 1,
      sym_arguments,
    STATE(3305), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4650), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4652), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [133349] = 9,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(6960), 1,
      anon_sym_DOT,
    ACTIONS(6962), 1,
      anon_sym_QMARK_DOT,
    STATE(3239), 1,
      sym_arguments,
    STATE(3307), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4658), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [133390] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5099), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133418] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5019), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5071), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133474] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5071), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133502] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5093), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5095), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133530] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5099), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5023), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133586] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5097), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5099), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133614] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5103), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5103), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133670] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5101), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5103), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5107), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133726] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5107), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133754] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5105), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5107), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133782] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5021), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5023), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5015), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5065), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5067), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133866] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5075), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133894] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5075), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133922] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5073), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5075), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133950] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [133978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134006] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5027), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5019), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134090] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5031), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5035), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5029), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5031), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134174] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5035), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134202] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5005), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5007), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134230] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5009), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5011), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5015), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134286] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5025), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5027), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134314] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5071), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_extends,
  [134342] = 3,
    ACTIONS(1854), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1856), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [134369] = 3,
    ACTIONS(1850), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1852), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [134396] = 5,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3787), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3775), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134426] = 3,
    ACTIONS(4973), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4975), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134452] = 3,
    ACTIONS(4977), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4979), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134478] = 3,
    ACTIONS(4981), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4983), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134504] = 3,
    ACTIONS(4985), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4987), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134530] = 9,
    ACTIONS(3787), 1,
      anon_sym_PIPE,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(3825), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6964), 1,
      anon_sym_LT,
    STATE(3459), 1,
      sym_arguments,
    STATE(3583), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [134568] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4905), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4907), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134594] = 3,
    ACTIONS(4235), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134620] = 9,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4650), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_LT,
    ACTIONS(6966), 1,
      anon_sym_DOT,
    ACTIONS(6968), 1,
      anon_sym_QMARK_DOT,
    STATE(3460), 1,
      sym_arguments,
    STATE(3585), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4652), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [134658] = 9,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4656), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_LT,
    ACTIONS(6970), 1,
      anon_sym_DOT,
    ACTIONS(6972), 1,
      anon_sym_QMARK_DOT,
    STATE(3461), 1,
      sym_arguments,
    STATE(3588), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4658), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [134696] = 5,
    ACTIONS(6974), 1,
      anon_sym_DOT,
    ACTIONS(6976), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5175), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5177), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134726] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4919), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134752] = 15,
    ACTIONS(6978), 1,
      sym_identifier,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6982), 1,
      anon_sym_type,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_typeof,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    STATE(4287), 1,
      sym_import_require_clause,
    STATE(4760), 1,
      sym_string,
    STATE(5928), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [134802] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134828] = 3,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134854] = 6,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4680), 1,
      anon_sym_EQ,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [134886] = 6,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(4831), 1,
      anon_sym_EQ,
    ACTIONS(6996), 1,
      anon_sym_DOT,
    STATE(3245), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4833), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134918] = 7,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4680), 1,
      anon_sym_EQ,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(6998), 1,
      anon_sym_is,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [134952] = 15,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    ACTIONS(7000), 1,
      sym_identifier,
    ACTIONS(7002), 1,
      anon_sym_type,
    ACTIONS(7004), 1,
      anon_sym_typeof,
    STATE(4417), 1,
      sym_string,
    STATE(4419), 1,
      sym_import_require_clause,
    STATE(5735), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [135002] = 3,
    ACTIONS(4885), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4887), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135027] = 3,
    ACTIONS(4771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4773), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [135052] = 3,
    ACTIONS(1792), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [135077] = 3,
    ACTIONS(4873), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135102] = 5,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4781), 1,
      anon_sym_EQ,
    STATE(3315), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135131] = 4,
    ACTIONS(5127), 1,
      anon_sym_EQ,
    ACTIONS(7006), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5129), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135158] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7010), 1,
      sym_number,
    ACTIONS(7012), 1,
      anon_sym_unique,
    STATE(6424), 1,
      sym_string,
    STATE(6490), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [135192] = 3,
    ACTIONS(5001), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135216] = 3,
    ACTIONS(5187), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4951), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135240] = 3,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5007), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135264] = 3,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5011), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135288] = 3,
    ACTIONS(5013), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135312] = 3,
    ACTIONS(5093), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5095), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135336] = 3,
    ACTIONS(5097), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135360] = 3,
    ACTIONS(5097), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135384] = 3,
    ACTIONS(5097), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135408] = 3,
    ACTIONS(5101), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135432] = 3,
    ACTIONS(5101), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135456] = 3,
    ACTIONS(5101), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135480] = 3,
    ACTIONS(5105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135504] = 3,
    ACTIONS(5105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135528] = 3,
    ACTIONS(5105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135552] = 3,
    ACTIONS(5017), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135576] = 3,
    ACTIONS(5013), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135600] = 3,
    ACTIONS(5017), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135624] = 3,
    ACTIONS(5021), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5023), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135648] = 3,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5027), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135672] = 3,
    ACTIONS(4777), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135696] = 3,
    ACTIONS(5021), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5023), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135720] = 3,
    ACTIONS(5025), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5027), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135744] = 3,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5031), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135768] = 3,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135792] = 3,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5031), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7014), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [135838] = 3,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135862] = 3,
    ACTIONS(5181), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5183), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135886] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7016), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6104), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [135918] = 3,
    ACTIONS(5119), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135942] = 3,
    ACTIONS(5197), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135966] = 3,
    ACTIONS(4857), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135990] = 4,
    ACTIONS(4857), 1,
      anon_sym_EQ,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136016] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7020), 1,
      sym_number,
    STATE(6176), 1,
      sym_string,
    STATE(6177), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136050] = 3,
    ACTIONS(4781), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7022), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136096] = 3,
    ACTIONS(5133), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5135), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136120] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7024), 1,
      sym_number,
    STATE(6272), 1,
      sym_string,
    STATE(6286), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136154] = 3,
    ACTIONS(4909), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4911), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136178] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7026), 1,
      sym_number,
    STATE(6332), 1,
      sym_string,
    STATE(6350), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136212] = 3,
    ACTIONS(5081), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5083), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136236] = 3,
    ACTIONS(5201), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5203), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136260] = 3,
    ACTIONS(5085), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5087), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136284] = 3,
    ACTIONS(5089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5091), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7028), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136330] = 3,
    ACTIONS(5037), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136354] = 3,
    ACTIONS(5041), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5043), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136378] = 5,
    ACTIONS(4851), 1,
      anon_sym_EQ,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4853), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
      anon_sym_QMARK,
  [136406] = 4,
    ACTIONS(4867), 1,
      anon_sym_EQ,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4869), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136432] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7030), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7032), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136476] = 3,
    ACTIONS(5049), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5051), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136500] = 3,
    ACTIONS(4921), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4923), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136524] = 3,
    ACTIONS(5053), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136548] = 3,
    ACTIONS(4929), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4931), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7034), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136594] = 3,
    ACTIONS(4953), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4955), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136618] = 3,
    ACTIONS(4957), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4959), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136642] = 3,
    ACTIONS(4961), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4963), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136666] = 3,
    ACTIONS(4969), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136690] = 3,
    ACTIONS(4989), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4991), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136714] = 3,
    ACTIONS(4997), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4999), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136738] = 3,
    ACTIONS(4881), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4883), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136762] = 7,
    ACTIONS(4680), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_LT,
    ACTIONS(7036), 1,
      anon_sym_DOT,
    ACTIONS(7038), 1,
      anon_sym_is,
    STATE(3536), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136794] = 3,
    ACTIONS(4807), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136818] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7040), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6316), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136850] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7042), 1,
      sym_number,
    STATE(6318), 1,
      sym_string,
    STATE(6319), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136884] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7044), 1,
      sym_number,
    STATE(6325), 1,
      sym_string,
    STATE(6326), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136918] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7046), 1,
      sym_number,
    STATE(6330), 1,
      sym_string,
    STATE(6331), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136952] = 3,
    ACTIONS(5189), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5191), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [136976] = 8,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7050), 1,
      anon_sym_DOT,
    ACTIONS(7052), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7054), 1,
      anon_sym_LT,
    STATE(3570), 1,
      sym_arguments,
    STATE(3715), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7056), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137032] = 8,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7054), 1,
      anon_sym_LT,
    ACTIONS(7058), 1,
      anon_sym_DOT,
    ACTIONS(7060), 1,
      anon_sym_QMARK_DOT,
    STATE(3571), 1,
      sym_arguments,
    STATE(3719), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4652), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137066] = 8,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7054), 1,
      anon_sym_LT,
    ACTIONS(7062), 1,
      anon_sym_DOT,
    ACTIONS(7064), 1,
      anon_sym_QMARK_DOT,
    STATE(3573), 1,
      sym_arguments,
    STATE(3722), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4658), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137100] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7066), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6165), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137132] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7068), 1,
      sym_number,
    STATE(6170), 1,
      sym_string,
    STATE(6171), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137166] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7070), 1,
      sym_number,
    STATE(6187), 1,
      sym_string,
    STATE(6197), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137200] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7072), 1,
      sym_number,
    STATE(6222), 1,
      sym_string,
    STATE(6223), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137234] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7074), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137256] = 3,
    ACTIONS(5109), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5111), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [137280] = 3,
    ACTIONS(5065), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5067), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137304] = 3,
    ACTIONS(5069), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137328] = 3,
    ACTIONS(5069), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137352] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7076), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6481), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137384] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7078), 1,
      sym_number,
    STATE(6486), 1,
      sym_string,
    STATE(6488), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137418] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7080), 1,
      sym_number,
    STATE(6058), 1,
      sym_string,
    STATE(6060), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137452] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7082), 1,
      sym_number,
    STATE(6069), 1,
      sym_string,
    STATE(6073), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137486] = 3,
    ACTIONS(5069), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137510] = 3,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137534] = 3,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137558] = 3,
    ACTIONS(5073), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137582] = 3,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137606] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7084), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6370), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137638] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7086), 1,
      sym_number,
    STATE(6114), 1,
      sym_string,
    STATE(6119), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137672] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7012), 1,
      anon_sym_unique,
    ACTIONS(7088), 1,
      sym_number,
    STATE(6154), 1,
      sym_string,
    STATE(6194), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7008), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137706] = 3,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137730] = 3,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7090), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137776] = 3,
    ACTIONS(4913), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [137800] = 6,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4831), 1,
      anon_sym_PIPE,
    ACTIONS(7092), 1,
      anon_sym_DOT,
    STATE(3518), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4833), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137829] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(1798), 1,
      sym_type_predicate,
    STATE(6377), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7094), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137858] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [137897] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7100), 1,
      anon_sym_BANG,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7106), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4128), 1,
      sym__call_signature,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(5063), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7098), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137940] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7110), 1,
      anon_sym_BANG,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7114), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4755), 1,
      sym_type_annotation,
    STATE(5122), 1,
      sym__initializer,
    STATE(5686), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137983] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7100), 1,
      anon_sym_BANG,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7116), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(5110), 1,
      sym__call_signature,
    STATE(5112), 1,
      sym__initializer,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7098), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138026] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4573), 1,
      sym_type_annotation,
    STATE(5207), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5768), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7118), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138069] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(2209), 1,
      sym_type_predicate,
    STATE(6142), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7124), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138098] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7126), 1,
      anon_sym_BANG,
    ACTIONS(7128), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4763), 1,
      sym_type_annotation,
    STATE(5128), 1,
      sym__initializer,
    STATE(5694), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138141] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(3756), 1,
      sym_type_predicate,
    STATE(6492), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7130), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138170] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [138209] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7134), 1,
      anon_sym_BANG,
    ACTIONS(7136), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4453), 1,
      sym_type_annotation,
    STATE(5348), 1,
      sym__initializer,
    STATE(5719), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138252] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [138291] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BANG,
    ACTIONS(7140), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5357), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5726), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138334] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [138373] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7144), 1,
      anon_sym_BANG,
    ACTIONS(7146), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4415), 1,
      sym_type_annotation,
    STATE(5012), 1,
      sym__call_signature,
    STATE(5019), 1,
      sym__initializer,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7142), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138416] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7148), 1,
      anon_sym_BANG,
    ACTIONS(7150), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4551), 1,
      sym_type_annotation,
    STATE(5447), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5814), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138459] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_BANG,
    ACTIONS(7156), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4229), 1,
      sym__call_signature,
    STATE(4717), 1,
      sym_type_annotation,
    STATE(5542), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138502] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7160), 1,
      anon_sym_BANG,
    ACTIONS(7162), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4725), 1,
      sym_type_annotation,
    STATE(5550), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5983), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138545] = 14,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    ACTIONS(7164), 1,
      sym_identifier,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(7168), 1,
      anon_sym_COMMA,
    ACTIONS(7170), 1,
      anon_sym_from,
    STATE(4476), 1,
      sym_string,
    STATE(4486), 1,
      sym_import_require_clause,
    STATE(5759), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
  [138590] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [138629] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7172), 1,
      anon_sym_BANG,
    ACTIONS(7174), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4557), 1,
      sym_type_annotation,
    STATE(5450), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5818), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138672] = 4,
    ACTIONS(4807), 1,
      anon_sym_EQ,
    ACTIONS(6998), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [138697] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(3577), 1,
      sym_type_predicate,
    STATE(6175), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7176), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138726] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7178), 1,
      anon_sym_BANG,
    ACTIONS(7180), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4375), 1,
      sym_type_annotation,
    STATE(5521), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5830), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138769] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7182), 1,
      anon_sym_BANG,
    ACTIONS(7184), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4383), 1,
      sym_type_annotation,
    STATE(5238), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5976), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138812] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7186), 1,
      anon_sym_BANG,
    ACTIONS(7188), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4522), 1,
      sym_type_annotation,
    STATE(5040), 1,
      sym__initializer,
    STATE(5701), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138855] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7192), 1,
      anon_sym_BANG,
    ACTIONS(7194), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4261), 1,
      sym__call_signature,
    STATE(4428), 1,
      sym_type_annotation,
    STATE(5325), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138898] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7196), 1,
      anon_sym_BANG,
    ACTIONS(7198), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4382), 1,
      sym_type_annotation,
    STATE(5021), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5767), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138941] = 4,
    ACTIONS(4777), 1,
      anon_sym_EQ,
    ACTIONS(6998), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [138966] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(3317), 1,
      sym_type_predicate,
    STATE(6491), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7200), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138995] = 14,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    ACTIONS(7164), 1,
      sym_identifier,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(7168), 1,
      anon_sym_COMMA,
    ACTIONS(7170), 1,
      anon_sym_from,
    STATE(4622), 1,
      sym_string,
    STATE(4626), 1,
      sym_import_require_clause,
    STATE(5672), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
  [139040] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [139079] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7202), 1,
      anon_sym_BANG,
    ACTIONS(7204), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4563), 1,
      sym_type_annotation,
    STATE(5064), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5776), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139122] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7144), 1,
      anon_sym_BANG,
    ACTIONS(7206), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4167), 1,
      sym__call_signature,
    STATE(4415), 1,
      sym_type_annotation,
    STATE(4982), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7142), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139165] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7210), 1,
      anon_sym_BANG,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4143), 1,
      sym__call_signature,
    STATE(4529), 1,
      sym_type_annotation,
    STATE(5166), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7208), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139208] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7214), 1,
      anon_sym_BANG,
    ACTIONS(7216), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4601), 1,
      sym_type_annotation,
    STATE(5477), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5854), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139251] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7218), 1,
      anon_sym_BANG,
    ACTIONS(7220), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4609), 1,
      sym_type_annotation,
    STATE(5481), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5862), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139294] = 4,
    ACTIONS(4781), 1,
      anon_sym_EQ,
    ACTIONS(7222), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [139319] = 6,
    ACTIONS(4680), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_LT,
    ACTIONS(7036), 1,
      anon_sym_DOT,
    STATE(3536), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139348] = 13,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7226), 1,
      anon_sym_BANG,
    ACTIONS(7228), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4319), 1,
      sym_type_annotation,
    STATE(5560), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5991), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139391] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(3317), 1,
      sym_type_predicate,
    STATE(6324), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7230), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139420] = 6,
    ACTIONS(123), 1,
      anon_sym_unique,
    STATE(3317), 1,
      sym_type_predicate,
    STATE(6228), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7232), 2,
      sym_identifier,
      sym_this,
    ACTIONS(125), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139449] = 4,
    ACTIONS(5193), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5195), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [139473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5095), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139493] = 3,
    ACTIONS(4973), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4975), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139515] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139535] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139555] = 6,
    ACTIONS(4969), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [139583] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139623] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139643] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139663] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7242), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4668), 1,
      sym__call_signature,
    STATE(4699), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7240), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139719] = 6,
    ACTIONS(5045), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5047), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [139747] = 4,
    ACTIONS(4993), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4995), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [139771] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7246), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3926), 1,
      sym__call_signature,
    STATE(4265), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7244), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139807] = 6,
    ACTIONS(4841), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4843), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [139835] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5007), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5031), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139875] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5011), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139895] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139915] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5103), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139935] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139955] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5107), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139995] = 4,
    ACTIONS(4861), 1,
      anon_sym_EQ,
    ACTIONS(7248), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4863), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
  [140019] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3871), 1,
      sym__call_signature,
    STATE(4673), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7250), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140055] = 3,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4979), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140077] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7254), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4670), 1,
      sym__call_signature,
    STATE(4673), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7250), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140113] = 5,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_LT,
    STATE(3582), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140139] = 5,
    ACTIONS(3787), 1,
      anon_sym_PIPE,
    ACTIONS(3825), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140165] = 11,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7261), 1,
      anon_sym_COLON,
    ACTIONS(7263), 1,
      anon_sym_extends,
    STATE(3294), 1,
      sym_type_arguments,
    STATE(4912), 1,
      sym_constraint,
    STATE(5937), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7258), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(3857), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [140203] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140223] = 6,
    ACTIONS(5053), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [140251] = 6,
    ACTIONS(5057), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5059), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [140279] = 3,
    ACTIONS(4981), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4983), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140301] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5067), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140321] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7266), 1,
      anon_sym_COLON,
    ACTIONS(7268), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4017), 1,
      sym__call_signature,
    STATE(4699), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7240), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140357] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7272), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4360), 1,
      sym__call_signature,
    STATE(4366), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7270), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140393] = 6,
    ACTIONS(5061), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [140421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5071), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140441] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140461] = 6,
    ACTIONS(7054), 1,
      anon_sym_LT,
    ACTIONS(7274), 1,
      anon_sym_DOT,
    ACTIONS(7276), 1,
      anon_sym_is,
    STATE(3665), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140489] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7278), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3966), 1,
      sym__call_signature,
    STATE(4366), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7270), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140525] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3953), 1,
      sym__call_signature,
    STATE(4624), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7280), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140561] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140581] = 3,
    ACTIONS(3709), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140603] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7284), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4264), 1,
      sym__call_signature,
    STATE(4265), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7244), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140659] = 4,
    ACTIONS(1826), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140703] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5075), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5023), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140783] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7286), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4623), 1,
      sym__call_signature,
    STATE(4624), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7280), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140819] = 6,
    ACTIONS(5113), 1,
      anon_sym_EQ,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
      anon_sym_GT,
  [140847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5027), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5023), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140907] = 3,
    ACTIONS(3695), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140929] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5027), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140949] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5031), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [140969] = 3,
    ACTIONS(3705), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141011] = 3,
    ACTIONS(4905), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141033] = 3,
    ACTIONS(4917), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4919), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141055] = 3,
    ACTIONS(4925), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4927), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141077] = 4,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141101] = 5,
    ACTIONS(5175), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5177), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141147] = 3,
    ACTIONS(4235), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141169] = 3,
    ACTIONS(4185), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141191] = 3,
    ACTIONS(4985), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4987), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141213] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3965), 1,
      sym__call_signature,
    STATE(4282), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141246] = 12,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    ACTIONS(7164), 1,
      sym_identifier,
    ACTIONS(7166), 1,
      anon_sym_type,
    STATE(4476), 1,
      sym_string,
    STATE(4486), 1,
      sym_import_require_clause,
    STATE(5759), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
  [141285] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3927), 1,
      sym__call_signature,
    STATE(4268), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7294), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141318] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4092), 1,
      sym__call_signature,
    STATE(4418), 1,
      sym_type_annotation,
    STATE(5312), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141355] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141386] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141415] = 8,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3783), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7298), 1,
      anon_sym_LT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141446] = 4,
    ACTIONS(4777), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141469] = 4,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(7300), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141492] = 3,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [141513] = 8,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7298), 1,
      anon_sym_LT,
    STATE(3237), 1,
      sym_arguments,
    STATE(3305), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4652), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141544] = 8,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(6960), 1,
      anon_sym_DOT,
    ACTIONS(6962), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7298), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_arguments,
    STATE(3307), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4658), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141575] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4315), 1,
      sym_type_annotation,
    STATE(4986), 1,
      sym__initializer,
    STATE(5648), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141612] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4433), 1,
      sym_type_annotation,
    STATE(5458), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5817), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141649] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4691), 1,
      sym__call_signature,
    STATE(4694), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7304), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141682] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4372), 1,
      sym_type_annotation,
    STATE(5066), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5848), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141719] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(7308), 1,
      anon_sym_QMARK,
    STATE(3294), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141750] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4174), 1,
      sym__call_signature,
    STATE(4416), 1,
      sym_type_annotation,
    STATE(4987), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141787] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym_type_annotation,
    STATE(5005), 1,
      sym__call_signature,
    STATE(5007), 1,
      sym__initializer,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141824] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4412), 1,
      sym_type_annotation,
    STATE(5085), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5997), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141861] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4455), 1,
      sym_type_annotation,
    STATE(5351), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5724), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141898] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4426), 1,
      sym_type_annotation,
    STATE(5141), 1,
      sym__initializer,
    STATE(5676), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141935] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4312), 1,
      sym_type_annotation,
    STATE(5517), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5926), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141972] = 4,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    ACTIONS(7315), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5129), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141995] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4232), 1,
      sym__call_signature,
    STATE(4399), 1,
      sym_type_annotation,
    STATE(5134), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7317), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142032] = 12,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    ACTIONS(7164), 1,
      sym_identifier,
    ACTIONS(7166), 1,
      anon_sym_type,
    STATE(4622), 1,
      sym_string,
    STATE(4626), 1,
      sym_import_require_clause,
    STATE(5672), 1,
      sym_import_clause,
    STATE(5953), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6254), 2,
      sym_namespace_import,
      sym_named_imports,
  [142071] = 3,
    ACTIONS(3346), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3348), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142092] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4282), 1,
      sym_type_annotation,
    STATE(4751), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142125] = 4,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [142148] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4583), 1,
      sym_type_annotation,
    STATE(5465), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5833), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142185] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4611), 1,
      sym_type_annotation,
    STATE(5484), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5866), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142222] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4472), 1,
      sym_type_annotation,
    STATE(5368), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5740), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142259] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4618), 1,
      sym__call_signature,
    STATE(4619), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7319), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142292] = 5,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7321), 1,
      anon_sym_DOT,
    STATE(3610), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4833), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142317] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4321), 1,
      sym_type_annotation,
    STATE(5591), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6021), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142354] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142383] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4467), 1,
      sym_type_annotation,
    STATE(5201), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5876), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142420] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142449] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4266), 1,
      sym__call_signature,
    STATE(4268), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7294), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142482] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142511] = 3,
    ACTIONS(4771), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4773), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [142532] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4418), 1,
      sym_type_annotation,
    STATE(5338), 1,
      sym__call_signature,
    STATE(5340), 1,
      sym__initializer,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142569] = 3,
    ACTIONS(3354), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3356), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142590] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4382), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142619] = 3,
    ACTIONS(4873), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142640] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4387), 1,
      sym__call_signature,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142673] = 3,
    ACTIONS(3350), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3352), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142694] = 4,
    ACTIONS(4807), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142717] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4211), 1,
      sym__call_signature,
    STATE(4687), 1,
      sym_type_annotation,
    STATE(5529), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7327), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142754] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3969), 1,
      sym__call_signature,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142787] = 3,
    ACTIONS(4885), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4887), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142808] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3872), 1,
      sym__call_signature,
    STATE(4694), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7304), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142841] = 5,
    ACTIONS(7054), 1,
      anon_sym_LT,
    ACTIONS(7274), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142866] = 7,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_RBRACE,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [142895] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4148), 1,
      sym__call_signature,
    STATE(4578), 1,
      sym_type_annotation,
    STATE(4995), 1,
      sym__initializer,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7329), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142932] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4629), 1,
      sym_type_annotation,
    STATE(5030), 1,
      sym__initializer,
    STATE(5665), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142969] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4727), 1,
      sym_type_annotation,
    STATE(5553), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5986), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143006] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4723), 1,
      sym_type_annotation,
    STATE(5546), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5979), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143043] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(4675), 1,
      sym_type_annotation,
    STATE(5090), 1,
      sym__initializer,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5849), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7331), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143080] = 9,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3952), 1,
      sym__call_signature,
    STATE(4619), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7319), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143113] = 3,
    ACTIONS(4957), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4959), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143133] = 3,
    ACTIONS(4989), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4991), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143153] = 3,
    ACTIONS(4857), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143173] = 4,
    ACTIONS(4857), 1,
      anon_sym_PIPE,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143195] = 4,
    ACTIONS(4993), 1,
      anon_sym_PIPE,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4995), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143217] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143235] = 3,
    ACTIONS(2443), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143273] = 3,
    ACTIONS(5201), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5203), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143293] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4843), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [143317] = 3,
    ACTIONS(5041), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5043), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143337] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5059), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [143361] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [143385] = 5,
    ACTIONS(4857), 1,
      anon_sym_PIPE,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4853), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143409] = 5,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_PIPE,
    STATE(1991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143433] = 3,
    ACTIONS(4997), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4999), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143453] = 3,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143473] = 3,
    ACTIONS(5133), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5135), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143493] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4975), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143511] = 4,
    ACTIONS(4861), 1,
      anon_sym_PIPE,
    ACTIONS(7341), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4863), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [143533] = 4,
    ACTIONS(4867), 1,
      anon_sym_PIPE,
    ACTIONS(7333), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4869), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3815), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143573] = 4,
    ACTIONS(7050), 1,
      anon_sym_DOT,
    ACTIONS(7052), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3775), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143595] = 3,
    ACTIONS(5049), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5051), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143615] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(4046), 1,
      sym_formal_parameters,
    STATE(5929), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [143641] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5981), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [143659] = 3,
    ACTIONS(5001), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143679] = 3,
    ACTIONS(5109), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5111), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4979), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143717] = 3,
    ACTIONS(4777), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143737] = 3,
    ACTIONS(5037), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143757] = 3,
    ACTIONS(2447), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143777] = 4,
    ACTIONS(7343), 1,
      anon_sym_DOT,
    ACTIONS(7345), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5177), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143799] = 4,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [143821] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [143845] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [143863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4983), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143881] = 4,
    ACTIONS(1826), 1,
      anon_sym_DOT,
    ACTIONS(5141), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [143903] = 3,
    ACTIONS(5081), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5083), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143923] = 3,
    ACTIONS(5085), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5087), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143943] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4987), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143961] = 3,
    ACTIONS(1826), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4919), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144035] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4927), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144053] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3817), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144071] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5047), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [144095] = 3,
    ACTIONS(5189), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5191), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144115] = 3,
    ACTIONS(4807), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144135] = 6,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(7347), 1,
      anon_sym_is,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144161] = 3,
    ACTIONS(2435), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144181] = 3,
    ACTIONS(4969), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144201] = 3,
    ACTIONS(2439), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144221] = 3,
    ACTIONS(4881), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4883), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144241] = 3,
    ACTIONS(4913), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144261] = 11,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7351), 1,
      anon_sym_type,
    ACTIONS(7353), 1,
      anon_sym_COMMA,
    ACTIONS(7355), 1,
      anon_sym_RBRACE,
    ACTIONS(7357), 1,
      anon_sym_typeof,
    STATE(5358), 1,
      sym_import_specifier,
    STATE(5728), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6382), 2,
      sym__module_export_name,
      sym_string,
  [144297] = 3,
    ACTIONS(4921), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4923), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144317] = 3,
    ACTIONS(5053), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144337] = 3,
    ACTIONS(2451), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144357] = 3,
    ACTIONS(4929), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4931), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144377] = 3,
    ACTIONS(4909), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4911), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144397] = 3,
    ACTIONS(5187), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4951), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144417] = 3,
    ACTIONS(4953), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4955), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144437] = 4,
    ACTIONS(5193), 1,
      anon_sym_PIPE,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5195), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144459] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [144483] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [144507] = 3,
    ACTIONS(5181), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5183), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144527] = 3,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5143), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [144547] = 3,
    ACTIONS(4961), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144567] = 3,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144587] = 4,
    ACTIONS(7054), 1,
      anon_sym_LT,
    STATE(3673), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144609] = 3,
    ACTIONS(5197), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144629] = 3,
    ACTIONS(5089), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5091), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144649] = 5,
    ACTIONS(6996), 1,
      anon_sym_DOT,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    STATE(3245), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4833), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144672] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7361), 1,
      sym_identifier,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    STATE(1998), 1,
      sym_class_body,
    STATE(3844), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5821), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144707] = 4,
    ACTIONS(7371), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4125), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7369), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144728] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7373), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2413), 1,
      sym_class_body,
    STATE(4009), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5893), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144763] = 9,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7377), 1,
      anon_sym_type,
    ACTIONS(7379), 1,
      anon_sym_as,
    STATE(5990), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6357), 2,
      sym__module_export_name,
      sym_string,
  [144794] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7381), 1,
      sym_identifier,
    STATE(2409), 1,
      sym_class_body,
    STATE(3936), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5618), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4773), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [144846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4875), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4887), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144880] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7383), 1,
      sym_identifier,
    STATE(2409), 1,
      sym_class_body,
    STATE(3936), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5618), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144915] = 3,
    ACTIONS(7276), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144934] = 3,
    ACTIONS(7385), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144953] = 10,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7387), 1,
      sym_identifier,
    ACTIONS(7389), 1,
      anon_sym_on,
    ACTIONS(7391), 1,
      anon_sym_list,
    STATE(2883), 1,
      sym_ui_object_initializer,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3181), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [144986] = 6,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7395), 1,
      anon_sym_is,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145011] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7397), 1,
      sym_identifier,
    STATE(2413), 1,
      sym_class_body,
    STATE(4009), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5893), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145046] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7399), 1,
      sym_identifier,
    STATE(2409), 1,
      sym_class_body,
    STATE(3936), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5618), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145081] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7401), 1,
      sym_identifier,
    STATE(2770), 1,
      sym_class_body,
    STATE(3981), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5663), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145116] = 3,
    ACTIONS(7403), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5129), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145135] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      sym_identifier,
    STATE(2409), 1,
      sym_class_body,
    STATE(3936), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5618), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145170] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      sym_identifier,
    STATE(2413), 1,
      sym_class_body,
    STATE(4009), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5893), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145205] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      sym_identifier,
    STATE(2413), 1,
      sym_class_body,
    STATE(4009), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5893), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145240] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_identifier,
    STATE(2409), 1,
      sym_class_body,
    STATE(3936), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5618), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145275] = 10,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7351), 1,
      anon_sym_type,
    ACTIONS(7357), 1,
      anon_sym_typeof,
    ACTIONS(7413), 1,
      anon_sym_RBRACE,
    STATE(5728), 1,
      sym__import_identifier,
    STATE(6001), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6382), 2,
      sym__module_export_name,
      sym_string,
  [145308] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7415), 1,
      sym_identifier,
    STATE(2413), 1,
      sym_class_body,
    STATE(4009), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5893), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145343] = 10,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7351), 1,
      anon_sym_type,
    ACTIONS(7357), 1,
      anon_sym_typeof,
    ACTIONS(7417), 1,
      anon_sym_RBRACE,
    STATE(5728), 1,
      sym__import_identifier,
    STATE(6001), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6382), 2,
      sym__module_export_name,
      sym_string,
  [145376] = 3,
    ACTIONS(7276), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145395] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7419), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145418] = 9,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_COMMA,
    ACTIONS(7427), 1,
      anon_sym_RBRACE,
    STATE(5256), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7423), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5257), 2,
      sym__module_export_name,
      sym_string,
  [145449] = 11,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7365), 1,
      anon_sym_extends,
    ACTIONS(7367), 1,
      anon_sym_implements,
    ACTIONS(7429), 1,
      sym_identifier,
    STATE(1924), 1,
      sym_class_body,
    STATE(4067), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5687), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145484] = 4,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145505] = 8,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7431), 1,
      anon_sym_EQ,
    ACTIONS(7435), 1,
      anon_sym_BANG,
    STATE(4329), 1,
      sym__initializer,
    STATE(4682), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1790), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [145551] = 9,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7435), 1,
      anon_sym_BANG,
    ACTIONS(7439), 1,
      sym__automatic_semicolon,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5383), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7433), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
  [145582] = 4,
    ACTIONS(7371), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4238), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7442), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7444), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [145619] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [145641] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7452), 1,
      anon_sym_BANG,
    ACTIONS(7454), 1,
      anon_sym_QMARK,
    STATE(4496), 1,
      sym_type_annotation,
    STATE(5392), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145669] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANG,
    ACTIONS(7458), 1,
      anon_sym_QMARK,
    STATE(4500), 1,
      sym_type_annotation,
    STATE(5398), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145697] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145713] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7462), 1,
      anon_sym_BANG,
    ACTIONS(7464), 1,
      anon_sym_QMARK,
    STATE(4498), 1,
      sym_type_annotation,
    STATE(5225), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145741] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7466), 1,
      anon_sym_BANG,
    ACTIONS(7468), 1,
      anon_sym_QMARK,
    STATE(4537), 1,
      sym_type_annotation,
    STATE(5429), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145769] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5059), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [145791] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2467), 1,
      sym_class_body,
    STATE(3864), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5826), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145823] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_BANG,
    ACTIONS(7476), 1,
      anon_sym_QMARK,
    STATE(4541), 1,
      sym_type_annotation,
    STATE(5432), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145851] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4717), 1,
      sym_type_annotation,
    STATE(5539), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7154), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145877] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7478), 1,
      anon_sym_BANG,
    ACTIONS(7480), 1,
      anon_sym_QMARK,
    STATE(4544), 1,
      sym_type_annotation,
    STATE(5436), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145905] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145921] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2412), 1,
      sym_class_body,
    STATE(3845), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5842), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145953] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7482), 1,
      anon_sym_BANG,
    ACTIONS(7484), 1,
      anon_sym_QMARK,
    STATE(4351), 1,
      sym_type_annotation,
    STATE(5004), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5183), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [145997] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7486), 1,
      anon_sym_BANG,
    ACTIONS(7488), 1,
      anon_sym_QMARK,
    STATE(4298), 1,
      sym_type_annotation,
    STATE(5463), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146025] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(3888), 1,
      sym_type_parameters,
    STATE(4562), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5764), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4951), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146073] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5191), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5111), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146105] = 3,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5195), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [146123] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [146145] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(3889), 1,
      sym_type_parameters,
    STATE(4271), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5782), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146177] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146193] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7492), 1,
      anon_sym_BANG,
    ACTIONS(7494), 1,
      anon_sym_QMARK,
    STATE(4731), 1,
      sym_type_annotation,
    STATE(5561), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5199), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146237] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7496), 1,
      anon_sym_BANG,
    ACTIONS(7498), 1,
      anon_sym_QMARK,
    STATE(4736), 1,
      sym_type_annotation,
    STATE(5566), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146265] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym_BANG,
    ACTIONS(7502), 1,
      anon_sym_QMARK,
    STATE(4737), 1,
      sym_type_annotation,
    STATE(5568), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5203), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146309] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4843), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [146331] = 4,
    ACTIONS(7504), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4853), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146351] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7506), 1,
      anon_sym_BANG,
    ACTIONS(7508), 1,
      anon_sym_QMARK,
    STATE(4741), 1,
      sym_type_annotation,
    STATE(5575), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146379] = 3,
    ACTIONS(7510), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4863), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [146397] = 3,
    ACTIONS(7504), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4869), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146415] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146431] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_class_body,
    STATE(3890), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5795), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4883), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146479] = 3,
    ACTIONS(7504), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146497] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7514), 1,
      anon_sym_BANG,
    ACTIONS(7516), 1,
      anon_sym_QMARK,
    STATE(4752), 1,
      sym_type_annotation,
    STATE(5590), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146541] = 3,
    ACTIONS(3346), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3348), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [146559] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(872), 1,
      sym_class_body,
    STATE(3906), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5840), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146591] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3348), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146607] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7520), 1,
      anon_sym_BANG,
    ACTIONS(7522), 1,
      anon_sym_QMARK,
    STATE(4762), 1,
      sym_type_annotation,
    STATE(5596), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146635] = 7,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7526), 1,
      anon_sym_on,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7524), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [146661] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4415), 1,
      sym_type_annotation,
    STATE(4991), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7144), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7142), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [146703] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7530), 1,
      anon_sym_BANG,
    ACTIONS(7532), 1,
      anon_sym_QMARK,
    STATE(4770), 1,
      sym_type_annotation,
    STATE(5601), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146731] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5135), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146747] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7534), 1,
      anon_sym_BANG,
    ACTIONS(7536), 1,
      anon_sym_QMARK,
    STATE(4620), 1,
      sym_type_annotation,
    STATE(5078), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146775] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_BANG,
    ACTIONS(7540), 1,
      anon_sym_QMARK,
    STATE(4774), 1,
      sym_type_annotation,
    STATE(5605), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146803] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7542), 1,
      anon_sym_BANG,
    ACTIONS(7544), 1,
      anon_sym_QMARK,
    STATE(4773), 1,
      sym_type_annotation,
    STATE(5614), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146831] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7546), 1,
      anon_sym_BANG,
    ACTIONS(7548), 1,
      anon_sym_QMARK,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(4971), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146859] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_BANG,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    STATE(4469), 1,
      sym_type_annotation,
    STATE(5365), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146887] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_BANG,
    ACTIONS(7556), 1,
      anon_sym_QMARK,
    STATE(4566), 1,
      sym_type_annotation,
    STATE(5455), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146915] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7558), 1,
      anon_sym_BANG,
    ACTIONS(7560), 1,
      anon_sym_QMARK,
    STATE(4390), 1,
      sym_type_annotation,
    STATE(5323), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146943] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7562), 1,
      anon_sym_BANG,
    ACTIONS(7564), 1,
      anon_sym_QMARK,
    STATE(4574), 1,
      sym_type_annotation,
    STATE(5460), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146971] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7566), 1,
      anon_sym_BANG,
    ACTIONS(7568), 1,
      anon_sym_QMARK,
    STATE(4497), 1,
      sym_type_annotation,
    STATE(4962), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146999] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7570), 1,
      anon_sym_BANG,
    ACTIONS(7572), 1,
      anon_sym_QMARK,
    STATE(4579), 1,
      sym_type_annotation,
    STATE(4950), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147027] = 4,
    ACTIONS(7574), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4638), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7442), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147047] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_QMARK,
    STATE(4323), 1,
      sym_type_annotation,
    STATE(5106), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147075] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7580), 1,
      anon_sym_BANG,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    STATE(4378), 1,
      sym_type_annotation,
    STATE(5230), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147103] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7584), 1,
      anon_sym_BANG,
    ACTIONS(7586), 1,
      anon_sym_QMARK,
    STATE(4464), 1,
      sym_type_annotation,
    STATE(5279), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147131] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(1966), 1,
      sym_class_body,
    STATE(3849), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5899), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147163] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7588), 1,
      anon_sym_BANG,
    ACTIONS(7590), 1,
      anon_sym_QMARK,
    STATE(4700), 1,
      sym_type_annotation,
    STATE(5456), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147191] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7592), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_QMARK,
    STATE(4714), 1,
      sym_type_annotation,
    STATE(5479), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147219] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_BANG,
    ACTIONS(7598), 1,
      anon_sym_QMARK,
    STATE(4655), 1,
      sym_type_annotation,
    STATE(5083), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147247] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7600), 1,
      anon_sym_BANG,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    STATE(4663), 1,
      sym_type_annotation,
    STATE(5086), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147275] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(3891), 1,
      sym_type_parameters,
    STATE(4516), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5851), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147307] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2848), 1,
      sym_class_body,
    STATE(3918), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5941), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147339] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_type_parameters,
    STATE(4724), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5889), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147371] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2975), 1,
      sym_class_body,
    STATE(3850), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5905), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147403] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7606), 1,
      anon_sym_BANG,
    ACTIONS(7608), 1,
      anon_sym_QMARK,
    STATE(4330), 1,
      sym_type_annotation,
    STATE(4960), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3356), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147447] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3005), 1,
      sym_class_body,
    STATE(3851), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5917), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147479] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147495] = 4,
    ACTIONS(7574), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4463), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7369), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147515] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2420), 1,
      sym_class_body,
    STATE(3852), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5925), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147547] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147563] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [147589] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [147615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3352), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147631] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4923), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7612), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [147663] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2471), 1,
      sym_class_body,
    STATE(3929), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5788), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147695] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4931), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147711] = 8,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    ACTIONS(7614), 1,
      anon_sym_RBRACE,
    STATE(5877), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7423), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5257), 2,
      sym__module_export_name,
      sym_string,
  [147739] = 7,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(7616), 1,
      anon_sym_DOT,
    STATE(1229), 1,
      sym_arguments,
    STATE(5722), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3651), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [147765] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_class_body,
    STATE(3863), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5881), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147797] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2970), 1,
      sym_class_body,
    STATE(3853), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5944), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147829] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2478), 1,
      sym_class_body,
    STATE(3935), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5813), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147861] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7618), 1,
      anon_sym_BANG,
    ACTIONS(7620), 1,
      anon_sym_QMARK,
    STATE(4440), 1,
      sym_type_annotation,
    STATE(5144), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147889] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3040), 1,
      sym_class_body,
    STATE(3854), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5962), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147921] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_class_body,
    STATE(3912), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5696), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147953] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4955), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147969] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4959), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147985] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148001] = 8,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    ACTIONS(7624), 1,
      anon_sym_RBRACE,
    STATE(5877), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7423), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5257), 2,
      sym__module_export_name,
      sym_string,
  [148029] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148055] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_class_body,
    STATE(3848), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5895), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1852), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148103] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_BANG,
    ACTIONS(7628), 1,
      anon_sym_QMARK,
    STATE(4481), 1,
      sym_type_annotation,
    STATE(5377), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148131] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1856), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148147] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [148169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148185] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(1981), 1,
      sym_class_body,
    STATE(3838), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5781), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148217] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [148239] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2599), 1,
      sym_class_body,
    STATE(4053), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5924), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148271] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(5094), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7100), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7098), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148297] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_class_body,
    STATE(3880), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5936), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148329] = 6,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(7630), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7419), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [148353] = 5,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(3294), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3857), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148375] = 3,
    ACTIONS(3354), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3356), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [148393] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4991), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148409] = 3,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4995), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [148427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4999), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148443] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(263), 1,
      sym_class_body,
    STATE(3910), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5985), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148475] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5346), 1,
      aux_sym_object_repeat1,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5083), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148517] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148533] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7632), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [148549] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148565] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7634), 1,
      anon_sym_BANG,
    ACTIONS(7636), 1,
      anon_sym_QMARK,
    STATE(4359), 1,
      sym_type_annotation,
    STATE(5035), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148593] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5087), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5091), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148625] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7638), 1,
      anon_sym_BANG,
    ACTIONS(7640), 1,
      anon_sym_QMARK,
    STATE(4336), 1,
      sym_type_annotation,
    STATE(4973), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148653] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4911), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148685] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5003), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148701] = 9,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7351), 1,
      anon_sym_type,
    ACTIONS(7357), 1,
      anon_sym_typeof,
    STATE(5728), 1,
      sym__import_identifier,
    STATE(6001), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6382), 2,
      sym__module_export_name,
      sym_string,
  [148731] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148773] = 7,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7431), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym__initializer,
    STATE(4682), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148799] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7642), 1,
      anon_sym_BANG,
    ACTIONS(7644), 1,
      anon_sym_QMARK,
    STATE(4491), 1,
      sym_type_annotation,
    STATE(5385), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148827] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7439), 1,
      sym__automatic_semicolon,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5480), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7433), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
  [148855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7646), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [148871] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4592), 1,
      sym_type_annotation,
    STATE(4977), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7650), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148897] = 7,
    ACTIONS(149), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5370), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148923] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_type_annotation,
    STATE(5328), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7192), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148949] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148965] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5043), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148981] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5047), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [149003] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7652), 1,
      anon_sym_BANG,
    ACTIONS(7654), 1,
      anon_sym_QMARK,
    STATE(4671), 1,
      sym_type_annotation,
    STATE(5089), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149031] = 10,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_class_body,
    STATE(3883), 1,
      sym_type_parameters,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5685), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149063] = 3,
    ACTIONS(3350), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3352), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [149081] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5051), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149097] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7656), 1,
      anon_sym_BANG,
    ACTIONS(7658), 1,
      anon_sym_QMARK,
    STATE(4707), 1,
      sym_type_annotation,
    STATE(5195), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149125] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_BANG,
    ACTIONS(7662), 1,
      anon_sym_QMARK,
    STATE(4730), 1,
      sym_type_annotation,
    STATE(5233), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149153] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7664), 1,
      anon_sym_BANG,
    ACTIONS(7666), 1,
      anon_sym_QMARK,
    STATE(4749), 1,
      sym_type_annotation,
    STATE(5265), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149197] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7668), 1,
      anon_sym_BANG,
    ACTIONS(7670), 1,
      anon_sym_QMARK,
    STATE(4771), 1,
      sym_type_annotation,
    STATE(5342), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149225] = 8,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_BANG,
    ACTIONS(7674), 1,
      anon_sym_QMARK,
    STATE(4342), 1,
      sym_type_annotation,
    STATE(4979), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149253] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7676), 1,
      sym_identifier,
    ACTIONS(7678), 1,
      sym_this,
    STATE(3234), 1,
      sym__type_query_member_expression,
    STATE(3235), 1,
      sym__type_query_subscript_expression,
    STATE(3463), 1,
      sym__type_query_call_expression,
    STATE(3595), 1,
      sym__type_query_instantiation_expression,
    STATE(4882), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149282] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7682), 1,
      anon_sym_BQUOTE,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149307] = 7,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7688), 1,
      sym_escape_sequence,
    ACTIONS(7690), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4104), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149332] = 5,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7419), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149353] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4405), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149376] = 7,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    STATE(5877), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7423), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5257), 2,
      sym__module_export_name,
      sym_string,
  [149401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3691), 8,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_LT,
      anon_sym_AT,
      anon_sym_abstract,
  [149416] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7698), 1,
      sym_identifier,
    ACTIONS(7700), 1,
      sym_this,
    STATE(3236), 1,
      sym__type_query_call_expression,
    STATE(3280), 1,
      sym__type_query_instantiation_expression,
    STATE(3478), 1,
      sym__type_query_member_expression,
    STATE(3479), 1,
      sym__type_query_subscript_expression,
    STATE(4936), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149445] = 7,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_enum,
    STATE(4791), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [149470] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4674), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149493] = 3,
    ACTIONS(7347), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149510] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7704), 1,
      sym_identifier,
    ACTIONS(7706), 1,
      sym_this,
    STATE(3325), 1,
      sym__type_query_member_expression,
    STATE(3326), 1,
      sym__type_query_subscript_expression,
    STATE(3560), 1,
      sym__type_query_call_expression,
    STATE(3651), 1,
      sym__type_query_instantiation_expression,
    STATE(4835), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149539] = 3,
    ACTIONS(7347), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149556] = 5,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(7710), 1,
      anon_sym_DOT,
    STATE(4569), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149577] = 3,
    ACTIONS(7712), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149594] = 5,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    STATE(4569), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149615] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7716), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149655] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7718), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149680] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7720), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149701] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4681), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149724] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4572), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149747] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4393), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149770] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7722), 1,
      sym_identifier,
    ACTIONS(7724), 1,
      sym_this,
    STATE(2074), 1,
      sym__type_query_member_expression,
    STATE(2075), 1,
      sym__type_query_subscript_expression,
    STATE(2340), 1,
      sym__type_query_call_expression,
    STATE(2342), 1,
      sym__type_query_instantiation_expression,
    STATE(4814), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149799] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4679), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149822] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4430), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149845] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4576), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [149868] = 4,
    ACTIONS(7298), 1,
      anon_sym_LT,
    STATE(3315), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149887] = 7,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7688), 1,
      sym_escape_sequence,
    ACTIONS(7726), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4104), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149912] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7728), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4302), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149937] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149952] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [149967] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1852), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149982] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1856), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149997] = 7,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7730), 1,
      anon_sym_enum,
    STATE(4911), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [150022] = 6,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7694), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7696), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4391), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [150045] = 4,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4915), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_extends,
  [150064] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7732), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [150089] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150110] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7337), 1,
      anon_sym_PIPE,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7736), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150131] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7738), 1,
      sym_identifier,
    ACTIONS(7740), 1,
      sym_this,
    STATE(1669), 1,
      sym__type_query_member_expression,
    STATE(1670), 1,
      sym__type_query_subscript_expression,
    STATE(1880), 1,
      sym__type_query_call_expression,
    STATE(1881), 1,
      sym__type_query_instantiation_expression,
    STATE(4944), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150160] = 7,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7742), 1,
      anon_sym_enum,
    STATE(4802), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [150185] = 9,
    ACTIONS(1660), 1,
      anon_sym_import,
    ACTIONS(7700), 1,
      sym_this,
    ACTIONS(7744), 1,
      sym_identifier,
    STATE(3188), 1,
      sym__type_query_member_expression,
    STATE(3189), 1,
      sym__type_query_subscript_expression,
    STATE(3236), 1,
      sym__type_query_call_expression,
    STATE(3280), 1,
      sym__type_query_instantiation_expression,
    STATE(4916), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150214] = 7,
    ACTIONS(7680), 1,
      sym_escape_sequence,
    ACTIONS(7684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7686), 1,
      sym__template_chars,
    ACTIONS(7746), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [150239] = 7,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    ACTIONS(7435), 1,
      anon_sym_BANG,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5383), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150264] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4303), 1,
      sym_type_annotation,
    STATE(5468), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150286] = 4,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150304] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7748), 1,
      sym_identifier,
    ACTIONS(7750), 1,
      anon_sym_DOT,
    STATE(821), 1,
      sym__module,
    STATE(4277), 1,
      sym_nested_identifier,
    STATE(4859), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150330] = 8,
    ACTIONS(7752), 1,
      anon_sym_LBRACE,
    ACTIONS(7754), 1,
      anon_sym_LT,
    ACTIONS(7756), 1,
      anon_sym_extends,
    ACTIONS(7758), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3089), 1,
      sym_object_type,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(5473), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150356] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2008), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5852), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5513), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [150396] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(7760), 1,
      anon_sym_DOT,
    STATE(2367), 1,
      sym_arguments,
    STATE(5789), 1,
      sym_optional_chain,
    STATE(5790), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150422] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [150444] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4371), 1,
      sym_type_annotation,
    STATE(5060), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150466] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [150480] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(1993), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5901), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150506] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2418), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5913), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150532] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2386), 1,
      sym_arguments,
    STATE(3825), 1,
      sym_type_arguments,
    STATE(5789), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150558] = 3,
    ACTIONS(7395), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4809), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150574] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5934), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150600] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(1958), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5939), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150626] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2968), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5940), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150652] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3033), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5958), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150678] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2427), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5961), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150704] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2969), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5968), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150730] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3057), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5978), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150756] = 3,
    ACTIONS(7766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [150772] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7632), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [150786] = 5,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_RBRACE,
    STATE(5001), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [150806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5581), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [150820] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4308), 1,
      sym_type_annotation,
    STATE(5490), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150842] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4320), 1,
      sym_type_annotation,
    STATE(5576), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150864] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      sym_identifier,
    STATE(4945), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3769), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [150886] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7770), 1,
      sym_identifier,
    ACTIONS(7772), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5863), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150912] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(855), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5655), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150938] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2528), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5816), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150964] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4325), 1,
      sym_type_annotation,
    STATE(5609), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150986] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4326), 1,
      sym_type_annotation,
    STATE(5612), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151008] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      sym_identifier,
    STATE(4802), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3771), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [151030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7776), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [151044] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4418), 1,
      sym_type_annotation,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151066] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151084] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5695), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151102] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7780), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151120] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      sym_identifier,
    ACTIONS(7784), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5669), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151146] = 8,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7750), 1,
      anon_sym_DOT,
    ACTIONS(7786), 1,
      sym_identifier,
    STATE(790), 1,
      sym_nested_identifier,
    STATE(794), 1,
      sym_string,
    STATE(821), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151172] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4331), 1,
      sym_type_annotation,
    STATE(4963), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151194] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4332), 1,
      sym_type_annotation,
    STATE(4966), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151216] = 8,
    ACTIONS(3715), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_SQUOTE,
    ACTIONS(7788), 1,
      sym_identifier,
    ACTIONS(7790), 1,
      anon_sym_DOT,
    STATE(2820), 1,
      sym_nested_identifier,
    STATE(2898), 1,
      sym_string,
    STATE(3074), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151242] = 8,
    ACTIONS(1126), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1700), 1,
      anon_sym_LBRACE,
    ACTIONS(7754), 1,
      anon_sym_LT,
    ACTIONS(7756), 1,
      anon_sym_extends,
    STATE(4513), 1,
      sym_type_parameters,
    STATE(4661), 1,
      sym_object_type,
    STATE(5034), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151268] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7792), 1,
      anon_sym_DOT,
    STATE(1868), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151294] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(809), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5888), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151320] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4454), 1,
      sym_type_annotation,
    STATE(5350), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7646), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [151356] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5779), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151382] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4909), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [151404] = 4,
    ACTIONS(5658), 1,
      anon_sym_COMMA,
    STATE(3975), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7794), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [151422] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    STATE(1767), 1,
      sym_arguments,
    STATE(3496), 1,
      sym_type_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151448] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4471), 1,
      sym_type_annotation,
    STATE(5366), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151470] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4505), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5844), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151496] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4584), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5870), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151522] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5887), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151548] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4334), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5942), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151574] = 4,
    ACTIONS(4781), 1,
      anon_sym_extends,
    ACTIONS(7796), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_GT,
  [151592] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4352), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5984), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151618] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4396), 1,
      sym_type_annotation,
    STATE(5099), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7798), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151640] = 6,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    STATE(4912), 1,
      sym_constraint,
    STATE(5937), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7261), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7800), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [151662] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4501), 1,
      sym_type_annotation,
    STATE(5401), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151684] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4508), 1,
      sym_type_annotation,
    STATE(5403), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151706] = 8,
    ACTIONS(127), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(7754), 1,
      anon_sym_LT,
    ACTIONS(7756), 1,
      anon_sym_extends,
    STATE(897), 1,
      sym_object_type,
    STATE(4365), 1,
      sym_type_parameters,
    STATE(5038), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151732] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4545), 1,
      sym_type_annotation,
    STATE(5437), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151754] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4546), 1,
      sym_type_annotation,
    STATE(5438), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151776] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_type_annotation,
    STATE(5440), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151798] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4548), 1,
      sym_type_annotation,
    STATE(5441), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151820] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4420), 1,
      sym_type_annotation,
    STATE(5115), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151842] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4421), 1,
      sym_type_annotation,
    STATE(5116), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5540), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [151878] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(830), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(6053), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151904] = 8,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(7806), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4852), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5182), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151930] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4422), 1,
      sym_type_annotation,
    STATE(5129), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151952] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4424), 1,
      sym_type_annotation,
    STATE(5132), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151974] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5857), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152000] = 7,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    ACTIONS(7812), 1,
      anon_sym_QMARK,
    STATE(4871), 1,
      sym_type_annotation,
    STATE(5992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7810), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [152024] = 8,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5770), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152050] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4441), 1,
      sym_type_annotation,
    STATE(5147), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152072] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4442), 1,
      sym_type_annotation,
    STATE(5151), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152094] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4443), 1,
      sym_type_annotation,
    STATE(5155), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152116] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4447), 1,
      sym_type_annotation,
    STATE(5157), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152138] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4581), 1,
      sym_type_annotation,
    STATE(5461), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152160] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2821), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5657), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152186] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4450), 1,
      sym_type_annotation,
    STATE(5168), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152208] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4610), 1,
      sym_type_annotation,
    STATE(5483), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7313), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152230] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4451), 1,
      sym_type_annotation,
    STATE(5171), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152252] = 4,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4625), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152270] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152288] = 8,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(7818), 1,
      sym_identifier,
    ACTIONS(7820), 1,
      anon_sym_DOT,
    STATE(3804), 1,
      sym_nested_identifier,
    STATE(4031), 1,
      sym_string,
    STATE(4518), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152314] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6039), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152332] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5678), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152350] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5688), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152368] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7824), 1,
      anon_sym_DOT,
    STATE(1868), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152394] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2476), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5810), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152420] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4452), 1,
      sym_type_annotation,
    STATE(5184), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152442] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [152456] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4457), 1,
      sym_type_annotation,
    STATE(5185), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152478] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4416), 1,
      sym_type_annotation,
    STATE(4984), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152500] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    STATE(2843), 1,
      sym_arguments,
    STATE(3496), 1,
      sym_type_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152526] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2484), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5822), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152552] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2469), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5834), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152578] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [152592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5981), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [152606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7444), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [152620] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4344), 1,
      sym_type_annotation,
    STATE(4988), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152642] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4466), 1,
      sym_type_annotation,
    STATE(5197), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152664] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4345), 1,
      sym_type_annotation,
    STATE(4992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7612), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [152700] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4311), 1,
      sym_type_annotation,
    STATE(5506), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152722] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4475), 1,
      sym_type_annotation,
    STATE(5212), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152744] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4484), 1,
      sym_type_annotation,
    STATE(5214), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152766] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4353), 1,
      sym_type_annotation,
    STATE(5009), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152788] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4507), 1,
      sym_type_annotation,
    STATE(5226), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152810] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4510), 1,
      sym_type_annotation,
    STATE(5232), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152832] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6043), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152850] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5616), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152868] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152886] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152904] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4523), 1,
      sym_type_annotation,
    STATE(5236), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152926] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_type_annotation,
    STATE(5247), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152948] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4550), 1,
      sym_type_annotation,
    STATE(5262), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152970] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4552), 1,
      sym_type_annotation,
    STATE(5264), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152992] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7832), 1,
      anon_sym_DOT,
    STATE(2841), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153018] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4553), 1,
      sym_type_annotation,
    STATE(5275), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153040] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4558), 1,
      sym_type_annotation,
    STATE(5281), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153062] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2744), 1,
      sym_arguments,
    STATE(3825), 1,
      sym_type_arguments,
    STATE(5789), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153088] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4355), 1,
      sym_type_annotation,
    STATE(5013), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153110] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153128] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153146] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6002), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153164] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6006), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153182] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5965), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153200] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7840), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153218] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6026), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153236] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5639), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7842), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153254] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5641), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7844), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153272] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7846), 1,
      anon_sym_COLON,
    ACTIONS(7848), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5702), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153298] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5693), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7850), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153316] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4356), 1,
      sym_type_annotation,
    STATE(5017), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153338] = 4,
    ACTIONS(7852), 1,
      anon_sym_COMMA,
    STATE(3975), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5562), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [153356] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    STATE(2741), 1,
      sym_arguments,
    STATE(5789), 1,
      sym_optional_chain,
    STATE(5790), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153382] = 8,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(6964), 1,
      anon_sym_LT,
    STATE(2233), 1,
      sym_arguments,
    STATE(3542), 1,
      sym_type_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153408] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4292), 1,
      sym_type_annotation,
    STATE(5442), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153430] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(7857), 1,
      anon_sym_DOT,
    STATE(2226), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153456] = 6,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1996), 1,
      sym_arguments,
    STATE(5819), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7859), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [153478] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2850), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5624), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153504] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4687), 1,
      sym_type_annotation,
    STATE(5525), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7327), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153526] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4598), 1,
      sym_type_annotation,
    STATE(5330), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153548] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4945), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [153570] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      sym_identifier,
    ACTIONS(7865), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5690), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153596] = 3,
    ACTIONS(7867), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153612] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4599), 1,
      sym_type_annotation,
    STATE(5341), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153634] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      sym_identifier,
    ACTIONS(7872), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5784), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153660] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_type_annotation,
    STATE(5545), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153682] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4726), 1,
      sym_type_annotation,
    STATE(5552), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153704] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4728), 1,
      sym_type_annotation,
    STATE(5555), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153726] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4729), 1,
      sym_type_annotation,
    STATE(5556), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153748] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4911), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [153770] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7874), 1,
      anon_sym_DOT,
    STATE(2263), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153796] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4732), 1,
      sym_type_annotation,
    STATE(5562), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153818] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4733), 1,
      sym_type_annotation,
    STATE(5563), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153840] = 3,
    ACTIONS(7395), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4779), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153856] = 3,
    ACTIONS(7876), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4783), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153872] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_type_annotation,
    STATE(5570), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153894] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_type_annotation,
    STATE(5572), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153916] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4604), 1,
      sym_type_annotation,
    STATE(5393), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153938] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4605), 1,
      sym_type_annotation,
    STATE(5400), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153960] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4742), 1,
      sym_type_annotation,
    STATE(5577), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153982] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4743), 1,
      sym_type_annotation,
    STATE(5578), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154004] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154024] = 3,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4995), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [154040] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4745), 1,
      sym_type_annotation,
    STATE(5581), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154062] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4747), 1,
      sym_type_annotation,
    STATE(5583), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154084] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2604), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5943), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154110] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(7886), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5863), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154136] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5047), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154156] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154176] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5059), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154196] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7888), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [154230] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4399), 1,
      sym_type_annotation,
    STATE(5130), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7317), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154252] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5622), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154270] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154290] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4776), 1,
      sym_type_annotation,
    STATE(5608), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154312] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4778), 1,
      sym_type_annotation,
    STATE(5611), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154334] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7892), 1,
      sym_identifier,
    ACTIONS(7894), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5669), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154360] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4438), 1,
      sym_type_annotation,
    STATE(5396), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154382] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4524), 1,
      sym_type_annotation,
    STATE(5148), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154404] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4560), 1,
      sym_type_annotation,
    STATE(5599), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154426] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4716), 1,
      sym_type_annotation,
    STATE(5033), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154448] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4431), 1,
      sym_type_annotation,
    STATE(4954), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154470] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5427), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154492] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_type_annotation,
    STATE(5087), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7331), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154514] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4474), 1,
      sym_type_annotation,
    STATE(5320), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154536] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4561), 1,
      sym_type_annotation,
    STATE(5337), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154558] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(4569), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154576] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4748), 1,
      sym_type_annotation,
    STATE(5519), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154598] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_type_annotation,
    STATE(5582), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154620] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_type_annotation,
    STATE(5613), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154642] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4369), 1,
      sym_type_annotation,
    STATE(4957), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154664] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4305), 1,
      sym_type_annotation,
    STATE(5472), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154686] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4905), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [154708] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4791), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [154730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154744] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4385), 1,
      sym_type_annotation,
    STATE(5044), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1826), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154780] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4425), 1,
      sym_type_annotation,
    STATE(5097), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154802] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    STATE(2440), 1,
      sym_arguments,
    STATE(5789), 1,
      sym_optional_chain,
    STATE(5790), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154828] = 6,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    STATE(4850), 1,
      sym_constraint,
    STATE(5625), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7261), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7896), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [154850] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5480), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154872] = 4,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4657), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154890] = 7,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7377), 1,
      anon_sym_type,
    STATE(5990), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6357), 2,
      sym__module_export_name,
      sym_string,
  [154914] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4307), 1,
      sym_type_annotation,
    STATE(5475), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154936] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4361), 1,
      sym_type_annotation,
    STATE(5039), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154958] = 3,
    ACTIONS(7900), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154974] = 4,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4769), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7903), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154992] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    STATE(1943), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155018] = 8,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(2445), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5845), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155044] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4367), 1,
      sym_type_annotation,
    STATE(5043), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155066] = 6,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(7762), 1,
      sym_identifier,
    STATE(4802), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [155088] = 4,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4274), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7905), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155106] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7907), 1,
      sym_identifier,
    ACTIONS(7909), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5669), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155132] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7911), 1,
      sym_identifier,
    ACTIONS(7913), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5863), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155158] = 3,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5195), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [155174] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4843), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155194] = 3,
    ACTIONS(7915), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4863), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [155210] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4368), 1,
      sym_type_annotation,
    STATE(5046), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155232] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7792), 1,
      anon_sym_DOT,
    STATE(2263), 1,
      sym_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    STATE(5713), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155258] = 6,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2407), 1,
      sym_arguments,
    STATE(5960), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7859), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [155280] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4370), 1,
      sym_type_annotation,
    STATE(5049), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155302] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7848), 1,
      anon_sym_QMARK,
    ACTIONS(7917), 1,
      anon_sym_COLON,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5702), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155328] = 8,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_extends,
    ACTIONS(7472), 1,
      anon_sym_implements,
    STATE(1983), 1,
      sym_class_body,
    STATE(5227), 1,
      sym_extends_clause,
    STATE(5783), 1,
      sym_class_heritage,
    STATE(6369), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155354] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4578), 1,
      sym_type_annotation,
    STATE(4970), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7329), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155376] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4607), 1,
      sym_type_annotation,
    STATE(5014), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155398] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4634), 1,
      sym_type_annotation,
    STATE(5067), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155420] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4660), 1,
      sym_type_annotation,
    STATE(5072), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155442] = 8,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    ACTIONS(5233), 1,
      anon_sym_QMARK_DOT,
    STATE(2249), 1,
      sym_arguments,
    STATE(3496), 1,
      sym_type_arguments,
    STATE(5712), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155468] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_type_annotation,
    STATE(5091), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155490] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4684), 1,
      sym_type_annotation,
    STATE(5096), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155512] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym_type_annotation,
    STATE(5105), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155534] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4696), 1,
      sym_type_annotation,
    STATE(5107), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155556] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_type_annotation,
    STATE(5140), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155578] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4698), 1,
      sym_type_annotation,
    STATE(5145), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155600] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4711), 1,
      sym_type_annotation,
    STATE(5202), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155622] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4715), 1,
      sym_type_annotation,
    STATE(5213), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155644] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4750), 1,
      sym_type_annotation,
    STATE(5282), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155666] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7919), 1,
      sym_identifier,
    ACTIONS(7921), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5669), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155692] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4754), 1,
      sym_type_annotation,
    STATE(5307), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155714] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7923), 1,
      sym_identifier,
    ACTIONS(7925), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5863), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155740] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155754] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4278), 1,
      sym_type_annotation,
    STATE(5402), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155776] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4281), 1,
      sym_type_annotation,
    STATE(5425), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155798] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7927), 1,
      sym_identifier,
    ACTIONS(7929), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5669), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155824] = 8,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_STAR,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5863), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155850] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4290), 1,
      sym_type_annotation,
    STATE(5434), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155872] = 6,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym_type_annotation,
    STATE(5022), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155894] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2084), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155911] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155928] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(7935), 1,
      anon_sym_COMMA,
    ACTIONS(7937), 1,
      anon_sym_GT,
    STATE(5162), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155951] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7939), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3968), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155974] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7941), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4151), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155997] = 5,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5026), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [156016] = 7,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(7947), 1,
      anon_sym_export,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_abstract,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156039] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7953), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(5544), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156062] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(7818), 1,
      sym_identifier,
    STATE(3804), 1,
      sym_nested_identifier,
    STATE(4031), 1,
      sym_string,
    STATE(4568), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156085] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7955), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5785), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156108] = 7,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(7818), 1,
      sym_identifier,
    STATE(3804), 1,
      sym_nested_identifier,
    STATE(4031), 1,
      sym_string,
    STATE(4518), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156131] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(7957), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4093), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156154] = 5,
    ACTIONS(7961), 1,
      anon_sym_BQUOTE,
    ACTIONS(7963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7959), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4111), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [156173] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [156192] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7971), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3971), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156215] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3870), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156238] = 4,
    STATE(4120), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7977), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7975), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156255] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7979), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5829), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156278] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7981), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6054), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156301] = 5,
    ACTIONS(7986), 1,
      anon_sym_BQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7983), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4111), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [156320] = 3,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5195), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [156335] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4843), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [156354] = 3,
    ACTIONS(7991), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4863), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [156369] = 4,
    STATE(4133), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3861), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7993), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156386] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3861), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7993), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156403] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4381), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156426] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2046), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156443] = 4,
    STATE(4127), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156460] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156477] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(7999), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5914), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156500] = 7,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(7616), 1,
      anon_sym_DOT,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
    STATE(1229), 1,
      sym_arguments,
    STATE(5722), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156523] = 4,
    STATE(4189), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3897), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8003), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156540] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8005), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5620), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8007), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156576] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3897), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8003), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156593] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3879), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8009), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156610] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156627] = 5,
    ACTIONS(8011), 1,
      anon_sym_default,
    ACTIONS(8013), 1,
      anon_sym_RBRACE,
    ACTIONS(8015), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4247), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [156646] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8017), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5957), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156669] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2047), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7840), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156686] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4971), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [156705] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3873), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156722] = 3,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4995), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [156737] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8021), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5630), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7776), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [156773] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8023), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5973), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7826), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [156809] = 7,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(7616), 1,
      anon_sym_DOT,
    ACTIONS(8025), 1,
      anon_sym_RPAREN,
    STATE(1229), 1,
      sym_arguments,
    STATE(5722), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156832] = 6,
    ACTIONS(8027), 1,
      anon_sym_as,
    ACTIONS(8031), 1,
      anon_sym_DOT,
    ACTIONS(8033), 1,
      aux_sym_ui_version_specifier_token1,
    STATE(5278), 1,
      sym_ui_version_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8029), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [156853] = 5,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(7945), 1,
      anon_sym_LBRACK,
    ACTIONS(8035), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4943), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [156872] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8037), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5989), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156895] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156912] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8039), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5996), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156935] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8041), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5656), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156958] = 5,
    ACTIONS(3637), 1,
      anon_sym_LBRACE,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(8043), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5600), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [156977] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(8045), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4243), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157000] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157017] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7369), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157034] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157051] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2060), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157068] = 4,
    STATE(4200), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8051), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8049), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157085] = 7,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7526), 1,
      anon_sym_on,
    ACTIONS(8053), 1,
      anon_sym_function,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157108] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(8055), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4249), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157131] = 5,
    ACTIONS(8011), 1,
      anon_sym_default,
    ACTIONS(8015), 1,
      anon_sym_case,
    ACTIONS(8057), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4236), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [157150] = 6,
    ACTIONS(8033), 1,
      aux_sym_ui_version_specifier_token1,
    ACTIONS(8059), 1,
      anon_sym_as,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    STATE(5453), 1,
      sym_ui_version_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [157171] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [157190] = 5,
    ACTIONS(7963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8067), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7688), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4104), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [157209] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8069), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5630), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157232] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8071), 1,
      anon_sym_COMMA,
    ACTIONS(8073), 1,
      anon_sym_GT,
    STATE(5239), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157255] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8075), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [157274] = 4,
    STATE(4126), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8079), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8077), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157291] = 4,
    STATE(4171), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8083), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8081), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157308] = 4,
    ACTIONS(8087), 1,
      anon_sym_property,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4260), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(8085), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [157325] = 6,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(4829), 1,
      sym_type_annotation,
    STATE(5659), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8089), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [157346] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8091), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3925), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157369] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157386] = 4,
    STATE(4179), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3899), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8093), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157416] = 7,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8095), 1,
      anon_sym_export,
    ACTIONS(8097), 1,
      anon_sym_class,
    ACTIONS(8099), 1,
      anon_sym_abstract,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157439] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3899), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8093), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157456] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8101), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6050), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157479] = 7,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7389), 1,
      anon_sym_on,
    ACTIONS(8103), 1,
      sym_identifier,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157502] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157519] = 7,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7389), 1,
      anon_sym_on,
    ACTIONS(8105), 1,
      sym_identifier,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157542] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7850), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157559] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157585] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3913), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157628] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8109), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4556), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157651] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8111), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5933), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157674] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [157687] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8113), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4997), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157710] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8115), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4652), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157733] = 4,
    STATE(4194), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3871), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157750] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4354), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157765] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3923), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157782] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5047), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [157801] = 7,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4900), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5183), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157824] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [157843] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8125), 1,
      anon_sym_COMMA,
    ACTIONS(8127), 1,
      anon_sym_GT,
    STATE(5020), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157866] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3869), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157883] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8131), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4768), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157906] = 5,
    ACTIONS(7963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8133), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7680), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4246), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [157925] = 7,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(7951), 1,
      anon_sym_abstract,
    ACTIONS(8135), 1,
      anon_sym_export,
    ACTIONS(8137), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157948] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5059), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [157967] = 5,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [157986] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3871), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158003] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8139), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4582), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158026] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8141), 1,
      anon_sym_LBRACE,
    ACTIONS(8143), 1,
      anon_sym_COMMA,
    STATE(5193), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158049] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6031), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158072] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7748), 1,
      sym_identifier,
    STATE(856), 1,
      sym__module,
    STATE(4277), 1,
      sym_nested_identifier,
    STATE(4859), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158095] = 7,
    ACTIONS(3715), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_SQUOTE,
    ACTIONS(7788), 1,
      sym_identifier,
    STATE(2820), 1,
      sym_nested_identifier,
    STATE(2898), 1,
      sym_string,
    STATE(2987), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158118] = 7,
    ACTIONS(3715), 1,
      anon_sym_DQUOTE,
    ACTIONS(3717), 1,
      anon_sym_SQUOTE,
    ACTIONS(7788), 1,
      sym_identifier,
    STATE(2820), 1,
      sym_nested_identifier,
    STATE(2898), 1,
      sym_string,
    STATE(3074), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158141] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2030), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158158] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158175] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8150), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158192] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(8152), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4131), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158215] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158232] = 5,
    ACTIONS(8154), 1,
      anon_sym_default,
    ACTIONS(8157), 1,
      anon_sym_RBRACE,
    ACTIONS(8159), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4212), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [158251] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5630), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158274] = 6,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(5182), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8166), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [158295] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(8170), 1,
      anon_sym_GT,
    STATE(5285), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158318] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8172), 1,
      anon_sym_QMARK,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6034), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158341] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7888), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [158354] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7748), 1,
      sym_identifier,
    STATE(821), 1,
      sym__module,
    STATE(4277), 1,
      sym_nested_identifier,
    STATE(4859), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158377] = 4,
    STATE(4226), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8176), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8174), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158394] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8178), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5867), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158417] = 5,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
    ACTIONS(7945), 1,
      anon_sym_LBRACK,
    ACTIONS(8180), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5404), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [158436] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2050), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7842), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158453] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3951), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158476] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8184), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158489] = 4,
    STATE(4233), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3917), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8186), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158506] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3917), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8186), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158523] = 6,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8190), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8188), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [158544] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7442), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [158561] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158578] = 4,
    STATE(4116), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8194), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8192), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158595] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8196), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5867), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158618] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2038), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7780), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158635] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3919), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8200), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158665] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8202), 1,
      anon_sym_COMMA,
    ACTIONS(8204), 1,
      anon_sym_GT,
    STATE(4964), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158688] = 5,
    ACTIONS(8011), 1,
      anon_sym_default,
    ACTIONS(8015), 1,
      anon_sym_case,
    ACTIONS(8206), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4212), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [158707] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [158720] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8208), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158733] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2040), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158750] = 4,
    STATE(4250), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8212), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8210), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158767] = 5,
    ACTIONS(8214), 1,
      anon_sym_AT,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3671), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [158786] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7786), 1,
      sym_identifier,
    STATE(790), 1,
      sym_nested_identifier,
    STATE(794), 1,
      sym_string,
    STATE(821), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158809] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7844), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158826] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(5336), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158849] = 7,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8219), 1,
      anon_sym_COMMA,
    ACTIONS(8221), 1,
      anon_sym_GT,
    STATE(5424), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158872] = 5,
    ACTIONS(7963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8223), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7959), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4111), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [158891] = 5,
    ACTIONS(8011), 1,
      anon_sym_default,
    ACTIONS(8015), 1,
      anon_sym_case,
    ACTIONS(8225), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4212), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [158910] = 4,
    STATE(4254), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3925), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8227), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158927] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2063), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158944] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3925), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8227), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158961] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8229), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5630), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158984] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8231), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5867), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159007] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    ACTIONS(8233), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4208), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159030] = 4,
    STATE(4209), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3927), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159047] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8237), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5867), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159070] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8239), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3964), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159093] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    ACTIONS(8241), 1,
      anon_sym_QMARK,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4616), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159116] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8243), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5630), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159139] = 7,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    ACTIONS(8245), 1,
      sym_identifier,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5867), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159162] = 4,
    ACTIONS(8250), 1,
      anon_sym_property,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4260), 2,
      sym_ui_property_modifier,
      aux_sym_ui_property_repeat1,
    ACTIONS(8247), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [159179] = 4,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2022), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159196] = 7,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(7786), 1,
      sym_identifier,
    STATE(790), 1,
      sym_nested_identifier,
    STATE(794), 1,
      sym_string,
    STATE(856), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159219] = 4,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(8252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [159235] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8254), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159271] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8256), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6016), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [159307] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4150), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2858), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159339] = 5,
    ACTIONS(8258), 1,
      anon_sym_BQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8262), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4288), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [159357] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      anon_sym_SEMI,
    ACTIONS(8266), 1,
      sym__automatic_semicolon,
    ACTIONS(8268), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2872), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159377] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8270), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8272), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [159401] = 5,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_DOT,
    STATE(869), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_else,
      anon_sym_while,
  [159419] = 5,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    STATE(869), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_else,
      anon_sym_while,
  [159437] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159453] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159471] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4354), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(8280), 1,
      anon_sym_RBRACE,
    STATE(5310), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159491] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159507] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8282), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2890), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159531] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3950), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159551] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4658), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159571] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159583] = 4,
    STATE(5753), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159599] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8288), 1,
      anon_sym_BQUOTE,
    ACTIONS(8290), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [159617] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5647), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159637] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159653] = 6,
    ACTIONS(1796), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_SEMI,
    ACTIONS(8294), 1,
      sym__automatic_semicolon,
    ACTIONS(8296), 1,
      sym__function_signature_automatic_semicolon,
    STATE(255), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159673] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5181), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159689] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8298), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [159705] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_SEMI,
    ACTIONS(8303), 1,
      sym__automatic_semicolon,
    ACTIONS(8305), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2477), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159725] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8309), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [159755] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3963), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159775] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5187), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159791] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3967), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159811] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8301), 1,
      anon_sym_SEMI,
    ACTIONS(8303), 1,
      sym__automatic_semicolon,
    ACTIONS(8305), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4693), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159831] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(8313), 1,
      anon_sym_SEMI,
    ACTIONS(8315), 1,
      sym__automatic_semicolon,
    ACTIONS(8317), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2481), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159851] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8290), 1,
      sym__template_chars,
    ACTIONS(8319), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [159869] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159885] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8321), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [159901] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5190), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159917] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8313), 1,
      anon_sym_SEMI,
    ACTIONS(8315), 1,
      sym__automatic_semicolon,
    ACTIONS(8317), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4444), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159937] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159953] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5192), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159969] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3970), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159989] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4989), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160005] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5194), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160021] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5196), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160037] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3973), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160069] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5532), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8328), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2910), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160109] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6052), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160129] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5203), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160145] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5204), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160161] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5206), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160177] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8330), 1,
      anon_sym_BQUOTE,
    ACTIONS(8332), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4400), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [160195] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160211] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5890), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160231] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5208), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160247] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1916), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160275] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1946), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160287] = 4,
    ACTIONS(8338), 1,
      anon_sym_in,
    ACTIONS(8340), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8336), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160303] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5217), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160319] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5219), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160335] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5221), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160351] = 4,
    ACTIONS(8342), 1,
      anon_sym_in,
    ACTIONS(8344), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8336), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1956), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160391] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2766), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2770), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2774), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160443] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5855), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160475] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5259), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5833), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [160503] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5260), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160519] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5261), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160535] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8346), 1,
      anon_sym_BQUOTE,
    ACTIONS(8348), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4354), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [160553] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2782), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160577] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2794), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160589] = 6,
    ACTIONS(8350), 1,
      sym_identifier,
    ACTIONS(8352), 1,
      anon_sym_RPAREN,
    STATE(4994), 1,
      sym_ui_signal_parameter,
    STATE(6189), 1,
      sym_nested_type_identifier,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160609] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5266), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2798), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160637] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5267), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160653] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8290), 1,
      sym__template_chars,
    ACTIONS(8354), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [160671] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5270), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160687] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5272), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160703] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5273), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160719] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8356), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [160735] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5283), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160751] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160763] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160779] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160791] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [160803] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5931), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160823] = 6,
    ACTIONS(127), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_extends,
    STATE(882), 1,
      sym_object_type,
    STATE(4976), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160855] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5286), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160871] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5296), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160887] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5058), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160903] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5298), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160919] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5301), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160935] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5305), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160951] = 6,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    ACTIONS(7526), 1,
      anon_sym_on,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160971] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8361), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [160987] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5522), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161003] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4291), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161023] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5497), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161039] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5015), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161067] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4570), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7840), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161099] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5069), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161115] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5607), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161131] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1994), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161143] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5071), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161159] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161177] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161189] = 5,
    ACTIONS(7298), 1,
      anon_sym_LT,
    ACTIONS(8366), 1,
      anon_sym_LBRACE,
    STATE(5183), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8368), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [161207] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8370), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161219] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4952), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161235] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161271] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2850), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161295] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5322), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8376), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161311] = 5,
    ACTIONS(8378), 1,
      sym_identifier,
    ACTIONS(8380), 1,
      anon_sym_LPAREN,
    STATE(2057), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2836), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [161329] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161341] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5011), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8382), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161357] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8290), 1,
      sym__template_chars,
    ACTIONS(8384), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [161375] = 6,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(8386), 1,
      anon_sym_as,
    ACTIONS(8388), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161443] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4176), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161463] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4239), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161483] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8392), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [161501] = 4,
    ACTIONS(7018), 1,
      anon_sym_LBRACK,
    ACTIONS(8394), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [161517] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5990), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161529] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4207), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161549] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161565] = 5,
    ACTIONS(8396), 1,
      anon_sym_BQUOTE,
    ACTIONS(8398), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8401), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [161583] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8404), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161601] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5314), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161617] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5315), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161633] = 4,
    STATE(5831), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8410), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161649] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5523), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8412), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161665] = 4,
    STATE(5832), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161681] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5324), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161697] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5326), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161713] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5327), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5994), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161741] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5329), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161757] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161773] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5077), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161789] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4953), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161805] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5535), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161821] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8420), 1,
      anon_sym_BQUOTE,
    ACTIONS(8422), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4477), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [161839] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161851] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5526), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5994), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161879] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4956), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161895] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5734), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161915] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161927] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5994), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [161939] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(5540), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161959] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5499), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3014), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161987] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5356), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162003] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162019] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5364), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162035] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5369), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162051] = 3,
    ACTIONS(6002), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1926), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162065] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162085] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5786), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162105] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5371), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162121] = 3,
    ACTIONS(6004), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1936), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162135] = 3,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5946), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [162149] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162165] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5376), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162181] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5379), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162197] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5547), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162213] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5548), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162229] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5549), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162245] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162257] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162273] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5554), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162289] = 3,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [162303] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5823), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162335] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2986), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162347] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8007), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162359] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5025), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162375] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4520), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162395] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5384), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162411] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5387), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162427] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5856), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162447] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5557), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162463] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5859), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162483] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5558), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162499] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5559), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162515] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1868), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162527] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5027), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162543] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5389), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162559] = 4,
    STATE(5909), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8434), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162575] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8290), 1,
      sym__template_chars,
    ACTIONS(8436), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4413), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [162593] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(7949), 1,
      anon_sym_class,
    ACTIONS(7951), 1,
      anon_sym_abstract,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162613] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4692), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162633] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5908), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162653] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5565), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2894), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162681] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8438), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [162693] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162709] = 5,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(8440), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5885), 2,
      sym__module_export_name,
      sym_string,
  [162727] = 4,
    STATE(5910), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162743] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4718), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162763] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5916), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162783] = 5,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(8444), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6180), 2,
      sym__module_export_name,
      sym_string,
  [162801] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4653), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162821] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5573), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162837] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5927), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162857] = 6,
    ACTIONS(8292), 1,
      anon_sym_SEMI,
    ACTIONS(8294), 1,
      sym__automatic_semicolon,
    ACTIONS(8296), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8446), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162877] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5640), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162897] = 5,
    ACTIONS(8448), 1,
      anon_sym_SEMI,
    ACTIONS(8450), 1,
      sym__automatic_semicolon,
    STATE(5911), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
  [162915] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5579), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162931] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4969), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162947] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162963] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4273), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162983] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5586), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162999] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5587), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163015] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2962), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163027] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5954), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163047] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5955), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1908), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163091] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5406), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163107] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5588), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163123] = 4,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [163139] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5407), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163155] = 6,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    ACTIONS(8454), 1,
      anon_sym_SEMI,
    ACTIONS(8456), 1,
      sym__automatic_semicolon,
    ACTIONS(8458), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1005), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163175] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8460), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163193] = 6,
    ACTIONS(1126), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1700), 1,
      anon_sym_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_extends,
    STATE(4314), 1,
      sym_object_type,
    STATE(5059), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163213] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3086), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163225] = 5,
    ACTIONS(8462), 1,
      anon_sym_SEMI,
    ACTIONS(8464), 1,
      sym__automatic_semicolon,
    STATE(5952), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
  [163243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2682), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163267] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163279] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5972), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163299] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_SEMI,
    ACTIONS(8294), 1,
      sym__automatic_semicolon,
    ACTIONS(8296), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2419), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3018), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163331] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5353), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163347] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5408), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163363] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5500), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163379] = 6,
    ACTIONS(7752), 1,
      anon_sym_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_extends,
    ACTIONS(7758), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3007), 1,
      sym_object_type,
    STATE(5513), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163399] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5988), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3074), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163431] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(7951), 1,
      anon_sym_abstract,
    ACTIONS(8137), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163451] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163467] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5994), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163487] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4379), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163507] = 5,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    ACTIONS(3540), 1,
      anon_sym_SQUOTE,
    ACTIONS(8470), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5515), 2,
      sym__module_export_name,
      sym_string,
  [163525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163537] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5998), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163557] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163573] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3050), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163585] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4951), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163601] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5054), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163617] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4222), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163637] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163655] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5435), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163671] = 6,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    ACTIONS(8474), 1,
      anon_sym_SEMI,
    ACTIONS(8476), 1,
      sym__automatic_semicolon,
    ACTIONS(8478), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1007), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163691] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163703] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5205), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163719] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5223), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163735] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5248), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163751] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5263), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163767] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5304), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163783] = 6,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    ACTIONS(8480), 1,
      anon_sym_COMMA,
    ACTIONS(8482), 1,
      anon_sym_RBRACE,
    STATE(5068), 1,
      aux_sym_enum_body_repeat1,
    STATE(5666), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163803] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5411), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163819] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5088), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163835] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163851] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5413), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163867] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4493), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163911] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5494), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163927] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5414), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163943] = 5,
    ACTIONS(8033), 1,
      aux_sym_ui_version_specifier_token1,
    ACTIONS(8059), 1,
      anon_sym_as,
    STATE(5453), 1,
      sym_ui_version_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163961] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5504), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163977] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163993] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1966), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164005] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5374), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164021] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8474), 1,
      anon_sym_SEMI,
    ACTIONS(8476), 1,
      sym__automatic_semicolon,
    ACTIONS(8478), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2872), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164041] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2710), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164053] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5417), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164069] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [164087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1974), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1978), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164111] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7842), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164123] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5513), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [164135] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8486), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164147] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5092), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164163] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5610), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164191] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8490), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164203] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4613), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164223] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5098), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8492), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164239] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4965), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164255] = 4,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    STATE(5718), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [164271] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4968), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164287] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7844), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164299] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4974), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2714), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164327] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4511), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164347] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8097), 1,
      anon_sym_class,
    ACTIONS(8099), 1,
      anon_sym_abstract,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164367] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4780), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164387] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5660), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164407] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4542), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164427] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5780), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164447] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4564), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164467] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8494), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164483] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [164501] = 5,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    ACTIONS(8498), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5919), 2,
      sym__module_export_name,
      sym_string,
  [164519] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5869), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2722), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164563] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8500), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164579] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5419), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8500), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164595] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5621), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164615] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5095), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164631] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5886), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164651] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8502), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [164667] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5421), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8500), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164683] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5423), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8500), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164699] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5949), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164719] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5108), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164735] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8505), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [164751] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5186), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164767] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5200), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164783] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5216), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8430), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164799] = 5,
    ACTIONS(8508), 1,
      sym_identifier,
    ACTIONS(8510), 1,
      anon_sym_LPAREN,
    STATE(3724), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1235), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [164817] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7850), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164841] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4435), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164861] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164873] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2726), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164885] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164897] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8512), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164909] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5410), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164925] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5837), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164945] = 4,
    STATE(5969), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [164961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164973] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8516), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164985] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164997] = 4,
    STATE(5974), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [165013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8522), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
      aux_sym_ui_version_specifier_token1,
  [165025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2730), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165037] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165053] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8524), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
      aux_sym_ui_version_specifier_token1,
  [165065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165077] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5057), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165093] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6038), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165113] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5113), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8184), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8200), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165153] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6018), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8208), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165185] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2974), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165197] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(6040), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165217] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4294), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165237] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8526), 1,
      anon_sym_class,
    ACTIONS(8528), 1,
      anon_sym_abstract,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165257] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4300), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165277] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4301), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165297] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5811), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165317] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4306), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165337] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5820), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165357] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165369] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2874), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165381] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2886), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165393] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4765), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165425] = 6,
    ACTIONS(8264), 1,
      anon_sym_SEMI,
    ACTIONS(8266), 1,
      sym__automatic_semicolon,
    ACTIONS(8268), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8446), 1,
      anon_sym_LBRACE,
    STATE(807), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2950), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165457] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5439), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2730), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165497] = 6,
    ACTIONS(1796), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      anon_sym_SEMI,
    ACTIONS(8266), 1,
      sym__automatic_semicolon,
    ACTIONS(8268), 1,
      sym__function_signature_automatic_semicolon,
    STATE(259), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165517] = 5,
    ACTIONS(8510), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym_identifier,
    STATE(1223), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1235), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [165535] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2954), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2958), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165575] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5443), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165591] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2966), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165603] = 6,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4354), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(8534), 1,
      anon_sym_RBRACE,
    STATE(5352), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165623] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165635] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165659] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5982), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165691] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5119), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165707] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5444), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165735] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165747] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5445), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165763] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5120), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165779] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5729), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165799] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8150), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165811] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8542), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165823] = 6,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(8544), 1,
      anon_sym_COLON,
    ACTIONS(8546), 1,
      anon_sym_DOT,
    ACTIONS(8548), 1,
      anon_sym_on,
    STATE(2866), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8550), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165855] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5594), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165871] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_formal_parameters,
    STATE(4118), 1,
      sym__call_signature,
    STATE(5804), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165891] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5121), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165907] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165923] = 3,
    ACTIONS(6012), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1984), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165937] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4959), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8554), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165953] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2998), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165965] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5755), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165985] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_abstract,
    ACTIONS(8556), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166005] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7780), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166017] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_SEMI,
    ACTIONS(8294), 1,
      sym__automatic_semicolon,
    ACTIONS(8296), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2889), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166037] = 3,
    ACTIONS(6000), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1888), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166051] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8558), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166063] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166079] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5124), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166095] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5125), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166111] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5127), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8563), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166139] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5045), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166155] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [166173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5581), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [166185] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5540), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [166197] = 6,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_RBRACE,
    STATE(4955), 1,
      aux_sym_enum_body_repeat1,
    STATE(5666), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166217] = 5,
    ACTIONS(8571), 1,
      anon_sym_SEMI,
    ACTIONS(8573), 1,
      sym__automatic_semicolon,
    STATE(5947), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
  [166235] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8575), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166251] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166267] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8578), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5632), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166283] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166299] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8584), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166315] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5826), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [166343] = 5,
    ACTIONS(8587), 1,
      anon_sym_SEMI,
    ACTIONS(8589), 1,
      sym__automatic_semicolon,
    STATE(6019), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
  [166361] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166377] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5139), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166393] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5505), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166409] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(4972), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8591), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166425] = 6,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      anon_sym_SEMI,
    ACTIONS(8266), 1,
      sym__automatic_semicolon,
    ACTIONS(8268), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2424), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3078), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166457] = 6,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8595), 1,
      anon_sym_RBRACE,
    STATE(5531), 1,
      aux_sym_enum_body_repeat1,
    STATE(5666), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166477] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(5002), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166497] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5008), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166513] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5010), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166529] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2738), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166541] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5036), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166557] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5041), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166573] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5048), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166589] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5051), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166605] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166621] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5153), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166637] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5079), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166653] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5082), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166669] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5084), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166685] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(3923), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166705] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3082), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166717] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5100), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166733] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166749] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5131), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166765] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5133), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166781] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3002), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166793] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5152), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166809] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166825] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5159), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166841] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [166853] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5170), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166869] = 5,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8597), 1,
      anon_sym_BQUOTE,
    ACTIONS(8599), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4302), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [166887] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5172), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166903] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5053), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166919] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166935] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5163), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166963] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166979] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5723), 1,
      sym_type_parameters,
    STATE(5872), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166999] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5167), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167015] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167031] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4149), 1,
      sym_formal_parameters,
    STATE(5619), 1,
      sym__call_signature,
    STATE(5723), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167051] = 4,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    ACTIONS(8601), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6035), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [167067] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8528), 1,
      anon_sym_abstract,
    ACTIONS(8604), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167087] = 5,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167105] = 4,
    STATE(5745), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167121] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167133] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5321), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167149] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167177] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6016), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [167201] = 6,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3604), 1,
      sym_formal_parameters,
    STATE(4614), 1,
      sym__call_signature,
    STATE(5638), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8610), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167245] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5428), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167261] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5174), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8311), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167277] = 5,
    ACTIONS(7391), 1,
      anon_sym_list,
    ACTIONS(8612), 1,
      sym_identifier,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3180), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [167295] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167311] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5449), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167327] = 6,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(7951), 1,
      anon_sym_abstract,
    ACTIONS(8614), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167347] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5452), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167363] = 4,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(8616), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [167379] = 4,
    ACTIONS(7096), 1,
      anon_sym_EQ,
    STATE(5454), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6016), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [167407] = 6,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    ACTIONS(8454), 1,
      anon_sym_SEMI,
    ACTIONS(8456), 1,
      sym__automatic_semicolon,
    ACTIONS(8458), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2889), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167427] = 5,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    ACTIONS(8622), 1,
      anon_sym_GT,
    STATE(5805), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167444] = 3,
    ACTIONS(5862), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [167457] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8624), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167474] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5683), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167489] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167506] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167523] = 5,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    ACTIONS(8634), 1,
      anon_sym_GT,
    STATE(5805), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167540] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167555] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5920), 1,
      sym_type_parameters,
    STATE(6390), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167572] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5921), 1,
      sym_type_parameters,
    STATE(6467), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167589] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4865), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8642), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [167615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8644), 1,
      anon_sym_SQUOTE,
    STATE(4886), 1,
      aux_sym_string_repeat2,
    ACTIONS(8646), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [167632] = 5,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    ACTIONS(8648), 1,
      anon_sym_GT,
    STATE(5805), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167649] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8650), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167666] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8652), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8654), 1,
      anon_sym_DQUOTE,
    STATE(4799), 1,
      aux_sym_string_repeat1,
    ACTIONS(8656), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [167700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8654), 1,
      anon_sym_SQUOTE,
    STATE(4800), 1,
      aux_sym_string_repeat2,
    ACTIONS(8658), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [167717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8660), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [167734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8660), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [167751] = 5,
    ACTIONS(8350), 1,
      sym_identifier,
    STATE(5860), 1,
      sym_ui_signal_parameter,
    STATE(6189), 1,
      sym_nested_type_identifier,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167768] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4901), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7524), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [167794] = 5,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8668), 1,
      anon_sym_EQ,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5363), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167811] = 4,
    ACTIONS(8674), 1,
      anon_sym_COMMA,
    STATE(4843), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8672), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [167826] = 4,
    ACTIONS(8676), 1,
      anon_sym_COMMA,
    STATE(4806), 1,
      aux_sym_ui_pragma_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8679), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167841] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8681), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167858] = 4,
    ACTIONS(8683), 1,
      anon_sym_COMMA,
    STATE(4808), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167873] = 3,
    ACTIONS(8686), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4354), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [167886] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167901] = 5,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8690), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167918] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5903), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167933] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8692), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167950] = 5,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      anon_sym_LT,
    STATE(2375), 1,
      sym_arguments,
    STATE(2376), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167967] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8696), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167984] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5771), 1,
      sym_type_parameters,
    STATE(6151), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168001] = 4,
    ACTIONS(8698), 1,
      anon_sym_LPAREN,
    STATE(6010), 1,
      sym_ui_signal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168016] = 3,
    ACTIONS(8394), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [168029] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168046] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168063] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8706), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [168074] = 5,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    ACTIONS(8708), 1,
      anon_sym_GT,
    STATE(5805), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168091] = 5,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(8710), 1,
      sym_identifier,
    STATE(5080), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168108] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168125] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1852), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [168136] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5956), 1,
      sym_type_parameters,
    STATE(6130), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168153] = 5,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8714), 1,
      anon_sym_export,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168170] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168187] = 4,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(5891), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8718), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [168202] = 5,
    ACTIONS(8720), 1,
      anon_sym_COMMA,
    ACTIONS(8722), 1,
      anon_sym_SEMI,
    ACTIONS(8724), 1,
      sym__automatic_semicolon,
    STATE(4806), 1,
      aux_sym_ui_pragma_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168219] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8728), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1856), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [168264] = 4,
    ACTIONS(8730), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168279] = 5,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7054), 1,
      anon_sym_LT,
    STATE(3570), 1,
      sym_arguments,
    STATE(3715), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168296] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8735), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168313] = 5,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(8121), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4908), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168330] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5841), 1,
      sym_type_parameters,
    STATE(6507), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168347] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5966), 1,
      sym_type_parameters,
    STATE(6213), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8737), 1,
      anon_sym_DQUOTE,
    STATE(4851), 1,
      aux_sym_string_repeat1,
    ACTIONS(8739), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168381] = 5,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    ACTIONS(8741), 1,
      sym_identifier,
    STATE(4853), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8743), 1,
      anon_sym_DQUOTE,
    STATE(4846), 1,
      aux_sym_string_repeat1,
    ACTIONS(8745), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168415] = 4,
    ACTIONS(8674), 1,
      anon_sym_COMMA,
    STATE(4926), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8747), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [168430] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5846), 1,
      sym_type_parameters,
    STATE(6127), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8743), 1,
      anon_sym_SQUOTE,
    STATE(4847), 1,
      aux_sym_string_repeat2,
    ACTIONS(8749), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8751), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8751), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8737), 1,
      anon_sym_SQUOTE,
    STATE(4870), 1,
      aux_sym_string_repeat2,
    ACTIONS(8753), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168515] = 5,
    ACTIONS(8755), 1,
      sym_identifier,
    STATE(4388), 1,
      sym_nested_type_identifier,
    STATE(5271), 1,
      sym_generic_type,
    STATE(6205), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168532] = 4,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    STATE(5697), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [168547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8759), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168564] = 5,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_LBRACE,
    ACTIONS(8763), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4902), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168581] = 4,
    ACTIONS(8720), 1,
      anon_sym_COMMA,
    STATE(4830), 1,
      aux_sym_ui_pragma_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168596] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8767), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168613] = 4,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    STATE(4808), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168628] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168645] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168662] = 3,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [168675] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(869), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1798), 2,
      anon_sym_else,
      anon_sym_while,
  [168690] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168705] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8775), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168722] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5751), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8777), 1,
      anon_sym_DQUOTE,
    STATE(4866), 1,
      aux_sym_string_repeat1,
    ACTIONS(8779), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8777), 1,
      anon_sym_SQUOTE,
    STATE(4867), 1,
      aux_sym_string_repeat2,
    ACTIONS(8781), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168771] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [168786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8785), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8785), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168820] = 4,
    ACTIONS(6980), 1,
      anon_sym_STAR,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6437), 2,
      sym_namespace_import,
      sym_named_imports,
  [168835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8787), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8789), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8759), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168869] = 4,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(5661), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8792), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [168884] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8794), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168901] = 4,
    ACTIONS(8796), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [168916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8799), 1,
      anon_sym_SQUOTE,
    STATE(4877), 1,
      aux_sym_string_repeat2,
    ACTIONS(8801), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8803), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [168950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8805), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8807), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8803), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [168984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8810), 1,
      anon_sym_DQUOTE,
    STATE(4881), 1,
      aux_sym_string_repeat1,
    ACTIONS(8812), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8810), 1,
      anon_sym_SQUOTE,
    STATE(4899), 1,
      aux_sym_string_repeat2,
    ACTIONS(8814), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169018] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8816), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8818), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169052] = 5,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(6964), 1,
      anon_sym_LT,
    STATE(3459), 1,
      sym_arguments,
    STATE(3583), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169069] = 3,
    ACTIONS(8820), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [169082] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5738), 1,
      sym_type_parameters,
    STATE(6118), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169099] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8822), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8728), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169133] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8824), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169150] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169167] = 5,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8668), 1,
      anon_sym_EQ,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    STATE(5534), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8830), 1,
      anon_sym_DQUOTE,
    STATE(4896), 1,
      aux_sym_string_repeat1,
    ACTIONS(8832), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8834), 1,
      anon_sym_DQUOTE,
    STATE(4894), 1,
      aux_sym_string_repeat1,
    ACTIONS(8836), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169218] = 5,
    ACTIONS(109), 1,
      anon_sym_AT,
    ACTIONS(8838), 1,
      anon_sym_class,
    STATE(1234), 1,
      sym_decorator,
    STATE(4241), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8834), 1,
      anon_sym_SQUOTE,
    STATE(4898), 1,
      aux_sym_string_repeat2,
    ACTIONS(8840), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8842), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8830), 1,
      anon_sym_SQUOTE,
    STATE(4897), 1,
      aux_sym_string_repeat2,
    ACTIONS(8844), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8846), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8846), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8842), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8818), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169354] = 5,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_LBRACE,
    ACTIONS(8850), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4902), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169371] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169386] = 5,
    ACTIONS(8854), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_COMMA,
    ACTIONS(8859), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4902), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169403] = 4,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(5666), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [169418] = 4,
    ACTIONS(8863), 1,
      anon_sym_COMMA,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6125), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [169433] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4788), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169448] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8868), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169465] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5853), 1,
      sym_type_parameters,
    STATE(6103), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169482] = 5,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_LBRACE,
    ACTIONS(8850), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4902), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169499] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4918), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8870), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169514] = 3,
    ACTIONS(8874), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8872), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [169527] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4860), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169542] = 4,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    STATE(5736), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8878), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [169557] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5828), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8880), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169572] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5922), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169587] = 4,
    ACTIONS(4346), 1,
      anon_sym_EQ,
    ACTIONS(4354), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8882), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [169602] = 5,
    ACTIONS(3657), 1,
      anon_sym_LT,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169619] = 3,
    ACTIONS(8884), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8886), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [169632] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4834), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5530), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8891), 1,
      anon_sym_DQUOTE,
    STATE(4927), 1,
      aux_sym_string_repeat1,
    ACTIONS(8893), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169675] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [169686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8524), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [169697] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5636), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8891), 1,
      anon_sym_SQUOTE,
    STATE(4930), 1,
      aux_sym_string_repeat2,
    ACTIONS(8899), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169729] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8901), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169746] = 4,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(4926), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8903), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [169761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8908), 1,
      anon_sym_DQUOTE,
    STATE(4869), 1,
      aux_sym_string_repeat1,
    ACTIONS(8662), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [169778] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5902), 1,
      sym_type_parameters,
    STATE(6202), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169795] = 5,
    ACTIONS(8910), 1,
      sym_identifier,
    STATE(4191), 1,
      sym_nested_type_identifier,
    STATE(4837), 1,
      sym_generic_type,
    STATE(6205), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8908), 1,
      anon_sym_SQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat2,
    ACTIONS(8664), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [169829] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(4056), 1,
      sym_formal_parameters,
    STATE(5653), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169846] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5906), 1,
      sym_type_parameters,
    STATE(6356), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169863] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8912), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169880] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8914), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169897] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8916), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169914] = 5,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(7298), 1,
      anon_sym_LT,
    STATE(3232), 1,
      sym_arguments,
    STATE(3351), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169931] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6045), 1,
      sym_type_parameters,
    STATE(6294), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169948] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(5743), 1,
      sym_type_parameters,
    STATE(6315), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169965] = 5,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6049), 1,
      sym_type_parameters,
    STATE(6321), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169982] = 5,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(8918), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169999] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8920), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170016] = 5,
    ACTIONS(8922), 1,
      anon_sym_EQ,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    ACTIONS(8926), 1,
      anon_sym_RBRACE,
    STATE(5169), 1,
      aux_sym__qml_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170033] = 4,
    ACTIONS(8928), 1,
      anon_sym_EQ,
    STATE(6029), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
  [170048] = 5,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(8930), 1,
      anon_sym_LT,
    STATE(1772), 1,
      sym_arguments,
    STATE(1774), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170065] = 4,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4810), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [170080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8644), 1,
      anon_sym_DQUOTE,
    STATE(4832), 1,
      aux_sym_string_repeat1,
    ACTIONS(8934), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [170097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8522), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [170108] = 5,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(8936), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8799), 1,
      anon_sym_DQUOTE,
    STATE(4875), 1,
      aux_sym_string_repeat1,
    ACTIONS(8938), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [170142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170182] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170192] = 4,
    ACTIONS(8950), 1,
      anon_sym_COMMA,
    ACTIONS(8952), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170206] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170226] = 4,
    ACTIONS(8954), 1,
      anon_sym_COMMA,
    ACTIONS(8956), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8958), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170260] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(8962), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170274] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170294] = 4,
    ACTIONS(3574), 1,
      anon_sym_GT,
    ACTIONS(8968), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170328] = 4,
    ACTIONS(8708), 1,
      anon_sym_GT,
    ACTIONS(8970), 1,
      anon_sym_COMMA,
    STATE(5430), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170372] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8976), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170392] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170402] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170412] = 4,
    ACTIONS(8978), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      anon_sym_await,
    STATE(32), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170426] = 4,
    ACTIONS(127), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170440] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8982), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170450] = 4,
    ACTIONS(8984), 1,
      anon_sym_COMMA,
    ACTIONS(8986), 1,
      anon_sym_RBRACE,
    STATE(4958), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170474] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(8988), 1,
      anon_sym_RBRACE,
    STATE(5003), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170488] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(8988), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8990), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170512] = 4,
    ACTIONS(8992), 1,
      anon_sym_COMMA,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    STATE(5006), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170526] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170536] = 4,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(8998), 1,
      sym_identifier,
    ACTIONS(9000), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170590] = 4,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    ACTIONS(9004), 1,
      anon_sym_DOT,
    STATE(2379), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8990), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170614] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170624] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(5448), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170638] = 4,
    ACTIONS(9006), 1,
      anon_sym_COMMA,
    ACTIONS(9008), 1,
      anon_sym_RPAREN,
    STATE(5149), 1,
      aux_sym_ui_signal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9010), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170682] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7776), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [170706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7764), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [170716] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9012), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9014), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170740] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9016), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170764] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9018), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170774] = 4,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    ACTIONS(9020), 1,
      anon_sym_COMMA,
    STATE(5103), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9022), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9010), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170878] = 4,
    ACTIONS(9024), 1,
      anon_sym_COMMA,
    ACTIONS(9026), 1,
      anon_sym_RBRACK,
    STATE(5047), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170892] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170902] = 4,
    ACTIONS(5789), 1,
      anon_sym_extends,
    ACTIONS(9028), 1,
      anon_sym_AMP,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8990), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170926] = 4,
    ACTIONS(3603), 1,
      anon_sym_GT,
    ACTIONS(9032), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170940] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170950] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170960] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6097), 1,
      anon_sym_RPAREN,
    STATE(5050), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170974] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6097), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170998] = 4,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(9034), 1,
      anon_sym_RPAREN,
    STATE(6235), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171012] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171022] = 4,
    ACTIONS(9036), 1,
      anon_sym_COMMA,
    ACTIONS(9038), 1,
      anon_sym_RPAREN,
    STATE(5229), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171056] = 4,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    ACTIONS(9040), 1,
      anon_sym_RBRACE,
    STATE(5173), 1,
      aux_sym__qml_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171070] = 3,
    ACTIONS(9044), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9042), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171092] = 4,
    ACTIONS(1126), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1700), 1,
      anon_sym_LBRACE,
    STATE(4283), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171126] = 3,
    ACTIONS(9048), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171138] = 4,
    ACTIONS(127), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171182] = 3,
    ACTIONS(9054), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171234] = 4,
    ACTIONS(3136), 1,
      anon_sym_RBRACK,
    ACTIONS(9056), 1,
      anon_sym_COMMA,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171268] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9058), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171322] = 3,
    ACTIONS(7710), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9060), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171334] = 3,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9060), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171356] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171366] = 4,
    ACTIONS(1126), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1700), 1,
      anon_sym_LBRACE,
    STATE(4596), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171380] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171390] = 4,
    ACTIONS(9062), 1,
      anon_sym_COMMA,
    ACTIONS(9064), 1,
      anon_sym_RBRACE,
    STATE(5070), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171404] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171414] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171434] = 3,
    ACTIONS(9070), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9068), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171446] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171456] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171466] = 4,
    ACTIONS(9072), 1,
      anon_sym_COMMA,
    ACTIONS(9074), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171490] = 4,
    ACTIONS(9076), 1,
      anon_sym_COMMA,
    ACTIONS(9078), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171504] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171514] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171524] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171544] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(5966), 1,
      anon_sym_RBRACK,
    STATE(5300), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171558] = 4,
    ACTIONS(9080), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_RBRACK,
    STATE(5332), 1,
      aux_sym_ui_object_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9084), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171612] = 4,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    ACTIONS(9086), 1,
      anon_sym_DOT,
    STATE(3248), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171646] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171666] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9088), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9088), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171726] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9090), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9092), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [171746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171756] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9094), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9096), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9098), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7888), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [171836] = 4,
    ACTIONS(9100), 1,
      anon_sym_COMMA,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    STATE(5103), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171850] = 3,
    ACTIONS(8668), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171892] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171902] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9109), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171922] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9111), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171946] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171986] = 4,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_GT,
    STATE(4967), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172000] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172020] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172040] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172060] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172080] = 4,
    ACTIONS(9121), 1,
      anon_sym_COMMA,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    STATE(5126), 1,
      aux_sym_ui_object_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172094] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172114] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172124] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9126), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172134] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172144] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172154] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9126), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9128), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172194] = 3,
    ACTIONS(9130), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8438), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [172206] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172226] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172246] = 4,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    ACTIONS(9132), 1,
      anon_sym_DOT,
    STATE(1757), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172260] = 4,
    ACTIONS(9134), 1,
      sym_identifier,
    STATE(4122), 1,
      sym_decorator_member_expression,
    STATE(6147), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172274] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172294] = 4,
    ACTIONS(9138), 1,
      sym_identifier,
    STATE(5615), 1,
      sym_nested_type_identifier,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172328] = 4,
    ACTIONS(9006), 1,
      anon_sym_COMMA,
    ACTIONS(9140), 1,
      anon_sym_RPAREN,
    STATE(5482), 1,
      aux_sym_ui_signal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172342] = 4,
    ACTIONS(9142), 1,
      anon_sym_DASH,
    ACTIONS(9144), 1,
      sym_number,
    STATE(5878), 1,
      sym__qml_enum_negative_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172356] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172366] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7859), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [172396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172406] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172416] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172426] = 4,
    ACTIONS(9146), 1,
      anon_sym_COMMA,
    ACTIONS(9148), 1,
      anon_sym_RBRACK,
    STATE(5175), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172440] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172450] = 4,
    ACTIONS(4849), 1,
      anon_sym_extends,
    ACTIONS(9150), 1,
      anon_sym_AMP,
    ACTIONS(9152), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172474] = 4,
    ACTIONS(3597), 1,
      anon_sym_GT,
    ACTIONS(9154), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172498] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6109), 1,
      anon_sym_RPAREN,
    STATE(5177), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172512] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6109), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172526] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172556] = 4,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    ACTIONS(9158), 1,
      anon_sym_RBRACE,
    STATE(5495), 1,
      aux_sym__qml_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172590] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172600] = 4,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    ACTIONS(9160), 1,
      anon_sym_RBRACE,
    STATE(5495), 1,
      aux_sym__qml_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172614] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172624] = 4,
    ACTIONS(3140), 1,
      anon_sym_RBRACK,
    ACTIONS(9162), 1,
      anon_sym_COMMA,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172638] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172648] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172662] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(5966), 1,
      anon_sym_RBRACK,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172706] = 3,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5203), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [172718] = 3,
    ACTIONS(4881), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [172730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172740] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172750] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172780] = 4,
    ACTIONS(9166), 1,
      anon_sym_COMMA,
    ACTIONS(9169), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172794] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172804] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172814] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172824] = 4,
    ACTIONS(8143), 1,
      anon_sym_COMMA,
    ACTIONS(9171), 1,
      anon_sym_LBRACE,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172878] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    ACTIONS(9173), 1,
      anon_sym_as,
    STATE(5967), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172892] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    STATE(5534), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172906] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172926] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172946] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172986] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172996] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173006] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(9177), 1,
      anon_sym_DOT,
    STATE(3148), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173020] = 4,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(9179), 1,
      sym_identifier,
    STATE(4914), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173054] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9181), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [173074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173094] = 3,
    ACTIONS(9185), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173116] = 4,
    ACTIONS(1716), 1,
      anon_sym_DQUOTE,
    ACTIONS(1718), 1,
      anon_sym_SQUOTE,
    STATE(4792), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173150] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173160] = 4,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(9187), 1,
      anon_sym_DOT,
    STATE(3609), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173194] = 4,
    ACTIONS(7472), 1,
      anon_sym_implements,
    ACTIONS(9189), 1,
      anon_sym_LBRACE,
    STATE(6243), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173208] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7826), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [173218] = 4,
    ACTIONS(1782), 1,
      anon_sym_RPAREN,
    ACTIONS(9191), 1,
      anon_sym_COMMA,
    STATE(5103), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173232] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173242] = 4,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LBRACK,
    ACTIONS(9197), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173266] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173286] = 4,
    ACTIONS(9199), 1,
      anon_sym_COMMA,
    ACTIONS(9201), 1,
      anon_sym_RBRACK,
    STATE(5252), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173310] = 4,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7448), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173334] = 4,
    ACTIONS(3613), 1,
      anon_sym_GT,
    ACTIONS(9203), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173348] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(5253), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173362] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173376] = 4,
    ACTIONS(9205), 1,
      sym_identifier,
    ACTIONS(9207), 1,
      anon_sym_LBRACK,
    ACTIONS(9209), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173390] = 4,
    ACTIONS(9211), 1,
      sym_identifier,
    ACTIONS(9213), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173404] = 4,
    ACTIONS(9217), 1,
      sym_identifier,
    ACTIONS(9219), 1,
      anon_sym_LBRACK,
    ACTIONS(9221), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173418] = 4,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173432] = 4,
    ACTIONS(9229), 1,
      sym_identifier,
    ACTIONS(9231), 1,
      anon_sym_LBRACK,
    ACTIONS(9233), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173446] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173456] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173466] = 4,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_LBRACK,
    ACTIONS(9239), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173480] = 4,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
    ACTIONS(8546), 1,
      anon_sym_DOT,
    STATE(5801), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173494] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9241), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [173504] = 4,
    ACTIONS(3144), 1,
      anon_sym_RBRACK,
    ACTIONS(9243), 1,
      anon_sym_COMMA,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173518] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9247), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [173542] = 4,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_LBRACK,
    ACTIONS(9253), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173556] = 4,
    ACTIONS(9255), 1,
      anon_sym_COMMA,
    ACTIONS(9257), 1,
      anon_sym_RBRACE,
    STATE(5518), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173570] = 3,
    ACTIONS(9259), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9261), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173582] = 4,
    ACTIONS(9263), 1,
      sym_identifier,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(9267), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173596] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173646] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173666] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173686] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9269), 1,
      anon_sym_RBRACE,
    STATE(5355), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173700] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9269), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173714] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173724] = 3,
    ACTIONS(8366), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8368), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [173736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173756] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5363), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173780] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5538), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173794] = 4,
    ACTIONS(9271), 1,
      anon_sym_COMMA,
    ACTIONS(9274), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173808] = 3,
    ACTIONS(9276), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173820] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173830] = 4,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    ACTIONS(9280), 1,
      anon_sym_LPAREN,
    STATE(2912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173844] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9113), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173854] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173874] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173884] = 4,
    ACTIONS(3564), 1,
      anon_sym_GT,
    ACTIONS(9282), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173908] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    STATE(5293), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173922] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173936] = 4,
    ACTIONS(9284), 1,
      anon_sym_LPAREN,
    ACTIONS(9286), 1,
      anon_sym_await,
    STATE(42), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173950] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6125), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [173960] = 3,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173972] = 3,
    ACTIONS(9292), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9294), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173984] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9296), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7168), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [174008] = 3,
    ACTIONS(9298), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9300), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [174020] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174030] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9302), 1,
      anon_sym_RBRACE,
    STATE(5388), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174054] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9302), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174068] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9304), 1,
      anon_sym_RBRACK,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174092] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6129), 1,
      anon_sym_RPAREN,
    STATE(5306), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174106] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6129), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9107), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174140] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9306), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174154] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174164] = 4,
    ACTIONS(9308), 1,
      anon_sym_COMMA,
    ACTIONS(9310), 1,
      anon_sym_RPAREN,
    STATE(5394), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174178] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174188] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9314), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174202] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    STATE(5397), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174226] = 4,
    ACTIONS(9080), 1,
      anon_sym_COMMA,
    ACTIONS(9316), 1,
      anon_sym_RBRACK,
    STATE(5399), 1,
      aux_sym_ui_object_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9318), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9320), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174260] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174274] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6131), 1,
      anon_sym_RPAREN,
    STATE(5319), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174288] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6131), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174302] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9322), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174316] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174326] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174356] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174366] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174406] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174416] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9330), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174426] = 4,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    STATE(5339), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174440] = 4,
    ACTIONS(9080), 1,
      anon_sym_COMMA,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    STATE(5126), 1,
      aux_sym_ui_object_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174464] = 3,
    ACTIONS(9336), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9300), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174476] = 4,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(9338), 1,
      anon_sym_DOT,
    STATE(3512), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174490] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174510] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9334), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174520] = 4,
    ACTIONS(9342), 1,
      anon_sym_COMMA,
    ACTIONS(9344), 1,
      anon_sym_GT,
    STATE(5426), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174544] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9330), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174554] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174564] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    STATE(5538), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174578] = 3,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8309), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [174590] = 4,
    ACTIONS(7359), 1,
      anon_sym_LPAREN,
    ACTIONS(9086), 1,
      anon_sym_DOT,
    STATE(3248), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174604] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9348), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174618] = 4,
    ACTIONS(9350), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LBRACK,
    ACTIONS(9354), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174642] = 4,
    ACTIONS(9356), 1,
      sym_identifier,
    STATE(4139), 1,
      sym_decorator_member_expression,
    STATE(6363), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174666] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174676] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9360), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174690] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174700] = 4,
    ACTIONS(3142), 1,
      anon_sym_RBRACK,
    ACTIONS(9364), 1,
      anon_sym_COMMA,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174714] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9366), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174748] = 4,
    ACTIONS(9370), 1,
      anon_sym_COMMA,
    ACTIONS(9372), 1,
      anon_sym_RBRACE,
    STATE(5567), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174772] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    ACTIONS(9173), 1,
      anon_sym_as,
    STATE(5824), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174786] = 4,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(9374), 1,
      sym_identifier,
    STATE(4812), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174800] = 4,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_require,
    STATE(5580), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174814] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(9380), 1,
      anon_sym_RBRACK,
    STATE(5538), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174858] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    STATE(3110), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174892] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9382), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174906] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174916] = 4,
    ACTIONS(7965), 1,
      anon_sym_AMP,
    ACTIONS(7967), 1,
      anon_sym_PIPE,
    ACTIONS(7969), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174930] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174940] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174950] = 4,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(9384), 1,
      anon_sym_EQ,
    STATE(6427), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174964] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174974] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174984] = 4,
    ACTIONS(9386), 1,
      anon_sym_COMMA,
    ACTIONS(9389), 1,
      anon_sym_RBRACK,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175018] = 4,
    ACTIONS(9378), 1,
      anon_sym_require,
    ACTIONS(9391), 1,
      sym_identifier,
    STATE(5510), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175032] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9393), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [175042] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8336), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175052] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175062] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175072] = 3,
    ACTIONS(7766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 2,
      anon_sym_in,
      anon_sym_of,
  [175084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175094] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(9395), 1,
      anon_sym_RBRACE,
    STATE(5189), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175118] = 4,
    ACTIONS(2666), 1,
      anon_sym_while,
    ACTIONS(9397), 1,
      anon_sym_else,
    STATE(2949), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175132] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9330), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175162] = 4,
    ACTIONS(1786), 1,
      anon_sym_RPAREN,
    ACTIONS(9399), 1,
      anon_sym_COMMA,
    STATE(5103), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175176] = 4,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    STATE(810), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175190] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175200] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_RBRACK,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175224] = 4,
    ACTIONS(9080), 1,
      anon_sym_COMMA,
    ACTIONS(9405), 1,
      anon_sym_RBRACK,
    STATE(5126), 1,
      aux_sym_ui_object_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9330), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175278] = 4,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    ACTIONS(9407), 1,
      anon_sym_RPAREN,
    STATE(6509), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175322] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175372] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9326), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175392] = 4,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    STATE(5805), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175406] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(8546), 1,
      anon_sym_DOT,
    STATE(3111), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175430] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9409), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175440] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9409), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175450] = 4,
    ACTIONS(9411), 1,
      anon_sym_COMMA,
    ACTIONS(9413), 1,
      anon_sym_RBRACK,
    STATE(5496), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9409), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175474] = 4,
    ACTIONS(7335), 1,
      anon_sym_AMP,
    ACTIONS(7339), 1,
      anon_sym_extends,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9409), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175498] = 4,
    ACTIONS(3562), 1,
      anon_sym_GT,
    ACTIONS(9415), 1,
      anon_sym_COMMA,
    STATE(4873), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175522] = 4,
    ACTIONS(8622), 1,
      anon_sym_GT,
    ACTIONS(9417), 1,
      anon_sym_COMMA,
    STATE(5430), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175556] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175566] = 4,
    ACTIONS(9419), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_GT,
    STATE(5430), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175580] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    STATE(5502), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175594] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175604] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175618] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175628] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175638] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175658] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175678] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175738] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9426), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175752] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175762] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9428), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175796] = 4,
    ACTIONS(9430), 1,
      anon_sym_COMMA,
    ACTIONS(9433), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175810] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175820] = 3,
    ACTIONS(9435), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175862] = 4,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      anon_sym_SQUOTE,
    STATE(4792), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175886] = 3,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 2,
      anon_sym_in,
      anon_sym_of,
  [175898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175918] = 4,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(8962), 1,
      anon_sym_RBRACE,
    STATE(5111), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175942] = 3,
    ACTIONS(9439), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3939), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [175954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175964] = 4,
    ACTIONS(8626), 1,
      anon_sym_from,
    ACTIONS(9173), 1,
      anon_sym_as,
    STATE(5670), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175978] = 4,
    ACTIONS(2409), 1,
      anon_sym_LBRACE,
    ACTIONS(9442), 1,
      sym_identifier,
    STATE(4862), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175992] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176002] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(8546), 1,
      anon_sym_DOT,
    STATE(2866), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176016] = 4,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9446), 1,
      anon_sym_await,
    STATE(68), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176040] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176050] = 4,
    ACTIONS(7752), 1,
      anon_sym_LBRACE,
    ACTIONS(7758), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3006), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176084] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    STATE(5354), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176108] = 3,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9452), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [176120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8336), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176150] = 4,
    ACTIONS(9454), 1,
      anon_sym_COMMA,
    ACTIONS(9457), 1,
      anon_sym_RPAREN,
    STATE(5482), 1,
      aux_sym_ui_signal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176184] = 4,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9461), 1,
      anon_sym_LBRACK,
    ACTIONS(9463), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176208] = 4,
    ACTIONS(9465), 1,
      sym_identifier,
    ACTIONS(9467), 1,
      anon_sym_LBRACK,
    ACTIONS(9469), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176222] = 4,
    ACTIONS(9471), 1,
      sym_identifier,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176236] = 4,
    ACTIONS(9477), 1,
      sym_identifier,
    ACTIONS(9479), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176260] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9483), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [176270] = 3,
    ACTIONS(8922), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9485), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [176282] = 4,
    ACTIONS(9487), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_RBRACE,
    STATE(5493), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176296] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176306] = 4,
    ACTIONS(9492), 1,
      anon_sym_COMMA,
    ACTIONS(9495), 1,
      anon_sym_RBRACE,
    STATE(5495), 1,
      aux_sym__qml_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176320] = 4,
    ACTIONS(3152), 1,
      anon_sym_RBRACK,
    ACTIONS(9497), 1,
      anon_sym_COMMA,
    STATE(5378), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176334] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176344] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6988), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LT,
  [176354] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176364] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176374] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176384] = 4,
    ACTIONS(2067), 1,
      anon_sym_COMMA,
    ACTIONS(9499), 1,
      anon_sym_RPAREN,
    STATE(4904), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176398] = 3,
    ACTIONS(9501), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9300), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [176410] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176430] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176440] = 3,
    ACTIONS(9503), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8272), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [176452] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9505), 1,
      anon_sym_RBRACE,
    STATE(5446), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176466] = 3,
    ACTIONS(7710), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176478] = 3,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176490] = 3,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176502] = 3,
    ACTIONS(9513), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [176514] = 4,
    ACTIONS(7752), 1,
      anon_sym_LBRACE,
    ACTIONS(7758), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3034), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176528] = 4,
    ACTIONS(9517), 1,
      anon_sym_COMMA,
    ACTIONS(9519), 1,
      anon_sym_RBRACE,
    STATE(5533), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176542] = 3,
    ACTIONS(9521), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [176554] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9525), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [176564] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176574] = 4,
    ACTIONS(7624), 1,
      anon_sym_RBRACE,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    STATE(5493), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176588] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176598] = 4,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(9505), 1,
      anon_sym_RBRACE,
    STATE(5451), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176612] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9529), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176642] = 3,
    ACTIONS(8668), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9531), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [176654] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176664] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176674] = 4,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(9535), 1,
      anon_sym_EQ,
    STATE(6311), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176688] = 3,
    ACTIONS(9537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9300), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [176700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9533), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176710] = 4,
    ACTIONS(7878), 1,
      anon_sym_AMP,
    ACTIONS(7880), 1,
      anon_sym_PIPE,
    ACTIONS(7882), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176724] = 4,
    ACTIONS(9539), 1,
      anon_sym_COMMA,
    ACTIONS(9541), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176748] = 4,
    ACTIONS(9543), 1,
      anon_sym_COMMA,
    ACTIONS(9545), 1,
      anon_sym_RBRACE,
    STATE(5277), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176762] = 4,
    ACTIONS(1834), 1,
      anon_sym_COMMA,
    ACTIONS(9547), 1,
      anon_sym_RBRACK,
    STATE(5538), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9549), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176786] = 4,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(9551), 1,
      sym_identifier,
    STATE(5950), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176800] = 4,
    ACTIONS(7234), 1,
      anon_sym_AMP,
    ACTIONS(7236), 1,
      anon_sym_PIPE,
    ACTIONS(7238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176814] = 4,
    ACTIONS(9531), 1,
      anon_sym_RBRACK,
    ACTIONS(9553), 1,
      anon_sym_COMMA,
    STATE(5538), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9558), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176848] = 3,
    ACTIONS(9560), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [176860] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176870] = 4,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(5971), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176894] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176904] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176914] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176924] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176954] = 4,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(9566), 1,
      sym_identifier,
    STATE(5951), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177088] = 4,
    ACTIONS(7166), 1,
      anon_sym_type,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(6000), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177102] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177112] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177122] = 4,
    ACTIONS(7417), 1,
      anon_sym_RBRACE,
    ACTIONS(9570), 1,
      anon_sym_COMMA,
    STATE(5571), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177146] = 3,
    ACTIONS(7710), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177158] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177168] = 4,
    ACTIONS(9574), 1,
      anon_sym_COMMA,
    ACTIONS(9577), 1,
      anon_sym_RBRACE,
    STATE(5571), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177182] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177192] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177202] = 4,
    ACTIONS(1672), 1,
      anon_sym_DQUOTE,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    STATE(6346), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177226] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177246] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177266] = 3,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177308] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    STATE(2883), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177322] = 4,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_const,
    STATE(5117), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177356] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8972), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177366] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177396] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(6849), 1,
      anon_sym_DOT,
    STATE(3137), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177410] = 4,
    ACTIONS(3118), 1,
      anon_sym_LT,
    ACTIONS(9581), 1,
      anon_sym_EQ,
    STATE(6453), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177434] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177444] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177454] = 4,
    ACTIONS(2531), 1,
      anon_sym_LBRACE,
    ACTIONS(8546), 1,
      anon_sym_DOT,
    STATE(3138), 1,
      sym_ui_object_initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177468] = 3,
    ACTIONS(9587), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177490] = 3,
    ACTIONS(9589), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7437), 2,
      anon_sym_in,
      anon_sym_of,
  [177502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177512] = 3,
    ACTIONS(9593), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177524] = 4,
    ACTIONS(9595), 1,
      sym_identifier,
    STATE(6221), 1,
      sym_nested_type_identifier,
    STATE(6435), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177538] = 3,
    ACTIONS(9599), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177560] = 3,
    ACTIONS(9603), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9601), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177612] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8948), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8964), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9605), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [177661] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [177670] = 3,
    ACTIONS(9607), 1,
      sym_identifier,
    ACTIONS(9609), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177681] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2468), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177692] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177703] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177714] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [177734] = 3,
    ACTIONS(9611), 1,
      sym_identifier,
    ACTIONS(9613), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177745] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2824), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177756] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9615), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [177765] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5860), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177774] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177785] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177796] = 3,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(762), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177807] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177818] = 3,
    ACTIONS(9619), 1,
      sym_identifier,
    ACTIONS(9621), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8007), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [177838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177847] = 3,
    ACTIONS(9623), 1,
      anon_sym_SEMI,
    ACTIONS(9625), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177858] = 3,
    ACTIONS(9627), 1,
      anon_sym_in,
    ACTIONS(9629), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177869] = 3,
    ACTIONS(9631), 1,
      anon_sym_SEMI,
    ACTIONS(9633), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177880] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177889] = 3,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3635), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [177909] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5693), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177920] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [177929] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [177938] = 3,
    ACTIONS(9637), 1,
      sym_identifier,
    ACTIONS(9639), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177949] = 3,
    ACTIONS(9641), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177960] = 3,
    ACTIONS(9645), 1,
      sym_identifier,
    ACTIONS(9647), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177971] = 3,
    ACTIONS(9649), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177982] = 3,
    ACTIONS(1796), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177993] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [178022] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178033] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4304), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178044] = 3,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(3922), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178064] = 3,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(864), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178075] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178086] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2819), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5534), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9653), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [178115] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [178135] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178146] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2849), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178157] = 3,
    ACTIONS(9657), 1,
      sym_identifier,
    ACTIONS(9659), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178168] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9661), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178197] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178208] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2387), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178219] = 3,
    ACTIONS(9665), 1,
      anon_sym_SEMI,
    ACTIONS(9667), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178230] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178239] = 3,
    ACTIONS(9671), 1,
      anon_sym_from,
    STATE(4515), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178250] = 3,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178261] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178270] = 3,
    ACTIONS(9679), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178281] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2080), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178292] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6293), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178303] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178321] = 3,
    ACTIONS(9685), 1,
      anon_sym_SEMI,
    ACTIONS(9687), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178332] = 3,
    ACTIONS(9689), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178343] = 3,
    ACTIONS(9691), 1,
      sym_identifier,
    ACTIONS(9693), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178354] = 3,
    ACTIONS(9695), 1,
      anon_sym_SEMI,
    ACTIONS(9697), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178365] = 3,
    ACTIONS(9699), 1,
      anon_sym_LBRACE,
    STATE(4735), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178376] = 3,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1003), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178387] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178398] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9124), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [178427] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178438] = 3,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178449] = 3,
    ACTIONS(6934), 1,
      anon_sym_DOT,
    ACTIONS(9705), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178460] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178469] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2021), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178489] = 3,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9707), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [178509] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178520] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178531] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(5681), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178542] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178553] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5622), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178564] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178573] = 3,
    ACTIONS(9711), 1,
      sym_identifier,
    ACTIONS(9713), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178584] = 3,
    ACTIONS(9715), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178595] = 3,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178606] = 3,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178617] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9433), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178626] = 3,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9729), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178637] = 3,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5634), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178648] = 3,
    ACTIONS(9731), 1,
      sym_identifier,
    ACTIONS(9733), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178659] = 3,
    ACTIONS(9350), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178670] = 3,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178681] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178690] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178701] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6349), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178712] = 3,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    STATE(5750), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9737), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [178732] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178743] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2405), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [178763] = 3,
    ACTIONS(3777), 1,
      anon_sym_LPAREN,
    STATE(1227), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178774] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4228), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178785] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178796] = 3,
    ACTIONS(9741), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym__qml_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178807] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2023), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178818] = 3,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9745), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9747), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [178838] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(4448), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178849] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9749), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178858] = 3,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    STATE(2948), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178869] = 3,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5827), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178880] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9753), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [178889] = 3,
    ACTIONS(8446), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178900] = 3,
    ACTIONS(9671), 1,
      anon_sym_from,
    STATE(4495), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9755), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [178920] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9757), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [178929] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6203), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178940] = 3,
    ACTIONS(9759), 1,
      anon_sym_LBRACE,
    STATE(6022), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178951] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2025), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178962] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9761), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178971] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4608), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178982] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6150), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178993] = 3,
    ACTIONS(7104), 1,
      anon_sym_COLON,
    STATE(5589), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179013] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(2878), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179024] = 3,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179035] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(4654), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179046] = 3,
    ACTIONS(3653), 1,
      anon_sym_LPAREN,
    STATE(1227), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9767), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [179066] = 3,
    ACTIONS(9769), 1,
      anon_sym_SEMI,
    ACTIONS(9771), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9389), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [179086] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179104] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(4686), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179115] = 3,
    ACTIONS(9773), 1,
      sym_identifier,
    ACTIONS(9775), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179135] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9779), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179144] = 3,
    ACTIONS(9671), 1,
      anon_sym_from,
    STATE(4705), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179182] = 3,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179193] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4473), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179204] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179215] = 3,
    ACTIONS(9785), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179226] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2078), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179237] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179248] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4757), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179259] = 3,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179270] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179281] = 3,
    ACTIONS(9787), 1,
      sym_identifier,
    ACTIONS(9789), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179292] = 3,
    ACTIONS(9791), 1,
      sym_identifier,
    ACTIONS(9793), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179303] = 3,
    ACTIONS(9795), 1,
      sym_identifier,
    ACTIONS(9797), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179314] = 3,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179325] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179336] = 3,
    ACTIONS(9799), 1,
      sym_identifier,
    STATE(5882), 1,
      sym__qml_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179347] = 3,
    ACTIONS(9801), 1,
      sym_identifier,
    STATE(5510), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179358] = 3,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179369] = 3,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(1008), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179380] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2007), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179391] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4565), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179402] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179413] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(2011), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179424] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(2014), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179435] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(2015), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179446] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179455] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2475), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179466] = 3,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9197), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179477] = 3,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179488] = 3,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179499] = 3,
    ACTIONS(9809), 1,
      sym_identifier,
    ACTIONS(9811), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179510] = 3,
    ACTIONS(9813), 1,
      sym_identifier,
    ACTIONS(9815), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179521] = 3,
    ACTIONS(9817), 1,
      sym_identifier,
    ACTIONS(9819), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179532] = 3,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(1009), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179543] = 3,
    ACTIONS(9821), 1,
      sym_identifier,
    ACTIONS(9823), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179554] = 3,
    ACTIONS(9825), 1,
      sym_identifier,
    ACTIONS(9827), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179565] = 3,
    ACTIONS(9829), 1,
      sym_identifier,
    ACTIONS(9831), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9169), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [179594] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179603] = 3,
    ACTIONS(9833), 1,
      sym_identifier,
    ACTIONS(9835), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179614] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179623] = 3,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(3696), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179634] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9422), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [179643] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9837), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179661] = 3,
    ACTIONS(5564), 1,
      anon_sym_LPAREN,
    STATE(2778), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179672] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(74), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179683] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2480), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179694] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2482), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179705] = 3,
    ACTIONS(9839), 1,
      sym_identifier,
    ACTIONS(9841), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179716] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2483), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179727] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9843), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
  [179747] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2566), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179758] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179769] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2029), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179780] = 3,
    ACTIONS(4498), 1,
      anon_sym_LPAREN,
    STATE(1960), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179791] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2487), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179802] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179813] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2488), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179824] = 3,
    ACTIONS(8446), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179835] = 3,
    ACTIONS(9845), 1,
      anon_sym_SEMI,
    ACTIONS(9847), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9849), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [179855] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2527), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179866] = 3,
    ACTIONS(9851), 1,
      anon_sym_SEMI,
    ACTIONS(9853), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179877] = 3,
    ACTIONS(9855), 1,
      anon_sym_SEMI,
    ACTIONS(9857), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179888] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179899] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179910] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179919] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179928] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2032), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179939] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2533), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179950] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6224), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179961] = 3,
    ACTIONS(9785), 1,
      anon_sym_LBRACE,
    STATE(2995), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179972] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2453), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179983] = 3,
    ACTIONS(8626), 1,
      anon_sym_from,
    STATE(5680), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [179994] = 3,
    ACTIONS(9861), 1,
      anon_sym_LPAREN,
    STATE(2919), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180005] = 3,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180016] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6121), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180027] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2417), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180038] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4374), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180049] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4327), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180060] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2503), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180071] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6089), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180082] = 3,
    ACTIONS(9863), 1,
      sym_identifier,
    STATE(5056), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180093] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180104] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2038), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180115] = 3,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    STATE(5718), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180126] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4328), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180137] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180148] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6081), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180159] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2033), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180170] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180181] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1936), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180192] = 3,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180203] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180212] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180223] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9457), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [180232] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180241] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2034), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180252] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2449), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180272] = 3,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180283] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180294] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2504), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180305] = 3,
    ACTIONS(9869), 1,
      sym_identifier,
    ACTIONS(9871), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180316] = 3,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180327] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4337), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180338] = 3,
    ACTIONS(9873), 1,
      sym_identifier,
    ACTIONS(9875), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180349] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2505), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180360] = 3,
    ACTIONS(9877), 1,
      sym_identifier,
    ACTIONS(9879), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180371] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180391] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180402] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9883), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9885), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180429] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180440] = 3,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(854), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180460] = 3,
    ACTIONS(9889), 1,
      sym_identifier,
    ACTIONS(9891), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180471] = 3,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    STATE(58), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9893), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180491] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2506), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180502] = 3,
    ACTIONS(7512), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180513] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180524] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4349), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180535] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2880), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9895), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [180555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180564] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180584] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(816), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9901), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180613] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180622] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180633] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6231), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180644] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1959), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180655] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6353), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180666] = 3,
    ACTIONS(9905), 1,
      anon_sym_SEMI,
    ACTIONS(9907), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180686] = 3,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180697] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6444), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180708] = 3,
    ACTIONS(9911), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180719] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180739] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180748] = 3,
    ACTIONS(9917), 1,
      anon_sym_SEMI,
    ACTIONS(9919), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180759] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5511), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180768] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2423), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180779] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2060), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180790] = 3,
    ACTIONS(9921), 1,
      sym_identifier,
    STATE(5210), 1,
      sym_ui_simple_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180801] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2425), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180812] = 3,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3032), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180823] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6403), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180834] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180843] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6466), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180854] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6295), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180865] = 3,
    ACTIONS(9925), 1,
      anon_sym_SEMI,
    ACTIONS(9927), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9929), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180885] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2444), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180896] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180907] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2082), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180918] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180929] = 3,
    ACTIONS(9671), 1,
      anon_sym_from,
    STATE(4713), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180940] = 3,
    ACTIONS(3178), 1,
      anon_sym_LPAREN,
    STATE(4051), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180960] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5965), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [180980] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [180991] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181002] = 3,
    ACTIONS(9931), 1,
      sym_identifier,
    STATE(5580), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181013] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181024] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9933), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181033] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9531), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181042] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(1995), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181053] = 3,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2960), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181064] = 3,
    ACTIONS(7363), 1,
      anon_sym_LBRACE,
    STATE(2814), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181075] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4384), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181086] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2446), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181097] = 3,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2967), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5503), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181117] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6143), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181128] = 3,
    ACTIONS(9935), 1,
      anon_sym_SEMI,
    ACTIONS(9937), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181139] = 3,
    ACTIONS(9681), 1,
      anon_sym_STAR,
    ACTIONS(9939), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181150] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181161] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9941), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181170] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9943), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181179] = 3,
    ACTIONS(9945), 1,
      anon_sym_SEMI,
    ACTIONS(9947), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181190] = 3,
    ACTIONS(9949), 1,
      anon_sym_COMMA,
    ACTIONS(9951), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181201] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2040), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181212] = 3,
    ACTIONS(4895), 1,
      anon_sym_LBRACE,
    STATE(2429), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181223] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6211), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181234] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2063), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181245] = 3,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3048), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181265] = 3,
    ACTIONS(5369), 1,
      anon_sym_LPAREN,
    STATE(2466), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181276] = 3,
    ACTIONS(7375), 1,
      anon_sym_LBRACE,
    STATE(2430), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181287] = 3,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3056), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181298] = 3,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181309] = 3,
    ACTIONS(9841), 1,
      anon_sym_STAR,
    ACTIONS(9953), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181320] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181329] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6288), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181340] = 3,
    ACTIONS(9955), 1,
      anon_sym_SEMI,
    ACTIONS(9957), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181351] = 3,
    ACTIONS(7604), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181371] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(3088), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181391] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2030), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181402] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181422] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181431] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181442] = 3,
    ACTIONS(9699), 1,
      anon_sym_LBRACE,
    STATE(4662), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181453] = 3,
    ACTIONS(7610), 1,
      anon_sym_LBRACE,
    STATE(3067), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181464] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2084), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181475] = 3,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(793), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181486] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181495] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5639), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181506] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2022), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181517] = 3,
    ACTIONS(7490), 1,
      anon_sym_LBRACE,
    STATE(4404), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181528] = 3,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181539] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2068), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181559] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2046), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181570] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2047), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181581] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181590] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181601] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9969), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [181610] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(5731), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181621] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2050), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181641] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181652] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2079), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181663] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181674] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5548), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181692] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9577), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181710] = 3,
    ACTIONS(9973), 1,
      sym_identifier,
    ACTIONS(9975), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181721] = 3,
    ACTIONS(9977), 1,
      sym_identifier,
    ACTIONS(9979), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181732] = 3,
    ACTIONS(9981), 1,
      sym_identifier,
    ACTIONS(9983), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181752] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6681), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181761] = 3,
    ACTIONS(9783), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181772] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181781] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181790] = 3,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181801] = 3,
    ACTIONS(9205), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181812] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181821] = 3,
    ACTIONS(9211), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181832] = 3,
    ACTIONS(9987), 1,
      sym_identifier,
    ACTIONS(9989), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181843] = 3,
    ACTIONS(9991), 1,
      sym_identifier,
    STATE(5031), 1,
      sym__qml_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181854] = 3,
    ACTIONS(9993), 1,
      sym_identifier,
    ACTIONS(9995), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181865] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181876] = 3,
    ACTIONS(9997), 1,
      anon_sym_SEMI,
    ACTIONS(9999), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181887] = 3,
    ACTIONS(10001), 1,
      sym_identifier,
    ACTIONS(10003), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181898] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(10005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181918] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(10007), 2,
      anon_sym_in,
      anon_sym_of,
  [181927] = 3,
    ACTIONS(9681), 1,
      anon_sym_STAR,
    ACTIONS(10009), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181938] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8184), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [181947] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [181956] = 3,
    ACTIONS(10011), 1,
      sym_identifier,
    ACTIONS(10013), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181967] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8200), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [181976] = 3,
    ACTIONS(8338), 1,
      anon_sym_in,
    ACTIONS(8340), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181987] = 3,
    ACTIONS(9841), 1,
      anon_sym_STAR,
    ACTIONS(10015), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [181998] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5641), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182009] = 3,
    ACTIONS(10017), 1,
      sym_identifier,
    ACTIONS(10019), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182020] = 3,
    ACTIONS(10021), 1,
      sym_identifier,
    ACTIONS(10023), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182031] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6039), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182042] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8208), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [182051] = 3,
    ACTIONS(10025), 1,
      sym_identifier,
    ACTIONS(10027), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182062] = 3,
    ACTIONS(10029), 1,
      sym_identifier,
    ACTIONS(10031), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182073] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(6043), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [182093] = 3,
    ACTIONS(1796), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(10033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182113] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6301), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182124] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [182133] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4709), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182144] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6320), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(10035), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182164] = 3,
    ACTIONS(9617), 1,
      anon_sym_LPAREN,
    STATE(57), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182175] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(4710), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182186] = 3,
    ACTIONS(7112), 1,
      anon_sym_LPAREN,
    STATE(6329), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182197] = 3,
    ACTIONS(4389), 1,
      anon_sym_LBRACE,
    STATE(5616), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182208] = 3,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182219] = 3,
    ACTIONS(7708), 1,
      anon_sym_LBRACE,
    STATE(2872), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182230] = 3,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(847), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182241] = 3,
    ACTIONS(5121), 1,
      anon_sym_LBRACE,
    STATE(1931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182252] = 2,
    ACTIONS(10037), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182260] = 2,
    ACTIONS(10039), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182268] = 2,
    ACTIONS(10041), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182276] = 2,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182284] = 2,
    ACTIONS(10045), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182292] = 2,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10049), 1,
      sym_regex_pattern,
  [182310] = 2,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182318] = 2,
    ACTIONS(10053), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182326] = 2,
    ACTIONS(10055), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182334] = 2,
    ACTIONS(10057), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182342] = 2,
    ACTIONS(10059), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182350] = 2,
    ACTIONS(10061), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182358] = 2,
    ACTIONS(10063), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182366] = 2,
    ACTIONS(10065), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182374] = 2,
    ACTIONS(10067), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182382] = 2,
    ACTIONS(10069), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182390] = 2,
    ACTIONS(10071), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182398] = 2,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182406] = 2,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182414] = 2,
    ACTIONS(10075), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182422] = 2,
    ACTIONS(10077), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182430] = 2,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182438] = 2,
    ACTIONS(10079), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182446] = 2,
    ACTIONS(10081), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182454] = 2,
    ACTIONS(10083), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182462] = 2,
    ACTIONS(10085), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182470] = 2,
    ACTIONS(10087), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182478] = 2,
    ACTIONS(10089), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182486] = 2,
    ACTIONS(10091), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182494] = 2,
    ACTIONS(10093), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182502] = 2,
    ACTIONS(10095), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182510] = 2,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182518] = 2,
    ACTIONS(10097), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182526] = 2,
    ACTIONS(10099), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182534] = 2,
    ACTIONS(5998), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182542] = 2,
    ACTIONS(10101), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182550] = 2,
    ACTIONS(10103), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182558] = 2,
    ACTIONS(10105), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182566] = 2,
    ACTIONS(10107), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182574] = 2,
    ACTIONS(10109), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182582] = 2,
    ACTIONS(10111), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182590] = 2,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182598] = 2,
    ACTIONS(10115), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182606] = 2,
    ACTIONS(6148), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182614] = 2,
    ACTIONS(10117), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182622] = 2,
    ACTIONS(10119), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182630] = 2,
    ACTIONS(5976), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182638] = 2,
    ACTIONS(10121), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182646] = 2,
    ACTIONS(10123), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182654] = 2,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182662] = 2,
    ACTIONS(10127), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182670] = 2,
    ACTIONS(10129), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182678] = 2,
    ACTIONS(6150), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182686] = 2,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182694] = 2,
    ACTIONS(10133), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182702] = 2,
    ACTIONS(10135), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182710] = 2,
    ACTIONS(10137), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182718] = 2,
    ACTIONS(10139), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182726] = 2,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182734] = 2,
    ACTIONS(10143), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182742] = 2,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182750] = 2,
    ACTIONS(10145), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182758] = 2,
    ACTIONS(10147), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182766] = 2,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182774] = 2,
    ACTIONS(6101), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182782] = 2,
    ACTIONS(10151), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182790] = 2,
    ACTIONS(10153), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182798] = 2,
    ACTIONS(10155), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182806] = 2,
    ACTIONS(10157), 1,
      aux_sym_ui_version_specifier_token1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182814] = 2,
    ACTIONS(10159), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182822] = 2,
    ACTIONS(10161), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182830] = 2,
    ACTIONS(10163), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182838] = 2,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182846] = 2,
    ACTIONS(5648), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182854] = 2,
    ACTIONS(10167), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182862] = 2,
    ACTIONS(10169), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182870] = 2,
    ACTIONS(2193), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182878] = 2,
    ACTIONS(10171), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182886] = 2,
    ACTIONS(10173), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182894] = 2,
    ACTIONS(10175), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182902] = 2,
    ACTIONS(10177), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182910] = 2,
    ACTIONS(10179), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182918] = 2,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182926] = 2,
    ACTIONS(10181), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182934] = 2,
    ACTIONS(10183), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182942] = 2,
    ACTIONS(10185), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182950] = 2,
    ACTIONS(5741), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182958] = 2,
    ACTIONS(10187), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182966] = 2,
    ACTIONS(9372), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182974] = 2,
    ACTIONS(10189), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182982] = 2,
    ACTIONS(10191), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182990] = 2,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [182998] = 2,
    ACTIONS(10193), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183006] = 2,
    ACTIONS(10195), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183014] = 2,
    ACTIONS(10197), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183022] = 2,
    ACTIONS(10199), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183030] = 2,
    ACTIONS(6311), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183038] = 2,
    ACTIONS(10201), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183046] = 2,
    ACTIONS(10203), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183054] = 2,
    ACTIONS(10205), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183062] = 2,
    ACTIONS(10207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183070] = 2,
    ACTIONS(10209), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183078] = 2,
    ACTIONS(10211), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183086] = 2,
    ACTIONS(10213), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183094] = 2,
    ACTIONS(10215), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183102] = 2,
    ACTIONS(10217), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183110] = 2,
    ACTIONS(10219), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183118] = 2,
    ACTIONS(10221), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183126] = 2,
    ACTIONS(10223), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183134] = 2,
    ACTIONS(10225), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183142] = 2,
    ACTIONS(10227), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183150] = 2,
    ACTIONS(10229), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183158] = 2,
    ACTIONS(10231), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183166] = 2,
    ACTIONS(6073), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183174] = 2,
    ACTIONS(10233), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183182] = 2,
    ACTIONS(10235), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183190] = 2,
    ACTIONS(10237), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183198] = 2,
    ACTIONS(10239), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10241), 1,
      sym_regex_pattern,
  [183216] = 2,
    ACTIONS(7300), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183224] = 2,
    ACTIONS(10243), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183232] = 2,
    ACTIONS(10245), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183240] = 2,
    ACTIONS(10247), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183248] = 2,
    ACTIONS(10249), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183256] = 2,
    ACTIONS(10251), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183264] = 2,
    ACTIONS(10253), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183272] = 2,
    ACTIONS(10255), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183280] = 2,
    ACTIONS(10257), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183288] = 2,
    ACTIONS(2195), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183296] = 2,
    ACTIONS(10259), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183304] = 2,
    ACTIONS(10261), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183312] = 2,
    ACTIONS(10263), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183320] = 2,
    ACTIONS(6347), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183328] = 2,
    ACTIONS(10265), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183336] = 2,
    ACTIONS(10267), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183344] = 2,
    ACTIONS(9148), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183352] = 2,
    ACTIONS(10269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183360] = 2,
    ACTIONS(10271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183368] = 2,
    ACTIONS(10273), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183376] = 2,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183384] = 2,
    ACTIONS(10277), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183392] = 2,
    ACTIONS(10279), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183400] = 2,
    ACTIONS(10281), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183408] = 2,
    ACTIONS(10283), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183416] = 2,
    ACTIONS(10117), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183424] = 2,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183432] = 2,
    ACTIONS(10287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183440] = 2,
    ACTIONS(10289), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183448] = 2,
    ACTIONS(5255), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183456] = 2,
    ACTIONS(10291), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183464] = 2,
    ACTIONS(6160), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10293), 1,
      sym_regex_pattern,
  [183482] = 2,
    ACTIONS(10295), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183490] = 2,
    ACTIONS(10297), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183498] = 2,
    ACTIONS(10299), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183506] = 2,
    ACTIONS(10301), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183514] = 2,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183522] = 2,
    ACTIONS(10305), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183530] = 2,
    ACTIONS(10307), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183538] = 2,
    ACTIONS(5953), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183546] = 2,
    ACTIONS(10309), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183554] = 2,
    ACTIONS(10311), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183562] = 2,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183570] = 2,
    ACTIONS(10315), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183578] = 2,
    ACTIONS(6443), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183586] = 2,
    ACTIONS(10317), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183594] = 2,
    ACTIONS(10319), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183602] = 2,
    ACTIONS(10321), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183610] = 2,
    ACTIONS(10323), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183618] = 2,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183626] = 2,
    ACTIONS(10325), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10327), 1,
      anon_sym_SLASH2,
  [183644] = 2,
    ACTIONS(7876), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183652] = 2,
    ACTIONS(10329), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183660] = 2,
    ACTIONS(6162), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183668] = 2,
    ACTIONS(10331), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183676] = 2,
    ACTIONS(10333), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183684] = 2,
    ACTIONS(10335), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183692] = 2,
    ACTIONS(10337), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183700] = 2,
    ACTIONS(10339), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183708] = 2,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183716] = 2,
    ACTIONS(10343), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183724] = 2,
    ACTIONS(10345), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183732] = 2,
    ACTIONS(10347), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183740] = 2,
    ACTIONS(10349), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183748] = 2,
    ACTIONS(10351), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183756] = 2,
    ACTIONS(10353), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183764] = 2,
    ACTIONS(10355), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183772] = 2,
    ACTIONS(10357), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183780] = 2,
    ACTIONS(10359), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183788] = 2,
    ACTIONS(6056), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183796] = 2,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183804] = 2,
    ACTIONS(10363), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183812] = 2,
    ACTIONS(10365), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183820] = 2,
    ACTIONS(10367), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183828] = 2,
    ACTIONS(10369), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183836] = 2,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183844] = 2,
    ACTIONS(10373), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183852] = 2,
    ACTIONS(9951), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183860] = 2,
    ACTIONS(10375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183868] = 2,
    ACTIONS(10377), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183876] = 2,
    ACTIONS(10379), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183884] = 2,
    ACTIONS(10381), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183892] = 2,
    ACTIONS(10383), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183900] = 2,
    ACTIONS(10385), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183908] = 2,
    ACTIONS(10387), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183916] = 2,
    ACTIONS(10389), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183924] = 2,
    ACTIONS(10391), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183932] = 2,
    ACTIONS(6142), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183940] = 2,
    ACTIONS(10393), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183948] = 2,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183956] = 2,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183964] = 2,
    ACTIONS(10399), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183972] = 2,
    ACTIONS(10401), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183980] = 2,
    ACTIONS(10403), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183988] = 2,
    ACTIONS(9026), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [183996] = 2,
    ACTIONS(10405), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10407), 1,
      sym_regex_pattern,
  [184014] = 2,
    ACTIONS(10409), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184022] = 2,
    ACTIONS(10411), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184030] = 2,
    ACTIONS(10413), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184038] = 2,
    ACTIONS(10415), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184046] = 2,
    ACTIONS(10417), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184054] = 2,
    ACTIONS(5960), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184062] = 2,
    ACTIONS(6006), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184070] = 2,
    ACTIONS(10419), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184078] = 2,
    ACTIONS(10421), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184086] = 2,
    ACTIONS(10423), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184094] = 2,
    ACTIONS(10425), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184102] = 2,
    ACTIONS(6103), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184110] = 2,
    ACTIONS(10427), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184118] = 2,
    ACTIONS(6075), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184126] = 2,
    ACTIONS(10429), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184134] = 2,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184142] = 2,
    ACTIONS(10431), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184150] = 2,
    ACTIONS(9374), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184158] = 2,
    ACTIONS(10433), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184166] = 2,
    ACTIONS(10435), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184174] = 2,
    ACTIONS(10437), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184182] = 2,
    ACTIONS(10439), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184190] = 2,
    ACTIONS(5759), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184198] = 2,
    ACTIONS(10441), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184206] = 2,
    ACTIONS(10443), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184214] = 2,
    ACTIONS(6144), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10445), 1,
      anon_sym_SLASH2,
  [184232] = 2,
    ACTIONS(10447), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184240] = 2,
    ACTIONS(10449), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184248] = 2,
    ACTIONS(7766), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184256] = 2,
    ACTIONS(10451), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184264] = 2,
    ACTIONS(9413), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184272] = 2,
    ACTIONS(6105), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184280] = 2,
    ACTIONS(10453), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184288] = 2,
    ACTIONS(10455), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184296] = 2,
    ACTIONS(10457), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184304] = 2,
    ACTIONS(10459), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184312] = 2,
    ACTIONS(10461), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184320] = 2,
    ACTIONS(10463), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184328] = 2,
    ACTIONS(6166), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184336] = 2,
    ACTIONS(10465), 1,
      anon_sym_require,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184344] = 2,
    ACTIONS(10467), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184352] = 2,
    ACTIONS(10469), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184360] = 2,
    ACTIONS(10471), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184368] = 2,
    ACTIONS(10473), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184376] = 2,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184384] = 2,
    ACTIONS(10477), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184392] = 2,
    ACTIONS(10479), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184400] = 2,
    ACTIONS(10481), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184408] = 2,
    ACTIONS(10483), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184416] = 2,
    ACTIONS(7712), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184424] = 2,
    ACTIONS(10485), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184432] = 2,
    ACTIONS(10487), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184440] = 2,
    ACTIONS(10489), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184448] = 2,
    ACTIONS(10491), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184456] = 2,
    ACTIONS(10493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184464] = 2,
    ACTIONS(10495), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184472] = 2,
    ACTIONS(10497), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184480] = 2,
    ACTIONS(10499), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184488] = 2,
    ACTIONS(10501), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184496] = 2,
    ACTIONS(10503), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10505), 1,
      sym_regex_pattern,
  [184514] = 2,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184522] = 2,
    ACTIONS(10507), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184530] = 2,
    ACTIONS(10509), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184538] = 2,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184546] = 2,
    ACTIONS(10511), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184554] = 2,
    ACTIONS(10513), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184562] = 2,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184570] = 2,
    ACTIONS(10517), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184578] = 2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184586] = 2,
    ACTIONS(10519), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184594] = 2,
    ACTIONS(10521), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184602] = 2,
    ACTIONS(10523), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184610] = 2,
    ACTIONS(10525), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184618] = 2,
    ACTIONS(10527), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184626] = 2,
    ACTIONS(10529), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184634] = 2,
    ACTIONS(10531), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184642] = 2,
    ACTIONS(10533), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184650] = 2,
    ACTIONS(10535), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184658] = 2,
    ACTIONS(6111), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184666] = 2,
    ACTIONS(10537), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184674] = 2,
    ACTIONS(10539), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184682] = 2,
    ACTIONS(10541), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184690] = 2,
    ACTIONS(10543), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184698] = 2,
    ACTIONS(10545), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184706] = 2,
    ACTIONS(10547), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184714] = 2,
    ACTIONS(10549), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184722] = 2,
    ACTIONS(10551), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184730] = 2,
    ACTIONS(8025), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184738] = 2,
    ACTIONS(10553), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184746] = 2,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184754] = 2,
    ACTIONS(6081), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184762] = 2,
    ACTIONS(10557), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184770] = 2,
    ACTIONS(10559), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184778] = 2,
    ACTIONS(9189), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184786] = 2,
    ACTIONS(10561), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184794] = 2,
    ACTIONS(6107), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184802] = 2,
    ACTIONS(5743), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184810] = 2,
    ACTIONS(10563), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184818] = 2,
    ACTIONS(5862), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184826] = 2,
    ACTIONS(10565), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184834] = 2,
    ACTIONS(10567), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184842] = 2,
    ACTIONS(4785), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184850] = 2,
    ACTIONS(10569), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184858] = 2,
    ACTIONS(10571), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184866] = 2,
    ACTIONS(10573), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184874] = 2,
    ACTIONS(10575), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184882] = 2,
    ACTIONS(10577), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184890] = 2,
    ACTIONS(10579), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184898] = 2,
    ACTIONS(10581), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184906] = 2,
    ACTIONS(9201), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184914] = 2,
    ACTIONS(10583), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184922] = 2,
    ACTIONS(6071), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184930] = 2,
    ACTIONS(10585), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184938] = 2,
    ACTIONS(10587), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184946] = 2,
    ACTIONS(10589), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184954] = 2,
    ACTIONS(10591), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184962] = 2,
    ACTIONS(10593), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184970] = 2,
    ACTIONS(10595), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184978] = 2,
    ACTIONS(10597), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184986] = 2,
    ACTIONS(10599), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [184994] = 2,
    ACTIONS(10601), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185002] = 2,
    ACTIONS(10603), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185010] = 2,
    ACTIONS(10133), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185018] = 2,
    ACTIONS(10605), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185026] = 2,
    ACTIONS(10607), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185034] = 2,
    ACTIONS(8686), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185042] = 2,
    ACTIONS(10609), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185050] = 2,
    ACTIONS(10611), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185058] = 2,
    ACTIONS(10613), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185066] = 2,
    ACTIONS(5890), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185074] = 2,
    ACTIONS(10615), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185082] = 2,
    ACTIONS(10617), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185090] = 2,
    ACTIONS(10619), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185098] = 2,
    ACTIONS(10621), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185106] = 2,
    ACTIONS(10623), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185114] = 2,
    ACTIONS(10625), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185122] = 2,
    ACTIONS(10627), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185130] = 2,
    ACTIONS(10629), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185138] = 2,
    ACTIONS(10631), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185146] = 2,
    ACTIONS(10633), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185154] = 2,
    ACTIONS(10635), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185162] = 2,
    ACTIONS(10637), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185170] = 2,
    ACTIONS(10639), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185178] = 2,
    ACTIONS(10641), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185186] = 2,
    ACTIONS(6113), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185194] = 2,
    ACTIONS(10643), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185202] = 2,
    ACTIONS(10645), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185210] = 2,
    ACTIONS(10647), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185218] = 2,
    ACTIONS(10649), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185226] = 2,
    ACTIONS(10651), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185234] = 2,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185242] = 2,
    ACTIONS(10655), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185250] = 2,
    ACTIONS(10657), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185258] = 2,
    ACTIONS(6083), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185266] = 2,
    ACTIONS(10659), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185274] = 2,
    ACTIONS(10661), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185282] = 2,
    ACTIONS(10663), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185290] = 2,
    ACTIONS(10665), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185298] = 2,
    ACTIONS(10667), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185306] = 2,
    ACTIONS(10669), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185314] = 2,
    ACTIONS(6085), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185322] = 2,
    ACTIONS(10671), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185330] = 2,
    ACTIONS(10673), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185338] = 2,
    ACTIONS(10675), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185346] = 2,
    ACTIONS(10677), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185354] = 2,
    ACTIONS(10679), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185362] = 2,
    ACTIONS(10681), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185370] = 2,
    ACTIONS(10683), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185378] = 2,
    ACTIONS(10685), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185386] = 2,
    ACTIONS(6087), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185394] = 2,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185402] = 2,
    ACTIONS(9442), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185410] = 2,
    ACTIONS(10687), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185418] = 2,
    ACTIONS(10689), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10691), 1,
      anon_sym_SLASH2,
  [185436] = 2,
    ACTIONS(10693), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185444] = 2,
    ACTIONS(10695), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185452] = 2,
    ACTIONS(10697), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185460] = 2,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185468] = 2,
    ACTIONS(5937), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185476] = 2,
    ACTIONS(10701), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185484] = 2,
    ACTIONS(5996), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185492] = 2,
    ACTIONS(10703), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185500] = 2,
    ACTIONS(6089), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185508] = 2,
    ACTIONS(10705), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185516] = 2,
    ACTIONS(10707), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10709), 1,
      anon_sym_SLASH2,
  [185534] = 2,
    ACTIONS(10711), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185542] = 2,
    ACTIONS(10713), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185550] = 2,
    ACTIONS(6280), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185558] = 2,
    ACTIONS(10715), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185566] = 2,
    ACTIONS(10717), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185574] = 2,
    ACTIONS(10719), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185582] = 2,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185590] = 2,
    ACTIONS(10723), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185598] = 2,
    ACTIONS(10725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185606] = 2,
    ACTIONS(10727), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185614] = 2,
    ACTIONS(10729), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185622] = 2,
    ACTIONS(10731), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185630] = 2,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185638] = 2,
    ACTIONS(10735), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185646] = 2,
    ACTIONS(10737), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185654] = 2,
    ACTIONS(10739), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185662] = 2,
    ACTIONS(10741), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185670] = 2,
    ACTIONS(10743), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185678] = 2,
    ACTIONS(10745), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185686] = 2,
    ACTIONS(8252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185694] = 2,
    ACTIONS(10747), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185702] = 2,
    ACTIONS(10749), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185710] = 2,
    ACTIONS(10751), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185718] = 2,
    ACTIONS(10753), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185726] = 2,
    ACTIONS(10755), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185734] = 2,
    ACTIONS(10757), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185742] = 2,
    ACTIONS(10759), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185750] = 2,
    ACTIONS(10761), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185758] = 2,
    ACTIONS(7222), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185766] = 2,
    ACTIONS(7385), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185774] = 2,
    ACTIONS(10763), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185782] = 2,
    ACTIONS(9257), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185790] = 2,
    ACTIONS(10765), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185798] = 2,
    ACTIONS(10767), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185806] = 2,
    ACTIONS(8616), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185814] = 2,
    ACTIONS(10769), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185822] = 2,
    ACTIONS(10771), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185830] = 2,
    ACTIONS(10773), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185838] = 2,
    ACTIONS(10775), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185846] = 2,
    ACTIONS(10777), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185854] = 2,
    ACTIONS(10779), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185862] = 2,
    ACTIONS(10781), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185870] = 2,
    ACTIONS(10783), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10785), 1,
      anon_sym_SLASH2,
  [185888] = 2,
    ACTIONS(10787), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185896] = 2,
    ACTIONS(10789), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [185904] = 2,
    ACTIONS(10791), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1257)] = 0,
  [SMALL_STATE(1258)] = 89,
  [SMALL_STATE(1259)] = 184,
  [SMALL_STATE(1260)] = 255,
  [SMALL_STATE(1261)] = 382,
  [SMALL_STATE(1262)] = 453,
  [SMALL_STATE(1263)] = 524,
  [SMALL_STATE(1264)] = 613,
  [SMALL_STATE(1265)] = 740,
  [SMALL_STATE(1266)] = 867,
  [SMALL_STATE(1267)] = 960,
  [SMALL_STATE(1268)] = 1053,
  [SMALL_STATE(1269)] = 1180,
  [SMALL_STATE(1270)] = 1273,
  [SMALL_STATE(1271)] = 1366,
  [SMALL_STATE(1272)] = 1457,
  [SMALL_STATE(1273)] = 1550,
  [SMALL_STATE(1274)] = 1643,
  [SMALL_STATE(1275)] = 1714,
  [SMALL_STATE(1276)] = 1785,
  [SMALL_STATE(1277)] = 1912,
  [SMALL_STATE(1278)] = 1983,
  [SMALL_STATE(1279)] = 2110,
  [SMALL_STATE(1280)] = 2181,
  [SMALL_STATE(1281)] = 2254,
  [SMALL_STATE(1282)] = 2327,
  [SMALL_STATE(1283)] = 2454,
  [SMALL_STATE(1284)] = 2542,
  [SMALL_STATE(1285)] = 2634,
  [SMALL_STATE(1286)] = 2722,
  [SMALL_STATE(1287)] = 2792,
  [SMALL_STATE(1288)] = 2882,
  [SMALL_STATE(1289)] = 2970,
  [SMALL_STATE(1290)] = 3060,
  [SMALL_STATE(1291)] = 3150,
  [SMALL_STATE(1292)] = 3224,
  [SMALL_STATE(1293)] = 3312,
  [SMALL_STATE(1294)] = 3402,
  [SMALL_STATE(1295)] = 3472,
  [SMALL_STATE(1296)] = 3562,
  [SMALL_STATE(1297)] = 3652,
  [SMALL_STATE(1298)] = 3742,
  [SMALL_STATE(1299)] = 3828,
  [SMALL_STATE(1300)] = 3916,
  [SMALL_STATE(1301)] = 4006,
  [SMALL_STATE(1302)] = 4098,
  [SMALL_STATE(1303)] = 4186,
  [SMALL_STATE(1304)] = 4274,
  [SMALL_STATE(1305)] = 4360,
  [SMALL_STATE(1306)] = 4450,
  [SMALL_STATE(1307)] = 4540,
  [SMALL_STATE(1308)] = 4628,
  [SMALL_STATE(1309)] = 4716,
  [SMALL_STATE(1310)] = 4802,
  [SMALL_STATE(1311)] = 4925,
  [SMALL_STATE(1312)] = 5048,
  [SMALL_STATE(1313)] = 5139,
  [SMALL_STATE(1314)] = 5230,
  [SMALL_STATE(1315)] = 5317,
  [SMALL_STATE(1316)] = 5404,
  [SMALL_STATE(1317)] = 5527,
  [SMALL_STATE(1318)] = 5618,
  [SMALL_STATE(1319)] = 5709,
  [SMALL_STATE(1320)] = 5832,
  [SMALL_STATE(1321)] = 5955,
  [SMALL_STATE(1322)] = 6078,
  [SMALL_STATE(1323)] = 6201,
  [SMALL_STATE(1324)] = 6288,
  [SMALL_STATE(1325)] = 6411,
  [SMALL_STATE(1326)] = 6506,
  [SMALL_STATE(1327)] = 6629,
  [SMALL_STATE(1328)] = 6716,
  [SMALL_STATE(1329)] = 6803,
  [SMALL_STATE(1330)] = 6926,
  [SMALL_STATE(1331)] = 7049,
  [SMALL_STATE(1332)] = 7172,
  [SMALL_STATE(1333)] = 7261,
  [SMALL_STATE(1334)] = 7342,
  [SMALL_STATE(1335)] = 7465,
  [SMALL_STATE(1336)] = 7588,
  [SMALL_STATE(1337)] = 7675,
  [SMALL_STATE(1338)] = 7798,
  [SMALL_STATE(1339)] = 7921,
  [SMALL_STATE(1340)] = 8044,
  [SMALL_STATE(1341)] = 8167,
  [SMALL_STATE(1342)] = 8290,
  [SMALL_STATE(1343)] = 8413,
  [SMALL_STATE(1344)] = 8536,
  [SMALL_STATE(1345)] = 8622,
  [SMALL_STATE(1346)] = 8708,
  [SMALL_STATE(1347)] = 8794,
  [SMALL_STATE(1348)] = 8880,
  [SMALL_STATE(1349)] = 8972,
  [SMALL_STATE(1350)] = 9052,
  [SMALL_STATE(1351)] = 9138,
  [SMALL_STATE(1352)] = 9216,
  [SMALL_STATE(1353)] = 9302,
  [SMALL_STATE(1354)] = 9376,
  [SMALL_STATE(1355)] = 9462,
  [SMALL_STATE(1356)] = 9536,
  [SMALL_STATE(1357)] = 9622,
  [SMALL_STATE(1358)] = 9708,
  [SMALL_STATE(1359)] = 9786,
  [SMALL_STATE(1360)] = 9876,
  [SMALL_STATE(1361)] = 9962,
  [SMALL_STATE(1362)] = 10052,
  [SMALL_STATE(1363)] = 10138,
  [SMALL_STATE(1364)] = 10224,
  [SMALL_STATE(1365)] = 10310,
  [SMALL_STATE(1366)] = 10388,
  [SMALL_STATE(1367)] = 10480,
  [SMALL_STATE(1368)] = 10558,
  [SMALL_STATE(1369)] = 10632,
  [SMALL_STATE(1370)] = 10706,
  [SMALL_STATE(1371)] = 10784,
  [SMALL_STATE(1372)] = 10874,
  [SMALL_STATE(1373)] = 10952,
  [SMALL_STATE(1374)] = 11029,
  [SMALL_STATE(1375)] = 11108,
  [SMALL_STATE(1376)] = 11197,
  [SMALL_STATE(1377)] = 11272,
  [SMALL_STATE(1378)] = 11391,
  [SMALL_STATE(1379)] = 11470,
  [SMALL_STATE(1380)] = 11549,
  [SMALL_STATE(1381)] = 11638,
  [SMALL_STATE(1382)] = 11707,
  [SMALL_STATE(1383)] = 11776,
  [SMALL_STATE(1384)] = 11853,
  [SMALL_STATE(1385)] = 11942,
  [SMALL_STATE(1386)] = 12021,
  [SMALL_STATE(1387)] = 12098,
  [SMALL_STATE(1388)] = 12217,
  [SMALL_STATE(1389)] = 12336,
  [SMALL_STATE(1390)] = 12421,
  [SMALL_STATE(1391)] = 12490,
  [SMALL_STATE(1392)] = 12559,
  [SMALL_STATE(1393)] = 12642,
  [SMALL_STATE(1394)] = 12721,
  [SMALL_STATE(1395)] = 12810,
  [SMALL_STATE(1396)] = 12885,
  [SMALL_STATE(1397)] = 12972,
  [SMALL_STATE(1398)] = 13091,
  [SMALL_STATE(1399)] = 13210,
  [SMALL_STATE(1400)] = 13329,
  [SMALL_STATE(1401)] = 13448,
  [SMALL_STATE(1402)] = 13531,
  [SMALL_STATE(1403)] = 13650,
  [SMALL_STATE(1404)] = 13739,
  [SMALL_STATE(1405)] = 13824,
  [SMALL_STATE(1406)] = 13895,
  [SMALL_STATE(1407)] = 13974,
  [SMALL_STATE(1408)] = 14049,
  [SMALL_STATE(1409)] = 14115,
  [SMALL_STATE(1410)] = 14233,
  [SMALL_STATE(1411)] = 14305,
  [SMALL_STATE(1412)] = 14377,
  [SMALL_STATE(1413)] = 14495,
  [SMALL_STATE(1414)] = 14569,
  [SMALL_STATE(1415)] = 14643,
  [SMALL_STATE(1416)] = 14713,
  [SMALL_STATE(1417)] = 14785,
  [SMALL_STATE(1418)] = 14857,
  [SMALL_STATE(1419)] = 14923,
  [SMALL_STATE(1420)] = 14989,
  [SMALL_STATE(1421)] = 15077,
  [SMALL_STATE(1422)] = 15195,
  [SMALL_STATE(1423)] = 15269,
  [SMALL_STATE(1424)] = 15353,
  [SMALL_STATE(1425)] = 15471,
  [SMALL_STATE(1426)] = 15551,
  [SMALL_STATE(1427)] = 15617,
  [SMALL_STATE(1428)] = 15735,
  [SMALL_STATE(1429)] = 15817,
  [SMALL_STATE(1430)] = 15883,
  [SMALL_STATE(1431)] = 15957,
  [SMALL_STATE(1432)] = 16023,
  [SMALL_STATE(1433)] = 16103,
  [SMALL_STATE(1434)] = 16179,
  [SMALL_STATE(1435)] = 16297,
  [SMALL_STATE(1436)] = 16369,
  [SMALL_STATE(1437)] = 16487,
  [SMALL_STATE(1438)] = 16571,
  [SMALL_STATE(1439)] = 16651,
  [SMALL_STATE(1440)] = 16723,
  [SMALL_STATE(1441)] = 16797,
  [SMALL_STATE(1442)] = 16869,
  [SMALL_STATE(1443)] = 16953,
  [SMALL_STATE(1444)] = 17071,
  [SMALL_STATE(1445)] = 17159,
  [SMALL_STATE(1446)] = 17225,
  [SMALL_STATE(1447)] = 17297,
  [SMALL_STATE(1448)] = 17415,
  [SMALL_STATE(1449)] = 17493,
  [SMALL_STATE(1450)] = 17611,
  [SMALL_STATE(1451)] = 17695,
  [SMALL_STATE(1452)] = 17813,
  [SMALL_STATE(1453)] = 17881,
  [SMALL_STATE(1454)] = 17961,
  [SMALL_STATE(1455)] = 18029,
  [SMALL_STATE(1456)] = 18147,
  [SMALL_STATE(1457)] = 18265,
  [SMALL_STATE(1458)] = 18383,
  [SMALL_STATE(1459)] = 18501,
  [SMALL_STATE(1460)] = 18575,
  [SMALL_STATE(1461)] = 18653,
  [SMALL_STATE(1462)] = 18771,
  [SMALL_STATE(1463)] = 18837,
  [SMALL_STATE(1464)] = 18955,
  [SMALL_STATE(1465)] = 19021,
  [SMALL_STATE(1466)] = 19094,
  [SMALL_STATE(1467)] = 19163,
  [SMALL_STATE(1468)] = 19236,
  [SMALL_STATE(1469)] = 19305,
  [SMALL_STATE(1470)] = 19414,
  [SMALL_STATE(1471)] = 19523,
  [SMALL_STATE(1472)] = 19632,
  [SMALL_STATE(1473)] = 19699,
  [SMALL_STATE(1474)] = 19808,
  [SMALL_STATE(1475)] = 19885,
  [SMALL_STATE(1476)] = 19956,
  [SMALL_STATE(1477)] = 20025,
  [SMALL_STATE(1478)] = 20102,
  [SMALL_STATE(1479)] = 20211,
  [SMALL_STATE(1480)] = 20288,
  [SMALL_STATE(1481)] = 20359,
  [SMALL_STATE(1482)] = 20468,
  [SMALL_STATE(1483)] = 20543,
  [SMALL_STATE(1484)] = 20614,
  [SMALL_STATE(1485)] = 20697,
  [SMALL_STATE(1486)] = 20774,
  [SMALL_STATE(1487)] = 20845,
  [SMALL_STATE(1488)] = 20924,
  [SMALL_STATE(1489)] = 20997,
  [SMALL_STATE(1490)] = 21070,
  [SMALL_STATE(1491)] = 21145,
  [SMALL_STATE(1492)] = 21218,
  [SMALL_STATE(1493)] = 21285,
  [SMALL_STATE(1494)] = 21362,
  [SMALL_STATE(1495)] = 21431,
  [SMALL_STATE(1496)] = 21505,
  [SMALL_STATE(1497)] = 21579,
  [SMALL_STATE(1498)] = 21649,
  [SMALL_STATE(1499)] = 21723,
  [SMALL_STATE(1500)] = 21793,
  [SMALL_STATE(1501)] = 21865,
  [SMALL_STATE(1502)] = 21933,
  [SMALL_STATE(1503)] = 22003,
  [SMALL_STATE(1504)] = 22079,
  [SMALL_STATE(1505)] = 22151,
  [SMALL_STATE(1506)] = 22221,
  [SMALL_STATE(1507)] = 22293,
  [SMALL_STATE(1508)] = 22367,
  [SMALL_STATE(1509)] = 22433,
  [SMALL_STATE(1510)] = 22499,
  [SMALL_STATE(1511)] = 22568,
  [SMALL_STATE(1512)] = 22637,
  [SMALL_STATE(1513)] = 22704,
  [SMALL_STATE(1514)] = 22773,
  [SMALL_STATE(1515)] = 22842,
  [SMALL_STATE(1516)] = 22911,
  [SMALL_STATE(1517)] = 22984,
  [SMALL_STATE(1518)] = 23053,
  [SMALL_STATE(1519)] = 23126,
  [SMALL_STATE(1520)] = 23195,
  [SMALL_STATE(1521)] = 23264,
  [SMALL_STATE(1522)] = 23333,
  [SMALL_STATE(1523)] = 23434,
  [SMALL_STATE(1524)] = 23505,
  [SMALL_STATE(1525)] = 23574,
  [SMALL_STATE(1526)] = 23643,
  [SMALL_STATE(1527)] = 23712,
  [SMALL_STATE(1528)] = 23776,
  [SMALL_STATE(1529)] = 23844,
  [SMALL_STATE(1530)] = 23942,
  [SMALL_STATE(1531)] = 24010,
  [SMALL_STATE(1532)] = 24078,
  [SMALL_STATE(1533)] = 24146,
  [SMALL_STATE(1534)] = 24212,
  [SMALL_STATE(1535)] = 24280,
  [SMALL_STATE(1536)] = 24348,
  [SMALL_STATE(1537)] = 24416,
  [SMALL_STATE(1538)] = 24482,
  [SMALL_STATE(1539)] = 24550,
  [SMALL_STATE(1540)] = 24620,
  [SMALL_STATE(1541)] = 24718,
  [SMALL_STATE(1542)] = 24786,
  [SMALL_STATE(1543)] = 24884,
  [SMALL_STATE(1544)] = 24950,
  [SMALL_STATE(1545)] = 25018,
  [SMALL_STATE(1546)] = 25086,
  [SMALL_STATE(1547)] = 25154,
  [SMALL_STATE(1548)] = 25222,
  [SMALL_STATE(1549)] = 25320,
  [SMALL_STATE(1550)] = 25384,
  [SMALL_STATE(1551)] = 25452,
  [SMALL_STATE(1552)] = 25550,
  [SMALL_STATE(1553)] = 25618,
  [SMALL_STATE(1554)] = 25686,
  [SMALL_STATE(1555)] = 25754,
  [SMALL_STATE(1556)] = 25822,
  [SMALL_STATE(1557)] = 25890,
  [SMALL_STATE(1558)] = 25958,
  [SMALL_STATE(1559)] = 26023,
  [SMALL_STATE(1560)] = 26088,
  [SMALL_STATE(1561)] = 26153,
  [SMALL_STATE(1562)] = 26246,
  [SMALL_STATE(1563)] = 26339,
  [SMALL_STATE(1564)] = 26432,
  [SMALL_STATE(1565)] = 26495,
  [SMALL_STATE(1566)] = 26556,
  [SMALL_STATE(1567)] = 26649,
  [SMALL_STATE(1568)] = 26714,
  [SMALL_STATE(1569)] = 26775,
  [SMALL_STATE(1570)] = 26840,
  [SMALL_STATE(1571)] = 26903,
  [SMALL_STATE(1572)] = 26996,
  [SMALL_STATE(1573)] = 27061,
  [SMALL_STATE(1574)] = 27126,
  [SMALL_STATE(1575)] = 27191,
  [SMALL_STATE(1576)] = 27252,
  [SMALL_STATE(1577)] = 27345,
  [SMALL_STATE(1578)] = 27410,
  [SMALL_STATE(1579)] = 27471,
  [SMALL_STATE(1580)] = 27557,
  [SMALL_STATE(1581)] = 27645,
  [SMALL_STATE(1582)] = 27731,
  [SMALL_STATE(1583)] = 27817,
  [SMALL_STATE(1584)] = 27901,
  [SMALL_STATE(1585)] = 27987,
  [SMALL_STATE(1586)] = 28073,
  [SMALL_STATE(1587)] = 28159,
  [SMALL_STATE(1588)] = 28245,
  [SMALL_STATE(1589)] = 28329,
  [SMALL_STATE(1590)] = 28413,
  [SMALL_STATE(1591)] = 28497,
  [SMALL_STATE(1592)] = 28583,
  [SMALL_STATE(1593)] = 28667,
  [SMALL_STATE(1594)] = 28751,
  [SMALL_STATE(1595)] = 28870,
  [SMALL_STATE(1596)] = 28951,
  [SMALL_STATE(1597)] = 29030,
  [SMALL_STATE(1598)] = 29109,
  [SMALL_STATE(1599)] = 29228,
  [SMALL_STATE(1600)] = 29307,
  [SMALL_STATE(1601)] = 29386,
  [SMALL_STATE(1602)] = 29505,
  [SMALL_STATE(1603)] = 29586,
  [SMALL_STATE(1604)] = 29705,
  [SMALL_STATE(1605)] = 29824,
  [SMALL_STATE(1606)] = 29935,
  [SMALL_STATE(1607)] = 30020,
  [SMALL_STATE(1608)] = 30099,
  [SMALL_STATE(1609)] = 30218,
  [SMALL_STATE(1610)] = 30297,
  [SMALL_STATE(1611)] = 30377,
  [SMALL_STATE(1612)] = 30453,
  [SMALL_STATE(1613)] = 30513,
  [SMALL_STATE(1614)] = 30603,
  [SMALL_STATE(1615)] = 30693,
  [SMALL_STATE(1616)] = 30783,
  [SMALL_STATE(1617)] = 30863,
  [SMALL_STATE(1618)] = 30953,
  [SMALL_STATE(1619)] = 31029,
  [SMALL_STATE(1620)] = 31119,
  [SMALL_STATE(1621)] = 31195,
  [SMALL_STATE(1622)] = 31273,
  [SMALL_STATE(1623)] = 31351,
  [SMALL_STATE(1624)] = 31431,
  [SMALL_STATE(1625)] = 31511,
  [SMALL_STATE(1626)] = 31587,
  [SMALL_STATE(1627)] = 31667,
  [SMALL_STATE(1628)] = 31743,
  [SMALL_STATE(1629)] = 31823,
  [SMALL_STATE(1630)] = 31903,
  [SMALL_STATE(1631)] = 31983,
  [SMALL_STATE(1632)] = 32073,
  [SMALL_STATE(1633)] = 32146,
  [SMALL_STATE(1634)] = 32229,
  [SMALL_STATE(1635)] = 32300,
  [SMALL_STATE(1636)] = 32373,
  [SMALL_STATE(1637)] = 32442,
  [SMALL_STATE(1638)] = 32511,
  [SMALL_STATE(1639)] = 32568,
  [SMALL_STATE(1640)] = 32625,
  [SMALL_STATE(1641)] = 32706,
  [SMALL_STATE(1642)] = 32799,
  [SMALL_STATE(1643)] = 32882,
  [SMALL_STATE(1644)] = 32955,
  [SMALL_STATE(1645)] = 33024,
  [SMALL_STATE(1646)] = 33093,
  [SMALL_STATE(1647)] = 33202,
  [SMALL_STATE(1648)] = 33283,
  [SMALL_STATE(1649)] = 33354,
  [SMALL_STATE(1650)] = 33437,
  [SMALL_STATE(1651)] = 33508,
  [SMALL_STATE(1652)] = 33581,
  [SMALL_STATE(1653)] = 33650,
  [SMALL_STATE(1654)] = 33719,
  [SMALL_STATE(1655)] = 33790,
  [SMALL_STATE(1656)] = 33871,
  [SMALL_STATE(1657)] = 33942,
  [SMALL_STATE(1658)] = 34025,
  [SMALL_STATE(1659)] = 34096,
  [SMALL_STATE(1660)] = 34207,
  [SMALL_STATE(1661)] = 34280,
  [SMALL_STATE(1662)] = 34349,
  [SMALL_STATE(1663)] = 34420,
  [SMALL_STATE(1664)] = 34489,
  [SMALL_STATE(1665)] = 34562,
  [SMALL_STATE(1666)] = 34633,
  [SMALL_STATE(1667)] = 34706,
  [SMALL_STATE(1668)] = 34779,
  [SMALL_STATE(1669)] = 34850,
  [SMALL_STATE(1670)] = 34917,
  [SMALL_STATE(1671)] = 34984,
  [SMALL_STATE(1672)] = 35055,
  [SMALL_STATE(1673)] = 35126,
  [SMALL_STATE(1674)] = 35199,
  [SMALL_STATE(1675)] = 35264,
  [SMALL_STATE(1676)] = 35335,
  [SMALL_STATE(1677)] = 35416,
  [SMALL_STATE(1678)] = 35487,
  [SMALL_STATE(1679)] = 35562,
  [SMALL_STATE(1680)] = 35633,
  [SMALL_STATE(1681)] = 35704,
  [SMALL_STATE(1682)] = 35773,
  [SMALL_STATE(1683)] = 35842,
  [SMALL_STATE(1684)] = 35913,
  [SMALL_STATE(1685)] = 35986,
  [SMALL_STATE(1686)] = 36069,
  [SMALL_STATE(1687)] = 36140,
  [SMALL_STATE(1688)] = 36209,
  [SMALL_STATE(1689)] = 36280,
  [SMALL_STATE(1690)] = 36349,
  [SMALL_STATE(1691)] = 36422,
  [SMALL_STATE(1692)] = 36495,
  [SMALL_STATE(1693)] = 36568,
  [SMALL_STATE(1694)] = 36641,
  [SMALL_STATE(1695)] = 36712,
  [SMALL_STATE(1696)] = 36783,
  [SMALL_STATE(1697)] = 36856,
  [SMALL_STATE(1698)] = 36929,
  [SMALL_STATE(1699)] = 37010,
  [SMALL_STATE(1700)] = 37091,
  [SMALL_STATE(1701)] = 37174,
  [SMALL_STATE(1702)] = 37241,
  [SMALL_STATE(1703)] = 37323,
  [SMALL_STATE(1704)] = 37399,
  [SMALL_STATE(1705)] = 37465,
  [SMALL_STATE(1706)] = 37531,
  [SMALL_STATE(1707)] = 37597,
  [SMALL_STATE(1708)] = 37653,
  [SMALL_STATE(1709)] = 37719,
  [SMALL_STATE(1710)] = 37779,
  [SMALL_STATE(1711)] = 37845,
  [SMALL_STATE(1712)] = 37921,
  [SMALL_STATE(1713)] = 37979,
  [SMALL_STATE(1714)] = 38037,
  [SMALL_STATE(1715)] = 38103,
  [SMALL_STATE(1716)] = 38169,
  [SMALL_STATE(1717)] = 38265,
  [SMALL_STATE(1718)] = 38331,
  [SMALL_STATE(1719)] = 38397,
  [SMALL_STATE(1720)] = 38473,
  [SMALL_STATE(1721)] = 38539,
  [SMALL_STATE(1722)] = 38597,
  [SMALL_STATE(1723)] = 38681,
  [SMALL_STATE(1724)] = 38747,
  [SMALL_STATE(1725)] = 38803,
  [SMALL_STATE(1726)] = 38879,
  [SMALL_STATE(1727)] = 38945,
  [SMALL_STATE(1728)] = 39011,
  [SMALL_STATE(1729)] = 39077,
  [SMALL_STATE(1730)] = 39143,
  [SMALL_STATE(1731)] = 39201,
  [SMALL_STATE(1732)] = 39267,
  [SMALL_STATE(1733)] = 39335,
  [SMALL_STATE(1734)] = 39423,
  [SMALL_STATE(1735)] = 39479,
  [SMALL_STATE(1736)] = 39535,
  [SMALL_STATE(1737)] = 39591,
  [SMALL_STATE(1738)] = 39667,
  [SMALL_STATE(1739)] = 39733,
  [SMALL_STATE(1740)] = 39799,
  [SMALL_STATE(1741)] = 39865,
  [SMALL_STATE(1742)] = 39931,
  [SMALL_STATE(1743)] = 40007,
  [SMALL_STATE(1744)] = 40063,
  [SMALL_STATE(1745)] = 40129,
  [SMALL_STATE(1746)] = 40195,
  [SMALL_STATE(1747)] = 40261,
  [SMALL_STATE(1748)] = 40321,
  [SMALL_STATE(1749)] = 40383,
  [SMALL_STATE(1750)] = 40445,
  [SMALL_STATE(1751)] = 40501,
  [SMALL_STATE(1752)] = 40558,
  [SMALL_STATE(1753)] = 40619,
  [SMALL_STATE(1754)] = 40680,
  [SMALL_STATE(1755)] = 40737,
  [SMALL_STATE(1756)] = 40794,
  [SMALL_STATE(1757)] = 40865,
  [SMALL_STATE(1758)] = 40920,
  [SMALL_STATE(1759)] = 40991,
  [SMALL_STATE(1760)] = 41046,
  [SMALL_STATE(1761)] = 41101,
  [SMALL_STATE(1762)] = 41168,
  [SMALL_STATE(1763)] = 41225,
  [SMALL_STATE(1764)] = 41292,
  [SMALL_STATE(1765)] = 41355,
  [SMALL_STATE(1766)] = 41416,
  [SMALL_STATE(1767)] = 41473,
  [SMALL_STATE(1768)] = 41532,
  [SMALL_STATE(1769)] = 41589,
  [SMALL_STATE(1770)] = 41644,
  [SMALL_STATE(1771)] = 41699,
  [SMALL_STATE(1772)] = 41754,
  [SMALL_STATE(1773)] = 41809,
  [SMALL_STATE(1774)] = 41864,
  [SMALL_STATE(1775)] = 41919,
  [SMALL_STATE(1776)] = 41978,
  [SMALL_STATE(1777)] = 42033,
  [SMALL_STATE(1778)] = 42088,
  [SMALL_STATE(1779)] = 42143,
  [SMALL_STATE(1780)] = 42198,
  [SMALL_STATE(1781)] = 42261,
  [SMALL_STATE(1782)] = 42324,
  [SMALL_STATE(1783)] = 42379,
  [SMALL_STATE(1784)] = 42434,
  [SMALL_STATE(1785)] = 42489,
  [SMALL_STATE(1786)] = 42548,
  [SMALL_STATE(1787)] = 42603,
  [SMALL_STATE(1788)] = 42658,
  [SMALL_STATE(1789)] = 42713,
  [SMALL_STATE(1790)] = 42774,
  [SMALL_STATE(1791)] = 42829,
  [SMALL_STATE(1792)] = 42884,
  [SMALL_STATE(1793)] = 42939,
  [SMALL_STATE(1794)] = 42994,
  [SMALL_STATE(1795)] = 43049,
  [SMALL_STATE(1796)] = 43106,
  [SMALL_STATE(1797)] = 43161,
  [SMALL_STATE(1798)] = 43216,
  [SMALL_STATE(1799)] = 43271,
  [SMALL_STATE(1800)] = 43326,
  [SMALL_STATE(1801)] = 43381,
  [SMALL_STATE(1802)] = 43436,
  [SMALL_STATE(1803)] = 43491,
  [SMALL_STATE(1804)] = 43546,
  [SMALL_STATE(1805)] = 43601,
  [SMALL_STATE(1806)] = 43656,
  [SMALL_STATE(1807)] = 43711,
  [SMALL_STATE(1808)] = 43766,
  [SMALL_STATE(1809)] = 43821,
  [SMALL_STATE(1810)] = 43876,
  [SMALL_STATE(1811)] = 43931,
  [SMALL_STATE(1812)] = 43986,
  [SMALL_STATE(1813)] = 44041,
  [SMALL_STATE(1814)] = 44096,
  [SMALL_STATE(1815)] = 44151,
  [SMALL_STATE(1816)] = 44206,
  [SMALL_STATE(1817)] = 44267,
  [SMALL_STATE(1818)] = 44322,
  [SMALL_STATE(1819)] = 44377,
  [SMALL_STATE(1820)] = 44438,
  [SMALL_STATE(1821)] = 44499,
  [SMALL_STATE(1822)] = 44560,
  [SMALL_STATE(1823)] = 44615,
  [SMALL_STATE(1824)] = 44670,
  [SMALL_STATE(1825)] = 44725,
  [SMALL_STATE(1826)] = 44780,
  [SMALL_STATE(1827)] = 44835,
  [SMALL_STATE(1828)] = 44910,
  [SMALL_STATE(1829)] = 44965,
  [SMALL_STATE(1830)] = 45020,
  [SMALL_STATE(1831)] = 45075,
  [SMALL_STATE(1832)] = 45130,
  [SMALL_STATE(1833)] = 45185,
  [SMALL_STATE(1834)] = 45240,
  [SMALL_STATE(1835)] = 45295,
  [SMALL_STATE(1836)] = 45350,
  [SMALL_STATE(1837)] = 45425,
  [SMALL_STATE(1838)] = 45480,
  [SMALL_STATE(1839)] = 45535,
  [SMALL_STATE(1840)] = 45590,
  [SMALL_STATE(1841)] = 45645,
  [SMALL_STATE(1842)] = 45700,
  [SMALL_STATE(1843)] = 45755,
  [SMALL_STATE(1844)] = 45810,
  [SMALL_STATE(1845)] = 45865,
  [SMALL_STATE(1846)] = 45920,
  [SMALL_STATE(1847)] = 45975,
  [SMALL_STATE(1848)] = 46030,
  [SMALL_STATE(1849)] = 46085,
  [SMALL_STATE(1850)] = 46140,
  [SMALL_STATE(1851)] = 46201,
  [SMALL_STATE(1852)] = 46278,
  [SMALL_STATE(1853)] = 46337,
  [SMALL_STATE(1854)] = 46398,
  [SMALL_STATE(1855)] = 46459,
  [SMALL_STATE(1856)] = 46520,
  [SMALL_STATE(1857)] = 46581,
  [SMALL_STATE(1858)] = 46638,
  [SMALL_STATE(1859)] = 46693,
  [SMALL_STATE(1860)] = 46750,
  [SMALL_STATE(1861)] = 46805,
  [SMALL_STATE(1862)] = 46860,
  [SMALL_STATE(1863)] = 46919,
  [SMALL_STATE(1864)] = 46978,
  [SMALL_STATE(1865)] = 47035,
  [SMALL_STATE(1866)] = 47092,
  [SMALL_STATE(1867)] = 47163,
  [SMALL_STATE(1868)] = 47230,
  [SMALL_STATE(1869)] = 47289,
  [SMALL_STATE(1870)] = 47360,
  [SMALL_STATE(1871)] = 47427,
  [SMALL_STATE(1872)] = 47482,
  [SMALL_STATE(1873)] = 47543,
  [SMALL_STATE(1874)] = 47602,
  [SMALL_STATE(1875)] = 47673,
  [SMALL_STATE(1876)] = 47740,
  [SMALL_STATE(1877)] = 47801,
  [SMALL_STATE(1878)] = 47858,
  [SMALL_STATE(1879)] = 47913,
  [SMALL_STATE(1880)] = 47992,
  [SMALL_STATE(1881)] = 48049,
  [SMALL_STATE(1882)] = 48104,
  [SMALL_STATE(1883)] = 48165,
  [SMALL_STATE(1884)] = 48238,
  [SMALL_STATE(1885)] = 48293,
  [SMALL_STATE(1886)] = 48348,
  [SMALL_STATE(1887)] = 48405,
  [SMALL_STATE(1888)] = 48460,
  [SMALL_STATE(1889)] = 48515,
  [SMALL_STATE(1890)] = 48570,
  [SMALL_STATE(1891)] = 48625,
  [SMALL_STATE(1892)] = 48679,
  [SMALL_STATE(1893)] = 48733,
  [SMALL_STATE(1894)] = 48801,
  [SMALL_STATE(1895)] = 48865,
  [SMALL_STATE(1896)] = 48931,
  [SMALL_STATE(1897)] = 48997,
  [SMALL_STATE(1898)] = 49051,
  [SMALL_STATE(1899)] = 49115,
  [SMALL_STATE(1900)] = 49179,
  [SMALL_STATE(1901)] = 49243,
  [SMALL_STATE(1902)] = 49307,
  [SMALL_STATE(1903)] = 49371,
  [SMALL_STATE(1904)] = 49437,
  [SMALL_STATE(1905)] = 49503,
  [SMALL_STATE(1906)] = 49567,
  [SMALL_STATE(1907)] = 49677,
  [SMALL_STATE(1908)] = 49787,
  [SMALL_STATE(1909)] = 49851,
  [SMALL_STATE(1910)] = 49915,
  [SMALL_STATE(1911)] = 50025,
  [SMALL_STATE(1912)] = 50089,
  [SMALL_STATE(1913)] = 50143,
  [SMALL_STATE(1914)] = 50209,
  [SMALL_STATE(1915)] = 50275,
  [SMALL_STATE(1916)] = 50385,
  [SMALL_STATE(1917)] = 50495,
  [SMALL_STATE(1918)] = 50579,
  [SMALL_STATE(1919)] = 50635,
  [SMALL_STATE(1920)] = 50709,
  [SMALL_STATE(1921)] = 50807,
  [SMALL_STATE(1922)] = 50907,
  [SMALL_STATE(1923)] = 50987,
  [SMALL_STATE(1924)] = 51079,
  [SMALL_STATE(1925)] = 51133,
  [SMALL_STATE(1926)] = 51227,
  [SMALL_STATE(1927)] = 51323,
  [SMALL_STATE(1928)] = 51401,
  [SMALL_STATE(1929)] = 51481,
  [SMALL_STATE(1930)] = 51535,
  [SMALL_STATE(1931)] = 51589,
  [SMALL_STATE(1932)] = 51643,
  [SMALL_STATE(1933)] = 51731,
  [SMALL_STATE(1934)] = 51833,
  [SMALL_STATE(1935)] = 51943,
  [SMALL_STATE(1936)] = 52053,
  [SMALL_STATE(1937)] = 52107,
  [SMALL_STATE(1938)] = 52161,
  [SMALL_STATE(1939)] = 52271,
  [SMALL_STATE(1940)] = 52381,
  [SMALL_STATE(1941)] = 52491,
  [SMALL_STATE(1942)] = 52601,
  [SMALL_STATE(1943)] = 52711,
  [SMALL_STATE(1944)] = 52765,
  [SMALL_STATE(1945)] = 52875,
  [SMALL_STATE(1946)] = 52941,
  [SMALL_STATE(1947)] = 53001,
  [SMALL_STATE(1948)] = 53067,
  [SMALL_STATE(1949)] = 53131,
  [SMALL_STATE(1950)] = 53195,
  [SMALL_STATE(1951)] = 53265,
  [SMALL_STATE(1952)] = 53337,
  [SMALL_STATE(1953)] = 53415,
  [SMALL_STATE(1954)] = 53525,
  [SMALL_STATE(1955)] = 53595,
  [SMALL_STATE(1956)] = 53667,
  [SMALL_STATE(1957)] = 53727,
  [SMALL_STATE(1958)] = 53781,
  [SMALL_STATE(1959)] = 53835,
  [SMALL_STATE(1960)] = 53889,
  [SMALL_STATE(1961)] = 53943,
  [SMALL_STATE(1962)] = 54017,
  [SMALL_STATE(1963)] = 54083,
  [SMALL_STATE(1964)] = 54149,
  [SMALL_STATE(1965)] = 54203,
  [SMALL_STATE(1966)] = 54259,
  [SMALL_STATE(1967)] = 54313,
  [SMALL_STATE(1968)] = 54367,
  [SMALL_STATE(1969)] = 54437,
  [SMALL_STATE(1970)] = 54493,
  [SMALL_STATE(1971)] = 54547,
  [SMALL_STATE(1972)] = 54601,
  [SMALL_STATE(1973)] = 54657,
  [SMALL_STATE(1974)] = 54713,
  [SMALL_STATE(1975)] = 54767,
  [SMALL_STATE(1976)] = 54821,
  [SMALL_STATE(1977)] = 54881,
  [SMALL_STATE(1978)] = 54935,
  [SMALL_STATE(1979)] = 54989,
  [SMALL_STATE(1980)] = 55043,
  [SMALL_STATE(1981)] = 55097,
  [SMALL_STATE(1982)] = 55151,
  [SMALL_STATE(1983)] = 55205,
  [SMALL_STATE(1984)] = 55259,
  [SMALL_STATE(1985)] = 55313,
  [SMALL_STATE(1986)] = 55367,
  [SMALL_STATE(1987)] = 55431,
  [SMALL_STATE(1988)] = 55485,
  [SMALL_STATE(1989)] = 55539,
  [SMALL_STATE(1990)] = 55603,
  [SMALL_STATE(1991)] = 55667,
  [SMALL_STATE(1992)] = 55721,
  [SMALL_STATE(1993)] = 55775,
  [SMALL_STATE(1994)] = 55829,
  [SMALL_STATE(1995)] = 55893,
  [SMALL_STATE(1996)] = 55947,
  [SMALL_STATE(1997)] = 56001,
  [SMALL_STATE(1998)] = 56055,
  [SMALL_STATE(1999)] = 56109,
  [SMALL_STATE(2000)] = 56173,
  [SMALL_STATE(2001)] = 56227,
  [SMALL_STATE(2002)] = 56281,
  [SMALL_STATE(2003)] = 56335,
  [SMALL_STATE(2004)] = 56389,
  [SMALL_STATE(2005)] = 56443,
  [SMALL_STATE(2006)] = 56497,
  [SMALL_STATE(2007)] = 56551,
  [SMALL_STATE(2008)] = 56605,
  [SMALL_STATE(2009)] = 56659,
  [SMALL_STATE(2010)] = 56713,
  [SMALL_STATE(2011)] = 56767,
  [SMALL_STATE(2012)] = 56821,
  [SMALL_STATE(2013)] = 56875,
  [SMALL_STATE(2014)] = 56929,
  [SMALL_STATE(2015)] = 56983,
  [SMALL_STATE(2016)] = 57037,
  [SMALL_STATE(2017)] = 57091,
  [SMALL_STATE(2018)] = 57145,
  [SMALL_STATE(2019)] = 57211,
  [SMALL_STATE(2020)] = 57277,
  [SMALL_STATE(2021)] = 57331,
  [SMALL_STATE(2022)] = 57384,
  [SMALL_STATE(2023)] = 57437,
  [SMALL_STATE(2024)] = 57490,
  [SMALL_STATE(2025)] = 57543,
  [SMALL_STATE(2026)] = 57596,
  [SMALL_STATE(2027)] = 57653,
  [SMALL_STATE(2028)] = 57706,
  [SMALL_STATE(2029)] = 57759,
  [SMALL_STATE(2030)] = 57812,
  [SMALL_STATE(2031)] = 57865,
  [SMALL_STATE(2032)] = 57918,
  [SMALL_STATE(2033)] = 57971,
  [SMALL_STATE(2034)] = 58024,
  [SMALL_STATE(2035)] = 58077,
  [SMALL_STATE(2036)] = 58130,
  [SMALL_STATE(2037)] = 58183,
  [SMALL_STATE(2038)] = 58240,
  [SMALL_STATE(2039)] = 58293,
  [SMALL_STATE(2040)] = 58346,
  [SMALL_STATE(2041)] = 58399,
  [SMALL_STATE(2042)] = 58452,
  [SMALL_STATE(2043)] = 58513,
  [SMALL_STATE(2044)] = 58566,
  [SMALL_STATE(2045)] = 58619,
  [SMALL_STATE(2046)] = 58676,
  [SMALL_STATE(2047)] = 58729,
  [SMALL_STATE(2048)] = 58782,
  [SMALL_STATE(2049)] = 58843,
  [SMALL_STATE(2050)] = 58896,
  [SMALL_STATE(2051)] = 58949,
  [SMALL_STATE(2052)] = 59002,
  [SMALL_STATE(2053)] = 59055,
  [SMALL_STATE(2054)] = 59108,
  [SMALL_STATE(2055)] = 59217,
  [SMALL_STATE(2056)] = 59270,
  [SMALL_STATE(2057)] = 59323,
  [SMALL_STATE(2058)] = 59386,
  [SMALL_STATE(2059)] = 59443,
  [SMALL_STATE(2060)] = 59508,
  [SMALL_STATE(2061)] = 59561,
  [SMALL_STATE(2062)] = 59616,
  [SMALL_STATE(2063)] = 59671,
  [SMALL_STATE(2064)] = 59724,
  [SMALL_STATE(2065)] = 59777,
  [SMALL_STATE(2066)] = 59834,
  [SMALL_STATE(2067)] = 59887,
  [SMALL_STATE(2068)] = 59940,
  [SMALL_STATE(2069)] = 59993,
  [SMALL_STATE(2070)] = 60046,
  [SMALL_STATE(2071)] = 60099,
  [SMALL_STATE(2072)] = 60152,
  [SMALL_STATE(2073)] = 60205,
  [SMALL_STATE(2074)] = 60268,
  [SMALL_STATE(2075)] = 60331,
  [SMALL_STATE(2076)] = 60394,
  [SMALL_STATE(2077)] = 60447,
  [SMALL_STATE(2078)] = 60500,
  [SMALL_STATE(2079)] = 60553,
  [SMALL_STATE(2080)] = 60606,
  [SMALL_STATE(2081)] = 60659,
  [SMALL_STATE(2082)] = 60712,
  [SMALL_STATE(2083)] = 60765,
  [SMALL_STATE(2084)] = 60818,
  [SMALL_STATE(2085)] = 60871,
  [SMALL_STATE(2086)] = 60924,
  [SMALL_STATE(2087)] = 60984,
  [SMALL_STATE(2088)] = 61060,
  [SMALL_STATE(2089)] = 61142,
  [SMALL_STATE(2090)] = 61250,
  [SMALL_STATE(2091)] = 61366,
  [SMALL_STATE(2092)] = 61420,
  [SMALL_STATE(2093)] = 61494,
  [SMALL_STATE(2094)] = 61548,
  [SMALL_STATE(2095)] = 61606,
  [SMALL_STATE(2096)] = 61668,
  [SMALL_STATE(2097)] = 61724,
  [SMALL_STATE(2098)] = 61782,
  [SMALL_STATE(2099)] = 61840,
  [SMALL_STATE(2100)] = 61948,
  [SMALL_STATE(2101)] = 62056,
  [SMALL_STATE(2102)] = 62112,
  [SMALL_STATE(2103)] = 62164,
  [SMALL_STATE(2104)] = 62216,
  [SMALL_STATE(2105)] = 62324,
  [SMALL_STATE(2106)] = 62376,
  [SMALL_STATE(2107)] = 62434,
  [SMALL_STATE(2108)] = 62550,
  [SMALL_STATE(2109)] = 62602,
  [SMALL_STATE(2110)] = 62710,
  [SMALL_STATE(2111)] = 62762,
  [SMALL_STATE(2112)] = 62832,
  [SMALL_STATE(2113)] = 62940,
  [SMALL_STATE(2114)] = 63048,
  [SMALL_STATE(2115)] = 63156,
  [SMALL_STATE(2116)] = 63238,
  [SMALL_STATE(2117)] = 63310,
  [SMALL_STATE(2118)] = 63406,
  [SMALL_STATE(2119)] = 63504,
  [SMALL_STATE(2120)] = 63564,
  [SMALL_STATE(2121)] = 63624,
  [SMALL_STATE(2122)] = 63732,
  [SMALL_STATE(2123)] = 63810,
  [SMALL_STATE(2124)] = 63918,
  [SMALL_STATE(2125)] = 64026,
  [SMALL_STATE(2126)] = 64116,
  [SMALL_STATE(2127)] = 64224,
  [SMALL_STATE(2128)] = 64332,
  [SMALL_STATE(2129)] = 64440,
  [SMALL_STATE(2130)] = 64548,
  [SMALL_STATE(2131)] = 64640,
  [SMALL_STATE(2132)] = 64734,
  [SMALL_STATE(2133)] = 64798,
  [SMALL_STATE(2134)] = 64874,
  [SMALL_STATE(2135)] = 64946,
  [SMALL_STATE(2136)] = 65024,
  [SMALL_STATE(2137)] = 65120,
  [SMALL_STATE(2138)] = 65218,
  [SMALL_STATE(2139)] = 65270,
  [SMALL_STATE(2140)] = 65360,
  [SMALL_STATE(2141)] = 65452,
  [SMALL_STATE(2142)] = 65546,
  [SMALL_STATE(2143)] = 65622,
  [SMALL_STATE(2144)] = 65700,
  [SMALL_STATE(2145)] = 65752,
  [SMALL_STATE(2146)] = 65806,
  [SMALL_STATE(2147)] = 65868,
  [SMALL_STATE(2148)] = 65930,
  [SMALL_STATE(2149)] = 66016,
  [SMALL_STATE(2150)] = 66116,
  [SMALL_STATE(2151)] = 66178,
  [SMALL_STATE(2152)] = 66286,
  [SMALL_STATE(2153)] = 66394,
  [SMALL_STATE(2154)] = 66448,
  [SMALL_STATE(2155)] = 66502,
  [SMALL_STATE(2156)] = 66610,
  [SMALL_STATE(2157)] = 66668,
  [SMALL_STATE(2158)] = 66784,
  [SMALL_STATE(2159)] = 66852,
  [SMALL_STATE(2160)] = 66938,
  [SMALL_STATE(2161)] = 66994,
  [SMALL_STATE(2162)] = 67052,
  [SMALL_STATE(2163)] = 67152,
  [SMALL_STATE(2164)] = 67260,
  [SMALL_STATE(2165)] = 67320,
  [SMALL_STATE(2166)] = 67428,
  [SMALL_STATE(2167)] = 67536,
  [SMALL_STATE(2168)] = 67606,
  [SMALL_STATE(2169)] = 67714,
  [SMALL_STATE(2170)] = 67830,
  [SMALL_STATE(2171)] = 67906,
  [SMALL_STATE(2172)] = 68014,
  [SMALL_STATE(2173)] = 68122,
  [SMALL_STATE(2174)] = 68230,
  [SMALL_STATE(2175)] = 68338,
  [SMALL_STATE(2176)] = 68390,
  [SMALL_STATE(2177)] = 68506,
  [SMALL_STATE(2178)] = 68558,
  [SMALL_STATE(2179)] = 68626,
  [SMALL_STATE(2180)] = 68682,
  [SMALL_STATE(2181)] = 68740,
  [SMALL_STATE(2182)] = 68848,
  [SMALL_STATE(2183)] = 68908,
  [SMALL_STATE(2184)] = 69016,
  [SMALL_STATE(2185)] = 69068,
  [SMALL_STATE(2186)] = 69146,
  [SMALL_STATE(2187)] = 69209,
  [SMALL_STATE(2188)] = 69260,
  [SMALL_STATE(2189)] = 69311,
  [SMALL_STATE(2190)] = 69362,
  [SMALL_STATE(2191)] = 69441,
  [SMALL_STATE(2192)] = 69492,
  [SMALL_STATE(2193)] = 69543,
  [SMALL_STATE(2194)] = 69594,
  [SMALL_STATE(2195)] = 69661,
  [SMALL_STATE(2196)] = 69712,
  [SMALL_STATE(2197)] = 69767,
  [SMALL_STATE(2198)] = 69820,
  [SMALL_STATE(2199)] = 69877,
  [SMALL_STATE(2200)] = 69934,
  [SMALL_STATE(2201)] = 69991,
  [SMALL_STATE(2202)] = 70042,
  [SMALL_STATE(2203)] = 70093,
  [SMALL_STATE(2204)] = 70144,
  [SMALL_STATE(2205)] = 70195,
  [SMALL_STATE(2206)] = 70246,
  [SMALL_STATE(2207)] = 70297,
  [SMALL_STATE(2208)] = 70356,
  [SMALL_STATE(2209)] = 70407,
  [SMALL_STATE(2210)] = 70458,
  [SMALL_STATE(2211)] = 70567,
  [SMALL_STATE(2212)] = 70618,
  [SMALL_STATE(2213)] = 70669,
  [SMALL_STATE(2214)] = 70720,
  [SMALL_STATE(2215)] = 70771,
  [SMALL_STATE(2216)] = 70822,
  [SMALL_STATE(2217)] = 70873,
  [SMALL_STATE(2218)] = 70928,
  [SMALL_STATE(2219)] = 70979,
  [SMALL_STATE(2220)] = 71032,
  [SMALL_STATE(2221)] = 71085,
  [SMALL_STATE(2222)] = 71142,
  [SMALL_STATE(2223)] = 71195,
  [SMALL_STATE(2224)] = 71258,
  [SMALL_STATE(2225)] = 71309,
  [SMALL_STATE(2226)] = 71372,
  [SMALL_STATE(2227)] = 71425,
  [SMALL_STATE(2228)] = 71476,
  [SMALL_STATE(2229)] = 71529,
  [SMALL_STATE(2230)] = 71592,
  [SMALL_STATE(2231)] = 71643,
  [SMALL_STATE(2232)] = 71694,
  [SMALL_STATE(2233)] = 71745,
  [SMALL_STATE(2234)] = 71798,
  [SMALL_STATE(2235)] = 71849,
  [SMALL_STATE(2236)] = 71906,
  [SMALL_STATE(2237)] = 72017,
  [SMALL_STATE(2238)] = 72076,
  [SMALL_STATE(2239)] = 72127,
  [SMALL_STATE(2240)] = 72206,
  [SMALL_STATE(2241)] = 72257,
  [SMALL_STATE(2242)] = 72322,
  [SMALL_STATE(2243)] = 72377,
  [SMALL_STATE(2244)] = 72432,
  [SMALL_STATE(2245)] = 72483,
  [SMALL_STATE(2246)] = 72534,
  [SMALL_STATE(2247)] = 72589,
  [SMALL_STATE(2248)] = 72646,
  [SMALL_STATE(2249)] = 72705,
  [SMALL_STATE(2250)] = 72758,
  [SMALL_STATE(2251)] = 72809,
  [SMALL_STATE(2252)] = 72872,
  [SMALL_STATE(2253)] = 72923,
  [SMALL_STATE(2254)] = 72988,
  [SMALL_STATE(2255)] = 73039,
  [SMALL_STATE(2256)] = 73104,
  [SMALL_STATE(2257)] = 73155,
  [SMALL_STATE(2258)] = 73212,
  [SMALL_STATE(2259)] = 73267,
  [SMALL_STATE(2260)] = 73318,
  [SMALL_STATE(2261)] = 73429,
  [SMALL_STATE(2262)] = 73492,
  [SMALL_STATE(2263)] = 73549,
  [SMALL_STATE(2264)] = 73602,
  [SMALL_STATE(2265)] = 73659,
  [SMALL_STATE(2266)] = 73716,
  [SMALL_STATE(2267)] = 73775,
  [SMALL_STATE(2268)] = 73826,
  [SMALL_STATE(2269)] = 73883,
  [SMALL_STATE(2270)] = 73940,
  [SMALL_STATE(2271)] = 74005,
  [SMALL_STATE(2272)] = 74068,
  [SMALL_STATE(2273)] = 74135,
  [SMALL_STATE(2274)] = 74198,
  [SMALL_STATE(2275)] = 74257,
  [SMALL_STATE(2276)] = 74320,
  [SMALL_STATE(2277)] = 74371,
  [SMALL_STATE(2278)] = 74424,
  [SMALL_STATE(2279)] = 74475,
  [SMALL_STATE(2280)] = 74586,
  [SMALL_STATE(2281)] = 74637,
  [SMALL_STATE(2282)] = 74688,
  [SMALL_STATE(2283)] = 74739,
  [SMALL_STATE(2284)] = 74790,
  [SMALL_STATE(2285)] = 74841,
  [SMALL_STATE(2286)] = 74892,
  [SMALL_STATE(2287)] = 74945,
  [SMALL_STATE(2288)] = 75056,
  [SMALL_STATE(2289)] = 75167,
  [SMALL_STATE(2290)] = 75218,
  [SMALL_STATE(2291)] = 75269,
  [SMALL_STATE(2292)] = 75376,
  [SMALL_STATE(2293)] = 75427,
  [SMALL_STATE(2294)] = 75478,
  [SMALL_STATE(2295)] = 75529,
  [SMALL_STATE(2296)] = 75640,
  [SMALL_STATE(2297)] = 75751,
  [SMALL_STATE(2298)] = 75814,
  [SMALL_STATE(2299)] = 75865,
  [SMALL_STATE(2300)] = 75920,
  [SMALL_STATE(2301)] = 75971,
  [SMALL_STATE(2302)] = 76022,
  [SMALL_STATE(2303)] = 76079,
  [SMALL_STATE(2304)] = 76134,
  [SMALL_STATE(2305)] = 76195,
  [SMALL_STATE(2306)] = 76302,
  [SMALL_STATE(2307)] = 76409,
  [SMALL_STATE(2308)] = 76516,
  [SMALL_STATE(2309)] = 76567,
  [SMALL_STATE(2310)] = 76618,
  [SMALL_STATE(2311)] = 76729,
  [SMALL_STATE(2312)] = 76780,
  [SMALL_STATE(2313)] = 76831,
  [SMALL_STATE(2314)] = 76938,
  [SMALL_STATE(2315)] = 77045,
  [SMALL_STATE(2316)] = 77126,
  [SMALL_STATE(2317)] = 77197,
  [SMALL_STATE(2318)] = 77292,
  [SMALL_STATE(2319)] = 77389,
  [SMALL_STATE(2320)] = 77466,
  [SMALL_STATE(2321)] = 77555,
  [SMALL_STATE(2322)] = 77646,
  [SMALL_STATE(2323)] = 77739,
  [SMALL_STATE(2324)] = 77814,
  [SMALL_STATE(2325)] = 77891,
  [SMALL_STATE(2326)] = 77944,
  [SMALL_STATE(2327)] = 77995,
  [SMALL_STATE(2328)] = 78046,
  [SMALL_STATE(2329)] = 78103,
  [SMALL_STATE(2330)] = 78188,
  [SMALL_STATE(2331)] = 78287,
  [SMALL_STATE(2332)] = 78394,
  [SMALL_STATE(2333)] = 78501,
  [SMALL_STATE(2334)] = 78608,
  [SMALL_STATE(2335)] = 78715,
  [SMALL_STATE(2336)] = 78822,
  [SMALL_STATE(2337)] = 78929,
  [SMALL_STATE(2338)] = 79036,
  [SMALL_STATE(2339)] = 79087,
  [SMALL_STATE(2340)] = 79194,
  [SMALL_STATE(2341)] = 79247,
  [SMALL_STATE(2342)] = 79304,
  [SMALL_STATE(2343)] = 79355,
  [SMALL_STATE(2344)] = 79406,
  [SMALL_STATE(2345)] = 79515,
  [SMALL_STATE(2346)] = 79566,
  [SMALL_STATE(2347)] = 79617,
  [SMALL_STATE(2348)] = 79668,
  [SMALL_STATE(2349)] = 79779,
  [SMALL_STATE(2350)] = 79830,
  [SMALL_STATE(2351)] = 79881,
  [SMALL_STATE(2352)] = 79932,
  [SMALL_STATE(2353)] = 79985,
  [SMALL_STATE(2354)] = 80036,
  [SMALL_STATE(2355)] = 80087,
  [SMALL_STATE(2356)] = 80138,
  [SMALL_STATE(2357)] = 80203,
  [SMALL_STATE(2358)] = 80268,
  [SMALL_STATE(2359)] = 80319,
  [SMALL_STATE(2360)] = 80370,
  [SMALL_STATE(2361)] = 80439,
  [SMALL_STATE(2362)] = 80514,
  [SMALL_STATE(2363)] = 80621,
  [SMALL_STATE(2364)] = 80688,
  [SMALL_STATE(2365)] = 80739,
  [SMALL_STATE(2366)] = 80806,
  [SMALL_STATE(2367)] = 80859,
  [SMALL_STATE(2368)] = 80912,
  [SMALL_STATE(2369)] = 80969,
  [SMALL_STATE(2370)] = 81026,
  [SMALL_STATE(2371)] = 81079,
  [SMALL_STATE(2372)] = 81132,
  [SMALL_STATE(2373)] = 81183,
  [SMALL_STATE(2374)] = 81236,
  [SMALL_STATE(2375)] = 81295,
  [SMALL_STATE(2376)] = 81346,
  [SMALL_STATE(2377)] = 81397,
  [SMALL_STATE(2378)] = 81448,
  [SMALL_STATE(2379)] = 81499,
  [SMALL_STATE(2380)] = 81550,
  [SMALL_STATE(2381)] = 81601,
  [SMALL_STATE(2382)] = 81712,
  [SMALL_STATE(2383)] = 81763,
  [SMALL_STATE(2384)] = 81816,
  [SMALL_STATE(2385)] = 81867,
  [SMALL_STATE(2386)] = 81918,
  [SMALL_STATE(2387)] = 81971,
  [SMALL_STATE(2388)] = 82021,
  [SMALL_STATE(2389)] = 82131,
  [SMALL_STATE(2390)] = 82191,
  [SMALL_STATE(2391)] = 82241,
  [SMALL_STATE(2392)] = 82293,
  [SMALL_STATE(2393)] = 82351,
  [SMALL_STATE(2394)] = 82409,
  [SMALL_STATE(2395)] = 82463,
  [SMALL_STATE(2396)] = 82573,
  [SMALL_STATE(2397)] = 82623,
  [SMALL_STATE(2398)] = 82673,
  [SMALL_STATE(2399)] = 82729,
  [SMALL_STATE(2400)] = 82839,
  [SMALL_STATE(2401)] = 82893,
  [SMALL_STATE(2402)] = 82999,
  [SMALL_STATE(2403)] = 83049,
  [SMALL_STATE(2404)] = 83155,
  [SMALL_STATE(2405)] = 83265,
  [SMALL_STATE(2406)] = 83323,
  [SMALL_STATE(2407)] = 83433,
  [SMALL_STATE(2408)] = 83483,
  [SMALL_STATE(2409)] = 83533,
  [SMALL_STATE(2410)] = 83583,
  [SMALL_STATE(2411)] = 83689,
  [SMALL_STATE(2412)] = 83745,
  [SMALL_STATE(2413)] = 83799,
  [SMALL_STATE(2414)] = 83849,
  [SMALL_STATE(2415)] = 83899,
  [SMALL_STATE(2416)] = 83961,
  [SMALL_STATE(2417)] = 84069,
  [SMALL_STATE(2418)] = 84123,
  [SMALL_STATE(2419)] = 84177,
  [SMALL_STATE(2420)] = 84231,
  [SMALL_STATE(2421)] = 84285,
  [SMALL_STATE(2422)] = 84395,
  [SMALL_STATE(2423)] = 84453,
  [SMALL_STATE(2424)] = 84507,
  [SMALL_STATE(2425)] = 84561,
  [SMALL_STATE(2426)] = 84615,
  [SMALL_STATE(2427)] = 84669,
  [SMALL_STATE(2428)] = 84723,
  [SMALL_STATE(2429)] = 84783,
  [SMALL_STATE(2430)] = 84837,
  [SMALL_STATE(2431)] = 84891,
  [SMALL_STATE(2432)] = 84941,
  [SMALL_STATE(2433)] = 84995,
  [SMALL_STATE(2434)] = 85049,
  [SMALL_STATE(2435)] = 85103,
  [SMALL_STATE(2436)] = 85157,
  [SMALL_STATE(2437)] = 85207,
  [SMALL_STATE(2438)] = 85257,
  [SMALL_STATE(2439)] = 85317,
  [SMALL_STATE(2440)] = 85387,
  [SMALL_STATE(2441)] = 85437,
  [SMALL_STATE(2442)] = 85493,
  [SMALL_STATE(2443)] = 85553,
  [SMALL_STATE(2444)] = 85603,
  [SMALL_STATE(2445)] = 85653,
  [SMALL_STATE(2446)] = 85703,
  [SMALL_STATE(2447)] = 85753,
  [SMALL_STATE(2448)] = 85803,
  [SMALL_STATE(2449)] = 85855,
  [SMALL_STATE(2450)] = 85905,
  [SMALL_STATE(2451)] = 85955,
  [SMALL_STATE(2452)] = 86005,
  [SMALL_STATE(2453)] = 86055,
  [SMALL_STATE(2454)] = 86105,
  [SMALL_STATE(2455)] = 86155,
  [SMALL_STATE(2456)] = 86205,
  [SMALL_STATE(2457)] = 86265,
  [SMALL_STATE(2458)] = 86315,
  [SMALL_STATE(2459)] = 86365,
  [SMALL_STATE(2460)] = 86421,
  [SMALL_STATE(2461)] = 86471,
  [SMALL_STATE(2462)] = 86529,
  [SMALL_STATE(2463)] = 86583,
  [SMALL_STATE(2464)] = 86641,
  [SMALL_STATE(2465)] = 86701,
  [SMALL_STATE(2466)] = 86811,
  [SMALL_STATE(2467)] = 86861,
  [SMALL_STATE(2468)] = 86911,
  [SMALL_STATE(2469)] = 86961,
  [SMALL_STATE(2470)] = 87011,
  [SMALL_STATE(2471)] = 87063,
  [SMALL_STATE(2472)] = 87115,
  [SMALL_STATE(2473)] = 87221,
  [SMALL_STATE(2474)] = 87331,
  [SMALL_STATE(2475)] = 87439,
  [SMALL_STATE(2476)] = 87491,
  [SMALL_STATE(2477)] = 87543,
  [SMALL_STATE(2478)] = 87597,
  [SMALL_STATE(2479)] = 87649,
  [SMALL_STATE(2480)] = 87709,
  [SMALL_STATE(2481)] = 87761,
  [SMALL_STATE(2482)] = 87815,
  [SMALL_STATE(2483)] = 87869,
  [SMALL_STATE(2484)] = 87921,
  [SMALL_STATE(2485)] = 87973,
  [SMALL_STATE(2486)] = 88083,
  [SMALL_STATE(2487)] = 88137,
  [SMALL_STATE(2488)] = 88191,
  [SMALL_STATE(2489)] = 88243,
  [SMALL_STATE(2490)] = 88297,
  [SMALL_STATE(2491)] = 88351,
  [SMALL_STATE(2492)] = 88405,
  [SMALL_STATE(2493)] = 88465,
  [SMALL_STATE(2494)] = 88521,
  [SMALL_STATE(2495)] = 88579,
  [SMALL_STATE(2496)] = 88635,
  [SMALL_STATE(2497)] = 88685,
  [SMALL_STATE(2498)] = 88745,
  [SMALL_STATE(2499)] = 88815,
  [SMALL_STATE(2500)] = 88875,
  [SMALL_STATE(2501)] = 88935,
  [SMALL_STATE(2502)] = 88993,
  [SMALL_STATE(2503)] = 89051,
  [SMALL_STATE(2504)] = 89101,
  [SMALL_STATE(2505)] = 89151,
  [SMALL_STATE(2506)] = 89201,
  [SMALL_STATE(2507)] = 89251,
  [SMALL_STATE(2508)] = 89311,
  [SMALL_STATE(2509)] = 89421,
  [SMALL_STATE(2510)] = 89481,
  [SMALL_STATE(2511)] = 89587,
  [SMALL_STATE(2512)] = 89693,
  [SMALL_STATE(2513)] = 89751,
  [SMALL_STATE(2514)] = 89857,
  [SMALL_STATE(2515)] = 89963,
  [SMALL_STATE(2516)] = 90043,
  [SMALL_STATE(2517)] = 90153,
  [SMALL_STATE(2518)] = 90223,
  [SMALL_STATE(2519)] = 90333,
  [SMALL_STATE(2520)] = 90427,
  [SMALL_STATE(2521)] = 90523,
  [SMALL_STATE(2522)] = 90599,
  [SMALL_STATE(2523)] = 90687,
  [SMALL_STATE(2524)] = 90777,
  [SMALL_STATE(2525)] = 90869,
  [SMALL_STATE(2526)] = 90943,
  [SMALL_STATE(2527)] = 91019,
  [SMALL_STATE(2528)] = 91069,
  [SMALL_STATE(2529)] = 91119,
  [SMALL_STATE(2530)] = 91203,
  [SMALL_STATE(2531)] = 91301,
  [SMALL_STATE(2532)] = 91407,
  [SMALL_STATE(2533)] = 91513,
  [SMALL_STATE(2534)] = 91563,
  [SMALL_STATE(2535)] = 91669,
  [SMALL_STATE(2536)] = 91775,
  [SMALL_STATE(2537)] = 91881,
  [SMALL_STATE(2538)] = 91987,
  [SMALL_STATE(2539)] = 92093,
  [SMALL_STATE(2540)] = 92203,
  [SMALL_STATE(2541)] = 92309,
  [SMALL_STATE(2542)] = 92419,
  [SMALL_STATE(2543)] = 92529,
  [SMALL_STATE(2544)] = 92639,
  [SMALL_STATE(2545)] = 92749,
  [SMALL_STATE(2546)] = 92859,
  [SMALL_STATE(2547)] = 92969,
  [SMALL_STATE(2548)] = 93079,
  [SMALL_STATE(2549)] = 93189,
  [SMALL_STATE(2550)] = 93249,
  [SMALL_STATE(2551)] = 93359,
  [SMALL_STATE(2552)] = 93413,
  [SMALL_STATE(2553)] = 93465,
  [SMALL_STATE(2554)] = 93525,
  [SMALL_STATE(2555)] = 93585,
  [SMALL_STATE(2556)] = 93695,
  [SMALL_STATE(2557)] = 93755,
  [SMALL_STATE(2558)] = 93865,
  [SMALL_STATE(2559)] = 93975,
  [SMALL_STATE(2560)] = 94085,
  [SMALL_STATE(2561)] = 94195,
  [SMALL_STATE(2562)] = 94245,
  [SMALL_STATE(2563)] = 94295,
  [SMALL_STATE(2564)] = 94355,
  [SMALL_STATE(2565)] = 94465,
  [SMALL_STATE(2566)] = 94515,
  [SMALL_STATE(2567)] = 94565,
  [SMALL_STATE(2568)] = 94619,
  [SMALL_STATE(2569)] = 94729,
  [SMALL_STATE(2570)] = 94839,
  [SMALL_STATE(2571)] = 94949,
  [SMALL_STATE(2572)] = 95059,
  [SMALL_STATE(2573)] = 95113,
  [SMALL_STATE(2574)] = 95173,
  [SMALL_STATE(2575)] = 95279,
  [SMALL_STATE(2576)] = 95389,
  [SMALL_STATE(2577)] = 95439,
  [SMALL_STATE(2578)] = 95549,
  [SMALL_STATE(2579)] = 95659,
  [SMALL_STATE(2580)] = 95719,
  [SMALL_STATE(2581)] = 95787,
  [SMALL_STATE(2582)] = 95861,
  [SMALL_STATE(2583)] = 95967,
  [SMALL_STATE(2584)] = 96033,
  [SMALL_STATE(2585)] = 96093,
  [SMALL_STATE(2586)] = 96203,
  [SMALL_STATE(2587)] = 96263,
  [SMALL_STATE(2588)] = 96373,
  [SMALL_STATE(2589)] = 96433,
  [SMALL_STATE(2590)] = 96493,
  [SMALL_STATE(2591)] = 96553,
  [SMALL_STATE(2592)] = 96663,
  [SMALL_STATE(2593)] = 96773,
  [SMALL_STATE(2594)] = 96833,
  [SMALL_STATE(2595)] = 96943,
  [SMALL_STATE(2596)] = 97053,
  [SMALL_STATE(2597)] = 97163,
  [SMALL_STATE(2598)] = 97273,
  [SMALL_STATE(2599)] = 97383,
  [SMALL_STATE(2600)] = 97433,
  [SMALL_STATE(2601)] = 97543,
  [SMALL_STATE(2602)] = 97649,
  [SMALL_STATE(2603)] = 97699,
  [SMALL_STATE(2604)] = 97759,
  [SMALL_STATE(2605)] = 97809,
  [SMALL_STATE(2606)] = 97919,
  [SMALL_STATE(2607)] = 97979,
  [SMALL_STATE(2608)] = 98039,
  [SMALL_STATE(2609)] = 98099,
  [SMALL_STATE(2610)] = 98159,
  [SMALL_STATE(2611)] = 98219,
  [SMALL_STATE(2612)] = 98325,
  [SMALL_STATE(2613)] = 98400,
  [SMALL_STATE(2614)] = 98457,
  [SMALL_STATE(2615)] = 98510,
  [SMALL_STATE(2616)] = 98571,
  [SMALL_STATE(2617)] = 98676,
  [SMALL_STATE(2618)] = 98731,
  [SMALL_STATE(2619)] = 98786,
  [SMALL_STATE(2620)] = 98841,
  [SMALL_STATE(2621)] = 98896,
  [SMALL_STATE(2622)] = 98951,
  [SMALL_STATE(2623)] = 99006,
  [SMALL_STATE(2624)] = 99061,
  [SMALL_STATE(2625)] = 99118,
  [SMALL_STATE(2626)] = 99175,
  [SMALL_STATE(2627)] = 99280,
  [SMALL_STATE(2628)] = 99345,
  [SMALL_STATE(2629)] = 99410,
  [SMALL_STATE(2630)] = 99461,
  [SMALL_STATE(2631)] = 99528,
  [SMALL_STATE(2632)] = 99633,
  [SMALL_STATE(2633)] = 99694,
  [SMALL_STATE(2634)] = 99745,
  [SMALL_STATE(2635)] = 99852,
  [SMALL_STATE(2636)] = 99913,
  [SMALL_STATE(2637)] = 99974,
  [SMALL_STATE(2638)] = 100035,
  [SMALL_STATE(2639)] = 100096,
  [SMALL_STATE(2640)] = 100149,
  [SMALL_STATE(2641)] = 100254,
  [SMALL_STATE(2642)] = 100311,
  [SMALL_STATE(2643)] = 100372,
  [SMALL_STATE(2644)] = 100433,
  [SMALL_STATE(2645)] = 100504,
  [SMALL_STATE(2646)] = 100609,
  [SMALL_STATE(2647)] = 100670,
  [SMALL_STATE(2648)] = 100777,
  [SMALL_STATE(2649)] = 100838,
  [SMALL_STATE(2650)] = 100899,
  [SMALL_STATE(2651)] = 100970,
  [SMALL_STATE(2652)] = 101041,
  [SMALL_STATE(2653)] = 101102,
  [SMALL_STATE(2654)] = 101163,
  [SMALL_STATE(2655)] = 101222,
  [SMALL_STATE(2656)] = 101327,
  [SMALL_STATE(2657)] = 101432,
  [SMALL_STATE(2658)] = 101537,
  [SMALL_STATE(2659)] = 101642,
  [SMALL_STATE(2660)] = 101747,
  [SMALL_STATE(2661)] = 101826,
  [SMALL_STATE(2662)] = 101895,
  [SMALL_STATE(2663)] = 101988,
  [SMALL_STATE(2664)] = 102083,
  [SMALL_STATE(2665)] = 102158,
  [SMALL_STATE(2666)] = 102245,
  [SMALL_STATE(2667)] = 102334,
  [SMALL_STATE(2668)] = 102425,
  [SMALL_STATE(2669)] = 102498,
  [SMALL_STATE(2670)] = 102573,
  [SMALL_STATE(2671)] = 102630,
  [SMALL_STATE(2672)] = 102713,
  [SMALL_STATE(2673)] = 102810,
  [SMALL_STATE(2674)] = 102915,
  [SMALL_STATE(2675)] = 103020,
  [SMALL_STATE(2676)] = 103125,
  [SMALL_STATE(2677)] = 103230,
  [SMALL_STATE(2678)] = 103335,
  [SMALL_STATE(2679)] = 103440,
  [SMALL_STATE(2680)] = 103545,
  [SMALL_STATE(2681)] = 103650,
  [SMALL_STATE(2682)] = 103709,
  [SMALL_STATE(2683)] = 103814,
  [SMALL_STATE(2684)] = 103919,
  [SMALL_STATE(2685)] = 104024,
  [SMALL_STATE(2686)] = 104129,
  [SMALL_STATE(2687)] = 104234,
  [SMALL_STATE(2688)] = 104313,
  [SMALL_STATE(2689)] = 104382,
  [SMALL_STATE(2690)] = 104475,
  [SMALL_STATE(2691)] = 104570,
  [SMALL_STATE(2692)] = 104675,
  [SMALL_STATE(2693)] = 104780,
  [SMALL_STATE(2694)] = 104869,
  [SMALL_STATE(2695)] = 104960,
  [SMALL_STATE(2696)] = 105033,
  [SMALL_STATE(2697)] = 105108,
  [SMALL_STATE(2698)] = 105191,
  [SMALL_STATE(2699)] = 105288,
  [SMALL_STATE(2700)] = 105393,
  [SMALL_STATE(2701)] = 105498,
  [SMALL_STATE(2702)] = 105603,
  [SMALL_STATE(2703)] = 105708,
  [SMALL_STATE(2704)] = 105813,
  [SMALL_STATE(2705)] = 105918,
  [SMALL_STATE(2706)] = 106023,
  [SMALL_STATE(2707)] = 106128,
  [SMALL_STATE(2708)] = 106179,
  [SMALL_STATE(2709)] = 106234,
  [SMALL_STATE(2710)] = 106289,
  [SMALL_STATE(2711)] = 106348,
  [SMALL_STATE(2712)] = 106453,
  [SMALL_STATE(2713)] = 106558,
  [SMALL_STATE(2714)] = 106663,
  [SMALL_STATE(2715)] = 106768,
  [SMALL_STATE(2716)] = 106873,
  [SMALL_STATE(2717)] = 106952,
  [SMALL_STATE(2718)] = 107021,
  [SMALL_STATE(2719)] = 107114,
  [SMALL_STATE(2720)] = 107209,
  [SMALL_STATE(2721)] = 107284,
  [SMALL_STATE(2722)] = 107371,
  [SMALL_STATE(2723)] = 107460,
  [SMALL_STATE(2724)] = 107551,
  [SMALL_STATE(2725)] = 107624,
  [SMALL_STATE(2726)] = 107699,
  [SMALL_STATE(2727)] = 107782,
  [SMALL_STATE(2728)] = 107879,
  [SMALL_STATE(2729)] = 107984,
  [SMALL_STATE(2730)] = 108089,
  [SMALL_STATE(2731)] = 108194,
  [SMALL_STATE(2732)] = 108299,
  [SMALL_STATE(2733)] = 108404,
  [SMALL_STATE(2734)] = 108509,
  [SMALL_STATE(2735)] = 108614,
  [SMALL_STATE(2736)] = 108719,
  [SMALL_STATE(2737)] = 108780,
  [SMALL_STATE(2738)] = 108841,
  [SMALL_STATE(2739)] = 108896,
  [SMALL_STATE(2740)] = 108953,
  [SMALL_STATE(2741)] = 109010,
  [SMALL_STATE(2742)] = 109061,
  [SMALL_STATE(2743)] = 109116,
  [SMALL_STATE(2744)] = 109181,
  [SMALL_STATE(2745)] = 109232,
  [SMALL_STATE(2746)] = 109299,
  [SMALL_STATE(2747)] = 109372,
  [SMALL_STATE(2748)] = 109477,
  [SMALL_STATE(2749)] = 109542,
  [SMALL_STATE(2750)] = 109609,
  [SMALL_STATE(2751)] = 109716,
  [SMALL_STATE(2752)] = 109783,
  [SMALL_STATE(2753)] = 109856,
  [SMALL_STATE(2754)] = 109961,
  [SMALL_STATE(2755)] = 110026,
  [SMALL_STATE(2756)] = 110093,
  [SMALL_STATE(2757)] = 110166,
  [SMALL_STATE(2758)] = 110271,
  [SMALL_STATE(2759)] = 110336,
  [SMALL_STATE(2760)] = 110393,
  [SMALL_STATE(2761)] = 110444,
  [SMALL_STATE(2762)] = 110531,
  [SMALL_STATE(2763)] = 110635,
  [SMALL_STATE(2764)] = 110689,
  [SMALL_STATE(2765)] = 110793,
  [SMALL_STATE(2766)] = 110847,
  [SMALL_STATE(2767)] = 110911,
  [SMALL_STATE(2768)] = 110965,
  [SMALL_STATE(2769)] = 111023,
  [SMALL_STATE(2770)] = 111077,
  [SMALL_STATE(2771)] = 111127,
  [SMALL_STATE(2772)] = 111231,
  [SMALL_STATE(2773)] = 111295,
  [SMALL_STATE(2774)] = 111359,
  [SMALL_STATE(2775)] = 111463,
  [SMALL_STATE(2776)] = 111527,
  [SMALL_STATE(2777)] = 111575,
  [SMALL_STATE(2778)] = 111679,
  [SMALL_STATE(2779)] = 111727,
  [SMALL_STATE(2780)] = 111831,
  [SMALL_STATE(2781)] = 111895,
  [SMALL_STATE(2782)] = 111973,
  [SMALL_STATE(2783)] = 112037,
  [SMALL_STATE(2784)] = 112085,
  [SMALL_STATE(2785)] = 112189,
  [SMALL_STATE(2786)] = 112253,
  [SMALL_STATE(2787)] = 112321,
  [SMALL_STATE(2788)] = 112381,
  [SMALL_STATE(2789)] = 112441,
  [SMALL_STATE(2790)] = 112533,
  [SMALL_STATE(2791)] = 112627,
  [SMALL_STATE(2792)] = 112701,
  [SMALL_STATE(2793)] = 112765,
  [SMALL_STATE(2794)] = 112851,
  [SMALL_STATE(2795)] = 112915,
  [SMALL_STATE(2796)] = 112979,
  [SMALL_STATE(2797)] = 113083,
  [SMALL_STATE(2798)] = 113131,
  [SMALL_STATE(2799)] = 113219,
  [SMALL_STATE(2800)] = 113309,
  [SMALL_STATE(2801)] = 113363,
  [SMALL_STATE(2802)] = 113435,
  [SMALL_STATE(2803)] = 113509,
  [SMALL_STATE(2804)] = 113557,
  [SMALL_STATE(2805)] = 113613,
  [SMALL_STATE(2806)] = 113695,
  [SMALL_STATE(2807)] = 113791,
  [SMALL_STATE(2808)] = 113895,
  [SMALL_STATE(2809)] = 113943,
  [SMALL_STATE(2810)] = 114047,
  [SMALL_STATE(2811)] = 114095,
  [SMALL_STATE(2812)] = 114149,
  [SMALL_STATE(2813)] = 114213,
  [SMALL_STATE(2814)] = 114317,
  [SMALL_STATE(2815)] = 114367,
  [SMALL_STATE(2816)] = 114473,
  [SMALL_STATE(2817)] = 114525,
  [SMALL_STATE(2818)] = 114579,
  [SMALL_STATE(2819)] = 114683,
  [SMALL_STATE(2820)] = 114733,
  [SMALL_STATE(2821)] = 114787,
  [SMALL_STATE(2822)] = 114837,
  [SMALL_STATE(2823)] = 114941,
  [SMALL_STATE(2824)] = 115013,
  [SMALL_STATE(2825)] = 115063,
  [SMALL_STATE(2826)] = 115127,
  [SMALL_STATE(2827)] = 115231,
  [SMALL_STATE(2828)] = 115335,
  [SMALL_STATE(2829)] = 115439,
  [SMALL_STATE(2830)] = 115503,
  [SMALL_STATE(2831)] = 115607,
  [SMALL_STATE(2832)] = 115711,
  [SMALL_STATE(2833)] = 115815,
  [SMALL_STATE(2834)] = 115865,
  [SMALL_STATE(2835)] = 115929,
  [SMALL_STATE(2836)] = 116033,
  [SMALL_STATE(2837)] = 116081,
  [SMALL_STATE(2838)] = 116145,
  [SMALL_STATE(2839)] = 116249,
  [SMALL_STATE(2840)] = 116313,
  [SMALL_STATE(2841)] = 116377,
  [SMALL_STATE(2842)] = 116427,
  [SMALL_STATE(2843)] = 116475,
  [SMALL_STATE(2844)] = 116525,
  [SMALL_STATE(2845)] = 116583,
  [SMALL_STATE(2846)] = 116687,
  [SMALL_STATE(2847)] = 116737,
  [SMALL_STATE(2848)] = 116841,
  [SMALL_STATE(2849)] = 116891,
  [SMALL_STATE(2850)] = 116941,
  [SMALL_STATE(2851)] = 116991,
  [SMALL_STATE(2852)] = 117039,
  [SMALL_STATE(2853)] = 117143,
  [SMALL_STATE(2854)] = 117247,
  [SMALL_STATE(2855)] = 117313,
  [SMALL_STATE(2856)] = 117362,
  [SMALL_STATE(2857)] = 117417,
  [SMALL_STATE(2858)] = 117464,
  [SMALL_STATE(2859)] = 117521,
  [SMALL_STATE(2860)] = 117578,
  [SMALL_STATE(2861)] = 117633,
  [SMALL_STATE(2862)] = 117690,
  [SMALL_STATE(2863)] = 117745,
  [SMALL_STATE(2864)] = 117846,
  [SMALL_STATE(2865)] = 117903,
  [SMALL_STATE(2866)] = 117958,
  [SMALL_STATE(2867)] = 118005,
  [SMALL_STATE(2868)] = 118060,
  [SMALL_STATE(2869)] = 118115,
  [SMALL_STATE(2870)] = 118172,
  [SMALL_STATE(2871)] = 118227,
  [SMALL_STATE(2872)] = 118284,
  [SMALL_STATE(2873)] = 118333,
  [SMALL_STATE(2874)] = 118388,
  [SMALL_STATE(2875)] = 118443,
  [SMALL_STATE(2876)] = 118498,
  [SMALL_STATE(2877)] = 118553,
  [SMALL_STATE(2878)] = 118608,
  [SMALL_STATE(2879)] = 118655,
  [SMALL_STATE(2880)] = 118702,
  [SMALL_STATE(2881)] = 118751,
  [SMALL_STATE(2882)] = 118806,
  [SMALL_STATE(2883)] = 118861,
  [SMALL_STATE(2884)] = 118908,
  [SMALL_STATE(2885)] = 118965,
  [SMALL_STATE(2886)] = 119020,
  [SMALL_STATE(2887)] = 119075,
  [SMALL_STATE(2888)] = 119128,
  [SMALL_STATE(2889)] = 119183,
  [SMALL_STATE(2890)] = 119232,
  [SMALL_STATE(2891)] = 119287,
  [SMALL_STATE(2892)] = 119342,
  [SMALL_STATE(2893)] = 119399,
  [SMALL_STATE(2894)] = 119456,
  [SMALL_STATE(2895)] = 119511,
  [SMALL_STATE(2896)] = 119566,
  [SMALL_STATE(2897)] = 119621,
  [SMALL_STATE(2898)] = 119676,
  [SMALL_STATE(2899)] = 119727,
  [SMALL_STATE(2900)] = 119782,
  [SMALL_STATE(2901)] = 119837,
  [SMALL_STATE(2902)] = 119894,
  [SMALL_STATE(2903)] = 119949,
  [SMALL_STATE(2904)] = 120004,
  [SMALL_STATE(2905)] = 120053,
  [SMALL_STATE(2906)] = 120110,
  [SMALL_STATE(2907)] = 120165,
  [SMALL_STATE(2908)] = 120220,
  [SMALL_STATE(2909)] = 120275,
  [SMALL_STATE(2910)] = 120330,
  [SMALL_STATE(2911)] = 120385,
  [SMALL_STATE(2912)] = 120442,
  [SMALL_STATE(2913)] = 120489,
  [SMALL_STATE(2914)] = 120536,
  [SMALL_STATE(2915)] = 120637,
  [SMALL_STATE(2916)] = 120686,
  [SMALL_STATE(2917)] = 120741,
  [SMALL_STATE(2918)] = 120796,
  [SMALL_STATE(2919)] = 120851,
  [SMALL_STATE(2920)] = 120900,
  [SMALL_STATE(2921)] = 120957,
  [SMALL_STATE(2922)] = 121006,
  [SMALL_STATE(2923)] = 121061,
  [SMALL_STATE(2924)] = 121110,
  [SMALL_STATE(2925)] = 121157,
  [SMALL_STATE(2926)] = 121212,
  [SMALL_STATE(2927)] = 121267,
  [SMALL_STATE(2928)] = 121322,
  [SMALL_STATE(2929)] = 121377,
  [SMALL_STATE(2930)] = 121432,
  [SMALL_STATE(2931)] = 121487,
  [SMALL_STATE(2932)] = 121542,
  [SMALL_STATE(2933)] = 121597,
  [SMALL_STATE(2934)] = 121652,
  [SMALL_STATE(2935)] = 121707,
  [SMALL_STATE(2936)] = 121764,
  [SMALL_STATE(2937)] = 121819,
  [SMALL_STATE(2938)] = 121866,
  [SMALL_STATE(2939)] = 121914,
  [SMALL_STATE(2940)] = 121962,
  [SMALL_STATE(2941)] = 122008,
  [SMALL_STATE(2942)] = 122056,
  [SMALL_STATE(2943)] = 122102,
  [SMALL_STATE(2944)] = 122148,
  [SMALL_STATE(2945)] = 122194,
  [SMALL_STATE(2946)] = 122240,
  [SMALL_STATE(2947)] = 122286,
  [SMALL_STATE(2948)] = 122336,
  [SMALL_STATE(2949)] = 122382,
  [SMALL_STATE(2950)] = 122428,
  [SMALL_STATE(2951)] = 122474,
  [SMALL_STATE(2952)] = 122522,
  [SMALL_STATE(2953)] = 122568,
  [SMALL_STATE(2954)] = 122614,
  [SMALL_STATE(2955)] = 122660,
  [SMALL_STATE(2956)] = 122708,
  [SMALL_STATE(2957)] = 122756,
  [SMALL_STATE(2958)] = 122802,
  [SMALL_STATE(2959)] = 122848,
  [SMALL_STATE(2960)] = 122894,
  [SMALL_STATE(2961)] = 122942,
  [SMALL_STATE(2962)] = 122990,
  [SMALL_STATE(2963)] = 123036,
  [SMALL_STATE(2964)] = 123082,
  [SMALL_STATE(2965)] = 123130,
  [SMALL_STATE(2966)] = 123178,
  [SMALL_STATE(2967)] = 123228,
  [SMALL_STATE(2968)] = 123276,
  [SMALL_STATE(2969)] = 123324,
  [SMALL_STATE(2970)] = 123372,
  [SMALL_STATE(2971)] = 123420,
  [SMALL_STATE(2972)] = 123466,
  [SMALL_STATE(2973)] = 123512,
  [SMALL_STATE(2974)] = 123560,
  [SMALL_STATE(2975)] = 123606,
  [SMALL_STATE(2976)] = 123654,
  [SMALL_STATE(2977)] = 123702,
  [SMALL_STATE(2978)] = 123748,
  [SMALL_STATE(2979)] = 123793,
  [SMALL_STATE(2980)] = 123838,
  [SMALL_STATE(2981)] = 123883,
  [SMALL_STATE(2982)] = 123928,
  [SMALL_STATE(2983)] = 123973,
  [SMALL_STATE(2984)] = 124018,
  [SMALL_STATE(2985)] = 124063,
  [SMALL_STATE(2986)] = 124108,
  [SMALL_STATE(2987)] = 124153,
  [SMALL_STATE(2988)] = 124198,
  [SMALL_STATE(2989)] = 124243,
  [SMALL_STATE(2990)] = 124288,
  [SMALL_STATE(2991)] = 124333,
  [SMALL_STATE(2992)] = 124378,
  [SMALL_STATE(2993)] = 124423,
  [SMALL_STATE(2994)] = 124468,
  [SMALL_STATE(2995)] = 124513,
  [SMALL_STATE(2996)] = 124558,
  [SMALL_STATE(2997)] = 124603,
  [SMALL_STATE(2998)] = 124648,
  [SMALL_STATE(2999)] = 124693,
  [SMALL_STATE(3000)] = 124738,
  [SMALL_STATE(3001)] = 124783,
  [SMALL_STATE(3002)] = 124828,
  [SMALL_STATE(3003)] = 124873,
  [SMALL_STATE(3004)] = 124918,
  [SMALL_STATE(3005)] = 124963,
  [SMALL_STATE(3006)] = 125008,
  [SMALL_STATE(3007)] = 125053,
  [SMALL_STATE(3008)] = 125098,
  [SMALL_STATE(3009)] = 125143,
  [SMALL_STATE(3010)] = 125188,
  [SMALL_STATE(3011)] = 125233,
  [SMALL_STATE(3012)] = 125278,
  [SMALL_STATE(3013)] = 125323,
  [SMALL_STATE(3014)] = 125368,
  [SMALL_STATE(3015)] = 125413,
  [SMALL_STATE(3016)] = 125458,
  [SMALL_STATE(3017)] = 125503,
  [SMALL_STATE(3018)] = 125548,
  [SMALL_STATE(3019)] = 125593,
  [SMALL_STATE(3020)] = 125638,
  [SMALL_STATE(3021)] = 125683,
  [SMALL_STATE(3022)] = 125728,
  [SMALL_STATE(3023)] = 125773,
  [SMALL_STATE(3024)] = 125818,
  [SMALL_STATE(3025)] = 125863,
  [SMALL_STATE(3026)] = 125908,
  [SMALL_STATE(3027)] = 125953,
  [SMALL_STATE(3028)] = 125998,
  [SMALL_STATE(3029)] = 126043,
  [SMALL_STATE(3030)] = 126088,
  [SMALL_STATE(3031)] = 126133,
  [SMALL_STATE(3032)] = 126178,
  [SMALL_STATE(3033)] = 126223,
  [SMALL_STATE(3034)] = 126268,
  [SMALL_STATE(3035)] = 126313,
  [SMALL_STATE(3036)] = 126358,
  [SMALL_STATE(3037)] = 126403,
  [SMALL_STATE(3038)] = 126448,
  [SMALL_STATE(3039)] = 126493,
  [SMALL_STATE(3040)] = 126538,
  [SMALL_STATE(3041)] = 126583,
  [SMALL_STATE(3042)] = 126632,
  [SMALL_STATE(3043)] = 126677,
  [SMALL_STATE(3044)] = 126722,
  [SMALL_STATE(3045)] = 126767,
  [SMALL_STATE(3046)] = 126812,
  [SMALL_STATE(3047)] = 126857,
  [SMALL_STATE(3048)] = 126902,
  [SMALL_STATE(3049)] = 126947,
  [SMALL_STATE(3050)] = 126992,
  [SMALL_STATE(3051)] = 127037,
  [SMALL_STATE(3052)] = 127082,
  [SMALL_STATE(3053)] = 127127,
  [SMALL_STATE(3054)] = 127172,
  [SMALL_STATE(3055)] = 127217,
  [SMALL_STATE(3056)] = 127262,
  [SMALL_STATE(3057)] = 127307,
  [SMALL_STATE(3058)] = 127352,
  [SMALL_STATE(3059)] = 127397,
  [SMALL_STATE(3060)] = 127442,
  [SMALL_STATE(3061)] = 127487,
  [SMALL_STATE(3062)] = 127532,
  [SMALL_STATE(3063)] = 127577,
  [SMALL_STATE(3064)] = 127622,
  [SMALL_STATE(3065)] = 127667,
  [SMALL_STATE(3066)] = 127712,
  [SMALL_STATE(3067)] = 127757,
  [SMALL_STATE(3068)] = 127802,
  [SMALL_STATE(3069)] = 127847,
  [SMALL_STATE(3070)] = 127892,
  [SMALL_STATE(3071)] = 127937,
  [SMALL_STATE(3072)] = 127982,
  [SMALL_STATE(3073)] = 128027,
  [SMALL_STATE(3074)] = 128072,
  [SMALL_STATE(3075)] = 128117,
  [SMALL_STATE(3076)] = 128166,
  [SMALL_STATE(3077)] = 128211,
  [SMALL_STATE(3078)] = 128256,
  [SMALL_STATE(3079)] = 128301,
  [SMALL_STATE(3080)] = 128346,
  [SMALL_STATE(3081)] = 128391,
  [SMALL_STATE(3082)] = 128436,
  [SMALL_STATE(3083)] = 128481,
  [SMALL_STATE(3084)] = 128526,
  [SMALL_STATE(3085)] = 128571,
  [SMALL_STATE(3086)] = 128616,
  [SMALL_STATE(3087)] = 128661,
  [SMALL_STATE(3088)] = 128706,
  [SMALL_STATE(3089)] = 128751,
  [SMALL_STATE(3090)] = 128796,
  [SMALL_STATE(3091)] = 128841,
  [SMALL_STATE(3092)] = 128886,
  [SMALL_STATE(3093)] = 128930,
  [SMALL_STATE(3094)] = 128974,
  [SMALL_STATE(3095)] = 129018,
  [SMALL_STATE(3096)] = 129062,
  [SMALL_STATE(3097)] = 129106,
  [SMALL_STATE(3098)] = 129150,
  [SMALL_STATE(3099)] = 129194,
  [SMALL_STATE(3100)] = 129238,
  [SMALL_STATE(3101)] = 129282,
  [SMALL_STATE(3102)] = 129326,
  [SMALL_STATE(3103)] = 129370,
  [SMALL_STATE(3104)] = 129414,
  [SMALL_STATE(3105)] = 129458,
  [SMALL_STATE(3106)] = 129502,
  [SMALL_STATE(3107)] = 129546,
  [SMALL_STATE(3108)] = 129590,
  [SMALL_STATE(3109)] = 129640,
  [SMALL_STATE(3110)] = 129684,
  [SMALL_STATE(3111)] = 129728,
  [SMALL_STATE(3112)] = 129772,
  [SMALL_STATE(3113)] = 129816,
  [SMALL_STATE(3114)] = 129860,
  [SMALL_STATE(3115)] = 129904,
  [SMALL_STATE(3116)] = 129948,
  [SMALL_STATE(3117)] = 129992,
  [SMALL_STATE(3118)] = 130036,
  [SMALL_STATE(3119)] = 130080,
  [SMALL_STATE(3120)] = 130124,
  [SMALL_STATE(3121)] = 130168,
  [SMALL_STATE(3122)] = 130212,
  [SMALL_STATE(3123)] = 130256,
  [SMALL_STATE(3124)] = 130300,
  [SMALL_STATE(3125)] = 130344,
  [SMALL_STATE(3126)] = 130388,
  [SMALL_STATE(3127)] = 130432,
  [SMALL_STATE(3128)] = 130476,
  [SMALL_STATE(3129)] = 130520,
  [SMALL_STATE(3130)] = 130564,
  [SMALL_STATE(3131)] = 130608,
  [SMALL_STATE(3132)] = 130652,
  [SMALL_STATE(3133)] = 130696,
  [SMALL_STATE(3134)] = 130740,
  [SMALL_STATE(3135)] = 130784,
  [SMALL_STATE(3136)] = 130828,
  [SMALL_STATE(3137)] = 130872,
  [SMALL_STATE(3138)] = 130916,
  [SMALL_STATE(3139)] = 130960,
  [SMALL_STATE(3140)] = 131004,
  [SMALL_STATE(3141)] = 131048,
  [SMALL_STATE(3142)] = 131092,
  [SMALL_STATE(3143)] = 131136,
  [SMALL_STATE(3144)] = 131180,
  [SMALL_STATE(3145)] = 131224,
  [SMALL_STATE(3146)] = 131268,
  [SMALL_STATE(3147)] = 131312,
  [SMALL_STATE(3148)] = 131369,
  [SMALL_STATE(3149)] = 131412,
  [SMALL_STATE(3150)] = 131465,
  [SMALL_STATE(3151)] = 131508,
  [SMALL_STATE(3152)] = 131588,
  [SMALL_STATE(3153)] = 131668,
  [SMALL_STATE(3154)] = 131718,
  [SMALL_STATE(3155)] = 131798,
  [SMALL_STATE(3156)] = 131878,
  [SMALL_STATE(3157)] = 131958,
  [SMALL_STATE(3158)] = 132038,
  [SMALL_STATE(3159)] = 132118,
  [SMALL_STATE(3160)] = 132198,
  [SMALL_STATE(3161)] = 132239,
  [SMALL_STATE(3162)] = 132280,
  [SMALL_STATE(3163)] = 132321,
  [SMALL_STATE(3164)] = 132362,
  [SMALL_STATE(3165)] = 132403,
  [SMALL_STATE(3166)] = 132444,
  [SMALL_STATE(3167)] = 132485,
  [SMALL_STATE(3168)] = 132526,
  [SMALL_STATE(3169)] = 132567,
  [SMALL_STATE(3170)] = 132608,
  [SMALL_STATE(3171)] = 132649,
  [SMALL_STATE(3172)] = 132694,
  [SMALL_STATE(3173)] = 132735,
  [SMALL_STATE(3174)] = 132779,
  [SMALL_STATE(3175)] = 132823,
  [SMALL_STATE(3176)] = 132865,
  [SMALL_STATE(3177)] = 132906,
  [SMALL_STATE(3178)] = 132947,
  [SMALL_STATE(3179)] = 132988,
  [SMALL_STATE(3180)] = 133029,
  [SMALL_STATE(3181)] = 133067,
  [SMALL_STATE(3182)] = 133105,
  [SMALL_STATE(3183)] = 133141,
  [SMALL_STATE(3184)] = 133177,
  [SMALL_STATE(3185)] = 133207,
  [SMALL_STATE(3186)] = 133237,
  [SMALL_STATE(3187)] = 133267,
  [SMALL_STATE(3188)] = 133308,
  [SMALL_STATE(3189)] = 133349,
  [SMALL_STATE(3190)] = 133390,
  [SMALL_STATE(3191)] = 133418,
  [SMALL_STATE(3192)] = 133446,
  [SMALL_STATE(3193)] = 133474,
  [SMALL_STATE(3194)] = 133502,
  [SMALL_STATE(3195)] = 133530,
  [SMALL_STATE(3196)] = 133558,
  [SMALL_STATE(3197)] = 133586,
  [SMALL_STATE(3198)] = 133614,
  [SMALL_STATE(3199)] = 133642,
  [SMALL_STATE(3200)] = 133670,
  [SMALL_STATE(3201)] = 133698,
  [SMALL_STATE(3202)] = 133726,
  [SMALL_STATE(3203)] = 133754,
  [SMALL_STATE(3204)] = 133782,
  [SMALL_STATE(3205)] = 133810,
  [SMALL_STATE(3206)] = 133838,
  [SMALL_STATE(3207)] = 133866,
  [SMALL_STATE(3208)] = 133894,
  [SMALL_STATE(3209)] = 133922,
  [SMALL_STATE(3210)] = 133950,
  [SMALL_STATE(3211)] = 133978,
  [SMALL_STATE(3212)] = 134006,
  [SMALL_STATE(3213)] = 134034,
  [SMALL_STATE(3214)] = 134062,
  [SMALL_STATE(3215)] = 134090,
  [SMALL_STATE(3216)] = 134118,
  [SMALL_STATE(3217)] = 134146,
  [SMALL_STATE(3218)] = 134174,
  [SMALL_STATE(3219)] = 134202,
  [SMALL_STATE(3220)] = 134230,
  [SMALL_STATE(3221)] = 134258,
  [SMALL_STATE(3222)] = 134286,
  [SMALL_STATE(3223)] = 134314,
  [SMALL_STATE(3224)] = 134342,
  [SMALL_STATE(3225)] = 134369,
  [SMALL_STATE(3226)] = 134396,
  [SMALL_STATE(3227)] = 134426,
  [SMALL_STATE(3228)] = 134452,
  [SMALL_STATE(3229)] = 134478,
  [SMALL_STATE(3230)] = 134504,
  [SMALL_STATE(3231)] = 134530,
  [SMALL_STATE(3232)] = 134568,
  [SMALL_STATE(3233)] = 134594,
  [SMALL_STATE(3234)] = 134620,
  [SMALL_STATE(3235)] = 134658,
  [SMALL_STATE(3236)] = 134696,
  [SMALL_STATE(3237)] = 134726,
  [SMALL_STATE(3238)] = 134752,
  [SMALL_STATE(3239)] = 134802,
  [SMALL_STATE(3240)] = 134828,
  [SMALL_STATE(3241)] = 134854,
  [SMALL_STATE(3242)] = 134886,
  [SMALL_STATE(3243)] = 134918,
  [SMALL_STATE(3244)] = 134952,
  [SMALL_STATE(3245)] = 135002,
  [SMALL_STATE(3246)] = 135027,
  [SMALL_STATE(3247)] = 135052,
  [SMALL_STATE(3248)] = 135077,
  [SMALL_STATE(3249)] = 135102,
  [SMALL_STATE(3250)] = 135131,
  [SMALL_STATE(3251)] = 135158,
  [SMALL_STATE(3252)] = 135192,
  [SMALL_STATE(3253)] = 135216,
  [SMALL_STATE(3254)] = 135240,
  [SMALL_STATE(3255)] = 135264,
  [SMALL_STATE(3256)] = 135288,
  [SMALL_STATE(3257)] = 135312,
  [SMALL_STATE(3258)] = 135336,
  [SMALL_STATE(3259)] = 135360,
  [SMALL_STATE(3260)] = 135384,
  [SMALL_STATE(3261)] = 135408,
  [SMALL_STATE(3262)] = 135432,
  [SMALL_STATE(3263)] = 135456,
  [SMALL_STATE(3264)] = 135480,
  [SMALL_STATE(3265)] = 135504,
  [SMALL_STATE(3266)] = 135528,
  [SMALL_STATE(3267)] = 135552,
  [SMALL_STATE(3268)] = 135576,
  [SMALL_STATE(3269)] = 135600,
  [SMALL_STATE(3270)] = 135624,
  [SMALL_STATE(3271)] = 135648,
  [SMALL_STATE(3272)] = 135672,
  [SMALL_STATE(3273)] = 135696,
  [SMALL_STATE(3274)] = 135720,
  [SMALL_STATE(3275)] = 135744,
  [SMALL_STATE(3276)] = 135768,
  [SMALL_STATE(3277)] = 135792,
  [SMALL_STATE(3278)] = 135816,
  [SMALL_STATE(3279)] = 135838,
  [SMALL_STATE(3280)] = 135862,
  [SMALL_STATE(3281)] = 135886,
  [SMALL_STATE(3282)] = 135918,
  [SMALL_STATE(3283)] = 135942,
  [SMALL_STATE(3284)] = 135966,
  [SMALL_STATE(3285)] = 135990,
  [SMALL_STATE(3286)] = 136016,
  [SMALL_STATE(3287)] = 136050,
  [SMALL_STATE(3288)] = 136074,
  [SMALL_STATE(3289)] = 136096,
  [SMALL_STATE(3290)] = 136120,
  [SMALL_STATE(3291)] = 136154,
  [SMALL_STATE(3292)] = 136178,
  [SMALL_STATE(3293)] = 136212,
  [SMALL_STATE(3294)] = 136236,
  [SMALL_STATE(3295)] = 136260,
  [SMALL_STATE(3296)] = 136284,
  [SMALL_STATE(3297)] = 136308,
  [SMALL_STATE(3298)] = 136330,
  [SMALL_STATE(3299)] = 136354,
  [SMALL_STATE(3300)] = 136378,
  [SMALL_STATE(3301)] = 136406,
  [SMALL_STATE(3302)] = 136432,
  [SMALL_STATE(3303)] = 136454,
  [SMALL_STATE(3304)] = 136476,
  [SMALL_STATE(3305)] = 136500,
  [SMALL_STATE(3306)] = 136524,
  [SMALL_STATE(3307)] = 136548,
  [SMALL_STATE(3308)] = 136572,
  [SMALL_STATE(3309)] = 136594,
  [SMALL_STATE(3310)] = 136618,
  [SMALL_STATE(3311)] = 136642,
  [SMALL_STATE(3312)] = 136666,
  [SMALL_STATE(3313)] = 136690,
  [SMALL_STATE(3314)] = 136714,
  [SMALL_STATE(3315)] = 136738,
  [SMALL_STATE(3316)] = 136762,
  [SMALL_STATE(3317)] = 136794,
  [SMALL_STATE(3318)] = 136818,
  [SMALL_STATE(3319)] = 136850,
  [SMALL_STATE(3320)] = 136884,
  [SMALL_STATE(3321)] = 136918,
  [SMALL_STATE(3322)] = 136952,
  [SMALL_STATE(3323)] = 136976,
  [SMALL_STATE(3324)] = 137010,
  [SMALL_STATE(3325)] = 137032,
  [SMALL_STATE(3326)] = 137066,
  [SMALL_STATE(3327)] = 137100,
  [SMALL_STATE(3328)] = 137132,
  [SMALL_STATE(3329)] = 137166,
  [SMALL_STATE(3330)] = 137200,
  [SMALL_STATE(3331)] = 137234,
  [SMALL_STATE(3332)] = 137256,
  [SMALL_STATE(3333)] = 137280,
  [SMALL_STATE(3334)] = 137304,
  [SMALL_STATE(3335)] = 137328,
  [SMALL_STATE(3336)] = 137352,
  [SMALL_STATE(3337)] = 137384,
  [SMALL_STATE(3338)] = 137418,
  [SMALL_STATE(3339)] = 137452,
  [SMALL_STATE(3340)] = 137486,
  [SMALL_STATE(3341)] = 137510,
  [SMALL_STATE(3342)] = 137534,
  [SMALL_STATE(3343)] = 137558,
  [SMALL_STATE(3344)] = 137582,
  [SMALL_STATE(3345)] = 137606,
  [SMALL_STATE(3346)] = 137638,
  [SMALL_STATE(3347)] = 137672,
  [SMALL_STATE(3348)] = 137706,
  [SMALL_STATE(3349)] = 137730,
  [SMALL_STATE(3350)] = 137754,
  [SMALL_STATE(3351)] = 137776,
  [SMALL_STATE(3352)] = 137800,
  [SMALL_STATE(3353)] = 137829,
  [SMALL_STATE(3354)] = 137858,
  [SMALL_STATE(3355)] = 137897,
  [SMALL_STATE(3356)] = 137940,
  [SMALL_STATE(3357)] = 137983,
  [SMALL_STATE(3358)] = 138026,
  [SMALL_STATE(3359)] = 138069,
  [SMALL_STATE(3360)] = 138098,
  [SMALL_STATE(3361)] = 138141,
  [SMALL_STATE(3362)] = 138170,
  [SMALL_STATE(3363)] = 138209,
  [SMALL_STATE(3364)] = 138252,
  [SMALL_STATE(3365)] = 138291,
  [SMALL_STATE(3366)] = 138334,
  [SMALL_STATE(3367)] = 138373,
  [SMALL_STATE(3368)] = 138416,
  [SMALL_STATE(3369)] = 138459,
  [SMALL_STATE(3370)] = 138502,
  [SMALL_STATE(3371)] = 138545,
  [SMALL_STATE(3372)] = 138590,
  [SMALL_STATE(3373)] = 138629,
  [SMALL_STATE(3374)] = 138672,
  [SMALL_STATE(3375)] = 138697,
  [SMALL_STATE(3376)] = 138726,
  [SMALL_STATE(3377)] = 138769,
  [SMALL_STATE(3378)] = 138812,
  [SMALL_STATE(3379)] = 138855,
  [SMALL_STATE(3380)] = 138898,
  [SMALL_STATE(3381)] = 138941,
  [SMALL_STATE(3382)] = 138966,
  [SMALL_STATE(3383)] = 138995,
  [SMALL_STATE(3384)] = 139040,
  [SMALL_STATE(3385)] = 139079,
  [SMALL_STATE(3386)] = 139122,
  [SMALL_STATE(3387)] = 139165,
  [SMALL_STATE(3388)] = 139208,
  [SMALL_STATE(3389)] = 139251,
  [SMALL_STATE(3390)] = 139294,
  [SMALL_STATE(3391)] = 139319,
  [SMALL_STATE(3392)] = 139348,
  [SMALL_STATE(3393)] = 139391,
  [SMALL_STATE(3394)] = 139420,
  [SMALL_STATE(3395)] = 139449,
  [SMALL_STATE(3396)] = 139473,
  [SMALL_STATE(3397)] = 139493,
  [SMALL_STATE(3398)] = 139515,
  [SMALL_STATE(3399)] = 139535,
  [SMALL_STATE(3400)] = 139555,
  [SMALL_STATE(3401)] = 139583,
  [SMALL_STATE(3402)] = 139603,
  [SMALL_STATE(3403)] = 139623,
  [SMALL_STATE(3404)] = 139643,
  [SMALL_STATE(3405)] = 139663,
  [SMALL_STATE(3406)] = 139699,
  [SMALL_STATE(3407)] = 139719,
  [SMALL_STATE(3408)] = 139747,
  [SMALL_STATE(3409)] = 139771,
  [SMALL_STATE(3410)] = 139807,
  [SMALL_STATE(3411)] = 139835,
  [SMALL_STATE(3412)] = 139855,
  [SMALL_STATE(3413)] = 139875,
  [SMALL_STATE(3414)] = 139895,
  [SMALL_STATE(3415)] = 139915,
  [SMALL_STATE(3416)] = 139935,
  [SMALL_STATE(3417)] = 139955,
  [SMALL_STATE(3418)] = 139975,
  [SMALL_STATE(3419)] = 139995,
  [SMALL_STATE(3420)] = 140019,
  [SMALL_STATE(3421)] = 140055,
  [SMALL_STATE(3422)] = 140077,
  [SMALL_STATE(3423)] = 140113,
  [SMALL_STATE(3424)] = 140139,
  [SMALL_STATE(3425)] = 140165,
  [SMALL_STATE(3426)] = 140203,
  [SMALL_STATE(3427)] = 140223,
  [SMALL_STATE(3428)] = 140251,
  [SMALL_STATE(3429)] = 140279,
  [SMALL_STATE(3430)] = 140301,
  [SMALL_STATE(3431)] = 140321,
  [SMALL_STATE(3432)] = 140357,
  [SMALL_STATE(3433)] = 140393,
  [SMALL_STATE(3434)] = 140421,
  [SMALL_STATE(3435)] = 140441,
  [SMALL_STATE(3436)] = 140461,
  [SMALL_STATE(3437)] = 140489,
  [SMALL_STATE(3438)] = 140525,
  [SMALL_STATE(3439)] = 140561,
  [SMALL_STATE(3440)] = 140581,
  [SMALL_STATE(3441)] = 140603,
  [SMALL_STATE(3442)] = 140639,
  [SMALL_STATE(3443)] = 140659,
  [SMALL_STATE(3444)] = 140683,
  [SMALL_STATE(3445)] = 140703,
  [SMALL_STATE(3446)] = 140723,
  [SMALL_STATE(3447)] = 140743,
  [SMALL_STATE(3448)] = 140763,
  [SMALL_STATE(3449)] = 140783,
  [SMALL_STATE(3450)] = 140819,
  [SMALL_STATE(3451)] = 140847,
  [SMALL_STATE(3452)] = 140867,
  [SMALL_STATE(3453)] = 140887,
  [SMALL_STATE(3454)] = 140907,
  [SMALL_STATE(3455)] = 140929,
  [SMALL_STATE(3456)] = 140949,
  [SMALL_STATE(3457)] = 140969,
  [SMALL_STATE(3458)] = 140991,
  [SMALL_STATE(3459)] = 141011,
  [SMALL_STATE(3460)] = 141033,
  [SMALL_STATE(3461)] = 141055,
  [SMALL_STATE(3462)] = 141077,
  [SMALL_STATE(3463)] = 141101,
  [SMALL_STATE(3464)] = 141127,
  [SMALL_STATE(3465)] = 141147,
  [SMALL_STATE(3466)] = 141169,
  [SMALL_STATE(3467)] = 141191,
  [SMALL_STATE(3468)] = 141213,
  [SMALL_STATE(3469)] = 141246,
  [SMALL_STATE(3470)] = 141285,
  [SMALL_STATE(3471)] = 141318,
  [SMALL_STATE(3472)] = 141355,
  [SMALL_STATE(3473)] = 141386,
  [SMALL_STATE(3474)] = 141415,
  [SMALL_STATE(3475)] = 141446,
  [SMALL_STATE(3476)] = 141469,
  [SMALL_STATE(3477)] = 141492,
  [SMALL_STATE(3478)] = 141513,
  [SMALL_STATE(3479)] = 141544,
  [SMALL_STATE(3480)] = 141575,
  [SMALL_STATE(3481)] = 141612,
  [SMALL_STATE(3482)] = 141649,
  [SMALL_STATE(3483)] = 141682,
  [SMALL_STATE(3484)] = 141719,
  [SMALL_STATE(3485)] = 141750,
  [SMALL_STATE(3486)] = 141787,
  [SMALL_STATE(3487)] = 141824,
  [SMALL_STATE(3488)] = 141861,
  [SMALL_STATE(3489)] = 141898,
  [SMALL_STATE(3490)] = 141935,
  [SMALL_STATE(3491)] = 141972,
  [SMALL_STATE(3492)] = 141995,
  [SMALL_STATE(3493)] = 142032,
  [SMALL_STATE(3494)] = 142071,
  [SMALL_STATE(3495)] = 142092,
  [SMALL_STATE(3496)] = 142125,
  [SMALL_STATE(3497)] = 142148,
  [SMALL_STATE(3498)] = 142185,
  [SMALL_STATE(3499)] = 142222,
  [SMALL_STATE(3500)] = 142259,
  [SMALL_STATE(3501)] = 142292,
  [SMALL_STATE(3502)] = 142317,
  [SMALL_STATE(3503)] = 142354,
  [SMALL_STATE(3504)] = 142383,
  [SMALL_STATE(3505)] = 142420,
  [SMALL_STATE(3506)] = 142449,
  [SMALL_STATE(3507)] = 142482,
  [SMALL_STATE(3508)] = 142511,
  [SMALL_STATE(3509)] = 142532,
  [SMALL_STATE(3510)] = 142569,
  [SMALL_STATE(3511)] = 142590,
  [SMALL_STATE(3512)] = 142619,
  [SMALL_STATE(3513)] = 142640,
  [SMALL_STATE(3514)] = 142673,
  [SMALL_STATE(3515)] = 142694,
  [SMALL_STATE(3516)] = 142717,
  [SMALL_STATE(3517)] = 142754,
  [SMALL_STATE(3518)] = 142787,
  [SMALL_STATE(3519)] = 142808,
  [SMALL_STATE(3520)] = 142841,
  [SMALL_STATE(3521)] = 142866,
  [SMALL_STATE(3522)] = 142895,
  [SMALL_STATE(3523)] = 142932,
  [SMALL_STATE(3524)] = 142969,
  [SMALL_STATE(3525)] = 143006,
  [SMALL_STATE(3526)] = 143043,
  [SMALL_STATE(3527)] = 143080,
  [SMALL_STATE(3528)] = 143113,
  [SMALL_STATE(3529)] = 143133,
  [SMALL_STATE(3530)] = 143153,
  [SMALL_STATE(3531)] = 143173,
  [SMALL_STATE(3532)] = 143195,
  [SMALL_STATE(3533)] = 143217,
  [SMALL_STATE(3534)] = 143235,
  [SMALL_STATE(3535)] = 143255,
  [SMALL_STATE(3536)] = 143273,
  [SMALL_STATE(3537)] = 143293,
  [SMALL_STATE(3538)] = 143317,
  [SMALL_STATE(3539)] = 143337,
  [SMALL_STATE(3540)] = 143361,
  [SMALL_STATE(3541)] = 143385,
  [SMALL_STATE(3542)] = 143409,
  [SMALL_STATE(3543)] = 143433,
  [SMALL_STATE(3544)] = 143453,
  [SMALL_STATE(3545)] = 143473,
  [SMALL_STATE(3546)] = 143493,
  [SMALL_STATE(3547)] = 143511,
  [SMALL_STATE(3548)] = 143533,
  [SMALL_STATE(3549)] = 143555,
  [SMALL_STATE(3550)] = 143573,
  [SMALL_STATE(3551)] = 143595,
  [SMALL_STATE(3552)] = 143615,
  [SMALL_STATE(3553)] = 143641,
  [SMALL_STATE(3554)] = 143659,
  [SMALL_STATE(3555)] = 143679,
  [SMALL_STATE(3556)] = 143699,
  [SMALL_STATE(3557)] = 143717,
  [SMALL_STATE(3558)] = 143737,
  [SMALL_STATE(3559)] = 143757,
  [SMALL_STATE(3560)] = 143777,
  [SMALL_STATE(3561)] = 143799,
  [SMALL_STATE(3562)] = 143821,
  [SMALL_STATE(3563)] = 143845,
  [SMALL_STATE(3564)] = 143863,
  [SMALL_STATE(3565)] = 143881,
  [SMALL_STATE(3566)] = 143903,
  [SMALL_STATE(3567)] = 143923,
  [SMALL_STATE(3568)] = 143943,
  [SMALL_STATE(3569)] = 143961,
  [SMALL_STATE(3570)] = 143981,
  [SMALL_STATE(3571)] = 143999,
  [SMALL_STATE(3572)] = 144017,
  [SMALL_STATE(3573)] = 144035,
  [SMALL_STATE(3574)] = 144053,
  [SMALL_STATE(3575)] = 144071,
  [SMALL_STATE(3576)] = 144095,
  [SMALL_STATE(3577)] = 144115,
  [SMALL_STATE(3578)] = 144135,
  [SMALL_STATE(3579)] = 144161,
  [SMALL_STATE(3580)] = 144181,
  [SMALL_STATE(3581)] = 144201,
  [SMALL_STATE(3582)] = 144221,
  [SMALL_STATE(3583)] = 144241,
  [SMALL_STATE(3584)] = 144261,
  [SMALL_STATE(3585)] = 144297,
  [SMALL_STATE(3586)] = 144317,
  [SMALL_STATE(3587)] = 144337,
  [SMALL_STATE(3588)] = 144357,
  [SMALL_STATE(3589)] = 144377,
  [SMALL_STATE(3590)] = 144397,
  [SMALL_STATE(3591)] = 144417,
  [SMALL_STATE(3592)] = 144437,
  [SMALL_STATE(3593)] = 144459,
  [SMALL_STATE(3594)] = 144483,
  [SMALL_STATE(3595)] = 144507,
  [SMALL_STATE(3596)] = 144527,
  [SMALL_STATE(3597)] = 144547,
  [SMALL_STATE(3598)] = 144567,
  [SMALL_STATE(3599)] = 144587,
  [SMALL_STATE(3600)] = 144609,
  [SMALL_STATE(3601)] = 144629,
  [SMALL_STATE(3602)] = 144649,
  [SMALL_STATE(3603)] = 144672,
  [SMALL_STATE(3604)] = 144707,
  [SMALL_STATE(3605)] = 144728,
  [SMALL_STATE(3606)] = 144763,
  [SMALL_STATE(3607)] = 144794,
  [SMALL_STATE(3608)] = 144829,
  [SMALL_STATE(3609)] = 144846,
  [SMALL_STATE(3610)] = 144863,
  [SMALL_STATE(3611)] = 144880,
  [SMALL_STATE(3612)] = 144915,
  [SMALL_STATE(3613)] = 144934,
  [SMALL_STATE(3614)] = 144953,
  [SMALL_STATE(3615)] = 144986,
  [SMALL_STATE(3616)] = 145011,
  [SMALL_STATE(3617)] = 145046,
  [SMALL_STATE(3618)] = 145081,
  [SMALL_STATE(3619)] = 145116,
  [SMALL_STATE(3620)] = 145135,
  [SMALL_STATE(3621)] = 145170,
  [SMALL_STATE(3622)] = 145205,
  [SMALL_STATE(3623)] = 145240,
  [SMALL_STATE(3624)] = 145275,
  [SMALL_STATE(3625)] = 145308,
  [SMALL_STATE(3626)] = 145343,
  [SMALL_STATE(3627)] = 145376,
  [SMALL_STATE(3628)] = 145395,
  [SMALL_STATE(3629)] = 145418,
  [SMALL_STATE(3630)] = 145449,
  [SMALL_STATE(3631)] = 145484,
  [SMALL_STATE(3632)] = 145505,
  [SMALL_STATE(3633)] = 145534,
  [SMALL_STATE(3634)] = 145551,
  [SMALL_STATE(3635)] = 145582,
  [SMALL_STATE(3636)] = 145603,
  [SMALL_STATE(3637)] = 145619,
  [SMALL_STATE(3638)] = 145641,
  [SMALL_STATE(3639)] = 145669,
  [SMALL_STATE(3640)] = 145697,
  [SMALL_STATE(3641)] = 145713,
  [SMALL_STATE(3642)] = 145741,
  [SMALL_STATE(3643)] = 145769,
  [SMALL_STATE(3644)] = 145791,
  [SMALL_STATE(3645)] = 145823,
  [SMALL_STATE(3646)] = 145851,
  [SMALL_STATE(3647)] = 145877,
  [SMALL_STATE(3648)] = 145905,
  [SMALL_STATE(3649)] = 145921,
  [SMALL_STATE(3650)] = 145953,
  [SMALL_STATE(3651)] = 145981,
  [SMALL_STATE(3652)] = 145997,
  [SMALL_STATE(3653)] = 146025,
  [SMALL_STATE(3654)] = 146057,
  [SMALL_STATE(3655)] = 146073,
  [SMALL_STATE(3656)] = 146089,
  [SMALL_STATE(3657)] = 146105,
  [SMALL_STATE(3658)] = 146123,
  [SMALL_STATE(3659)] = 146145,
  [SMALL_STATE(3660)] = 146177,
  [SMALL_STATE(3661)] = 146193,
  [SMALL_STATE(3662)] = 146221,
  [SMALL_STATE(3663)] = 146237,
  [SMALL_STATE(3664)] = 146265,
  [SMALL_STATE(3665)] = 146293,
  [SMALL_STATE(3666)] = 146309,
  [SMALL_STATE(3667)] = 146331,
  [SMALL_STATE(3668)] = 146351,
  [SMALL_STATE(3669)] = 146379,
  [SMALL_STATE(3670)] = 146397,
  [SMALL_STATE(3671)] = 146415,
  [SMALL_STATE(3672)] = 146431,
  [SMALL_STATE(3673)] = 146463,
  [SMALL_STATE(3674)] = 146479,
  [SMALL_STATE(3675)] = 146497,
  [SMALL_STATE(3676)] = 146525,
  [SMALL_STATE(3677)] = 146541,
  [SMALL_STATE(3678)] = 146559,
  [SMALL_STATE(3679)] = 146591,
  [SMALL_STATE(3680)] = 146607,
  [SMALL_STATE(3681)] = 146635,
  [SMALL_STATE(3682)] = 146661,
  [SMALL_STATE(3683)] = 146687,
  [SMALL_STATE(3684)] = 146703,
  [SMALL_STATE(3685)] = 146731,
  [SMALL_STATE(3686)] = 146747,
  [SMALL_STATE(3687)] = 146775,
  [SMALL_STATE(3688)] = 146803,
  [SMALL_STATE(3689)] = 146831,
  [SMALL_STATE(3690)] = 146859,
  [SMALL_STATE(3691)] = 146887,
  [SMALL_STATE(3692)] = 146915,
  [SMALL_STATE(3693)] = 146943,
  [SMALL_STATE(3694)] = 146971,
  [SMALL_STATE(3695)] = 146999,
  [SMALL_STATE(3696)] = 147027,
  [SMALL_STATE(3697)] = 147047,
  [SMALL_STATE(3698)] = 147075,
  [SMALL_STATE(3699)] = 147103,
  [SMALL_STATE(3700)] = 147131,
  [SMALL_STATE(3701)] = 147163,
  [SMALL_STATE(3702)] = 147191,
  [SMALL_STATE(3703)] = 147219,
  [SMALL_STATE(3704)] = 147247,
  [SMALL_STATE(3705)] = 147275,
  [SMALL_STATE(3706)] = 147307,
  [SMALL_STATE(3707)] = 147339,
  [SMALL_STATE(3708)] = 147371,
  [SMALL_STATE(3709)] = 147403,
  [SMALL_STATE(3710)] = 147431,
  [SMALL_STATE(3711)] = 147447,
  [SMALL_STATE(3712)] = 147479,
  [SMALL_STATE(3713)] = 147495,
  [SMALL_STATE(3714)] = 147515,
  [SMALL_STATE(3715)] = 147547,
  [SMALL_STATE(3716)] = 147563,
  [SMALL_STATE(3717)] = 147589,
  [SMALL_STATE(3718)] = 147615,
  [SMALL_STATE(3719)] = 147631,
  [SMALL_STATE(3720)] = 147647,
  [SMALL_STATE(3721)] = 147663,
  [SMALL_STATE(3722)] = 147695,
  [SMALL_STATE(3723)] = 147711,
  [SMALL_STATE(3724)] = 147739,
  [SMALL_STATE(3725)] = 147765,
  [SMALL_STATE(3726)] = 147797,
  [SMALL_STATE(3727)] = 147829,
  [SMALL_STATE(3728)] = 147861,
  [SMALL_STATE(3729)] = 147889,
  [SMALL_STATE(3730)] = 147921,
  [SMALL_STATE(3731)] = 147953,
  [SMALL_STATE(3732)] = 147969,
  [SMALL_STATE(3733)] = 147985,
  [SMALL_STATE(3734)] = 148001,
  [SMALL_STATE(3735)] = 148029,
  [SMALL_STATE(3736)] = 148055,
  [SMALL_STATE(3737)] = 148087,
  [SMALL_STATE(3738)] = 148103,
  [SMALL_STATE(3739)] = 148131,
  [SMALL_STATE(3740)] = 148147,
  [SMALL_STATE(3741)] = 148169,
  [SMALL_STATE(3742)] = 148185,
  [SMALL_STATE(3743)] = 148217,
  [SMALL_STATE(3744)] = 148239,
  [SMALL_STATE(3745)] = 148271,
  [SMALL_STATE(3746)] = 148297,
  [SMALL_STATE(3747)] = 148329,
  [SMALL_STATE(3748)] = 148353,
  [SMALL_STATE(3749)] = 148375,
  [SMALL_STATE(3750)] = 148393,
  [SMALL_STATE(3751)] = 148409,
  [SMALL_STATE(3752)] = 148427,
  [SMALL_STATE(3753)] = 148443,
  [SMALL_STATE(3754)] = 148475,
  [SMALL_STATE(3755)] = 148501,
  [SMALL_STATE(3756)] = 148517,
  [SMALL_STATE(3757)] = 148533,
  [SMALL_STATE(3758)] = 148549,
  [SMALL_STATE(3759)] = 148565,
  [SMALL_STATE(3760)] = 148593,
  [SMALL_STATE(3761)] = 148609,
  [SMALL_STATE(3762)] = 148625,
  [SMALL_STATE(3763)] = 148653,
  [SMALL_STATE(3764)] = 148669,
  [SMALL_STATE(3765)] = 148685,
  [SMALL_STATE(3766)] = 148701,
  [SMALL_STATE(3767)] = 148731,
  [SMALL_STATE(3768)] = 148757,
  [SMALL_STATE(3769)] = 148773,
  [SMALL_STATE(3770)] = 148799,
  [SMALL_STATE(3771)] = 148827,
  [SMALL_STATE(3772)] = 148855,
  [SMALL_STATE(3773)] = 148871,
  [SMALL_STATE(3774)] = 148897,
  [SMALL_STATE(3775)] = 148923,
  [SMALL_STATE(3776)] = 148949,
  [SMALL_STATE(3777)] = 148965,
  [SMALL_STATE(3778)] = 148981,
  [SMALL_STATE(3779)] = 149003,
  [SMALL_STATE(3780)] = 149031,
  [SMALL_STATE(3781)] = 149063,
  [SMALL_STATE(3782)] = 149081,
  [SMALL_STATE(3783)] = 149097,
  [SMALL_STATE(3784)] = 149125,
  [SMALL_STATE(3785)] = 149153,
  [SMALL_STATE(3786)] = 149181,
  [SMALL_STATE(3787)] = 149197,
  [SMALL_STATE(3788)] = 149225,
  [SMALL_STATE(3789)] = 149253,
  [SMALL_STATE(3790)] = 149282,
  [SMALL_STATE(3791)] = 149307,
  [SMALL_STATE(3792)] = 149332,
  [SMALL_STATE(3793)] = 149353,
  [SMALL_STATE(3794)] = 149376,
  [SMALL_STATE(3795)] = 149401,
  [SMALL_STATE(3796)] = 149416,
  [SMALL_STATE(3797)] = 149445,
  [SMALL_STATE(3798)] = 149470,
  [SMALL_STATE(3799)] = 149493,
  [SMALL_STATE(3800)] = 149510,
  [SMALL_STATE(3801)] = 149539,
  [SMALL_STATE(3802)] = 149556,
  [SMALL_STATE(3803)] = 149577,
  [SMALL_STATE(3804)] = 149594,
  [SMALL_STATE(3805)] = 149615,
  [SMALL_STATE(3806)] = 149640,
  [SMALL_STATE(3807)] = 149655,
  [SMALL_STATE(3808)] = 149680,
  [SMALL_STATE(3809)] = 149701,
  [SMALL_STATE(3810)] = 149724,
  [SMALL_STATE(3811)] = 149747,
  [SMALL_STATE(3812)] = 149770,
  [SMALL_STATE(3813)] = 149799,
  [SMALL_STATE(3814)] = 149822,
  [SMALL_STATE(3815)] = 149845,
  [SMALL_STATE(3816)] = 149868,
  [SMALL_STATE(3817)] = 149887,
  [SMALL_STATE(3818)] = 149912,
  [SMALL_STATE(3819)] = 149937,
  [SMALL_STATE(3820)] = 149952,
  [SMALL_STATE(3821)] = 149967,
  [SMALL_STATE(3822)] = 149982,
  [SMALL_STATE(3823)] = 149997,
  [SMALL_STATE(3824)] = 150022,
  [SMALL_STATE(3825)] = 150045,
  [SMALL_STATE(3826)] = 150064,
  [SMALL_STATE(3827)] = 150089,
  [SMALL_STATE(3828)] = 150110,
  [SMALL_STATE(3829)] = 150131,
  [SMALL_STATE(3830)] = 150160,
  [SMALL_STATE(3831)] = 150185,
  [SMALL_STATE(3832)] = 150214,
  [SMALL_STATE(3833)] = 150239,
  [SMALL_STATE(3834)] = 150264,
  [SMALL_STATE(3835)] = 150286,
  [SMALL_STATE(3836)] = 150304,
  [SMALL_STATE(3837)] = 150330,
  [SMALL_STATE(3838)] = 150356,
  [SMALL_STATE(3839)] = 150382,
  [SMALL_STATE(3840)] = 150396,
  [SMALL_STATE(3841)] = 150422,
  [SMALL_STATE(3842)] = 150444,
  [SMALL_STATE(3843)] = 150466,
  [SMALL_STATE(3844)] = 150480,
  [SMALL_STATE(3845)] = 150506,
  [SMALL_STATE(3846)] = 150532,
  [SMALL_STATE(3847)] = 150558,
  [SMALL_STATE(3848)] = 150574,
  [SMALL_STATE(3849)] = 150600,
  [SMALL_STATE(3850)] = 150626,
  [SMALL_STATE(3851)] = 150652,
  [SMALL_STATE(3852)] = 150678,
  [SMALL_STATE(3853)] = 150704,
  [SMALL_STATE(3854)] = 150730,
  [SMALL_STATE(3855)] = 150756,
  [SMALL_STATE(3856)] = 150772,
  [SMALL_STATE(3857)] = 150786,
  [SMALL_STATE(3858)] = 150806,
  [SMALL_STATE(3859)] = 150820,
  [SMALL_STATE(3860)] = 150842,
  [SMALL_STATE(3861)] = 150864,
  [SMALL_STATE(3862)] = 150886,
  [SMALL_STATE(3863)] = 150912,
  [SMALL_STATE(3864)] = 150938,
  [SMALL_STATE(3865)] = 150964,
  [SMALL_STATE(3866)] = 150986,
  [SMALL_STATE(3867)] = 151008,
  [SMALL_STATE(3868)] = 151030,
  [SMALL_STATE(3869)] = 151044,
  [SMALL_STATE(3870)] = 151066,
  [SMALL_STATE(3871)] = 151084,
  [SMALL_STATE(3872)] = 151102,
  [SMALL_STATE(3873)] = 151120,
  [SMALL_STATE(3874)] = 151146,
  [SMALL_STATE(3875)] = 151172,
  [SMALL_STATE(3876)] = 151194,
  [SMALL_STATE(3877)] = 151216,
  [SMALL_STATE(3878)] = 151242,
  [SMALL_STATE(3879)] = 151268,
  [SMALL_STATE(3880)] = 151294,
  [SMALL_STATE(3881)] = 151320,
  [SMALL_STATE(3882)] = 151342,
  [SMALL_STATE(3883)] = 151356,
  [SMALL_STATE(3884)] = 151382,
  [SMALL_STATE(3885)] = 151404,
  [SMALL_STATE(3886)] = 151422,
  [SMALL_STATE(3887)] = 151448,
  [SMALL_STATE(3888)] = 151470,
  [SMALL_STATE(3889)] = 151496,
  [SMALL_STATE(3890)] = 151522,
  [SMALL_STATE(3891)] = 151548,
  [SMALL_STATE(3892)] = 151574,
  [SMALL_STATE(3893)] = 151592,
  [SMALL_STATE(3894)] = 151618,
  [SMALL_STATE(3895)] = 151640,
  [SMALL_STATE(3896)] = 151662,
  [SMALL_STATE(3897)] = 151684,
  [SMALL_STATE(3898)] = 151706,
  [SMALL_STATE(3899)] = 151732,
  [SMALL_STATE(3900)] = 151754,
  [SMALL_STATE(3901)] = 151776,
  [SMALL_STATE(3902)] = 151798,
  [SMALL_STATE(3903)] = 151820,
  [SMALL_STATE(3904)] = 151842,
  [SMALL_STATE(3905)] = 151864,
  [SMALL_STATE(3906)] = 151878,
  [SMALL_STATE(3907)] = 151904,
  [SMALL_STATE(3908)] = 151930,
  [SMALL_STATE(3909)] = 151952,
  [SMALL_STATE(3910)] = 151974,
  [SMALL_STATE(3911)] = 152000,
  [SMALL_STATE(3912)] = 152024,
  [SMALL_STATE(3913)] = 152050,
  [SMALL_STATE(3914)] = 152072,
  [SMALL_STATE(3915)] = 152094,
  [SMALL_STATE(3916)] = 152116,
  [SMALL_STATE(3917)] = 152138,
  [SMALL_STATE(3918)] = 152160,
  [SMALL_STATE(3919)] = 152186,
  [SMALL_STATE(3920)] = 152208,
  [SMALL_STATE(3921)] = 152230,
  [SMALL_STATE(3922)] = 152252,
  [SMALL_STATE(3923)] = 152270,
  [SMALL_STATE(3924)] = 152288,
  [SMALL_STATE(3925)] = 152314,
  [SMALL_STATE(3926)] = 152332,
  [SMALL_STATE(3927)] = 152350,
  [SMALL_STATE(3928)] = 152368,
  [SMALL_STATE(3929)] = 152394,
  [SMALL_STATE(3930)] = 152420,
  [SMALL_STATE(3931)] = 152442,
  [SMALL_STATE(3932)] = 152456,
  [SMALL_STATE(3933)] = 152478,
  [SMALL_STATE(3934)] = 152500,
  [SMALL_STATE(3935)] = 152526,
  [SMALL_STATE(3936)] = 152552,
  [SMALL_STATE(3937)] = 152578,
  [SMALL_STATE(3938)] = 152592,
  [SMALL_STATE(3939)] = 152606,
  [SMALL_STATE(3940)] = 152620,
  [SMALL_STATE(3941)] = 152642,
  [SMALL_STATE(3942)] = 152664,
  [SMALL_STATE(3943)] = 152686,
  [SMALL_STATE(3944)] = 152700,
  [SMALL_STATE(3945)] = 152722,
  [SMALL_STATE(3946)] = 152744,
  [SMALL_STATE(3947)] = 152766,
  [SMALL_STATE(3948)] = 152788,
  [SMALL_STATE(3949)] = 152810,
  [SMALL_STATE(3950)] = 152832,
  [SMALL_STATE(3951)] = 152850,
  [SMALL_STATE(3952)] = 152868,
  [SMALL_STATE(3953)] = 152886,
  [SMALL_STATE(3954)] = 152904,
  [SMALL_STATE(3955)] = 152926,
  [SMALL_STATE(3956)] = 152948,
  [SMALL_STATE(3957)] = 152970,
  [SMALL_STATE(3958)] = 152992,
  [SMALL_STATE(3959)] = 153018,
  [SMALL_STATE(3960)] = 153040,
  [SMALL_STATE(3961)] = 153062,
  [SMALL_STATE(3962)] = 153088,
  [SMALL_STATE(3963)] = 153110,
  [SMALL_STATE(3964)] = 153128,
  [SMALL_STATE(3965)] = 153146,
  [SMALL_STATE(3966)] = 153164,
  [SMALL_STATE(3967)] = 153182,
  [SMALL_STATE(3968)] = 153200,
  [SMALL_STATE(3969)] = 153218,
  [SMALL_STATE(3970)] = 153236,
  [SMALL_STATE(3971)] = 153254,
  [SMALL_STATE(3972)] = 153272,
  [SMALL_STATE(3973)] = 153298,
  [SMALL_STATE(3974)] = 153316,
  [SMALL_STATE(3975)] = 153338,
  [SMALL_STATE(3976)] = 153356,
  [SMALL_STATE(3977)] = 153382,
  [SMALL_STATE(3978)] = 153408,
  [SMALL_STATE(3979)] = 153430,
  [SMALL_STATE(3980)] = 153456,
  [SMALL_STATE(3981)] = 153478,
  [SMALL_STATE(3982)] = 153504,
  [SMALL_STATE(3983)] = 153526,
  [SMALL_STATE(3984)] = 153548,
  [SMALL_STATE(3985)] = 153570,
  [SMALL_STATE(3986)] = 153596,
  [SMALL_STATE(3987)] = 153612,
  [SMALL_STATE(3988)] = 153634,
  [SMALL_STATE(3989)] = 153660,
  [SMALL_STATE(3990)] = 153682,
  [SMALL_STATE(3991)] = 153704,
  [SMALL_STATE(3992)] = 153726,
  [SMALL_STATE(3993)] = 153748,
  [SMALL_STATE(3994)] = 153770,
  [SMALL_STATE(3995)] = 153796,
  [SMALL_STATE(3996)] = 153818,
  [SMALL_STATE(3997)] = 153840,
  [SMALL_STATE(3998)] = 153856,
  [SMALL_STATE(3999)] = 153872,
  [SMALL_STATE(4000)] = 153894,
  [SMALL_STATE(4001)] = 153916,
  [SMALL_STATE(4002)] = 153938,
  [SMALL_STATE(4003)] = 153960,
  [SMALL_STATE(4004)] = 153982,
  [SMALL_STATE(4005)] = 154004,
  [SMALL_STATE(4006)] = 154024,
  [SMALL_STATE(4007)] = 154040,
  [SMALL_STATE(4008)] = 154062,
  [SMALL_STATE(4009)] = 154084,
  [SMALL_STATE(4010)] = 154110,
  [SMALL_STATE(4011)] = 154136,
  [SMALL_STATE(4012)] = 154156,
  [SMALL_STATE(4013)] = 154176,
  [SMALL_STATE(4014)] = 154196,
  [SMALL_STATE(4015)] = 154216,
  [SMALL_STATE(4016)] = 154230,
  [SMALL_STATE(4017)] = 154252,
  [SMALL_STATE(4018)] = 154270,
  [SMALL_STATE(4019)] = 154290,
  [SMALL_STATE(4020)] = 154312,
  [SMALL_STATE(4021)] = 154334,
  [SMALL_STATE(4022)] = 154360,
  [SMALL_STATE(4023)] = 154382,
  [SMALL_STATE(4024)] = 154404,
  [SMALL_STATE(4025)] = 154426,
  [SMALL_STATE(4026)] = 154448,
  [SMALL_STATE(4027)] = 154470,
  [SMALL_STATE(4028)] = 154492,
  [SMALL_STATE(4029)] = 154514,
  [SMALL_STATE(4030)] = 154536,
  [SMALL_STATE(4031)] = 154558,
  [SMALL_STATE(4032)] = 154576,
  [SMALL_STATE(4033)] = 154598,
  [SMALL_STATE(4034)] = 154620,
  [SMALL_STATE(4035)] = 154642,
  [SMALL_STATE(4036)] = 154664,
  [SMALL_STATE(4037)] = 154686,
  [SMALL_STATE(4038)] = 154708,
  [SMALL_STATE(4039)] = 154730,
  [SMALL_STATE(4040)] = 154744,
  [SMALL_STATE(4041)] = 154766,
  [SMALL_STATE(4042)] = 154780,
  [SMALL_STATE(4043)] = 154802,
  [SMALL_STATE(4044)] = 154828,
  [SMALL_STATE(4045)] = 154850,
  [SMALL_STATE(4046)] = 154872,
  [SMALL_STATE(4047)] = 154890,
  [SMALL_STATE(4048)] = 154914,
  [SMALL_STATE(4049)] = 154936,
  [SMALL_STATE(4050)] = 154958,
  [SMALL_STATE(4051)] = 154974,
  [SMALL_STATE(4052)] = 154992,
  [SMALL_STATE(4053)] = 155018,
  [SMALL_STATE(4054)] = 155044,
  [SMALL_STATE(4055)] = 155066,
  [SMALL_STATE(4056)] = 155088,
  [SMALL_STATE(4057)] = 155106,
  [SMALL_STATE(4058)] = 155132,
  [SMALL_STATE(4059)] = 155158,
  [SMALL_STATE(4060)] = 155174,
  [SMALL_STATE(4061)] = 155194,
  [SMALL_STATE(4062)] = 155210,
  [SMALL_STATE(4063)] = 155232,
  [SMALL_STATE(4064)] = 155258,
  [SMALL_STATE(4065)] = 155280,
  [SMALL_STATE(4066)] = 155302,
  [SMALL_STATE(4067)] = 155328,
  [SMALL_STATE(4068)] = 155354,
  [SMALL_STATE(4069)] = 155376,
  [SMALL_STATE(4070)] = 155398,
  [SMALL_STATE(4071)] = 155420,
  [SMALL_STATE(4072)] = 155442,
  [SMALL_STATE(4073)] = 155468,
  [SMALL_STATE(4074)] = 155490,
  [SMALL_STATE(4075)] = 155512,
  [SMALL_STATE(4076)] = 155534,
  [SMALL_STATE(4077)] = 155556,
  [SMALL_STATE(4078)] = 155578,
  [SMALL_STATE(4079)] = 155600,
  [SMALL_STATE(4080)] = 155622,
  [SMALL_STATE(4081)] = 155644,
  [SMALL_STATE(4082)] = 155666,
  [SMALL_STATE(4083)] = 155692,
  [SMALL_STATE(4084)] = 155714,
  [SMALL_STATE(4085)] = 155740,
  [SMALL_STATE(4086)] = 155754,
  [SMALL_STATE(4087)] = 155776,
  [SMALL_STATE(4088)] = 155798,
  [SMALL_STATE(4089)] = 155824,
  [SMALL_STATE(4090)] = 155850,
  [SMALL_STATE(4091)] = 155872,
  [SMALL_STATE(4092)] = 155894,
  [SMALL_STATE(4093)] = 155911,
  [SMALL_STATE(4094)] = 155928,
  [SMALL_STATE(4095)] = 155951,
  [SMALL_STATE(4096)] = 155974,
  [SMALL_STATE(4097)] = 155997,
  [SMALL_STATE(4098)] = 156016,
  [SMALL_STATE(4099)] = 156039,
  [SMALL_STATE(4100)] = 156062,
  [SMALL_STATE(4101)] = 156085,
  [SMALL_STATE(4102)] = 156108,
  [SMALL_STATE(4103)] = 156131,
  [SMALL_STATE(4104)] = 156154,
  [SMALL_STATE(4105)] = 156173,
  [SMALL_STATE(4106)] = 156192,
  [SMALL_STATE(4107)] = 156215,
  [SMALL_STATE(4108)] = 156238,
  [SMALL_STATE(4109)] = 156255,
  [SMALL_STATE(4110)] = 156278,
  [SMALL_STATE(4111)] = 156301,
  [SMALL_STATE(4112)] = 156320,
  [SMALL_STATE(4113)] = 156335,
  [SMALL_STATE(4114)] = 156354,
  [SMALL_STATE(4115)] = 156369,
  [SMALL_STATE(4116)] = 156386,
  [SMALL_STATE(4117)] = 156403,
  [SMALL_STATE(4118)] = 156426,
  [SMALL_STATE(4119)] = 156443,
  [SMALL_STATE(4120)] = 156460,
  [SMALL_STATE(4121)] = 156477,
  [SMALL_STATE(4122)] = 156500,
  [SMALL_STATE(4123)] = 156523,
  [SMALL_STATE(4124)] = 156540,
  [SMALL_STATE(4125)] = 156563,
  [SMALL_STATE(4126)] = 156576,
  [SMALL_STATE(4127)] = 156593,
  [SMALL_STATE(4128)] = 156610,
  [SMALL_STATE(4129)] = 156627,
  [SMALL_STATE(4130)] = 156646,
  [SMALL_STATE(4131)] = 156669,
  [SMALL_STATE(4132)] = 156686,
  [SMALL_STATE(4133)] = 156705,
  [SMALL_STATE(4134)] = 156722,
  [SMALL_STATE(4135)] = 156737,
  [SMALL_STATE(4136)] = 156760,
  [SMALL_STATE(4137)] = 156773,
  [SMALL_STATE(4138)] = 156796,
  [SMALL_STATE(4139)] = 156809,
  [SMALL_STATE(4140)] = 156832,
  [SMALL_STATE(4141)] = 156853,
  [SMALL_STATE(4142)] = 156872,
  [SMALL_STATE(4143)] = 156895,
  [SMALL_STATE(4144)] = 156912,
  [SMALL_STATE(4145)] = 156935,
  [SMALL_STATE(4146)] = 156958,
  [SMALL_STATE(4147)] = 156977,
  [SMALL_STATE(4148)] = 157000,
  [SMALL_STATE(4149)] = 157017,
  [SMALL_STATE(4150)] = 157034,
  [SMALL_STATE(4151)] = 157051,
  [SMALL_STATE(4152)] = 157068,
  [SMALL_STATE(4153)] = 157085,
  [SMALL_STATE(4154)] = 157108,
  [SMALL_STATE(4155)] = 157131,
  [SMALL_STATE(4156)] = 157150,
  [SMALL_STATE(4157)] = 157171,
  [SMALL_STATE(4158)] = 157190,
  [SMALL_STATE(4159)] = 157209,
  [SMALL_STATE(4160)] = 157232,
  [SMALL_STATE(4161)] = 157255,
  [SMALL_STATE(4162)] = 157274,
  [SMALL_STATE(4163)] = 157291,
  [SMALL_STATE(4164)] = 157308,
  [SMALL_STATE(4165)] = 157325,
  [SMALL_STATE(4166)] = 157346,
  [SMALL_STATE(4167)] = 157369,
  [SMALL_STATE(4168)] = 157386,
  [SMALL_STATE(4169)] = 157403,
  [SMALL_STATE(4170)] = 157416,
  [SMALL_STATE(4171)] = 157439,
  [SMALL_STATE(4172)] = 157456,
  [SMALL_STATE(4173)] = 157479,
  [SMALL_STATE(4174)] = 157502,
  [SMALL_STATE(4175)] = 157519,
  [SMALL_STATE(4176)] = 157542,
  [SMALL_STATE(4177)] = 157559,
  [SMALL_STATE(4178)] = 157572,
  [SMALL_STATE(4179)] = 157585,
  [SMALL_STATE(4180)] = 157602,
  [SMALL_STATE(4181)] = 157615,
  [SMALL_STATE(4182)] = 157628,
  [SMALL_STATE(4183)] = 157651,
  [SMALL_STATE(4184)] = 157674,
  [SMALL_STATE(4185)] = 157687,
  [SMALL_STATE(4186)] = 157710,
  [SMALL_STATE(4187)] = 157733,
  [SMALL_STATE(4188)] = 157750,
  [SMALL_STATE(4189)] = 157765,
  [SMALL_STATE(4190)] = 157782,
  [SMALL_STATE(4191)] = 157801,
  [SMALL_STATE(4192)] = 157824,
  [SMALL_STATE(4193)] = 157843,
  [SMALL_STATE(4194)] = 157866,
  [SMALL_STATE(4195)] = 157883,
  [SMALL_STATE(4196)] = 157906,
  [SMALL_STATE(4197)] = 157925,
  [SMALL_STATE(4198)] = 157948,
  [SMALL_STATE(4199)] = 157967,
  [SMALL_STATE(4200)] = 157986,
  [SMALL_STATE(4201)] = 158003,
  [SMALL_STATE(4202)] = 158026,
  [SMALL_STATE(4203)] = 158049,
  [SMALL_STATE(4204)] = 158072,
  [SMALL_STATE(4205)] = 158095,
  [SMALL_STATE(4206)] = 158118,
  [SMALL_STATE(4207)] = 158141,
  [SMALL_STATE(4208)] = 158158,
  [SMALL_STATE(4209)] = 158175,
  [SMALL_STATE(4210)] = 158192,
  [SMALL_STATE(4211)] = 158215,
  [SMALL_STATE(4212)] = 158232,
  [SMALL_STATE(4213)] = 158251,
  [SMALL_STATE(4214)] = 158274,
  [SMALL_STATE(4215)] = 158295,
  [SMALL_STATE(4216)] = 158318,
  [SMALL_STATE(4217)] = 158341,
  [SMALL_STATE(4218)] = 158354,
  [SMALL_STATE(4219)] = 158377,
  [SMALL_STATE(4220)] = 158394,
  [SMALL_STATE(4221)] = 158417,
  [SMALL_STATE(4222)] = 158436,
  [SMALL_STATE(4223)] = 158453,
  [SMALL_STATE(4224)] = 158476,
  [SMALL_STATE(4225)] = 158489,
  [SMALL_STATE(4226)] = 158506,
  [SMALL_STATE(4227)] = 158523,
  [SMALL_STATE(4228)] = 158544,
  [SMALL_STATE(4229)] = 158561,
  [SMALL_STATE(4230)] = 158578,
  [SMALL_STATE(4231)] = 158595,
  [SMALL_STATE(4232)] = 158618,
  [SMALL_STATE(4233)] = 158635,
  [SMALL_STATE(4234)] = 158652,
  [SMALL_STATE(4235)] = 158665,
  [SMALL_STATE(4236)] = 158688,
  [SMALL_STATE(4237)] = 158707,
  [SMALL_STATE(4238)] = 158720,
  [SMALL_STATE(4239)] = 158733,
  [SMALL_STATE(4240)] = 158750,
  [SMALL_STATE(4241)] = 158767,
  [SMALL_STATE(4242)] = 158786,
  [SMALL_STATE(4243)] = 158809,
  [SMALL_STATE(4244)] = 158826,
  [SMALL_STATE(4245)] = 158849,
  [SMALL_STATE(4246)] = 158872,
  [SMALL_STATE(4247)] = 158891,
  [SMALL_STATE(4248)] = 158910,
  [SMALL_STATE(4249)] = 158927,
  [SMALL_STATE(4250)] = 158944,
  [SMALL_STATE(4251)] = 158961,
  [SMALL_STATE(4252)] = 158984,
  [SMALL_STATE(4253)] = 159007,
  [SMALL_STATE(4254)] = 159030,
  [SMALL_STATE(4255)] = 159047,
  [SMALL_STATE(4256)] = 159070,
  [SMALL_STATE(4257)] = 159093,
  [SMALL_STATE(4258)] = 159116,
  [SMALL_STATE(4259)] = 159139,
  [SMALL_STATE(4260)] = 159162,
  [SMALL_STATE(4261)] = 159179,
  [SMALL_STATE(4262)] = 159196,
  [SMALL_STATE(4263)] = 159219,
  [SMALL_STATE(4264)] = 159235,
  [SMALL_STATE(4265)] = 159247,
  [SMALL_STATE(4266)] = 159259,
  [SMALL_STATE(4267)] = 159271,
  [SMALL_STATE(4268)] = 159283,
  [SMALL_STATE(4269)] = 159295,
  [SMALL_STATE(4270)] = 159307,
  [SMALL_STATE(4271)] = 159327,
  [SMALL_STATE(4272)] = 159339,
  [SMALL_STATE(4273)] = 159357,
  [SMALL_STATE(4274)] = 159377,
  [SMALL_STATE(4275)] = 159389,
  [SMALL_STATE(4276)] = 159401,
  [SMALL_STATE(4277)] = 159419,
  [SMALL_STATE(4278)] = 159437,
  [SMALL_STATE(4279)] = 159453,
  [SMALL_STATE(4280)] = 159471,
  [SMALL_STATE(4281)] = 159491,
  [SMALL_STATE(4282)] = 159507,
  [SMALL_STATE(4283)] = 159519,
  [SMALL_STATE(4284)] = 159531,
  [SMALL_STATE(4285)] = 159551,
  [SMALL_STATE(4286)] = 159571,
  [SMALL_STATE(4287)] = 159583,
  [SMALL_STATE(4288)] = 159599,
  [SMALL_STATE(4289)] = 159617,
  [SMALL_STATE(4290)] = 159637,
  [SMALL_STATE(4291)] = 159653,
  [SMALL_STATE(4292)] = 159673,
  [SMALL_STATE(4293)] = 159689,
  [SMALL_STATE(4294)] = 159705,
  [SMALL_STATE(4295)] = 159725,
  [SMALL_STATE(4296)] = 159743,
  [SMALL_STATE(4297)] = 159755,
  [SMALL_STATE(4298)] = 159775,
  [SMALL_STATE(4299)] = 159791,
  [SMALL_STATE(4300)] = 159811,
  [SMALL_STATE(4301)] = 159831,
  [SMALL_STATE(4302)] = 159851,
  [SMALL_STATE(4303)] = 159869,
  [SMALL_STATE(4304)] = 159885,
  [SMALL_STATE(4305)] = 159901,
  [SMALL_STATE(4306)] = 159917,
  [SMALL_STATE(4307)] = 159937,
  [SMALL_STATE(4308)] = 159953,
  [SMALL_STATE(4309)] = 159969,
  [SMALL_STATE(4310)] = 159989,
  [SMALL_STATE(4311)] = 160005,
  [SMALL_STATE(4312)] = 160021,
  [SMALL_STATE(4313)] = 160037,
  [SMALL_STATE(4314)] = 160057,
  [SMALL_STATE(4315)] = 160069,
  [SMALL_STATE(4316)] = 160085,
  [SMALL_STATE(4317)] = 160097,
  [SMALL_STATE(4318)] = 160109,
  [SMALL_STATE(4319)] = 160129,
  [SMALL_STATE(4320)] = 160145,
  [SMALL_STATE(4321)] = 160161,
  [SMALL_STATE(4322)] = 160177,
  [SMALL_STATE(4323)] = 160195,
  [SMALL_STATE(4324)] = 160211,
  [SMALL_STATE(4325)] = 160231,
  [SMALL_STATE(4326)] = 160247,
  [SMALL_STATE(4327)] = 160263,
  [SMALL_STATE(4328)] = 160275,
  [SMALL_STATE(4329)] = 160287,
  [SMALL_STATE(4330)] = 160303,
  [SMALL_STATE(4331)] = 160319,
  [SMALL_STATE(4332)] = 160335,
  [SMALL_STATE(4333)] = 160351,
  [SMALL_STATE(4334)] = 160367,
  [SMALL_STATE(4335)] = 160379,
  [SMALL_STATE(4336)] = 160391,
  [SMALL_STATE(4337)] = 160407,
  [SMALL_STATE(4338)] = 160419,
  [SMALL_STATE(4339)] = 160431,
  [SMALL_STATE(4340)] = 160443,
  [SMALL_STATE(4341)] = 160463,
  [SMALL_STATE(4342)] = 160475,
  [SMALL_STATE(4343)] = 160491,
  [SMALL_STATE(4344)] = 160503,
  [SMALL_STATE(4345)] = 160519,
  [SMALL_STATE(4346)] = 160535,
  [SMALL_STATE(4347)] = 160553,
  [SMALL_STATE(4348)] = 160565,
  [SMALL_STATE(4349)] = 160577,
  [SMALL_STATE(4350)] = 160589,
  [SMALL_STATE(4351)] = 160609,
  [SMALL_STATE(4352)] = 160625,
  [SMALL_STATE(4353)] = 160637,
  [SMALL_STATE(4354)] = 160653,
  [SMALL_STATE(4355)] = 160671,
  [SMALL_STATE(4356)] = 160687,
  [SMALL_STATE(4357)] = 160703,
  [SMALL_STATE(4358)] = 160719,
  [SMALL_STATE(4359)] = 160735,
  [SMALL_STATE(4360)] = 160751,
  [SMALL_STATE(4361)] = 160763,
  [SMALL_STATE(4362)] = 160779,
  [SMALL_STATE(4363)] = 160791,
  [SMALL_STATE(4364)] = 160803,
  [SMALL_STATE(4365)] = 160823,
  [SMALL_STATE(4366)] = 160843,
  [SMALL_STATE(4367)] = 160855,
  [SMALL_STATE(4368)] = 160871,
  [SMALL_STATE(4369)] = 160887,
  [SMALL_STATE(4370)] = 160903,
  [SMALL_STATE(4371)] = 160919,
  [SMALL_STATE(4372)] = 160935,
  [SMALL_STATE(4373)] = 160951,
  [SMALL_STATE(4374)] = 160971,
  [SMALL_STATE(4375)] = 160987,
  [SMALL_STATE(4376)] = 161003,
  [SMALL_STATE(4377)] = 161023,
  [SMALL_STATE(4378)] = 161039,
  [SMALL_STATE(4379)] = 161055,
  [SMALL_STATE(4380)] = 161067,
  [SMALL_STATE(4381)] = 161087,
  [SMALL_STATE(4382)] = 161099,
  [SMALL_STATE(4383)] = 161115,
  [SMALL_STATE(4384)] = 161131,
  [SMALL_STATE(4385)] = 161143,
  [SMALL_STATE(4386)] = 161159,
  [SMALL_STATE(4387)] = 161177,
  [SMALL_STATE(4388)] = 161189,
  [SMALL_STATE(4389)] = 161207,
  [SMALL_STATE(4390)] = 161219,
  [SMALL_STATE(4391)] = 161235,
  [SMALL_STATE(4392)] = 161247,
  [SMALL_STATE(4393)] = 161259,
  [SMALL_STATE(4394)] = 161271,
  [SMALL_STATE(4395)] = 161283,
  [SMALL_STATE(4396)] = 161295,
  [SMALL_STATE(4397)] = 161311,
  [SMALL_STATE(4398)] = 161329,
  [SMALL_STATE(4399)] = 161341,
  [SMALL_STATE(4400)] = 161357,
  [SMALL_STATE(4401)] = 161375,
  [SMALL_STATE(4402)] = 161395,
  [SMALL_STATE(4403)] = 161407,
  [SMALL_STATE(4404)] = 161419,
  [SMALL_STATE(4405)] = 161431,
  [SMALL_STATE(4406)] = 161443,
  [SMALL_STATE(4407)] = 161463,
  [SMALL_STATE(4408)] = 161483,
  [SMALL_STATE(4409)] = 161501,
  [SMALL_STATE(4410)] = 161517,
  [SMALL_STATE(4411)] = 161529,
  [SMALL_STATE(4412)] = 161549,
  [SMALL_STATE(4413)] = 161565,
  [SMALL_STATE(4414)] = 161583,
  [SMALL_STATE(4415)] = 161601,
  [SMALL_STATE(4416)] = 161617,
  [SMALL_STATE(4417)] = 161633,
  [SMALL_STATE(4418)] = 161649,
  [SMALL_STATE(4419)] = 161665,
  [SMALL_STATE(4420)] = 161681,
  [SMALL_STATE(4421)] = 161697,
  [SMALL_STATE(4422)] = 161713,
  [SMALL_STATE(4423)] = 161729,
  [SMALL_STATE(4424)] = 161741,
  [SMALL_STATE(4425)] = 161757,
  [SMALL_STATE(4426)] = 161773,
  [SMALL_STATE(4427)] = 161789,
  [SMALL_STATE(4428)] = 161805,
  [SMALL_STATE(4429)] = 161821,
  [SMALL_STATE(4430)] = 161839,
  [SMALL_STATE(4431)] = 161851,
  [SMALL_STATE(4432)] = 161867,
  [SMALL_STATE(4433)] = 161879,
  [SMALL_STATE(4434)] = 161895,
  [SMALL_STATE(4435)] = 161915,
  [SMALL_STATE(4436)] = 161927,
  [SMALL_STATE(4437)] = 161939,
  [SMALL_STATE(4438)] = 161959,
  [SMALL_STATE(4439)] = 161975,
  [SMALL_STATE(4440)] = 161987,
  [SMALL_STATE(4441)] = 162003,
  [SMALL_STATE(4442)] = 162019,
  [SMALL_STATE(4443)] = 162035,
  [SMALL_STATE(4444)] = 162051,
  [SMALL_STATE(4445)] = 162065,
  [SMALL_STATE(4446)] = 162085,
  [SMALL_STATE(4447)] = 162105,
  [SMALL_STATE(4448)] = 162121,
  [SMALL_STATE(4449)] = 162135,
  [SMALL_STATE(4450)] = 162149,
  [SMALL_STATE(4451)] = 162165,
  [SMALL_STATE(4452)] = 162181,
  [SMALL_STATE(4453)] = 162197,
  [SMALL_STATE(4454)] = 162213,
  [SMALL_STATE(4455)] = 162229,
  [SMALL_STATE(4456)] = 162245,
  [SMALL_STATE(4457)] = 162257,
  [SMALL_STATE(4458)] = 162273,
  [SMALL_STATE(4459)] = 162289,
  [SMALL_STATE(4460)] = 162303,
  [SMALL_STATE(4461)] = 162323,
  [SMALL_STATE(4462)] = 162335,
  [SMALL_STATE(4463)] = 162347,
  [SMALL_STATE(4464)] = 162359,
  [SMALL_STATE(4465)] = 162375,
  [SMALL_STATE(4466)] = 162395,
  [SMALL_STATE(4467)] = 162411,
  [SMALL_STATE(4468)] = 162427,
  [SMALL_STATE(4469)] = 162447,
  [SMALL_STATE(4470)] = 162463,
  [SMALL_STATE(4471)] = 162483,
  [SMALL_STATE(4472)] = 162499,
  [SMALL_STATE(4473)] = 162515,
  [SMALL_STATE(4474)] = 162527,
  [SMALL_STATE(4475)] = 162543,
  [SMALL_STATE(4476)] = 162559,
  [SMALL_STATE(4477)] = 162575,
  [SMALL_STATE(4478)] = 162593,
  [SMALL_STATE(4479)] = 162613,
  [SMALL_STATE(4480)] = 162633,
  [SMALL_STATE(4481)] = 162653,
  [SMALL_STATE(4482)] = 162669,
  [SMALL_STATE(4483)] = 162681,
  [SMALL_STATE(4484)] = 162693,
  [SMALL_STATE(4485)] = 162709,
  [SMALL_STATE(4486)] = 162727,
  [SMALL_STATE(4487)] = 162743,
  [SMALL_STATE(4488)] = 162763,
  [SMALL_STATE(4489)] = 162783,
  [SMALL_STATE(4490)] = 162801,
  [SMALL_STATE(4491)] = 162821,
  [SMALL_STATE(4492)] = 162837,
  [SMALL_STATE(4493)] = 162857,
  [SMALL_STATE(4494)] = 162877,
  [SMALL_STATE(4495)] = 162897,
  [SMALL_STATE(4496)] = 162915,
  [SMALL_STATE(4497)] = 162931,
  [SMALL_STATE(4498)] = 162947,
  [SMALL_STATE(4499)] = 162963,
  [SMALL_STATE(4500)] = 162983,
  [SMALL_STATE(4501)] = 162999,
  [SMALL_STATE(4502)] = 163015,
  [SMALL_STATE(4503)] = 163027,
  [SMALL_STATE(4504)] = 163047,
  [SMALL_STATE(4505)] = 163067,
  [SMALL_STATE(4506)] = 163079,
  [SMALL_STATE(4507)] = 163091,
  [SMALL_STATE(4508)] = 163107,
  [SMALL_STATE(4509)] = 163123,
  [SMALL_STATE(4510)] = 163139,
  [SMALL_STATE(4511)] = 163155,
  [SMALL_STATE(4512)] = 163175,
  [SMALL_STATE(4513)] = 163193,
  [SMALL_STATE(4514)] = 163213,
  [SMALL_STATE(4515)] = 163225,
  [SMALL_STATE(4516)] = 163243,
  [SMALL_STATE(4517)] = 163255,
  [SMALL_STATE(4518)] = 163267,
  [SMALL_STATE(4519)] = 163279,
  [SMALL_STATE(4520)] = 163299,
  [SMALL_STATE(4521)] = 163319,
  [SMALL_STATE(4522)] = 163331,
  [SMALL_STATE(4523)] = 163347,
  [SMALL_STATE(4524)] = 163363,
  [SMALL_STATE(4525)] = 163379,
  [SMALL_STATE(4526)] = 163399,
  [SMALL_STATE(4527)] = 163419,
  [SMALL_STATE(4528)] = 163431,
  [SMALL_STATE(4529)] = 163451,
  [SMALL_STATE(4530)] = 163467,
  [SMALL_STATE(4531)] = 163487,
  [SMALL_STATE(4532)] = 163507,
  [SMALL_STATE(4533)] = 163525,
  [SMALL_STATE(4534)] = 163537,
  [SMALL_STATE(4535)] = 163557,
  [SMALL_STATE(4536)] = 163573,
  [SMALL_STATE(4537)] = 163585,
  [SMALL_STATE(4538)] = 163601,
  [SMALL_STATE(4539)] = 163617,
  [SMALL_STATE(4540)] = 163637,
  [SMALL_STATE(4541)] = 163655,
  [SMALL_STATE(4542)] = 163671,
  [SMALL_STATE(4543)] = 163691,
  [SMALL_STATE(4544)] = 163703,
  [SMALL_STATE(4545)] = 163719,
  [SMALL_STATE(4546)] = 163735,
  [SMALL_STATE(4547)] = 163751,
  [SMALL_STATE(4548)] = 163767,
  [SMALL_STATE(4549)] = 163783,
  [SMALL_STATE(4550)] = 163803,
  [SMALL_STATE(4551)] = 163819,
  [SMALL_STATE(4552)] = 163835,
  [SMALL_STATE(4553)] = 163851,
  [SMALL_STATE(4554)] = 163867,
  [SMALL_STATE(4555)] = 163887,
  [SMALL_STATE(4556)] = 163899,
  [SMALL_STATE(4557)] = 163911,
  [SMALL_STATE(4558)] = 163927,
  [SMALL_STATE(4559)] = 163943,
  [SMALL_STATE(4560)] = 163961,
  [SMALL_STATE(4561)] = 163977,
  [SMALL_STATE(4562)] = 163993,
  [SMALL_STATE(4563)] = 164005,
  [SMALL_STATE(4564)] = 164021,
  [SMALL_STATE(4565)] = 164041,
  [SMALL_STATE(4566)] = 164053,
  [SMALL_STATE(4567)] = 164069,
  [SMALL_STATE(4568)] = 164087,
  [SMALL_STATE(4569)] = 164099,
  [SMALL_STATE(4570)] = 164111,
  [SMALL_STATE(4571)] = 164123,
  [SMALL_STATE(4572)] = 164135,
  [SMALL_STATE(4573)] = 164147,
  [SMALL_STATE(4574)] = 164163,
  [SMALL_STATE(4575)] = 164179,
  [SMALL_STATE(4576)] = 164191,
  [SMALL_STATE(4577)] = 164203,
  [SMALL_STATE(4578)] = 164223,
  [SMALL_STATE(4579)] = 164239,
  [SMALL_STATE(4580)] = 164255,
  [SMALL_STATE(4581)] = 164271,
  [SMALL_STATE(4582)] = 164287,
  [SMALL_STATE(4583)] = 164299,
  [SMALL_STATE(4584)] = 164315,
  [SMALL_STATE(4585)] = 164327,
  [SMALL_STATE(4586)] = 164347,
  [SMALL_STATE(4587)] = 164367,
  [SMALL_STATE(4588)] = 164387,
  [SMALL_STATE(4589)] = 164407,
  [SMALL_STATE(4590)] = 164427,
  [SMALL_STATE(4591)] = 164447,
  [SMALL_STATE(4592)] = 164467,
  [SMALL_STATE(4593)] = 164483,
  [SMALL_STATE(4594)] = 164501,
  [SMALL_STATE(4595)] = 164519,
  [SMALL_STATE(4596)] = 164539,
  [SMALL_STATE(4597)] = 164551,
  [SMALL_STATE(4598)] = 164563,
  [SMALL_STATE(4599)] = 164579,
  [SMALL_STATE(4600)] = 164595,
  [SMALL_STATE(4601)] = 164615,
  [SMALL_STATE(4602)] = 164631,
  [SMALL_STATE(4603)] = 164651,
  [SMALL_STATE(4604)] = 164667,
  [SMALL_STATE(4605)] = 164683,
  [SMALL_STATE(4606)] = 164699,
  [SMALL_STATE(4607)] = 164719,
  [SMALL_STATE(4608)] = 164735,
  [SMALL_STATE(4609)] = 164751,
  [SMALL_STATE(4610)] = 164767,
  [SMALL_STATE(4611)] = 164783,
  [SMALL_STATE(4612)] = 164799,
  [SMALL_STATE(4613)] = 164817,
  [SMALL_STATE(4614)] = 164829,
  [SMALL_STATE(4615)] = 164841,
  [SMALL_STATE(4616)] = 164861,
  [SMALL_STATE(4617)] = 164873,
  [SMALL_STATE(4618)] = 164885,
  [SMALL_STATE(4619)] = 164897,
  [SMALL_STATE(4620)] = 164909,
  [SMALL_STATE(4621)] = 164925,
  [SMALL_STATE(4622)] = 164945,
  [SMALL_STATE(4623)] = 164961,
  [SMALL_STATE(4624)] = 164973,
  [SMALL_STATE(4625)] = 164985,
  [SMALL_STATE(4626)] = 164997,
  [SMALL_STATE(4627)] = 165013,
  [SMALL_STATE(4628)] = 165025,
  [SMALL_STATE(4629)] = 165037,
  [SMALL_STATE(4630)] = 165053,
  [SMALL_STATE(4631)] = 165065,
  [SMALL_STATE(4632)] = 165077,
  [SMALL_STATE(4633)] = 165093,
  [SMALL_STATE(4634)] = 165113,
  [SMALL_STATE(4635)] = 165129,
  [SMALL_STATE(4636)] = 165141,
  [SMALL_STATE(4637)] = 165153,
  [SMALL_STATE(4638)] = 165173,
  [SMALL_STATE(4639)] = 165185,
  [SMALL_STATE(4640)] = 165197,
  [SMALL_STATE(4641)] = 165217,
  [SMALL_STATE(4642)] = 165237,
  [SMALL_STATE(4643)] = 165257,
  [SMALL_STATE(4644)] = 165277,
  [SMALL_STATE(4645)] = 165297,
  [SMALL_STATE(4646)] = 165317,
  [SMALL_STATE(4647)] = 165337,
  [SMALL_STATE(4648)] = 165357,
  [SMALL_STATE(4649)] = 165369,
  [SMALL_STATE(4650)] = 165381,
  [SMALL_STATE(4651)] = 165393,
  [SMALL_STATE(4652)] = 165413,
  [SMALL_STATE(4653)] = 165425,
  [SMALL_STATE(4654)] = 165445,
  [SMALL_STATE(4655)] = 165457,
  [SMALL_STATE(4656)] = 165473,
  [SMALL_STATE(4657)] = 165485,
  [SMALL_STATE(4658)] = 165497,
  [SMALL_STATE(4659)] = 165517,
  [SMALL_STATE(4660)] = 165535,
  [SMALL_STATE(4661)] = 165551,
  [SMALL_STATE(4662)] = 165563,
  [SMALL_STATE(4663)] = 165575,
  [SMALL_STATE(4664)] = 165591,
  [SMALL_STATE(4665)] = 165603,
  [SMALL_STATE(4666)] = 165623,
  [SMALL_STATE(4667)] = 165635,
  [SMALL_STATE(4668)] = 165647,
  [SMALL_STATE(4669)] = 165659,
  [SMALL_STATE(4670)] = 165679,
  [SMALL_STATE(4671)] = 165691,
  [SMALL_STATE(4672)] = 165707,
  [SMALL_STATE(4673)] = 165723,
  [SMALL_STATE(4674)] = 165735,
  [SMALL_STATE(4675)] = 165747,
  [SMALL_STATE(4676)] = 165763,
  [SMALL_STATE(4677)] = 165779,
  [SMALL_STATE(4678)] = 165799,
  [SMALL_STATE(4679)] = 165811,
  [SMALL_STATE(4680)] = 165823,
  [SMALL_STATE(4681)] = 165843,
  [SMALL_STATE(4682)] = 165855,
  [SMALL_STATE(4683)] = 165871,
  [SMALL_STATE(4684)] = 165891,
  [SMALL_STATE(4685)] = 165907,
  [SMALL_STATE(4686)] = 165923,
  [SMALL_STATE(4687)] = 165937,
  [SMALL_STATE(4688)] = 165953,
  [SMALL_STATE(4689)] = 165965,
  [SMALL_STATE(4690)] = 165985,
  [SMALL_STATE(4691)] = 166005,
  [SMALL_STATE(4692)] = 166017,
  [SMALL_STATE(4693)] = 166037,
  [SMALL_STATE(4694)] = 166051,
  [SMALL_STATE(4695)] = 166063,
  [SMALL_STATE(4696)] = 166079,
  [SMALL_STATE(4697)] = 166095,
  [SMALL_STATE(4698)] = 166111,
  [SMALL_STATE(4699)] = 166127,
  [SMALL_STATE(4700)] = 166139,
  [SMALL_STATE(4701)] = 166155,
  [SMALL_STATE(4702)] = 166173,
  [SMALL_STATE(4703)] = 166185,
  [SMALL_STATE(4704)] = 166197,
  [SMALL_STATE(4705)] = 166217,
  [SMALL_STATE(4706)] = 166235,
  [SMALL_STATE(4707)] = 166251,
  [SMALL_STATE(4708)] = 166267,
  [SMALL_STATE(4709)] = 166283,
  [SMALL_STATE(4710)] = 166299,
  [SMALL_STATE(4711)] = 166315,
  [SMALL_STATE(4712)] = 166331,
  [SMALL_STATE(4713)] = 166343,
  [SMALL_STATE(4714)] = 166361,
  [SMALL_STATE(4715)] = 166377,
  [SMALL_STATE(4716)] = 166393,
  [SMALL_STATE(4717)] = 166409,
  [SMALL_STATE(4718)] = 166425,
  [SMALL_STATE(4719)] = 166445,
  [SMALL_STATE(4720)] = 166457,
  [SMALL_STATE(4721)] = 166477,
  [SMALL_STATE(4722)] = 166497,
  [SMALL_STATE(4723)] = 166513,
  [SMALL_STATE(4724)] = 166529,
  [SMALL_STATE(4725)] = 166541,
  [SMALL_STATE(4726)] = 166557,
  [SMALL_STATE(4727)] = 166573,
  [SMALL_STATE(4728)] = 166589,
  [SMALL_STATE(4729)] = 166605,
  [SMALL_STATE(4730)] = 166621,
  [SMALL_STATE(4731)] = 166637,
  [SMALL_STATE(4732)] = 166653,
  [SMALL_STATE(4733)] = 166669,
  [SMALL_STATE(4734)] = 166685,
  [SMALL_STATE(4735)] = 166705,
  [SMALL_STATE(4736)] = 166717,
  [SMALL_STATE(4737)] = 166733,
  [SMALL_STATE(4738)] = 166749,
  [SMALL_STATE(4739)] = 166765,
  [SMALL_STATE(4740)] = 166781,
  [SMALL_STATE(4741)] = 166793,
  [SMALL_STATE(4742)] = 166809,
  [SMALL_STATE(4743)] = 166825,
  [SMALL_STATE(4744)] = 166841,
  [SMALL_STATE(4745)] = 166853,
  [SMALL_STATE(4746)] = 166869,
  [SMALL_STATE(4747)] = 166887,
  [SMALL_STATE(4748)] = 166903,
  [SMALL_STATE(4749)] = 166919,
  [SMALL_STATE(4750)] = 166935,
  [SMALL_STATE(4751)] = 166951,
  [SMALL_STATE(4752)] = 166963,
  [SMALL_STATE(4753)] = 166979,
  [SMALL_STATE(4754)] = 166999,
  [SMALL_STATE(4755)] = 167015,
  [SMALL_STATE(4756)] = 167031,
  [SMALL_STATE(4757)] = 167051,
  [SMALL_STATE(4758)] = 167067,
  [SMALL_STATE(4759)] = 167087,
  [SMALL_STATE(4760)] = 167105,
  [SMALL_STATE(4761)] = 167121,
  [SMALL_STATE(4762)] = 167133,
  [SMALL_STATE(4763)] = 167149,
  [SMALL_STATE(4764)] = 167165,
  [SMALL_STATE(4765)] = 167177,
  [SMALL_STATE(4766)] = 167189,
  [SMALL_STATE(4767)] = 167201,
  [SMALL_STATE(4768)] = 167221,
  [SMALL_STATE(4769)] = 167233,
  [SMALL_STATE(4770)] = 167245,
  [SMALL_STATE(4771)] = 167261,
  [SMALL_STATE(4772)] = 167277,
  [SMALL_STATE(4773)] = 167295,
  [SMALL_STATE(4774)] = 167311,
  [SMALL_STATE(4775)] = 167327,
  [SMALL_STATE(4776)] = 167347,
  [SMALL_STATE(4777)] = 167363,
  [SMALL_STATE(4778)] = 167379,
  [SMALL_STATE(4779)] = 167395,
  [SMALL_STATE(4780)] = 167407,
  [SMALL_STATE(4781)] = 167427,
  [SMALL_STATE(4782)] = 167444,
  [SMALL_STATE(4783)] = 167457,
  [SMALL_STATE(4784)] = 167474,
  [SMALL_STATE(4785)] = 167489,
  [SMALL_STATE(4786)] = 167506,
  [SMALL_STATE(4787)] = 167523,
  [SMALL_STATE(4788)] = 167540,
  [SMALL_STATE(4789)] = 167555,
  [SMALL_STATE(4790)] = 167572,
  [SMALL_STATE(4791)] = 167589,
  [SMALL_STATE(4792)] = 167604,
  [SMALL_STATE(4793)] = 167615,
  [SMALL_STATE(4794)] = 167632,
  [SMALL_STATE(4795)] = 167649,
  [SMALL_STATE(4796)] = 167666,
  [SMALL_STATE(4797)] = 167683,
  [SMALL_STATE(4798)] = 167700,
  [SMALL_STATE(4799)] = 167717,
  [SMALL_STATE(4800)] = 167734,
  [SMALL_STATE(4801)] = 167751,
  [SMALL_STATE(4802)] = 167768,
  [SMALL_STATE(4803)] = 167783,
  [SMALL_STATE(4804)] = 167794,
  [SMALL_STATE(4805)] = 167811,
  [SMALL_STATE(4806)] = 167826,
  [SMALL_STATE(4807)] = 167841,
  [SMALL_STATE(4808)] = 167858,
  [SMALL_STATE(4809)] = 167873,
  [SMALL_STATE(4810)] = 167886,
  [SMALL_STATE(4811)] = 167901,
  [SMALL_STATE(4812)] = 167918,
  [SMALL_STATE(4813)] = 167933,
  [SMALL_STATE(4814)] = 167950,
  [SMALL_STATE(4815)] = 167967,
  [SMALL_STATE(4816)] = 167984,
  [SMALL_STATE(4817)] = 168001,
  [SMALL_STATE(4818)] = 168016,
  [SMALL_STATE(4819)] = 168029,
  [SMALL_STATE(4820)] = 168046,
  [SMALL_STATE(4821)] = 168063,
  [SMALL_STATE(4822)] = 168074,
  [SMALL_STATE(4823)] = 168091,
  [SMALL_STATE(4824)] = 168108,
  [SMALL_STATE(4825)] = 168125,
  [SMALL_STATE(4826)] = 168136,
  [SMALL_STATE(4827)] = 168153,
  [SMALL_STATE(4828)] = 168170,
  [SMALL_STATE(4829)] = 168187,
  [SMALL_STATE(4830)] = 168202,
  [SMALL_STATE(4831)] = 168219,
  [SMALL_STATE(4832)] = 168236,
  [SMALL_STATE(4833)] = 168253,
  [SMALL_STATE(4834)] = 168264,
  [SMALL_STATE(4835)] = 168279,
  [SMALL_STATE(4836)] = 168296,
  [SMALL_STATE(4837)] = 168313,
  [SMALL_STATE(4838)] = 168330,
  [SMALL_STATE(4839)] = 168347,
  [SMALL_STATE(4840)] = 168364,
  [SMALL_STATE(4841)] = 168381,
  [SMALL_STATE(4842)] = 168398,
  [SMALL_STATE(4843)] = 168415,
  [SMALL_STATE(4844)] = 168430,
  [SMALL_STATE(4845)] = 168447,
  [SMALL_STATE(4846)] = 168464,
  [SMALL_STATE(4847)] = 168481,
  [SMALL_STATE(4848)] = 168498,
  [SMALL_STATE(4849)] = 168515,
  [SMALL_STATE(4850)] = 168532,
  [SMALL_STATE(4851)] = 168547,
  [SMALL_STATE(4852)] = 168564,
  [SMALL_STATE(4853)] = 168581,
  [SMALL_STATE(4854)] = 168596,
  [SMALL_STATE(4855)] = 168613,
  [SMALL_STATE(4856)] = 168628,
  [SMALL_STATE(4857)] = 168645,
  [SMALL_STATE(4858)] = 168662,
  [SMALL_STATE(4859)] = 168675,
  [SMALL_STATE(4860)] = 168690,
  [SMALL_STATE(4861)] = 168705,
  [SMALL_STATE(4862)] = 168722,
  [SMALL_STATE(4863)] = 168737,
  [SMALL_STATE(4864)] = 168754,
  [SMALL_STATE(4865)] = 168771,
  [SMALL_STATE(4866)] = 168786,
  [SMALL_STATE(4867)] = 168803,
  [SMALL_STATE(4868)] = 168820,
  [SMALL_STATE(4869)] = 168835,
  [SMALL_STATE(4870)] = 168852,
  [SMALL_STATE(4871)] = 168869,
  [SMALL_STATE(4872)] = 168884,
  [SMALL_STATE(4873)] = 168901,
  [SMALL_STATE(4874)] = 168916,
  [SMALL_STATE(4875)] = 168933,
  [SMALL_STATE(4876)] = 168950,
  [SMALL_STATE(4877)] = 168967,
  [SMALL_STATE(4878)] = 168984,
  [SMALL_STATE(4879)] = 169001,
  [SMALL_STATE(4880)] = 169018,
  [SMALL_STATE(4881)] = 169035,
  [SMALL_STATE(4882)] = 169052,
  [SMALL_STATE(4883)] = 169069,
  [SMALL_STATE(4884)] = 169082,
  [SMALL_STATE(4885)] = 169099,
  [SMALL_STATE(4886)] = 169116,
  [SMALL_STATE(4887)] = 169133,
  [SMALL_STATE(4888)] = 169150,
  [SMALL_STATE(4889)] = 169167,
  [SMALL_STATE(4890)] = 169184,
  [SMALL_STATE(4891)] = 169201,
  [SMALL_STATE(4892)] = 169218,
  [SMALL_STATE(4893)] = 169235,
  [SMALL_STATE(4894)] = 169252,
  [SMALL_STATE(4895)] = 169269,
  [SMALL_STATE(4896)] = 169286,
  [SMALL_STATE(4897)] = 169303,
  [SMALL_STATE(4898)] = 169320,
  [SMALL_STATE(4899)] = 169337,
  [SMALL_STATE(4900)] = 169354,
  [SMALL_STATE(4901)] = 169371,
  [SMALL_STATE(4902)] = 169386,
  [SMALL_STATE(4903)] = 169403,
  [SMALL_STATE(4904)] = 169418,
  [SMALL_STATE(4905)] = 169433,
  [SMALL_STATE(4906)] = 169448,
  [SMALL_STATE(4907)] = 169465,
  [SMALL_STATE(4908)] = 169482,
  [SMALL_STATE(4909)] = 169499,
  [SMALL_STATE(4910)] = 169514,
  [SMALL_STATE(4911)] = 169527,
  [SMALL_STATE(4912)] = 169542,
  [SMALL_STATE(4913)] = 169557,
  [SMALL_STATE(4914)] = 169572,
  [SMALL_STATE(4915)] = 169587,
  [SMALL_STATE(4916)] = 169602,
  [SMALL_STATE(4917)] = 169619,
  [SMALL_STATE(4918)] = 169632,
  [SMALL_STATE(4919)] = 169647,
  [SMALL_STATE(4920)] = 169658,
  [SMALL_STATE(4921)] = 169675,
  [SMALL_STATE(4922)] = 169686,
  [SMALL_STATE(4923)] = 169697,
  [SMALL_STATE(4924)] = 169712,
  [SMALL_STATE(4925)] = 169729,
  [SMALL_STATE(4926)] = 169746,
  [SMALL_STATE(4927)] = 169761,
  [SMALL_STATE(4928)] = 169778,
  [SMALL_STATE(4929)] = 169795,
  [SMALL_STATE(4930)] = 169812,
  [SMALL_STATE(4931)] = 169829,
  [SMALL_STATE(4932)] = 169846,
  [SMALL_STATE(4933)] = 169863,
  [SMALL_STATE(4934)] = 169880,
  [SMALL_STATE(4935)] = 169897,
  [SMALL_STATE(4936)] = 169914,
  [SMALL_STATE(4937)] = 169931,
  [SMALL_STATE(4938)] = 169948,
  [SMALL_STATE(4939)] = 169965,
  [SMALL_STATE(4940)] = 169982,
  [SMALL_STATE(4941)] = 169999,
  [SMALL_STATE(4942)] = 170016,
  [SMALL_STATE(4943)] = 170033,
  [SMALL_STATE(4944)] = 170048,
  [SMALL_STATE(4945)] = 170065,
  [SMALL_STATE(4946)] = 170080,
  [SMALL_STATE(4947)] = 170097,
  [SMALL_STATE(4948)] = 170108,
  [SMALL_STATE(4949)] = 170125,
  [SMALL_STATE(4950)] = 170142,
  [SMALL_STATE(4951)] = 170152,
  [SMALL_STATE(4952)] = 170162,
  [SMALL_STATE(4953)] = 170172,
  [SMALL_STATE(4954)] = 170182,
  [SMALL_STATE(4955)] = 170192,
  [SMALL_STATE(4956)] = 170206,
  [SMALL_STATE(4957)] = 170216,
  [SMALL_STATE(4958)] = 170226,
  [SMALL_STATE(4959)] = 170240,
  [SMALL_STATE(4960)] = 170250,
  [SMALL_STATE(4961)] = 170260,
  [SMALL_STATE(4962)] = 170274,
  [SMALL_STATE(4963)] = 170284,
  [SMALL_STATE(4964)] = 170294,
  [SMALL_STATE(4965)] = 170308,
  [SMALL_STATE(4966)] = 170318,
  [SMALL_STATE(4967)] = 170328,
  [SMALL_STATE(4968)] = 170342,
  [SMALL_STATE(4969)] = 170352,
  [SMALL_STATE(4970)] = 170362,
  [SMALL_STATE(4971)] = 170372,
  [SMALL_STATE(4972)] = 170382,
  [SMALL_STATE(4973)] = 170392,
  [SMALL_STATE(4974)] = 170402,
  [SMALL_STATE(4975)] = 170412,
  [SMALL_STATE(4976)] = 170426,
  [SMALL_STATE(4977)] = 170440,
  [SMALL_STATE(4978)] = 170450,
  [SMALL_STATE(4979)] = 170464,
  [SMALL_STATE(4980)] = 170474,
  [SMALL_STATE(4981)] = 170488,
  [SMALL_STATE(4982)] = 170502,
  [SMALL_STATE(4983)] = 170512,
  [SMALL_STATE(4984)] = 170526,
  [SMALL_STATE(4985)] = 170536,
  [SMALL_STATE(4986)] = 170550,
  [SMALL_STATE(4987)] = 170560,
  [SMALL_STATE(4988)] = 170570,
  [SMALL_STATE(4989)] = 170580,
  [SMALL_STATE(4990)] = 170590,
  [SMALL_STATE(4991)] = 170604,
  [SMALL_STATE(4992)] = 170614,
  [SMALL_STATE(4993)] = 170624,
  [SMALL_STATE(4994)] = 170638,
  [SMALL_STATE(4995)] = 170652,
  [SMALL_STATE(4996)] = 170662,
  [SMALL_STATE(4997)] = 170672,
  [SMALL_STATE(4998)] = 170682,
  [SMALL_STATE(4999)] = 170696,
  [SMALL_STATE(5000)] = 170706,
  [SMALL_STATE(5001)] = 170716,
  [SMALL_STATE(5002)] = 170730,
  [SMALL_STATE(5003)] = 170740,
  [SMALL_STATE(5004)] = 170754,
  [SMALL_STATE(5005)] = 170764,
  [SMALL_STATE(5006)] = 170774,
  [SMALL_STATE(5007)] = 170788,
  [SMALL_STATE(5008)] = 170798,
  [SMALL_STATE(5009)] = 170808,
  [SMALL_STATE(5010)] = 170818,
  [SMALL_STATE(5011)] = 170828,
  [SMALL_STATE(5012)] = 170838,
  [SMALL_STATE(5013)] = 170848,
  [SMALL_STATE(5014)] = 170858,
  [SMALL_STATE(5015)] = 170868,
  [SMALL_STATE(5016)] = 170878,
  [SMALL_STATE(5017)] = 170892,
  [SMALL_STATE(5018)] = 170902,
  [SMALL_STATE(5019)] = 170916,
  [SMALL_STATE(5020)] = 170926,
  [SMALL_STATE(5021)] = 170940,
  [SMALL_STATE(5022)] = 170950,
  [SMALL_STATE(5023)] = 170960,
  [SMALL_STATE(5024)] = 170974,
  [SMALL_STATE(5025)] = 170988,
  [SMALL_STATE(5026)] = 170998,
  [SMALL_STATE(5027)] = 171012,
  [SMALL_STATE(5028)] = 171022,
  [SMALL_STATE(5029)] = 171036,
  [SMALL_STATE(5030)] = 171046,
  [SMALL_STATE(5031)] = 171056,
  [SMALL_STATE(5032)] = 171070,
  [SMALL_STATE(5033)] = 171082,
  [SMALL_STATE(5034)] = 171092,
  [SMALL_STATE(5035)] = 171106,
  [SMALL_STATE(5036)] = 171116,
  [SMALL_STATE(5037)] = 171126,
  [SMALL_STATE(5038)] = 171138,
  [SMALL_STATE(5039)] = 171152,
  [SMALL_STATE(5040)] = 171162,
  [SMALL_STATE(5041)] = 171172,
  [SMALL_STATE(5042)] = 171182,
  [SMALL_STATE(5043)] = 171194,
  [SMALL_STATE(5044)] = 171204,
  [SMALL_STATE(5045)] = 171214,
  [SMALL_STATE(5046)] = 171224,
  [SMALL_STATE(5047)] = 171234,
  [SMALL_STATE(5048)] = 171248,
  [SMALL_STATE(5049)] = 171258,
  [SMALL_STATE(5050)] = 171268,
  [SMALL_STATE(5051)] = 171282,
  [SMALL_STATE(5052)] = 171292,
  [SMALL_STATE(5053)] = 171302,
  [SMALL_STATE(5054)] = 171312,
  [SMALL_STATE(5055)] = 171322,
  [SMALL_STATE(5056)] = 171334,
  [SMALL_STATE(5057)] = 171346,
  [SMALL_STATE(5058)] = 171356,
  [SMALL_STATE(5059)] = 171366,
  [SMALL_STATE(5060)] = 171380,
  [SMALL_STATE(5061)] = 171390,
  [SMALL_STATE(5062)] = 171404,
  [SMALL_STATE(5063)] = 171414,
  [SMALL_STATE(5064)] = 171424,
  [SMALL_STATE(5065)] = 171434,
  [SMALL_STATE(5066)] = 171446,
  [SMALL_STATE(5067)] = 171456,
  [SMALL_STATE(5068)] = 171466,
  [SMALL_STATE(5069)] = 171480,
  [SMALL_STATE(5070)] = 171490,
  [SMALL_STATE(5071)] = 171504,
  [SMALL_STATE(5072)] = 171514,
  [SMALL_STATE(5073)] = 171524,
  [SMALL_STATE(5074)] = 171534,
  [SMALL_STATE(5075)] = 171544,
  [SMALL_STATE(5076)] = 171558,
  [SMALL_STATE(5077)] = 171572,
  [SMALL_STATE(5078)] = 171582,
  [SMALL_STATE(5079)] = 171592,
  [SMALL_STATE(5080)] = 171602,
  [SMALL_STATE(5081)] = 171612,
  [SMALL_STATE(5082)] = 171626,
  [SMALL_STATE(5083)] = 171636,
  [SMALL_STATE(5084)] = 171646,
  [SMALL_STATE(5085)] = 171656,
  [SMALL_STATE(5086)] = 171666,
  [SMALL_STATE(5087)] = 171676,
  [SMALL_STATE(5088)] = 171686,
  [SMALL_STATE(5089)] = 171696,
  [SMALL_STATE(5090)] = 171706,
  [SMALL_STATE(5091)] = 171716,
  [SMALL_STATE(5092)] = 171726,
  [SMALL_STATE(5093)] = 171736,
  [SMALL_STATE(5094)] = 171746,
  [SMALL_STATE(5095)] = 171756,
  [SMALL_STATE(5096)] = 171766,
  [SMALL_STATE(5097)] = 171776,
  [SMALL_STATE(5098)] = 171786,
  [SMALL_STATE(5099)] = 171796,
  [SMALL_STATE(5100)] = 171806,
  [SMALL_STATE(5101)] = 171816,
  [SMALL_STATE(5102)] = 171826,
  [SMALL_STATE(5103)] = 171836,
  [SMALL_STATE(5104)] = 171850,
  [SMALL_STATE(5105)] = 171862,
  [SMALL_STATE(5106)] = 171872,
  [SMALL_STATE(5107)] = 171882,
  [SMALL_STATE(5108)] = 171892,
  [SMALL_STATE(5109)] = 171902,
  [SMALL_STATE(5110)] = 171912,
  [SMALL_STATE(5111)] = 171922,
  [SMALL_STATE(5112)] = 171936,
  [SMALL_STATE(5113)] = 171946,
  [SMALL_STATE(5114)] = 171956,
  [SMALL_STATE(5115)] = 171966,
  [SMALL_STATE(5116)] = 171976,
  [SMALL_STATE(5117)] = 171986,
  [SMALL_STATE(5118)] = 172000,
  [SMALL_STATE(5119)] = 172010,
  [SMALL_STATE(5120)] = 172020,
  [SMALL_STATE(5121)] = 172030,
  [SMALL_STATE(5122)] = 172040,
  [SMALL_STATE(5123)] = 172050,
  [SMALL_STATE(5124)] = 172060,
  [SMALL_STATE(5125)] = 172070,
  [SMALL_STATE(5126)] = 172080,
  [SMALL_STATE(5127)] = 172094,
  [SMALL_STATE(5128)] = 172104,
  [SMALL_STATE(5129)] = 172114,
  [SMALL_STATE(5130)] = 172124,
  [SMALL_STATE(5131)] = 172134,
  [SMALL_STATE(5132)] = 172144,
  [SMALL_STATE(5133)] = 172154,
  [SMALL_STATE(5134)] = 172164,
  [SMALL_STATE(5135)] = 172174,
  [SMALL_STATE(5136)] = 172184,
  [SMALL_STATE(5137)] = 172194,
  [SMALL_STATE(5138)] = 172206,
  [SMALL_STATE(5139)] = 172216,
  [SMALL_STATE(5140)] = 172226,
  [SMALL_STATE(5141)] = 172236,
  [SMALL_STATE(5142)] = 172246,
  [SMALL_STATE(5143)] = 172260,
  [SMALL_STATE(5144)] = 172274,
  [SMALL_STATE(5145)] = 172284,
  [SMALL_STATE(5146)] = 172294,
  [SMALL_STATE(5147)] = 172308,
  [SMALL_STATE(5148)] = 172318,
  [SMALL_STATE(5149)] = 172328,
  [SMALL_STATE(5150)] = 172342,
  [SMALL_STATE(5151)] = 172356,
  [SMALL_STATE(5152)] = 172366,
  [SMALL_STATE(5153)] = 172376,
  [SMALL_STATE(5154)] = 172386,
  [SMALL_STATE(5155)] = 172396,
  [SMALL_STATE(5156)] = 172406,
  [SMALL_STATE(5157)] = 172416,
  [SMALL_STATE(5158)] = 172426,
  [SMALL_STATE(5159)] = 172440,
  [SMALL_STATE(5160)] = 172450,
  [SMALL_STATE(5161)] = 172464,
  [SMALL_STATE(5162)] = 172474,
  [SMALL_STATE(5163)] = 172488,
  [SMALL_STATE(5164)] = 172498,
  [SMALL_STATE(5165)] = 172512,
  [SMALL_STATE(5166)] = 172526,
  [SMALL_STATE(5167)] = 172536,
  [SMALL_STATE(5168)] = 172546,
  [SMALL_STATE(5169)] = 172556,
  [SMALL_STATE(5170)] = 172570,
  [SMALL_STATE(5171)] = 172580,
  [SMALL_STATE(5172)] = 172590,
  [SMALL_STATE(5173)] = 172600,
  [SMALL_STATE(5174)] = 172614,
  [SMALL_STATE(5175)] = 172624,
  [SMALL_STATE(5176)] = 172638,
  [SMALL_STATE(5177)] = 172648,
  [SMALL_STATE(5178)] = 172662,
  [SMALL_STATE(5179)] = 172676,
  [SMALL_STATE(5180)] = 172686,
  [SMALL_STATE(5181)] = 172696,
  [SMALL_STATE(5182)] = 172706,
  [SMALL_STATE(5183)] = 172718,
  [SMALL_STATE(5184)] = 172730,
  [SMALL_STATE(5185)] = 172740,
  [SMALL_STATE(5186)] = 172750,
  [SMALL_STATE(5187)] = 172760,
  [SMALL_STATE(5188)] = 172770,
  [SMALL_STATE(5189)] = 172780,
  [SMALL_STATE(5190)] = 172794,
  [SMALL_STATE(5191)] = 172804,
  [SMALL_STATE(5192)] = 172814,
  [SMALL_STATE(5193)] = 172824,
  [SMALL_STATE(5194)] = 172838,
  [SMALL_STATE(5195)] = 172848,
  [SMALL_STATE(5196)] = 172858,
  [SMALL_STATE(5197)] = 172868,
  [SMALL_STATE(5198)] = 172878,
  [SMALL_STATE(5199)] = 172892,
  [SMALL_STATE(5200)] = 172906,
  [SMALL_STATE(5201)] = 172916,
  [SMALL_STATE(5202)] = 172926,
  [SMALL_STATE(5203)] = 172936,
  [SMALL_STATE(5204)] = 172946,
  [SMALL_STATE(5205)] = 172956,
  [SMALL_STATE(5206)] = 172966,
  [SMALL_STATE(5207)] = 172976,
  [SMALL_STATE(5208)] = 172986,
  [SMALL_STATE(5209)] = 172996,
  [SMALL_STATE(5210)] = 173006,
  [SMALL_STATE(5211)] = 173020,
  [SMALL_STATE(5212)] = 173034,
  [SMALL_STATE(5213)] = 173044,
  [SMALL_STATE(5214)] = 173054,
  [SMALL_STATE(5215)] = 173064,
  [SMALL_STATE(5216)] = 173074,
  [SMALL_STATE(5217)] = 173084,
  [SMALL_STATE(5218)] = 173094,
  [SMALL_STATE(5219)] = 173106,
  [SMALL_STATE(5220)] = 173116,
  [SMALL_STATE(5221)] = 173130,
  [SMALL_STATE(5222)] = 173140,
  [SMALL_STATE(5223)] = 173150,
  [SMALL_STATE(5224)] = 173160,
  [SMALL_STATE(5225)] = 173174,
  [SMALL_STATE(5226)] = 173184,
  [SMALL_STATE(5227)] = 173194,
  [SMALL_STATE(5228)] = 173208,
  [SMALL_STATE(5229)] = 173218,
  [SMALL_STATE(5230)] = 173232,
  [SMALL_STATE(5231)] = 173242,
  [SMALL_STATE(5232)] = 173256,
  [SMALL_STATE(5233)] = 173266,
  [SMALL_STATE(5234)] = 173276,
  [SMALL_STATE(5235)] = 173286,
  [SMALL_STATE(5236)] = 173300,
  [SMALL_STATE(5237)] = 173310,
  [SMALL_STATE(5238)] = 173324,
  [SMALL_STATE(5239)] = 173334,
  [SMALL_STATE(5240)] = 173348,
  [SMALL_STATE(5241)] = 173362,
  [SMALL_STATE(5242)] = 173376,
  [SMALL_STATE(5243)] = 173390,
  [SMALL_STATE(5244)] = 173404,
  [SMALL_STATE(5245)] = 173418,
  [SMALL_STATE(5246)] = 173432,
  [SMALL_STATE(5247)] = 173446,
  [SMALL_STATE(5248)] = 173456,
  [SMALL_STATE(5249)] = 173466,
  [SMALL_STATE(5250)] = 173480,
  [SMALL_STATE(5251)] = 173494,
  [SMALL_STATE(5252)] = 173504,
  [SMALL_STATE(5253)] = 173518,
  [SMALL_STATE(5254)] = 173532,
  [SMALL_STATE(5255)] = 173542,
  [SMALL_STATE(5256)] = 173556,
  [SMALL_STATE(5257)] = 173570,
  [SMALL_STATE(5258)] = 173582,
  [SMALL_STATE(5259)] = 173596,
  [SMALL_STATE(5260)] = 173606,
  [SMALL_STATE(5261)] = 173616,
  [SMALL_STATE(5262)] = 173626,
  [SMALL_STATE(5263)] = 173636,
  [SMALL_STATE(5264)] = 173646,
  [SMALL_STATE(5265)] = 173656,
  [SMALL_STATE(5266)] = 173666,
  [SMALL_STATE(5267)] = 173676,
  [SMALL_STATE(5268)] = 173686,
  [SMALL_STATE(5269)] = 173700,
  [SMALL_STATE(5270)] = 173714,
  [SMALL_STATE(5271)] = 173724,
  [SMALL_STATE(5272)] = 173736,
  [SMALL_STATE(5273)] = 173746,
  [SMALL_STATE(5274)] = 173756,
  [SMALL_STATE(5275)] = 173770,
  [SMALL_STATE(5276)] = 173780,
  [SMALL_STATE(5277)] = 173794,
  [SMALL_STATE(5278)] = 173808,
  [SMALL_STATE(5279)] = 173820,
  [SMALL_STATE(5280)] = 173830,
  [SMALL_STATE(5281)] = 173844,
  [SMALL_STATE(5282)] = 173854,
  [SMALL_STATE(5283)] = 173864,
  [SMALL_STATE(5284)] = 173874,
  [SMALL_STATE(5285)] = 173884,
  [SMALL_STATE(5286)] = 173898,
  [SMALL_STATE(5287)] = 173908,
  [SMALL_STATE(5288)] = 173922,
  [SMALL_STATE(5289)] = 173936,
  [SMALL_STATE(5290)] = 173950,
  [SMALL_STATE(5291)] = 173960,
  [SMALL_STATE(5292)] = 173972,
  [SMALL_STATE(5293)] = 173984,
  [SMALL_STATE(5294)] = 173998,
  [SMALL_STATE(5295)] = 174008,
  [SMALL_STATE(5296)] = 174020,
  [SMALL_STATE(5297)] = 174030,
  [SMALL_STATE(5298)] = 174044,
  [SMALL_STATE(5299)] = 174054,
  [SMALL_STATE(5300)] = 174068,
  [SMALL_STATE(5301)] = 174082,
  [SMALL_STATE(5302)] = 174092,
  [SMALL_STATE(5303)] = 174106,
  [SMALL_STATE(5304)] = 174120,
  [SMALL_STATE(5305)] = 174130,
  [SMALL_STATE(5306)] = 174140,
  [SMALL_STATE(5307)] = 174154,
  [SMALL_STATE(5308)] = 174164,
  [SMALL_STATE(5309)] = 174178,
  [SMALL_STATE(5310)] = 174188,
  [SMALL_STATE(5311)] = 174202,
  [SMALL_STATE(5312)] = 174216,
  [SMALL_STATE(5313)] = 174226,
  [SMALL_STATE(5314)] = 174240,
  [SMALL_STATE(5315)] = 174250,
  [SMALL_STATE(5316)] = 174260,
  [SMALL_STATE(5317)] = 174274,
  [SMALL_STATE(5318)] = 174288,
  [SMALL_STATE(5319)] = 174302,
  [SMALL_STATE(5320)] = 174316,
  [SMALL_STATE(5321)] = 174326,
  [SMALL_STATE(5322)] = 174336,
  [SMALL_STATE(5323)] = 174346,
  [SMALL_STATE(5324)] = 174356,
  [SMALL_STATE(5325)] = 174366,
  [SMALL_STATE(5326)] = 174376,
  [SMALL_STATE(5327)] = 174386,
  [SMALL_STATE(5328)] = 174396,
  [SMALL_STATE(5329)] = 174406,
  [SMALL_STATE(5330)] = 174416,
  [SMALL_STATE(5331)] = 174426,
  [SMALL_STATE(5332)] = 174440,
  [SMALL_STATE(5333)] = 174454,
  [SMALL_STATE(5334)] = 174464,
  [SMALL_STATE(5335)] = 174476,
  [SMALL_STATE(5336)] = 174490,
  [SMALL_STATE(5337)] = 174500,
  [SMALL_STATE(5338)] = 174510,
  [SMALL_STATE(5339)] = 174520,
  [SMALL_STATE(5340)] = 174534,
  [SMALL_STATE(5341)] = 174544,
  [SMALL_STATE(5342)] = 174554,
  [SMALL_STATE(5343)] = 174564,
  [SMALL_STATE(5344)] = 174578,
  [SMALL_STATE(5345)] = 174590,
  [SMALL_STATE(5346)] = 174604,
  [SMALL_STATE(5347)] = 174618,
  [SMALL_STATE(5348)] = 174632,
  [SMALL_STATE(5349)] = 174642,
  [SMALL_STATE(5350)] = 174656,
  [SMALL_STATE(5351)] = 174666,
  [SMALL_STATE(5352)] = 174676,
  [SMALL_STATE(5353)] = 174690,
  [SMALL_STATE(5354)] = 174700,
  [SMALL_STATE(5355)] = 174714,
  [SMALL_STATE(5356)] = 174728,
  [SMALL_STATE(5357)] = 174738,
  [SMALL_STATE(5358)] = 174748,
  [SMALL_STATE(5359)] = 174762,
  [SMALL_STATE(5360)] = 174772,
  [SMALL_STATE(5361)] = 174786,
  [SMALL_STATE(5362)] = 174800,
  [SMALL_STATE(5363)] = 174814,
  [SMALL_STATE(5364)] = 174828,
  [SMALL_STATE(5365)] = 174838,
  [SMALL_STATE(5366)] = 174848,
  [SMALL_STATE(5367)] = 174858,
  [SMALL_STATE(5368)] = 174872,
  [SMALL_STATE(5369)] = 174882,
  [SMALL_STATE(5370)] = 174892,
  [SMALL_STATE(5371)] = 174906,
  [SMALL_STATE(5372)] = 174916,
  [SMALL_STATE(5373)] = 174930,
  [SMALL_STATE(5374)] = 174940,
  [SMALL_STATE(5375)] = 174950,
  [SMALL_STATE(5376)] = 174964,
  [SMALL_STATE(5377)] = 174974,
  [SMALL_STATE(5378)] = 174984,
  [SMALL_STATE(5379)] = 174998,
  [SMALL_STATE(5380)] = 175008,
  [SMALL_STATE(5381)] = 175018,
  [SMALL_STATE(5382)] = 175032,
  [SMALL_STATE(5383)] = 175042,
  [SMALL_STATE(5384)] = 175052,
  [SMALL_STATE(5385)] = 175062,
  [SMALL_STATE(5386)] = 175072,
  [SMALL_STATE(5387)] = 175084,
  [SMALL_STATE(5388)] = 175094,
  [SMALL_STATE(5389)] = 175108,
  [SMALL_STATE(5390)] = 175118,
  [SMALL_STATE(5391)] = 175132,
  [SMALL_STATE(5392)] = 175142,
  [SMALL_STATE(5393)] = 175152,
  [SMALL_STATE(5394)] = 175162,
  [SMALL_STATE(5395)] = 175176,
  [SMALL_STATE(5396)] = 175190,
  [SMALL_STATE(5397)] = 175200,
  [SMALL_STATE(5398)] = 175214,
  [SMALL_STATE(5399)] = 175224,
  [SMALL_STATE(5400)] = 175238,
  [SMALL_STATE(5401)] = 175248,
  [SMALL_STATE(5402)] = 175258,
  [SMALL_STATE(5403)] = 175268,
  [SMALL_STATE(5404)] = 175278,
  [SMALL_STATE(5405)] = 175292,
  [SMALL_STATE(5406)] = 175302,
  [SMALL_STATE(5407)] = 175312,
  [SMALL_STATE(5408)] = 175322,
  [SMALL_STATE(5409)] = 175332,
  [SMALL_STATE(5410)] = 175342,
  [SMALL_STATE(5411)] = 175352,
  [SMALL_STATE(5412)] = 175362,
  [SMALL_STATE(5413)] = 175372,
  [SMALL_STATE(5414)] = 175382,
  [SMALL_STATE(5415)] = 175392,
  [SMALL_STATE(5416)] = 175406,
  [SMALL_STATE(5417)] = 175420,
  [SMALL_STATE(5418)] = 175430,
  [SMALL_STATE(5419)] = 175440,
  [SMALL_STATE(5420)] = 175450,
  [SMALL_STATE(5421)] = 175464,
  [SMALL_STATE(5422)] = 175474,
  [SMALL_STATE(5423)] = 175488,
  [SMALL_STATE(5424)] = 175498,
  [SMALL_STATE(5425)] = 175512,
  [SMALL_STATE(5426)] = 175522,
  [SMALL_STATE(5427)] = 175536,
  [SMALL_STATE(5428)] = 175546,
  [SMALL_STATE(5429)] = 175556,
  [SMALL_STATE(5430)] = 175566,
  [SMALL_STATE(5431)] = 175580,
  [SMALL_STATE(5432)] = 175594,
  [SMALL_STATE(5433)] = 175604,
  [SMALL_STATE(5434)] = 175618,
  [SMALL_STATE(5435)] = 175628,
  [SMALL_STATE(5436)] = 175638,
  [SMALL_STATE(5437)] = 175648,
  [SMALL_STATE(5438)] = 175658,
  [SMALL_STATE(5439)] = 175668,
  [SMALL_STATE(5440)] = 175678,
  [SMALL_STATE(5441)] = 175688,
  [SMALL_STATE(5442)] = 175698,
  [SMALL_STATE(5443)] = 175708,
  [SMALL_STATE(5444)] = 175718,
  [SMALL_STATE(5445)] = 175728,
  [SMALL_STATE(5446)] = 175738,
  [SMALL_STATE(5447)] = 175752,
  [SMALL_STATE(5448)] = 175762,
  [SMALL_STATE(5449)] = 175776,
  [SMALL_STATE(5450)] = 175786,
  [SMALL_STATE(5451)] = 175796,
  [SMALL_STATE(5452)] = 175810,
  [SMALL_STATE(5453)] = 175820,
  [SMALL_STATE(5454)] = 175832,
  [SMALL_STATE(5455)] = 175842,
  [SMALL_STATE(5456)] = 175852,
  [SMALL_STATE(5457)] = 175862,
  [SMALL_STATE(5458)] = 175876,
  [SMALL_STATE(5459)] = 175886,
  [SMALL_STATE(5460)] = 175898,
  [SMALL_STATE(5461)] = 175908,
  [SMALL_STATE(5462)] = 175918,
  [SMALL_STATE(5463)] = 175932,
  [SMALL_STATE(5464)] = 175942,
  [SMALL_STATE(5465)] = 175954,
  [SMALL_STATE(5466)] = 175964,
  [SMALL_STATE(5467)] = 175978,
  [SMALL_STATE(5468)] = 175992,
  [SMALL_STATE(5469)] = 176002,
  [SMALL_STATE(5470)] = 176016,
  [SMALL_STATE(5471)] = 176030,
  [SMALL_STATE(5472)] = 176040,
  [SMALL_STATE(5473)] = 176050,
  [SMALL_STATE(5474)] = 176064,
  [SMALL_STATE(5475)] = 176074,
  [SMALL_STATE(5476)] = 176084,
  [SMALL_STATE(5477)] = 176098,
  [SMALL_STATE(5478)] = 176108,
  [SMALL_STATE(5479)] = 176120,
  [SMALL_STATE(5480)] = 176130,
  [SMALL_STATE(5481)] = 176140,
  [SMALL_STATE(5482)] = 176150,
  [SMALL_STATE(5483)] = 176164,
  [SMALL_STATE(5484)] = 176174,
  [SMALL_STATE(5485)] = 176184,
  [SMALL_STATE(5486)] = 176198,
  [SMALL_STATE(5487)] = 176208,
  [SMALL_STATE(5488)] = 176222,
  [SMALL_STATE(5489)] = 176236,
  [SMALL_STATE(5490)] = 176250,
  [SMALL_STATE(5491)] = 176260,
  [SMALL_STATE(5492)] = 176270,
  [SMALL_STATE(5493)] = 176282,
  [SMALL_STATE(5494)] = 176296,
  [SMALL_STATE(5495)] = 176306,
  [SMALL_STATE(5496)] = 176320,
  [SMALL_STATE(5497)] = 176334,
  [SMALL_STATE(5498)] = 176344,
  [SMALL_STATE(5499)] = 176354,
  [SMALL_STATE(5500)] = 176364,
  [SMALL_STATE(5501)] = 176374,
  [SMALL_STATE(5502)] = 176384,
  [SMALL_STATE(5503)] = 176398,
  [SMALL_STATE(5504)] = 176410,
  [SMALL_STATE(5505)] = 176420,
  [SMALL_STATE(5506)] = 176430,
  [SMALL_STATE(5507)] = 176440,
  [SMALL_STATE(5508)] = 176452,
  [SMALL_STATE(5509)] = 176466,
  [SMALL_STATE(5510)] = 176478,
  [SMALL_STATE(5511)] = 176490,
  [SMALL_STATE(5512)] = 176502,
  [SMALL_STATE(5513)] = 176514,
  [SMALL_STATE(5514)] = 176528,
  [SMALL_STATE(5515)] = 176542,
  [SMALL_STATE(5516)] = 176554,
  [SMALL_STATE(5517)] = 176564,
  [SMALL_STATE(5518)] = 176574,
  [SMALL_STATE(5519)] = 176588,
  [SMALL_STATE(5520)] = 176598,
  [SMALL_STATE(5521)] = 176612,
  [SMALL_STATE(5522)] = 176622,
  [SMALL_STATE(5523)] = 176632,
  [SMALL_STATE(5524)] = 176642,
  [SMALL_STATE(5525)] = 176654,
  [SMALL_STATE(5526)] = 176664,
  [SMALL_STATE(5527)] = 176674,
  [SMALL_STATE(5528)] = 176688,
  [SMALL_STATE(5529)] = 176700,
  [SMALL_STATE(5530)] = 176710,
  [SMALL_STATE(5531)] = 176724,
  [SMALL_STATE(5532)] = 176738,
  [SMALL_STATE(5533)] = 176748,
  [SMALL_STATE(5534)] = 176762,
  [SMALL_STATE(5535)] = 176776,
  [SMALL_STATE(5536)] = 176786,
  [SMALL_STATE(5537)] = 176800,
  [SMALL_STATE(5538)] = 176814,
  [SMALL_STATE(5539)] = 176828,
  [SMALL_STATE(5540)] = 176838,
  [SMALL_STATE(5541)] = 176848,
  [SMALL_STATE(5542)] = 176860,
  [SMALL_STATE(5543)] = 176870,
  [SMALL_STATE(5544)] = 176884,
  [SMALL_STATE(5545)] = 176894,
  [SMALL_STATE(5546)] = 176904,
  [SMALL_STATE(5547)] = 176914,
  [SMALL_STATE(5548)] = 176924,
  [SMALL_STATE(5549)] = 176934,
  [SMALL_STATE(5550)] = 176944,
  [SMALL_STATE(5551)] = 176954,
  [SMALL_STATE(5552)] = 176968,
  [SMALL_STATE(5553)] = 176978,
  [SMALL_STATE(5554)] = 176988,
  [SMALL_STATE(5555)] = 176998,
  [SMALL_STATE(5556)] = 177008,
  [SMALL_STATE(5557)] = 177018,
  [SMALL_STATE(5558)] = 177028,
  [SMALL_STATE(5559)] = 177038,
  [SMALL_STATE(5560)] = 177048,
  [SMALL_STATE(5561)] = 177058,
  [SMALL_STATE(5562)] = 177068,
  [SMALL_STATE(5563)] = 177078,
  [SMALL_STATE(5564)] = 177088,
  [SMALL_STATE(5565)] = 177102,
  [SMALL_STATE(5566)] = 177112,
  [SMALL_STATE(5567)] = 177122,
  [SMALL_STATE(5568)] = 177136,
  [SMALL_STATE(5569)] = 177146,
  [SMALL_STATE(5570)] = 177158,
  [SMALL_STATE(5571)] = 177168,
  [SMALL_STATE(5572)] = 177182,
  [SMALL_STATE(5573)] = 177192,
  [SMALL_STATE(5574)] = 177202,
  [SMALL_STATE(5575)] = 177216,
  [SMALL_STATE(5576)] = 177226,
  [SMALL_STATE(5577)] = 177236,
  [SMALL_STATE(5578)] = 177246,
  [SMALL_STATE(5579)] = 177256,
  [SMALL_STATE(5580)] = 177266,
  [SMALL_STATE(5581)] = 177278,
  [SMALL_STATE(5582)] = 177288,
  [SMALL_STATE(5583)] = 177298,
  [SMALL_STATE(5584)] = 177308,
  [SMALL_STATE(5585)] = 177322,
  [SMALL_STATE(5586)] = 177336,
  [SMALL_STATE(5587)] = 177346,
  [SMALL_STATE(5588)] = 177356,
  [SMALL_STATE(5589)] = 177366,
  [SMALL_STATE(5590)] = 177376,
  [SMALL_STATE(5591)] = 177386,
  [SMALL_STATE(5592)] = 177396,
  [SMALL_STATE(5593)] = 177410,
  [SMALL_STATE(5594)] = 177424,
  [SMALL_STATE(5595)] = 177434,
  [SMALL_STATE(5596)] = 177444,
  [SMALL_STATE(5597)] = 177454,
  [SMALL_STATE(5598)] = 177468,
  [SMALL_STATE(5599)] = 177480,
  [SMALL_STATE(5600)] = 177490,
  [SMALL_STATE(5601)] = 177502,
  [SMALL_STATE(5602)] = 177512,
  [SMALL_STATE(5603)] = 177524,
  [SMALL_STATE(5604)] = 177538,
  [SMALL_STATE(5605)] = 177550,
  [SMALL_STATE(5606)] = 177560,
  [SMALL_STATE(5607)] = 177572,
  [SMALL_STATE(5608)] = 177582,
  [SMALL_STATE(5609)] = 177592,
  [SMALL_STATE(5610)] = 177602,
  [SMALL_STATE(5611)] = 177612,
  [SMALL_STATE(5612)] = 177622,
  [SMALL_STATE(5613)] = 177632,
  [SMALL_STATE(5614)] = 177642,
  [SMALL_STATE(5615)] = 177652,
  [SMALL_STATE(5616)] = 177661,
  [SMALL_STATE(5617)] = 177670,
  [SMALL_STATE(5618)] = 177681,
  [SMALL_STATE(5619)] = 177692,
  [SMALL_STATE(5620)] = 177703,
  [SMALL_STATE(5621)] = 177714,
  [SMALL_STATE(5622)] = 177725,
  [SMALL_STATE(5623)] = 177734,
  [SMALL_STATE(5624)] = 177745,
  [SMALL_STATE(5625)] = 177756,
  [SMALL_STATE(5626)] = 177765,
  [SMALL_STATE(5627)] = 177774,
  [SMALL_STATE(5628)] = 177785,
  [SMALL_STATE(5629)] = 177796,
  [SMALL_STATE(5630)] = 177807,
  [SMALL_STATE(5631)] = 177818,
  [SMALL_STATE(5632)] = 177829,
  [SMALL_STATE(5633)] = 177838,
  [SMALL_STATE(5634)] = 177847,
  [SMALL_STATE(5635)] = 177858,
  [SMALL_STATE(5636)] = 177869,
  [SMALL_STATE(5637)] = 177880,
  [SMALL_STATE(5638)] = 177889,
  [SMALL_STATE(5639)] = 177900,
  [SMALL_STATE(5640)] = 177909,
  [SMALL_STATE(5641)] = 177920,
  [SMALL_STATE(5642)] = 177929,
  [SMALL_STATE(5643)] = 177938,
  [SMALL_STATE(5644)] = 177949,
  [SMALL_STATE(5645)] = 177960,
  [SMALL_STATE(5646)] = 177971,
  [SMALL_STATE(5647)] = 177982,
  [SMALL_STATE(5648)] = 177993,
  [SMALL_STATE(5649)] = 178004,
  [SMALL_STATE(5650)] = 178013,
  [SMALL_STATE(5651)] = 178022,
  [SMALL_STATE(5652)] = 178033,
  [SMALL_STATE(5653)] = 178044,
  [SMALL_STATE(5654)] = 178055,
  [SMALL_STATE(5655)] = 178064,
  [SMALL_STATE(5656)] = 178075,
  [SMALL_STATE(5657)] = 178086,
  [SMALL_STATE(5658)] = 178097,
  [SMALL_STATE(5659)] = 178106,
  [SMALL_STATE(5660)] = 178115,
  [SMALL_STATE(5661)] = 178126,
  [SMALL_STATE(5662)] = 178135,
  [SMALL_STATE(5663)] = 178146,
  [SMALL_STATE(5664)] = 178157,
  [SMALL_STATE(5665)] = 178168,
  [SMALL_STATE(5666)] = 178179,
  [SMALL_STATE(5667)] = 178188,
  [SMALL_STATE(5668)] = 178197,
  [SMALL_STATE(5669)] = 178208,
  [SMALL_STATE(5670)] = 178219,
  [SMALL_STATE(5671)] = 178230,
  [SMALL_STATE(5672)] = 178239,
  [SMALL_STATE(5673)] = 178250,
  [SMALL_STATE(5674)] = 178261,
  [SMALL_STATE(5675)] = 178270,
  [SMALL_STATE(5676)] = 178281,
  [SMALL_STATE(5677)] = 178292,
  [SMALL_STATE(5678)] = 178303,
  [SMALL_STATE(5679)] = 178312,
  [SMALL_STATE(5680)] = 178321,
  [SMALL_STATE(5681)] = 178332,
  [SMALL_STATE(5682)] = 178343,
  [SMALL_STATE(5683)] = 178354,
  [SMALL_STATE(5684)] = 178365,
  [SMALL_STATE(5685)] = 178376,
  [SMALL_STATE(5686)] = 178387,
  [SMALL_STATE(5687)] = 178398,
  [SMALL_STATE(5688)] = 178409,
  [SMALL_STATE(5689)] = 178418,
  [SMALL_STATE(5690)] = 178427,
  [SMALL_STATE(5691)] = 178438,
  [SMALL_STATE(5692)] = 178449,
  [SMALL_STATE(5693)] = 178460,
  [SMALL_STATE(5694)] = 178469,
  [SMALL_STATE(5695)] = 178480,
  [SMALL_STATE(5696)] = 178489,
  [SMALL_STATE(5697)] = 178500,
  [SMALL_STATE(5698)] = 178509,
  [SMALL_STATE(5699)] = 178520,
  [SMALL_STATE(5700)] = 178531,
  [SMALL_STATE(5701)] = 178542,
  [SMALL_STATE(5702)] = 178553,
  [SMALL_STATE(5703)] = 178564,
  [SMALL_STATE(5704)] = 178573,
  [SMALL_STATE(5705)] = 178584,
  [SMALL_STATE(5706)] = 178595,
  [SMALL_STATE(5707)] = 178606,
  [SMALL_STATE(5708)] = 178617,
  [SMALL_STATE(5709)] = 178626,
  [SMALL_STATE(5710)] = 178637,
  [SMALL_STATE(5711)] = 178648,
  [SMALL_STATE(5712)] = 178659,
  [SMALL_STATE(5713)] = 178670,
  [SMALL_STATE(5714)] = 178681,
  [SMALL_STATE(5715)] = 178690,
  [SMALL_STATE(5716)] = 178701,
  [SMALL_STATE(5717)] = 178712,
  [SMALL_STATE(5718)] = 178723,
  [SMALL_STATE(5719)] = 178732,
  [SMALL_STATE(5720)] = 178743,
  [SMALL_STATE(5721)] = 178754,
  [SMALL_STATE(5722)] = 178763,
  [SMALL_STATE(5723)] = 178774,
  [SMALL_STATE(5724)] = 178785,
  [SMALL_STATE(5725)] = 178796,
  [SMALL_STATE(5726)] = 178807,
  [SMALL_STATE(5727)] = 178818,
  [SMALL_STATE(5728)] = 178829,
  [SMALL_STATE(5729)] = 178838,
  [SMALL_STATE(5730)] = 178849,
  [SMALL_STATE(5731)] = 178858,
  [SMALL_STATE(5732)] = 178869,
  [SMALL_STATE(5733)] = 178880,
  [SMALL_STATE(5734)] = 178889,
  [SMALL_STATE(5735)] = 178900,
  [SMALL_STATE(5736)] = 178911,
  [SMALL_STATE(5737)] = 178920,
  [SMALL_STATE(5738)] = 178929,
  [SMALL_STATE(5739)] = 178940,
  [SMALL_STATE(5740)] = 178951,
  [SMALL_STATE(5741)] = 178962,
  [SMALL_STATE(5742)] = 178971,
  [SMALL_STATE(5743)] = 178982,
  [SMALL_STATE(5744)] = 178993,
  [SMALL_STATE(5745)] = 179004,
  [SMALL_STATE(5746)] = 179013,
  [SMALL_STATE(5747)] = 179024,
  [SMALL_STATE(5748)] = 179035,
  [SMALL_STATE(5749)] = 179046,
  [SMALL_STATE(5750)] = 179057,
  [SMALL_STATE(5751)] = 179066,
  [SMALL_STATE(5752)] = 179077,
  [SMALL_STATE(5753)] = 179086,
  [SMALL_STATE(5754)] = 179095,
  [SMALL_STATE(5755)] = 179104,
  [SMALL_STATE(5756)] = 179115,
  [SMALL_STATE(5757)] = 179126,
  [SMALL_STATE(5758)] = 179135,
  [SMALL_STATE(5759)] = 179144,
  [SMALL_STATE(5760)] = 179155,
  [SMALL_STATE(5761)] = 179164,
  [SMALL_STATE(5762)] = 179173,
  [SMALL_STATE(5763)] = 179182,
  [SMALL_STATE(5764)] = 179193,
  [SMALL_STATE(5765)] = 179204,
  [SMALL_STATE(5766)] = 179215,
  [SMALL_STATE(5767)] = 179226,
  [SMALL_STATE(5768)] = 179237,
  [SMALL_STATE(5769)] = 179248,
  [SMALL_STATE(5770)] = 179259,
  [SMALL_STATE(5771)] = 179270,
  [SMALL_STATE(5772)] = 179281,
  [SMALL_STATE(5773)] = 179292,
  [SMALL_STATE(5774)] = 179303,
  [SMALL_STATE(5775)] = 179314,
  [SMALL_STATE(5776)] = 179325,
  [SMALL_STATE(5777)] = 179336,
  [SMALL_STATE(5778)] = 179347,
  [SMALL_STATE(5779)] = 179358,
  [SMALL_STATE(5780)] = 179369,
  [SMALL_STATE(5781)] = 179380,
  [SMALL_STATE(5782)] = 179391,
  [SMALL_STATE(5783)] = 179402,
  [SMALL_STATE(5784)] = 179413,
  [SMALL_STATE(5785)] = 179424,
  [SMALL_STATE(5786)] = 179435,
  [SMALL_STATE(5787)] = 179446,
  [SMALL_STATE(5788)] = 179455,
  [SMALL_STATE(5789)] = 179466,
  [SMALL_STATE(5790)] = 179477,
  [SMALL_STATE(5791)] = 179488,
  [SMALL_STATE(5792)] = 179499,
  [SMALL_STATE(5793)] = 179510,
  [SMALL_STATE(5794)] = 179521,
  [SMALL_STATE(5795)] = 179532,
  [SMALL_STATE(5796)] = 179543,
  [SMALL_STATE(5797)] = 179554,
  [SMALL_STATE(5798)] = 179565,
  [SMALL_STATE(5799)] = 179576,
  [SMALL_STATE(5800)] = 179585,
  [SMALL_STATE(5801)] = 179594,
  [SMALL_STATE(5802)] = 179603,
  [SMALL_STATE(5803)] = 179614,
  [SMALL_STATE(5804)] = 179623,
  [SMALL_STATE(5805)] = 179634,
  [SMALL_STATE(5806)] = 179643,
  [SMALL_STATE(5807)] = 179652,
  [SMALL_STATE(5808)] = 179661,
  [SMALL_STATE(5809)] = 179672,
  [SMALL_STATE(5810)] = 179683,
  [SMALL_STATE(5811)] = 179694,
  [SMALL_STATE(5812)] = 179705,
  [SMALL_STATE(5813)] = 179716,
  [SMALL_STATE(5814)] = 179727,
  [SMALL_STATE(5815)] = 179738,
  [SMALL_STATE(5816)] = 179747,
  [SMALL_STATE(5817)] = 179758,
  [SMALL_STATE(5818)] = 179769,
  [SMALL_STATE(5819)] = 179780,
  [SMALL_STATE(5820)] = 179791,
  [SMALL_STATE(5821)] = 179802,
  [SMALL_STATE(5822)] = 179813,
  [SMALL_STATE(5823)] = 179824,
  [SMALL_STATE(5824)] = 179835,
  [SMALL_STATE(5825)] = 179846,
  [SMALL_STATE(5826)] = 179855,
  [SMALL_STATE(5827)] = 179866,
  [SMALL_STATE(5828)] = 179877,
  [SMALL_STATE(5829)] = 179888,
  [SMALL_STATE(5830)] = 179899,
  [SMALL_STATE(5831)] = 179910,
  [SMALL_STATE(5832)] = 179919,
  [SMALL_STATE(5833)] = 179928,
  [SMALL_STATE(5834)] = 179939,
  [SMALL_STATE(5835)] = 179950,
  [SMALL_STATE(5836)] = 179961,
  [SMALL_STATE(5837)] = 179972,
  [SMALL_STATE(5838)] = 179983,
  [SMALL_STATE(5839)] = 179994,
  [SMALL_STATE(5840)] = 180005,
  [SMALL_STATE(5841)] = 180016,
  [SMALL_STATE(5842)] = 180027,
  [SMALL_STATE(5843)] = 180038,
  [SMALL_STATE(5844)] = 180049,
  [SMALL_STATE(5845)] = 180060,
  [SMALL_STATE(5846)] = 180071,
  [SMALL_STATE(5847)] = 180082,
  [SMALL_STATE(5848)] = 180093,
  [SMALL_STATE(5849)] = 180104,
  [SMALL_STATE(5850)] = 180115,
  [SMALL_STATE(5851)] = 180126,
  [SMALL_STATE(5852)] = 180137,
  [SMALL_STATE(5853)] = 180148,
  [SMALL_STATE(5854)] = 180159,
  [SMALL_STATE(5855)] = 180170,
  [SMALL_STATE(5856)] = 180181,
  [SMALL_STATE(5857)] = 180192,
  [SMALL_STATE(5858)] = 180203,
  [SMALL_STATE(5859)] = 180212,
  [SMALL_STATE(5860)] = 180223,
  [SMALL_STATE(5861)] = 180232,
  [SMALL_STATE(5862)] = 180241,
  [SMALL_STATE(5863)] = 180252,
  [SMALL_STATE(5864)] = 180263,
  [SMALL_STATE(5865)] = 180272,
  [SMALL_STATE(5866)] = 180283,
  [SMALL_STATE(5867)] = 180294,
  [SMALL_STATE(5868)] = 180305,
  [SMALL_STATE(5869)] = 180316,
  [SMALL_STATE(5870)] = 180327,
  [SMALL_STATE(5871)] = 180338,
  [SMALL_STATE(5872)] = 180349,
  [SMALL_STATE(5873)] = 180360,
  [SMALL_STATE(5874)] = 180371,
  [SMALL_STATE(5875)] = 180382,
  [SMALL_STATE(5876)] = 180391,
  [SMALL_STATE(5877)] = 180402,
  [SMALL_STATE(5878)] = 180411,
  [SMALL_STATE(5879)] = 180420,
  [SMALL_STATE(5880)] = 180429,
  [SMALL_STATE(5881)] = 180440,
  [SMALL_STATE(5882)] = 180451,
  [SMALL_STATE(5883)] = 180460,
  [SMALL_STATE(5884)] = 180471,
  [SMALL_STATE(5885)] = 180482,
  [SMALL_STATE(5886)] = 180491,
  [SMALL_STATE(5887)] = 180502,
  [SMALL_STATE(5888)] = 180513,
  [SMALL_STATE(5889)] = 180524,
  [SMALL_STATE(5890)] = 180535,
  [SMALL_STATE(5891)] = 180546,
  [SMALL_STATE(5892)] = 180555,
  [SMALL_STATE(5893)] = 180564,
  [SMALL_STATE(5894)] = 180575,
  [SMALL_STATE(5895)] = 180584,
  [SMALL_STATE(5896)] = 180595,
  [SMALL_STATE(5897)] = 180604,
  [SMALL_STATE(5898)] = 180613,
  [SMALL_STATE(5899)] = 180622,
  [SMALL_STATE(5900)] = 180633,
  [SMALL_STATE(5901)] = 180644,
  [SMALL_STATE(5902)] = 180655,
  [SMALL_STATE(5903)] = 180666,
  [SMALL_STATE(5904)] = 180677,
  [SMALL_STATE(5905)] = 180686,
  [SMALL_STATE(5906)] = 180697,
  [SMALL_STATE(5907)] = 180708,
  [SMALL_STATE(5908)] = 180719,
  [SMALL_STATE(5909)] = 180730,
  [SMALL_STATE(5910)] = 180739,
  [SMALL_STATE(5911)] = 180748,
  [SMALL_STATE(5912)] = 180759,
  [SMALL_STATE(5913)] = 180768,
  [SMALL_STATE(5914)] = 180779,
  [SMALL_STATE(5915)] = 180790,
  [SMALL_STATE(5916)] = 180801,
  [SMALL_STATE(5917)] = 180812,
  [SMALL_STATE(5918)] = 180823,
  [SMALL_STATE(5919)] = 180834,
  [SMALL_STATE(5920)] = 180843,
  [SMALL_STATE(5921)] = 180854,
  [SMALL_STATE(5922)] = 180865,
  [SMALL_STATE(5923)] = 180876,
  [SMALL_STATE(5924)] = 180885,
  [SMALL_STATE(5925)] = 180896,
  [SMALL_STATE(5926)] = 180907,
  [SMALL_STATE(5927)] = 180918,
  [SMALL_STATE(5928)] = 180929,
  [SMALL_STATE(5929)] = 180940,
  [SMALL_STATE(5930)] = 180951,
  [SMALL_STATE(5931)] = 180960,
  [SMALL_STATE(5932)] = 180971,
  [SMALL_STATE(5933)] = 180980,
  [SMALL_STATE(5934)] = 180991,
  [SMALL_STATE(5935)] = 181002,
  [SMALL_STATE(5936)] = 181013,
  [SMALL_STATE(5937)] = 181024,
  [SMALL_STATE(5938)] = 181033,
  [SMALL_STATE(5939)] = 181042,
  [SMALL_STATE(5940)] = 181053,
  [SMALL_STATE(5941)] = 181064,
  [SMALL_STATE(5942)] = 181075,
  [SMALL_STATE(5943)] = 181086,
  [SMALL_STATE(5944)] = 181097,
  [SMALL_STATE(5945)] = 181108,
  [SMALL_STATE(5946)] = 181117,
  [SMALL_STATE(5947)] = 181128,
  [SMALL_STATE(5948)] = 181139,
  [SMALL_STATE(5949)] = 181150,
  [SMALL_STATE(5950)] = 181161,
  [SMALL_STATE(5951)] = 181170,
  [SMALL_STATE(5952)] = 181179,
  [SMALL_STATE(5953)] = 181190,
  [SMALL_STATE(5954)] = 181201,
  [SMALL_STATE(5955)] = 181212,
  [SMALL_STATE(5956)] = 181223,
  [SMALL_STATE(5957)] = 181234,
  [SMALL_STATE(5958)] = 181245,
  [SMALL_STATE(5959)] = 181256,
  [SMALL_STATE(5960)] = 181265,
  [SMALL_STATE(5961)] = 181276,
  [SMALL_STATE(5962)] = 181287,
  [SMALL_STATE(5963)] = 181298,
  [SMALL_STATE(5964)] = 181309,
  [SMALL_STATE(5965)] = 181320,
  [SMALL_STATE(5966)] = 181329,
  [SMALL_STATE(5967)] = 181340,
  [SMALL_STATE(5968)] = 181351,
  [SMALL_STATE(5969)] = 181362,
  [SMALL_STATE(5970)] = 181371,
  [SMALL_STATE(5971)] = 181382,
  [SMALL_STATE(5972)] = 181391,
  [SMALL_STATE(5973)] = 181402,
  [SMALL_STATE(5974)] = 181413,
  [SMALL_STATE(5975)] = 181422,
  [SMALL_STATE(5976)] = 181431,
  [SMALL_STATE(5977)] = 181442,
  [SMALL_STATE(5978)] = 181453,
  [SMALL_STATE(5979)] = 181464,
  [SMALL_STATE(5980)] = 181475,
  [SMALL_STATE(5981)] = 181486,
  [SMALL_STATE(5982)] = 181495,
  [SMALL_STATE(5983)] = 181506,
  [SMALL_STATE(5984)] = 181517,
  [SMALL_STATE(5985)] = 181528,
  [SMALL_STATE(5986)] = 181539,
  [SMALL_STATE(5987)] = 181550,
  [SMALL_STATE(5988)] = 181559,
  [SMALL_STATE(5989)] = 181570,
  [SMALL_STATE(5990)] = 181581,
  [SMALL_STATE(5991)] = 181590,
  [SMALL_STATE(5992)] = 181601,
  [SMALL_STATE(5993)] = 181610,
  [SMALL_STATE(5994)] = 181621,
  [SMALL_STATE(5995)] = 181632,
  [SMALL_STATE(5996)] = 181641,
  [SMALL_STATE(5997)] = 181652,
  [SMALL_STATE(5998)] = 181663,
  [SMALL_STATE(5999)] = 181674,
  [SMALL_STATE(6000)] = 181683,
  [SMALL_STATE(6001)] = 181692,
  [SMALL_STATE(6002)] = 181701,
  [SMALL_STATE(6003)] = 181710,
  [SMALL_STATE(6004)] = 181721,
  [SMALL_STATE(6005)] = 181732,
  [SMALL_STATE(6006)] = 181743,
  [SMALL_STATE(6007)] = 181752,
  [SMALL_STATE(6008)] = 181761,
  [SMALL_STATE(6009)] = 181772,
  [SMALL_STATE(6010)] = 181781,
  [SMALL_STATE(6011)] = 181790,
  [SMALL_STATE(6012)] = 181801,
  [SMALL_STATE(6013)] = 181812,
  [SMALL_STATE(6014)] = 181821,
  [SMALL_STATE(6015)] = 181832,
  [SMALL_STATE(6016)] = 181843,
  [SMALL_STATE(6017)] = 181854,
  [SMALL_STATE(6018)] = 181865,
  [SMALL_STATE(6019)] = 181876,
  [SMALL_STATE(6020)] = 181887,
  [SMALL_STATE(6021)] = 181898,
  [SMALL_STATE(6022)] = 181909,
  [SMALL_STATE(6023)] = 181918,
  [SMALL_STATE(6024)] = 181927,
  [SMALL_STATE(6025)] = 181938,
  [SMALL_STATE(6026)] = 181947,
  [SMALL_STATE(6027)] = 181956,
  [SMALL_STATE(6028)] = 181967,
  [SMALL_STATE(6029)] = 181976,
  [SMALL_STATE(6030)] = 181987,
  [SMALL_STATE(6031)] = 181998,
  [SMALL_STATE(6032)] = 182009,
  [SMALL_STATE(6033)] = 182020,
  [SMALL_STATE(6034)] = 182031,
  [SMALL_STATE(6035)] = 182042,
  [SMALL_STATE(6036)] = 182051,
  [SMALL_STATE(6037)] = 182062,
  [SMALL_STATE(6038)] = 182073,
  [SMALL_STATE(6039)] = 182084,
  [SMALL_STATE(6040)] = 182093,
  [SMALL_STATE(6041)] = 182104,
  [SMALL_STATE(6042)] = 182113,
  [SMALL_STATE(6043)] = 182124,
  [SMALL_STATE(6044)] = 182133,
  [SMALL_STATE(6045)] = 182144,
  [SMALL_STATE(6046)] = 182155,
  [SMALL_STATE(6047)] = 182164,
  [SMALL_STATE(6048)] = 182175,
  [SMALL_STATE(6049)] = 182186,
  [SMALL_STATE(6050)] = 182197,
  [SMALL_STATE(6051)] = 182208,
  [SMALL_STATE(6052)] = 182219,
  [SMALL_STATE(6053)] = 182230,
  [SMALL_STATE(6054)] = 182241,
  [SMALL_STATE(6055)] = 182252,
  [SMALL_STATE(6056)] = 182260,
  [SMALL_STATE(6057)] = 182268,
  [SMALL_STATE(6058)] = 182276,
  [SMALL_STATE(6059)] = 182284,
  [SMALL_STATE(6060)] = 182292,
  [SMALL_STATE(6061)] = 182300,
  [SMALL_STATE(6062)] = 182310,
  [SMALL_STATE(6063)] = 182318,
  [SMALL_STATE(6064)] = 182326,
  [SMALL_STATE(6065)] = 182334,
  [SMALL_STATE(6066)] = 182342,
  [SMALL_STATE(6067)] = 182350,
  [SMALL_STATE(6068)] = 182358,
  [SMALL_STATE(6069)] = 182366,
  [SMALL_STATE(6070)] = 182374,
  [SMALL_STATE(6071)] = 182382,
  [SMALL_STATE(6072)] = 182390,
  [SMALL_STATE(6073)] = 182398,
  [SMALL_STATE(6074)] = 182406,
  [SMALL_STATE(6075)] = 182414,
  [SMALL_STATE(6076)] = 182422,
  [SMALL_STATE(6077)] = 182430,
  [SMALL_STATE(6078)] = 182438,
  [SMALL_STATE(6079)] = 182446,
  [SMALL_STATE(6080)] = 182454,
  [SMALL_STATE(6081)] = 182462,
  [SMALL_STATE(6082)] = 182470,
  [SMALL_STATE(6083)] = 182478,
  [SMALL_STATE(6084)] = 182486,
  [SMALL_STATE(6085)] = 182494,
  [SMALL_STATE(6086)] = 182502,
  [SMALL_STATE(6087)] = 182510,
  [SMALL_STATE(6088)] = 182518,
  [SMALL_STATE(6089)] = 182526,
  [SMALL_STATE(6090)] = 182534,
  [SMALL_STATE(6091)] = 182542,
  [SMALL_STATE(6092)] = 182550,
  [SMALL_STATE(6093)] = 182558,
  [SMALL_STATE(6094)] = 182566,
  [SMALL_STATE(6095)] = 182574,
  [SMALL_STATE(6096)] = 182582,
  [SMALL_STATE(6097)] = 182590,
  [SMALL_STATE(6098)] = 182598,
  [SMALL_STATE(6099)] = 182606,
  [SMALL_STATE(6100)] = 182614,
  [SMALL_STATE(6101)] = 182622,
  [SMALL_STATE(6102)] = 182630,
  [SMALL_STATE(6103)] = 182638,
  [SMALL_STATE(6104)] = 182646,
  [SMALL_STATE(6105)] = 182654,
  [SMALL_STATE(6106)] = 182662,
  [SMALL_STATE(6107)] = 182670,
  [SMALL_STATE(6108)] = 182678,
  [SMALL_STATE(6109)] = 182686,
  [SMALL_STATE(6110)] = 182694,
  [SMALL_STATE(6111)] = 182702,
  [SMALL_STATE(6112)] = 182710,
  [SMALL_STATE(6113)] = 182718,
  [SMALL_STATE(6114)] = 182726,
  [SMALL_STATE(6115)] = 182734,
  [SMALL_STATE(6116)] = 182742,
  [SMALL_STATE(6117)] = 182750,
  [SMALL_STATE(6118)] = 182758,
  [SMALL_STATE(6119)] = 182766,
  [SMALL_STATE(6120)] = 182774,
  [SMALL_STATE(6121)] = 182782,
  [SMALL_STATE(6122)] = 182790,
  [SMALL_STATE(6123)] = 182798,
  [SMALL_STATE(6124)] = 182806,
  [SMALL_STATE(6125)] = 182814,
  [SMALL_STATE(6126)] = 182822,
  [SMALL_STATE(6127)] = 182830,
  [SMALL_STATE(6128)] = 182838,
  [SMALL_STATE(6129)] = 182846,
  [SMALL_STATE(6130)] = 182854,
  [SMALL_STATE(6131)] = 182862,
  [SMALL_STATE(6132)] = 182870,
  [SMALL_STATE(6133)] = 182878,
  [SMALL_STATE(6134)] = 182886,
  [SMALL_STATE(6135)] = 182894,
  [SMALL_STATE(6136)] = 182902,
  [SMALL_STATE(6137)] = 182910,
  [SMALL_STATE(6138)] = 182918,
  [SMALL_STATE(6139)] = 182926,
  [SMALL_STATE(6140)] = 182934,
  [SMALL_STATE(6141)] = 182942,
  [SMALL_STATE(6142)] = 182950,
  [SMALL_STATE(6143)] = 182958,
  [SMALL_STATE(6144)] = 182966,
  [SMALL_STATE(6145)] = 182974,
  [SMALL_STATE(6146)] = 182982,
  [SMALL_STATE(6147)] = 182990,
  [SMALL_STATE(6148)] = 182998,
  [SMALL_STATE(6149)] = 183006,
  [SMALL_STATE(6150)] = 183014,
  [SMALL_STATE(6151)] = 183022,
  [SMALL_STATE(6152)] = 183030,
  [SMALL_STATE(6153)] = 183038,
  [SMALL_STATE(6154)] = 183046,
  [SMALL_STATE(6155)] = 183054,
  [SMALL_STATE(6156)] = 183062,
  [SMALL_STATE(6157)] = 183070,
  [SMALL_STATE(6158)] = 183078,
  [SMALL_STATE(6159)] = 183086,
  [SMALL_STATE(6160)] = 183094,
  [SMALL_STATE(6161)] = 183102,
  [SMALL_STATE(6162)] = 183110,
  [SMALL_STATE(6163)] = 183118,
  [SMALL_STATE(6164)] = 183126,
  [SMALL_STATE(6165)] = 183134,
  [SMALL_STATE(6166)] = 183142,
  [SMALL_STATE(6167)] = 183150,
  [SMALL_STATE(6168)] = 183158,
  [SMALL_STATE(6169)] = 183166,
  [SMALL_STATE(6170)] = 183174,
  [SMALL_STATE(6171)] = 183182,
  [SMALL_STATE(6172)] = 183190,
  [SMALL_STATE(6173)] = 183198,
  [SMALL_STATE(6174)] = 183206,
  [SMALL_STATE(6175)] = 183216,
  [SMALL_STATE(6176)] = 183224,
  [SMALL_STATE(6177)] = 183232,
  [SMALL_STATE(6178)] = 183240,
  [SMALL_STATE(6179)] = 183248,
  [SMALL_STATE(6180)] = 183256,
  [SMALL_STATE(6181)] = 183264,
  [SMALL_STATE(6182)] = 183272,
  [SMALL_STATE(6183)] = 183280,
  [SMALL_STATE(6184)] = 183288,
  [SMALL_STATE(6185)] = 183296,
  [SMALL_STATE(6186)] = 183304,
  [SMALL_STATE(6187)] = 183312,
  [SMALL_STATE(6188)] = 183320,
  [SMALL_STATE(6189)] = 183328,
  [SMALL_STATE(6190)] = 183336,
  [SMALL_STATE(6191)] = 183344,
  [SMALL_STATE(6192)] = 183352,
  [SMALL_STATE(6193)] = 183360,
  [SMALL_STATE(6194)] = 183368,
  [SMALL_STATE(6195)] = 183376,
  [SMALL_STATE(6196)] = 183384,
  [SMALL_STATE(6197)] = 183392,
  [SMALL_STATE(6198)] = 183400,
  [SMALL_STATE(6199)] = 183408,
  [SMALL_STATE(6200)] = 183416,
  [SMALL_STATE(6201)] = 183424,
  [SMALL_STATE(6202)] = 183432,
  [SMALL_STATE(6203)] = 183440,
  [SMALL_STATE(6204)] = 183448,
  [SMALL_STATE(6205)] = 183456,
  [SMALL_STATE(6206)] = 183464,
  [SMALL_STATE(6207)] = 183472,
  [SMALL_STATE(6208)] = 183482,
  [SMALL_STATE(6209)] = 183490,
  [SMALL_STATE(6210)] = 183498,
  [SMALL_STATE(6211)] = 183506,
  [SMALL_STATE(6212)] = 183514,
  [SMALL_STATE(6213)] = 183522,
  [SMALL_STATE(6214)] = 183530,
  [SMALL_STATE(6215)] = 183538,
  [SMALL_STATE(6216)] = 183546,
  [SMALL_STATE(6217)] = 183554,
  [SMALL_STATE(6218)] = 183562,
  [SMALL_STATE(6219)] = 183570,
  [SMALL_STATE(6220)] = 183578,
  [SMALL_STATE(6221)] = 183586,
  [SMALL_STATE(6222)] = 183594,
  [SMALL_STATE(6223)] = 183602,
  [SMALL_STATE(6224)] = 183610,
  [SMALL_STATE(6225)] = 183618,
  [SMALL_STATE(6226)] = 183626,
  [SMALL_STATE(6227)] = 183634,
  [SMALL_STATE(6228)] = 183644,
  [SMALL_STATE(6229)] = 183652,
  [SMALL_STATE(6230)] = 183660,
  [SMALL_STATE(6231)] = 183668,
  [SMALL_STATE(6232)] = 183676,
  [SMALL_STATE(6233)] = 183684,
  [SMALL_STATE(6234)] = 183692,
  [SMALL_STATE(6235)] = 183700,
  [SMALL_STATE(6236)] = 183708,
  [SMALL_STATE(6237)] = 183716,
  [SMALL_STATE(6238)] = 183724,
  [SMALL_STATE(6239)] = 183732,
  [SMALL_STATE(6240)] = 183740,
  [SMALL_STATE(6241)] = 183748,
  [SMALL_STATE(6242)] = 183756,
  [SMALL_STATE(6243)] = 183764,
  [SMALL_STATE(6244)] = 183772,
  [SMALL_STATE(6245)] = 183780,
  [SMALL_STATE(6246)] = 183788,
  [SMALL_STATE(6247)] = 183796,
  [SMALL_STATE(6248)] = 183804,
  [SMALL_STATE(6249)] = 183812,
  [SMALL_STATE(6250)] = 183820,
  [SMALL_STATE(6251)] = 183828,
  [SMALL_STATE(6252)] = 183836,
  [SMALL_STATE(6253)] = 183844,
  [SMALL_STATE(6254)] = 183852,
  [SMALL_STATE(6255)] = 183860,
  [SMALL_STATE(6256)] = 183868,
  [SMALL_STATE(6257)] = 183876,
  [SMALL_STATE(6258)] = 183884,
  [SMALL_STATE(6259)] = 183892,
  [SMALL_STATE(6260)] = 183900,
  [SMALL_STATE(6261)] = 183908,
  [SMALL_STATE(6262)] = 183916,
  [SMALL_STATE(6263)] = 183924,
  [SMALL_STATE(6264)] = 183932,
  [SMALL_STATE(6265)] = 183940,
  [SMALL_STATE(6266)] = 183948,
  [SMALL_STATE(6267)] = 183956,
  [SMALL_STATE(6268)] = 183964,
  [SMALL_STATE(6269)] = 183972,
  [SMALL_STATE(6270)] = 183980,
  [SMALL_STATE(6271)] = 183988,
  [SMALL_STATE(6272)] = 183996,
  [SMALL_STATE(6273)] = 184004,
  [SMALL_STATE(6274)] = 184014,
  [SMALL_STATE(6275)] = 184022,
  [SMALL_STATE(6276)] = 184030,
  [SMALL_STATE(6277)] = 184038,
  [SMALL_STATE(6278)] = 184046,
  [SMALL_STATE(6279)] = 184054,
  [SMALL_STATE(6280)] = 184062,
  [SMALL_STATE(6281)] = 184070,
  [SMALL_STATE(6282)] = 184078,
  [SMALL_STATE(6283)] = 184086,
  [SMALL_STATE(6284)] = 184094,
  [SMALL_STATE(6285)] = 184102,
  [SMALL_STATE(6286)] = 184110,
  [SMALL_STATE(6287)] = 184118,
  [SMALL_STATE(6288)] = 184126,
  [SMALL_STATE(6289)] = 184134,
  [SMALL_STATE(6290)] = 184142,
  [SMALL_STATE(6291)] = 184150,
  [SMALL_STATE(6292)] = 184158,
  [SMALL_STATE(6293)] = 184166,
  [SMALL_STATE(6294)] = 184174,
  [SMALL_STATE(6295)] = 184182,
  [SMALL_STATE(6296)] = 184190,
  [SMALL_STATE(6297)] = 184198,
  [SMALL_STATE(6298)] = 184206,
  [SMALL_STATE(6299)] = 184214,
  [SMALL_STATE(6300)] = 184222,
  [SMALL_STATE(6301)] = 184232,
  [SMALL_STATE(6302)] = 184240,
  [SMALL_STATE(6303)] = 184248,
  [SMALL_STATE(6304)] = 184256,
  [SMALL_STATE(6305)] = 184264,
  [SMALL_STATE(6306)] = 184272,
  [SMALL_STATE(6307)] = 184280,
  [SMALL_STATE(6308)] = 184288,
  [SMALL_STATE(6309)] = 184296,
  [SMALL_STATE(6310)] = 184304,
  [SMALL_STATE(6311)] = 184312,
  [SMALL_STATE(6312)] = 184320,
  [SMALL_STATE(6313)] = 184328,
  [SMALL_STATE(6314)] = 184336,
  [SMALL_STATE(6315)] = 184344,
  [SMALL_STATE(6316)] = 184352,
  [SMALL_STATE(6317)] = 184360,
  [SMALL_STATE(6318)] = 184368,
  [SMALL_STATE(6319)] = 184376,
  [SMALL_STATE(6320)] = 184384,
  [SMALL_STATE(6321)] = 184392,
  [SMALL_STATE(6322)] = 184400,
  [SMALL_STATE(6323)] = 184408,
  [SMALL_STATE(6324)] = 184416,
  [SMALL_STATE(6325)] = 184424,
  [SMALL_STATE(6326)] = 184432,
  [SMALL_STATE(6327)] = 184440,
  [SMALL_STATE(6328)] = 184448,
  [SMALL_STATE(6329)] = 184456,
  [SMALL_STATE(6330)] = 184464,
  [SMALL_STATE(6331)] = 184472,
  [SMALL_STATE(6332)] = 184480,
  [SMALL_STATE(6333)] = 184488,
  [SMALL_STATE(6334)] = 184496,
  [SMALL_STATE(6335)] = 184504,
  [SMALL_STATE(6336)] = 184514,
  [SMALL_STATE(6337)] = 184522,
  [SMALL_STATE(6338)] = 184530,
  [SMALL_STATE(6339)] = 184538,
  [SMALL_STATE(6340)] = 184546,
  [SMALL_STATE(6341)] = 184554,
  [SMALL_STATE(6342)] = 184562,
  [SMALL_STATE(6343)] = 184570,
  [SMALL_STATE(6344)] = 184578,
  [SMALL_STATE(6345)] = 184586,
  [SMALL_STATE(6346)] = 184594,
  [SMALL_STATE(6347)] = 184602,
  [SMALL_STATE(6348)] = 184610,
  [SMALL_STATE(6349)] = 184618,
  [SMALL_STATE(6350)] = 184626,
  [SMALL_STATE(6351)] = 184634,
  [SMALL_STATE(6352)] = 184642,
  [SMALL_STATE(6353)] = 184650,
  [SMALL_STATE(6354)] = 184658,
  [SMALL_STATE(6355)] = 184666,
  [SMALL_STATE(6356)] = 184674,
  [SMALL_STATE(6357)] = 184682,
  [SMALL_STATE(6358)] = 184690,
  [SMALL_STATE(6359)] = 184698,
  [SMALL_STATE(6360)] = 184706,
  [SMALL_STATE(6361)] = 184714,
  [SMALL_STATE(6362)] = 184722,
  [SMALL_STATE(6363)] = 184730,
  [SMALL_STATE(6364)] = 184738,
  [SMALL_STATE(6365)] = 184746,
  [SMALL_STATE(6366)] = 184754,
  [SMALL_STATE(6367)] = 184762,
  [SMALL_STATE(6368)] = 184770,
  [SMALL_STATE(6369)] = 184778,
  [SMALL_STATE(6370)] = 184786,
  [SMALL_STATE(6371)] = 184794,
  [SMALL_STATE(6372)] = 184802,
  [SMALL_STATE(6373)] = 184810,
  [SMALL_STATE(6374)] = 184818,
  [SMALL_STATE(6375)] = 184826,
  [SMALL_STATE(6376)] = 184834,
  [SMALL_STATE(6377)] = 184842,
  [SMALL_STATE(6378)] = 184850,
  [SMALL_STATE(6379)] = 184858,
  [SMALL_STATE(6380)] = 184866,
  [SMALL_STATE(6381)] = 184874,
  [SMALL_STATE(6382)] = 184882,
  [SMALL_STATE(6383)] = 184890,
  [SMALL_STATE(6384)] = 184898,
  [SMALL_STATE(6385)] = 184906,
  [SMALL_STATE(6386)] = 184914,
  [SMALL_STATE(6387)] = 184922,
  [SMALL_STATE(6388)] = 184930,
  [SMALL_STATE(6389)] = 184938,
  [SMALL_STATE(6390)] = 184946,
  [SMALL_STATE(6391)] = 184954,
  [SMALL_STATE(6392)] = 184962,
  [SMALL_STATE(6393)] = 184970,
  [SMALL_STATE(6394)] = 184978,
  [SMALL_STATE(6395)] = 184986,
  [SMALL_STATE(6396)] = 184994,
  [SMALL_STATE(6397)] = 185002,
  [SMALL_STATE(6398)] = 185010,
  [SMALL_STATE(6399)] = 185018,
  [SMALL_STATE(6400)] = 185026,
  [SMALL_STATE(6401)] = 185034,
  [SMALL_STATE(6402)] = 185042,
  [SMALL_STATE(6403)] = 185050,
  [SMALL_STATE(6404)] = 185058,
  [SMALL_STATE(6405)] = 185066,
  [SMALL_STATE(6406)] = 185074,
  [SMALL_STATE(6407)] = 185082,
  [SMALL_STATE(6408)] = 185090,
  [SMALL_STATE(6409)] = 185098,
  [SMALL_STATE(6410)] = 185106,
  [SMALL_STATE(6411)] = 185114,
  [SMALL_STATE(6412)] = 185122,
  [SMALL_STATE(6413)] = 185130,
  [SMALL_STATE(6414)] = 185138,
  [SMALL_STATE(6415)] = 185146,
  [SMALL_STATE(6416)] = 185154,
  [SMALL_STATE(6417)] = 185162,
  [SMALL_STATE(6418)] = 185170,
  [SMALL_STATE(6419)] = 185178,
  [SMALL_STATE(6420)] = 185186,
  [SMALL_STATE(6421)] = 185194,
  [SMALL_STATE(6422)] = 185202,
  [SMALL_STATE(6423)] = 185210,
  [SMALL_STATE(6424)] = 185218,
  [SMALL_STATE(6425)] = 185226,
  [SMALL_STATE(6426)] = 185234,
  [SMALL_STATE(6427)] = 185242,
  [SMALL_STATE(6428)] = 185250,
  [SMALL_STATE(6429)] = 185258,
  [SMALL_STATE(6430)] = 185266,
  [SMALL_STATE(6431)] = 185274,
  [SMALL_STATE(6432)] = 185282,
  [SMALL_STATE(6433)] = 185290,
  [SMALL_STATE(6434)] = 185298,
  [SMALL_STATE(6435)] = 185306,
  [SMALL_STATE(6436)] = 185314,
  [SMALL_STATE(6437)] = 185322,
  [SMALL_STATE(6438)] = 185330,
  [SMALL_STATE(6439)] = 185338,
  [SMALL_STATE(6440)] = 185346,
  [SMALL_STATE(6441)] = 185354,
  [SMALL_STATE(6442)] = 185362,
  [SMALL_STATE(6443)] = 185370,
  [SMALL_STATE(6444)] = 185378,
  [SMALL_STATE(6445)] = 185386,
  [SMALL_STATE(6446)] = 185394,
  [SMALL_STATE(6447)] = 185402,
  [SMALL_STATE(6448)] = 185410,
  [SMALL_STATE(6449)] = 185418,
  [SMALL_STATE(6450)] = 185426,
  [SMALL_STATE(6451)] = 185436,
  [SMALL_STATE(6452)] = 185444,
  [SMALL_STATE(6453)] = 185452,
  [SMALL_STATE(6454)] = 185460,
  [SMALL_STATE(6455)] = 185468,
  [SMALL_STATE(6456)] = 185476,
  [SMALL_STATE(6457)] = 185484,
  [SMALL_STATE(6458)] = 185492,
  [SMALL_STATE(6459)] = 185500,
  [SMALL_STATE(6460)] = 185508,
  [SMALL_STATE(6461)] = 185516,
  [SMALL_STATE(6462)] = 185524,
  [SMALL_STATE(6463)] = 185534,
  [SMALL_STATE(6464)] = 185542,
  [SMALL_STATE(6465)] = 185550,
  [SMALL_STATE(6466)] = 185558,
  [SMALL_STATE(6467)] = 185566,
  [SMALL_STATE(6468)] = 185574,
  [SMALL_STATE(6469)] = 185582,
  [SMALL_STATE(6470)] = 185590,
  [SMALL_STATE(6471)] = 185598,
  [SMALL_STATE(6472)] = 185606,
  [SMALL_STATE(6473)] = 185614,
  [SMALL_STATE(6474)] = 185622,
  [SMALL_STATE(6475)] = 185630,
  [SMALL_STATE(6476)] = 185638,
  [SMALL_STATE(6477)] = 185646,
  [SMALL_STATE(6478)] = 185654,
  [SMALL_STATE(6479)] = 185662,
  [SMALL_STATE(6480)] = 185670,
  [SMALL_STATE(6481)] = 185678,
  [SMALL_STATE(6482)] = 185686,
  [SMALL_STATE(6483)] = 185694,
  [SMALL_STATE(6484)] = 185702,
  [SMALL_STATE(6485)] = 185710,
  [SMALL_STATE(6486)] = 185718,
  [SMALL_STATE(6487)] = 185726,
  [SMALL_STATE(6488)] = 185734,
  [SMALL_STATE(6489)] = 185742,
  [SMALL_STATE(6490)] = 185750,
  [SMALL_STATE(6491)] = 185758,
  [SMALL_STATE(6492)] = 185766,
  [SMALL_STATE(6493)] = 185774,
  [SMALL_STATE(6494)] = 185782,
  [SMALL_STATE(6495)] = 185790,
  [SMALL_STATE(6496)] = 185798,
  [SMALL_STATE(6497)] = 185806,
  [SMALL_STATE(6498)] = 185814,
  [SMALL_STATE(6499)] = 185822,
  [SMALL_STATE(6500)] = 185830,
  [SMALL_STATE(6501)] = 185838,
  [SMALL_STATE(6502)] = 185846,
  [SMALL_STATE(6503)] = 185854,
  [SMALL_STATE(6504)] = 185862,
  [SMALL_STATE(6505)] = 185870,
  [SMALL_STATE(6506)] = 185878,
  [SMALL_STATE(6507)] = 185888,
  [SMALL_STATE(6508)] = 185896,
  [SMALL_STATE(6509)] = 185904,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(595),
  [28] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10),
  [30] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [32] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [34] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 10),
  [36] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [38] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [40] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [42] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(476),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 10),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(6273),
  [80] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [82] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [84] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [86] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [88] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(580),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(616),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_pattern, 1, -1, 10),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5511),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 55),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 55),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1459),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5627),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3830),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5628),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5700),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5470),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5880),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5629),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5511),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5512),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5987),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3625),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6335),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1052),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(675),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4920),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4924),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4158),
  [509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2443),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6116),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2443),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4612),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6413),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6425),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6433),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 299),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 299),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 91),
  [545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 91),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5698),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(44),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(220),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(243),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(1052),
  [817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(4196),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 54),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 54),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(440),
  [947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(236),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(597),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(563),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_rest_pattern, 2, 0, 54),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(407),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6275),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6360),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6282),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 16),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 16),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 65),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 65),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 157),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 157),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 157),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 157),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 158),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 158),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 158),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 158),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 58),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 58),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 58),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 58),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 185),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 185),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 185),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 185),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 227),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 227),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 227),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 227),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 122),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 122),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 122),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 122),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 122),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 122),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 122),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 122),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 241),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 241),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 241),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 241),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 242),
  [1954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 242),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 242),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 242),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 88),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 88),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 88),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 88),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 33),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 33),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 76),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 76),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 188),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 188),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 188),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 188),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 286),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 286),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 286),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 286),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 62),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 62),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 156),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 156),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [2046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [2049] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3310),
  [2053] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3528),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(2873),
  [2364] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23), SHIFT(224),
  [2368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(641),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [2373] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23), SHIFT(5585),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(224),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(5585),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(6067),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6409),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(6347),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6259),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 37),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 37),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(6255),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 86),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 86),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 333),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 333),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 146),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 146),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 207),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 207),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 80),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 80),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 37),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 37),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 300),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 300),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 203),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 203),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 33),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 33),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 202),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 202),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 207),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 207),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 157),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 157),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 158),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 158),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 253),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 253),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 254),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 254),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 255),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 255),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 258),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 258),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 15),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 15),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 259),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 259),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 185),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 185),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 260),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 260),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 206),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 206),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 208),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 208),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 288),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 288),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 248),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 248),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 292),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 292),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 227),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 227),
  [2764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 294),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 294),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 15),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 15),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 195),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 195),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 296),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 296),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 241),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 241),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 242),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 242),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 297),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 297),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 298),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 298),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 326),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 326),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 327),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 327),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 328),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 328),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 331),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 331),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 195),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 195),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 296),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 296),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 286),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 286),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 332),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 332),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 357),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 357),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 358),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 358),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 359),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 359),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 379),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 379),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 209),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 209),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 135),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 135),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 136),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 136),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 13),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 13),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 137),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 137),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 212),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 212),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 213),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 213),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 138),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 138),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 139),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 139),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 140),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 140),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 140),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 140),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 79),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 79),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 215),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 215),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 81),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 81),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 88),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 88),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 87),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 87),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 141),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 141),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 142),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 142),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 78),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 78),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 144),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 144),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 248),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 248),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 58),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 58),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 145),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 145),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 37),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 37),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 152),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 152),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 122),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 122),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 122),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 122),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 188),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 188),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 251),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 251),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 248),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 248),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 202),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 202),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 204),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 204),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 204),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 204),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 202),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 202),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 13),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 13),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 137),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 137),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 205),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 205),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 325),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 325),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 290),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 290),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 291),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 291),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 355),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 355),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 356),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 356),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6333),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 3, 0, 115),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 3, 0, 115),
  [3665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 45),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 45),
  [3669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50), SHIFT(3603),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50), SHIFT_REPEAT(4659),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 21),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 21),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 62),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 62),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 113),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 113),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [3751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 114),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 114),
  [3755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 183),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 183),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [3795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 239),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 239),
  [3799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 112),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 112),
  [3811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 62),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 62),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 62),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 112),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 23),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 23),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 39),
  [3848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6463),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 39),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1189),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 39),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(619),
  [3884] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 39),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 39), SHIFT(5717),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [3901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6201),
  [3904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1188),
  [3907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0),
  [3910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [3933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(272),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(443),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 39),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3963] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 39), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6101),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(3563),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(2886),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50),
  [4016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1412),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(353),
  [4022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1658),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(6364),
  [4028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(4946),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(4793),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(3387),
  [4037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(4397),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1580),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1611),
  [4046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1710),
  [4049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1582),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1612),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(1730),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(2749),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 50), SHIFT_REPEAT(2909),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4074] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 54),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 112),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(566),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [4230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(417),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 62),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4680),
  [4292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4373),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4803),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0),
  [4300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3884),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4153),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5675),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5915),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3681),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3614),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4173),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(6084),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(1522),
  [4351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2622),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [4366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(1973),
  [4369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2101),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2738),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2222),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2026),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [4399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(5715),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [4460] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), REDUCE(aux_sym_object_repeat1, 2, 0, 77), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 53),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [4494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 38),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 38),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 97),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 97),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [4656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 98),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 98),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [4680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 39),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 77), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 53),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [4771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 106),
  [4773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 106),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 41),
  [4779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 41),
  [4781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [4831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 42),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 42),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [4837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 105),
  [4863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 105),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [4873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 45),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 45),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [4881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 107),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 107),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 108),
  [4887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 108),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 45),
  [4903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 45),
  [4905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 45),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 45),
  [4909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 171),
  [4915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 171),
  [4917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 108),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 108),
  [4921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 173),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 173),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 174),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 174),
  [4933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [4945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 47),
  [4967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 47),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 178),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 178),
  [4973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 179),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 179),
  [4977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 180),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 180),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 181),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 181),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 182),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 182),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [4999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [5005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 62),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 62),
  [5009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 112),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 112),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 179),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 179),
  [5017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 180),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 180),
  [5021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 233),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 233),
  [5025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 234),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 234),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 181),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 181),
  [5033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 182),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 182),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 236),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 236),
  [5045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 105),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 105),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 237),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 237),
  [5057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 56),
  [5059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 56),
  [5061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 240),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 240),
  [5065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 183),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 183),
  [5069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 281),
  [5071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 281),
  [5073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 282),
  [5075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 282),
  [5077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 283),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 283),
  [5081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [5085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 284),
  [5087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 284),
  [5089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 285),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 285),
  [5093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 319),
  [5095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 319),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 320),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 320),
  [5101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 321),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 321),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 322),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 322),
  [5109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 323),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 323),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 354),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 354),
  [5117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 34),
  [5119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 34),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [5127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 43),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 43),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 44),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 44),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 95),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 95),
  [5141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 63),
  [5143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 63),
  [5145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 62), REDUCE(sym_nested_type_identifier, 3, 0, 63),
  [5148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 65), REDUCE(sym_nested_type_identifier, 3, 0, 63),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [5169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 77),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 99),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 99),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 100),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 100),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [5189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [5191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [5193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [5197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [5201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 102),
  [5203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 102),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 74),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 75),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [5275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 109),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 110),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 111),
  [5285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111),
  [5287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(170),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 37),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 37),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 229),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 229),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 117),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 111),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 162),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 164),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 165),
  [5312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 167),
  [5314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 168),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 238),
  [5318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [5321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 34),
  [5332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(170),
  [5335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [5339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(170),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 34),
  [5348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(170),
  [5351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [5354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 46),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 46),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 243),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 243),
  [5365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 184),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 184),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [5379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 75),
  [5381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 77),
  [5383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 53),
  [5385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 77),
  [5387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 41),
  [5390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 41),
  [5393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [5395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [5397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [5399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [5405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 91),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 91),
  [5409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 92),
  [5411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 92),
  [5413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 93),
  [5415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 93),
  [5417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 94),
  [5419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 94),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [5425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 110),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 115),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 115),
  [5437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 186),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 186),
  [5441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 187),
  [5443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 187),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 116),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 116),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 117),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 119),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 119),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 77),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 77),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [5467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [5471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 161),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 161),
  [5475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 162),
  [5477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 163),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 163),
  [5481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 164),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 165),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 163),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 163),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 166),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 166),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 169),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 169),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 58),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 58),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 188),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 188),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 122),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 122),
  [5509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 250),
  [5511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 250),
  [5513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 53),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 329),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 329),
  [5519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 330),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 330),
  [5523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(2138),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 214),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 214),
  [5536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 293),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 293),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 360),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 360),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 361),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 361),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 380),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 380),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 381),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 381),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [5568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 154),
  [5570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 154),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 154), SHIFT_REPEAT(2105),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [5583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 143),
  [5585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 143),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 396),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 396),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [5601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(171),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [5675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 77), REDUCE(sym_object_pattern, 3, 0, 53),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 91),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 91),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 154),
  [5684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 154),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(171),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(172),
  [5716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(171),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 37),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 37),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 82),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 82),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [5733] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5737] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(171),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [5751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(172),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [5756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(172),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(172),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [5766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 55),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 55), SHIFT(544),
  [5796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120), REDUCE(sym_assignment_expression, 3, 0, 74),
  [5802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 35),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 35),
  [5828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 35), REDUCE(sym_primary_type, 1, 0, 41),
  [5831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 82),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 82),
  [5835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 41), REDUCE(sym__parameter_name, 2, 0, 82),
  [5838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 35),
  [5841] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 35), REDUCE(sym_primary_type, 1, 0, 41),
  [5845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 109), REDUCE(sym_assignment_expression, 3, 0, 109),
  [5848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 109),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120), REDUCE(sym_assignment_expression, 3, 0, 109),
  [5903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(173),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [5918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(173),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(173),
  [5924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(173),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [5943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [5948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [5955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50), SHIFT_REPEAT(4397),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5651),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 109),
  [5970] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 147),
  [5990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 147),
  [5992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 151),
  [5994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 151),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 216),
  [6010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 216),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 218),
  [6016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 218),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [6068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(167),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [6093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 261),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 261),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 85),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 85),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [6133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(167),
  [6136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(167),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(167),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 89),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [6180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(175),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [6187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 121),
  [6189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [6192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [6195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 77), REDUCE(sym_object_pattern, 3, 0, 53),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [6290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(176),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [6335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(174),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [6364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(176),
  [6367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(176),
  [6370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(176),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [6385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(175),
  [6388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(175),
  [6391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(175),
  [6394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(174),
  [6397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(174),
  [6400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(174),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 37), REDUCE(sym_class, 3, 0, 119),
  [6416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 37), REDUCE(sym_class, 3, 0, 119),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [6435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 111), SHIFT(177),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [6486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 159),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [6490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 157), REDUCE(sym_class, 5, 0, 241),
  [6493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 157), REDUCE(sym_class, 5, 0, 241),
  [6496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 55), SHIFT(463),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [6501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 227), REDUCE(sym_class, 6, 0, 286),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 227), REDUCE(sym_class, 6, 0, 286),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [6509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 158), REDUCE(sym_class, 5, 0, 242),
  [6512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 158), REDUCE(sym_class, 5, 0, 242),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [6517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(177),
  [6520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 161), REDUCE(sym_class, 5, 0, 243),
  [6523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 161), REDUCE(sym_class, 5, 0, 243),
  [6526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(177),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 88), REDUCE(sym_class, 4, 0, 185),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 88), REDUCE(sym_class, 4, 0, 185),
  [6543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 91), REDUCE(sym_class, 4, 0, 186),
  [6546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 91), REDUCE(sym_class, 4, 0, 186),
  [6549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 92), REDUCE(sym_class, 4, 0, 187),
  [6552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 92), REDUCE(sym_class, 4, 0, 187),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(177),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, 0, 5),
  [6578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, 0, 5),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 2, 0, 0),
  [6594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 2, 0, 0),
  [6596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, 0, 4),
  [6598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, 0, 4),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 3, 0, 0),
  [6628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 3, 0, 0),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [6646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, 0, 7),
  [6648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, 0, 7), SHIFT_REPEAT(5915),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 132),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 132),
  [6655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 6),
  [6657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 6),
  [6659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 17),
  [6661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 17),
  [6663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 244),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, 0, 244),
  [6667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 245),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, 0, 245),
  [6671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 246),
  [6673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, 0, 246),
  [6675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 247),
  [6677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 7, 0, 247),
  [6679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 4, 0, 0),
  [6681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 4, 0, 0),
  [6683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 123),
  [6685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 123),
  [6687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 124),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 124),
  [6691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 126),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 126),
  [6695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 127),
  [6697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 127),
  [6699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, 0, 20),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_binding, 3, 0, 20),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, 0, 15),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 3, 0, 15),
  [6707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [6709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3153),
  [6712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [6714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6277),
  [6717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, 0, 130),
  [6719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 3, 0, 130),
  [6721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 51),
  [6723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 51),
  [6725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 52),
  [6727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 52),
  [6729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 131),
  [6731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 131),
  [6733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 3, 0, 0),
  [6735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 3, 0, 0),
  [6737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_inline_component, 4, 0, 69),
  [6739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_inline_component, 4, 0, 69),
  [6741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 133),
  [6743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 133),
  [6745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 189),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 189),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 190),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 190),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 191),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 191),
  [6757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_declaration, 3, 0, 28),
  [6759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_declaration, 3, 0, 28),
  [6761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 134),
  [6763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 5, 0, 134),
  [6765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, 0, 195),
  [6767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 4, 0, 195),
  [6769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, 0, 197),
  [6771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_body, 4, 0, 197),
  [6773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 198),
  [6775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 198),
  [6777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 199),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 199),
  [6781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 200),
  [6783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 200),
  [6785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 201),
  [6787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 201),
  [6789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, 0, 9),
  [6791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, 0, 9),
  [6793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, 0, 26),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_binding, 3, 0, 26),
  [6797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 3, 0, 15),
  [6799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal, 3, 0, 15),
  [6801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, 0, 27),
  [6803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_required, 3, 0, 27),
  [6805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, 0, 15),
  [6807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_required, 3, 0, 15),
  [6809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 59),
  [6811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 59),
  [6813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 60),
  [6815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 60),
  [6817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 61),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, 0, 61),
  [6821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 64),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, 0, 64),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 66),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, 0, 66),
  [6829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 67),
  [6831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 4, 0, 67),
  [6833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 4, 0, 68),
  [6835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal, 4, 0, 68),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 192),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property, 6, 0, 192),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1, 0, 0),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [6851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1, 0, 0), SHIFT(5649),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [6856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotation, 3, 0, 14),
  [6858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotation, 3, 0, 14),
  [6860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 1, 0, 2),
  [6862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 1, 0, 2),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [6876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 6, 0, 70),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 6, 0, 70),
  [6880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 3, 0, 13),
  [6882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 3, 0, 13),
  [6884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 5, 0, 29),
  [6886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 5, 0, 29),
  [6888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 4, 0, 18),
  [6890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 4, 0, 18),
  [6892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 3, 0, 11),
  [6894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 3, 0, 11),
  [6896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 4, 0, 19),
  [6898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 4, 0, 19),
  [6900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 6, 0, 71),
  [6902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 6, 0, 71),
  [6904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 5, 0, 31),
  [6906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_import, 5, 0, 31),
  [6908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 3, 0, 15),
  [6910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_pragma, 3, 0, 15),
  [6912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 6, 0, 72),
  [6914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_pragma, 6, 0, 72),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [6922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 5, 0, 32),
  [6924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_pragma, 5, 0, 32),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5604),
  [6952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4, 0, 0),
  [6954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4, 0, 125),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [7098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 15),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [7108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 224),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [7118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 155),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [7132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 272),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 219),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 310),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 316),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 10),
  [7170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 10),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 270),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 16),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 353),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 16),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 219),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [7250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 15),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 39), REDUCE(sym_type_parameter, 1, 0, 40),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [7263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 39), SHIFT(1172),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 310),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [7280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 270),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [7292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 270),
  [7294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 15),
  [7296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 219),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 272),
  [7304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 16),
  [7306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 316),
  [7308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 39), SHIFT(5717),
  [7311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 15),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 224),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 16),
  [7319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 219),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [7323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 353),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 310),
  [7327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 270),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 310),
  [7331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 155),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [7369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [7373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [7419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 16),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [7439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 16), SHIFT(6023),
  [7442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49),
  [7444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [7460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 378),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [7524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property_modifier, 1, 0, 0),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 53),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [7632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 346),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [7702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [7720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [7734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [7736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [7752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [7764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [7778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 208),
  [7780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 223),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [7794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 346),
  [7800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 40),
  [7802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 210),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [7806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 210),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [7810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 36),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 280),
  [7816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 262),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [7822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 253),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [7826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [7828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 301),
  [7830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 302),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [7834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 338),
  [7836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 339),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 362),
  [7840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 363),
  [7842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 384),
  [7844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 389),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [7850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 398),
  [7852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [7859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [7861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 378),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [7867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(619),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [7888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [7890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 153),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 101),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 170),
  [7900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(443),
  [7903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 231),
  [7905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 232),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [7983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4111),
  [7986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [7988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [8007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [8065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [8075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 36),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 211),
  [8123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 211),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [8154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6098),
  [8157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [8159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [8164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 210),
  [8166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 210),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [8184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [8188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 118),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 50), SHIFT_REPEAT(4612),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [8247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2, 0, 0), SHIFT_REPEAT(4803),
  [8250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2, 0, 0),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [8254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 266),
  [8256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 268),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 279),
  [8272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 374),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [8282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 342),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1018),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 377),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1133),
  [8324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 221),
  [8326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 348),
  [8328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 96),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [8334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 352),
  [8336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 24),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1161),
  [8359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 345),
  [8361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1024),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 211),
  [8368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 211),
  [8370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 368),
  [8372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 382),
  [8374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 383),
  [8376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 387),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 56),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [8388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 263),
  [8390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 264),
  [8392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [8396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [8401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4413),
  [8404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [8406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 266),
  [8408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 268),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [8412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 304),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 392),
  [8418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 308),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [8424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 309),
  [8426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 395),
  [8428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 312),
  [8430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 314),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [8438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 274),
  [8468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 25),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [8486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 365),
  [8488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 226),
  [8490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 366),
  [8492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 368),
  [8494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 371),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [8500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 401),
  [8502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1127),
  [8505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1021),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [8512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 304),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [8516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 308),
  [8518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 318),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [8522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3, 0, 10),
  [8524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3, 0, 0),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [8530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 230),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [8536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 276),
  [8538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 221),
  [8540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 334),
  [8542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 336),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [8550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 337),
  [8552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 25),
  [8554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 342),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [8558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 56),
  [8560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1019),
  [8563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 25),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [8575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1026),
  [8578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1106),
  [8581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1020),
  [8584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1112),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 345),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [8601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 49), SHIFT(1134),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [8610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 278),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [8618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [8620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [8642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 13),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [8672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 90),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [8676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 73), SHIFT_REPEAT(4823),
  [8679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 73),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [8683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [8692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 335),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [8706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [8718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 149),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [8730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3841),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [8737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [8747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 160),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [8757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 176),
  [8759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [8761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 256),
  [8763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 256),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [8787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [8789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4869),
  [8792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 84),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [8796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [8799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [8805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [8807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4876),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [8846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [8848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 257),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 257),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295),
  [8856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295), SHIFT_REPEAT(4849),
  [8859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 15),
  [8863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [8872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 1, 0, 12),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 104),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [8882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 53),
  [8884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [8886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 324),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [8903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 228),
  [8905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 228), SHIFT_REPEAT(387),
  [8908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [8940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 311),
  [8942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 349),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 375),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 372),
  [8948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 347),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [8958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 364),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 376),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [8964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 351),
  [8966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 373),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 350),
  [8974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 367),
  [8976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 369),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [8982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 370),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [8990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 265),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 267),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 269),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [9010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 253),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [9014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 362),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [9018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 262),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 271),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [9050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 273),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [9066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 220),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 55),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 275),
  [9090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 277),
  [9092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 3, 0, 30),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 385),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 386),
  [9098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 388),
  [9100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [9103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [9105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 121),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 390),
  [9109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 208),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [9113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 391),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [9119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 393),
  [9121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [9124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2, 0, 0),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 222),
  [9128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 57),
  [9130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [9136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 394),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 24),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [9166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [9169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [9171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [9175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 225),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [9181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [9189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [9241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 90),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [9247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [9261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 16),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [9271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 196), SHIFT_REPEAT(2844),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 196),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [9300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [9312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 303),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [9318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 305),
  [9320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 306),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [9324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 397),
  [9326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 399),
  [9328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 307),
  [9330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 400),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [9334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 301),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 302),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [9346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [9358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 313),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [9362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 315),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 402),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(972),
  [9389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [9393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 403),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [9419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(5415),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 317),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [9430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [9433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [9439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(566),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [9452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, 0, 193),
  [9454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4801),
  [9457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2, 0, 0),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [9485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 15),
  [9487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 196), SHIFT_REPEAT(5777),
  [9495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 196),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [9503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [9523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 15),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [9529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 340),
  [9531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [9533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 341),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [9549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 343),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [9553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [9556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 344),
  [9558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 338),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 339),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [9574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(3766),
  [9577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [9579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 56),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [9583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 57),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [9605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, 0, 56),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [9615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 175),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [9635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 148),
  [9655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 150),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [9661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 24),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [9669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 2, 0, 0),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [9707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 235),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [9737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 25),
  [9739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [9747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 16),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [9753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, 0, 128),
  [9755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 177),
  [9757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, 0, 129),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 3, 0, 0),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [9767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 56),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [9843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_simple_nested_identifier, 3, 0, 0),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [9849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_negative_number, 2, 0, 34),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [9865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 4, 0, 0),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_assignment, 3, 0, 26),
  [9883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_assignment, 3, 0, 194),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 130),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 249),
  [9895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 217),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [9923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 287),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [9933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 103),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 289),
  [9943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 287),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [9951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 252),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 15),
  [9969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 83),
  [9971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 249),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [10005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object, 2, 0, 6),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [10221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [10251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6300),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [10355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [10391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 3),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [10449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 1),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [10463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [10581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [10633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 8),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [10679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [10681] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
  ts_external_token__function_signature_automatic_semicolon = 8,
  ts_external_token___error_recovery = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_qmljs_external_scanner_create(void);
void tree_sitter_qmljs_external_scanner_destroy(void *);
bool tree_sitter_qmljs_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_qmljs_external_scanner_serialize(void *, char *);
void tree_sitter_qmljs_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_qmljs(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_qmljs_external_scanner_create,
      tree_sitter_qmljs_external_scanner_destroy,
      tree_sitter_qmljs_external_scanner_scan,
      tree_sitter_qmljs_external_scanner_serialize,
      tree_sitter_qmljs_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
